diff -pruN 10.0.0+dfsg-1/CHANGELOG-v10.md 10.0.1+dfsg-1/CHANGELOG-v10.md
--- 10.0.0+dfsg-1/CHANGELOG-v10.md	2024-06-04 14:34:55.000000000 +0000
+++ 10.0.1+dfsg-1/CHANGELOG-v10.md	2024-06-06 04:55:55.000000000 +0000
@@ -2,11 +2,17 @@
 
 This changelog describes changes since Ansible 9\.0\.0\.
 
-- <a href="#v10-0-0">v10\.0\.0</a>
+- <a href="#v10-0-1">v10\.0\.1</a>
     - <a href="#release-summary">Release Summary</a>
+    - <a href="#ansible-core">Ansible\-core</a>
+    - <a href="#changed-collections">Changed Collections</a>
+    - <a href="#bugfixes">Bugfixes</a>
+    - <a href="#unchanged-collections">Unchanged Collections</a>
+- <a href="#v10-0-0">v10\.0\.0</a>
+    - <a href="#release-summary-1">Release Summary</a>
     - <a href="#removed-collections">Removed Collections</a>
     - <a href="#added-collections">Added Collections</a>
-    - <a href="#ansible-core">Ansible\-core</a>
+    - <a href="#ansible-core-1">Ansible\-core</a>
     - <a href="#included-collections">Included Collections</a>
     - <a href="#major-changes">Major Changes</a>
     - <a href="#minor-changes">Minor Changes</a>
@@ -14,23 +20,169 @@ This changelog describes changes since A
     - <a href="#deprecated-features">Deprecated Features</a>
     - <a href="#removed-features-previously-deprecated">Removed Features \(previously deprecated\)</a>
     - <a href="#security-fixes">Security Fixes</a>
-    - <a href="#bugfixes">Bugfixes</a>
+    - <a href="#bugfixes-1">Bugfixes</a>
     - <a href="#known-issues">Known Issues</a>
     - <a href="#new-plugins">New Plugins</a>
     - <a href="#new-modules">New Modules</a>
     - <a href="#new-roles">New Roles</a>
-    - <a href="#unchanged-collections">Unchanged Collections</a>
+    - <a href="#unchanged-collections-1">Unchanged Collections</a>
+
+<a id="v10-0-1"></a>
+## v10\.0\.1
+
+- <a href="#release-summary">Release Summary</a>
+- <a href="#ansible-core">Ansible\-core</a>
+- <a href="#changed-collections">Changed Collections</a>
+- <a href="#bugfixes">Bugfixes</a>
+    - <a href="#inspur-ispim">inspur\.ispim</a>
+    - <a href="#kaytus-ksmanage">kaytus\.ksmanage</a>
+- <a href="#unchanged-collections">Unchanged Collections</a>
+
+<a id="release-summary"></a>
+### Release Summary
+
+Release Date\: 2024\-06\-06
+
+[Porting Guide](https\://docs\.ansible\.com/ansible/devel/porting\_guides\.html)
+
+This release updates 10\.0\.0 by removing binary files from a Windows venv that accidentally were included in two collection releases\.
+
+<a id="ansible-core"></a>
+### Ansible\-core
+
+Ansible 10\.0\.1 contains ansible\-core version 2\.17\.0\.
+This is the same version of ansible\-core as in the previous Ansible release\.
+
+<a id="changed-collections"></a>
+### Changed Collections
+
+If not mentioned explicitly\, the changes are reported in the combined changelog below\.
+
+| Collection      | Ansible 10.0.0 | Ansible 10.0.1 | Notes |
+| --------------- | -------------- | -------------- | ----- |
+| inspur.ispim    | 2.2.1          | 2.2.2          |       |
+| kaytus.ksmanage | 1.2.1          | 1.2.2          |       |
+
+<a id="bugfixes"></a>
+### Bugfixes
+
+<a id="inspur-ispim"></a>
+#### inspur\.ispim
+
+* Remove venv files that were accidentally bundled in 2\.2\.1 \([https\://github\.com/ispim/inspur\.ispim/pull/35](https\://github\.com/ispim/inspur\.ispim/pull/35)\)\.
+
+<a id="kaytus-ksmanage"></a>
+#### kaytus\.ksmanage
+
+* Remove venv files that were accidentally bundled in 1\.2\.2\([https\://github\.com/ieisystem/kaytus\.ksmanage/pull/23](https\://github\.com/ieisystem/kaytus\.ksmanage/pull/23)\)\.
+
+<a id="unchanged-collections"></a>
+### Unchanged Collections
+
+* amazon\.aws \(still version 8\.0\.0\)
+* ansible\.netcommon \(still version 6\.1\.2\)
+* ansible\.posix \(still version 1\.5\.4\)
+* ansible\.utils \(still version 4\.1\.0\)
+* ansible\.windows \(still version 2\.3\.0\)
+* arista\.eos \(still version 9\.0\.0\)
+* awx\.awx \(still version 24\.3\.1\)
+* azure\.azcollection \(still version 2\.3\.0\)
+* check\_point\.mgmt \(still version 5\.2\.3\)
+* chocolatey\.chocolatey \(still version 1\.5\.1\)
+* cisco\.aci \(still version 2\.9\.0\)
+* cisco\.asa \(still version 5\.0\.1\)
+* cisco\.dnac \(still version 6\.13\.3\)
+* cisco\.intersight \(still version 2\.0\.9\)
+* cisco\.ios \(still version 8\.0\.0\)
+* cisco\.iosxr \(still version 9\.0\.0\)
+* cisco\.ise \(still version 2\.9\.1\)
+* cisco\.meraki \(still version 2\.18\.1\)
+* cisco\.mso \(still version 2\.6\.0\)
+* cisco\.nxos \(still version 8\.0\.0\)
+* cisco\.ucs \(still version 1\.10\.0\)
+* cloud\.common \(still version 3\.0\.0\)
+* cloudscale\_ch\.cloud \(still version 2\.3\.1\)
+* community\.aws \(still version 8\.0\.0\)
+* community\.ciscosmb \(still version 1\.0\.9\)
+* community\.crypto \(still version 2\.20\.0\)
+* community\.digitalocean \(still version 1\.26\.0\)
+* community\.dns \(still version 3\.0\.0\)
+* community\.docker \(still version 3\.10\.3\)
+* community\.general \(still version 9\.0\.1\)
+* community\.grafana \(still version 1\.9\.1\)
+* community\.hashi\_vault \(still version 6\.2\.0\)
+* community\.hrobot \(still version 2\.0\.0\)
+* community\.library\_inventory\_filtering\_v1 \(still version 1\.0\.1\)
+* community\.libvirt \(still version 1\.3\.0\)
+* community\.mongodb \(still version 1\.7\.4\)
+* community\.mysql \(still version 3\.9\.0\)
+* community\.network \(still version 5\.0\.2\)
+* community\.okd \(still version 3\.0\.1\)
+* community\.postgresql \(still version 3\.4\.1\)
+* community\.proxysql \(still version 1\.5\.1\)
+* community\.rabbitmq \(still version 1\.3\.0\)
+* community\.routeros \(still version 2\.15\.0\)
+* community\.sap\_libs \(still version 1\.4\.2\)
+* community\.sops \(still version 1\.6\.7\)
+* community\.vmware \(still version 4\.4\.0\)
+* community\.windows \(still version 2\.2\.0\)
+* community\.zabbix \(still version 2\.4\.0\)
+* containers\.podman \(still version 1\.13\.0\)
+* cyberark\.conjur \(still version 1\.2\.2\)
+* cyberark\.pas \(still version 1\.0\.25\)
+* dellemc\.enterprise\_sonic \(still version 2\.4\.0\)
+* dellemc\.openmanage \(still version 9\.2\.0\)
+* dellemc\.powerflex \(still version 2\.4\.0\)
+* dellemc\.unity \(still version 2\.0\.0\)
+* f5networks\.f5\_modules \(still version 1\.28\.0\)
+* fortinet\.fortimanager \(still version 2\.5\.0\)
+* fortinet\.fortios \(still version 2\.3\.6\)
+* frr\.frr \(still version 2\.0\.2\)
+* google\.cloud \(still version 1\.3\.0\)
+* grafana\.grafana \(still version 5\.2\.0\)
+* hetzner\.hcloud \(still version 3\.1\.1\)
+* ibm\.qradar \(still version 3\.0\.0\)
+* ibm\.spectrum\_virtualize \(still version 2\.0\.0\)
+* ibm\.storage\_virtualize \(still version 2\.3\.1\)
+* infinidat\.infinibox \(still version 1\.4\.5\)
+* infoblox\.nios\_modules \(still version 1\.6\.1\)
+* inspur\.sm \(still version 2\.3\.0\)
+* junipernetworks\.junos \(still version 8\.0\.0\)
+* kubernetes\.core \(still version 3\.1\.0\)
+* lowlydba\.sqlserver \(still version 2\.3\.2\)
+* microsoft\.ad \(still version 1\.5\.0\)
+* netapp\.cloudmanager \(still version 21\.22\.1\)
+* netapp\.ontap \(still version 22\.11\.0\)
+* netapp\.storagegrid \(still version 21\.12\.0\)
+* netapp\_eseries\.santricity \(still version 1\.4\.0\)
+* netbox\.netbox \(still version 3\.18\.0\)
+* ngine\_io\.cloudstack \(still version 2\.3\.0\)
+* ngine\_io\.exoscale \(still version 1\.1\.0\)
+* openstack\.cloud \(still version 2\.2\.0\)
+* openvswitch\.openvswitch \(still version 2\.1\.1\)
+* ovirt\.ovirt \(still version 3\.2\.0\)
+* purestorage\.flasharray \(still version 1\.28\.0\)
+* purestorage\.flashblade \(still version 1\.17\.0\)
+* sensu\.sensu\_go \(still version 1\.14\.0\)
+* splunk\.es \(still version 3\.0\.0\)
+* t\_systems\_mms\.icinga\_director \(still version 2\.0\.1\)
+* telekom\_mms\.icinga\_director \(still version 2\.1\.2\)
+* theforeman\.foreman \(still version 4\.0\.0\)
+* vmware\.vmware\_rest \(still version 3\.0\.1\)
+* vultr\.cloud \(still version 1\.12\.1\)
+* vyos\.vyos \(still version 4\.1\.0\)
+* wti\.remote \(still version 1\.0\.5\)
 
 <a id="v10-0-0"></a>
 ## v10\.0\.0
 
-- <a href="#release-summary">Release Summary</a>
+- <a href="#release-summary-1">Release Summary</a>
 - <a href="#removed-collections">Removed Collections</a>
 - <a href="#added-collections">Added Collections</a>
-- <a href="#ansible-core">Ansible\-core</a>
+- <a href="#ansible-core-1">Ansible\-core</a>
 - <a href="#included-collections">Included Collections</a>
 - <a href="#major-changes">Major Changes</a>
-    - <a href="#ansible-core-1">Ansible\-core</a>
+    - <a href="#ansible-core-2">Ansible\-core</a>
     - <a href="#ansible-netcommon">ansible\.netcommon</a>
     - <a href="#ansible-utils">ansible\.utils</a>
     - <a href="#arista-eos">arista\.eos</a>
@@ -53,7 +205,7 @@ This changelog describes changes since A
     - <a href="#junipernetworks-junos">junipernetworks\.junos</a>
     - <a href="#splunk-es">splunk\.es</a>
 - <a href="#minor-changes">Minor Changes</a>
-    - <a href="#ansible-core-2">Ansible\-core</a>
+    - <a href="#ansible-core-3">Ansible\-core</a>
     - <a href="#amazon-aws">amazon\.aws</a>
     - <a href="#ansible-netcommon-1">ansible\.netcommon</a>
     - <a href="#ansible-utils-1">ansible\.utils</a>
@@ -95,7 +247,7 @@ This changelog describes changes since A
     - <a href="#grafana-grafana-1">grafana\.grafana</a>
     - <a href="#hetzner-hcloud">hetzner\.hcloud</a>
     - <a href="#ibm-storage-virtualize">ibm\.storage\_virtualize</a>
-    - <a href="#inspur-ispim">inspur\.ispim</a>
+    - <a href="#inspur-ispim-1">inspur\.ispim</a>
     - <a href="#junipernetworks-junos-1">junipernetworks\.junos</a>
     - <a href="#kubernetes-core">kubernetes\.core</a>
     - <a href="#lowlydba-sqlserver">lowlydba\.sqlserver</a>
@@ -110,7 +262,7 @@ This changelog describes changes since A
     - <a href="#vmware-vmware-rest">vmware\.vmware\_rest</a>
     - <a href="#vultr-cloud">vultr\.cloud</a>
 - <a href="#breaking-changes--porting-guide">Breaking Changes / Porting Guide</a>
-    - <a href="#ansible-core-3">Ansible\-core</a>
+    - <a href="#ansible-core-4">Ansible\-core</a>
     - <a href="#amazon-aws-1">amazon\.aws</a>
     - <a href="#cloud-common">cloud\.common</a>
     - <a href="#community-aws-1">community\.aws</a>
@@ -124,7 +276,7 @@ This changelog describes changes since A
     - <a href="#theforeman-foreman-1">theforeman\.foreman</a>
     - <a href="#vmware-vmware-rest-1">vmware\.vmware\_rest</a>
 - <a href="#deprecated-features">Deprecated Features</a>
-    - <a href="#ansible-core-4">Ansible\-core</a>
+    - <a href="#ansible-core-5">Ansible\-core</a>
     - <a href="#amazon-aws-2">amazon\.aws</a>
     - <a href="#community-aws-2">community\.aws</a>
     - <a href="#community-crypto-1">community\.crypto</a>
@@ -137,7 +289,7 @@ This changelog describes changes since A
     - <a href="#dellemc-openmanage-2">dellemc\.openmanage</a>
     - <a href="#kubernetes-core-2">kubernetes\.core</a>
 - <a href="#removed-features-previously-deprecated">Removed Features \(previously deprecated\)</a>
-    - <a href="#ansible-core-5">Ansible\-core</a>
+    - <a href="#ansible-core-6">Ansible\-core</a>
     - <a href="#amazon-aws-3">amazon\.aws</a>
     - <a href="#arista-eos-2">arista\.eos</a>
     - <a href="#cisco-ios-2">cisco\.ios</a>
@@ -149,13 +301,13 @@ This changelog describes changes since A
     - <a href="#community-hrobot-4">community\.hrobot</a>
     - <a href="#junipernetworks-junos-2">junipernetworks\.junos</a>
 - <a href="#security-fixes">Security Fixes</a>
-    - <a href="#ansible-core-6">Ansible\-core</a>
+    - <a href="#ansible-core-7">Ansible\-core</a>
     - <a href="#community-dns-5">community\.dns</a>
     - <a href="#community-docker-3">community\.docker</a>
     - <a href="#community-general-4">community\.general</a>
     - <a href="#community-hrobot-5">community\.hrobot</a>
-- <a href="#bugfixes">Bugfixes</a>
-    - <a href="#ansible-core-7">Ansible\-core</a>
+- <a href="#bugfixes-1">Bugfixes</a>
+    - <a href="#ansible-core-8">Ansible\-core</a>
     - <a href="#amazon-aws-4">amazon\.aws</a>
     - <a href="#ansible-netcommon-2">ansible\.netcommon</a>
     - <a href="#ansible-utils-2">ansible\.utils</a>
@@ -246,9 +398,9 @@ This changelog describes changes since A
     - <a href="#theforeman-foreman-3">theforeman\.foreman</a>
     - <a href="#vultr-cloud-2">vultr\.cloud</a>
 - <a href="#new-roles">New Roles</a>
-- <a href="#unchanged-collections">Unchanged Collections</a>
+- <a href="#unchanged-collections-1">Unchanged Collections</a>
 
-<a id="release-summary"></a>
+<a id="release-summary-1"></a>
 ### Release Summary
 
 Release Date\: 2024\-06\-04
@@ -274,7 +426,7 @@ Release Date\: 2024\-06\-04
 * community\.library\_inventory\_filtering\_v1 \(version 1\.0\.1\)
 * kaytus\.ksmanage \(version 1\.2\.1\)
 
-<a id="ansible-core"></a>
+<a id="ansible-core-1"></a>
 ### Ansible\-core
 
 Ansible 10\.0\.0 contains ansible\-core version 2\.17\.0\.
@@ -366,7 +518,7 @@ If not mentioned explicitly\, the change
 <a id="major-changes"></a>
 ### Major Changes
 
-<a id="ansible-core-1"></a>
+<a id="ansible-core-2"></a>
 #### Ansible\-core
 
 * urls\.py \- Removed support for Python 2
@@ -514,7 +666,7 @@ If not mentioned explicitly\, the change
 <a id="minor-changes"></a>
 ### Minor Changes
 
-<a id="ansible-core-2"></a>
+<a id="ansible-core-3"></a>
 #### Ansible\-core
 
 * Add <code>dump</code> and <code>passno</code> mount information to facts component \([https\://github\.com/ansible/ansible/issues/80478](https\://github\.com/ansible/ansible/issues/80478)\)
@@ -1453,7 +1605,7 @@ If not mentioned explicitly\, the change
 * ibm\_svc\_manage\_volumgroup \- Added support to create clone or thinkclone volumegroup from snapshot from a subset of volumes
 * ibm\_svc\_manage\_volumgroup \- Added support to delete volumegroups keeping volumes via \'evictvolumes\'\.
 
-<a id="inspur-ispim"></a>
+<a id="inspur-ispim-1"></a>
 #### inspur\.ispim
 
 * Modify ansible\-test\.yml to add the ansible 2\.17 test [https\://github\.com/ispim/inspur\.ispim/pull/33](https\://github\.com/ispim/inspur\.ispim/pull/33)\.
@@ -1625,7 +1777,7 @@ If not mentioned explicitly\, the change
 <a id="breaking-changes--porting-guide"></a>
 ### Breaking Changes / Porting Guide
 
-<a id="ansible-core-3"></a>
+<a id="ansible-core-4"></a>
 #### Ansible\-core
 
 * assert \- Nested templating may result in an inability for the conditional to be evaluated\. See the porting guide for more information\.
@@ -1729,7 +1881,7 @@ If not mentioned explicitly\, the change
 * The <code>inspur\.sm</code> collection is considered unmaintained and will be removed from Ansible 11 if no one starts maintaining it again before Ansible 11\. See [the removal process for details on how this works](https\://github\.com/ansible\-collections/overview/blob/main/removal\_from\_ansible\.rst\#cancelling\-removal\-of\-an\-unmaintained\-collection) \([https\://forum\.ansible\.com/t/2854](https\://forum\.ansible\.com/t/2854)\)\.
 * The <code>netapp\.storagegrid</code> collection is considered unmaintained and will be removed from Ansible 11 if no one starts maintaining it again before Ansible 11\. See [the removal process for details on how this works](https\://github\.com/ansible\-collections/overview/blob/main/removal\_from\_ansible\.rst\#cancelling\-removal\-of\-an\-unmaintained\-collection) \([https\://forum\.ansible\.com/t/2811](https\://forum\.ansible\.com/t/2811)\)\.
 
-<a id="ansible-core-4"></a>
+<a id="ansible-core-5"></a>
 #### Ansible\-core
 
 * Old style vars plugins which use the entrypoints <em class="title-reference">get\_host\_vars</em> or <em class="title-reference">get\_group\_vars</em> are deprecated\. The plugin should be updated to inherit from <em class="title-reference">BaseVarsPlugin</em> and define a <em class="title-reference">get\_vars</em> method as the entrypoint\.
@@ -1836,7 +1988,7 @@ If not mentioned explicitly\, the change
 * The deprecated <code>community\.sap</code> collection has been removed from Ansible 10 \([https\://github\.com/ansible\-community/community\-topics/issues/247](https\://github\.com/ansible\-community/community\-topics/issues/247)\)\. There is a successor collection <code>community\.sap\_libs</code> in the community package which should cover the same functionality\.
 * The deprecated <code>purestorage\.fusion</code> collection has been removed \([https\://forum\.ansible\.com/t/3712](https\://forum\.ansible\.com/t/3712)\)\.
 
-<a id="ansible-core-5"></a>
+<a id="ansible-core-6"></a>
 #### Ansible\-core
 
 * Remove deprecated APIs from ansible\-docs \([https\://github\.com/ansible/ansible/issues/81716](https\://github\.com/ansible/ansible/issues/81716)\)\.
@@ -1920,7 +2072,7 @@ If not mentioned explicitly\, the change
 <a id="security-fixes"></a>
 ### Security Fixes
 
-<a id="ansible-core-6"></a>
+<a id="ansible-core-7"></a>
 #### Ansible\-core
 
 * ANSIBLE\_NO\_LOG \- Address issue where ANSIBLE\_NO\_LOG was ignored \(CVE\-2024\-0690\)
@@ -1948,10 +2100,10 @@ If not mentioned explicitly\, the change
 
 * robot inventory plugin \- make sure all data received from the Hetzner robot service server is marked as unsafe\, so remote code execution by obtaining texts that can be evaluated as templates is not possible \([https\://www\.die\-welt\.net/2024/03/remote\-code\-execution\-in\-ansible\-dynamic\-inventory\-plugins/](https\://www\.die\-welt\.net/2024/03/remote\-code\-execution\-in\-ansible\-dynamic\-inventory\-plugins/)\, [https\://github\.com/ansible\-collections/community\.hrobot/pull/99](https\://github\.com/ansible\-collections/community\.hrobot/pull/99)\)\.
 
-<a id="bugfixes"></a>
+<a id="bugfixes-1"></a>
 ### Bugfixes
 
-<a id="ansible-core-7"></a>
+<a id="ansible-core-8"></a>
 #### Ansible\-core
 
 * Add a version ceiling constraint for pypsrp to avoid potential breaking changes in the 1\.0\.0 release\.
@@ -3085,7 +3237,7 @@ If not mentioned explicitly\, the change
 
 * dellemc\.openmanage\.idrac\_user \- Role to manage local users of iDRAC\.
 
-<a id="unchanged-collections"></a>
+<a id="unchanged-collections-1"></a>
 ### Unchanged Collections
 
 * ansible\.posix \(still version 1\.5\.4\)
diff -pruN 10.0.0+dfsg-1/CHANGELOG-v10.rst 10.0.1+dfsg-1/CHANGELOG-v10.rst
--- 10.0.0+dfsg-1/CHANGELOG-v10.rst	2024-06-04 14:34:55.000000000 +0000
+++ 10.0.1+dfsg-1/CHANGELOG-v10.rst	2024-06-06 04:55:55.000000000 +0000
@@ -7,6 +7,151 @@ This changelog describes changes since A
 .. contents::
   :depth: 2
 
+v10.0.1
+=======
+
+.. contents::
+  :local:
+  :depth: 2
+
+Release Summary
+---------------
+
+Release Date: 2024-06-06
+
+`Porting Guide <https://docs.ansible.com/ansible/devel/porting_guides.html>`_
+
+This release updates 10.0.0 by removing binary files from a Windows venv that accidentally were included in two collection releases.
+
+Ansible-core
+------------
+
+Ansible 10.0.1 contains ansible-core version 2.17.0.
+This is the same version of ansible-core as in the previous Ansible release.
+
+Changed Collections
+-------------------
+
+If not mentioned explicitly, the changes are reported in the combined changelog below.
+
++-----------------+----------------+----------------+-------+
+| Collection      | Ansible 10.0.0 | Ansible 10.0.1 | Notes |
++=================+================+================+=======+
+| inspur.ispim    | 2.2.1          | 2.2.2          |       |
++-----------------+----------------+----------------+-------+
+| kaytus.ksmanage | 1.2.1          | 1.2.2          |       |
++-----------------+----------------+----------------+-------+
+
+Bugfixes
+--------
+
+inspur.ispim
+~~~~~~~~~~~~
+
+- Remove venv files that were accidentally bundled in 2.2.1 (https://github.com/ispim/inspur.ispim/pull/35).
+
+kaytus.ksmanage
+~~~~~~~~~~~~~~~
+
+- Remove venv files that were accidentally bundled in 1.2.2(https://github.com/ieisystem/kaytus.ksmanage/pull/23).
+
+Unchanged Collections
+---------------------
+
+- amazon.aws (still version 8.0.0)
+- ansible.netcommon (still version 6.1.2)
+- ansible.posix (still version 1.5.4)
+- ansible.utils (still version 4.1.0)
+- ansible.windows (still version 2.3.0)
+- arista.eos (still version 9.0.0)
+- awx.awx (still version 24.3.1)
+- azure.azcollection (still version 2.3.0)
+- check_point.mgmt (still version 5.2.3)
+- chocolatey.chocolatey (still version 1.5.1)
+- cisco.aci (still version 2.9.0)
+- cisco.asa (still version 5.0.1)
+- cisco.dnac (still version 6.13.3)
+- cisco.intersight (still version 2.0.9)
+- cisco.ios (still version 8.0.0)
+- cisco.iosxr (still version 9.0.0)
+- cisco.ise (still version 2.9.1)
+- cisco.meraki (still version 2.18.1)
+- cisco.mso (still version 2.6.0)
+- cisco.nxos (still version 8.0.0)
+- cisco.ucs (still version 1.10.0)
+- cloud.common (still version 3.0.0)
+- cloudscale_ch.cloud (still version 2.3.1)
+- community.aws (still version 8.0.0)
+- community.ciscosmb (still version 1.0.9)
+- community.crypto (still version 2.20.0)
+- community.digitalocean (still version 1.26.0)
+- community.dns (still version 3.0.0)
+- community.docker (still version 3.10.3)
+- community.general (still version 9.0.1)
+- community.grafana (still version 1.9.1)
+- community.hashi_vault (still version 6.2.0)
+- community.hrobot (still version 2.0.0)
+- community.library_inventory_filtering_v1 (still version 1.0.1)
+- community.libvirt (still version 1.3.0)
+- community.mongodb (still version 1.7.4)
+- community.mysql (still version 3.9.0)
+- community.network (still version 5.0.2)
+- community.okd (still version 3.0.1)
+- community.postgresql (still version 3.4.1)
+- community.proxysql (still version 1.5.1)
+- community.rabbitmq (still version 1.3.0)
+- community.routeros (still version 2.15.0)
+- community.sap_libs (still version 1.4.2)
+- community.sops (still version 1.6.7)
+- community.vmware (still version 4.4.0)
+- community.windows (still version 2.2.0)
+- community.zabbix (still version 2.4.0)
+- containers.podman (still version 1.13.0)
+- cyberark.conjur (still version 1.2.2)
+- cyberark.pas (still version 1.0.25)
+- dellemc.enterprise_sonic (still version 2.4.0)
+- dellemc.openmanage (still version 9.2.0)
+- dellemc.powerflex (still version 2.4.0)
+- dellemc.unity (still version 2.0.0)
+- f5networks.f5_modules (still version 1.28.0)
+- fortinet.fortimanager (still version 2.5.0)
+- fortinet.fortios (still version 2.3.6)
+- frr.frr (still version 2.0.2)
+- google.cloud (still version 1.3.0)
+- grafana.grafana (still version 5.2.0)
+- hetzner.hcloud (still version 3.1.1)
+- ibm.qradar (still version 3.0.0)
+- ibm.spectrum_virtualize (still version 2.0.0)
+- ibm.storage_virtualize (still version 2.3.1)
+- infinidat.infinibox (still version 1.4.5)
+- infoblox.nios_modules (still version 1.6.1)
+- inspur.sm (still version 2.3.0)
+- junipernetworks.junos (still version 8.0.0)
+- kubernetes.core (still version 3.1.0)
+- lowlydba.sqlserver (still version 2.3.2)
+- microsoft.ad (still version 1.5.0)
+- netapp.cloudmanager (still version 21.22.1)
+- netapp.ontap (still version 22.11.0)
+- netapp.storagegrid (still version 21.12.0)
+- netapp_eseries.santricity (still version 1.4.0)
+- netbox.netbox (still version 3.18.0)
+- ngine_io.cloudstack (still version 2.3.0)
+- ngine_io.exoscale (still version 1.1.0)
+- openstack.cloud (still version 2.2.0)
+- openvswitch.openvswitch (still version 2.1.1)
+- ovirt.ovirt (still version 3.2.0)
+- purestorage.flasharray (still version 1.28.0)
+- purestorage.flashblade (still version 1.17.0)
+- sensu.sensu_go (still version 1.14.0)
+- splunk.es (still version 3.0.0)
+- t_systems_mms.icinga_director (still version 2.0.1)
+- telekom_mms.icinga_director (still version 2.1.2)
+- theforeman.foreman (still version 4.0.0)
+- vmware.vmware_rest (still version 3.0.1)
+- vultr.cloud (still version 1.12.1)
+- vyos.vyos (still version 4.1.0)
+- wti.remote (still version 1.0.5)
+
 v10.0.0
 =======
 
diff -pruN 10.0.0+dfsg-1/PKG-INFO 10.0.1+dfsg-1/PKG-INFO
--- 10.0.0+dfsg-1/PKG-INFO	2024-06-04 14:35:32.763370800 +0000
+++ 10.0.1+dfsg-1/PKG-INFO	2024-06-06 04:56:30.419499900 +0000
@@ -1,6 +1,6 @@
 Metadata-Version: 2.1
 Name: ansible
-Version: 10.0.0
+Version: 10.0.1
 Summary: Radically simple IT automation
 Home-page: https://ansible.com/
 Author: Ansible, Inc.
diff -pruN 10.0.0+dfsg-1/ansible.egg-info/PKG-INFO 10.0.1+dfsg-1/ansible.egg-info/PKG-INFO
--- 10.0.0+dfsg-1/ansible.egg-info/PKG-INFO	2024-06-04 14:35:10.000000000 +0000
+++ 10.0.1+dfsg-1/ansible.egg-info/PKG-INFO	2024-06-06 04:56:09.000000000 +0000
@@ -1,6 +1,6 @@
 Metadata-Version: 2.1
 Name: ansible
-Version: 10.0.0
+Version: 10.0.1
 Summary: Radically simple IT automation
 Home-page: https://ansible.com/
 Author: Ansible, Inc.
diff -pruN 10.0.0+dfsg-1/ansible.egg-info/SOURCES.txt 10.0.1+dfsg-1/ansible.egg-info/SOURCES.txt
--- 10.0.0+dfsg-1/ansible.egg-info/SOURCES.txt	2024-06-04 14:35:21.000000000 +0000
+++ 10.0.1+dfsg-1/ansible.egg-info/SOURCES.txt	2024-06-06 04:56:19.000000000 +0000
@@ -14432,617 +14432,6 @@ tags.yaml
 ./ansible_collections/inspur/ispim/plugins/modules/user_info.py
 ./ansible_collections/inspur/ispim/plugins/modules/virtual_media_info.py
 ./ansible_collections/inspur/ispim/plugins/modules/volt_info.py
-./ansible_collections/inspur/ispim/venv/.gitignore
-./ansible_collections/inspur/ispim/venv/pyvenv.cfg
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/_virtualenv.pth
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/_virtualenv.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/distutils-precedence.pth
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip-21.1.2.virtualenv
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools-57.0.0.virtualenv
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel-0.36.2.virtualenv
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/_distutils_hack/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/_distutils_hack/override.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/__main__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/py.typed
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip-21.1.2.dist-info/INSTALLER
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip-21.1.2.dist-info/LICENSE.txt
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip-21.1.2.dist-info/METADATA
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip-21.1.2.dist-info/RECORD
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip-21.1.2.dist-info/WHEEL
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip-21.1.2.dist-info/entry_points.txt
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip-21.1.2.dist-info/top_level.txt
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/build_env.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/cache.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/configuration.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/exceptions.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/main.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/pyproject.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/self_outdated_check.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/wheel_builder.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/cli/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/cli/autocompletion.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/cli/base_command.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/cli/cmdoptions.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/cli/command_context.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/cli/main.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/cli/main_parser.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/cli/parser.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/cli/progress_bars.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/cli/req_command.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/cli/spinners.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/cli/status_codes.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/commands/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/commands/cache.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/commands/check.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/commands/completion.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/commands/configuration.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/commands/debug.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/commands/download.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/commands/freeze.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/commands/hash.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/commands/help.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/commands/install.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/commands/list.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/commands/search.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/commands/show.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/commands/uninstall.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/commands/wheel.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/distributions/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/distributions/base.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/distributions/installed.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/distributions/sdist.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/distributions/wheel.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/index/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/index/collector.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/index/package_finder.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/index/sources.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/locations/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/locations/_distutils.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/locations/_sysconfig.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/locations/base.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/metadata/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/metadata/base.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/metadata/pkg_resources.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/models/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/models/candidate.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/models/direct_url.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/models/format_control.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/models/index.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/models/link.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/models/scheme.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/models/search_scope.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/models/selection_prefs.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/models/target_python.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/models/wheel.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/network/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/network/auth.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/network/cache.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/network/download.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/network/lazy_wheel.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/network/session.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/network/utils.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/network/xmlrpc.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/operations/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/operations/check.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/operations/freeze.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/operations/prepare.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/operations/build/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/operations/build/metadata.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/operations/build/metadata_legacy.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/operations/build/wheel.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/operations/build/wheel_legacy.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/operations/install/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/operations/install/editable_legacy.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/operations/install/legacy.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/operations/install/wheel.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/req/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/req/constructors.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/req/req_file.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/req/req_install.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/req/req_set.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/req/req_tracker.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/req/req_uninstall.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/resolution/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/resolution/base.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/resolution/legacy/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/resolution/legacy/resolver.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/resolution/resolvelib/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/resolution/resolvelib/base.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/resolution/resolvelib/candidates.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/resolution/resolvelib/factory.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/resolution/resolvelib/found_candidates.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/resolution/resolvelib/provider.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/resolution/resolvelib/reporter.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/resolution/resolvelib/requirements.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/resolution/resolvelib/resolver.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/appdirs.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/compat.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/compatibility_tags.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/datetime.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/deprecation.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/direct_url_helpers.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/distutils_args.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/encoding.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/entrypoints.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/filesystem.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/filetypes.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/glibc.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/hashes.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/inject_securetransport.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/logging.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/misc.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/models.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/packaging.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/parallel.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/pkg_resources.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/setuptools_build.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/subprocess.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/temp_dir.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/unpacking.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/urls.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/virtualenv.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/wheel.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/vcs/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/vcs/bazaar.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/vcs/git.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/vcs/mercurial.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/vcs/subversion.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/vcs/versioncontrol.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/appdirs.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distro.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/pyparsing.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/six.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/vendor.txt
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/cachecontrol/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/cachecontrol/_cmd.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/cachecontrol/adapter.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/cachecontrol/cache.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/cachecontrol/compat.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/cachecontrol/controller.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/cachecontrol/filewrapper.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/cachecontrol/heuristics.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/cachecontrol/serialize.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/cachecontrol/wrapper.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/cachecontrol/caches/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/cachecontrol/caches/file_cache.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/cachecontrol/caches/redis_cache.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/certifi/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/certifi/__main__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/certifi/cacert.pem
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/certifi/core.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/big5freq.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/big5prober.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/chardistribution.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/charsetgroupprober.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/charsetprober.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/codingstatemachine.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/compat.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/cp949prober.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/enums.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/escprober.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/escsm.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/eucjpprober.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/euckrfreq.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/euckrprober.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/euctwfreq.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/euctwprober.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/gb2312freq.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/gb2312prober.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/hebrewprober.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/jisfreq.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/jpcntx.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/langbulgarianmodel.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/langgreekmodel.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/langhebrewmodel.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/langhungarianmodel.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/langrussianmodel.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/langthaimodel.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/langturkishmodel.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/latin1prober.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/mbcharsetprober.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/mbcsgroupprober.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/mbcssm.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/sbcharsetprober.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/sbcsgroupprober.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/sjisprober.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/universaldetector.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/utf8prober.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/version.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/cli/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/cli/chardetect.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/metadata/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/metadata/languages.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/colorama/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/colorama/ansi.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/colorama/ansitowin32.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/colorama/initialise.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/colorama/win32.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/colorama/winterm.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distlib/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distlib/compat.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distlib/database.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distlib/index.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distlib/locators.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distlib/manifest.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distlib/markers.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distlib/metadata.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distlib/resources.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distlib/scripts.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distlib/t32.exe
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distlib/t64.exe
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distlib/util.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distlib/version.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distlib/w32.exe
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distlib/w64.exe
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distlib/wheel.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distlib/_backport/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distlib/_backport/misc.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distlib/_backport/shutil.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distlib/_backport/sysconfig.cfg
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distlib/_backport/sysconfig.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distlib/_backport/tarfile.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/_ihatexml.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/_inputstream.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/_tokenizer.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/_utils.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/constants.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/html5parser.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/serializer.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/_trie/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/_trie/_base.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/_trie/py.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/filters/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/filters/alphabeticalattributes.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/filters/base.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/filters/inject_meta_charset.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/filters/lint.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/filters/optionaltags.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/filters/sanitizer.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/filters/whitespace.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/treeadapters/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/treeadapters/genshi.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/treeadapters/sax.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/treebuilders/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/treebuilders/base.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/treebuilders/dom.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/treebuilders/etree.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/treebuilders/etree_lxml.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/treewalkers/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/treewalkers/base.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/treewalkers/dom.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/treewalkers/etree.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/treewalkers/etree_lxml.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/treewalkers/genshi.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/idna/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/idna/codec.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/idna/compat.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/idna/core.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/idna/idnadata.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/idna/intranges.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/idna/package_data.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/idna/uts46data.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/msgpack/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/msgpack/_version.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/msgpack/exceptions.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/msgpack/ext.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/msgpack/fallback.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/packaging/__about__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/packaging/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/packaging/_compat.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/packaging/_structures.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/packaging/_typing.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/packaging/markers.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/packaging/requirements.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/packaging/specifiers.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/packaging/tags.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/packaging/utils.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/packaging/version.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/pep517/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/pep517/build.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/pep517/check.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/pep517/colorlog.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/pep517/compat.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/pep517/dirtools.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/pep517/envbuild.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/pep517/meta.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/pep517/wrappers.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/pep517/in_process/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/pep517/in_process/_in_process.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/pkg_resources/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/pkg_resources/py31compat.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/progress/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/progress/bar.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/progress/counter.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/progress/spinner.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/requests/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/requests/__version__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/requests/_internal_utils.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/requests/adapters.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/requests/api.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/requests/auth.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/requests/certs.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/requests/compat.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/requests/cookies.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/requests/exceptions.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/requests/help.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/requests/hooks.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/requests/models.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/requests/packages.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/requests/sessions.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/requests/status_codes.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/requests/structures.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/requests/utils.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/resolvelib/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/resolvelib/providers.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/resolvelib/reporters.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/resolvelib/resolvers.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/resolvelib/structs.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/resolvelib/compat/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/resolvelib/compat/collections_abc.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/tenacity/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/tenacity/_asyncio.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/tenacity/_utils.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/tenacity/after.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/tenacity/before.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/tenacity/before_sleep.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/tenacity/compat.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/tenacity/nap.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/tenacity/retry.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/tenacity/stop.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/tenacity/tornadoweb.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/tenacity/wait.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/toml/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/toml/decoder.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/toml/encoder.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/toml/ordered.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/toml/tz.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/_collections.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/_version.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/connection.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/connectionpool.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/exceptions.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/fields.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/filepost.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/poolmanager.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/request.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/response.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/contrib/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/contrib/_appengine_environ.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/contrib/appengine.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/contrib/ntlmpool.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/contrib/pyopenssl.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/contrib/securetransport.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/contrib/socks.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/contrib/_securetransport/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/contrib/_securetransport/bindings.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/contrib/_securetransport/low_level.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/packages/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/packages/six.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/packages/backports/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/packages/backports/makefile.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/packages/ssl_match_hostname/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/packages/ssl_match_hostname/_implementation.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/util/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/util/connection.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/util/proxy.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/util/queue.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/util/request.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/util/response.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/util/retry.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/util/ssl_.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/util/ssltransport.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/util/timeout.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/util/url.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/util/wait.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/webencodings/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/webencodings/labels.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/webencodings/mklabels.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/webencodings/tests.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/webencodings/x_user_defined.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pkg_resources/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pkg_resources/_vendor/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pkg_resources/_vendor/appdirs.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pkg_resources/_vendor/pyparsing.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pkg_resources/_vendor/packaging/__about__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pkg_resources/_vendor/packaging/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pkg_resources/_vendor/packaging/_compat.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pkg_resources/_vendor/packaging/_structures.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pkg_resources/_vendor/packaging/_typing.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pkg_resources/_vendor/packaging/markers.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pkg_resources/_vendor/packaging/requirements.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pkg_resources/_vendor/packaging/specifiers.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pkg_resources/_vendor/packaging/tags.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pkg_resources/_vendor/packaging/utils.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pkg_resources/_vendor/packaging/version.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pkg_resources/extern/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/pkg_resources/tests/data/my-test-package-source/setup.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_deprecation_warning.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_imp.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/archive_util.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/build_meta.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/cli-32.exe
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/cli-64.exe
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/cli.exe
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/config.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/dep_util.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/depends.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/dist.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/errors.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/extension.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/glob.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/gui-32.exe
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/gui-64.exe
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/gui.exe
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/installer.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/launch.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/lib2to3_ex.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/monkey.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/msvc.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/namespaces.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/package_index.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/py34compat.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/sandbox.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/script (dev).tmpl
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/script.tmpl
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/ssl_support.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/unicode_utils.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/version.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/wheel.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/windows_support.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools-57.0.0.dist-info/INSTALLER
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools-57.0.0.dist-info/LICENSE
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools-57.0.0.dist-info/METADATA
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools-57.0.0.dist-info/RECORD
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools-57.0.0.dist-info/WHEEL
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools-57.0.0.dist-info/dependency_links.txt
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools-57.0.0.dist-info/entry_points.txt
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools-57.0.0.dist-info/top_level.txt
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/_msvccompiler.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/archive_util.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/bcppcompiler.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/ccompiler.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/cmd.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/config.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/core.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/cygwinccompiler.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/debug.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/dep_util.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/dir_util.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/dist.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/errors.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/extension.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/fancy_getopt.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/file_util.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/filelist.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/log.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/msvc9compiler.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/msvccompiler.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/py35compat.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/py38compat.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/spawn.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/sysconfig.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/text_file.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/unixccompiler.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/util.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/version.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/versionpredicate.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/bdist.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/bdist_dumb.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/bdist_msi.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/bdist_rpm.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/bdist_wininst.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/build.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/build_clib.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/build_ext.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/build_py.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/build_scripts.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/check.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/clean.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/config.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/install.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/install_data.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/install_egg_info.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/install_headers.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/install_lib.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/install_scripts.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/py37compat.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/register.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/sdist.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/upload.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_vendor/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_vendor/ordered_set.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_vendor/pyparsing.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_vendor/more_itertools/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_vendor/more_itertools/more.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_vendor/more_itertools/recipes.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_vendor/packaging/__about__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_vendor/packaging/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_vendor/packaging/_compat.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_vendor/packaging/_structures.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_vendor/packaging/_typing.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_vendor/packaging/markers.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_vendor/packaging/requirements.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_vendor/packaging/specifiers.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_vendor/packaging/tags.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_vendor/packaging/utils.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_vendor/packaging/version.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/alias.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/bdist_egg.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/bdist_rpm.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/build_clib.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/build_ext.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/build_py.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/develop.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/dist_info.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/easy_install.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/egg_info.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/install.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/install_egg_info.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/install_lib.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/install_scripts.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/launcher manifest.xml
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/py36compat.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/register.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/rotate.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/saveopts.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/sdist.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/setopt.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/test.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/upload.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/upload_docs.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/extern/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel/__main__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel/bdist_wheel.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel/macosx_libfile.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel/metadata.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel/pkginfo.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel/util.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel/wheelfile.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel-0.36.2.dist-info/INSTALLER
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel-0.36.2.dist-info/LICENSE.txt
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel-0.36.2.dist-info/METADATA
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel-0.36.2.dist-info/RECORD
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel-0.36.2.dist-info/WHEEL
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel-0.36.2.dist-info/entry_points.txt
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel-0.36.2.dist-info/top_level.txt
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel/cli/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel/cli/convert.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel/cli/pack.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel/cli/unpack.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel/vendored/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel/vendored/packaging/__init__.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel/vendored/packaging/_typing.py
-./ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel/vendored/packaging/tags.py
-./ansible_collections/inspur/ispim/venv/Scripts/activate
-./ansible_collections/inspur/ispim/venv/Scripts/activate.bat
-./ansible_collections/inspur/ispim/venv/Scripts/activate.fish
-./ansible_collections/inspur/ispim/venv/Scripts/activate.ps1
-./ansible_collections/inspur/ispim/venv/Scripts/activate.xsh
-./ansible_collections/inspur/ispim/venv/Scripts/activate_this.py
-./ansible_collections/inspur/ispim/venv/Scripts/deactivate.bat
-./ansible_collections/inspur/ispim/venv/Scripts/pip-3.7.exe
-./ansible_collections/inspur/ispim/venv/Scripts/pip.exe
-./ansible_collections/inspur/ispim/venv/Scripts/pip3.7.exe
-./ansible_collections/inspur/ispim/venv/Scripts/pip3.exe
-./ansible_collections/inspur/ispim/venv/Scripts/pydoc.bat
-./ansible_collections/inspur/ispim/venv/Scripts/python.exe
-./ansible_collections/inspur/ispim/venv/Scripts/pythonw.exe
-./ansible_collections/inspur/ispim/venv/Scripts/wheel-3.7.exe
-./ansible_collections/inspur/ispim/venv/Scripts/wheel.exe
-./ansible_collections/inspur/ispim/venv/Scripts/wheel3.7.exe
-./ansible_collections/inspur/ispim/venv/Scripts/wheel3.exe
 ./ansible_collections/inspur/sm/CHANGELOG.rst
 ./ansible_collections/inspur/sm/CODE_OF_CONDUCT.md
 ./ansible_collections/inspur/sm/FILES.json
@@ -15761,617 +15150,6 @@ tags.yaml
 ./ansible_collections/kaytus/ksmanage/plugins/modules/user_info.py
 ./ansible_collections/kaytus/ksmanage/plugins/modules/virtual_media_info.py
 ./ansible_collections/kaytus/ksmanage/plugins/modules/volt_info.py
-./ansible_collections/kaytus/ksmanage/venv/.gitignore
-./ansible_collections/kaytus/ksmanage/venv/pyvenv.cfg
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/_virtualenv.pth
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/_virtualenv.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/distutils-precedence.pth
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip-21.1.2.virtualenv
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools-57.0.0.virtualenv
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel-0.36.2.virtualenv
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/_distutils_hack/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/_distutils_hack/override.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/__main__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/py.typed
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip-21.1.2.dist-info/INSTALLER
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip-21.1.2.dist-info/LICENSE.txt
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip-21.1.2.dist-info/METADATA
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip-21.1.2.dist-info/RECORD
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip-21.1.2.dist-info/WHEEL
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip-21.1.2.dist-info/entry_points.txt
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip-21.1.2.dist-info/top_level.txt
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/build_env.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/cache.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/configuration.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/exceptions.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/main.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/pyproject.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/self_outdated_check.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/wheel_builder.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/cli/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/cli/autocompletion.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/cli/base_command.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/cli/cmdoptions.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/cli/command_context.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/cli/main.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/cli/main_parser.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/cli/parser.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/cli/progress_bars.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/cli/req_command.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/cli/spinners.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/cli/status_codes.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/commands/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/commands/cache.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/commands/check.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/commands/completion.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/commands/configuration.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/commands/debug.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/commands/download.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/commands/freeze.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/commands/hash.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/commands/help.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/commands/install.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/commands/list.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/commands/search.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/commands/show.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/commands/uninstall.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/commands/wheel.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/distributions/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/distributions/base.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/distributions/installed.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/distributions/sdist.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/distributions/wheel.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/index/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/index/collector.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/index/package_finder.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/index/sources.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/locations/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/locations/_distutils.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/locations/_sysconfig.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/locations/base.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/metadata/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/metadata/base.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/metadata/pkg_resources.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/models/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/models/candidate.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/models/direct_url.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/models/format_control.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/models/index.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/models/link.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/models/scheme.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/models/search_scope.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/models/selection_prefs.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/models/target_python.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/models/wheel.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/network/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/network/auth.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/network/cache.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/network/download.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/network/lazy_wheel.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/network/session.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/network/utils.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/network/xmlrpc.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/operations/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/operations/check.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/operations/freeze.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/operations/prepare.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/operations/build/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/operations/build/metadata.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/operations/build/metadata_legacy.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/operations/build/wheel.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/operations/build/wheel_legacy.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/operations/install/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/operations/install/editable_legacy.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/operations/install/legacy.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/operations/install/wheel.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/req/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/req/constructors.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/req/req_file.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/req/req_install.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/req/req_set.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/req/req_tracker.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/req/req_uninstall.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/resolution/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/resolution/base.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/resolution/legacy/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/resolution/legacy/resolver.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/resolution/resolvelib/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/resolution/resolvelib/base.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/resolution/resolvelib/candidates.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/resolution/resolvelib/factory.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/resolution/resolvelib/found_candidates.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/resolution/resolvelib/provider.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/resolution/resolvelib/reporter.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/resolution/resolvelib/requirements.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/resolution/resolvelib/resolver.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/appdirs.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/compat.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/compatibility_tags.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/datetime.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/deprecation.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/direct_url_helpers.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/distutils_args.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/encoding.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/entrypoints.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/filesystem.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/filetypes.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/glibc.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/hashes.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/inject_securetransport.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/logging.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/misc.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/models.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/packaging.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/parallel.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/pkg_resources.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/setuptools_build.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/subprocess.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/temp_dir.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/unpacking.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/urls.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/virtualenv.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/wheel.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/vcs/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/vcs/bazaar.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/vcs/git.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/vcs/mercurial.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/vcs/subversion.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/vcs/versioncontrol.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/appdirs.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distro.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/pyparsing.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/six.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/vendor.txt
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/cachecontrol/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/cachecontrol/_cmd.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/cachecontrol/adapter.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/cachecontrol/cache.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/cachecontrol/compat.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/cachecontrol/controller.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/cachecontrol/filewrapper.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/cachecontrol/heuristics.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/cachecontrol/serialize.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/cachecontrol/wrapper.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/cachecontrol/caches/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/cachecontrol/caches/file_cache.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/cachecontrol/caches/redis_cache.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/certifi/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/certifi/__main__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/certifi/cacert.pem
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/certifi/core.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/big5freq.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/big5prober.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/chardistribution.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/charsetgroupprober.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/charsetprober.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/codingstatemachine.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/compat.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/cp949prober.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/enums.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/escprober.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/escsm.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/eucjpprober.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/euckrfreq.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/euckrprober.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/euctwfreq.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/euctwprober.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/gb2312freq.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/gb2312prober.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/hebrewprober.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/jisfreq.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/jpcntx.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/langbulgarianmodel.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/langgreekmodel.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/langhebrewmodel.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/langhungarianmodel.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/langrussianmodel.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/langthaimodel.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/langturkishmodel.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/latin1prober.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/mbcharsetprober.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/mbcsgroupprober.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/mbcssm.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/sbcharsetprober.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/sbcsgroupprober.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/sjisprober.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/universaldetector.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/utf8prober.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/version.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/cli/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/cli/chardetect.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/metadata/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/metadata/languages.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/colorama/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/colorama/ansi.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/colorama/ansitowin32.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/colorama/initialise.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/colorama/win32.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/colorama/winterm.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distlib/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distlib/compat.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distlib/database.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distlib/index.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distlib/locators.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distlib/manifest.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distlib/markers.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distlib/metadata.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distlib/resources.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distlib/scripts.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distlib/t32.exe
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distlib/t64.exe
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distlib/util.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distlib/version.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distlib/w32.exe
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distlib/w64.exe
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distlib/wheel.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distlib/_backport/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distlib/_backport/misc.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distlib/_backport/shutil.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distlib/_backport/sysconfig.cfg
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distlib/_backport/sysconfig.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distlib/_backport/tarfile.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/_ihatexml.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/_inputstream.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/_tokenizer.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/_utils.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/constants.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/html5parser.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/serializer.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/_trie/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/_trie/_base.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/_trie/py.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/filters/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/filters/alphabeticalattributes.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/filters/base.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/filters/inject_meta_charset.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/filters/lint.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/filters/optionaltags.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/filters/sanitizer.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/filters/whitespace.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/treeadapters/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/treeadapters/genshi.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/treeadapters/sax.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/treebuilders/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/treebuilders/base.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/treebuilders/dom.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/treebuilders/etree.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/treebuilders/etree_lxml.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/treewalkers/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/treewalkers/base.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/treewalkers/dom.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/treewalkers/etree.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/treewalkers/etree_lxml.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/treewalkers/genshi.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/idna/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/idna/codec.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/idna/compat.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/idna/core.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/idna/idnadata.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/idna/intranges.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/idna/package_data.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/idna/uts46data.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/msgpack/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/msgpack/_version.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/msgpack/exceptions.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/msgpack/ext.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/msgpack/fallback.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/packaging/__about__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/packaging/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/packaging/_compat.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/packaging/_structures.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/packaging/_typing.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/packaging/markers.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/packaging/requirements.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/packaging/specifiers.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/packaging/tags.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/packaging/utils.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/packaging/version.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/pep517/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/pep517/build.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/pep517/check.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/pep517/colorlog.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/pep517/compat.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/pep517/dirtools.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/pep517/envbuild.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/pep517/meta.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/pep517/wrappers.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/pep517/in_process/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/pep517/in_process/_in_process.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/pkg_resources/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/pkg_resources/py31compat.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/progress/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/progress/bar.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/progress/counter.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/progress/spinner.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/requests/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/requests/__version__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/requests/_internal_utils.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/requests/adapters.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/requests/api.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/requests/auth.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/requests/certs.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/requests/compat.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/requests/cookies.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/requests/exceptions.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/requests/help.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/requests/hooks.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/requests/models.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/requests/packages.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/requests/sessions.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/requests/status_codes.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/requests/structures.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/requests/utils.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/resolvelib/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/resolvelib/providers.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/resolvelib/reporters.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/resolvelib/resolvers.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/resolvelib/structs.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/resolvelib/compat/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/resolvelib/compat/collections_abc.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/tenacity/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/tenacity/_asyncio.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/tenacity/_utils.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/tenacity/after.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/tenacity/before.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/tenacity/before_sleep.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/tenacity/compat.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/tenacity/nap.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/tenacity/retry.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/tenacity/stop.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/tenacity/tornadoweb.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/tenacity/wait.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/toml/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/toml/decoder.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/toml/encoder.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/toml/ordered.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/toml/tz.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/_collections.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/_version.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/connection.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/connectionpool.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/exceptions.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/fields.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/filepost.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/poolmanager.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/request.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/response.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/contrib/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/contrib/_appengine_environ.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/contrib/appengine.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/contrib/ntlmpool.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/contrib/pyopenssl.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/contrib/securetransport.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/contrib/socks.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/contrib/_securetransport/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/contrib/_securetransport/bindings.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/contrib/_securetransport/low_level.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/packages/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/packages/six.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/packages/backports/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/packages/backports/makefile.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/packages/ssl_match_hostname/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/packages/ssl_match_hostname/_implementation.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/util/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/util/connection.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/util/proxy.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/util/queue.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/util/request.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/util/response.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/util/retry.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/util/ssl_.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/util/ssltransport.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/util/timeout.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/util/url.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/util/wait.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/webencodings/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/webencodings/labels.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/webencodings/mklabels.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/webencodings/tests.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/webencodings/x_user_defined.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pkg_resources/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pkg_resources/_vendor/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pkg_resources/_vendor/appdirs.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pkg_resources/_vendor/pyparsing.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pkg_resources/_vendor/packaging/__about__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pkg_resources/_vendor/packaging/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pkg_resources/_vendor/packaging/_compat.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pkg_resources/_vendor/packaging/_structures.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pkg_resources/_vendor/packaging/_typing.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pkg_resources/_vendor/packaging/markers.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pkg_resources/_vendor/packaging/requirements.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pkg_resources/_vendor/packaging/specifiers.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pkg_resources/_vendor/packaging/tags.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pkg_resources/_vendor/packaging/utils.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pkg_resources/_vendor/packaging/version.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pkg_resources/extern/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pkg_resources/tests/data/my-test-package-source/setup.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_deprecation_warning.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_imp.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/archive_util.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/build_meta.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/cli-32.exe
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/cli-64.exe
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/cli.exe
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/config.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/dep_util.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/depends.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/dist.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/errors.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/extension.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/glob.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/gui-32.exe
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/gui-64.exe
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/gui.exe
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/installer.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/launch.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/lib2to3_ex.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/monkey.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/msvc.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/namespaces.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/package_index.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/py34compat.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/sandbox.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/script (dev).tmpl
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/script.tmpl
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/ssl_support.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/unicode_utils.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/version.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/wheel.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/windows_support.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools-57.0.0.dist-info/INSTALLER
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools-57.0.0.dist-info/LICENSE
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools-57.0.0.dist-info/METADATA
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools-57.0.0.dist-info/RECORD
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools-57.0.0.dist-info/WHEEL
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools-57.0.0.dist-info/dependency_links.txt
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools-57.0.0.dist-info/entry_points.txt
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools-57.0.0.dist-info/top_level.txt
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/_msvccompiler.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/archive_util.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/bcppcompiler.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/ccompiler.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/cmd.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/config.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/core.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/cygwinccompiler.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/debug.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/dep_util.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/dir_util.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/dist.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/errors.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/extension.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/fancy_getopt.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/file_util.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/filelist.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/log.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/msvc9compiler.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/msvccompiler.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/py35compat.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/py38compat.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/spawn.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/sysconfig.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/text_file.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/unixccompiler.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/util.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/version.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/versionpredicate.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/bdist.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/bdist_dumb.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/bdist_msi.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/bdist_rpm.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/bdist_wininst.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/build.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/build_clib.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/build_ext.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/build_py.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/build_scripts.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/check.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/clean.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/config.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/install.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/install_data.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/install_egg_info.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/install_headers.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/install_lib.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/install_scripts.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/py37compat.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/register.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/sdist.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/upload.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_vendor/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_vendor/ordered_set.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_vendor/pyparsing.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_vendor/more_itertools/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_vendor/more_itertools/more.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_vendor/more_itertools/recipes.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_vendor/packaging/__about__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_vendor/packaging/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_vendor/packaging/_compat.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_vendor/packaging/_structures.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_vendor/packaging/_typing.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_vendor/packaging/markers.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_vendor/packaging/requirements.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_vendor/packaging/specifiers.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_vendor/packaging/tags.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_vendor/packaging/utils.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_vendor/packaging/version.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/alias.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/bdist_egg.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/bdist_rpm.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/build_clib.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/build_ext.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/build_py.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/develop.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/dist_info.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/easy_install.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/egg_info.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/install.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/install_egg_info.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/install_lib.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/install_scripts.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/launcher manifest.xml
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/py36compat.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/register.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/rotate.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/saveopts.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/sdist.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/setopt.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/test.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/upload.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/upload_docs.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/extern/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel/__main__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel/bdist_wheel.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel/macosx_libfile.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel/metadata.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel/pkginfo.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel/util.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel/wheelfile.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel-0.36.2.dist-info/INSTALLER
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel-0.36.2.dist-info/LICENSE.txt
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel-0.36.2.dist-info/METADATA
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel-0.36.2.dist-info/RECORD
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel-0.36.2.dist-info/WHEEL
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel-0.36.2.dist-info/entry_points.txt
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel-0.36.2.dist-info/top_level.txt
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel/cli/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel/cli/convert.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel/cli/pack.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel/cli/unpack.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel/vendored/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel/vendored/packaging/__init__.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel/vendored/packaging/_typing.py
-./ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel/vendored/packaging/tags.py
-./ansible_collections/kaytus/ksmanage/venv/Scripts/activate
-./ansible_collections/kaytus/ksmanage/venv/Scripts/activate.bat
-./ansible_collections/kaytus/ksmanage/venv/Scripts/activate.fish
-./ansible_collections/kaytus/ksmanage/venv/Scripts/activate.ps1
-./ansible_collections/kaytus/ksmanage/venv/Scripts/activate.xsh
-./ansible_collections/kaytus/ksmanage/venv/Scripts/activate_this.py
-./ansible_collections/kaytus/ksmanage/venv/Scripts/deactivate.bat
-./ansible_collections/kaytus/ksmanage/venv/Scripts/pip-3.7.exe
-./ansible_collections/kaytus/ksmanage/venv/Scripts/pip.exe
-./ansible_collections/kaytus/ksmanage/venv/Scripts/pip3.7.exe
-./ansible_collections/kaytus/ksmanage/venv/Scripts/pip3.exe
-./ansible_collections/kaytus/ksmanage/venv/Scripts/pydoc.bat
-./ansible_collections/kaytus/ksmanage/venv/Scripts/python.exe
-./ansible_collections/kaytus/ksmanage/venv/Scripts/pythonw.exe
-./ansible_collections/kaytus/ksmanage/venv/Scripts/wheel-3.7.exe
-./ansible_collections/kaytus/ksmanage/venv/Scripts/wheel.exe
-./ansible_collections/kaytus/ksmanage/venv/Scripts/wheel3.7.exe
-./ansible_collections/kaytus/ksmanage/venv/Scripts/wheel3.exe
 ./ansible_collections/kubernetes/core/CHANGELOG.rst
 ./ansible_collections/kubernetes/core/CONTRIBUTING.md
 ./ansible_collections/kubernetes/core/FILES.json
@@ -51870,13 +50648,6 @@ ansible_collections/inspur/ispim/__init_
 ansible_collections/inspur/ispim/requirements.txt
 ansible_collections/inspur/ispim/.github/settings.yml
 ansible_collections/inspur/ispim/.github/workflows/ansible-test.yml
-ansible_collections/inspur/ispim/.idea/.gitignore
-ansible_collections/inspur/ispim/.idea/inspur.ispim.iml
-ansible_collections/inspur/ispim/.idea/misc.xml
-ansible_collections/inspur/ispim/.idea/modules.xml
-ansible_collections/inspur/ispim/.idea/vcs.xml
-ansible_collections/inspur/ispim/.idea/workspace.xml
-ansible_collections/inspur/ispim/.idea/inspectionProfiles/profiles_settings.xml
 ansible_collections/inspur/ispim/changelogs/.plugin-cache.yaml
 ansible_collections/inspur/ispim/changelogs/changelog.yaml
 ansible_collections/inspur/ispim/changelogs/config.yaml
@@ -52143,617 +50914,6 @@ ansible_collections/inspur/ispim/plugins
 ansible_collections/inspur/ispim/plugins/modules/user_info.py
 ansible_collections/inspur/ispim/plugins/modules/virtual_media_info.py
 ansible_collections/inspur/ispim/plugins/modules/volt_info.py
-ansible_collections/inspur/ispim/venv/.gitignore
-ansible_collections/inspur/ispim/venv/pyvenv.cfg
-ansible_collections/inspur/ispim/venv/Lib/site-packages/_virtualenv.pth
-ansible_collections/inspur/ispim/venv/Lib/site-packages/_virtualenv.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/distutils-precedence.pth
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip-21.1.2.virtualenv
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools-57.0.0.virtualenv
-ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel-0.36.2.virtualenv
-ansible_collections/inspur/ispim/venv/Lib/site-packages/_distutils_hack/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/_distutils_hack/override.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/__main__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/py.typed
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip-21.1.2.dist-info/INSTALLER
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip-21.1.2.dist-info/LICENSE.txt
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip-21.1.2.dist-info/METADATA
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip-21.1.2.dist-info/RECORD
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip-21.1.2.dist-info/WHEEL
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip-21.1.2.dist-info/entry_points.txt
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip-21.1.2.dist-info/top_level.txt
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/build_env.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/cache.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/configuration.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/exceptions.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/main.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/pyproject.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/self_outdated_check.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/wheel_builder.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/cli/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/cli/autocompletion.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/cli/base_command.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/cli/cmdoptions.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/cli/command_context.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/cli/main.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/cli/main_parser.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/cli/parser.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/cli/progress_bars.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/cli/req_command.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/cli/spinners.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/cli/status_codes.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/commands/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/commands/cache.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/commands/check.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/commands/completion.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/commands/configuration.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/commands/debug.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/commands/download.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/commands/freeze.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/commands/hash.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/commands/help.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/commands/install.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/commands/list.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/commands/search.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/commands/show.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/commands/uninstall.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/commands/wheel.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/distributions/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/distributions/base.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/distributions/installed.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/distributions/sdist.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/distributions/wheel.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/index/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/index/collector.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/index/package_finder.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/index/sources.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/locations/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/locations/_distutils.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/locations/_sysconfig.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/locations/base.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/metadata/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/metadata/base.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/metadata/pkg_resources.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/models/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/models/candidate.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/models/direct_url.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/models/format_control.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/models/index.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/models/link.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/models/scheme.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/models/search_scope.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/models/selection_prefs.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/models/target_python.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/models/wheel.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/network/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/network/auth.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/network/cache.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/network/download.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/network/lazy_wheel.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/network/session.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/network/utils.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/network/xmlrpc.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/operations/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/operations/check.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/operations/freeze.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/operations/prepare.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/operations/build/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/operations/build/metadata.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/operations/build/metadata_legacy.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/operations/build/wheel.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/operations/build/wheel_legacy.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/operations/install/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/operations/install/editable_legacy.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/operations/install/legacy.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/operations/install/wheel.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/req/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/req/constructors.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/req/req_file.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/req/req_install.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/req/req_set.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/req/req_tracker.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/req/req_uninstall.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/resolution/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/resolution/base.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/resolution/legacy/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/resolution/legacy/resolver.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/resolution/resolvelib/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/resolution/resolvelib/base.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/resolution/resolvelib/candidates.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/resolution/resolvelib/factory.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/resolution/resolvelib/found_candidates.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/resolution/resolvelib/provider.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/resolution/resolvelib/reporter.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/resolution/resolvelib/requirements.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/resolution/resolvelib/resolver.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/appdirs.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/compat.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/compatibility_tags.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/datetime.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/deprecation.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/direct_url_helpers.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/distutils_args.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/encoding.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/entrypoints.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/filesystem.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/filetypes.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/glibc.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/hashes.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/inject_securetransport.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/logging.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/misc.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/models.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/packaging.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/parallel.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/pkg_resources.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/setuptools_build.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/subprocess.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/temp_dir.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/unpacking.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/urls.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/virtualenv.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/utils/wheel.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/vcs/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/vcs/bazaar.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/vcs/git.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/vcs/mercurial.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/vcs/subversion.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_internal/vcs/versioncontrol.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/appdirs.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distro.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/pyparsing.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/six.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/vendor.txt
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/cachecontrol/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/cachecontrol/_cmd.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/cachecontrol/adapter.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/cachecontrol/cache.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/cachecontrol/compat.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/cachecontrol/controller.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/cachecontrol/filewrapper.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/cachecontrol/heuristics.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/cachecontrol/serialize.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/cachecontrol/wrapper.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/cachecontrol/caches/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/cachecontrol/caches/file_cache.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/cachecontrol/caches/redis_cache.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/certifi/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/certifi/__main__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/certifi/cacert.pem
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/certifi/core.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/big5freq.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/big5prober.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/chardistribution.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/charsetgroupprober.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/charsetprober.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/codingstatemachine.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/compat.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/cp949prober.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/enums.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/escprober.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/escsm.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/eucjpprober.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/euckrfreq.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/euckrprober.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/euctwfreq.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/euctwprober.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/gb2312freq.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/gb2312prober.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/hebrewprober.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/jisfreq.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/jpcntx.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/langbulgarianmodel.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/langgreekmodel.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/langhebrewmodel.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/langhungarianmodel.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/langrussianmodel.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/langthaimodel.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/langturkishmodel.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/latin1prober.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/mbcharsetprober.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/mbcsgroupprober.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/mbcssm.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/sbcharsetprober.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/sbcsgroupprober.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/sjisprober.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/universaldetector.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/utf8prober.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/version.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/cli/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/cli/chardetect.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/metadata/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/chardet/metadata/languages.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/colorama/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/colorama/ansi.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/colorama/ansitowin32.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/colorama/initialise.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/colorama/win32.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/colorama/winterm.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distlib/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distlib/compat.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distlib/database.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distlib/index.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distlib/locators.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distlib/manifest.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distlib/markers.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distlib/metadata.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distlib/resources.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distlib/scripts.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distlib/t32.exe
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distlib/t64.exe
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distlib/util.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distlib/version.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distlib/w32.exe
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distlib/w64.exe
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distlib/wheel.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distlib/_backport/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distlib/_backport/misc.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distlib/_backport/shutil.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distlib/_backport/sysconfig.cfg
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distlib/_backport/sysconfig.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/distlib/_backport/tarfile.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/_ihatexml.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/_inputstream.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/_tokenizer.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/_utils.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/constants.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/html5parser.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/serializer.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/_trie/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/_trie/_base.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/_trie/py.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/filters/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/filters/alphabeticalattributes.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/filters/base.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/filters/inject_meta_charset.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/filters/lint.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/filters/optionaltags.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/filters/sanitizer.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/filters/whitespace.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/treeadapters/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/treeadapters/genshi.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/treeadapters/sax.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/treebuilders/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/treebuilders/base.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/treebuilders/dom.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/treebuilders/etree.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/treebuilders/etree_lxml.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/treewalkers/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/treewalkers/base.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/treewalkers/dom.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/treewalkers/etree.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/treewalkers/etree_lxml.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/html5lib/treewalkers/genshi.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/idna/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/idna/codec.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/idna/compat.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/idna/core.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/idna/idnadata.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/idna/intranges.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/idna/package_data.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/idna/uts46data.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/msgpack/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/msgpack/_version.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/msgpack/exceptions.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/msgpack/ext.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/msgpack/fallback.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/packaging/__about__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/packaging/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/packaging/_compat.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/packaging/_structures.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/packaging/_typing.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/packaging/markers.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/packaging/requirements.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/packaging/specifiers.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/packaging/tags.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/packaging/utils.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/packaging/version.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/pep517/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/pep517/build.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/pep517/check.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/pep517/colorlog.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/pep517/compat.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/pep517/dirtools.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/pep517/envbuild.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/pep517/meta.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/pep517/wrappers.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/pep517/in_process/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/pep517/in_process/_in_process.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/pkg_resources/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/pkg_resources/py31compat.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/progress/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/progress/bar.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/progress/counter.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/progress/spinner.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/requests/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/requests/__version__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/requests/_internal_utils.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/requests/adapters.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/requests/api.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/requests/auth.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/requests/certs.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/requests/compat.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/requests/cookies.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/requests/exceptions.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/requests/help.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/requests/hooks.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/requests/models.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/requests/packages.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/requests/sessions.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/requests/status_codes.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/requests/structures.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/requests/utils.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/resolvelib/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/resolvelib/providers.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/resolvelib/reporters.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/resolvelib/resolvers.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/resolvelib/structs.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/resolvelib/compat/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/resolvelib/compat/collections_abc.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/tenacity/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/tenacity/_asyncio.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/tenacity/_utils.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/tenacity/after.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/tenacity/before.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/tenacity/before_sleep.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/tenacity/compat.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/tenacity/nap.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/tenacity/retry.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/tenacity/stop.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/tenacity/tornadoweb.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/tenacity/wait.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/toml/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/toml/decoder.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/toml/encoder.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/toml/ordered.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/toml/tz.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/_collections.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/_version.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/connection.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/connectionpool.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/exceptions.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/fields.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/filepost.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/poolmanager.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/request.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/response.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/contrib/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/contrib/_appengine_environ.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/contrib/appengine.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/contrib/ntlmpool.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/contrib/pyopenssl.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/contrib/securetransport.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/contrib/socks.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/contrib/_securetransport/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/contrib/_securetransport/bindings.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/contrib/_securetransport/low_level.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/packages/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/packages/six.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/packages/backports/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/packages/backports/makefile.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/packages/ssl_match_hostname/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/packages/ssl_match_hostname/_implementation.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/util/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/util/connection.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/util/proxy.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/util/queue.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/util/request.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/util/response.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/util/retry.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/util/ssl_.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/util/ssltransport.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/util/timeout.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/util/url.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/urllib3/util/wait.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/webencodings/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/webencodings/labels.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/webencodings/mklabels.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/webencodings/tests.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pip/_vendor/webencodings/x_user_defined.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pkg_resources/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pkg_resources/_vendor/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pkg_resources/_vendor/appdirs.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pkg_resources/_vendor/pyparsing.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pkg_resources/_vendor/packaging/__about__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pkg_resources/_vendor/packaging/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pkg_resources/_vendor/packaging/_compat.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pkg_resources/_vendor/packaging/_structures.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pkg_resources/_vendor/packaging/_typing.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pkg_resources/_vendor/packaging/markers.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pkg_resources/_vendor/packaging/requirements.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pkg_resources/_vendor/packaging/specifiers.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pkg_resources/_vendor/packaging/tags.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pkg_resources/_vendor/packaging/utils.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pkg_resources/_vendor/packaging/version.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pkg_resources/extern/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/pkg_resources/tests/data/my-test-package-source/setup.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_deprecation_warning.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_imp.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/archive_util.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/build_meta.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/cli-32.exe
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/cli-64.exe
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/cli.exe
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/config.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/dep_util.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/depends.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/dist.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/errors.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/extension.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/glob.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/gui-32.exe
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/gui-64.exe
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/gui.exe
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/installer.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/launch.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/lib2to3_ex.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/monkey.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/msvc.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/namespaces.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/package_index.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/py34compat.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/sandbox.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/script (dev).tmpl
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/script.tmpl
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/ssl_support.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/unicode_utils.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/version.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/wheel.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/windows_support.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools-57.0.0.dist-info/INSTALLER
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools-57.0.0.dist-info/LICENSE
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools-57.0.0.dist-info/METADATA
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools-57.0.0.dist-info/RECORD
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools-57.0.0.dist-info/WHEEL
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools-57.0.0.dist-info/dependency_links.txt
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools-57.0.0.dist-info/entry_points.txt
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools-57.0.0.dist-info/top_level.txt
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/_msvccompiler.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/archive_util.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/bcppcompiler.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/ccompiler.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/cmd.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/config.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/core.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/cygwinccompiler.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/debug.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/dep_util.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/dir_util.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/dist.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/errors.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/extension.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/fancy_getopt.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/file_util.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/filelist.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/log.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/msvc9compiler.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/msvccompiler.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/py35compat.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/py38compat.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/spawn.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/sysconfig.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/text_file.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/unixccompiler.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/util.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/version.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/versionpredicate.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/bdist.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/bdist_dumb.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/bdist_msi.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/bdist_rpm.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/bdist_wininst.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/build.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/build_clib.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/build_ext.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/build_py.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/build_scripts.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/check.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/clean.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/config.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/install.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/install_data.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/install_egg_info.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/install_headers.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/install_lib.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/install_scripts.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/py37compat.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/register.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/sdist.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_distutils/command/upload.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_vendor/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_vendor/ordered_set.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_vendor/pyparsing.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_vendor/more_itertools/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_vendor/more_itertools/more.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_vendor/more_itertools/recipes.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_vendor/packaging/__about__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_vendor/packaging/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_vendor/packaging/_compat.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_vendor/packaging/_structures.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_vendor/packaging/_typing.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_vendor/packaging/markers.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_vendor/packaging/requirements.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_vendor/packaging/specifiers.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_vendor/packaging/tags.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_vendor/packaging/utils.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/_vendor/packaging/version.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/alias.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/bdist_egg.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/bdist_rpm.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/build_clib.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/build_ext.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/build_py.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/develop.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/dist_info.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/easy_install.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/egg_info.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/install.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/install_egg_info.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/install_lib.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/install_scripts.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/launcher manifest.xml
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/py36compat.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/register.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/rotate.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/saveopts.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/sdist.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/setopt.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/test.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/upload.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/command/upload_docs.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/setuptools/extern/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel/__main__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel/bdist_wheel.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel/macosx_libfile.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel/metadata.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel/pkginfo.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel/util.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel/wheelfile.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel-0.36.2.dist-info/INSTALLER
-ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel-0.36.2.dist-info/LICENSE.txt
-ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel-0.36.2.dist-info/METADATA
-ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel-0.36.2.dist-info/RECORD
-ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel-0.36.2.dist-info/WHEEL
-ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel-0.36.2.dist-info/entry_points.txt
-ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel-0.36.2.dist-info/top_level.txt
-ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel/cli/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel/cli/convert.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel/cli/pack.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel/cli/unpack.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel/vendored/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel/vendored/packaging/__init__.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel/vendored/packaging/_typing.py
-ansible_collections/inspur/ispim/venv/Lib/site-packages/wheel/vendored/packaging/tags.py
-ansible_collections/inspur/ispim/venv/Scripts/activate
-ansible_collections/inspur/ispim/venv/Scripts/activate.bat
-ansible_collections/inspur/ispim/venv/Scripts/activate.fish
-ansible_collections/inspur/ispim/venv/Scripts/activate.ps1
-ansible_collections/inspur/ispim/venv/Scripts/activate.xsh
-ansible_collections/inspur/ispim/venv/Scripts/activate_this.py
-ansible_collections/inspur/ispim/venv/Scripts/deactivate.bat
-ansible_collections/inspur/ispim/venv/Scripts/pip-3.7.exe
-ansible_collections/inspur/ispim/venv/Scripts/pip.exe
-ansible_collections/inspur/ispim/venv/Scripts/pip3.7.exe
-ansible_collections/inspur/ispim/venv/Scripts/pip3.exe
-ansible_collections/inspur/ispim/venv/Scripts/pydoc.bat
-ansible_collections/inspur/ispim/venv/Scripts/python.exe
-ansible_collections/inspur/ispim/venv/Scripts/pythonw.exe
-ansible_collections/inspur/ispim/venv/Scripts/wheel-3.7.exe
-ansible_collections/inspur/ispim/venv/Scripts/wheel.exe
-ansible_collections/inspur/ispim/venv/Scripts/wheel3.7.exe
-ansible_collections/inspur/ispim/venv/Scripts/wheel3.exe
 ansible_collections/inspur/sm/CHANGELOG.rst
 ansible_collections/inspur/sm/CODE_OF_CONDUCT.md
 ansible_collections/inspur/sm/FILES.json
@@ -54426,617 +52586,6 @@ ansible_collections/kaytus/ksmanage/plug
 ansible_collections/kaytus/ksmanage/plugins/modules/user_info.py
 ansible_collections/kaytus/ksmanage/plugins/modules/virtual_media_info.py
 ansible_collections/kaytus/ksmanage/plugins/modules/volt_info.py
-ansible_collections/kaytus/ksmanage/venv/.gitignore
-ansible_collections/kaytus/ksmanage/venv/pyvenv.cfg
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/_virtualenv.pth
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/_virtualenv.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/distutils-precedence.pth
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip-21.1.2.virtualenv
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools-57.0.0.virtualenv
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel-0.36.2.virtualenv
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/_distutils_hack/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/_distutils_hack/override.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/__main__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/py.typed
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip-21.1.2.dist-info/INSTALLER
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip-21.1.2.dist-info/LICENSE.txt
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip-21.1.2.dist-info/METADATA
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip-21.1.2.dist-info/RECORD
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip-21.1.2.dist-info/WHEEL
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip-21.1.2.dist-info/entry_points.txt
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip-21.1.2.dist-info/top_level.txt
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/build_env.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/cache.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/configuration.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/exceptions.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/main.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/pyproject.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/self_outdated_check.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/wheel_builder.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/cli/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/cli/autocompletion.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/cli/base_command.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/cli/cmdoptions.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/cli/command_context.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/cli/main.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/cli/main_parser.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/cli/parser.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/cli/progress_bars.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/cli/req_command.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/cli/spinners.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/cli/status_codes.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/commands/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/commands/cache.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/commands/check.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/commands/completion.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/commands/configuration.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/commands/debug.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/commands/download.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/commands/freeze.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/commands/hash.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/commands/help.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/commands/install.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/commands/list.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/commands/search.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/commands/show.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/commands/uninstall.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/commands/wheel.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/distributions/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/distributions/base.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/distributions/installed.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/distributions/sdist.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/distributions/wheel.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/index/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/index/collector.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/index/package_finder.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/index/sources.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/locations/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/locations/_distutils.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/locations/_sysconfig.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/locations/base.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/metadata/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/metadata/base.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/metadata/pkg_resources.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/models/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/models/candidate.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/models/direct_url.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/models/format_control.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/models/index.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/models/link.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/models/scheme.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/models/search_scope.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/models/selection_prefs.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/models/target_python.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/models/wheel.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/network/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/network/auth.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/network/cache.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/network/download.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/network/lazy_wheel.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/network/session.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/network/utils.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/network/xmlrpc.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/operations/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/operations/check.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/operations/freeze.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/operations/prepare.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/operations/build/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/operations/build/metadata.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/operations/build/metadata_legacy.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/operations/build/wheel.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/operations/build/wheel_legacy.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/operations/install/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/operations/install/editable_legacy.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/operations/install/legacy.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/operations/install/wheel.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/req/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/req/constructors.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/req/req_file.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/req/req_install.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/req/req_set.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/req/req_tracker.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/req/req_uninstall.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/resolution/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/resolution/base.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/resolution/legacy/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/resolution/legacy/resolver.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/resolution/resolvelib/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/resolution/resolvelib/base.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/resolution/resolvelib/candidates.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/resolution/resolvelib/factory.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/resolution/resolvelib/found_candidates.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/resolution/resolvelib/provider.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/resolution/resolvelib/reporter.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/resolution/resolvelib/requirements.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/resolution/resolvelib/resolver.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/appdirs.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/compat.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/compatibility_tags.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/datetime.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/deprecation.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/direct_url_helpers.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/distutils_args.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/encoding.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/entrypoints.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/filesystem.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/filetypes.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/glibc.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/hashes.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/inject_securetransport.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/logging.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/misc.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/models.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/packaging.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/parallel.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/pkg_resources.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/setuptools_build.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/subprocess.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/temp_dir.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/unpacking.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/urls.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/virtualenv.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/utils/wheel.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/vcs/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/vcs/bazaar.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/vcs/git.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/vcs/mercurial.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/vcs/subversion.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_internal/vcs/versioncontrol.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/appdirs.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distro.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/pyparsing.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/six.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/vendor.txt
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/cachecontrol/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/cachecontrol/_cmd.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/cachecontrol/adapter.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/cachecontrol/cache.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/cachecontrol/compat.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/cachecontrol/controller.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/cachecontrol/filewrapper.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/cachecontrol/heuristics.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/cachecontrol/serialize.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/cachecontrol/wrapper.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/cachecontrol/caches/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/cachecontrol/caches/file_cache.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/cachecontrol/caches/redis_cache.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/certifi/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/certifi/__main__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/certifi/cacert.pem
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/certifi/core.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/big5freq.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/big5prober.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/chardistribution.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/charsetgroupprober.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/charsetprober.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/codingstatemachine.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/compat.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/cp949prober.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/enums.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/escprober.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/escsm.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/eucjpprober.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/euckrfreq.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/euckrprober.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/euctwfreq.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/euctwprober.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/gb2312freq.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/gb2312prober.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/hebrewprober.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/jisfreq.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/jpcntx.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/langbulgarianmodel.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/langgreekmodel.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/langhebrewmodel.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/langhungarianmodel.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/langrussianmodel.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/langthaimodel.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/langturkishmodel.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/latin1prober.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/mbcharsetprober.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/mbcsgroupprober.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/mbcssm.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/sbcharsetprober.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/sbcsgroupprober.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/sjisprober.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/universaldetector.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/utf8prober.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/version.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/cli/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/cli/chardetect.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/metadata/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/chardet/metadata/languages.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/colorama/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/colorama/ansi.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/colorama/ansitowin32.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/colorama/initialise.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/colorama/win32.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/colorama/winterm.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distlib/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distlib/compat.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distlib/database.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distlib/index.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distlib/locators.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distlib/manifest.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distlib/markers.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distlib/metadata.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distlib/resources.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distlib/scripts.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distlib/t32.exe
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distlib/t64.exe
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distlib/util.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distlib/version.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distlib/w32.exe
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distlib/w64.exe
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distlib/wheel.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distlib/_backport/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distlib/_backport/misc.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distlib/_backport/shutil.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distlib/_backport/sysconfig.cfg
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distlib/_backport/sysconfig.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/distlib/_backport/tarfile.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/_ihatexml.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/_inputstream.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/_tokenizer.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/_utils.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/constants.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/html5parser.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/serializer.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/_trie/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/_trie/_base.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/_trie/py.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/filters/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/filters/alphabeticalattributes.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/filters/base.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/filters/inject_meta_charset.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/filters/lint.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/filters/optionaltags.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/filters/sanitizer.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/filters/whitespace.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/treeadapters/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/treeadapters/genshi.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/treeadapters/sax.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/treebuilders/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/treebuilders/base.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/treebuilders/dom.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/treebuilders/etree.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/treebuilders/etree_lxml.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/treewalkers/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/treewalkers/base.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/treewalkers/dom.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/treewalkers/etree.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/treewalkers/etree_lxml.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/html5lib/treewalkers/genshi.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/idna/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/idna/codec.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/idna/compat.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/idna/core.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/idna/idnadata.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/idna/intranges.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/idna/package_data.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/idna/uts46data.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/msgpack/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/msgpack/_version.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/msgpack/exceptions.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/msgpack/ext.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/msgpack/fallback.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/packaging/__about__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/packaging/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/packaging/_compat.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/packaging/_structures.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/packaging/_typing.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/packaging/markers.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/packaging/requirements.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/packaging/specifiers.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/packaging/tags.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/packaging/utils.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/packaging/version.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/pep517/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/pep517/build.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/pep517/check.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/pep517/colorlog.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/pep517/compat.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/pep517/dirtools.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/pep517/envbuild.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/pep517/meta.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/pep517/wrappers.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/pep517/in_process/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/pep517/in_process/_in_process.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/pkg_resources/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/pkg_resources/py31compat.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/progress/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/progress/bar.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/progress/counter.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/progress/spinner.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/requests/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/requests/__version__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/requests/_internal_utils.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/requests/adapters.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/requests/api.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/requests/auth.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/requests/certs.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/requests/compat.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/requests/cookies.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/requests/exceptions.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/requests/help.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/requests/hooks.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/requests/models.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/requests/packages.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/requests/sessions.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/requests/status_codes.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/requests/structures.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/requests/utils.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/resolvelib/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/resolvelib/providers.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/resolvelib/reporters.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/resolvelib/resolvers.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/resolvelib/structs.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/resolvelib/compat/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/resolvelib/compat/collections_abc.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/tenacity/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/tenacity/_asyncio.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/tenacity/_utils.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/tenacity/after.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/tenacity/before.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/tenacity/before_sleep.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/tenacity/compat.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/tenacity/nap.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/tenacity/retry.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/tenacity/stop.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/tenacity/tornadoweb.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/tenacity/wait.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/toml/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/toml/decoder.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/toml/encoder.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/toml/ordered.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/toml/tz.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/_collections.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/_version.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/connection.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/connectionpool.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/exceptions.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/fields.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/filepost.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/poolmanager.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/request.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/response.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/contrib/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/contrib/_appengine_environ.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/contrib/appengine.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/contrib/ntlmpool.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/contrib/pyopenssl.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/contrib/securetransport.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/contrib/socks.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/contrib/_securetransport/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/contrib/_securetransport/bindings.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/contrib/_securetransport/low_level.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/packages/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/packages/six.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/packages/backports/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/packages/backports/makefile.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/packages/ssl_match_hostname/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/packages/ssl_match_hostname/_implementation.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/util/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/util/connection.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/util/proxy.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/util/queue.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/util/request.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/util/response.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/util/retry.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/util/ssl_.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/util/ssltransport.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/util/timeout.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/util/url.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/urllib3/util/wait.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/webencodings/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/webencodings/labels.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/webencodings/mklabels.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/webencodings/tests.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pip/_vendor/webencodings/x_user_defined.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pkg_resources/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pkg_resources/_vendor/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pkg_resources/_vendor/appdirs.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pkg_resources/_vendor/pyparsing.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pkg_resources/_vendor/packaging/__about__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pkg_resources/_vendor/packaging/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pkg_resources/_vendor/packaging/_compat.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pkg_resources/_vendor/packaging/_structures.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pkg_resources/_vendor/packaging/_typing.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pkg_resources/_vendor/packaging/markers.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pkg_resources/_vendor/packaging/requirements.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pkg_resources/_vendor/packaging/specifiers.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pkg_resources/_vendor/packaging/tags.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pkg_resources/_vendor/packaging/utils.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pkg_resources/_vendor/packaging/version.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pkg_resources/extern/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/pkg_resources/tests/data/my-test-package-source/setup.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_deprecation_warning.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_imp.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/archive_util.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/build_meta.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/cli-32.exe
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/cli-64.exe
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/cli.exe
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/config.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/dep_util.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/depends.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/dist.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/errors.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/extension.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/glob.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/gui-32.exe
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/gui-64.exe
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/gui.exe
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/installer.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/launch.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/lib2to3_ex.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/monkey.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/msvc.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/namespaces.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/package_index.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/py34compat.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/sandbox.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/script (dev).tmpl
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/script.tmpl
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/ssl_support.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/unicode_utils.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/version.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/wheel.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/windows_support.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools-57.0.0.dist-info/INSTALLER
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools-57.0.0.dist-info/LICENSE
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools-57.0.0.dist-info/METADATA
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools-57.0.0.dist-info/RECORD
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools-57.0.0.dist-info/WHEEL
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools-57.0.0.dist-info/dependency_links.txt
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools-57.0.0.dist-info/entry_points.txt
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools-57.0.0.dist-info/top_level.txt
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/_msvccompiler.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/archive_util.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/bcppcompiler.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/ccompiler.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/cmd.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/config.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/core.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/cygwinccompiler.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/debug.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/dep_util.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/dir_util.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/dist.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/errors.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/extension.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/fancy_getopt.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/file_util.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/filelist.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/log.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/msvc9compiler.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/msvccompiler.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/py35compat.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/py38compat.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/spawn.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/sysconfig.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/text_file.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/unixccompiler.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/util.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/version.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/versionpredicate.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/bdist.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/bdist_dumb.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/bdist_msi.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/bdist_rpm.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/bdist_wininst.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/build.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/build_clib.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/build_ext.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/build_py.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/build_scripts.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/check.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/clean.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/config.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/install.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/install_data.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/install_egg_info.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/install_headers.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/install_lib.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/install_scripts.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/py37compat.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/register.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/sdist.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_distutils/command/upload.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_vendor/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_vendor/ordered_set.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_vendor/pyparsing.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_vendor/more_itertools/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_vendor/more_itertools/more.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_vendor/more_itertools/recipes.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_vendor/packaging/__about__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_vendor/packaging/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_vendor/packaging/_compat.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_vendor/packaging/_structures.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_vendor/packaging/_typing.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_vendor/packaging/markers.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_vendor/packaging/requirements.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_vendor/packaging/specifiers.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_vendor/packaging/tags.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_vendor/packaging/utils.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/_vendor/packaging/version.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/alias.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/bdist_egg.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/bdist_rpm.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/build_clib.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/build_ext.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/build_py.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/develop.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/dist_info.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/easy_install.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/egg_info.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/install.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/install_egg_info.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/install_lib.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/install_scripts.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/launcher manifest.xml
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/py36compat.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/register.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/rotate.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/saveopts.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/sdist.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/setopt.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/test.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/upload.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/command/upload_docs.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/setuptools/extern/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel/__main__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel/bdist_wheel.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel/macosx_libfile.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel/metadata.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel/pkginfo.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel/util.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel/wheelfile.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel-0.36.2.dist-info/INSTALLER
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel-0.36.2.dist-info/LICENSE.txt
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel-0.36.2.dist-info/METADATA
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel-0.36.2.dist-info/RECORD
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel-0.36.2.dist-info/WHEEL
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel-0.36.2.dist-info/entry_points.txt
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel-0.36.2.dist-info/top_level.txt
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel/cli/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel/cli/convert.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel/cli/pack.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel/cli/unpack.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel/vendored/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel/vendored/packaging/__init__.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel/vendored/packaging/_typing.py
-ansible_collections/kaytus/ksmanage/venv/Lib/site-packages/wheel/vendored/packaging/tags.py
-ansible_collections/kaytus/ksmanage/venv/Scripts/activate
-ansible_collections/kaytus/ksmanage/venv/Scripts/activate.bat
-ansible_collections/kaytus/ksmanage/venv/Scripts/activate.fish
-ansible_collections/kaytus/ksmanage/venv/Scripts/activate.ps1
-ansible_collections/kaytus/ksmanage/venv/Scripts/activate.xsh
-ansible_collections/kaytus/ksmanage/venv/Scripts/activate_this.py
-ansible_collections/kaytus/ksmanage/venv/Scripts/deactivate.bat
-ansible_collections/kaytus/ksmanage/venv/Scripts/pip-3.7.exe
-ansible_collections/kaytus/ksmanage/venv/Scripts/pip.exe
-ansible_collections/kaytus/ksmanage/venv/Scripts/pip3.7.exe
-ansible_collections/kaytus/ksmanage/venv/Scripts/pip3.exe
-ansible_collections/kaytus/ksmanage/venv/Scripts/pydoc.bat
-ansible_collections/kaytus/ksmanage/venv/Scripts/python.exe
-ansible_collections/kaytus/ksmanage/venv/Scripts/pythonw.exe
-ansible_collections/kaytus/ksmanage/venv/Scripts/wheel-3.7.exe
-ansible_collections/kaytus/ksmanage/venv/Scripts/wheel.exe
-ansible_collections/kaytus/ksmanage/venv/Scripts/wheel3.7.exe
-ansible_collections/kaytus/ksmanage/venv/Scripts/wheel3.exe
 ansible_collections/kubernetes/core/.ansible-lint
 ansible_collections/kubernetes/core/.gitignore
 ansible_collections/kubernetes/core/.yamllint
diff -pruN 10.0.0+dfsg-1/ansible_collections/ansible_community.py 10.0.1+dfsg-1/ansible_collections/ansible_community.py
--- 10.0.0+dfsg-1/ansible_collections/ansible_community.py	2024-06-04 14:34:50.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/ansible_community.py	2024-06-06 04:55:50.000000000 +0000
@@ -15,7 +15,7 @@ def main():
     parser.add_argument(
         '--version',
         action='version',
-        version='Ansible community version 10.0.0',
+        version='Ansible community version 10.0.1',
         help="show the version of the Ansible community package",
     )
     parser.parse_args()
diff -pruN 10.0.0+dfsg-1/ansible_collections/ansible_release.py 10.0.1+dfsg-1/ansible_collections/ansible_release.py
--- 10.0.0+dfsg-1/ansible_collections/ansible_release.py	2024-06-04 14:34:50.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/ansible_release.py	2024-06-06 04:55:50.000000000 +0000
@@ -3,4 +3,4 @@
 # GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
 # SPDX-License-Identifier: GPL-3.0-or-later
 
-ansible_version = '10.0.0'
\ No newline at end of file
+ansible_version = '10.0.1'
\ No newline at end of file
diff -pruN 10.0.0+dfsg-1/ansible_collections/inspur/ispim/.idea/.gitignore 10.0.1+dfsg-1/ansible_collections/inspur/ispim/.idea/.gitignore
--- 10.0.0+dfsg-1/ansible_collections/inspur/ispim/.idea/.gitignore	2024-05-13 02:04:49.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/inspur/ispim/.idea/.gitignore	1970-01-01 00:00:00.000000000 +0000
@@ -1,3 +0,0 @@
-# Default ignored files
-/shelf/
-/workspace.xml
diff -pruN 10.0.0+dfsg-1/ansible_collections/inspur/ispim/.idea/inspectionProfiles/profiles_settings.xml 10.0.1+dfsg-1/ansible_collections/inspur/ispim/.idea/inspectionProfiles/profiles_settings.xml
--- 10.0.0+dfsg-1/ansible_collections/inspur/ispim/.idea/inspectionProfiles/profiles_settings.xml	2024-05-13 02:04:49.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/inspur/ispim/.idea/inspectionProfiles/profiles_settings.xml	1970-01-01 00:00:00.000000000 +0000
@@ -1,6 +0,0 @@
-<component name="InspectionProjectProfileManager">
-  <settings>
-    <option name="USE_PROJECT_PROFILE" value="false" />
-    <version value="1.0" />
-  </settings>
-</component>
\ No newline at end of file
diff -pruN 10.0.0+dfsg-1/ansible_collections/inspur/ispim/.idea/inspur.ispim.iml 10.0.1+dfsg-1/ansible_collections/inspur/ispim/.idea/inspur.ispim.iml
--- 10.0.0+dfsg-1/ansible_collections/inspur/ispim/.idea/inspur.ispim.iml	2024-05-13 02:04:49.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/inspur/ispim/.idea/inspur.ispim.iml	1970-01-01 00:00:00.000000000 +0000
@@ -1,12 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<module type="PYTHON_MODULE" version="4">
-  <component name="NewModuleRootManager">
-    <content url="file://$MODULE_DIR$" />
-    <orderEntry type="jdk" jdkName="Python 3.7" jdkType="Python SDK" />
-    <orderEntry type="sourceFolder" forTests="false" />
-  </component>
-  <component name="PyDocumentationSettings">
-    <option name="format" value="PLAIN" />
-    <option name="myDocStringFormat" value="Plain" />
-  </component>
-</module>
\ No newline at end of file
diff -pruN 10.0.0+dfsg-1/ansible_collections/inspur/ispim/.idea/misc.xml 10.0.1+dfsg-1/ansible_collections/inspur/ispim/.idea/misc.xml
--- 10.0.0+dfsg-1/ansible_collections/inspur/ispim/.idea/misc.xml	2024-05-13 02:04:49.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/inspur/ispim/.idea/misc.xml	1970-01-01 00:00:00.000000000 +0000
@@ -1,4 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<project version="4">
-  <component name="ProjectRootManager" version="2" project-jdk-name="Python 3.7" project-jdk-type="Python SDK" />
-</project>
\ No newline at end of file
diff -pruN 10.0.0+dfsg-1/ansible_collections/inspur/ispim/.idea/modules.xml 10.0.1+dfsg-1/ansible_collections/inspur/ispim/.idea/modules.xml
--- 10.0.0+dfsg-1/ansible_collections/inspur/ispim/.idea/modules.xml	2024-05-13 02:04:49.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/inspur/ispim/.idea/modules.xml	1970-01-01 00:00:00.000000000 +0000
@@ -1,8 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<project version="4">
-  <component name="ProjectModuleManager">
-    <modules>
-      <module fileurl="file://$PROJECT_DIR$/.idea/inspur.ispim.iml" filepath="$PROJECT_DIR$/.idea/inspur.ispim.iml" />
-    </modules>
-  </component>
-</project>
\ No newline at end of file
diff -pruN 10.0.0+dfsg-1/ansible_collections/inspur/ispim/.idea/vcs.xml 10.0.1+dfsg-1/ansible_collections/inspur/ispim/.idea/vcs.xml
--- 10.0.0+dfsg-1/ansible_collections/inspur/ispim/.idea/vcs.xml	2024-05-13 02:04:49.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/inspur/ispim/.idea/vcs.xml	1970-01-01 00:00:00.000000000 +0000
@@ -1,6 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<project version="4">
-  <component name="VcsDirectoryMappings">
-    <mapping directory="$PROJECT_DIR$" vcs="Git" />
-  </component>
-</project>
\ No newline at end of file
diff -pruN 10.0.0+dfsg-1/ansible_collections/inspur/ispim/.idea/workspace.xml 10.0.1+dfsg-1/ansible_collections/inspur/ispim/.idea/workspace.xml
--- 10.0.0+dfsg-1/ansible_collections/inspur/ispim/.idea/workspace.xml	2024-05-13 02:04:49.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/inspur/ispim/.idea/workspace.xml	1970-01-01 00:00:00.000000000 +0000
@@ -1,38 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<project version="4">
-  <component name="ChangeListManager">
-    <list default="true" id="355f0561-c2f0-4e1e-a4c2-a76ab60c656c" name="Changes" comment="">
-      <change beforePath="$PROJECT_DIR$/README.md" beforeDir="false" afterPath="$PROJECT_DIR$/README.md" afterDir="false" />
-      <change beforePath="$PROJECT_DIR$/requirements.txt" beforeDir="false" afterPath="$PROJECT_DIR$/requirements.txt" afterDir="false" />
-    </list>
-    <option name="SHOW_DIALOG" value="false" />
-    <option name="HIGHLIGHT_CONFLICTS" value="true" />
-    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
-    <option name="LAST_RESOLUTION" value="IGNORE" />
-  </component>
-  <component name="Git.Settings">
-    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
-  </component>
-  <component name="ProjectId" id="2dqmDqgqPoMaH2YDFjehgkwTK1k" />
-  <component name="ProjectViewState">
-    <option name="hideEmptyMiddlePackages" value="true" />
-    <option name="showLibraryContents" value="true" />
-  </component>
-  <component name="PropertiesComponent">
-    <property name="RunOnceActivity.OpenProjectViewOnStart" value="true" />
-    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
-    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
-    <property name="settings.editor.selected.configurable" value="com.jetbrains.python.configuration.PyActiveSdkModuleConfigurable" />
-  </component>
-  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
-  <component name="TaskManager">
-    <task active="true" id="Default" summary="Default task">
-      <changelist id="355f0561-c2f0-4e1e-a4c2-a76ab60c656c" name="Changes" comment="" />
-      <created>1710743865956</created>
-      <option name="number" value="Default" />
-      <option name="presentableId" value="Default" />
-      <updated>1710743865956</updated>
-    </task>
-    <servers />
-  </component>
-</project>
\ No newline at end of file
diff -pruN 10.0.0+dfsg-1/ansible_collections/inspur/ispim/CHANGELOG.rst 10.0.1+dfsg-1/ansible_collections/inspur/ispim/CHANGELOG.rst
--- 10.0.0+dfsg-1/ansible_collections/inspur/ispim/CHANGELOG.rst	2024-05-13 02:06:11.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/inspur/ispim/CHANGELOG.rst	2024-06-06 00:58:50.000000000 +0000
@@ -5,6 +5,14 @@ Inspur.Ispim Release Notes
 .. contents:: Topics
 
 
+v2.2.2
+======
+
+Bugfixes
+--------
+
+- Remove venv files that were accidentally bundled in 2.2.1 (https://github.com/ispim/inspur.ispim/pull/35).
+
 v2.2.1
 ======
 
diff -pruN 10.0.0+dfsg-1/ansible_collections/inspur/ispim/FILES.json 10.0.1+dfsg-1/ansible_collections/inspur/ispim/FILES.json
--- 10.0.0+dfsg-1/ansible_collections/inspur/ispim/FILES.json	2024-05-13 02:11:37.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/inspur/ispim/FILES.json	2024-06-06 01:00:17.000000000 +0000
@@ -8,1063 +8,6 @@
    "format": 1
   },
   {
-   "name": ".github",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": ".github/workflows",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": ".github/workflows/ansible-test.yml",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "2706a1afe567d519ca9112fff496bc08c40fd3f572c0e6b72a9892c2ddc1eff1",
-   "format": 1
-  },
-  {
-   "name": ".github/settings.yml",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "cb31353134cff7d91b546a03cc6fec7caaf0dba62079ea66776e2994461e6c7b",
-   "format": 1
-  },
-  {
-   "name": ".idea",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": ".idea/inspectionProfiles",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": ".idea/inspectionProfiles/profiles_settings.xml",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "6172c5997eeb3cd19c9ca2b5b97d6e2983cdd1fa60b2460d7bbb74055edcaa46",
-   "format": 1
-  },
-  {
-   "name": ".idea/workspace.xml",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "28d64057e1dace8d3cadb47e14e4c8ff582273d74868f80ad1b69f3a7886618a",
-   "format": 1
-  },
-  {
-   "name": ".idea/vcs.xml",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "55768f1f84fb117f1d0fc383e180b5d0aa5e5e6584c8c4a2995c15b4237f0972",
-   "format": 1
-  },
-  {
-   "name": ".idea/modules.xml",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "7110788fcee2f94d489ee057d893744689e75d742b5ee385d45f4a24b4cf434b",
-   "format": 1
-  },
-  {
-   "name": ".idea/misc.xml",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "41377768c7058836bd6a0c0aa018aea288db587e3b04a7a37e97f816b3d896fa",
-   "format": 1
-  },
-  {
-   "name": ".idea/inspur.ispim.iml",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "1b35f442a852d19547987e688ea4fc76115ecf1c775ece1a276c185f2ca395c0",
-   "format": 1
-  },
-  {
-   "name": ".idea/.gitignore",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "a9e54fc4f08bc97d82c04bd86ff37d3af84ba9ef4ad87fcfcb438dab622e8aaa",
-   "format": 1
-  },
-  {
-   "name": "changelogs",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "changelogs/fragments",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "changelogs/fragments/.keep",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
-   "format": 1
-  },
-  {
-   "name": "changelogs/config.yaml",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "7af6c3bf7fb22b0945cf60e33b4976cef8b9a38f6b73301e49774d96cb34fc72",
-   "format": 1
-  },
-  {
-   "name": "changelogs/changelog.yaml",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "19dec8de7950d3cc2b6be3ebc2e73536d46992936683fb0b7f4586628da259af",
-   "format": 1
-  },
-  {
-   "name": "changelogs/.plugin-cache.yaml",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "ccda96cf7d4beee92ab062818a514a048fbe6f44dcc191adbd346bcf4238055e",
-   "format": 1
-  },
-  {
-   "name": "docs",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "docs/volt_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "3f45fa63ccd85934cd53e161aef76a27dc4f0058e82f30fee67c03342ce528d3",
-   "format": 1
-  },
-  {
-   "name": "docs/virtual_media_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d595f381c6be9cb096d2cc174cbd3f3d405eef7cbd715e444ba27fb1995194b8",
-   "format": 1
-  },
-  {
-   "name": "docs/user_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e5e38393f1503ec18184ac5a5af85d029a583af77876d146f8aadf5273da85b3",
-   "format": 1
-  },
-  {
-   "name": "docs/user_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "f44b0a2bfbaec8af8fa32ccea2efed72f956df21efe5172ab52a2fb4141f08ef",
-   "format": 1
-  },
-  {
-   "name": "docs/user_group_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5bd3942645ea68f3987c3bc29dd70f9212eb432dbd2f5c87ebfc5141c2fb6341",
-   "format": 1
-  },
-  {
-   "name": "docs/user_group_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "52cf6c379a782538da26a8e84a5fa1d327478208fbbb182884f02ac86c2e30bd",
-   "format": 1
-  },
-  {
-   "name": "docs/update_psu_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "f8a603fc31531fd4bb80b8aef8669759b4d21d4b458a33a13a20a6aa6469b1d8",
-   "format": 1
-  },
-  {
-   "name": "docs/update_fw_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "2336afa834ccc952d9674e40e365f598c5e23d69a3b56bf968d82dfaa7edb844",
-   "format": 1
-  },
-  {
-   "name": "docs/update_cpld_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "4c97f94f57bee7d987c1fd18e6741fd6cc816c9732df4196720b7317afbcbfe3",
-   "format": 1
-  },
-  {
-   "name": "docs/uid_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "28c7a089fde45e7b46807f1c84e6cd8594ead4df4d5e016e9739c8bd416c1b7d",
-   "format": 1
-  },
-  {
-   "name": "docs/threshold_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "a25068abb57a5ce2a1bebcc176f0f89360683e86d8e5963f1b12f25a402d0e57",
-   "format": 1
-  },
-  {
-   "name": "docs/temp_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "3f9c9163bc1e84c2f75284e2726d6814477b4897cb8b9ada10050d667559bf11",
-   "format": 1
-  },
-  {
-   "name": "docs/system_log_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "ec529f0944b7fb4102a841197d358be32de18872a13eeec5c30580eb5607dc5b",
-   "format": 1
-  },
-  {
-   "name": "docs/support_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "45568d3aea720d37db9f64a1771cbd086f4c2db85824e55cea9cbe48805d0382",
-   "format": 1
-  },
-  {
-   "name": "docs/snmp_trap_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "2be1c8ec529178ad19396fe78823ef9e0678add0c4bff94910ef99ed5dc2ff00",
-   "format": 1
-  },
-  {
-   "name": "docs/snmp_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "a0254305f9adc264ef2581e501718e1cd8f232a27ac6b01fb99806b6c2be4269",
-   "format": 1
-  },
-  {
-   "name": "docs/smtp_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "0fcd67a4f8aa4b4475a989eac68badd175e5577e9b85270a570511d9ac2a239c",
-   "format": 1
-  },
-  {
-   "name": "docs/session_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e7f1bd7502de0cca90491594c7261dfa57491e4ed97553986beebd3926650ce1",
-   "format": 1
-  },
-  {
-   "name": "docs/service_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "84a47ffc809f7b5f066bb5eec37e1270abc729a7a8ff35b35ca37d46b9e6664b",
-   "format": 1
-  },
-  {
-   "name": "docs/server_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "cb32ee0c4b26455f33aa04e2e785b502d2292cd5ea436c8f90028dfe201c8bca",
-   "format": 1
-  },
-  {
-   "name": "docs/sensor_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "7eaa8ff49f37b0a94360779a83a6605dedf1ef077a2d9ad2e1600216290b8eca",
-   "format": 1
-  },
-  {
-   "name": "docs/self_test_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "be63ce4f7c0068d1bf3e518a2b0ee68f25faa40ad9f648958d1f71eaef5046ba",
-   "format": 1
-  },
-  {
-   "name": "docs/restore_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "6478920a3aae22a39b1db8f899585f340f946f67ee00338b8b95756542a79824",
-   "format": 1
-  },
-  {
-   "name": "docs/reset_kvm_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "0bf0bb03beabc6ed5bca7d40c3e93b4bed87633c12259ae4d066c0d0c81aec1d",
-   "format": 1
-  },
-  {
-   "name": "docs/reset_bmc_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "37f3d623c1eecee972f5484f4d2270566de40a77a2247b6c18ea5bcb21f4eec2",
-   "format": 1
-  },
-  {
-   "name": "docs/raid_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "43678b4fadf808dbd8507229f9847f75a942bfd6c4544a15b9fbd16336bcee37",
-   "format": 1
-  },
-  {
-   "name": "docs/psu_peak_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "7c7cc3d04f9b5c57167e5511eeb4411a620ba413860ef95a56042f3f30e273e1",
-   "format": 1
-  },
-  {
-   "name": "docs/psu_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "c18a01a3e7a6b1b91f821459a38157e32819d3d402d10372bd8632df7df4b02d",
-   "format": 1
-  },
-  {
-   "name": "docs/psu_config_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "1b547c90013ee6f0f67a2d1050142d4a3ae739fa5a80fc20d4a336571a0eaf74",
-   "format": 1
-  },
-  {
-   "name": "docs/preserve_config_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "a1ceb5360a856832851f0fd2c26096aea43e73aaefb3aeef068f117e97b05cbc",
-   "format": 1
-  },
-  {
-   "name": "docs/power_status_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5c2f613db2cc6478dcea651e473b1ba332f471fb0f8724d189c0440057b5553b",
-   "format": 1
-  },
-  {
-   "name": "docs/power_restore_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "f6196bbdaba76a0c133f0f6dd93a3f80903549dc5b3a69500d81dd61e5d370cb",
-   "format": 1
-  },
-  {
-   "name": "docs/power_consumption_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "88a299c3ba86ced588621248c9b31acc6b394b1d098baf94ae30536d404359f0",
-   "format": 1
-  },
-  {
-   "name": "docs/power_budget_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "50e51e3de35810ed52398923d0907ca58b81018e4b4fc3d83269be4bc38b8878",
-   "format": 1
-  },
-  {
-   "name": "docs/pdisk_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "c3f5f7caca8887b8f430613a7f342ed58682cfd6917c629f9e02a5063ba799b6",
-   "format": 1
-  },
-  {
-   "name": "docs/pcie_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "537a1da3ccbf9b212c7a6eb7fee3688331920edfb98891b1204d73c447179747",
-   "format": 1
-  },
-  {
-   "name": "docs/onboard_disk_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "ec68ac30bef8ba6766c5f28930b6d63aa2d64d105c9ef178ab2b43e0a193a3f7",
-   "format": 1
-  },
-  {
-   "name": "docs/ntp_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "0e18b5707932ceb23b082ece6ca795ecdaa283363b44d2275044833d880841f4",
-   "format": 1
-  },
-  {
-   "name": "docs/network_link_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "cc7c806c76d19507758a72fd3a106d1ee1c19b5056fca2d9809c09227a1fae9b",
-   "format": 1
-  },
-  {
-   "name": "docs/network_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "29038bbc4e7381cde90cfa774449ef28f18206b0bb0f22dae4b5aca5a9391b18",
-   "format": 1
-  },
-  {
-   "name": "docs/network_bond_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "f2dbe74fc7765c05fadccc542ec2a01364bd88f05db606b1d762daf6b7d7b03c",
-   "format": 1
-  },
-  {
-   "name": "docs/ncsi_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "b297e5ea383e6500c66672f29d6b9aa566e4cac7a7e8fc51e9a990da27afa5c9",
-   "format": 1
-  },
-  {
-   "name": "docs/mem_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "6599241b834db3fff08303423fae6075af3ce90d9ca84b9ef753c458d670fa4c",
-   "format": 1
-  },
-  {
-   "name": "docs/media_instance_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "de17a82cd7f7bdf163175c723fe5ba9806a133692e5de367b97f44fe90c3fc8e",
-   "format": 1
-  },
-  {
-   "name": "docs/log_setting_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "7d7c50b6ebb8b983ee2bfcfee97320550b4ef91b4085ee248a9cb47b390a4bff",
-   "format": 1
-  },
-  {
-   "name": "docs/ldisk_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "7f27b3b66b84c966f06077bfab1a1b87000fbcfe3ac33c1be09736bb0a07c307",
-   "format": 1
-  },
-  {
-   "name": "docs/ldap_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "946fa9ff1f4ee129666947b1283e0a1606b20001f4166523cb472ecb63664156",
-   "format": 1
-  },
-  {
-   "name": "docs/ldap_group_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "f706d936d52eb35ccbba50518e4f2f5902ff8b52d9d9bb8c6d39aec672487fc4",
-   "format": 1
-  },
-  {
-   "name": "docs/ldap_group_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "acd7d82dc88604e57173dadec71c646868d3b74b3494352d81431937f4d2cfce",
-   "format": 1
-  },
-  {
-   "name": "docs/kvm_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "11ad751b589819ce50fc3faa4ab545a4d7a8fe8b49975506bf849d5263bb05d6",
-   "format": 1
-  },
-  {
-   "name": "docs/index.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "be54102d2eec4a9ec710418a8e8b65e58946183d5ef4408fb44ccc5a35341157",
-   "format": 1
-  },
-  {
-   "name": "docs/hba_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "ef629219d83a7bbce7b9b71d0c0e1e81a30af1969f975628048aaea0719ab077",
-   "format": 1
-  },
-  {
-   "name": "docs/hard_disk_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "7bcb1e71b38f2bc5368172e3a39a005b118a407b80e303e36188dec0fed8ea4b",
-   "format": 1
-  },
-  {
-   "name": "docs/gpu_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "3f02a58a2d862a14db6e90f6a59459a2c7af5ec75291716b6b9a3cc437ec2c3f",
-   "format": 1
-  },
-  {
-   "name": "docs/fw_version_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "ecbc01991417867d09226e4c93669b307667fcb52198a11616298f19d6e65429",
-   "format": 1
-  },
-  {
-   "name": "docs/fru_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "49265375eed8b252bc4c1e95330593d9438c084580052a9eeeb3b9695f9be598",
-   "format": 1
-  },
-  {
-   "name": "docs/fan_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "7c135b5d8a0f4dcb8f7b4a70552a357d9fc277422558223f4bda06cc0f0e1e8c",
-   "format": 1
-  },
-  {
-   "name": "docs/event_log_policy_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "06bcad836fe0840bc0d407214f666b482a4b04da9f7e26fa835e0cf68072fb2b",
-   "format": 1
-  },
-  {
-   "name": "docs/event_log_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "154cec3bbb17bcfdc3fe5a5cf75a9c37fc1ceb508a2cb0a77f56da1a0cdaea8b",
-   "format": 1
-  },
-  {
-   "name": "docs/edit_vlan_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "1a40fd9f62d549b66aa12f6c41c8780b3e9516a356d79c128e6a34f40469901b",
-   "format": 1
-  },
-  {
-   "name": "docs/edit_virtual_media_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "3d92884a8d1dc25bd1e34b5c16760361cc0c07f340f9d719f5cd471d3c992ece",
-   "format": 1
-  },
-  {
-   "name": "docs/edit_uid_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "27acd43556a462d7d9912c13914cf9e8811f52e58e34fa05ca3170805c443321",
-   "format": 1
-  },
-  {
-   "name": "docs/edit_threshold_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "320e235461b1bc096b4d2b518b4ef222b33520b114c9b25a61448c60c9f59d92",
-   "format": 1
-  },
-  {
-   "name": "docs/edit_snmp_trap_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "4251d34c90244ad2cef6ba0df8542777b77264797e47cd14f5c83e30374023ab",
-   "format": 1
-  },
-  {
-   "name": "docs/edit_snmp_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "0eb5097bb2c6a845a390aaefb6db9afa10e199fe70fbb091a774f62ab39944c2",
-   "format": 1
-  },
-  {
-   "name": "docs/edit_smtp_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "bf1bd261f0670375cfdf2e63064436a715102cc3a9f573761d4bb7f75d70ecc0",
-   "format": 1
-  },
-  {
-   "name": "docs/edit_smtp_dest_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e66c6e9b5eb904eec61ae1f0530cc4ac58e5dccd532c767ac5a481b70f228d1b",
-   "format": 1
-  },
-  {
-   "name": "docs/edit_smtp_com_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "fb72d17e18f336f5dae2de6865b5cff2a2938fa3a86b9fad93b4e6562f048fcf",
-   "format": 1
-  },
-  {
-   "name": "docs/edit_service_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "1a7f19b53bb3ac7db82e5552e20844336916cca262f97df3602fc33db3da58c5",
-   "format": 1
-  },
-  {
-   "name": "docs/edit_restore_factory_default_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "dc753b078a8b738f11aaad8ff0c18c2e293843f6f03b3b5dfd8e6d23b6a2744d",
-   "format": 1
-  },
-  {
-   "name": "docs/edit_psu_peak_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "c5cd0b1dfa020f109152a5e52f90767966e0c1ea30d2fbfefb11483568fa5d49",
-   "format": 1
-  },
-  {
-   "name": "docs/edit_psu_config_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "1f8dfbfc52e9bbc034e746c93d5b27ca24ba8baae931f4c127eb8b434a757ed9",
-   "format": 1
-  },
-  {
-   "name": "docs/edit_preserve_config_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "597b5e153731c8731c070424169be429eb5339fa8f6c04ee8738810cdd1936a8",
-   "format": 1
-  },
-  {
-   "name": "docs/edit_power_status_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "89b6315d854300bae3f5cb1072bb79d9481ca66dc55499a5b8003352ddf066d5",
-   "format": 1
-  },
-  {
-   "name": "docs/edit_power_restore_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "4cbe2c17aadd9cacb8ccd2cef6bf2da5252dfce4ba06f76dee7bdc324d01680f",
-   "format": 1
-  },
-  {
-   "name": "docs/edit_power_budget_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "28922c015e74806fc79abb98c2ac60824d4ba5e2bed03709d0994dc8fa5abfce",
-   "format": 1
-  },
-  {
-   "name": "docs/edit_pdisk_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "ee2674ee160e17fa3cb25f93586aeb9a7a01237197312058bdedeb9992f76faa",
-   "format": 1
-  },
-  {
-   "name": "docs/edit_ntp_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "481f76b5edec753b290b68f8d015ca3bd17a20726d262a630d91b8a3fcc0fdb0",
-   "format": 1
-  },
-  {
-   "name": "docs/edit_network_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "ffa6ef1b2bbbf1711fa56eb77ceedd2e3499837b3d6d3a43638331541ad8969f",
-   "format": 1
-  },
-  {
-   "name": "docs/edit_network_link_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "4a4d4cc34c1d12f0a7b7f0e6bcc4accac84f4c10940595e75e2405d28efe506b",
-   "format": 1
-  },
-  {
-   "name": "docs/edit_network_bond_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "2f9e815795ce9af554c4cf9ddd43ff3c457661ef5bb7dcd6ff6a3ac90773c486",
-   "format": 1
-  },
-  {
-   "name": "docs/edit_ncsi_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "89dfd45cd2ab81b1969db427e54e5c9fc6f6f538396018a6aee3cdadfbef09d4",
-   "format": 1
-  },
-  {
-   "name": "docs/edit_media_instance_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e008131a315de628df8d4d449ea915f327830c125f54d8ee0f1ccd8239bca035",
-   "format": 1
-  },
-  {
-   "name": "docs/edit_manual_capture_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "b7f0c45b99b1a2431c84aba86c9b4b15759d302191b06bb305e70d0b5bb0bb99",
-   "format": 1
-  },
-  {
-   "name": "docs/edit_m6_log_setting_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "dfbc7f600e14140e42ea1c0d604e4095b945a53dd194ef9748d9899636a4ca7b",
-   "format": 1
-  },
-  {
-   "name": "docs/edit_log_setting_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e3968f6f6529f2dd3c4651a75c57ae87566e629d9a60a210cc0f6365364d608b",
-   "format": 1
-  },
-  {
-   "name": "docs/edit_ldisk_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "6a49ba296b1cb159bdfdadaaa22fa4e6edc6b3569177368c46d3fad2e5d35149",
-   "format": 1
-  },
-  {
-   "name": "docs/edit_ldap_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "14512a6137c8b17b002493a772db4a123216ee2c1554c698ae3ad92a748d8491",
-   "format": 1
-  },
-  {
-   "name": "docs/edit_kvm_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "2c06b76e9cca240c5bc7cde27a47947b853740ce8549cb65ad85aaa69d8caf0c",
-   "format": 1
-  },
-  {
-   "name": "docs/edit_ipv6_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "9103d86e811374f3b2bfd5c2d19fa94df769f4a979d23db4feb6677119f86b3f",
-   "format": 1
-  },
-  {
-   "name": "docs/edit_ipv4_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "98762b1f54f208eba913a3b41acc5cd1194b4fdba4112afeb61e19d645452386",
-   "format": 1
-  },
-  {
-   "name": "docs/edit_fru_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d7e53bb0addcbd8bf696ac6426544dfdb039b0bfdcc37c4aba11c5939eac5ffa",
-   "format": 1
-  },
-  {
-   "name": "docs/edit_fan_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5c76e7b9710b760992b3ae8bbfbb3f0d58916eb74dc793f71cceb5438a2aa67a",
-   "format": 1
-  },
-  {
-   "name": "docs/edit_event_log_policy_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "a561d357f9a6fe114ea57f421baa130c93d178a82444e2d7ee1c84d89b1713de",
-   "format": 1
-  },
-  {
-   "name": "docs/edit_dns_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "b90e46d7a672277845c8d167d872c19d1050bc09554ede684eb04b270759148f",
-   "format": 1
-  },
-  {
-   "name": "docs/edit_connect_media_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "30e1d112e8e7dece987dbc066cccb7a0335b3f72e38515922e880bc58e18a95a",
-   "format": 1
-  },
-  {
-   "name": "docs/edit_boot_option_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "fa209405c27d72860804d8cd5ecb5a498a0127af0421b766448652dc30348e4c",
-   "format": 1
-  },
-  {
-   "name": "docs/edit_boot_image_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "9a66519f8edd2f5e2f2e5e2da0e5f7082acbc4b48232316e0b56a6460eca3260",
-   "format": 1
-  },
-  {
-   "name": "docs/edit_bios_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "1b59b31164036a82960c1bbefb871cbf2253b94a2e97ce7d050346af4f78accd",
-   "format": 1
-  },
-  {
-   "name": "docs/edit_auto_capture_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "1462be082e48842371c2a2cde6d72bb65e18e129497309fd3fa7d14a84a89380",
-   "format": 1
-  },
-  {
-   "name": "docs/edit_alert_policy_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "0be8fe2d934157f3e79375d5504a39e9ac6145108a1aafa8876ccb4668f041f8",
-   "format": 1
-  },
-  {
-   "name": "docs/edit_ad_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "602252f5fdfe6e4b1ba0aaf85298a59fd279635ea3398f70eb016b18760a4ed4",
-   "format": 1
-  },
-  {
-   "name": "docs/download_manual_screenshot_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "a83f4b1fd2f7c8eec40fc4fe02f0c429b730c6bf868f6cd4ed886d8e1bdb83ca",
-   "format": 1
-  },
-  {
-   "name": "docs/download_auto_screenshot_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "351dfea8016eeb9d11b51e7dfb62517cbf5e589e06440180fcfafa4ea64cad37",
-   "format": 1
-  },
-  {
-   "name": "docs/dns_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e35564ab29e6d6e850863a78012d9ab265fc66343ea03ec8fc20c36da0b80a2e",
-   "format": 1
-  },
-  {
-   "name": "docs/del_session_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "11e527626e26c86780a57df293454538ae4cd61527ff1ace0d5e798c854d6f94",
-   "format": 1
-  },
-  {
-   "name": "docs/cpu_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "95101db73e39c829eeac384baea6ccdf2d833beb4158f355f49cbda1397f0f7b",
-   "format": 1
-  },
-  {
-   "name": "docs/connect_media_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "93851351473154fc23a39de3d257715c390dbc6d2eda20bb591b53b4d10d5c46",
-   "format": 1
-  },
-  {
-   "name": "docs/collect_log_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "27039efdbc8b3535a01855e22360e2511b941b296f59c63f2cffcdc22b2fa081",
-   "format": 1
-  },
-  {
-   "name": "docs/collect_blackbox_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "27c376f2eb6cbce6da540c2f63b77c59995f6862cc998dad04e03051b7073d94",
-   "format": 1
-  },
-  {
-   "name": "docs/clear_system_log_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "0ce929def12e2b76b42789d1dbcbc7472fc3f3ec4287b0a8371893b023c7148b",
-   "format": 1
-  },
-  {
-   "name": "docs/clear_event_log_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "57822cf88875a02eecaca07e4c0901bdc03685e09a9ab37ce94f8125cac4b987",
-   "format": 1
-  },
-  {
-   "name": "docs/clear_audit_log_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "9778b53dd2bce08877351825a648cde9411e67425071d8488cf50dab5ca3e17b",
-   "format": 1
-  },
-  {
-   "name": "docs/boot_option_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "8114239f08d19cab6e522417c6b14cc6cd9d59fcd255ede0215ebd67b4a8da66",
-   "format": 1
-  },
-  {
-   "name": "docs/boot_image_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "b33c4c4075a222611d7e0aefc1bec1d7b94986d704742949d3344f615d67421f",
-   "format": 1
-  },
-  {
-   "name": "docs/bmc_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "24923e28c766f4ba9d3d08ed106b773e91332902db4a497cedc32bb06df5d53b",
-   "format": 1
-  },
-  {
-   "name": "docs/bios_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5865da57746af708dd49f47239d6a44d9335353e6f85e8eb1acd65a8b4311831",
-   "format": 1
-  },
-  {
-   "name": "docs/bios_import_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "f15e2d85759a532cea0637ce422d1fbfc5f4df75f7b7f03f789be213655c2161",
-   "format": 1
-  },
-  {
-   "name": "docs/bios_export_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "c032c19f25feae2dc4cc88df2146ff0284df437ef1ca86573ddad8d7d5db0fe4",
-   "format": 1
-  },
-  {
-   "name": "docs/backup_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "40504454cb1fe676559e641b27cda7b62870c5cc41452fcef34e7e2c2f97812f",
-   "format": 1
-  },
-  {
-   "name": "docs/backplane_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "9f771db1424a166ea09ec318bea00914853d9b915345191e145f60cbdc13b580",
-   "format": 1
-  },
-  {
-   "name": "docs/auto_capture_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "198c4f986794eff9fa609a3167f410e96490176d7542630cb12fdfde554e8560",
-   "format": 1
-  },
-  {
-   "name": "docs/audit_log_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "0f45e2435dc986d039120c141cfe55b043da376475b552d2048d07efba7549f8",
-   "format": 1
-  },
-  {
-   "name": "docs/alert_policy_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "df90b9392329d46eca208b9e95cc9dbb16ba287ad3eefbf2a02359e05ab7fdf6",
-   "format": 1
-  },
-  {
-   "name": "docs/ad_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "be195d2137bd817b63702df4293956d7bf49952d6437b00ba33f1e020474c392",
-   "format": 1
-  },
-  {
-   "name": "docs/ad_group_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "3cd44e424117da4f6f1dd36be34bc28312244bca1a1532e23c33a391a51de9e8",
-   "format": 1
-  },
-  {
-   "name": "docs/ad_group_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5c51173d9f6c28a385a2a882caa059313a394becad4697c14735d3cbd487df3c",
-   "format": 1
-  },
-  {
-   "name": "docs/add_ldisk_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "619fbc1dc4ec6a8a94a4bfdb5cd7d10b6e81bad244be1f9eaebec7b4f60fe6fd",
-   "format": 1
-  },
-  {
-   "name": "docs/adapter_info_module.rst",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "08baf34559b1c38df8c0b13fb09477a76612edbea6522526942292095ad438f0",
-   "format": 1
-  },
-  {
-   "name": "meta",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "meta/runtime.yml",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d365367ae9434742bca426eee9c07bb98c2879e1a12455869d2e17bbf4448304",
-   "format": 1
-  },
-  {
    "name": "plugins",
    "ftype": "dir",
    "chksum_type": null,
@@ -2017,4854 +960,997 @@
    "format": 1
   },
   {
-   "name": "venv",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Scripts",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Scripts/wheel3.exe",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5a6df2954c3f40266024720e8f2871d566b0138b94e93e5e49c58ea347e4a3e3",
-   "format": 1
-  },
-  {
-   "name": "venv/Scripts/wheel3.7.exe",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5a6df2954c3f40266024720e8f2871d566b0138b94e93e5e49c58ea347e4a3e3",
-   "format": 1
-  },
-  {
-   "name": "venv/Scripts/wheel.exe",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5a6df2954c3f40266024720e8f2871d566b0138b94e93e5e49c58ea347e4a3e3",
-   "format": 1
-  },
-  {
-   "name": "venv/Scripts/wheel-3.7.exe",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5a6df2954c3f40266024720e8f2871d566b0138b94e93e5e49c58ea347e4a3e3",
-   "format": 1
-  },
-  {
-   "name": "venv/Scripts/pythonw.exe",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "623870d10a0f497b0657deebf91ca19efff1a7d5c0342b3385c6f7fd84cb7a8f",
-   "format": 1
-  },
-  {
-   "name": "venv/Scripts/python.exe",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "61596ea4e41b7a0fe7b629ab66c28273295ee311f6aa8431119525cb06b4f1e3",
-   "format": 1
-  },
-  {
-   "name": "venv/Scripts/pydoc.bat",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "ae37c3d39c7cc6fb7151ba358dc20bd130528b7f994d094eecc3e9524b690874",
-   "format": 1
-  },
-  {
-   "name": "venv/Scripts/pip3.exe",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "161914a46f89b10a36ac7417a3045ba13068847e2f09676e25562cfd31566dc3",
-   "format": 1
-  },
-  {
-   "name": "venv/Scripts/pip3.7.exe",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "161914a46f89b10a36ac7417a3045ba13068847e2f09676e25562cfd31566dc3",
-   "format": 1
-  },
-  {
-   "name": "venv/Scripts/pip.exe",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "161914a46f89b10a36ac7417a3045ba13068847e2f09676e25562cfd31566dc3",
-   "format": 1
-  },
-  {
-   "name": "venv/Scripts/pip-3.7.exe",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "161914a46f89b10a36ac7417a3045ba13068847e2f09676e25562cfd31566dc3",
-   "format": 1
-  },
-  {
-   "name": "venv/Scripts/deactivate.bat",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "fd86baa2815f99feb78f149a631aa5d69983c2efdbe32479ce43fda0a89c8db8",
-   "format": 1
-  },
-  {
-   "name": "venv/Scripts/activate_this.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e80923738c93fc214452c40b1fb030bad3582a8b579881ef863725a6b10919cd",
-   "format": 1
-  },
-  {
-   "name": "venv/Scripts/activate.xsh",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "de4de25afb764c37cf7f5a37ddec6f1ba4e993f48807bfb36e3f51cd1b366daf",
-   "format": 1
-  },
-  {
-   "name": "venv/Scripts/activate.ps1",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "60a3888d12fa2c8dd5fe91f7d0c816029c7b79a83facccd406e915adc115cbe5",
-   "format": 1
-  },
-  {
-   "name": "venv/Scripts/activate.fish",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "492f494da776e99fb63fc623d5abda5b4d7db83100296eb7ece6f1a27ba4e9d2",
-   "format": 1
-  },
-  {
-   "name": "venv/Scripts/activate.bat",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "657cbdbfcd98fc363e87553cc2c1cd629064558a0f425e3313a7bfc22b50a812",
-   "format": 1
-  },
-  {
-   "name": "venv/Scripts/activate",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5b2c483e73bfb3f64a17acce95bd954e22e187ebe9a5f7237339a6e481a9b65f",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/_distutils_hack",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/_distutils_hack/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5f7454880e8a04fa0499ca3f0a3002ca5b7241b15119552965101b4a43c6c0cb",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/_distutils_hack/override.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "12efecf8d17a5486780aa774b5b6c0e70b56932d8864f35df1eb7a18bb759b3a",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel-0.36.2.dist-info",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel-0.36.2.dist-info/WHEEL",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "67e9f2629c2b712ab17ddbb1e4c6e7fc3439db988fec9d831b72601af398c934",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel-0.36.2.dist-info/top_level.txt",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "1f148121b804b2d30f7b87856b0840eba32af90607328a5756802771f8dbff57",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel-0.36.2.dist-info/RECORD",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "6d8d12da6b3fd9948764a402b1212ce2944033cbcac40d9f88d910cdbebebcf8",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel-0.36.2.dist-info/METADATA",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "c3dea9017307656cc5cbe770a8666a5dbc6ee47ba9ddc6f7387ba3842b967c3b",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel-0.36.2.dist-info/LICENSE.txt",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "cca9e20c6af1fcfbf69408f377769286cbeebcded336100c9b4a3f35fbe635e4",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel-0.36.2.dist-info/INSTALLER",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "ceebae7b8927a3227e5303cf5e0f1f7b34bb542ad7250ac03fbcde36ec2f1508",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel-0.36.2.dist-info/entry_points.txt",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "37c1db605493df2acd418781db05d60443d4845b04b4a3513da0851893f2ab27",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel/vendored",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel/vendored/packaging",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel/vendored/packaging/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel/vendored/packaging/_typing.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "c79f44850e7b4cc4fe9134722d9576e4766f6061b06ee713a3a88a87f3b4b4cc",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel/vendored/packaging/tags.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "cbc86016a7d5d0aae2a3e1de80f0770f4a7f01e898704f17c0094476612b0ded",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel/vendored/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel/cli",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel/cli/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "1964a8194a5169b4dff1b93716c3533eb73916cafc60ebf6757e79898d96ede6",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel/cli/unpack.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d155b34fb53fc727a74cfc0455abf1aaf75e7bddc63ef0051e747752ef756917",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel/cli/pack.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "4be275888cb518f0d34c3767fbf4b0c466bb37bdbd878899348d75103142a9f0",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel/cli/convert.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "ec5e2f8f6dc0d8e8210c35a7f605f657efd37973336b56b99c87a39851845093",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel/__main__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "945f982cee217509a85ae87879665df182f553de5149d9bbeac34b0576b4be31",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "80469c93aab7be06e6ae07a7edc3b77c23afeaf145e21876298ca3ddf2a4e782",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel/wheelfile.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "eca80e2b5ce7ae8f83f007a580d104e2383a7c361763f06ee9cadda8b6f61104",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel/util.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "9a73599090a2f431cb23fab8953b9da03d265bdee1fc0a005a5ee9acd3cb5c97",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel/pkginfo.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "191efa92ea50ce7d71f6c283697b84e81e85b19e0e91f46d1bba677655cfbd0e",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel/metadata.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "6f790f8599f6c360fdc1e9e096d5f99c621943711150e43953e2b9bc728f75e8",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel/macosx_libfile.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "eef11c1a5976dcaddf88b8edb47d229ed8f14743482bc3babe29a3459ec10a87",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel/bdist_wheel.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "daf7efde0fdbf01bd9e43a3d6e92c405dbbd75011cbe8310d5f957a4a6052435",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools-57.0.0.dist-info",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools-57.0.0.dist-info/WHEEL",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "3aa464174798e461ecb0ca2b16395b4c8ab4ef6be91e917ad1f21003a952f710",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools-57.0.0.dist-info/top_level.txt",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "77dc8bdfdbff5bbaa62830d21fab13e1b1348ff2ecd4cdcfd7ad4e1a076c9b88",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools-57.0.0.dist-info/RECORD",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "a31718b561db82a0d84adeaeb7616fcee1d95c6b7509ff7bf47e618aef5a7a1e",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools-57.0.0.dist-info/METADATA",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "cf512c2d92874bbeaede7f64db0f37dc988ea6376bbc465294f5d1399e148891",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools-57.0.0.dist-info/LICENSE",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "db3f0246b1f9278f15845b99fec478b8b506eb76487993722f8c6e254285faf8",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools-57.0.0.dist-info/INSTALLER",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "ceebae7b8927a3227e5303cf5e0f1f7b34bb542ad7250ac03fbcde36ec2f1508",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools-57.0.0.dist-info/entry_points.txt",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "96478968adb5be5b92db2ecc7e63bfb5b2d88e1f2f6990e066cc33538243f608",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools-57.0.0.dist-info/dependency_links.txt",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "1e5902164a0ae536d9e4430b6cb29884b718fc4df5901583f13a96d848266ad4",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_vendor",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_vendor/packaging",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_vendor/packaging/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e9e9dba795e045f8c18ec23df9b9f4d078c77f94c7db53c330e2a4256f31c3ec",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_vendor/packaging/__about__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "3cd32c6999f851c087cae6e044e1f56e5e8296e76e3e3239905ad2a7f660925a",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_vendor/packaging/_typing.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "c79f44850e7b4cc4fe9134722d9576e4766f6061b06ee713a3a88a87f3b4b4cc",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_vendor/packaging/_structures.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "a339025fc43c7f6a84d4489cdd8890e1bb8355f833da261ebd8f5eed1db2de26",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_vendor/packaging/_compat.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "31776c1a9484fd6f99ac7a02f3b6a7748e0b576140c14ec72cbf9e1defc28e15",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_vendor/packaging/version.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "0a76e6f8e3bd0ffa9df194c5c7315c8d26af7b14981599b279aa0fbccb2380f7",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_vendor/packaging/utils.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "452865be78ced82b58483f2eae2df67eb30c14c4e607ede286cab5fa08732c4c",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_vendor/packaging/tags.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "34a312dfb668fe75ab67182c0facdb5ec5e073d79d9fd9b5eb470188b98725d1",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_vendor/packaging/specifiers.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "b98a7d975dc5d0b7249d2e9de0deb4cad88180598884a89d78eabd027b314dca",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_vendor/packaging/requirements.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "547c9d65d93c9b7a85c517a898dc0aafbd5c9a98da9ed115ff13a1904cb220d2",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_vendor/packaging/markers.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "0420b165bb7cc60cac1fcbf9a6a6cb91db509d164720690942a94d0467a4e274",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_vendor/more_itertools",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_vendor/more_itertools/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "0bbb177df1d35ccdcffa268b3cf7ea7e60e8c4e7e540c24b70cede77da778da9",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_vendor/more_itertools/recipes.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "524364aec672aa2c202c700d0539af3210af68d4af48d621c8ea73fc9739e436",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_vendor/more_itertools/more.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "0e565af2fe898a15707d0e731e274e03ec43134a2b710214cb156709a5280ca1",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_vendor/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_vendor/pyparsing.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "0476f063b295443808714cf60bcc7414298b4560286d112aa3270b9da6e50337",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_vendor/ordered_set.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "75b68272cdbb77237d827316185e6703f06b567e90f8dae329826957dfdf801b",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d9303eae5343973788f9cb1b5875c58c60fcb8e62a00b31fc963a14f8f670ba8",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/upload.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "04b3b5c3b79202ab028c22d7b5ffc24554a3c05d569b2381c8654635d710f286",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/sdist.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "aa8b498c03b3ca1263ab6fa80c89a3345aceb5a4a778414325307eb04935c275",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/register.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "da36aaf7debcaedda9b91543071d476cd897bf6eee3a4f22744ff894f7ffdd53",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/py37compat.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "ab346186f4e286ac7f3d966dd996040b18755f73a3db9e55a9ab737a560500ac",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/install_scripts.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "fc22d4790c06251718da48a4edaccf327e4876d0c2ae359d52f675921946e9c9",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/install_lib.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "f40a1f47e30ef6502d8f0c2eba40a9b5ea4e68910a3195b65478b2479854ec70",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/install_headers.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5d0ea27646c80dfaf59635c23b39ee55432f385a47067e9c2b45b3f6020cd9be",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/install_egg_info.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d245b496254c79a7648d7d197117cca6d2857a7d3b1b0ea0cb0d551d3e4a2307",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/install_data.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "62118e0308778093ea17b7a6e57034ae6a51e36cf56cb87cd28a049730f252f9",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/install.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "a0e336ac3ee5fd28250113550e68999fcbba0c07e2757445ff2139412df6f01e",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/config.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d9a4e3c30dcfc23301f3e6626c27b83fb07ea86d61335827feb257632c51cfa7",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/clean.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d930ade3baeee2165933445f55f5188f96dba6272918b3f8421c398c1b6fa7d9",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/check.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e6a0ed23be5c719837b0022d41679a22ef32dc5477d783b8aebf529b3e07b04a",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/build_scripts.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "68ac9c2493f1dcb7d9d5cbd981225ac670f62e7bd1339589fbcc64a5d81c2ec2",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/build_py.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "4bf365c3885913c3e7220a97e4e14c766b7e19298e84f410e1fda3af5b819e85",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/build_ext.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "63f4986ddf121dca6034f7efde27d59e26658d8b3570b00595e0528b6fcedc26",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/build_clib.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "6e05531e1dbc78b400d86930ebc6a602977f8fba90057e0c4c8fb34ef00afc9e",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/build.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d753724765005336a5ae44d9da98740401c55850b68ed4ac37b808685f8d0b4f",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/bdist_wininst.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "88695a23e55f1251ce9de79ccca1d69d23796b5d3eec831c25a5ee47599d4b77",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/bdist_rpm.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "8233b0db61a10d26dcab46ddab6e5c4dbfa7e875969b46d284b41a77f9a42789",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/bdist_msi.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "11515060dfd7f84c5e78ff2099d57d25c20db2e506b0b254cfd69f314d11b7c7",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/bdist_dumb.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "053babf63708a69c8fecf89abe37ec93b623125aafc5e60eda7a54c8f3ce7a47",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/bdist.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "db3e1eb9d465fe7ee6de51bd95e2f4218a9eb386ec9bc7347f17d9ba269f8cc8",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "969400a6147feee8560b67db484a6ce096bd5b86307b337f217fcb244b779215",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/_msvccompiler.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "8d1d0933903524c9d9eb130389c4338575a05d3557b3595601e51ec42d73d7df",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/versionpredicate.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "671a4403e4d0bfcf2651673a85eb543b8a92a80dac6bb8a98d9dd010ae5ebc39",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/version.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "f0da203fa34f3d0a69dc450c65c4fd73310789af9e86a3e8f2ca68fdeec08145",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/util.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5a5cfd9e80a1263cde9bd99f80ebbe29a37cb2807868d8517dee151a5b5777cc",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/unixccompiler.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "13ae5e7428582e81d8f308b83b116eff02adde125edc6c9217abf9d46fd9ccbd",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/text_file.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "3ecb8025e59d289a0b495ffa37a229079fb43daf382b32d4b9c24c1516b3c372",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/sysconfig.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e73e79314ee05de71e2ff1bd14ae9ec7ed8ebdd7885c945925a7ebb6d84971f5",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/spawn.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "3a64a7ab712a762b6af09e6fe715cc9994921e32e7e1ab5b59265b2fae49ba50",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/py38compat.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "208edd741c4e8a30bbb8d378cffe3a1d8523c184c960c3622c9a064e8ae6666d",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/py35compat.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "fac935bc122c3a01fe0286e32186cafce12374917fe78525fc3d44884f5733f7",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/msvccompiler.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "aabb802de191abcf828ed8c4dad2d0f16dba42772171879d5b31667bc0316784",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/msvc9compiler.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5fadb707dda0d2ff00dc110cf6aa517f7f7a00477f85f8e47c35154cabb485c1",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/log.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "8560667540b62bddbb41c56fdd110c5b71cc3dc97171c3d09e0c4b4ae517425d",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/file_util.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d2152a7c8b4dff1d83562851d0c1dd03828231508e3bc568072685a7f6ba3038",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/filelist.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "f1b471873a7616c6a81d3ed3b8a0f842372e87f07d3b0ff14edfe1b5926f3764",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/fancy_getopt.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "38fc69d82c478b5629fddd43f09c56e147aaf5f0bbd6d7a040569a7e1e7c1865",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/extension.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "6d36f74340a87af18a62fe5d5f596cfbe2e7f2d941d3e5043ac8bd070ce567eb",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/errors.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "62bead29919dcc1a0d8b9def06d8aad1427ffd7d390a6c5275026a3966b0e926",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/dist.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "062b9fe9c6bcba215f31271116c6142ad6f99de30fb712b146d5e7e74ff57f75",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/dir_util.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5308413944dc57ae464f071ee123ee4d747c67cab72d811c9adb6a7066f46d8a",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/dep_util.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "1ae47d230fe3cd9464c9e989e475fcac1ff0446c642017019b5aa1e78afbce19",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/debug.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "37a32b4c0a8aea5f52564ead5b0791d74f0f33c3a5eea3657f257e9c770b86c6",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/cygwinccompiler.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "f54e0902eb14ce5006265d18e674e83e443795dcec780b62c9ee37e26c09d28c",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/core.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "8db74e92938ad3dc62fb9eaf861c2f9f77d87612dbe4324ef2adcad5f9d0cf44",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/config.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "76d1e06e5c7d2617f2acac75f89ec9971c3f7fbb3c65b3c54228b65163136696",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/cmd.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "79ca3a2c0194b686cbb8f69fba19a02a09304512ff598f0a27861e0c21e9725b",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/ccompiler.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "1b6b67f50df343455435f5b52ccfa7ae72edffa3a1b6252e9ee802bfce43d4f4",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/bcppcompiler.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "3890d5a425265fa1fcbffee5575ce27d5d5f731f760abd9d862521ebdf3d5092",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/archive_util.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "a96fae886c187b14ef2b97be8927a5ff7d43b21c7e0aa4da9cd3caeac9f07fdf",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/extern",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/extern/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "1e17fd5bbdd6022b70f5375125f0c86fa6058e62b9e8217ad5a7ddb35320d076",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "7bef1324e8a451edd2b747f0d9bda9f6ee440dd4b1979cc75012492a27db710f",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/upload_docs.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "6dae643b279d0ffbbadb07a29ebc6aaa7be9b90bc122e6a65de8491bab40bced",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/upload.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5d3dd81557d83c0980e6a8468347ae96e53df1fb714545be3f329c38330bc54b",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/test.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "f8ed31ac7f1a7492935c2f1d4992ff6c0876d5da2618cfb3081e5144d7e774d7",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/setopt.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "2e272a957a1c90ba8138760f36fd49d37d87c6804a0f81ce1c1d75aa6fedf81b",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/sdist.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "a44305d06315b9ace734ae8615a98ae064971bdfea79fd2273ccfb8c4b0f98aa",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/saveopts.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "cdaed00817108a628aae259ca0271b8713e3533df481207be33b932f8ef1a4fe",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/rotate.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "4afb103dab1ecc8a233e3bcc9df92ace1f0fd14d2d0a3d1d69ccc5f2e7373503",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/register.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "924dc3c5709be655d3bea9e17f0c7683aabb8b06d49a04f25d409a068a013949",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/py36compat.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "ef22d6cd08f5efd127c77a49f15d5c0c30b378b30531df5725794afa2653ab96",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/launcher manifest.xml",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "c652db8d6ac1d35b4a0b4fa195590e2a48923dbccc9a5d9e38fb49fee7029db1",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/install_scripts.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "a348cdfdec7bc98624f16e5c97299314e5f090530acd6f6aff377d36971ec7b3",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/install_lib.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "533e3631cb321d9023ac1e9cc3d13b073d31b1a4dbcf19ccd4f23d0818623ed1",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/install_egg_info.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "6cc81e21e4625f34380c018f575df6f24723c108c78ce594e059e00162d5efc4",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/install.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "f1da0cc5e4040e82b811ca3498ed969575f3ce9f509ec18943b67bc969193c6f",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/egg_info.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "b1ef85858235b1933329dea59dd57ffaf364277d615f81d8e1970c52eef597d9",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/easy_install.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d77069534616d1434963e9353925423e3ec49c26747a9e5f6424b4b8ab99d266",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/dist_info.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e6dea439fadd8002d3f8fde882cb3a3c5f64f8b7b27acb9ec9cba4ddd5326672",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/develop.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "074a79761ed5ad231d11f85d504fc02655a4d94c407ac38e635e02015e7f0c40",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/build_py.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "7cfecae97f154bdd83fbf8472b98ccf7dc27a928d342125cc79fbc5a9ef8301f",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/build_ext.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "688fea9caf66f2550b6434ba5ccbffa768f6a487a155b49aadbe0f2470c0eddc",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/build_clib.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "7d61d2146924d7454275d0560accef361a306c6f59f42657563436b92227a0eb",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/bdist_rpm.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "ff863bb55033bb5cc4b8373cb6945d13fb32df3493de1dcb3d3b738a8a2ce429",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/bdist_egg.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "faea6207a7c5b66f1c412423d4b4435691b5f93d78dc3b170af5747e1d37bbb5",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/alias.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d6c2d0c5970d87a7434290e69b81bb506193a25f379d8d4d4cf98d05b9b6b222",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d1cdb7d8b47238b19d2fe6309a093cb8cb9bc7b236d70fa2c495a24f48d02be7",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_imp.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "1e617dd486e2b517ec0f9cfe838ff099cb87f916a1c8838d6cf82208e160b730",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_deprecation_warning.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "8d4f7e76d7efe9c2a6b5024e5cdf273f59a6ee038dc3990a12d88fb5bc276722",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/windows_support.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e46adfa923f6f9d2c6268653ab683a7422a4c90c716b69f92108979490a86041",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/wheel.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d0ff2d4a4d74e6e17f51bfb7d0dd875365f6bfb30a0d2763a5e4254515b74a42",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/version.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "a20fdcb9941bd1023aba429915f6563e5af51e02413cf9f6bceda6fdb23d6531",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/unicode_utils.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "68e385a38246c00b2206db46603b2a152ed8a9641e6768fa0d6882b9cb51ff4d",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/ssl_support.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "08f53fe354bec7657aa8eb8436bdb042c392c651ef240a173b1b803dbaf18e93",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/script.tmpl",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5864ede6989eccedbb73e0dbc7a9794384f715fdb4039cfbf3bda1bf76808586",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/script (dev).tmpl",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "454cd0cc2414697b7074bb581d661b21098e6844b906baaad45bd403fb6efb92",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/sandbox.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "222af199e0876e5d421d3ee910f810ead4f1f7053ce789fe776a7cd12bbcb797",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/py34compat.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "29839deb26d1c63056f0d266603f2dfd4cb2566caca69157a87a452ddb251975",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/package_index.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "0bf1529ca9bb599334c1eca9359353652f62f48ebdc2d97707313ea917778d20",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/namespaces.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "3cca8654f5cf610823513bc483d6c671c440908383ad0e8d9ac0e0fdfc04af02",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/msvc.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "dcb2edf77f1ee8e47bc163f322f090bbb2c25994882aaa0a57ac37afc8d5de46",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/monkey.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d1edc77552971cbe35e4eee7a7e014aa11055cf3ee0dd24a6c8e3b72143f0c4e",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/lib2to3_ex.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "60a03b0a6748256c32d3ecae640c548283476d71664f8a79de235a7567414029",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/launch.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "4f23d3f887354f612762f18edba81f3513f8cac065ae1a5b4634315ac88ee35e",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/installer.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "8db85bed9564355fdb4943207e72dc670d081ebe911059ca178a3bff526ac66d",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/gui.exe",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5c1af46c7300e87a73dacf6cf41ce397e3f05df6bd9c7e227b4ac59f85769160",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/gui-64.exe",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "69828c857d4824b9f850b1e0597d2c134c91114b7a0774c41dffe33b0eb23721",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/gui-32.exe",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5c1af46c7300e87a73dacf6cf41ce397e3f05df6bd9c7e227b4ac59f85769160",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/glob.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d686636df8c01d25db81d852b91e98194f232a86fd2fc36d126058a9c3d32d89",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/extension.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "34c338e978cd7557a559e99cd31f02c95280e4ab3a666df14d6480d924bac593",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/errors.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "31539cbf7f351cd49a8c3804516cce43827a0790470813128c77da59c130035a",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/dist.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "41565bdb2a608535c5bb3ce9ef9dcadf81f229410058232f01e6120682db0e59",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/dep_util.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "043c75064ccd427b6f001e1a972a476d6e54541ce3aad86cd34d0fad42f866a7",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/depends.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "8877d974b7650aed81965485f5b460ecd534a2a6cf58c1fc9639b806ec100d8d",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/config.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "6bf4bd76a6f9975f2f96a7b906b537d37a99e9e1686a00b93d98d8c11617fe6c",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/cli.exe",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "75f12ea2f30d9c0d872dade345f30f562e6d93847b6a509ba53beec6d0b2c346",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/cli-64.exe",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "28b001bb9a72ae7a24242bfab248d767a1ac5dec981c672a3944f7a072375e9a",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/cli-32.exe",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "75f12ea2f30d9c0d872dade345f30f562e6d93847b6a509ba53beec6d0b2c346",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/build_meta.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "c7b148d543ca08ac41052a295e871f1839c96bdf2b40ef1ab4a5d2c09b5d89df",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/archive_util.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "99a2436e8cd16c37923f0e77553d1c6ff212dd6d00a7bde5251f2d5fc4590f1d",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources/_vendor",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources/_vendor/packaging",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources/_vendor/packaging/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e9e9dba795e045f8c18ec23df9b9f4d078c77f94c7db53c330e2a4256f31c3ec",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources/_vendor/packaging/__about__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "3cd32c6999f851c087cae6e044e1f56e5e8296e76e3e3239905ad2a7f660925a",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources/_vendor/packaging/_typing.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "c79f44850e7b4cc4fe9134722d9576e4766f6061b06ee713a3a88a87f3b4b4cc",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources/_vendor/packaging/_structures.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "a339025fc43c7f6a84d4489cdd8890e1bb8355f833da261ebd8f5eed1db2de26",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources/_vendor/packaging/_compat.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "31776c1a9484fd6f99ac7a02f3b6a7748e0b576140c14ec72cbf9e1defc28e15",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources/_vendor/packaging/version.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "0a76e6f8e3bd0ffa9df194c5c7315c8d26af7b14981599b279aa0fbccb2380f7",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources/_vendor/packaging/utils.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "452865be78ced82b58483f2eae2df67eb30c14c4e607ede286cab5fa08732c4c",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources/_vendor/packaging/tags.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "34a312dfb668fe75ab67182c0facdb5ec5e073d79d9fd9b5eb470188b98725d1",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources/_vendor/packaging/specifiers.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "b98a7d975dc5d0b7249d2e9de0deb4cad88180598884a89d78eabd027b314dca",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources/_vendor/packaging/requirements.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "47c2b81f8c57fe20f82efa46c35537a2eb8f6c637ec33b05803edbae100cef56",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources/_vendor/packaging/markers.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "6129ed4243272b2c35fc51baa1134d9c6c4b2fa6c0c5c1973adb8513e6134b79",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources/_vendor/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources/_vendor/pyparsing.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "0476f063b295443808714cf60bcc7414298b4560286d112aa3270b9da6e50337",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources/_vendor/appdirs.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "3227af504bafde5fe6408487e52174b210e4fc13611c7cd88803eb4f72133782",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources/tests",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources/tests/data",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources/tests/data/my-test-package-source",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources/tests/data/my-test-package-source/setup.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "32b7b39779eac646248c26292319a3861838011f21822e1065d1189a4f88ed1f",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources/extern",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources/extern/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "dcf8b1693f53cf3778368c95e8256119ded2ffd67e539caf31601fb592af0ba9",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "3f73cd377fe6f0926b60ca7e8be4aafb7ae12b9bee562aaa8e7d545ca1df7bb4",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip-21.1.2.dist-info",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip-21.1.2.dist-info/WHEEL",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "3aa464174798e461ecb0ca2b16395b4c8ab4ef6be91e917ad1f21003a952f710",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip-21.1.2.dist-info/top_level.txt",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "ceebae7b8927a3227e5303cf5e0f1f7b34bb542ad7250ac03fbcde36ec2f1508",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip-21.1.2.dist-info/RECORD",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "9a16bca4afc8289b1ef9ba921812984bf128ccdd8d4471b6b7754c2de17b5531",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip-21.1.2.dist-info/METADATA",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "cbb3214af4af30eb6e82c9e42e5860e79e97d0a7c0c1b49b42d58891870fd749",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip-21.1.2.dist-info/LICENSE.txt",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "23a7361c2b1581028bc623b9da2bd24997abcaa4781ace6ad444a37944f8dae1",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip-21.1.2.dist-info/INSTALLER",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "ceebae7b8927a3227e5303cf5e0f1f7b34bb542ad7250ac03fbcde36ec2f1508",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip-21.1.2.dist-info/entry_points.txt",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "1ed7c33b0a5496bf6cef78ea2d0eb017d574ff4aaf517270081cfb570c7451ed",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/webencodings",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/webencodings/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "a8e04922e3f2ff8072607e96fdb360245faa610d83a14f9d2ac0eee724560978",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/webencodings/x_user_defined.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "c8ea9649d9a9cad19f52087f67a258803361a1cf81007cb279e4f5e45af8dad3",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/webencodings/tests.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "3ad18bca384d6357ef916d46bcb27f155f59a2a0bd027ca3afbab79314dbccdb",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/webencodings/mklabels.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "19821ecb09e968b9cfd064a273c2c55a0774515bcefe5d4d73a62817ef3b47fe",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/webencodings/labels.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e003bf2b14dd76a1adacbf67b3b9003e36f409c37ac6c088c5b2b7ec763daf71",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/util",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/util/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "2449929a6aaa2f26b0f0fe75814226661f06c20f62d7349ef83a2a022b67da77",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/util/wait.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "dcc50a452014243076b60728eea454b245b4cd7180598bd1444e10d7feb194bb",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/util/url.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "28fff26870344c5140b1048899cfc53873be5aadcf3477ff6ca39b29cae0754e",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/util/timeout.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "4126c150d381f7287a0270e7eb54ab2d0d21839a33d08f7eb97106f75009b888",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/util/ssl_.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "74a707facaa247f1125aa28fd4f27a4940144afa82f9f90c406ad3a2457834c6",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/util/ssltransport.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "bce3823d19fe74e0d4676aad3027d2b5bd099a382b80968a2ea27daaf2ae705b",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/util/retry.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "b3764d2973bafeddb7650320f3396edb43cc4aaada4f8f79f92fe6118ff5f5a9",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/util/response.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "189a60dc4822f6a6895d1c01879c2ff8c36e4566a7e4122ee34a117a8c563f6f",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/util/request.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "367cda10a4353dabb0e4c14c57a1e68043072137f402e6bd7d0bb38b6b99cc67",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/util/queue.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "9d1817f3f797fbf564bf1a17d3de905a8cfc3ecd101d4004c482c263fecf9dc3",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/util/proxy.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "1468a90049ef66d7b295d5cd8dc7b80c407b633c14f9ae657a9f32e52d2a1d08",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/util/connection.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "fc8f99a05e7cc572cb8e8f90e4819a26b331cb6216fdec48f0af4ef69abba29d",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/packages",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/packages/ssl_match_hostname",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/packages/ssl_match_hostname/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "ce9a5ecdd1107691ac61eac8ea657a31f518cb8f79255e2670e582fc681b9635",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/packages/ssl_match_hostname/_implementation.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e9d67eab4ef883b5e1b09dbb3050a091cb7c895359077b0c66f2a17fe294572d",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/packages/backports",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/packages/backports/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/packages/backports/makefile.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "9dbcedde2d1a80f54fd3b8eaaa08e16988cc9ae022fd6e44d04cb0662bd53bc1",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/packages/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "87804b843e2d2da071d5a75a0ed2977eea6c82a634c162d76ff7f5ff256557a0",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/packages/six.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "69dc78cfe78cfc3d15beed0822a573140090feec7d97ae32ec391211f6f1083b",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/contrib",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/contrib/_securetransport",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/contrib/_securetransport/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/contrib/_securetransport/low_level.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "96021db12c9ca9f0745e6e41889cd719e20a4fbc9b0903053c902091cc0f6b5b",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/contrib/_securetransport/bindings.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "791cb5323fb0a60eec47af8e4af9d25788d46e3313e3ae1d2cdfc25b16c8455c",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/contrib/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/contrib/_appengine_environ.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "6c36f2384856d8228b25c42a00a032ac41cdf9a925b321c52aaeaf17c645b269",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/contrib/socks.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "0dc463336974ad0308ca162b37aafeb6756463a6530f11c994cf3fbac0241820",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/contrib/securetransport.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "3041076b762a1bc89f0cf606d203b5d82d6d66ed88f87a86178942e7770714f8",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/contrib/pyopenssl.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "92a9bd497e21ffa87be90c060c188d43b8be92d299ba766ec734d58e3b470eda",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/contrib/ntlmpool.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e88f79875ffbd5fcf19a831236d634801f259f20a856d3ff0e9a851a3d787dd5",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/contrib/appengine.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "966f3a5e368e23b6a36e89ec37424b0347249204855a183158a2d6fd89ade2c2",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "8f7cb31c86e65bb092f8829027df8f3d07ff60a3bc10e01ecbfacc5b4511eeeb",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/_version.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d818e4fdc078f7ddb53d3bdeade5a9f194773612cda02300c874863fe39eb0b9",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/_collections.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "469d6657206073f52501ca7a3376add6c909057479278dcd6b0453bd6da0fd76",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/response.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "846846061ed3904921fc8420e42d56ff1b8f36b8082afe415173f213eab42ee1",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/request.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "645488a97d02e968b38b179c0a1677fe8932bbb044bf4959bb5553d2cea1e123",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/poolmanager.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "c21ce55fa51312038330e0b2d190cc50e351042cf9c3220cf19f68a57018f8b9",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/filepost.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e5bfeaaa04475652fbb8bb5d018073061f861e653901f255b7fd8dd174b73de6",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/fields.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "92f2c30a0fc9987d652e3514118fc52d2f14858ee106f0cfb951136d8f2676b3",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/exceptions.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d0c9e7a372874cd7d745f63beb7f0db9f38f9146fa9973a6f8baa3fb8c76c3c0",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/connectionpool.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "20aa1eb89658f580189b418ae2af8c5c08725d6d0cfc59ef69b61a36c0c847e1",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/connection.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "abebdffd333733245b65c167dfe5422990527f4a048468efec115e666ffb930e",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/toml",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/toml/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "918818cde861531d5c72db2ea6b9a310ac2749d990782e77713c62ee7c50ae4a",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/toml/tz.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "fb9be0f30920fdab67562d939c4bde7b121513b4ff171055afffb65957ced680",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/toml/ordered.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "516b791246bdd0859505876f2e06393d79e405c558a478e7c3d4faeeb33ce53f",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/toml/encoder.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "b417bddff181db52b9d939526cc898b867881971fbd05d96cc083e9487d5a24a",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/toml/decoder.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "75e0cf42aa63f76486ea902dc0b6e0287ac8b25cbb840646f94ea0db2ee1c867",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/tenacity",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/tenacity/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "eaa4a33760490edf3ae1bea7c45a1a9696c22d01e20f68980259d44bd756492c",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/tenacity/_utils.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5b59ee8c7ba6d5ff62e114293928eab10a3dfe642d694b4dce75c09901ec2f6f",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/tenacity/_asyncio.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e82e127eff4839461fd7ed2fb88a04e8e19b989ac9cb01f4f98b25af199bc4ac",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/tenacity/wait.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "140a087c851235fe4e589613ee7863142d2e3958a31cc05de7a0094722cddb7d",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/tenacity/tornadoweb.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "ab75d95b603d464cb50615106cd1c5eb584cd445d0e7b740ef0c4f9e548ec77b",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/tenacity/stop.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e1c8d27bf60f49ac33ea223e4010cdd3115f13fce52af8e1170c76d599720f61",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/tenacity/retry.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "c6c90b19ad7912c3613cf3a621470a4bb0aa8da440b56c4614d3cd4638f3f545",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/tenacity/nap.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "ed556e74e4e6bafffe0bf5c996f8c67201db57afc0d87973ca6697bbcbe3d5df",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/tenacity/compat.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "747a272642651f00f6726a8bad81d85344ddce6d9b9f5fbbe90652b7a3827a6c",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/tenacity/before_sleep.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "95910c1cd685466742730b3732887810e67dcdea38311c6c91d894b9dbcdbaf6",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/tenacity/before.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "07da405e7ebf27550acf04cbf6716d4693a1360f2ce6f1928b86ea9f1e3e95a0",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/tenacity/after.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "28d222d964fcdebe1ea80dd069730ad735d0ce46cb8151e3e6e45a9d8e8769b3",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/resolvelib",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/resolvelib/compat",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/resolvelib/compat/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/resolvelib/compat/collections_abc.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "bb2f31519f8d0c4c3dd7ab6e8145e6f0783008688c3b47fe45c767a647d77ceb",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/resolvelib/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "41602a344ae3c6a10c2a5f8051c717cf5d1a08a5663be5a65afc5497740e9456",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/resolvelib/structs.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "67a9b80a42899561f864829e944b0a35e66a293bf2bb1e21a81373638919ccba",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/resolvelib/resolvers.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "3fa6aafbba58e44ef344e6f4cd4516a85207100f4b9b4316b31fdb617cd48370",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/resolvelib/reporters.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "850bef5eeb8404ec8458ef0a0df2ec58a5635f9e5414c014c0ed1864c369cc0c",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/resolvelib/providers.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "6dfcc50d977b52a924012ee550cfc77986c0f87ce329f0e595efe99ffefdbe2a",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/requests",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/requests/__version__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "93827c735c85445cf0196c2537b9a268339c945b5b708b351a59e64f5ed86d74",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/requests/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "89bee74630da75b08c39e5f6b0c40b71b5f3cbdf361e82916362c3fe05aac0f3",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/requests/_internal_utils.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "671dcf9c451c7327ec07e89ed759d95405bca82949cb4831d6a34c13bae04f5f",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/requests/utils.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "fcaf4082437a79f3def9afb3819bab5f376ce4f042d02cc39328c0136a024054",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/requests/structures.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "9ac02dafd9aad49c4777e251ca220b7dd165a5b270bef16e3f7adf5104ff4311",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/requests/status_codes.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "813efd3dbb3f7108c1829f9fbeb520835767d8340edf66c38f84c89e39cc3d27",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/requests/sessions.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "06c9d1fb36082e0a05cc9eb2ab84fc86dfe2d0fc303c6540c56c56695e5d7078",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/requests/packages.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "9e32665627d8e1a49cb6e5b73cfe441510b18c4c0c4433ba27f7de1b674a5ac2",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/requests/models.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "52491a56e535b5cf81298078d5d76cdf9b1a8aca13a5a609d980421591047e13",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/requests/hooks.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "411786cb2d1b45caf9ae4c02b8e6cd6a46d8b1cec492229e0701b8a877a4af64",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/requests/help.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "4893d57285dea3b29f2b803124de5e1554028ebd229bceed5369fbb9b2ec92c5",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/requests/exceptions.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "77d7c9270f1814107d5731bdaa1bf12ee3b1e9b7b773f0f06dc93e75550401cb",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/requests/cookies.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "63e6ca5fa4ef5b716762513a02ed125ed55559c68d745bee030431c3e1b48932",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/requests/compat.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "2d05ae091e2a5e4eb0efea90a295f2cf458d1d47400f8d24d262a768011fd7e8",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/requests/certs.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "9d7455abd0ed1a6bffd4061bc234eef54ae001c749bf4e59be435e6a82ce6716",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/requests/auth.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "38ca092152b244bcbd4c7afdd72f2bc72b19b9c9703c1f8ad57835cc1a265214",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/requests/api.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "3e51ccf874f73d0e65cae7e8786995fa7271462ed49d4c86561ece57b07d5d5e",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/requests/adapters.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "7be6e6284029355a85772971b8c2497e2687765992ff3856848304ce51ef1ae7",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/progress",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/progress/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "7dc6d0417a399e9d82a10ca1487e57a6b9227302d934b78f477b886a1ce748ed",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/progress/spinner.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "93c25b0d6f784f4f965ee5dfc5920585da0d3d8a778df9e95ea0677d1bf97c6b",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/progress/counter.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "3339f206bbcf5ab3a519ee0c64094651bf6adda3837bafda35878013f54da180",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/progress/bar.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "42e0ee54d7265e0a71b4db713b416aef6c4a8a0c4005a566c58181c3827767f1",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/pkg_resources",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/pkg_resources/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5e91817ef4bd7da7c0e9b9b9af1eef9f1771b3bcaaca873f367a73280a6427ae",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/pkg_resources/py31compat.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "09193c7e488f4432ec6e2e6965c2ac1c8fff3db9a1ffde0bf26afd432f406f65",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/pep517",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/pep517/in_process",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/pep517/in_process/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "3325a8022f091dd701bfbc97b96a544950036f1e8b481f6b661ee44c881d03c6",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/pep517/in_process/_in_process.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5eb28e4d44497626b947b8b78bf390992f3d2c04855c4dc74177d7eb7a990481",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/pep517/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "9a3bbd7a51472c4509db7ad4e59a5d8fc9d139d634563ddba78660bc14ece9b8",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/pep517/wrappers.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "41865f3759d6a2ae19da4ad8f945f5e092c0c6474dc2e8d88d119feea15cf75e",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/pep517/meta.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "f269cce650e74f8cd742905396225b4467deb07ee28a81f0a336c3c402cf4bd6",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/pep517/envbuild.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "b332941653b9d17d5a8507d7c33e210fd576544fdbcfd30b54f21e89db05a38c",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/pep517/dirtools.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "da69009002f4991cff7a56058d12ae7a44c9562a47d734e7e2d6dfd440debfce",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/pep517/compat.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "33ee6ce15369f2b8f24fbe9967f89b9cf0f8e03615cd2425c821076b28ed0cfc",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/pep517/colorlog.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "4e4f40b989bf70b17704a4c1a124c9b7d6d1af29f4685a232103b06df5544f14",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/pep517/check.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "f0b24bb5f67df7301c578bca2756bea1d331836b042260fb44c360fc4adefb56",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/pep517/build.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "678f4299115a7d7ecd8e804ca1d8a26f04186bf118cf7134177d5bec3e5656fb",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/packaging",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/packaging/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e9e9dba795e045f8c18ec23df9b9f4d078c77f94c7db53c330e2a4256f31c3ec",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/packaging/__about__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "8f807b20c312aa95276337187791f95999482d77af0fb666fe7f658ff4d1393c",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/packaging/_typing.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "560034000bec73deca0799c5f3dce8b9d3b208c12c57b165697cd96d8a849330",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/packaging/_structures.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "a339025fc43c7f6a84d4489cdd8890e1bb8355f833da261ebd8f5eed1db2de26",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/packaging/_compat.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "31776c1a9484fd6f99ac7a02f3b6a7748e0b576140c14ec72cbf9e1defc28e15",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/packaging/version.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "b7b169b192a60e770c9fa106dbc744bbfe4d05951af7f1d5a221be7ec0e8de87",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/packaging/utils.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e6f531c025584a668d24581deca682069c475d037cf4a22f44bbc2b03cdaa349",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/packaging/tags.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "04c10bff75b713c9d72bf017016aa695871cb2fa339c52a44c19133d1e3c0c1f",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/packaging/specifiers.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "45ac50f892b20aa2394019ba803bdba19d8aea38cb55dfa9c6ad24bd87f6f247",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/packaging/requirements.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "307a9ffc52a28470b4564381eb6654754c86f289042fdec3e17cbf8cad72152d",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/packaging/markers.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "f033a7d5cee867f0f248194ba26ffda38f46ce86d519837cfa4a4afe7b23f284",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/msgpack",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/msgpack/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "da027072c4c8680b4233418c8b6ad4fbf63a9082de790baa464ad0db68d200d7",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/msgpack/_version.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "745474de80029e3e25b0a775467c03ec13cc89523f14cca074e2f54ce044c3f5",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/msgpack/fallback.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "469bf52dd7b2f1ff2e7919d0ce70f80112819fd7713363f2c153645c8f0811e1",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/msgpack/ext.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e25df9e98e2c54472f0a56b6761fdc2f9eef87818c8597dade4b961c51d8cfa0",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/msgpack/exceptions.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "7424d67a2f1da64accb100dc8d093be004e5f47b08047d326edf3338f36a3187",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/idna",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/idna/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "f4db7bc69c9eb770e63ab3d41a8a03740c261d966ed6a500cb611a27dde41a24",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/idna/uts46data.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e0264407a65082648d2004c19f657fc5d5bd3c481539700e611cc27901ac2bf1",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/idna/package_data.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "931a6d16f799dfbcdb3d298a53b28c100f0f8bb877fac335fa9d9a826d8fa422",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/idna/intranges.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "4d8d65a7164841610fead36a8d9905039860a0c58e8f53819a7506f22853f3b1",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/idna/idnadata.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "725e31f512ddc3564cb4411bbcac00b17f8877701d2233b95371daa0a33a546b",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/idna/core.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "55d1464328a2b7578c294436c7498d5e819386b5e5472a74ef498f0f22d7f588",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/idna/compat.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "83eecf878e67cc82deffbc6fc5d6d379bac766ae26416c48387d6b8cc73ac6bb",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/idna/codec.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e1154c86a16ab898321812b2978d0046a7200f39030d7654bf297510e0912c51",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/_trie",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/_trie/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "9ea7e03bdd74df6f411152794f8a6c57042d8ddda2272117436f97f1cd58c705",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/_trie/_base.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "09ac9b63232ba3cb844506236f2dad4de4946ad9d60df5aba1437d37b7adcb9c",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/_trie/py.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "c179902eb6517f833258dca0d26de1f359bd22784b47b189d34da6208661fbca",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/treewalkers",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/treewalkers/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "3813ed7354d4e661b2cb5f100ccc4a132604cf4c3115450d8f9bf4f978266216",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/treewalkers/genshi.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e03d8f1026799f764ddeabb78cc97dc98ec1f358e7400a414125657da22e61b0",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/treewalkers/etree_lxml.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "fdbd0b01558b715bbd59a53ffb0dc3f1fd08452a426e37faebb57edcd45d853c",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/treewalkers/etree.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "c68d4be66f55b647e91492b4a459a42d56a386a618562b15667de4f646293e42",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/treewalkers/dom.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "107c8547c0fc958367c8353d971fc82a2815251c9e7141ae6b498e8bb1c1ba47",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/treewalkers/base.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "a2e88eb2e4b3bc8d0a8337563fc3e5c4869236cf5f6a585b8a29c011cfd42096",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/treebuilders",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/treebuilders/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "032b12272bcf7e290230cb1356f6b1c2480389e10b0f975f47c149200baaee16",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/treebuilders/etree_lxml.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "f60a838ecf88c6c3e10586b9729befd85675299946f371a2baccb69459af2241",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/treebuilders/etree.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "c39645a4a93a6c0c67af00f6fc1ac5e44542eefcf3d0bdcb322f52c6b6dcffcc",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/treebuilders/dom.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "db6c216f40bbd735c8b1a8b999a9a0eaacc11228a070122f683cb802cc376add",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/treebuilders/base.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "cfea39d6fb7daff9762031b9222a1338a1b36677b8172dff15cfbbcedace8782",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/treeadapters",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/treeadapters/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "034ad8e605c87b86c93a248644efe3fed1619e04413bc4193f33ed3f0e5d173a",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/treeadapters/sax.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "04a4bcc284139ca8aa79f7c7b310a152a2f8ab6651ff06f97dcf4c277cd00bcb",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/treeadapters/genshi.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "087dbba40b032a6bb864690052bc2dcbbbb429ab862c26512cf33368edcce6fa",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/filters",
+   "name": "meta",
    "ftype": "dir",
    "chksum_type": null,
    "chksum_sha256": null,
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/filters/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/filters/whitespace.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "f1e5aa671778502e33945196ea2c98e9ffb6bae4fca4e09200b737219b7bfede",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/filters/sanitizer.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "9baa069a40619060279f69d5e83e2113bf12099e961272bdaca759077b970487",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/filters/optionaltags.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "f25593ef927468138798f81f9aa4c749f3e93cca74d53f3834abb409179dc5c1",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/filters/lint.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "8e4eaae7ac58d288e261fbe974ff8e6529bd793a9c01d46a842a0f22d7a63d80",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/filters/inject_meta_charset.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "7a00d75041d79801bde74e31cf42ba00b0e0624bd4ac2daad7961455e3655508",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/filters/base.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "cfe214f590188e9b15b2a995b7b92e582eb78d1d7584332be8256bbee6a8f16d",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/filters/alphabeticalattributes.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "95589973624c09c9578bfe6076ebe6773ad1c6d3b95e8f4e3676c70550acca45",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "058cdc282a9e1228b9db10eba8116bba19e6b66922b875c5c8587e720950f269",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/_utils.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "0f1f402a7b64b118c54f5bde063ec8dfada97f93a021a4f4ce0970ab8dd19df5",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/_tokenizer.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d389a0036b0d4e78aeb65d9fc45bfe7a2e5b9ece2245a3f15575c787f1eb57fe",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/_inputstream.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "8c4acd012325920b3b32938cf557bf55d2c3272145c1e0232ee855bad673df75",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/_ihatexml.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "89f3b017ba57aa6c938485dcddba1673deace0c0decea46b455a7b1700d8505b",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/serializer.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "fcfa6f719174edcc04ef1afdb8a919aa1e5fe1411a23c96d094db13c9cda4e99",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/html5parser.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "6a7afe697adefc899fae4437e5cfeb7ed297c42f34bc909110a7b4e93ab5e470",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/constants.py",
+   "name": "meta/runtime.yml",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "2e5fb2ccb53f8dc8f2008fe1e7bce4a99eda416139b79c40e32fe3420a14521c",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
+   "chksum_sha256": "d365367ae9434742bca426eee9c07bb98c2879e1a12455869d2e17bbf4448304",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/_backport",
+   "name": "docs",
    "ftype": "dir",
    "chksum_type": null,
    "chksum_sha256": null,
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/_backport/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "6ea4bf753387eae5bd88681dd2ecdfa4f8e8eaf678c693d9ee4c9f649daf35ac",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/_backport/tarfile.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "221a7bad745c8db20ac3c08e9bdc1278f57d0111976d217d8065c0327d90f8a5",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/_backport/sysconfig.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "0501c595bea9b9b0a5fddbd3d4d8edcc8b61ca5a1f8ca8aca31db7f6cb438345",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/_backport/sysconfig.cfg",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "b3064ac6af516397bdaf73d70ab96f40f32cbce7625990531cb11ba92f0b24b5",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/_backport/shutil.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "217fc6d8d3eac1e70989b9080e37b4e1baaed31a4791f490d8668674456a3396",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/_backport/misc.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "29679c20d75b14d3b148e3f57c617af340899da0ba4b87c146012d6984f0d228",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "def780936acfce7381da0b0aead8db6e1d1340c9861393fcd9e13dc17aba3489",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/wheel.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "bfa0e7c13aa1347c2b11516bf3f61e8935ba1b87ed3ff7afb32c0d82b99d6f6a",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/w64.exe",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d1a473a0dd813bd3565b810dcb8ff8bc7907478a994c564d55200925894e0d32",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/w32.exe",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "949b6765d794c53656c9afc45b90d9a2cfcae6bb30444086b29225f19242217b",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/version.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "fe7ec5ea3baf40601c9fbebd13f4876bb7ce71fe44465115ca627f1233d1c06c",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/util.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "7f68d908fadc2c2b7a2dc9c2d20532f85babeb4b570fcade03b938ac3a47303c",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/t64.exe",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "a00a877acefcad45953343ad56a22152f7aaba5fcf2a10215d84169d47fbcd1d",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/t32.exe",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "352df104254095ddf925514d99bfb5411c95b5386e90caf06557979f82e16844",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/scripts.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "fcc023dec32ebf9ea4b8cf05b222165ea6d3d209ae98f19a391fdab4ece7e1ae",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/resources.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d851afd191c5d782978cb2252f447df7597241019c7b0392e2627ee67f895677",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/metadata.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "cf628fcb7877b5c0e76fd5ecee702a4393b3d1baa358050598a59c14a468a1d8",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/markers.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e807377027c504445ec621125883979a0f9aa483fc9767ac69f3525f728ccbef",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/manifest.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "9d0121626828ade681673c85cf062c5f124046eddfa38124ba7535eb7535ea21",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/locators.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "73d13870311a709fee29bb84e41a805687285a9eabb2e0464e488d0d0ab7cd5e",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/index.py",
+   "name": "docs/volt_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "4972b3a5008445cb71603329fce2de7b67f42747b5f5984674222832551f5103",
+   "chksum_sha256": "3f45fa63ccd85934cd53e161aef76a27dc4f0058e82f30fee67c03342ce528d3",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/database.py",
+   "name": "docs/virtual_media_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "2a5d18bcf40a73839ca558bb939705ce2c9d335c4e2bc8aa7712c65e06d91d5e",
+   "chksum_sha256": "d595f381c6be9cb096d2cc174cbd3f3d405eef7cbd715e444ba27fb1995194b8",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/compat.py",
+   "name": "docs/user_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "003039eb1880c5aaf7994eaa7a694184d6ecac53e8b174613b8e11cec6c93ea9",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/colorama",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
+   "chksum_sha256": "e5e38393f1503ec18184ac5a5af85d029a583af77876d146f8aadf5273da85b3",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/colorama/__init__.py",
+   "name": "docs/user_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "a42744aebcb32d2cc35b93fead13c194f2ea6c1b4844d241e9c320a1e267b399",
+   "chksum_sha256": "f44b0a2bfbaec8af8fa32ccea2efed72f956df21efe5172ab52a2fb4141f08ef",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/colorama/winterm.py",
+   "name": "docs/user_group_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "db2ff66fb66cbf7e1f780b0febb98b39573e060ab9d667581a8e7bd55a6b96b3",
+   "chksum_sha256": "5bd3942645ea68f3987c3bc29dd70f9212eb432dbd2f5c87ebfc5141c2fb6341",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/colorama/win32.py",
+   "name": "docs/user_group_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "6c9f0897d8f0681379049f1b98de85a18675418b8c2afda3f1f1ab5e1ed3263c",
+   "chksum_sha256": "52cf6c379a782538da26a8e84a5fa1d327478208fbbb182884f02ac86c2e30bd",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/colorama/initialise.py",
+   "name": "docs/update_psu_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "3e9ae8bc3371313aefa0d1c570bd8d663a47d97cc373c04bc4bc6212b7d49789",
+   "chksum_sha256": "f8a603fc31531fd4bb80b8aef8669759b4d21d4b458a33a13a20a6aa6469b1d8",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/colorama/ansitowin32.py",
+   "name": "docs/update_fw_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "c95ec212609bd7d3239c928e0d9104bcc1ff7e76c98709e9ce8e2cc59b865e60",
+   "chksum_sha256": "2336afa834ccc952d9674e40e365f598c5e23d69a3b56bf968d82dfaa7edb844",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/colorama/ansi.py",
+   "name": "docs/update_cpld_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "4e8a7811e12e69074159db5e28c11c18e4de29e175f50f96a3febf0a3e643b34",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/metadata",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
+   "chksum_sha256": "4c97f94f57bee7d987c1fd18e6741fd6cc816c9732df4196720b7317afbcbfe3",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/metadata/__init__.py",
+   "name": "docs/uid_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
+   "chksum_sha256": "28c7a089fde45e7b46807f1c84e6cd8594ead4df4d5e016e9739c8bd416c1b7d",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/metadata/languages.py",
+   "name": "docs/threshold_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "e35b4bab778b4ab0446c455542954616af4aee8d659fd6f51e9635974842510a",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/cli",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
+   "chksum_sha256": "a25068abb57a5ce2a1bebcc176f0f89360683e86d8e5963f1b12f25a402d0e57",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/cli/__init__.py",
+   "name": "docs/temp_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "01ba4719c80b6fe911b091a7c05124b64eeece964e09c058ef8f9805daca546b",
+   "chksum_sha256": "3f9c9163bc1e84c2f75284e2726d6814477b4897cb8b9ada10050d667559bf11",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/cli/chardetect.py",
+   "name": "docs/system_log_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "5cae73aa3506d9ae3ecba78b1d9f13858729e96594add96610bc4dca971cd921",
+   "chksum_sha256": "ec529f0944b7fb4102a841197d358be32de18872a13eeec5c30580eb5607dc5b",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/__init__.py",
+   "name": "docs/support_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "99665a5a6bd9921c1f044013f4ed58ea74537cace14fb1478504d302e8dba940",
+   "chksum_sha256": "45568d3aea720d37db9f64a1771cbd086f4c2db85824e55cea9cbe48805d0382",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/version.py",
+   "name": "docs/snmp_trap_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "0380882c501df0c4551b51e85cfa78e622bd44b956c95ef76b512dc04f13be7f",
+   "chksum_sha256": "2be1c8ec529178ad19396fe78823ef9e0678add0c4bff94910ef99ed5dc2ff00",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/utf8prober.py",
+   "name": "docs/snmp_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "21d0fcbf7cd63ac07c38b8b23e2fb2fdfab08a9445c55f4d73578a04b4ae204c",
+   "chksum_sha256": "a0254305f9adc264ef2581e501718e1cd8f232a27ac6b01fb99806b6c2be4269",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/universaldetector.py",
+   "name": "docs/smtp_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "0e96535c25f49d41d7c6443db2be06671181fe1bde67a856b77b8cf7872058ab",
+   "chksum_sha256": "0fcd67a4f8aa4b4475a989eac68badd175e5577e9b85270a570511d9ac2a239c",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/sjisprober.py",
+   "name": "docs/session_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "208b7e9598f4589a8ae2b9946732993f8189944f0a504b45615b98f7a7a4e4c4",
+   "chksum_sha256": "e7f1bd7502de0cca90491594c7261dfa57491e4ed97553986beebd3926650ce1",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/sbcsgroupprober.py",
+   "name": "docs/service_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "86a79f42e5e6885c83040ace8ee8c7ea177a5855e5383d64582b310e18f1e557",
+   "chksum_sha256": "84a47ffc809f7b5f066bb5eec37e1270abc729a7a8ff35b35ca37d46b9e6664b",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/sbcharsetprober.py",
+   "name": "docs/server_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "9e6c8ccaec731bcec337a2b7464d8c53324b30b47af4cad6a5d9c7ccec155304",
+   "chksum_sha256": "cb32ee0c4b26455f33aa04e2e785b502d2292cd5ea436c8f90028dfe201c8bca",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/mbcssm.py",
+   "name": "docs/sensor_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "498df6c15205dc7cdc8d8dc1684b29cbd99eb5b3522b120807444a3e7eed8e92",
+   "chksum_sha256": "7eaa8ff49f37b0a94360779a83a6605dedf1ef077a2d9ad2e1600216290b8eca",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/mbcsgroupprober.py",
+   "name": "docs/self_test_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "87a4d19e762ad8ec46d56743e493b2c5c755a67edd1b4abebc1f275abe666e1e",
+   "chksum_sha256": "be63ce4f7c0068d1bf3e518a2b0ee68f25faa40ad9f648958d1f71eaef5046ba",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/mbcharsetprober.py",
+   "name": "docs/restore_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "011f797851fdbeea927ef2d064df8be628de6b6e4d3810a85eac3cb393bdc4b4",
+   "chksum_sha256": "6478920a3aae22a39b1db8f899585f340f946f67ee00338b8b95756542a79824",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/latin1prober.py",
+   "name": "docs/reset_kvm_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "4b6228391845937f451053a54855ad815c9b4623fa87b0652e574755c94d914f",
+   "chksum_sha256": "0bf0bb03beabc6ed5bca7d40c3e93b4bed87633c12259ae4d066c0d0c81aec1d",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/langturkishmodel.py",
+   "name": "docs/reset_bmc_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "adfc1a9d3a6d4f04b2704e3e3fe41ab0f9b377e5d56207afcadce3944cc106ef",
+   "chksum_sha256": "37f3d623c1eecee972f5484f4d2270566de40a77a2247b6c18ea5bcb21f4eec2",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/langthaimodel.py",
+   "name": "docs/raid_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "475c171e750cb5e8e9c342671ff24ef177586ac304eb08d5aa9d733fb4ca2e08",
+   "chksum_sha256": "43678b4fadf808dbd8507229f9847f75a942bfd6c4544a15b9fbd16336bcee37",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/langrussianmodel.py",
+   "name": "docs/psu_peak_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "4c7a893a14b189341c1dba03352739ca87dcda4a175d01471728edcae9ed51f3",
+   "chksum_sha256": "7c7cc3d04f9b5c57167e5511eeb4411a620ba413860ef95a56042f3f30e273e1",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/langhungarianmodel.py",
+   "name": "docs/psu_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "46d247ec365db26687ab22b8e8a9269e4e70407889c093cf252aaa225a5e6517",
+   "chksum_sha256": "c18a01a3e7a6b1b91f821459a38157e32819d3d402d10372bd8632df7df4b02d",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/langhebrewmodel.py",
+   "name": "docs/psu_config_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "0f33cfe933c61bff8f57bb6ab29bbf77c76eb9eaa6eee37ee5e434687530d468",
+   "chksum_sha256": "1b547c90013ee6f0f67a2d1050142d4a3ae739fa5a80fc20d4a336571a0eaf74",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/langgreekmodel.py",
+   "name": "docs/preserve_config_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "4beb8d4358a10bbe72841bd2bb1db880b159bf743272d3300ba3b12c9757f9bc",
+   "chksum_sha256": "a1ceb5360a856832851f0fd2c26096aea43e73aaefb3aeef068f117e97b05cbc",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/langbulgarianmodel.py",
+   "name": "docs/power_status_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "ae4f42269bb13b46ce6dba0972fea03605aea2c61999df2a10476ce72ec34bf6",
+   "chksum_sha256": "5c2f613db2cc6478dcea651e473b1ba332f471fb0f8724d189c0440057b5553b",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/jpcntx.py",
+   "name": "docs/power_restore_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "3d894da915104fc2ccddc4f91661c63f48a2b1c1654d6103f763002ef06e9e0a",
+   "chksum_sha256": "f6196bbdaba76a0c133f0f6dd93a3f80903549dc5b3a69500d81dd61e5d370cb",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/jisfreq.py",
+   "name": "docs/power_consumption_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "be9989bf606ed09f209cc5513c730579f4d1be8fe16b59abc8b8a0f0207080e8",
+   "chksum_sha256": "88a299c3ba86ced588621248c9b31acc6b394b1d098baf94ae30536d404359f0",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/hebrewprober.py",
+   "name": "docs/power_budget_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "737499f8aee1bf2cc663a251019c4983027fb144bd93459892f318d34601605a",
+   "chksum_sha256": "50e51e3de35810ed52398923d0907ca58b81018e4b4fc3d83269be4bc38b8878",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/gb2312prober.py",
+   "name": "docs/pdisk_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "806bc85a2f568438c4fb14171ef348cab9cbbc46cc01883251267ae4751fca5c",
+   "chksum_sha256": "c3f5f7caca8887b8f430613a7f342ed58682cfd6917c629f9e02a5063ba799b6",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/gb2312freq.py",
+   "name": "docs/pcie_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "257f25b3078a2e69c2c2693c507110b0b824affacffe411bbe2bc2e2a3ceae57",
+   "chksum_sha256": "537a1da3ccbf9b212c7a6eb7fee3688331920edfb98891b1204d73c447179747",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/euctwprober.py",
+   "name": "docs/onboard_disk_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "d77a7a10fe3245ac6a9cfe221edc47389e91db3c47ab5fe6f214d18f3559f797",
+   "chksum_sha256": "ec68ac30bef8ba6766c5f28930b6d63aa2d64d105c9ef178ab2b43e0a193a3f7",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/euctwfreq.py",
+   "name": "docs/ntp_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "368d56c9db853a00795484d403b3cbc82e6825137347231b07168a235975e8c0",
+   "chksum_sha256": "0e18b5707932ceb23b082ece6ca795ecdaa283363b44d2275044833d880841f4",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/euckrprober.py",
+   "name": "docs/network_link_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "32a14c4d05f15b81dbcc8a59f652831c1dc637c48fe328877a74e67fc83f3f16",
+   "chksum_sha256": "cc7c806c76d19507758a72fd3a106d1ee1c19b5056fca2d9809c09227a1fae9b",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/euckrfreq.py",
+   "name": "docs/network_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "fbb19d9af8167b3e3e78ee12b97a5aeed0620e2e6f45743c5af74503355a49fa",
+   "chksum_sha256": "29038bbc4e7381cde90cfa774449ef28f18206b0bb0f22dae4b5aca5a9391b18",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/eucjpprober.py",
+   "name": "docs/network_bond_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "883f09769d084918e08e254dedfd1ef3119e409e46336a1e675740f276d2794c",
+   "chksum_sha256": "f2dbe74fc7765c05fadccc542ec2a01364bd88f05db606b1d762daf6b7d7b03c",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/escsm.py",
+   "name": "docs/ncsi_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "46e5e580dbd32036ab9ddbe594d0a4e56641229742c50d2471df4402ec5487ce",
+   "chksum_sha256": "b297e5ea383e6500c66672f29d6b9aa566e4cac7a7e8fc51e9a990da27afa5c9",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/escprober.py",
+   "name": "docs/mem_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "924caa560d58c370c8380309d9b765c9081415086e1c05bc7541ac913a0d5927",
+   "chksum_sha256": "6599241b834db3fff08303423fae6075af3ce90d9ca84b9ef753c458d670fa4c",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/enums.py",
+   "name": "docs/media_instance_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "0229b075bf5ab357492996853541f63a158854155de9990927f58ae6c358f1c5",
+   "chksum_sha256": "de17a82cd7f7bdf163175c723fe5ba9806a133692e5de367b97f44fe90c3fc8e",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/cp949prober.py",
+   "name": "docs/log_setting_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "4d9e37e105fccf306c9d4bcbffcc26e004154d9d9992a10440bfe5370f5ff68c",
+   "chksum_sha256": "7d7c50b6ebb8b983ee2bfcfee97320550b4ef91b4085ee248a9cb47b390a4bff",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/compat.py",
+   "name": "docs/ldisk_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "e34cebeb0202670927c72b8b18670838fcaf7bc0d379b0426dbbedb6f9e6a794",
+   "chksum_sha256": "7f27b3b66b84c966f06077bfab1a1b87000fbcfe3ac33c1be09736bb0a07c307",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/codingstatemachine.py",
+   "name": "docs/ldap_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "558a7fe9ccb2922e6c1e05c34999d75b8ab5a1e94773772ef40c904d7eeeba0f",
+   "chksum_sha256": "946fa9ff1f4ee129666947b1283e0a1606b20001f4166523cb472ecb63664156",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/charsetprober.py",
+   "name": "docs/ldap_group_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "2929b0244ae3ca9ca3d1b459982e45e5e33b73c61080b6088d95e29ed64db2d8",
+   "chksum_sha256": "f706d936d52eb35ccbba50518e4f2f5902ff8b52d9d9bb8c6d39aec672487fc4",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/charsetgroupprober.py",
+   "name": "docs/ldap_group_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "1992d17873fa151467e3786f48ea060b161a984acacf2a7a460390c55782de48",
+   "chksum_sha256": "acd7d82dc88604e57173dadec71c646868d3b74b3494352d81431937f4d2cfce",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/chardistribution.py",
+   "name": "docs/kvm_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "df0a164bad8aac6a282b2ab3e334129e315b2696ba57b834d9d68089b4f0725f",
+   "chksum_sha256": "11ad751b589819ce50fc3faa4ab545a4d7a8fe8b49975506bf849d5263bb05d6",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/big5prober.py",
+   "name": "docs/index.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "901c476dd7ad0693deef1ae56fe7bdf748a8b7ae20fde1922dddf6941eff8773",
+   "chksum_sha256": "be54102d2eec4a9ec710418a8e8b65e58946183d5ef4408fb44ccc5a35341157",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/big5freq.py",
+   "name": "docs/hba_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "0ffccae46cb3a15b117acd0790b2738a5b45417d1b2822ceac57bdff10ef3bff",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/certifi",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
+   "chksum_sha256": "ef629219d83a7bbce7b9b71d0c0e1e81a30af1969f975628048aaea0719ab077",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/certifi/__main__.py",
+   "name": "docs/hard_disk_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "d64dc2afde6f0b1c464460e58eb5b7c0c76965d2f73617f4bb59fe936a9db026",
+   "chksum_sha256": "7bcb1e71b38f2bc5368172e3a39a005b118a407b80e303e36188dec0fed8ea4b",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/certifi/__init__.py",
+   "name": "docs/gpu_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "4ac99d9851e31c263854bb6ac29a7d3ff8ec39c02e1e3fb97395aaa04cfea058",
+   "chksum_sha256": "3f02a58a2d862a14db6e90f6a59459a2c7af5ec75291716b6b9a3cc437ec2c3f",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/certifi/core.py",
+   "name": "docs/fw_version_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "80e15dd331d8971e24aeb2c49fdf367ac3ad9b3ddd8e21b40454838608e5bdc2",
+   "chksum_sha256": "ecbc01991417867d09226e4c93669b307667fcb52198a11616298f19d6e65429",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/certifi/cacert.pem",
+   "name": "docs/fru_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "bb77f13d3fbec9e98bbf28ac95046b44196c7d8f55ab7720061e99991a829197",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/cachecontrol",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/cachecontrol/caches",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
+   "chksum_sha256": "49265375eed8b252bc4c1e95330593d9438c084580052a9eeeb3b9695f9be598",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/cachecontrol/caches/__init__.py",
+   "name": "docs/fan_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "fa01cd298bda783d243a4e4cef878eaec4a020a52d0ba8ba19f6e6ba01b0784a",
+   "chksum_sha256": "7c135b5d8a0f4dcb8f7b4a70552a357d9fc277422558223f4bda06cc0f0e1e8c",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/cachecontrol/caches/redis_cache.py",
+   "name": "docs/event_log_policy_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "1f17a5329342a3e758af67e2243c0cde1861466c5462d079b579b51a90004f86",
+   "chksum_sha256": "06bcad836fe0840bc0d407214f666b482a4b04da9f7e26fa835e0cf68072fb2b",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/cachecontrol/caches/file_cache.py",
+   "name": "docs/event_log_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "9d854ab09b5787a8095ef767d625b2ae1c6f930a50acaf9e2a8311cee8b090a9",
+   "chksum_sha256": "154cec3bbb17bcfdc3fe5a5cf75a9c37fc1ceb508a2cb0a77f56da1a0cdaea8b",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/cachecontrol/__init__.py",
+   "name": "docs/edit_vlan_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "a49b40694c4eb0c3e7cad2350378ee009917603afc92b7529ec838620dce0448",
+   "chksum_sha256": "1a40fd9f62d549b66aa12f6c41c8780b3e9516a356d79c128e6a34f40469901b",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/cachecontrol/_cmd.py",
+   "name": "docs/edit_virtual_media_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "511184d0aac0f3b41e9021b74863dab6548f4f9ef57594c38cd6be6575f7a437",
+   "chksum_sha256": "3d92884a8d1dc25bd1e34b5c16760361cc0c07f340f9d719f5cd471d3c992ece",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/cachecontrol/wrapper.py",
+   "name": "docs/edit_uid_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "e4b5f4b89c2435052d612130dda1a61aef5663cc068a977cd6627c946d1dd0ce",
+   "chksum_sha256": "27acd43556a462d7d9912c13914cf9e8811f52e58e34fa05ca3170805c443321",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/cachecontrol/serialize.py",
+   "name": "docs/edit_threshold_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "bc86b88efab8c7f29238b74421e7689275f669760742e8cb0c5578f85db50e7a",
+   "chksum_sha256": "320e235461b1bc096b4d2b518b4ef222b33520b114c9b25a61448c60c9f59d92",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/cachecontrol/heuristics.py",
+   "name": "docs/edit_snmp_trap_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "045187277c90731bd98b37e8f742cb674e13fd9e574825ef168b6ba7b52cd2c7",
+   "chksum_sha256": "4251d34c90244ad2cef6ba0df8542777b77264797e47cd14f5c83e30374023ab",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/cachecontrol/filewrapper.py",
+   "name": "docs/edit_snmp_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "bc008a3bc2e5ceefd95b28d5d45c67d4c0384c653ad0de4ddc64ab0057406364",
+   "chksum_sha256": "0eb5097bb2c6a845a390aaefb6db9afa10e199fe70fbb091a774f62ab39944c2",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/cachecontrol/controller.py",
+   "name": "docs/edit_smtp_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "096117de979d20cf6ceb4b2e7f8cd93ed9bf26f5609efa203062bf3a2046e45f",
+   "chksum_sha256": "bf1bd261f0670375cfdf2e63064436a715102cc3a9f573761d4bb7f75d70ecc0",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/cachecontrol/compat.py",
+   "name": "docs/edit_smtp_dest_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "90736f31176deacfd7c2aabff6a266afda2edf060c38c50cc4f3dcc0dc53f0c7",
+   "chksum_sha256": "e66c6e9b5eb904eec61ae1f0530cc4ac58e5dccd532c767ac5a481b70f228d1b",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/cachecontrol/cache.py",
+   "name": "docs/edit_smtp_com_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "d5f738c093fc1d8b75c9c9c95de130e690a97812f60aac71ea0f456f40180d64",
+   "chksum_sha256": "fb72d17e18f336f5dae2de6865b5cff2a2938fa3a86b9fad93b4e6562f048fcf",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/cachecontrol/adapter.py",
+   "name": "docs/edit_service_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "b12c1a49877ddc821f085538b4e3204a8e9bd8b0adfe0052690523f24b4914e0",
+   "chksum_sha256": "1a7f19b53bb3ac7db82e5552e20844336916cca262f97df3602fc33db3da58c5",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/__init__.py",
+   "name": "docs/edit_restore_factory_default_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "802ad0c0f058d8e64179e76f28e2dd459dd6d4b21133ad1f1ba7789a05bffbd6",
+   "chksum_sha256": "dc753b078a8b738f11aaad8ff0c18c2e293843f6f03b3b5dfd8e6d23b6a2744d",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/vendor.txt",
+   "name": "docs/edit_psu_peak_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "c9a376a8b2e42aea119852c2c462752d9b598ae57b4fb3688ac66ac163518485",
+   "chksum_sha256": "c5cd0b1dfa020f109152a5e52f90767966e0c1ea30d2fbfefb11483568fa5d49",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/six.py",
+   "name": "docs/edit_psu_config_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "53867fcafe77e16e423728d8f62f15d4e5d8d928c09f2f32d8be6f0cb8614e13",
+   "chksum_sha256": "1f8dfbfc52e9bbc034e746c93d5b27ca24ba8baae931f4c127eb8b434a757ed9",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/pyparsing.py",
+   "name": "docs/edit_preserve_config_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "2756f8cf74bf2b0c895bb84a1a7a0dfa15d6f6980c23320fe904e1c98e7226ae",
+   "chksum_sha256": "597b5e153731c8731c070424169be429eb5339fa8f6c04ee8738810cdd1936a8",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/distro.py",
+   "name": "docs/edit_power_status_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "c713088766b72a68a9a5e5841f3ca74dd1d3dff8d9334a3ea68b3474058944e3",
+   "chksum_sha256": "89b6315d854300bae3f5cb1072bb79d9481ca66dc55499a5b8003352ddf066d5",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_vendor/appdirs.py",
+   "name": "docs/edit_power_restore_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "33a218449b5d6609923c25c248c051074553dcff0c7456d60836d22eb07611b8",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/vcs",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
+   "chksum_sha256": "4cbe2c17aadd9cacb8ccd2cef6bf2da5252dfce4ba06f76dee7bdc324d01680f",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/vcs/__init__.py",
+   "name": "docs/edit_power_budget_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "0a3cb11c281db75f65db58f4b491a243fe9893c9be2969904e1998be58ddd5ea",
+   "chksum_sha256": "28922c015e74806fc79abb98c2ac60824d4ba5e2bed03709d0994dc8fa5abfce",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/vcs/versioncontrol.py",
+   "name": "docs/edit_pdisk_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "37ad1348c6d3afbf400f347ad410ab93c62881441c0419cd68b8093d37d7b1f7",
+   "chksum_sha256": "ee2674ee160e17fa3cb25f93586aeb9a7a01237197312058bdedeb9992f76faa",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/vcs/subversion.py",
+   "name": "docs/edit_ntp_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "94f7c2bbce352403111bf8d35ff4db459ac1a4a748779790f2deffc48ef0dcbd",
+   "chksum_sha256": "481f76b5edec753b290b68f8d015ca3bd17a20726d262a630d91b8a3fcc0fdb0",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/vcs/mercurial.py",
+   "name": "docs/edit_network_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "d97dde232780590588d93c683d3fb1b95b03e9fc6bed84b21f0e0c47d116cf83",
+   "chksum_sha256": "ffa6ef1b2bbbf1711fa56eb77ceedd2e3499837b3d6d3a43638331541ad8969f",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/vcs/git.py",
+   "name": "docs/edit_network_link_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "511533d644aa84386a26cafdba56854dec0ff198f07fba153cfeec91d8fd48c4",
+   "chksum_sha256": "4a4d4cc34c1d12f0a7b7f0e6bcc4accac84f4c10940595e75e2405d28efe506b",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/vcs/bazaar.py",
+   "name": "docs/edit_network_bond_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "032fef37ef3bbd8484cc1a974f7455c25e34be5939ea3de3cbf01f41b323e2ea",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/utils",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
+   "chksum_sha256": "2f9e815795ce9af554c4cf9ddd43ff3c457661ef5bb7dcd6ff6a3ac90773c486",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/__init__.py",
+   "name": "docs/edit_ncsi_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
+   "chksum_sha256": "89dfd45cd2ab81b1969db427e54e5c9fc6f6f538396018a6aee3cdadfbef09d4",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/wheel.py",
+   "name": "docs/edit_media_instance_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "0ce21565a5cdedb30e01e304ab320e6471a5e0e14ef8a1ab12a05407ce3c0cfa",
+   "chksum_sha256": "e008131a315de628df8d4d449ea915f327830c125f54d8ee0f1ccd8239bca035",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/virtualenv.py",
+   "name": "docs/edit_manual_capture_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "8914cafac0fa6d6a47a97719d0409f76914b59ab4c3871545422116b42fa1aed",
+   "chksum_sha256": "b7f0c45b99b1a2431c84aba86c9b4b15759d302191b06bb305e70d0b5bb0bb99",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/urls.py",
+   "name": "docs/edit_m6_log_setting_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "5f38d0b0719dd980e6261a02a20b293d3aa1e8a979b4610d4473dcc234b4242e",
+   "chksum_sha256": "dfbc7f600e14140e42ea1c0d604e4095b945a53dd194ef9748d9899636a4ca7b",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/unpacking.py",
+   "name": "docs/edit_log_setting_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "3e2a186307d30a7fd57987abf34a2786b3bd6358207ada8e3d23aba06dfc6d14",
+   "chksum_sha256": "e3968f6f6529f2dd3c4651a75c57ae87566e629d9a60a210cc0f6365364d608b",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/temp_dir.py",
+   "name": "docs/edit_ldisk_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "f60b3737d1907955d15568c921a952a47d6e8fcc905cf4f36ab6f99f5fc7315a",
+   "chksum_sha256": "6a49ba296b1cb159bdfdadaaa22fa4e6edc6b3569177368c46d3fad2e5d35149",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/subprocess.py",
+   "name": "docs/edit_ldap_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "bb168fdc8ccf8816211b431b75f3cafee721640876eee677c0edeae6145f132a",
+   "chksum_sha256": "14512a6137c8b17b002493a772db4a123216ee2c1554c698ae3ad92a748d8491",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/setuptools_build.py",
+   "name": "docs/edit_kvm_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "c64f6c4418d4c8d4c7b3f4ef11679b556b3519f2cf376d3c333a525ebf4e93f0",
+   "chksum_sha256": "2c06b76e9cca240c5bc7cde27a47947b853740ce8549cb65ad85aaa69d8caf0c",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/pkg_resources.py",
+   "name": "docs/edit_ipv6_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "8f01f925588f7be2655cbbcb0b4f8049f4d309162f9b4bbd0b04067168f14ad2",
+   "chksum_sha256": "9103d86e811374f3b2bfd5c2d19fa94df769f4a979d23db4feb6677119f86b3f",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/parallel.py",
+   "name": "docs/edit_ipv4_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "45917825d74f11655b9243c29277efa6a68b7e6dcf9aa77f001a021e6578957b",
+   "chksum_sha256": "98762b1f54f208eba913a3b41acc5cd1194b4fdba4112afeb61e19d645452386",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/packaging.py",
+   "name": "docs/edit_fru_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "235f77f0007b169adc54925de82d2f4a232e0956a39abc59179e6f5f98f46cca",
+   "chksum_sha256": "d7e53bb0addcbd8bf696ac6426544dfdb039b0bfdcc37c4aba11c5939eac5ffa",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/models.py",
+   "name": "docs/edit_fan_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "a82818c94c369881f5a6899bb09dd842c32d38d660c89e011b03b93099d20b87",
+   "chksum_sha256": "5c76e7b9710b760992b3ae8bbfbb3f0d58916eb74dc793f71cceb5438a2aa67a",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/misc.py",
+   "name": "docs/edit_event_log_policy_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "17b2c36fa3d02309e26302dcce1536a520321d9f5b9d3553d7223f39db98877c",
+   "chksum_sha256": "a561d357f9a6fe114ea57f421baa130c93d178a82444e2d7ee1c84d89b1713de",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/logging.py",
+   "name": "docs/edit_dns_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "064a774128eeaf77a492e9c0227b0627a96ceca17c00d4ed0601a18d8d2f96d8",
+   "chksum_sha256": "b90e46d7a672277845c8d167d872c19d1050bc09554ede684eb04b270759148f",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/inject_securetransport.py",
+   "name": "docs/edit_connect_media_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "b4697d060cadd881cab41ddbd01fbaaf75b6c981773a0f8f05ed3ae3b4b7959b",
+   "chksum_sha256": "30e1d112e8e7dece987dbc066cccb7a0335b3f72e38515922e880bc58e18a95a",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/hashes.py",
+   "name": "docs/edit_boot_option_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "a35a90124a9ed80aac466fc984ba0ce21931995b5ec07d1966943a10139b1ee5",
+   "chksum_sha256": "fa209405c27d72860804d8cd5ecb5a498a0127af0421b766448652dc30348e4c",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/glibc.py",
+   "name": "docs/edit_boot_image_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "18cd58da15a439ffedba6c9218583e88d6dcee88a505042b8dccdbffbd39085f",
+   "chksum_sha256": "9a66519f8edd2f5e2f2e5e2da0e5f7082acbc4b48232316e0b56a6460eca3260",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/filetypes.py",
+   "name": "docs/edit_bios_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "c1ebe255b6a91d6550ffcf8af8f4d0fd39d82faea4662e12ad50539916195cb7",
+   "chksum_sha256": "1b59b31164036a82960c1bbefb871cbf2253b94a2e97ce7d050346af4f78accd",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/filesystem.py",
+   "name": "docs/edit_auto_capture_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "6b7ae7a1407f1d37446c368050748d30f207a8776ce1403e98b4396ef80e8d24",
+   "chksum_sha256": "1462be082e48842371c2a2cde6d72bb65e18e129497309fd3fa7d14a84a89380",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/entrypoints.py",
+   "name": "docs/edit_alert_policy_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "9b851790b6539cfb1d4a2b10ccd1621ccd4265c30af0dd4203df20e0e45ec767",
+   "chksum_sha256": "0be8fe2d934157f3e79375d5504a39e9ac6145108a1aafa8876ccb4668f041f8",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/encoding.py",
+   "name": "docs/edit_ad_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "4f47104e4181efeb37c22bcb94770a6caaaf268334c8b768f28b7cf4b946773d",
+   "chksum_sha256": "602252f5fdfe6e4b1ba0aaf85298a59fd279635ea3398f70eb016b18760a4ed4",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/distutils_args.py",
+   "name": "docs/download_manual_screenshot_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "2b15936b3d3b03fd6e902cb0fe935a87e8bab01beb56d74cb2717c8e0b833584",
+   "chksum_sha256": "a83f4b1fd2f7c8eec40fc4fe02f0c429b730c6bf868f6cd4ed886d8e1bdb83ca",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/direct_url_helpers.py",
+   "name": "docs/download_auto_screenshot_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "f9c859531749905446fa9036318eff5a28b9539a35f28e4ae00a81b1677ddbe7",
+   "chksum_sha256": "351dfea8016eeb9d11b51e7dfb62517cbf5e589e06440180fcfafa4ea64cad37",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/deprecation.py",
+   "name": "docs/dns_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "083f60535ce60ed0b7364d93335e0556901afdbc4231dd372b1e6ddcba05c248",
+   "chksum_sha256": "e35564ab29e6d6e850863a78012d9ab265fc66343ea03ec8fc20c36da0b80a2e",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/datetime.py",
+   "name": "docs/del_session_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "6e265d109110046abc03e37ba28a68b22a5e1b39921dd234597eb492597f004b",
+   "chksum_sha256": "11e527626e26c86780a57df293454538ae4cd61527ff1ace0d5e798c854d6f94",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/compatibility_tags.py",
+   "name": "docs/cpu_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "21c4041c2649bdd7ca7220029971822addfd628836fd0d9740a307a2303fda98",
+   "chksum_sha256": "95101db73e39c829eeac384baea6ccdf2d833beb4158f355f49cbda1397f0f7b",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/compat.py",
+   "name": "docs/connect_media_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "239f2d4d9deaa8666a78654ffe611133c37b40fbbbd6788ba717cedc88f68df4",
+   "chksum_sha256": "93851351473154fc23a39de3d257715c390dbc6d2eda20bb591b53b4d10d5c46",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/appdirs.py",
+   "name": "docs/collect_log_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "1c208568ead93a730bcd10e929770c88587fda4599f8fcc574df2978b8b090d6",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/resolution",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/resolution/resolvelib",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
+   "chksum_sha256": "27039efdbc8b3535a01855e22360e2511b941b296f59c63f2cffcdc22b2fa081",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/resolution/resolvelib/__init__.py",
+   "name": "docs/collect_blackbox_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
+   "chksum_sha256": "27c376f2eb6cbce6da540c2f63b77c59995f6862cc998dad04e03051b7073d94",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/resolution/resolvelib/resolver.py",
+   "name": "docs/clear_system_log_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "de1967ad9925b33154c06405177de72e410ef24c73e2f677fee2a9fcbf18be61",
+   "chksum_sha256": "0ce929def12e2b76b42789d1dbcbc7472fc3f3ec4287b0a8371893b023c7148b",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/resolution/resolvelib/requirements.py",
+   "name": "docs/clear_event_log_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "7c5d911fa5426a74ee17e8b0bbcb5963c061d056a40c14f0eed9032724eccbd1",
+   "chksum_sha256": "57822cf88875a02eecaca07e4c0901bdc03685e09a9ab37ce94f8125cac4b987",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/resolution/resolvelib/reporter.py",
+   "name": "docs/clear_audit_log_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "c60682b572e3efdd40fea45f57d6359d719e69656adc9134ca0200dd83515aad",
+   "chksum_sha256": "9778b53dd2bce08877351825a648cde9411e67425071d8488cf50dab5ca3e17b",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/resolution/resolvelib/provider.py",
+   "name": "docs/boot_option_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "1d82139e3b3b85cc431803420dd2f8aa0d8c2756b0d6303d70ccb134fda62eb9",
+   "chksum_sha256": "8114239f08d19cab6e522417c6b14cc6cd9d59fcd255ede0215ebd67b4a8da66",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/resolution/resolvelib/found_candidates.py",
+   "name": "docs/boot_image_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "173c4a73385e9771a156238811f18751f510eab3775346e530c52ebbe6e51df5",
+   "chksum_sha256": "b33c4c4075a222611d7e0aefc1bec1d7b94986d704742949d3344f615d67421f",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/resolution/resolvelib/factory.py",
+   "name": "docs/bmc_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "b5aa9e0e65e4d24018f4456a48c84426b898d363124a16d9bedf55a84020930e",
+   "chksum_sha256": "24923e28c766f4ba9d3d08ed106b773e91332902db4a497cedc32bb06df5d53b",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/resolution/resolvelib/candidates.py",
+   "name": "docs/bios_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "744292b8af41e4ce767354ae801e37cd79e7c603563536bb8420b022d497eb57",
+   "chksum_sha256": "5865da57746af708dd49f47239d6a44d9335353e6f85e8eb1acd65a8b4311831",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/resolution/resolvelib/base.py",
+   "name": "docs/bios_import_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "31b6a4caa4a8b41195269237900a6aa8fd9f3cf66287d0e0b1f929b8577e0033",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/resolution/legacy",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
+   "chksum_sha256": "f15e2d85759a532cea0637ce422d1fbfc5f4df75f7b7f03f789be213655c2161",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/resolution/legacy/__init__.py",
+   "name": "docs/bios_export_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
+   "chksum_sha256": "c032c19f25feae2dc4cc88df2146ff0284df437ef1ca86573ddad8d7d5db0fe4",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/resolution/legacy/resolver.py",
+   "name": "docs/backup_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "385ffa621e21ac57c9e2ed072c5e19441940f2504751f01a16786e54a21084f3",
+   "chksum_sha256": "40504454cb1fe676559e641b27cda7b62870c5cc41452fcef34e7e2c2f97812f",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/resolution/__init__.py",
+   "name": "docs/backplane_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
+   "chksum_sha256": "9f771db1424a166ea09ec318bea00914853d9b915345191e145f60cbdc13b580",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/resolution/base.py",
+   "name": "docs/auto_capture_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "4f84277d284912ba4f59ee223a23bb5665eecf56f17b6d0b2cdb37dc052c9583",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/req",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
+   "chksum_sha256": "198c4f986794eff9fa609a3167f410e96490176d7542630cb12fdfde554e8560",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/req/__init__.py",
+   "name": "docs/audit_log_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "95134706fd1901935b4b099753e5d4766eba82c88d9ae8810e2d431582788484",
+   "chksum_sha256": "0f45e2435dc986d039120c141cfe55b043da376475b552d2048d07efba7549f8",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/req/req_uninstall.py",
+   "name": "docs/alert_policy_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "8000a29d321c49c646c3cd6a2da15d4e3f4a197955b82a6bbbb5ef1c68c813e1",
+   "chksum_sha256": "df90b9392329d46eca208b9e95cc9dbb16ba287ad3eefbf2a02359e05ab7fdf6",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/req/req_tracker.py",
+   "name": "docs/ad_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "5ee3f0797d656c95d3da04a40972024b98676ba6f299ee4f790a783a4f3e476a",
+   "chksum_sha256": "be195d2137bd817b63702df4293956d7bf49952d6437b00ba33f1e020474c392",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/req/req_set.py",
+   "name": "docs/ad_group_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "02eb6c6a2576b3ed882f0b56b530383895bf64b460e065e0eb033463f8596f59",
+   "chksum_sha256": "3cd44e424117da4f6f1dd36be34bc28312244bca1a1532e23c33a391a51de9e8",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/req/req_install.py",
+   "name": "docs/ad_group_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "451da691a014d91103b63658de7472d288dc500fc17f42698d7f594f265451ae",
+   "chksum_sha256": "5c51173d9f6c28a385a2a882caa059313a394becad4697c14735d3cbd487df3c",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/req/req_file.py",
+   "name": "docs/add_ldisk_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "9cf205976322f540c686b8fe2b4137fd0ba017bb65dd4043b72d5ccdb205edf9",
+   "chksum_sha256": "619fbc1dc4ec6a8a94a4bfdb5cd7d10b6e81bad244be1f9eaebec7b4f60fe6fd",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/req/constructors.py",
+   "name": "docs/adapter_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "e2c8a719deecaca848f780d5e973bea915f633a2abf74ece166b1f9252abb7ae",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/operations",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
+   "chksum_sha256": "08baf34559b1c38df8c0b13fb09477a76612edbea6522526942292095ad438f0",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/operations/install",
+   "name": "changelogs",
    "ftype": "dir",
    "chksum_type": null,
    "chksum_sha256": null,
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/operations/install/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "997ee1c83d863413b69851a8903437d2bfc65efed8fcf2ddb71714bf5e387beb",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/operations/install/wheel.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d605761bea30940da2c1c6f160073804e4e23d144607c4f3a6e534c2e84cd954",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/operations/install/legacy.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "7f9f5f41b34b3b6aef97c6cd426fc2b96e9d80fbd75d0ef2e5aa6e956662d351",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/operations/install/editable_legacy.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "6e304e6df13ab33dd498623bcb8f860a029ad969938275a514553b6fe8b4b10b",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/operations/build",
+   "name": "changelogs/fragments",
    "ftype": "dir",
    "chksum_type": null,
    "chksum_sha256": null,
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/operations/build/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/operations/build/wheel_legacy.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "34e2614d831896375b8b3168fd68e468a1961b548467a681cab05d0abaec641f",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/operations/build/wheel.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5982ccc6ec6a3776a1253424d8c23d85d999281a45cb11de36951d3b43f26f15",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/operations/build/metadata_legacy.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "10230184b10f110bfa3d4502a4f0975bec0df50457758e393cd5c9bfb0592935",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/operations/build/metadata.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "8c9a74e51ae9d0032c41bee2cc35db3460b52ed3cdc0e847423edc44ce77db87",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/operations/__init__.py",
+   "name": "changelogs/fragments/.keep",
    "ftype": "file",
    "chksum_type": "sha256",
    "chksum_sha256": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/operations/prepare.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "0171cd83588671e835972a83a9b71a6e600521f4359357087e09956392425a8a",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/operations/freeze.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "0fe7b1d01c32e84d04552fe01e58b1944a4a0e94711599d4993cbb9dff2ceedb",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/operations/check.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "3ad319d9f7f4ce4f0686997b7885f2499e03f290947f33c060da464f1c35a965",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/network",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/network/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "8dfe93b799d5ffbce401106b2a88c85c8b607a3be87a054954a51b8406b92287",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/network/xmlrpc.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "08bd5604e4e0c4fc1b719e90b9b678a574178dbeea4d31694d415ef9969691c0",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/network/utils.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "baa4fa4243bd347530a93c3780705631015d698a9869b078db741466e8900f77",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/network/session.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5477a2a2b3df9583cd58ada933fab6d9cf87e6099104387d50a0895b75405052",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/network/lazy_wheel.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5cc7eb0cad48072e382f71b1dd467607cb3dd154570daf7ae76d0838f9b398e5",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/network/download.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "f1fadbd9b20d39ffa36e614f6a929bc843bdb235c95891ba389696e2143daf7b",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/network/cache.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "27fc69b0b59b46b942494710840e7e4ee4f92d6225a55b531f87d9d574a3c9be",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/network/auth.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "77c0dfd1fcb4d4fd632651775c330cf000b292d47570df735111bec9ed6771cd",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/models",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/models/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "dc31d477fab1a4fa337f3a2ea2a6bd83db6cd42cebe6a6877c5c5b9f1ae27a93",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/models/wheel.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "3168f142404d5c8e97396893bb3306eee38d845bbcc40f783aa0fff41b88b157",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/models/target_python.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "48b186df3f4f8ff0a20398e6327343bf630ddd24f791e56e6a7543cd3bcee693",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/models/selection_prefs.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "68d4432fdec6cf7c96256de8834caebce914d3650bf0e78d403b836ad67c483a",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/models/search_scope.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e2e18d12a62bcf892eebf5b3a30aa2bee32f3747e3e57434dd6075e188dc3795",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/models/scheme.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "8aa71e0bb80a8939f664b8023a01906dc9a8e3d4d183d1274144ac407dd4fbb0",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/models/link.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e707476c60cb6da7d2758a68d8acbb17d451a36dbacd1cba8a4ddc2c7ffc2b07",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/models/index.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "6ac32b69954f234b27c9ee34e06ced1295e029eae3d72005999976a7778de018",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/models/format_control.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "9768e9e3b996b09a7bf8bc4cb34e65f53faa160f59e4fc1dc8ff51ed773f5594",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/models/direct_url.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "56b9c934ea9c3f39df35aae34096afb31dad806ec67dc2dae8fc990ae7ff2fb0",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/models/candidate.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "2e5c8617648c1a379eb7d6cb6c40330160cff3659ca77df8d98b1aeed096ffd3",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/metadata",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/metadata/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "288351f1960efe295cda9915dede4a7102f358b35cdc68d90e4946593549fb35",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/metadata/pkg_resources.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e0554fc58140050ff5b5b87f0910732b8c74fd22201f5b822b1d992f2864a2e4",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/metadata/base.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e81881fdbde5bcd1d821529bceb0e18b46c999296ce50d4afa205e1d694a9c8c",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/locations",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/locations/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "f445d1c42a7288c0a553cefe3f913aead705c726dc03f2b32ebcdc2b656def3b",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/locations/_sysconfig.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "4edf2090deec8716eaa14973a8cd7d9b28814736dfb7d0b39267124b8607935b",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/locations/_distutils.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "2f97e5452afd047d250703d497ad5cc817353a7543d3a14e10d9033118f2837f",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/locations/base.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "41b929826cc86d606750bdbfdeabb6f6ca8235ec28a986e4570f0a9a28117b67",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/index",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/index/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "be9b7e25e4d979f87c6be142db665e0525c555bb817174868882e141925a3694",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/index/sources.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "495c8f8adbf4f3e41a961dbf064e5d88027d18003f77e6bdde4a28b90a1d006d",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/index/package_finder.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "dc9f51cead4d00eda9ff30dbe1fbf7dc6781041398bac57d917b409f68fa7825",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/index/collector.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "6845ed1cad0b6b89c63fb9aee4de42437b667e369cccbc1b1a2f00af8a06cf9a",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/distributions",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/distributions/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "a30d623d6fd0a7e4cec8e53e5a084e282f2f02fd7f4b2935cc44d954efef2841",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/distributions/wheel.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "9fd32a3685b232a36c71f6cd79eaa1d5bceda19522079c751fd878b457e2254c",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/distributions/sdist.py",
+   "name": "changelogs/config.yaml",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "728f1f351f2a2211d12c19dcc15f76a09edef0838218f804b1b10574d3e4d589",
+   "chksum_sha256": "7af6c3bf7fb22b0945cf60e33b4976cef8b9a38f6b73301e49774d96cb34fc72",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/distributions/installed.py",
+   "name": "changelogs/changelog.yaml",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "b9a4cc3ef63786bfccd410b2d74eef2475aca4a30982b3f1bf7d16dffcd96744",
+   "chksum_sha256": "bb70a110be0417beb579fcf78f9ec1dc600d0f24bb934bcde8b7224afefa0358",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/distributions/base.py",
+   "name": "changelogs/.plugin-cache.yaml",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "5159dd6a89348ce1eb2c7d09a8dd18ce5c55127bc542e998cb7edd898dd90ae1",
+   "chksum_sha256": "be9b2ed7bd93a18b6fb794fb56a5c7a838b50be73f6e1576120edfc93a0d6512",
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/commands",
+   "name": ".github",
    "ftype": "dir",
    "chksum_type": null,
    "chksum_sha256": null,
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/commands/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "bfec6697ca0cc2b4210a9980a64a5c30e13decca7c41a071a1139b9c64b8dfff",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/commands/wheel.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "c0a19292cb988e38603986bf8c3eae95a2a93d7694ccf8b2cdf44d353e033a2a",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/commands/uninstall.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "103731ddad3797753cb69676a787df21d9f8e61636605126abdca879c705da8c",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/commands/show.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "b33daf6f187897b063e232a59031931d80fa23cfddb92a525055715221f8e314",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/commands/search.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "1307063e40c34f014ca62d8f04a84fb965f660130f732ecec755857169e8b9ac",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/commands/list.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "8dfa834b8c6f9ba595f2b1d54a6be9688f35d6e92f0f83a23d9c0618a330c242",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/commands/install.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "685bd941f3eb32b1c36fa8e36e6ad5972bc3c4c21e5f765c64a490bd8e9cd0a2",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/commands/help.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e8c9f3ada93f8fec84de9b030aa8b61b121226a219274e0339b294f50867c4c1",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/commands/hash.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "8a9eb802c27a105504696283bec6667501e4b35253120ac38c7e5bca5f886327",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/commands/freeze.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "bcf560bb005bd79b9bbfc12cf683d2c9678f05ed9cab7f50c635382a2cde4f09",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/commands/download.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "ceff12fc3376fa4e8ad15491df208f2d2acb7a1a18923dc8bf23b51e8f2df15e",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/commands/debug.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "ca7b4ea65c3ddd56684005410770573cabaa6da9b8993e9312b6acb45c05cb7b",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/commands/configuration.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5f57dd55d120f0c1c5b40ad4fb76cce9604d6b1d44ed9eeab333c47652b5ceaa",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/commands/completion.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5314b4f6cf2b127534f000223778077502235385c64a5bf9489deb209753ca10",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/commands/check.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "0edd30ecda85a7ca3fe3927bc37d8642b29ececcf6bf0a3f53c526b070fd60d2",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/commands/cache.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "0042dff7c45647f82253dc25d114977fe32c4f23b91bf8b03b4887a05e056e67",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/cli",
+   "name": ".github/workflows",
    "ftype": "dir",
    "chksum_type": null,
    "chksum_sha256": null,
    "format": 1
   },
   {
-   "name": "venv/Lib/site-packages/pip/_internal/cli/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "1641c1829c716fefe077aaf51639cd85f30ecc0518c97a17289e9a6e28df7055",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/cli/status_codes.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "b0414751a5096eabfc880acbdc702d733b5666618e157d358537ac4b2b43121d",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/cli/spinners.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "54b752582bf29372a892e8cbc817ff40a61c19bade3d0a0f078bfb8ea1bbc720",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/cli/req_command.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "ade7cfc9974aba5bab89d70b68275226d832605721c5df72f2930ca7fecf3beb",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/cli/progress_bars.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "724fc82e38ba6914c6d33c576a39cf588a504c6c53ce6de7b1c64ec703664d6a",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/cli/parser.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "af1e30e88803d0e6e2eedd64f66574ce5621cbf0ee0a86830aa86450a30e14d5",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/cli/main_parser.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "1bbd19d5f5cb633789baea2d8302b0abe75a089d230a6987c71e9a147cfa5804",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/cli/main.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "1bf3ac63ae85651b662eb309e24de6efbb66b6c451450777ffeaa57b596f9a78",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/cli/command_context.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "936245e563ec3f530d29a5d62bc8d915b26161f7f391dbc668fb0be77b596c35",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/cli/cmdoptions.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e76248c8fe42eb24fc0e94f53b666c78063ebccbcb4dbf05a8ed20f3938560cb",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/cli/base_command.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "dba3079e5cd9482f969368f6386b010ece5c97695a76ba2f272572d7fda0d199",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/cli/autocompletion.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "af619049a1c78a6d4bc0f84c68ef4c3de29db12bf91fc4bd12556c981c9035ec",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5ef275248ba64277cb345c5545d7ffc6b6e191383558c52b7f61b3ac7dbb1770",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/wheel_builder.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "856eb7666001afae6b3a24910475eed63054744670e4b662c342da4016f3d252",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/self_outdated_check.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "8afa1461a1aeabe45afc3be566f3ed1e181b63decd28762e3c6ceb80dd86d40f",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/pyproject.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "6cdfdd962155c68acb213c421334f45263d81684aa93fbc606d3354308906b2b",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/main.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "059d2f91daa0a68b5e4e8d40d50f28bc57bc13380a14958e5233e621441f1826",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/exceptions.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d89409492ebca20811fd920e03e8755360d10035116e4427f4d7f8119599f37e",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/configuration.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "4012df86ffac6cffa8474f0d1714989effe62c1f9282d34eb165c017db4311c3",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/cache.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e9538db6845e1996c177bb2a6359fa87091d582e22cf7b665f05f0663a6364ac",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/build_env.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "da116d6c4a0ee2f0341717a137f7b6a1767fdc4ded02f2a99d599cf2c3988efd",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/__main__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "997c160dfb4d2cc29fc15a8a156184feeb8166f1922225042e12e47b2b08b997",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "c65eaf2564e7eec07bbf987ba8f8fe0ad4f37d7bdb05ecd8d45c5ef529a37752",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/py.typed",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "97d83e15cd7382d219ef4b4b243731eaa29ea83bad4d555271e22a52877e6b08",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/_virtualenv.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "684b8c07932ba4a84ac2e5ae9afe49ef04e92bac3d8d4191d455cf09d093e5fc",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/_virtualenv.pth",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "69ac3d8f27e679c81b94ab30b3b56e9cd138219b1ba94a1fa3606d5a76a1433d",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel-0.36.2.virtualenv",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools-57.0.0.virtualenv",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip-21.1.2.virtualenv",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/distutils-precedence.pth",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "7ea7ffef3fe2a117ee12c68ed6553617f0d7fd2f0590257c25c484959a3b7373",
-   "format": 1
-  },
-  {
-   "name": "venv/pyvenv.cfg",
+   "name": ".github/workflows/ansible-test.yml",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "0d5b0c7ba5822b4d2506d49267ee3b67ba7a9b6ccb46aaa4d32fee4677a3fd15",
+   "chksum_sha256": "2706a1afe567d519ca9112fff496bc08c40fd3f572c0e6b72a9892c2ddc1eff1",
    "format": 1
   },
   {
-   "name": "venv/.gitignore",
+   "name": ".github/settings.yml",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "df42dbae16a5aa1a1fcf05f9c2e52c84ed6da86e55d105fe603bf0c0fdadf7bb",
+   "chksum_sha256": "cb31353134cff7d91b546a03cc6fec7caaf0dba62079ea66776e2994461e6c7b",
    "format": 1
   },
   {
@@ -6875,17 +1961,17 @@
    "format": 1
   },
   {
-   "name": "CHANGELOG.rst",
+   "name": "requirements.txt",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "25c5de906a2d74d3af202a6750ac334da616a06567d44058b54154e94e570711",
+   "chksum_sha256": "d10e5c97d19424664edb2bed8e69cdf28b801aae5dc5aa13d3b8233728ca2979",
    "format": 1
   },
   {
-   "name": "CODE_OF_CONDUCT.md",
+   "name": "README.md",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "14ec928234a7ed52bf8b458d31e4862335111e477e4dbe7fb543686c24115140",
+   "chksum_sha256": "4d3e8acd6e4e1f4a717de66ae790c01bf7c799bfe7d7f8b4644dead575744ad4",
    "format": 1
   },
   {
@@ -6896,17 +1982,17 @@
    "format": 1
   },
   {
-   "name": "README.md",
+   "name": "CODE_OF_CONDUCT.md",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "4d3e8acd6e4e1f4a717de66ae790c01bf7c799bfe7d7f8b4644dead575744ad4",
+   "chksum_sha256": "14ec928234a7ed52bf8b458d31e4862335111e477e4dbe7fb543686c24115140",
    "format": 1
   },
   {
-   "name": "requirements.txt",
+   "name": "CHANGELOG.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "d10e5c97d19424664edb2bed8e69cdf28b801aae5dc5aa13d3b8233728ca2979",
+   "chksum_sha256": "d097f759cd6be86c5764be9dedaf6a045cee9a616717d64cc2c6bda342ac859f",
    "format": 1
   }
  ],
diff -pruN 10.0.0+dfsg-1/ansible_collections/inspur/ispim/MANIFEST.json 10.0.1+dfsg-1/ansible_collections/inspur/ispim/MANIFEST.json
--- 10.0.0+dfsg-1/ansible_collections/inspur/ispim/MANIFEST.json	2024-05-13 02:11:37.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/inspur/ispim/MANIFEST.json	2024-06-06 01:00:17.000000000 +0000
@@ -2,7 +2,7 @@
  "collection_info": {
   "namespace": "inspur",
   "name": "ispim",
-  "version": "2.2.1",
+  "version": "2.2.2",
   "authors": [
    "Baoshan Wang <wangbaoshan@inspur.com>"
   ],
@@ -29,7 +29,7 @@
   "name": "FILES.json",
   "ftype": "file",
   "chksum_type": "sha256",
-  "chksum_sha256": "fe724cfa8ea36e96c7142a5ab63c448380019001fa4961120aa8bec38c9988a4",
+  "chksum_sha256": "8512bf3f7cc02f00ab9edd6f6fd4e313c414b697cf1fa2b8d6465c46b48131a0",
   "format": 1
  },
  "format": 1
diff -pruN 10.0.0+dfsg-1/ansible_collections/inspur/ispim/changelogs/.plugin-cache.yaml 10.0.1+dfsg-1/ansible_collections/inspur/ispim/changelogs/.plugin-cache.yaml
--- 10.0.0+dfsg-1/ansible_collections/inspur/ispim/changelogs/.plugin-cache.yaml	2024-05-13 02:06:11.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/inspur/ispim/changelogs/.plugin-cache.yaml	2024-06-06 00:58:50.000000000 +0000
@@ -652,4 +652,4 @@ plugins:
   shell: {}
   strategy: {}
   vars: {}
-version: 2.2.1
+version: 2.2.2
diff -pruN 10.0.0+dfsg-1/ansible_collections/inspur/ispim/changelogs/changelog.yaml 10.0.1+dfsg-1/ansible_collections/inspur/ispim/changelogs/changelog.yaml
--- 10.0.0+dfsg-1/ansible_collections/inspur/ispim/changelogs/changelog.yaml	2024-05-13 02:06:11.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/inspur/ispim/changelogs/changelog.yaml	2024-06-06 00:58:50.000000000 +0000
@@ -492,3 +492,10 @@ releases:
     - 31-edit_ansible-test.yml
     - 32-edit_ansible-test-2.17.yml
     release_date: '2024-05-13'
+  2.2.2:
+    changes:
+      bugfixes:
+      - Remove venv files that were accidentally bundled in 2.2.1 (https://github.com/ispim/inspur.ispim/pull/35).
+    fragments:
+    - 35-delete_venv.yml
+    release_date: '2024-06-06'
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/.github/workflows/ansible-test.yml 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/.github/workflows/ansible-test.yml
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/.github/workflows/ansible-test.yml	2024-04-23 11:47:07.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/.github/workflows/ansible-test.yml	2024-06-06 01:26:24.000000000 +0000
@@ -1,54 +1,54 @@
-name: CI
-on:
-  pull_request:
-  push:
-  # Run CI once per day (at 06:00 UTC)
-  # This ensures that even if there haven't been commits that we are still testing against latest version of ansible-test for each ansible-base version
-  schedule:
-    - cron: '0 6 * * *'
-
-jobs:
-  sanity:
-    name: Sanity (${{ matrix.ansible }})
-    strategy:
-      matrix:
-        ansible:    
-        - stable-2.14
-        - stable-2.15
-        - stable-2.16
-        - stable-2.17
-        - devel
-        python-version:
-        - '3.9'
-        - '3.10'
-        - '3.11'
-        - '3.12'
-        exclude:
-          - ansible: stable-2.14
-            python-version: '3.12'
-          - ansible: stable-2.15
-            python-version: '3.12'
-          - ansible: stable-2.16
-            python-version: '3.9'
-          - ansible: stable-2.17
-            python-version: '3.9'
-          - ansible: devel
-            python-version: '3.9'
-    runs-on: ubuntu-latest
-    steps:
-
-      - name: Check out code
-        uses: actions/checkout@v1
-        with:
-          path: ansible_collections/kaytus/ksmanage
-
-      - name: Set up Python (${{ matrix.python-version }})
-        uses: actions/setup-python@v1
-        with:
-          python-version: ${{ matrix.python-version }}
-
-      - name: Install ansible-base (${{ matrix.ansible }})
-        run: pip install https://github.com/ansible/ansible/archive/${{ matrix.ansible }}.tar.gz --disable-pip-version-check
-
-      - name: Run sanity tests
-        run: ansible-test sanity --docker -v --color
+name: CI
+on:
+  pull_request:
+  push:
+  # Run CI once per day (at 06:00 UTC)
+  # This ensures that even if there haven't been commits that we are still testing against latest version of ansible-test for each ansible-base version
+  schedule:
+    - cron: '0 6 * * *'
+
+jobs:
+  sanity:
+    name: Sanity (${{ matrix.ansible }})
+    strategy:
+      matrix:
+        ansible:    
+        - stable-2.14
+        - stable-2.15
+        - stable-2.16
+        - stable-2.17
+        - devel
+        python-version:
+        - '3.9'
+        - '3.10'
+        - '3.11'
+        - '3.12'
+        exclude:
+          - ansible: stable-2.14
+            python-version: '3.12'
+          - ansible: stable-2.15
+            python-version: '3.12'
+          - ansible: stable-2.16
+            python-version: '3.9'
+          - ansible: stable-2.17
+            python-version: '3.9'
+          - ansible: devel
+            python-version: '3.9'
+    runs-on: ubuntu-latest
+    steps:
+
+      - name: Check out code
+        uses: actions/checkout@v1
+        with:
+          path: ansible_collections/kaytus/ksmanage
+
+      - name: Set up Python (${{ matrix.python-version }})
+        uses: actions/setup-python@v1
+        with:
+          python-version: ${{ matrix.python-version }}
+
+      - name: Install ansible-base (${{ matrix.ansible }})
+        run: pip install https://github.com/ansible/ansible/archive/${{ matrix.ansible }}.tar.gz --disable-pip-version-check
+
+      - name: Run sanity tests
+        run: ansible-test sanity --docker -v --color
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/.idea/.gitignore 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/.idea/.gitignore
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/.idea/.gitignore	2024-04-23 11:47:07.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/.idea/.gitignore	2024-06-06 01:26:24.000000000 +0000
@@ -1,3 +1,3 @@
-# Default ignored files
-/shelf/
-/workspace.xml
+# Default ignored files
+/shelf/
+/workspace.xml
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/.idea/kaytus.ksmanage.iml 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/.idea/kaytus.ksmanage.iml
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/.idea/kaytus.ksmanage.iml	2024-04-23 11:47:07.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/.idea/kaytus.ksmanage.iml	2024-06-06 01:26:24.000000000 +0000
@@ -1,12 +1,12 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<module type="PYTHON_MODULE" version="4">
-  <component name="NewModuleRootManager">
-    <content url="file://$MODULE_DIR$" />
-    <orderEntry type="inheritedJdk" />
-    <orderEntry type="sourceFolder" forTests="false" />
-  </component>
-  <component name="PyDocumentationSettings">
-    <option name="format" value="PLAIN" />
-    <option name="myDocStringFormat" value="Plain" />
-  </component>
+<?xml version="1.0" encoding="UTF-8"?>
+<module type="PYTHON_MODULE" version="4">
+  <component name="NewModuleRootManager">
+    <content url="file://$MODULE_DIR$" />
+    <orderEntry type="inheritedJdk" />
+    <orderEntry type="sourceFolder" forTests="false" />
+  </component>
+  <component name="PyDocumentationSettings">
+    <option name="format" value="PLAIN" />
+    <option name="myDocStringFormat" value="Plain" />
+  </component>
 </module>
\ No newline at end of file
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/.idea/modules.xml 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/.idea/modules.xml
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/.idea/modules.xml	2024-04-23 11:47:07.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/.idea/modules.xml	2024-06-06 01:26:24.000000000 +0000
@@ -1,8 +1,8 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<project version="4">
-  <component name="ProjectModuleManager">
-    <modules>
-      <module fileurl="file://$PROJECT_DIR$/.idea/kaytus.ksmanage.iml" filepath="$PROJECT_DIR$/.idea/kaytus.ksmanage.iml" />
-    </modules>
-  </component>
+<?xml version="1.0" encoding="UTF-8"?>
+<project version="4">
+  <component name="ProjectModuleManager">
+    <modules>
+      <module fileurl="file://$PROJECT_DIR$/.idea/kaytus.ksmanage.iml" filepath="$PROJECT_DIR$/.idea/kaytus.ksmanage.iml" />
+    </modules>
+  </component>
 </project>
\ No newline at end of file
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/.idea/vcs.xml 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/.idea/vcs.xml
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/.idea/vcs.xml	2024-04-23 11:47:07.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/.idea/vcs.xml	2024-06-06 01:26:24.000000000 +0000
@@ -1,6 +1,6 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<project version="4">
-  <component name="VcsDirectoryMappings">
-    <mapping directory="$PROJECT_DIR$" vcs="Git" />
-  </component>
+<?xml version="1.0" encoding="UTF-8"?>
+<project version="4">
+  <component name="VcsDirectoryMappings">
+    <mapping directory="$PROJECT_DIR$" vcs="Git" />
+  </component>
 </project>
\ No newline at end of file
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/.idea/workspace.xml 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/.idea/workspace.xml
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/.idea/workspace.xml	2024-04-23 11:47:07.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/.idea/workspace.xml	2024-06-06 01:26:24.000000000 +0000
@@ -1,34 +1,34 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<project version="4">
-  <component name="ChangeListManager">
-    <list default="true" id="eee6cc36-2e53-4ba3-a496-4db0ba2b7648" name="Changes" comment="" />
-    <option name="SHOW_DIALOG" value="false" />
-    <option name="HIGHLIGHT_CONFLICTS" value="true" />
-    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
-    <option name="LAST_RESOLUTION" value="IGNORE" />
-  </component>
-  <component name="Git.Settings">
-    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
-  </component>
-  <component name="ProjectId" id="2fGLYAS4W8rGydHdMdxcQm2KXUW" />
-  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
-  <component name="ProjectViewState">
-    <option name="hideEmptyMiddlePackages" value="true" />
-    <option name="showLibraryContents" value="true" />
-  </component>
-  <component name="PropertiesComponent">
-    <property name="RunOnceActivity.OpenProjectViewOnStart" value="true" />
-    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
-  </component>
-  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
-  <component name="TaskManager">
-    <task active="true" id="Default" summary="Default task">
-      <changelist id="eee6cc36-2e53-4ba3-a496-4db0ba2b7648" name="Changes" comment="" />
-      <created>1713422526344</created>
-      <option name="number" value="Default" />
-      <option name="presentableId" value="Default" />
-      <updated>1713422526344</updated>
-    </task>
-    <servers />
-  </component>
+<?xml version="1.0" encoding="UTF-8"?>
+<project version="4">
+  <component name="ChangeListManager">
+    <list default="true" id="eee6cc36-2e53-4ba3-a496-4db0ba2b7648" name="Changes" comment="" />
+    <option name="SHOW_DIALOG" value="false" />
+    <option name="HIGHLIGHT_CONFLICTS" value="true" />
+    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
+    <option name="LAST_RESOLUTION" value="IGNORE" />
+  </component>
+  <component name="Git.Settings">
+    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
+  </component>
+  <component name="ProjectId" id="2fGLYAS4W8rGydHdMdxcQm2KXUW" />
+  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
+  <component name="ProjectViewState">
+    <option name="hideEmptyMiddlePackages" value="true" />
+    <option name="showLibraryContents" value="true" />
+  </component>
+  <component name="PropertiesComponent">
+    <property name="RunOnceActivity.OpenProjectViewOnStart" value="true" />
+    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
+  </component>
+  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
+  <component name="TaskManager">
+    <task active="true" id="Default" summary="Default task">
+      <changelist id="eee6cc36-2e53-4ba3-a496-4db0ba2b7648" name="Changes" comment="" />
+      <created>1713422526344</created>
+      <option name="number" value="Default" />
+      <option name="presentableId" value="Default" />
+      <updated>1713422526344</updated>
+    </task>
+    <servers />
+  </component>
 </project>
\ No newline at end of file
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/CHANGELOG.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/CHANGELOG.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/CHANGELOG.rst	2024-04-23 11:49:09.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/CHANGELOG.rst	2024-06-06 01:26:54.000000000 +0000
@@ -5,6 +5,14 @@ CHANGE THIS IN changelogs/config.yaml! R
 .. contents:: Topics
 
 
+v1.2.2
+======
+
+Bugfixes
+--------
+
+- Remove venv files that were accidentally bundled in 1.2.2(https://github.com/ieisystem/kaytus.ksmanage/pull/23).
+
 v1.2.1
 ======
 
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/CODE_OF_CONDUCT.md 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/CODE_OF_CONDUCT.md
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/CODE_OF_CONDUCT.md	2024-04-23 11:47:07.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/CODE_OF_CONDUCT.md	2024-06-06 01:26:24.000000000 +0000
@@ -1,3 +1,3 @@
-# Community Code of Conduct
-
-Please see the official [Ansible Community Code of Conduct](https://docs.ansible.com/ansible/latest/community/code_of_conduct.html).
+# Community Code of Conduct
+
+Please see the official [Ansible Community Code of Conduct](https://docs.ansible.com/ansible/latest/community/code_of_conduct.html).
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/FILES.json 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/FILES.json
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/FILES.json	2024-04-23 12:03:20.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/FILES.json	2024-06-06 01:34:15.000000000 +0000
@@ -8,4857 +8,6 @@
    "format": 1
   },
   {
-   "name": "venv",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Scripts",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Scripts/wheel3.exe",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "04d610e5fad2b156c25d2298052a0a945ff422cfb854ed76f216a148bc9a05b4",
-   "format": 1
-  },
-  {
-   "name": "venv/Scripts/wheel3.7.exe",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "04d610e5fad2b156c25d2298052a0a945ff422cfb854ed76f216a148bc9a05b4",
-   "format": 1
-  },
-  {
-   "name": "venv/Scripts/wheel.exe",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "04d610e5fad2b156c25d2298052a0a945ff422cfb854ed76f216a148bc9a05b4",
-   "format": 1
-  },
-  {
-   "name": "venv/Scripts/wheel-3.7.exe",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "04d610e5fad2b156c25d2298052a0a945ff422cfb854ed76f216a148bc9a05b4",
-   "format": 1
-  },
-  {
-   "name": "venv/Scripts/pythonw.exe",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "623870d10a0f497b0657deebf91ca19efff1a7d5c0342b3385c6f7fd84cb7a8f",
-   "format": 1
-  },
-  {
-   "name": "venv/Scripts/python.exe",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "61596ea4e41b7a0fe7b629ab66c28273295ee311f6aa8431119525cb06b4f1e3",
-   "format": 1
-  },
-  {
-   "name": "venv/Scripts/pydoc.bat",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "a55bb19fc9a7f4ffd1774df8f5f881122c08b8cbdf25049f809d9d963513d9f0",
-   "format": 1
-  },
-  {
-   "name": "venv/Scripts/pip3.exe",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "addac07465b44ae5745dcd67cd405afd02e0c065010a301e68caf15004aaf6f5",
-   "format": 1
-  },
-  {
-   "name": "venv/Scripts/pip3.7.exe",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "addac07465b44ae5745dcd67cd405afd02e0c065010a301e68caf15004aaf6f5",
-   "format": 1
-  },
-  {
-   "name": "venv/Scripts/pip.exe",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "addac07465b44ae5745dcd67cd405afd02e0c065010a301e68caf15004aaf6f5",
-   "format": 1
-  },
-  {
-   "name": "venv/Scripts/pip-3.7.exe",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "addac07465b44ae5745dcd67cd405afd02e0c065010a301e68caf15004aaf6f5",
-   "format": 1
-  },
-  {
-   "name": "venv/Scripts/deactivate.bat",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e8ece79cef870b6c2759437b6004fe6e3f35e7378a31710f0b491ec816302945",
-   "format": 1
-  },
-  {
-   "name": "venv/Scripts/activate_this.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e80923738c93fc214452c40b1fb030bad3582a8b579881ef863725a6b10919cd",
-   "format": 1
-  },
-  {
-   "name": "venv/Scripts/activate.xsh",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d633b0be29ac6642093911f167b09922562b9a282a9ede8748e02367e1adc63a",
-   "format": 1
-  },
-  {
-   "name": "venv/Scripts/activate.ps1",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "60a3888d12fa2c8dd5fe91f7d0c816029c7b79a83facccd406e915adc115cbe5",
-   "format": 1
-  },
-  {
-   "name": "venv/Scripts/activate.fish",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "119ae41a1773a920865e62ee82c3632571b7413eb568115bed817c333c1cf0cb",
-   "format": 1
-  },
-  {
-   "name": "venv/Scripts/activate.bat",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "a8d9d08af40fffd9541eed214ae159e715056d27b95977eb17ef532d4366f7a4",
-   "format": 1
-  },
-  {
-   "name": "venv/Scripts/activate",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "f6b7539b1862c89b1d1b0fca3607012904f255a16a5b43f8d10d34bd5b2dd250",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/_distutils_hack",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/_distutils_hack/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5f7454880e8a04fa0499ca3f0a3002ca5b7241b15119552965101b4a43c6c0cb",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/_distutils_hack/override.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "12efecf8d17a5486780aa774b5b6c0e70b56932d8864f35df1eb7a18bb759b3a",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel-0.36.2.dist-info",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel-0.36.2.dist-info/WHEEL",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "67e9f2629c2b712ab17ddbb1e4c6e7fc3439db988fec9d831b72601af398c934",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel-0.36.2.dist-info/top_level.txt",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "1f148121b804b2d30f7b87856b0840eba32af90607328a5756802771f8dbff57",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel-0.36.2.dist-info/RECORD",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "6d8d12da6b3fd9948764a402b1212ce2944033cbcac40d9f88d910cdbebebcf8",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel-0.36.2.dist-info/METADATA",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "c3dea9017307656cc5cbe770a8666a5dbc6ee47ba9ddc6f7387ba3842b967c3b",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel-0.36.2.dist-info/LICENSE.txt",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "cca9e20c6af1fcfbf69408f377769286cbeebcded336100c9b4a3f35fbe635e4",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel-0.36.2.dist-info/INSTALLER",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "0b77bdb04e0461147a7c783c200bc11a6591886e59e2509f5d7f6cb7179d01ab",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel-0.36.2.dist-info/entry_points.txt",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "37c1db605493df2acd418781db05d60443d4845b04b4a3513da0851893f2ab27",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel/vendored",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel/vendored/packaging",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel/vendored/packaging/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel/vendored/packaging/_typing.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "c79f44850e7b4cc4fe9134722d9576e4766f6061b06ee713a3a88a87f3b4b4cc",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel/vendored/packaging/tags.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "cbc86016a7d5d0aae2a3e1de80f0770f4a7f01e898704f17c0094476612b0ded",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel/vendored/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel/cli",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel/cli/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "1964a8194a5169b4dff1b93716c3533eb73916cafc60ebf6757e79898d96ede6",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel/cli/unpack.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d155b34fb53fc727a74cfc0455abf1aaf75e7bddc63ef0051e747752ef756917",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel/cli/pack.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "4be275888cb518f0d34c3767fbf4b0c466bb37bdbd878899348d75103142a9f0",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel/cli/convert.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "ec5e2f8f6dc0d8e8210c35a7f605f657efd37973336b56b99c87a39851845093",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel/__main__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "945f982cee217509a85ae87879665df182f553de5149d9bbeac34b0576b4be31",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "80469c93aab7be06e6ae07a7edc3b77c23afeaf145e21876298ca3ddf2a4e782",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel/wheelfile.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "eca80e2b5ce7ae8f83f007a580d104e2383a7c361763f06ee9cadda8b6f61104",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel/util.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "9a73599090a2f431cb23fab8953b9da03d265bdee1fc0a005a5ee9acd3cb5c97",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel/pkginfo.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "191efa92ea50ce7d71f6c283697b84e81e85b19e0e91f46d1bba677655cfbd0e",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel/metadata.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "6f790f8599f6c360fdc1e9e096d5f99c621943711150e43953e2b9bc728f75e8",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel/macosx_libfile.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "eef11c1a5976dcaddf88b8edb47d229ed8f14743482bc3babe29a3459ec10a87",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel/bdist_wheel.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "daf7efde0fdbf01bd9e43a3d6e92c405dbbd75011cbe8310d5f957a4a6052435",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools-57.0.0.dist-info",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools-57.0.0.dist-info/WHEEL",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "3aa464174798e461ecb0ca2b16395b4c8ab4ef6be91e917ad1f21003a952f710",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools-57.0.0.dist-info/top_level.txt",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "77dc8bdfdbff5bbaa62830d21fab13e1b1348ff2ecd4cdcfd7ad4e1a076c9b88",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools-57.0.0.dist-info/RECORD",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "a31718b561db82a0d84adeaeb7616fcee1d95c6b7509ff7bf47e618aef5a7a1e",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools-57.0.0.dist-info/METADATA",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "cf512c2d92874bbeaede7f64db0f37dc988ea6376bbc465294f5d1399e148891",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools-57.0.0.dist-info/LICENSE",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "db3f0246b1f9278f15845b99fec478b8b506eb76487993722f8c6e254285faf8",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools-57.0.0.dist-info/INSTALLER",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "0b77bdb04e0461147a7c783c200bc11a6591886e59e2509f5d7f6cb7179d01ab",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools-57.0.0.dist-info/entry_points.txt",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "96478968adb5be5b92db2ecc7e63bfb5b2d88e1f2f6990e066cc33538243f608",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools-57.0.0.dist-info/dependency_links.txt",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "1e5902164a0ae536d9e4430b6cb29884b718fc4df5901583f13a96d848266ad4",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_vendor",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_vendor/packaging",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_vendor/packaging/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e9e9dba795e045f8c18ec23df9b9f4d078c77f94c7db53c330e2a4256f31c3ec",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_vendor/packaging/__about__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "3cd32c6999f851c087cae6e044e1f56e5e8296e76e3e3239905ad2a7f660925a",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_vendor/packaging/_typing.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "c79f44850e7b4cc4fe9134722d9576e4766f6061b06ee713a3a88a87f3b4b4cc",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_vendor/packaging/_structures.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "a339025fc43c7f6a84d4489cdd8890e1bb8355f833da261ebd8f5eed1db2de26",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_vendor/packaging/_compat.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "31776c1a9484fd6f99ac7a02f3b6a7748e0b576140c14ec72cbf9e1defc28e15",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_vendor/packaging/version.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "0a76e6f8e3bd0ffa9df194c5c7315c8d26af7b14981599b279aa0fbccb2380f7",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_vendor/packaging/utils.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "452865be78ced82b58483f2eae2df67eb30c14c4e607ede286cab5fa08732c4c",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_vendor/packaging/tags.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "34a312dfb668fe75ab67182c0facdb5ec5e073d79d9fd9b5eb470188b98725d1",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_vendor/packaging/specifiers.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "b98a7d975dc5d0b7249d2e9de0deb4cad88180598884a89d78eabd027b314dca",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_vendor/packaging/requirements.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "547c9d65d93c9b7a85c517a898dc0aafbd5c9a98da9ed115ff13a1904cb220d2",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_vendor/packaging/markers.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "0420b165bb7cc60cac1fcbf9a6a6cb91db509d164720690942a94d0467a4e274",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_vendor/more_itertools",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_vendor/more_itertools/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "0bbb177df1d35ccdcffa268b3cf7ea7e60e8c4e7e540c24b70cede77da778da9",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_vendor/more_itertools/recipes.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "524364aec672aa2c202c700d0539af3210af68d4af48d621c8ea73fc9739e436",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_vendor/more_itertools/more.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "0e565af2fe898a15707d0e731e274e03ec43134a2b710214cb156709a5280ca1",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_vendor/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_vendor/pyparsing.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "99a86d920729de0acd003d2b7bff51d032ef067be3ce978bc2026a4fedc7d421",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_vendor/ordered_set.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "75b68272cdbb77237d827316185e6703f06b567e90f8dae329826957dfdf801b",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d9303eae5343973788f9cb1b5875c58c60fcb8e62a00b31fc963a14f8f670ba8",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/upload.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "04b3b5c3b79202ab028c22d7b5ffc24554a3c05d569b2381c8654635d710f286",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/sdist.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "aa8b498c03b3ca1263ab6fa80c89a3345aceb5a4a778414325307eb04935c275",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/register.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "da36aaf7debcaedda9b91543071d476cd897bf6eee3a4f22744ff894f7ffdd53",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/py37compat.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "ab346186f4e286ac7f3d966dd996040b18755f73a3db9e55a9ab737a560500ac",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/install_scripts.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "fc22d4790c06251718da48a4edaccf327e4876d0c2ae359d52f675921946e9c9",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/install_lib.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "f40a1f47e30ef6502d8f0c2eba40a9b5ea4e68910a3195b65478b2479854ec70",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/install_headers.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5d0ea27646c80dfaf59635c23b39ee55432f385a47067e9c2b45b3f6020cd9be",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/install_egg_info.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d245b496254c79a7648d7d197117cca6d2857a7d3b1b0ea0cb0d551d3e4a2307",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/install_data.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "62118e0308778093ea17b7a6e57034ae6a51e36cf56cb87cd28a049730f252f9",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/install.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "a0e336ac3ee5fd28250113550e68999fcbba0c07e2757445ff2139412df6f01e",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/config.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d9a4e3c30dcfc23301f3e6626c27b83fb07ea86d61335827feb257632c51cfa7",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/clean.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d930ade3baeee2165933445f55f5188f96dba6272918b3f8421c398c1b6fa7d9",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/check.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e6a0ed23be5c719837b0022d41679a22ef32dc5477d783b8aebf529b3e07b04a",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/build_scripts.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "68ac9c2493f1dcb7d9d5cbd981225ac670f62e7bd1339589fbcc64a5d81c2ec2",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/build_py.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "4bf365c3885913c3e7220a97e4e14c766b7e19298e84f410e1fda3af5b819e85",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/build_ext.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "63f4986ddf121dca6034f7efde27d59e26658d8b3570b00595e0528b6fcedc26",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/build_clib.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "6e05531e1dbc78b400d86930ebc6a602977f8fba90057e0c4c8fb34ef00afc9e",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/build.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d753724765005336a5ae44d9da98740401c55850b68ed4ac37b808685f8d0b4f",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/bdist_wininst.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "88695a23e55f1251ce9de79ccca1d69d23796b5d3eec831c25a5ee47599d4b77",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/bdist_rpm.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "8233b0db61a10d26dcab46ddab6e5c4dbfa7e875969b46d284b41a77f9a42789",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/bdist_msi.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "11515060dfd7f84c5e78ff2099d57d25c20db2e506b0b254cfd69f314d11b7c7",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/bdist_dumb.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "053babf63708a69c8fecf89abe37ec93b623125aafc5e60eda7a54c8f3ce7a47",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/command/bdist.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "db3e1eb9d465fe7ee6de51bd95e2f4218a9eb386ec9bc7347f17d9ba269f8cc8",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "969400a6147feee8560b67db484a6ce096bd5b86307b337f217fcb244b779215",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/_msvccompiler.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "8d1d0933903524c9d9eb130389c4338575a05d3557b3595601e51ec42d73d7df",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/versionpredicate.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "671a4403e4d0bfcf2651673a85eb543b8a92a80dac6bb8a98d9dd010ae5ebc39",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/version.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "f0da203fa34f3d0a69dc450c65c4fd73310789af9e86a3e8f2ca68fdeec08145",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/util.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5a5cfd9e80a1263cde9bd99f80ebbe29a37cb2807868d8517dee151a5b5777cc",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/unixccompiler.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "13ae5e7428582e81d8f308b83b116eff02adde125edc6c9217abf9d46fd9ccbd",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/text_file.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "3ecb8025e59d289a0b495ffa37a229079fb43daf382b32d4b9c24c1516b3c372",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/sysconfig.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e73e79314ee05de71e2ff1bd14ae9ec7ed8ebdd7885c945925a7ebb6d84971f5",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/spawn.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "3a64a7ab712a762b6af09e6fe715cc9994921e32e7e1ab5b59265b2fae49ba50",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/py38compat.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "208edd741c4e8a30bbb8d378cffe3a1d8523c184c960c3622c9a064e8ae6666d",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/py35compat.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "fac935bc122c3a01fe0286e32186cafce12374917fe78525fc3d44884f5733f7",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/msvccompiler.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "aabb802de191abcf828ed8c4dad2d0f16dba42772171879d5b31667bc0316784",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/msvc9compiler.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5fadb707dda0d2ff00dc110cf6aa517f7f7a00477f85f8e47c35154cabb485c1",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/log.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "8560667540b62bddbb41c56fdd110c5b71cc3dc97171c3d09e0c4b4ae517425d",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/file_util.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d2152a7c8b4dff1d83562851d0c1dd03828231508e3bc568072685a7f6ba3038",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/filelist.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "f1b471873a7616c6a81d3ed3b8a0f842372e87f07d3b0ff14edfe1b5926f3764",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/fancy_getopt.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "38fc69d82c478b5629fddd43f09c56e147aaf5f0bbd6d7a040569a7e1e7c1865",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/extension.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "6d36f74340a87af18a62fe5d5f596cfbe2e7f2d941d3e5043ac8bd070ce567eb",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/errors.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "62bead29919dcc1a0d8b9def06d8aad1427ffd7d390a6c5275026a3966b0e926",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/dist.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "062b9fe9c6bcba215f31271116c6142ad6f99de30fb712b146d5e7e74ff57f75",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/dir_util.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5308413944dc57ae464f071ee123ee4d747c67cab72d811c9adb6a7066f46d8a",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/dep_util.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "1ae47d230fe3cd9464c9e989e475fcac1ff0446c642017019b5aa1e78afbce19",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/debug.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "37a32b4c0a8aea5f52564ead5b0791d74f0f33c3a5eea3657f257e9c770b86c6",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/cygwinccompiler.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "f54e0902eb14ce5006265d18e674e83e443795dcec780b62c9ee37e26c09d28c",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/core.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "8db74e92938ad3dc62fb9eaf861c2f9f77d87612dbe4324ef2adcad5f9d0cf44",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/config.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "76d1e06e5c7d2617f2acac75f89ec9971c3f7fbb3c65b3c54228b65163136696",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/cmd.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "79ca3a2c0194b686cbb8f69fba19a02a09304512ff598f0a27861e0c21e9725b",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/ccompiler.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "1b6b67f50df343455435f5b52ccfa7ae72edffa3a1b6252e9ee802bfce43d4f4",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/bcppcompiler.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "3890d5a425265fa1fcbffee5575ce27d5d5f731f760abd9d862521ebdf3d5092",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_distutils/archive_util.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "a96fae886c187b14ef2b97be8927a5ff7d43b21c7e0aa4da9cd3caeac9f07fdf",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/extern",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/extern/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "1e17fd5bbdd6022b70f5375125f0c86fa6058e62b9e8217ad5a7ddb35320d076",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "7bef1324e8a451edd2b747f0d9bda9f6ee440dd4b1979cc75012492a27db710f",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/upload_docs.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "6dae643b279d0ffbbadb07a29ebc6aaa7be9b90bc122e6a65de8491bab40bced",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/upload.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5d3dd81557d83c0980e6a8468347ae96e53df1fb714545be3f329c38330bc54b",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/test.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "f8ed31ac7f1a7492935c2f1d4992ff6c0876d5da2618cfb3081e5144d7e774d7",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/setopt.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "2e272a957a1c90ba8138760f36fd49d37d87c6804a0f81ce1c1d75aa6fedf81b",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/sdist.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "a44305d06315b9ace734ae8615a98ae064971bdfea79fd2273ccfb8c4b0f98aa",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/saveopts.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "cdaed00817108a628aae259ca0271b8713e3533df481207be33b932f8ef1a4fe",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/rotate.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "4afb103dab1ecc8a233e3bcc9df92ace1f0fd14d2d0a3d1d69ccc5f2e7373503",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/register.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "924dc3c5709be655d3bea9e17f0c7683aabb8b06d49a04f25d409a068a013949",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/py36compat.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "ef22d6cd08f5efd127c77a49f15d5c0c30b378b30531df5725794afa2653ab96",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/launcher manifest.xml",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "c652db8d6ac1d35b4a0b4fa195590e2a48923dbccc9a5d9e38fb49fee7029db1",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/install_scripts.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "a348cdfdec7bc98624f16e5c97299314e5f090530acd6f6aff377d36971ec7b3",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/install_lib.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "533e3631cb321d9023ac1e9cc3d13b073d31b1a4dbcf19ccd4f23d0818623ed1",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/install_egg_info.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "6cc81e21e4625f34380c018f575df6f24723c108c78ce594e059e00162d5efc4",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/install.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "f1da0cc5e4040e82b811ca3498ed969575f3ce9f509ec18943b67bc969193c6f",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/egg_info.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "b1ef85858235b1933329dea59dd57ffaf364277d615f81d8e1970c52eef597d9",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/easy_install.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d77069534616d1434963e9353925423e3ec49c26747a9e5f6424b4b8ab99d266",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/dist_info.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e6dea439fadd8002d3f8fde882cb3a3c5f64f8b7b27acb9ec9cba4ddd5326672",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/develop.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "074a79761ed5ad231d11f85d504fc02655a4d94c407ac38e635e02015e7f0c40",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/build_py.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "7cfecae97f154bdd83fbf8472b98ccf7dc27a928d342125cc79fbc5a9ef8301f",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/build_ext.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "688fea9caf66f2550b6434ba5ccbffa768f6a487a155b49aadbe0f2470c0eddc",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/build_clib.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "7d61d2146924d7454275d0560accef361a306c6f59f42657563436b92227a0eb",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/bdist_rpm.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "ff863bb55033bb5cc4b8373cb6945d13fb32df3493de1dcb3d3b738a8a2ce429",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/bdist_egg.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "faea6207a7c5b66f1c412423d4b4435691b5f93d78dc3b170af5747e1d37bbb5",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/command/alias.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d6c2d0c5970d87a7434290e69b81bb506193a25f379d8d4d4cf98d05b9b6b222",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d1cdb7d8b47238b19d2fe6309a093cb8cb9bc7b236d70fa2c495a24f48d02be7",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_imp.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "1e617dd486e2b517ec0f9cfe838ff099cb87f916a1c8838d6cf82208e160b730",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/_deprecation_warning.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "8d4f7e76d7efe9c2a6b5024e5cdf273f59a6ee038dc3990a12d88fb5bc276722",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/windows_support.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e46adfa923f6f9d2c6268653ab683a7422a4c90c716b69f92108979490a86041",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/wheel.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d0ff2d4a4d74e6e17f51bfb7d0dd875365f6bfb30a0d2763a5e4254515b74a42",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/version.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "a20fdcb9941bd1023aba429915f6563e5af51e02413cf9f6bceda6fdb23d6531",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/unicode_utils.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "68e385a38246c00b2206db46603b2a152ed8a9641e6768fa0d6882b9cb51ff4d",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/ssl_support.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "08f53fe354bec7657aa8eb8436bdb042c392c651ef240a173b1b803dbaf18e93",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/script.tmpl",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5864ede6989eccedbb73e0dbc7a9794384f715fdb4039cfbf3bda1bf76808586",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/script (dev).tmpl",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "454cd0cc2414697b7074bb581d661b21098e6844b906baaad45bd403fb6efb92",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/sandbox.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "222af199e0876e5d421d3ee910f810ead4f1f7053ce789fe776a7cd12bbcb797",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/py34compat.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "29839deb26d1c63056f0d266603f2dfd4cb2566caca69157a87a452ddb251975",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/package_index.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "0bf1529ca9bb599334c1eca9359353652f62f48ebdc2d97707313ea917778d20",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/namespaces.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "3cca8654f5cf610823513bc483d6c671c440908383ad0e8d9ac0e0fdfc04af02",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/msvc.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "dcb2edf77f1ee8e47bc163f322f090bbb2c25994882aaa0a57ac37afc8d5de46",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/monkey.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d1edc77552971cbe35e4eee7a7e014aa11055cf3ee0dd24a6c8e3b72143f0c4e",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/lib2to3_ex.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "60a03b0a6748256c32d3ecae640c548283476d71664f8a79de235a7567414029",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/launch.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "4f23d3f887354f612762f18edba81f3513f8cac065ae1a5b4634315ac88ee35e",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/installer.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "8db85bed9564355fdb4943207e72dc670d081ebe911059ca178a3bff526ac66d",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/gui.exe",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5c1af46c7300e87a73dacf6cf41ce397e3f05df6bd9c7e227b4ac59f85769160",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/gui-64.exe",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "69828c857d4824b9f850b1e0597d2c134c91114b7a0774c41dffe33b0eb23721",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/gui-32.exe",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5c1af46c7300e87a73dacf6cf41ce397e3f05df6bd9c7e227b4ac59f85769160",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/glob.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d686636df8c01d25db81d852b91e98194f232a86fd2fc36d126058a9c3d32d89",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/extension.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "34c338e978cd7557a559e99cd31f02c95280e4ab3a666df14d6480d924bac593",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/errors.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "31539cbf7f351cd49a8c3804516cce43827a0790470813128c77da59c130035a",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/dist.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "41565bdb2a608535c5bb3ce9ef9dcadf81f229410058232f01e6120682db0e59",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/dep_util.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "043c75064ccd427b6f001e1a972a476d6e54541ce3aad86cd34d0fad42f866a7",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/depends.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "8877d974b7650aed81965485f5b460ecd534a2a6cf58c1fc9639b806ec100d8d",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/config.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "6bf4bd76a6f9975f2f96a7b906b537d37a99e9e1686a00b93d98d8c11617fe6c",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/cli.exe",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "75f12ea2f30d9c0d872dade345f30f562e6d93847b6a509ba53beec6d0b2c346",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/cli-64.exe",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "28b001bb9a72ae7a24242bfab248d767a1ac5dec981c672a3944f7a072375e9a",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/cli-32.exe",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "75f12ea2f30d9c0d872dade345f30f562e6d93847b6a509ba53beec6d0b2c346",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/build_meta.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "c7b148d543ca08ac41052a295e871f1839c96bdf2b40ef1ab4a5d2c09b5d89df",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools/archive_util.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "99a2436e8cd16c37923f0e77553d1c6ff212dd6d00a7bde5251f2d5fc4590f1d",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources/_vendor",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources/_vendor/packaging",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources/_vendor/packaging/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e9e9dba795e045f8c18ec23df9b9f4d078c77f94c7db53c330e2a4256f31c3ec",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources/_vendor/packaging/__about__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "3cd32c6999f851c087cae6e044e1f56e5e8296e76e3e3239905ad2a7f660925a",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources/_vendor/packaging/_typing.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "c79f44850e7b4cc4fe9134722d9576e4766f6061b06ee713a3a88a87f3b4b4cc",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources/_vendor/packaging/_structures.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "a339025fc43c7f6a84d4489cdd8890e1bb8355f833da261ebd8f5eed1db2de26",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources/_vendor/packaging/_compat.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "31776c1a9484fd6f99ac7a02f3b6a7748e0b576140c14ec72cbf9e1defc28e15",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources/_vendor/packaging/version.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "0a76e6f8e3bd0ffa9df194c5c7315c8d26af7b14981599b279aa0fbccb2380f7",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources/_vendor/packaging/utils.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "452865be78ced82b58483f2eae2df67eb30c14c4e607ede286cab5fa08732c4c",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources/_vendor/packaging/tags.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "34a312dfb668fe75ab67182c0facdb5ec5e073d79d9fd9b5eb470188b98725d1",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources/_vendor/packaging/specifiers.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "b98a7d975dc5d0b7249d2e9de0deb4cad88180598884a89d78eabd027b314dca",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources/_vendor/packaging/requirements.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "47c2b81f8c57fe20f82efa46c35537a2eb8f6c637ec33b05803edbae100cef56",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources/_vendor/packaging/markers.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "6129ed4243272b2c35fc51baa1134d9c6c4b2fa6c0c5c1973adb8513e6134b79",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources/_vendor/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources/_vendor/pyparsing.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "99a86d920729de0acd003d2b7bff51d032ef067be3ce978bc2026a4fedc7d421",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources/_vendor/appdirs.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "3227af504bafde5fe6408487e52174b210e4fc13611c7cd88803eb4f72133782",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources/tests",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources/tests/data",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources/tests/data/my-test-package-source",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources/tests/data/my-test-package-source/setup.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "32b7b39779eac646248c26292319a3861838011f21822e1065d1189a4f88ed1f",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources/extern",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources/extern/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "dcf8b1693f53cf3778368c95e8256119ded2ffd67e539caf31601fb592af0ba9",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pkg_resources/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "3f73cd377fe6f0926b60ca7e8be4aafb7ae12b9bee562aaa8e7d545ca1df7bb4",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip-21.1.2.dist-info",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip-21.1.2.dist-info/WHEEL",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "3aa464174798e461ecb0ca2b16395b4c8ab4ef6be91e917ad1f21003a952f710",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip-21.1.2.dist-info/top_level.txt",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "ceebae7b8927a3227e5303cf5e0f1f7b34bb542ad7250ac03fbcde36ec2f1508",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip-21.1.2.dist-info/RECORD",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "9a16bca4afc8289b1ef9ba921812984bf128ccdd8d4471b6b7754c2de17b5531",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip-21.1.2.dist-info/METADATA",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "cbb3214af4af30eb6e82c9e42e5860e79e97d0a7c0c1b49b42d58891870fd749",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip-21.1.2.dist-info/LICENSE.txt",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "23a7361c2b1581028bc623b9da2bd24997abcaa4781ace6ad444a37944f8dae1",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip-21.1.2.dist-info/INSTALLER",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "0b77bdb04e0461147a7c783c200bc11a6591886e59e2509f5d7f6cb7179d01ab",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip-21.1.2.dist-info/entry_points.txt",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "1ed7c33b0a5496bf6cef78ea2d0eb017d574ff4aaf517270081cfb570c7451ed",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/webencodings",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/webencodings/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "a8e04922e3f2ff8072607e96fdb360245faa610d83a14f9d2ac0eee724560978",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/webencodings/x_user_defined.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "c8ea9649d9a9cad19f52087f67a258803361a1cf81007cb279e4f5e45af8dad3",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/webencodings/tests.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "3ad18bca384d6357ef916d46bcb27f155f59a2a0bd027ca3afbab79314dbccdb",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/webencodings/mklabels.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "19821ecb09e968b9cfd064a273c2c55a0774515bcefe5d4d73a62817ef3b47fe",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/webencodings/labels.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e003bf2b14dd76a1adacbf67b3b9003e36f409c37ac6c088c5b2b7ec763daf71",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/util",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/util/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "2449929a6aaa2f26b0f0fe75814226661f06c20f62d7349ef83a2a022b67da77",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/util/wait.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "dcc50a452014243076b60728eea454b245b4cd7180598bd1444e10d7feb194bb",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/util/url.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "28fff26870344c5140b1048899cfc53873be5aadcf3477ff6ca39b29cae0754e",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/util/timeout.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "4126c150d381f7287a0270e7eb54ab2d0d21839a33d08f7eb97106f75009b888",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/util/ssl_.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "74a707facaa247f1125aa28fd4f27a4940144afa82f9f90c406ad3a2457834c6",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/util/ssltransport.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "bce3823d19fe74e0d4676aad3027d2b5bd099a382b80968a2ea27daaf2ae705b",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/util/retry.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "b3764d2973bafeddb7650320f3396edb43cc4aaada4f8f79f92fe6118ff5f5a9",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/util/response.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "189a60dc4822f6a6895d1c01879c2ff8c36e4566a7e4122ee34a117a8c563f6f",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/util/request.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "367cda10a4353dabb0e4c14c57a1e68043072137f402e6bd7d0bb38b6b99cc67",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/util/queue.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "9d1817f3f797fbf564bf1a17d3de905a8cfc3ecd101d4004c482c263fecf9dc3",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/util/proxy.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "1468a90049ef66d7b295d5cd8dc7b80c407b633c14f9ae657a9f32e52d2a1d08",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/util/connection.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "fc8f99a05e7cc572cb8e8f90e4819a26b331cb6216fdec48f0af4ef69abba29d",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/packages",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/packages/ssl_match_hostname",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/packages/ssl_match_hostname/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "ce9a5ecdd1107691ac61eac8ea657a31f518cb8f79255e2670e582fc681b9635",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/packages/ssl_match_hostname/_implementation.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e9d67eab4ef883b5e1b09dbb3050a091cb7c895359077b0c66f2a17fe294572d",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/packages/backports",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/packages/backports/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/packages/backports/makefile.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "9dbcedde2d1a80f54fd3b8eaaa08e16988cc9ae022fd6e44d04cb0662bd53bc1",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/packages/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "87804b843e2d2da071d5a75a0ed2977eea6c82a634c162d76ff7f5ff256557a0",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/packages/six.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "69dc78cfe78cfc3d15beed0822a573140090feec7d97ae32ec391211f6f1083b",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/contrib",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/contrib/_securetransport",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/contrib/_securetransport/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/contrib/_securetransport/low_level.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "96021db12c9ca9f0745e6e41889cd719e20a4fbc9b0903053c902091cc0f6b5b",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/contrib/_securetransport/bindings.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "791cb5323fb0a60eec47af8e4af9d25788d46e3313e3ae1d2cdfc25b16c8455c",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/contrib/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/contrib/_appengine_environ.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "6c36f2384856d8228b25c42a00a032ac41cdf9a925b321c52aaeaf17c645b269",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/contrib/socks.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "0dc463336974ad0308ca162b37aafeb6756463a6530f11c994cf3fbac0241820",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/contrib/securetransport.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "3041076b762a1bc89f0cf606d203b5d82d6d66ed88f87a86178942e7770714f8",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/contrib/pyopenssl.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "92a9bd497e21ffa87be90c060c188d43b8be92d299ba766ec734d58e3b470eda",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/contrib/ntlmpool.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e88f79875ffbd5fcf19a831236d634801f259f20a856d3ff0e9a851a3d787dd5",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/contrib/appengine.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "966f3a5e368e23b6a36e89ec37424b0347249204855a183158a2d6fd89ade2c2",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "8f7cb31c86e65bb092f8829027df8f3d07ff60a3bc10e01ecbfacc5b4511eeeb",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/_version.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d818e4fdc078f7ddb53d3bdeade5a9f194773612cda02300c874863fe39eb0b9",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/_collections.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "469d6657206073f52501ca7a3376add6c909057479278dcd6b0453bd6da0fd76",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/response.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "846846061ed3904921fc8420e42d56ff1b8f36b8082afe415173f213eab42ee1",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/request.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "645488a97d02e968b38b179c0a1677fe8932bbb044bf4959bb5553d2cea1e123",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/poolmanager.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "c21ce55fa51312038330e0b2d190cc50e351042cf9c3220cf19f68a57018f8b9",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/filepost.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e5bfeaaa04475652fbb8bb5d018073061f861e653901f255b7fd8dd174b73de6",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/fields.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "92f2c30a0fc9987d652e3514118fc52d2f14858ee106f0cfb951136d8f2676b3",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/exceptions.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d0c9e7a372874cd7d745f63beb7f0db9f38f9146fa9973a6f8baa3fb8c76c3c0",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/connectionpool.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "20aa1eb89658f580189b418ae2af8c5c08725d6d0cfc59ef69b61a36c0c847e1",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/urllib3/connection.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "abebdffd333733245b65c167dfe5422990527f4a048468efec115e666ffb930e",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/toml",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/toml/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "918818cde861531d5c72db2ea6b9a310ac2749d990782e77713c62ee7c50ae4a",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/toml/tz.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "fb9be0f30920fdab67562d939c4bde7b121513b4ff171055afffb65957ced680",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/toml/ordered.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "516b791246bdd0859505876f2e06393d79e405c558a478e7c3d4faeeb33ce53f",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/toml/encoder.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "b417bddff181db52b9d939526cc898b867881971fbd05d96cc083e9487d5a24a",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/toml/decoder.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "75e0cf42aa63f76486ea902dc0b6e0287ac8b25cbb840646f94ea0db2ee1c867",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/tenacity",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/tenacity/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "eaa4a33760490edf3ae1bea7c45a1a9696c22d01e20f68980259d44bd756492c",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/tenacity/_utils.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5b59ee8c7ba6d5ff62e114293928eab10a3dfe642d694b4dce75c09901ec2f6f",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/tenacity/_asyncio.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e82e127eff4839461fd7ed2fb88a04e8e19b989ac9cb01f4f98b25af199bc4ac",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/tenacity/wait.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "140a087c851235fe4e589613ee7863142d2e3958a31cc05de7a0094722cddb7d",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/tenacity/tornadoweb.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "ab75d95b603d464cb50615106cd1c5eb584cd445d0e7b740ef0c4f9e548ec77b",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/tenacity/stop.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e1c8d27bf60f49ac33ea223e4010cdd3115f13fce52af8e1170c76d599720f61",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/tenacity/retry.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "c6c90b19ad7912c3613cf3a621470a4bb0aa8da440b56c4614d3cd4638f3f545",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/tenacity/nap.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "ed556e74e4e6bafffe0bf5c996f8c67201db57afc0d87973ca6697bbcbe3d5df",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/tenacity/compat.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "747a272642651f00f6726a8bad81d85344ddce6d9b9f5fbbe90652b7a3827a6c",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/tenacity/before_sleep.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "95910c1cd685466742730b3732887810e67dcdea38311c6c91d894b9dbcdbaf6",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/tenacity/before.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "07da405e7ebf27550acf04cbf6716d4693a1360f2ce6f1928b86ea9f1e3e95a0",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/tenacity/after.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "28d222d964fcdebe1ea80dd069730ad735d0ce46cb8151e3e6e45a9d8e8769b3",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/resolvelib",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/resolvelib/compat",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/resolvelib/compat/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/resolvelib/compat/collections_abc.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "bb2f31519f8d0c4c3dd7ab6e8145e6f0783008688c3b47fe45c767a647d77ceb",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/resolvelib/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "41602a344ae3c6a10c2a5f8051c717cf5d1a08a5663be5a65afc5497740e9456",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/resolvelib/structs.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "67a9b80a42899561f864829e944b0a35e66a293bf2bb1e21a81373638919ccba",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/resolvelib/resolvers.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "3fa6aafbba58e44ef344e6f4cd4516a85207100f4b9b4316b31fdb617cd48370",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/resolvelib/reporters.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "850bef5eeb8404ec8458ef0a0df2ec58a5635f9e5414c014c0ed1864c369cc0c",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/resolvelib/providers.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "6dfcc50d977b52a924012ee550cfc77986c0f87ce329f0e595efe99ffefdbe2a",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/requests",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/requests/__version__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "93827c735c85445cf0196c2537b9a268339c945b5b708b351a59e64f5ed86d74",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/requests/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "89bee74630da75b08c39e5f6b0c40b71b5f3cbdf361e82916362c3fe05aac0f3",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/requests/_internal_utils.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "671dcf9c451c7327ec07e89ed759d95405bca82949cb4831d6a34c13bae04f5f",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/requests/utils.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "fcaf4082437a79f3def9afb3819bab5f376ce4f042d02cc39328c0136a024054",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/requests/structures.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "9ac02dafd9aad49c4777e251ca220b7dd165a5b270bef16e3f7adf5104ff4311",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/requests/status_codes.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "813efd3dbb3f7108c1829f9fbeb520835767d8340edf66c38f84c89e39cc3d27",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/requests/sessions.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "06c9d1fb36082e0a05cc9eb2ab84fc86dfe2d0fc303c6540c56c56695e5d7078",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/requests/packages.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "9e32665627d8e1a49cb6e5b73cfe441510b18c4c0c4433ba27f7de1b674a5ac2",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/requests/models.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "52491a56e535b5cf81298078d5d76cdf9b1a8aca13a5a609d980421591047e13",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/requests/hooks.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "411786cb2d1b45caf9ae4c02b8e6cd6a46d8b1cec492229e0701b8a877a4af64",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/requests/help.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "4893d57285dea3b29f2b803124de5e1554028ebd229bceed5369fbb9b2ec92c5",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/requests/exceptions.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "77d7c9270f1814107d5731bdaa1bf12ee3b1e9b7b773f0f06dc93e75550401cb",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/requests/cookies.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "63e6ca5fa4ef5b716762513a02ed125ed55559c68d745bee030431c3e1b48932",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/requests/compat.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "2d05ae091e2a5e4eb0efea90a295f2cf458d1d47400f8d24d262a768011fd7e8",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/requests/certs.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "9d7455abd0ed1a6bffd4061bc234eef54ae001c749bf4e59be435e6a82ce6716",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/requests/auth.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "38ca092152b244bcbd4c7afdd72f2bc72b19b9c9703c1f8ad57835cc1a265214",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/requests/api.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "3e51ccf874f73d0e65cae7e8786995fa7271462ed49d4c86561ece57b07d5d5e",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/requests/adapters.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "7be6e6284029355a85772971b8c2497e2687765992ff3856848304ce51ef1ae7",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/progress",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/progress/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "7dc6d0417a399e9d82a10ca1487e57a6b9227302d934b78f477b886a1ce748ed",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/progress/spinner.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "93c25b0d6f784f4f965ee5dfc5920585da0d3d8a778df9e95ea0677d1bf97c6b",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/progress/counter.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "3339f206bbcf5ab3a519ee0c64094651bf6adda3837bafda35878013f54da180",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/progress/bar.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "42e0ee54d7265e0a71b4db713b416aef6c4a8a0c4005a566c58181c3827767f1",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/pkg_resources",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/pkg_resources/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5e91817ef4bd7da7c0e9b9b9af1eef9f1771b3bcaaca873f367a73280a6427ae",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/pkg_resources/py31compat.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "09193c7e488f4432ec6e2e6965c2ac1c8fff3db9a1ffde0bf26afd432f406f65",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/pep517",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/pep517/in_process",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/pep517/in_process/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "3325a8022f091dd701bfbc97b96a544950036f1e8b481f6b661ee44c881d03c6",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/pep517/in_process/_in_process.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5eb28e4d44497626b947b8b78bf390992f3d2c04855c4dc74177d7eb7a990481",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/pep517/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "9a3bbd7a51472c4509db7ad4e59a5d8fc9d139d634563ddba78660bc14ece9b8",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/pep517/wrappers.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "41865f3759d6a2ae19da4ad8f945f5e092c0c6474dc2e8d88d119feea15cf75e",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/pep517/meta.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "f269cce650e74f8cd742905396225b4467deb07ee28a81f0a336c3c402cf4bd6",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/pep517/envbuild.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "b332941653b9d17d5a8507d7c33e210fd576544fdbcfd30b54f21e89db05a38c",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/pep517/dirtools.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "da69009002f4991cff7a56058d12ae7a44c9562a47d734e7e2d6dfd440debfce",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/pep517/compat.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "33ee6ce15369f2b8f24fbe9967f89b9cf0f8e03615cd2425c821076b28ed0cfc",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/pep517/colorlog.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "4e4f40b989bf70b17704a4c1a124c9b7d6d1af29f4685a232103b06df5544f14",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/pep517/check.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "f0b24bb5f67df7301c578bca2756bea1d331836b042260fb44c360fc4adefb56",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/pep517/build.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "678f4299115a7d7ecd8e804ca1d8a26f04186bf118cf7134177d5bec3e5656fb",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/packaging",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/packaging/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e9e9dba795e045f8c18ec23df9b9f4d078c77f94c7db53c330e2a4256f31c3ec",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/packaging/__about__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "8f807b20c312aa95276337187791f95999482d77af0fb666fe7f658ff4d1393c",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/packaging/_typing.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "560034000bec73deca0799c5f3dce8b9d3b208c12c57b165697cd96d8a849330",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/packaging/_structures.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "a339025fc43c7f6a84d4489cdd8890e1bb8355f833da261ebd8f5eed1db2de26",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/packaging/_compat.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "31776c1a9484fd6f99ac7a02f3b6a7748e0b576140c14ec72cbf9e1defc28e15",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/packaging/version.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "b7b169b192a60e770c9fa106dbc744bbfe4d05951af7f1d5a221be7ec0e8de87",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/packaging/utils.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e6f531c025584a668d24581deca682069c475d037cf4a22f44bbc2b03cdaa349",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/packaging/tags.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "04c10bff75b713c9d72bf017016aa695871cb2fa339c52a44c19133d1e3c0c1f",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/packaging/specifiers.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "45ac50f892b20aa2394019ba803bdba19d8aea38cb55dfa9c6ad24bd87f6f247",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/packaging/requirements.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "307a9ffc52a28470b4564381eb6654754c86f289042fdec3e17cbf8cad72152d",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/packaging/markers.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "f033a7d5cee867f0f248194ba26ffda38f46ce86d519837cfa4a4afe7b23f284",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/msgpack",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/msgpack/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "da027072c4c8680b4233418c8b6ad4fbf63a9082de790baa464ad0db68d200d7",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/msgpack/_version.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "745474de80029e3e25b0a775467c03ec13cc89523f14cca074e2f54ce044c3f5",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/msgpack/fallback.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "469bf52dd7b2f1ff2e7919d0ce70f80112819fd7713363f2c153645c8f0811e1",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/msgpack/ext.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e25df9e98e2c54472f0a56b6761fdc2f9eef87818c8597dade4b961c51d8cfa0",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/msgpack/exceptions.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "7424d67a2f1da64accb100dc8d093be004e5f47b08047d326edf3338f36a3187",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/idna",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/idna/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "f4db7bc69c9eb770e63ab3d41a8a03740c261d966ed6a500cb611a27dde41a24",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/idna/uts46data.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e0264407a65082648d2004c19f657fc5d5bd3c481539700e611cc27901ac2bf1",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/idna/package_data.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "931a6d16f799dfbcdb3d298a53b28c100f0f8bb877fac335fa9d9a826d8fa422",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/idna/intranges.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "4d8d65a7164841610fead36a8d9905039860a0c58e8f53819a7506f22853f3b1",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/idna/idnadata.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "725e31f512ddc3564cb4411bbcac00b17f8877701d2233b95371daa0a33a546b",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/idna/core.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "55d1464328a2b7578c294436c7498d5e819386b5e5472a74ef498f0f22d7f588",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/idna/compat.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "83eecf878e67cc82deffbc6fc5d6d379bac766ae26416c48387d6b8cc73ac6bb",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/idna/codec.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e1154c86a16ab898321812b2978d0046a7200f39030d7654bf297510e0912c51",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/_trie",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/_trie/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "9ea7e03bdd74df6f411152794f8a6c57042d8ddda2272117436f97f1cd58c705",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/_trie/_base.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "09ac9b63232ba3cb844506236f2dad4de4946ad9d60df5aba1437d37b7adcb9c",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/_trie/py.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "c179902eb6517f833258dca0d26de1f359bd22784b47b189d34da6208661fbca",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/treewalkers",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/treewalkers/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "3813ed7354d4e661b2cb5f100ccc4a132604cf4c3115450d8f9bf4f978266216",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/treewalkers/genshi.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e03d8f1026799f764ddeabb78cc97dc98ec1f358e7400a414125657da22e61b0",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/treewalkers/etree_lxml.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "fdbd0b01558b715bbd59a53ffb0dc3f1fd08452a426e37faebb57edcd45d853c",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/treewalkers/etree.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "c68d4be66f55b647e91492b4a459a42d56a386a618562b15667de4f646293e42",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/treewalkers/dom.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "107c8547c0fc958367c8353d971fc82a2815251c9e7141ae6b498e8bb1c1ba47",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/treewalkers/base.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "a2e88eb2e4b3bc8d0a8337563fc3e5c4869236cf5f6a585b8a29c011cfd42096",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/treebuilders",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/treebuilders/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "032b12272bcf7e290230cb1356f6b1c2480389e10b0f975f47c149200baaee16",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/treebuilders/etree_lxml.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "f60a838ecf88c6c3e10586b9729befd85675299946f371a2baccb69459af2241",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/treebuilders/etree.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "c39645a4a93a6c0c67af00f6fc1ac5e44542eefcf3d0bdcb322f52c6b6dcffcc",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/treebuilders/dom.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "db6c216f40bbd735c8b1a8b999a9a0eaacc11228a070122f683cb802cc376add",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/treebuilders/base.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "cfea39d6fb7daff9762031b9222a1338a1b36677b8172dff15cfbbcedace8782",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/treeadapters",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/treeadapters/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "034ad8e605c87b86c93a248644efe3fed1619e04413bc4193f33ed3f0e5d173a",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/treeadapters/sax.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "04a4bcc284139ca8aa79f7c7b310a152a2f8ab6651ff06f97dcf4c277cd00bcb",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/treeadapters/genshi.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "087dbba40b032a6bb864690052bc2dcbbbb429ab862c26512cf33368edcce6fa",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/filters",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/filters/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/filters/whitespace.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "f1e5aa671778502e33945196ea2c98e9ffb6bae4fca4e09200b737219b7bfede",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/filters/sanitizer.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "9baa069a40619060279f69d5e83e2113bf12099e961272bdaca759077b970487",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/filters/optionaltags.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "f25593ef927468138798f81f9aa4c749f3e93cca74d53f3834abb409179dc5c1",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/filters/lint.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "8e4eaae7ac58d288e261fbe974ff8e6529bd793a9c01d46a842a0f22d7a63d80",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/filters/inject_meta_charset.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "7a00d75041d79801bde74e31cf42ba00b0e0624bd4ac2daad7961455e3655508",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/filters/base.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "cfe214f590188e9b15b2a995b7b92e582eb78d1d7584332be8256bbee6a8f16d",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/filters/alphabeticalattributes.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "95589973624c09c9578bfe6076ebe6773ad1c6d3b95e8f4e3676c70550acca45",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "058cdc282a9e1228b9db10eba8116bba19e6b66922b875c5c8587e720950f269",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/_utils.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "0f1f402a7b64b118c54f5bde063ec8dfada97f93a021a4f4ce0970ab8dd19df5",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/_tokenizer.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d389a0036b0d4e78aeb65d9fc45bfe7a2e5b9ece2245a3f15575c787f1eb57fe",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/_inputstream.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "8c4acd012325920b3b32938cf557bf55d2c3272145c1e0232ee855bad673df75",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/_ihatexml.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "89f3b017ba57aa6c938485dcddba1673deace0c0decea46b455a7b1700d8505b",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/serializer.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "fcfa6f719174edcc04ef1afdb8a919aa1e5fe1411a23c96d094db13c9cda4e99",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/html5parser.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "6a7afe697adefc899fae4437e5cfeb7ed297c42f34bc909110a7b4e93ab5e470",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/html5lib/constants.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "2e5fb2ccb53f8dc8f2008fe1e7bce4a99eda416139b79c40e32fe3420a14521c",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/_backport",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/_backport/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "6ea4bf753387eae5bd88681dd2ecdfa4f8e8eaf678c693d9ee4c9f649daf35ac",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/_backport/tarfile.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "221a7bad745c8db20ac3c08e9bdc1278f57d0111976d217d8065c0327d90f8a5",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/_backport/sysconfig.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "0501c595bea9b9b0a5fddbd3d4d8edcc8b61ca5a1f8ca8aca31db7f6cb438345",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/_backport/sysconfig.cfg",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "b3064ac6af516397bdaf73d70ab96f40f32cbce7625990531cb11ba92f0b24b5",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/_backport/shutil.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "217fc6d8d3eac1e70989b9080e37b4e1baaed31a4791f490d8668674456a3396",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/_backport/misc.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "29679c20d75b14d3b148e3f57c617af340899da0ba4b87c146012d6984f0d228",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "def780936acfce7381da0b0aead8db6e1d1340c9861393fcd9e13dc17aba3489",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/wheel.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "bfa0e7c13aa1347c2b11516bf3f61e8935ba1b87ed3ff7afb32c0d82b99d6f6a",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/w64.exe",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d1a473a0dd813bd3565b810dcb8ff8bc7907478a994c564d55200925894e0d32",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/w32.exe",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "949b6765d794c53656c9afc45b90d9a2cfcae6bb30444086b29225f19242217b",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/version.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "fe7ec5ea3baf40601c9fbebd13f4876bb7ce71fe44465115ca627f1233d1c06c",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/util.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "7f68d908fadc2c2b7a2dc9c2d20532f85babeb4b570fcade03b938ac3a47303c",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/t64.exe",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "a00a877acefcad45953343ad56a22152f7aaba5fcf2a10215d84169d47fbcd1d",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/t32.exe",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "352df104254095ddf925514d99bfb5411c95b5386e90caf06557979f82e16844",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/scripts.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "fcc023dec32ebf9ea4b8cf05b222165ea6d3d209ae98f19a391fdab4ece7e1ae",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/resources.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d851afd191c5d782978cb2252f447df7597241019c7b0392e2627ee67f895677",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/metadata.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "cf628fcb7877b5c0e76fd5ecee702a4393b3d1baa358050598a59c14a468a1d8",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/markers.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e807377027c504445ec621125883979a0f9aa483fc9767ac69f3525f728ccbef",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/manifest.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "9d0121626828ade681673c85cf062c5f124046eddfa38124ba7535eb7535ea21",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/locators.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "73d13870311a709fee29bb84e41a805687285a9eabb2e0464e488d0d0ab7cd5e",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/index.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "4972b3a5008445cb71603329fce2de7b67f42747b5f5984674222832551f5103",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/database.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "2a5d18bcf40a73839ca558bb939705ce2c9d335c4e2bc8aa7712c65e06d91d5e",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distlib/compat.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "003039eb1880c5aaf7994eaa7a694184d6ecac53e8b174613b8e11cec6c93ea9",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/colorama",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/colorama/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "a42744aebcb32d2cc35b93fead13c194f2ea6c1b4844d241e9c320a1e267b399",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/colorama/winterm.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "db2ff66fb66cbf7e1f780b0febb98b39573e060ab9d667581a8e7bd55a6b96b3",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/colorama/win32.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "6c9f0897d8f0681379049f1b98de85a18675418b8c2afda3f1f1ab5e1ed3263c",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/colorama/initialise.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "3e9ae8bc3371313aefa0d1c570bd8d663a47d97cc373c04bc4bc6212b7d49789",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/colorama/ansitowin32.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "c95ec212609bd7d3239c928e0d9104bcc1ff7e76c98709e9ce8e2cc59b865e60",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/colorama/ansi.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "4e8a7811e12e69074159db5e28c11c18e4de29e175f50f96a3febf0a3e643b34",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/metadata",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/metadata/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/metadata/languages.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e35b4bab778b4ab0446c455542954616af4aee8d659fd6f51e9635974842510a",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/cli",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/cli/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "01ba4719c80b6fe911b091a7c05124b64eeece964e09c058ef8f9805daca546b",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/cli/chardetect.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5cae73aa3506d9ae3ecba78b1d9f13858729e96594add96610bc4dca971cd921",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "99665a5a6bd9921c1f044013f4ed58ea74537cace14fb1478504d302e8dba940",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/version.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "0380882c501df0c4551b51e85cfa78e622bd44b956c95ef76b512dc04f13be7f",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/utf8prober.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "21d0fcbf7cd63ac07c38b8b23e2fb2fdfab08a9445c55f4d73578a04b4ae204c",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/universaldetector.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "0e96535c25f49d41d7c6443db2be06671181fe1bde67a856b77b8cf7872058ab",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/sjisprober.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "208b7e9598f4589a8ae2b9946732993f8189944f0a504b45615b98f7a7a4e4c4",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/sbcsgroupprober.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "86a79f42e5e6885c83040ace8ee8c7ea177a5855e5383d64582b310e18f1e557",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/sbcharsetprober.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "9e6c8ccaec731bcec337a2b7464d8c53324b30b47af4cad6a5d9c7ccec155304",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/mbcssm.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "498df6c15205dc7cdc8d8dc1684b29cbd99eb5b3522b120807444a3e7eed8e92",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/mbcsgroupprober.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "87a4d19e762ad8ec46d56743e493b2c5c755a67edd1b4abebc1f275abe666e1e",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/mbcharsetprober.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "011f797851fdbeea927ef2d064df8be628de6b6e4d3810a85eac3cb393bdc4b4",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/latin1prober.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "4b6228391845937f451053a54855ad815c9b4623fa87b0652e574755c94d914f",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/langturkishmodel.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "adfc1a9d3a6d4f04b2704e3e3fe41ab0f9b377e5d56207afcadce3944cc106ef",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/langthaimodel.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "475c171e750cb5e8e9c342671ff24ef177586ac304eb08d5aa9d733fb4ca2e08",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/langrussianmodel.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "4c7a893a14b189341c1dba03352739ca87dcda4a175d01471728edcae9ed51f3",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/langhungarianmodel.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "46d247ec365db26687ab22b8e8a9269e4e70407889c093cf252aaa225a5e6517",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/langhebrewmodel.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "0f33cfe933c61bff8f57bb6ab29bbf77c76eb9eaa6eee37ee5e434687530d468",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/langgreekmodel.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "4beb8d4358a10bbe72841bd2bb1db880b159bf743272d3300ba3b12c9757f9bc",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/langbulgarianmodel.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "ae4f42269bb13b46ce6dba0972fea03605aea2c61999df2a10476ce72ec34bf6",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/jpcntx.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "3d894da915104fc2ccddc4f91661c63f48a2b1c1654d6103f763002ef06e9e0a",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/jisfreq.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "be9989bf606ed09f209cc5513c730579f4d1be8fe16b59abc8b8a0f0207080e8",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/hebrewprober.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "737499f8aee1bf2cc663a251019c4983027fb144bd93459892f318d34601605a",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/gb2312prober.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "806bc85a2f568438c4fb14171ef348cab9cbbc46cc01883251267ae4751fca5c",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/gb2312freq.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "257f25b3078a2e69c2c2693c507110b0b824affacffe411bbe2bc2e2a3ceae57",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/euctwprober.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d77a7a10fe3245ac6a9cfe221edc47389e91db3c47ab5fe6f214d18f3559f797",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/euctwfreq.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "368d56c9db853a00795484d403b3cbc82e6825137347231b07168a235975e8c0",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/euckrprober.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "32a14c4d05f15b81dbcc8a59f652831c1dc637c48fe328877a74e67fc83f3f16",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/euckrfreq.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "fbb19d9af8167b3e3e78ee12b97a5aeed0620e2e6f45743c5af74503355a49fa",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/eucjpprober.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "883f09769d084918e08e254dedfd1ef3119e409e46336a1e675740f276d2794c",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/escsm.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "46e5e580dbd32036ab9ddbe594d0a4e56641229742c50d2471df4402ec5487ce",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/escprober.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "924caa560d58c370c8380309d9b765c9081415086e1c05bc7541ac913a0d5927",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/enums.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "0229b075bf5ab357492996853541f63a158854155de9990927f58ae6c358f1c5",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/cp949prober.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "4d9e37e105fccf306c9d4bcbffcc26e004154d9d9992a10440bfe5370f5ff68c",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/compat.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e34cebeb0202670927c72b8b18670838fcaf7bc0d379b0426dbbedb6f9e6a794",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/codingstatemachine.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "558a7fe9ccb2922e6c1e05c34999d75b8ab5a1e94773772ef40c904d7eeeba0f",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/charsetprober.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "2929b0244ae3ca9ca3d1b459982e45e5e33b73c61080b6088d95e29ed64db2d8",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/charsetgroupprober.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "1992d17873fa151467e3786f48ea060b161a984acacf2a7a460390c55782de48",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/chardistribution.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "df0a164bad8aac6a282b2ab3e334129e315b2696ba57b834d9d68089b4f0725f",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/big5prober.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "901c476dd7ad0693deef1ae56fe7bdf748a8b7ae20fde1922dddf6941eff8773",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/chardet/big5freq.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "0ffccae46cb3a15b117acd0790b2738a5b45417d1b2822ceac57bdff10ef3bff",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/certifi",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/certifi/__main__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d64dc2afde6f0b1c464460e58eb5b7c0c76965d2f73617f4bb59fe936a9db026",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/certifi/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "4ac99d9851e31c263854bb6ac29a7d3ff8ec39c02e1e3fb97395aaa04cfea058",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/certifi/core.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "80e15dd331d8971e24aeb2c49fdf367ac3ad9b3ddd8e21b40454838608e5bdc2",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/certifi/cacert.pem",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "bb77f13d3fbec9e98bbf28ac95046b44196c7d8f55ab7720061e99991a829197",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/cachecontrol",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/cachecontrol/caches",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/cachecontrol/caches/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "fa01cd298bda783d243a4e4cef878eaec4a020a52d0ba8ba19f6e6ba01b0784a",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/cachecontrol/caches/redis_cache.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "1f17a5329342a3e758af67e2243c0cde1861466c5462d079b579b51a90004f86",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/cachecontrol/caches/file_cache.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "9d854ab09b5787a8095ef767d625b2ae1c6f930a50acaf9e2a8311cee8b090a9",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/cachecontrol/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "a49b40694c4eb0c3e7cad2350378ee009917603afc92b7529ec838620dce0448",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/cachecontrol/_cmd.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "511184d0aac0f3b41e9021b74863dab6548f4f9ef57594c38cd6be6575f7a437",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/cachecontrol/wrapper.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e4b5f4b89c2435052d612130dda1a61aef5663cc068a977cd6627c946d1dd0ce",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/cachecontrol/serialize.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "bc86b88efab8c7f29238b74421e7689275f669760742e8cb0c5578f85db50e7a",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/cachecontrol/heuristics.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "045187277c90731bd98b37e8f742cb674e13fd9e574825ef168b6ba7b52cd2c7",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/cachecontrol/filewrapper.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "bc008a3bc2e5ceefd95b28d5d45c67d4c0384c653ad0de4ddc64ab0057406364",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/cachecontrol/controller.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "096117de979d20cf6ceb4b2e7f8cd93ed9bf26f5609efa203062bf3a2046e45f",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/cachecontrol/compat.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "90736f31176deacfd7c2aabff6a266afda2edf060c38c50cc4f3dcc0dc53f0c7",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/cachecontrol/cache.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d5f738c093fc1d8b75c9c9c95de130e690a97812f60aac71ea0f456f40180d64",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/cachecontrol/adapter.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "b12c1a49877ddc821f085538b4e3204a8e9bd8b0adfe0052690523f24b4914e0",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "802ad0c0f058d8e64179e76f28e2dd459dd6d4b21133ad1f1ba7789a05bffbd6",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/vendor.txt",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "c9a376a8b2e42aea119852c2c462752d9b598ae57b4fb3688ac66ac163518485",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/six.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "53867fcafe77e16e423728d8f62f15d4e5d8d928c09f2f32d8be6f0cb8614e13",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/pyparsing.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "2756f8cf74bf2b0c895bb84a1a7a0dfa15d6f6980c23320fe904e1c98e7226ae",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/distro.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "c713088766b72a68a9a5e5841f3ca74dd1d3dff8d9334a3ea68b3474058944e3",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_vendor/appdirs.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "33a218449b5d6609923c25c248c051074553dcff0c7456d60836d22eb07611b8",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/vcs",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/vcs/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "0a3cb11c281db75f65db58f4b491a243fe9893c9be2969904e1998be58ddd5ea",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/vcs/versioncontrol.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "37ad1348c6d3afbf400f347ad410ab93c62881441c0419cd68b8093d37d7b1f7",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/vcs/subversion.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "94f7c2bbce352403111bf8d35ff4db459ac1a4a748779790f2deffc48ef0dcbd",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/vcs/mercurial.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d97dde232780590588d93c683d3fb1b95b03e9fc6bed84b21f0e0c47d116cf83",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/vcs/git.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "511533d644aa84386a26cafdba56854dec0ff198f07fba153cfeec91d8fd48c4",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/vcs/bazaar.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "032fef37ef3bbd8484cc1a974f7455c25e34be5939ea3de3cbf01f41b323e2ea",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/utils",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/wheel.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "0ce21565a5cdedb30e01e304ab320e6471a5e0e14ef8a1ab12a05407ce3c0cfa",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/virtualenv.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "8914cafac0fa6d6a47a97719d0409f76914b59ab4c3871545422116b42fa1aed",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/urls.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5f38d0b0719dd980e6261a02a20b293d3aa1e8a979b4610d4473dcc234b4242e",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/unpacking.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "3e2a186307d30a7fd57987abf34a2786b3bd6358207ada8e3d23aba06dfc6d14",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/temp_dir.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "f60b3737d1907955d15568c921a952a47d6e8fcc905cf4f36ab6f99f5fc7315a",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/subprocess.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "bb168fdc8ccf8816211b431b75f3cafee721640876eee677c0edeae6145f132a",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/setuptools_build.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "c64f6c4418d4c8d4c7b3f4ef11679b556b3519f2cf376d3c333a525ebf4e93f0",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/pkg_resources.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "8f01f925588f7be2655cbbcb0b4f8049f4d309162f9b4bbd0b04067168f14ad2",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/parallel.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "45917825d74f11655b9243c29277efa6a68b7e6dcf9aa77f001a021e6578957b",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/packaging.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "235f77f0007b169adc54925de82d2f4a232e0956a39abc59179e6f5f98f46cca",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/models.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "a82818c94c369881f5a6899bb09dd842c32d38d660c89e011b03b93099d20b87",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/misc.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "17b2c36fa3d02309e26302dcce1536a520321d9f5b9d3553d7223f39db98877c",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/logging.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "064a774128eeaf77a492e9c0227b0627a96ceca17c00d4ed0601a18d8d2f96d8",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/inject_securetransport.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "b4697d060cadd881cab41ddbd01fbaaf75b6c981773a0f8f05ed3ae3b4b7959b",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/hashes.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "a35a90124a9ed80aac466fc984ba0ce21931995b5ec07d1966943a10139b1ee5",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/glibc.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "18cd58da15a439ffedba6c9218583e88d6dcee88a505042b8dccdbffbd39085f",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/filetypes.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "c1ebe255b6a91d6550ffcf8af8f4d0fd39d82faea4662e12ad50539916195cb7",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/filesystem.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "6b7ae7a1407f1d37446c368050748d30f207a8776ce1403e98b4396ef80e8d24",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/entrypoints.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "9b851790b6539cfb1d4a2b10ccd1621ccd4265c30af0dd4203df20e0e45ec767",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/encoding.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "4f47104e4181efeb37c22bcb94770a6caaaf268334c8b768f28b7cf4b946773d",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/distutils_args.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "2b15936b3d3b03fd6e902cb0fe935a87e8bab01beb56d74cb2717c8e0b833584",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/direct_url_helpers.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "f9c859531749905446fa9036318eff5a28b9539a35f28e4ae00a81b1677ddbe7",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/deprecation.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "083f60535ce60ed0b7364d93335e0556901afdbc4231dd372b1e6ddcba05c248",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/datetime.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "6e265d109110046abc03e37ba28a68b22a5e1b39921dd234597eb492597f004b",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/compatibility_tags.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "21c4041c2649bdd7ca7220029971822addfd628836fd0d9740a307a2303fda98",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/compat.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "239f2d4d9deaa8666a78654ffe611133c37b40fbbbd6788ba717cedc88f68df4",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/utils/appdirs.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "1c208568ead93a730bcd10e929770c88587fda4599f8fcc574df2978b8b090d6",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/resolution",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/resolution/resolvelib",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/resolution/resolvelib/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/resolution/resolvelib/resolver.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "de1967ad9925b33154c06405177de72e410ef24c73e2f677fee2a9fcbf18be61",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/resolution/resolvelib/requirements.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "7c5d911fa5426a74ee17e8b0bbcb5963c061d056a40c14f0eed9032724eccbd1",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/resolution/resolvelib/reporter.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "c60682b572e3efdd40fea45f57d6359d719e69656adc9134ca0200dd83515aad",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/resolution/resolvelib/provider.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "1d82139e3b3b85cc431803420dd2f8aa0d8c2756b0d6303d70ccb134fda62eb9",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/resolution/resolvelib/found_candidates.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "173c4a73385e9771a156238811f18751f510eab3775346e530c52ebbe6e51df5",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/resolution/resolvelib/factory.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "b5aa9e0e65e4d24018f4456a48c84426b898d363124a16d9bedf55a84020930e",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/resolution/resolvelib/candidates.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "744292b8af41e4ce767354ae801e37cd79e7c603563536bb8420b022d497eb57",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/resolution/resolvelib/base.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "31b6a4caa4a8b41195269237900a6aa8fd9f3cf66287d0e0b1f929b8577e0033",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/resolution/legacy",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/resolution/legacy/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/resolution/legacy/resolver.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "385ffa621e21ac57c9e2ed072c5e19441940f2504751f01a16786e54a21084f3",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/resolution/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/resolution/base.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "4f84277d284912ba4f59ee223a23bb5665eecf56f17b6d0b2cdb37dc052c9583",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/req",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/req/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "95134706fd1901935b4b099753e5d4766eba82c88d9ae8810e2d431582788484",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/req/req_uninstall.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "8000a29d321c49c646c3cd6a2da15d4e3f4a197955b82a6bbbb5ef1c68c813e1",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/req/req_tracker.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5ee3f0797d656c95d3da04a40972024b98676ba6f299ee4f790a783a4f3e476a",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/req/req_set.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "02eb6c6a2576b3ed882f0b56b530383895bf64b460e065e0eb033463f8596f59",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/req/req_install.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "451da691a014d91103b63658de7472d288dc500fc17f42698d7f594f265451ae",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/req/req_file.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "9cf205976322f540c686b8fe2b4137fd0ba017bb65dd4043b72d5ccdb205edf9",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/req/constructors.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e2c8a719deecaca848f780d5e973bea915f633a2abf74ece166b1f9252abb7ae",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/operations",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/operations/install",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/operations/install/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "997ee1c83d863413b69851a8903437d2bfc65efed8fcf2ddb71714bf5e387beb",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/operations/install/wheel.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d605761bea30940da2c1c6f160073804e4e23d144607c4f3a6e534c2e84cd954",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/operations/install/legacy.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "7f9f5f41b34b3b6aef97c6cd426fc2b96e9d80fbd75d0ef2e5aa6e956662d351",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/operations/install/editable_legacy.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "6e304e6df13ab33dd498623bcb8f860a029ad969938275a514553b6fe8b4b10b",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/operations/build",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/operations/build/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/operations/build/wheel_legacy.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "34e2614d831896375b8b3168fd68e468a1961b548467a681cab05d0abaec641f",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/operations/build/wheel.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5982ccc6ec6a3776a1253424d8c23d85d999281a45cb11de36951d3b43f26f15",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/operations/build/metadata_legacy.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "10230184b10f110bfa3d4502a4f0975bec0df50457758e393cd5c9bfb0592935",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/operations/build/metadata.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "8c9a74e51ae9d0032c41bee2cc35db3460b52ed3cdc0e847423edc44ce77db87",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/operations/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/operations/prepare.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "0171cd83588671e835972a83a9b71a6e600521f4359357087e09956392425a8a",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/operations/freeze.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "0fe7b1d01c32e84d04552fe01e58b1944a4a0e94711599d4993cbb9dff2ceedb",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/operations/check.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "3ad319d9f7f4ce4f0686997b7885f2499e03f290947f33c060da464f1c35a965",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/network",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/network/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "8dfe93b799d5ffbce401106b2a88c85c8b607a3be87a054954a51b8406b92287",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/network/xmlrpc.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "08bd5604e4e0c4fc1b719e90b9b678a574178dbeea4d31694d415ef9969691c0",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/network/utils.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "baa4fa4243bd347530a93c3780705631015d698a9869b078db741466e8900f77",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/network/session.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5477a2a2b3df9583cd58ada933fab6d9cf87e6099104387d50a0895b75405052",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/network/lazy_wheel.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5cc7eb0cad48072e382f71b1dd467607cb3dd154570daf7ae76d0838f9b398e5",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/network/download.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "f1fadbd9b20d39ffa36e614f6a929bc843bdb235c95891ba389696e2143daf7b",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/network/cache.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "27fc69b0b59b46b942494710840e7e4ee4f92d6225a55b531f87d9d574a3c9be",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/network/auth.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "77c0dfd1fcb4d4fd632651775c330cf000b292d47570df735111bec9ed6771cd",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/models",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/models/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "dc31d477fab1a4fa337f3a2ea2a6bd83db6cd42cebe6a6877c5c5b9f1ae27a93",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/models/wheel.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "3168f142404d5c8e97396893bb3306eee38d845bbcc40f783aa0fff41b88b157",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/models/target_python.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "48b186df3f4f8ff0a20398e6327343bf630ddd24f791e56e6a7543cd3bcee693",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/models/selection_prefs.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "68d4432fdec6cf7c96256de8834caebce914d3650bf0e78d403b836ad67c483a",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/models/search_scope.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e2e18d12a62bcf892eebf5b3a30aa2bee32f3747e3e57434dd6075e188dc3795",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/models/scheme.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "8aa71e0bb80a8939f664b8023a01906dc9a8e3d4d183d1274144ac407dd4fbb0",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/models/link.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e707476c60cb6da7d2758a68d8acbb17d451a36dbacd1cba8a4ddc2c7ffc2b07",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/models/index.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "6ac32b69954f234b27c9ee34e06ced1295e029eae3d72005999976a7778de018",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/models/format_control.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "9768e9e3b996b09a7bf8bc4cb34e65f53faa160f59e4fc1dc8ff51ed773f5594",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/models/direct_url.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "56b9c934ea9c3f39df35aae34096afb31dad806ec67dc2dae8fc990ae7ff2fb0",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/models/candidate.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "2e5c8617648c1a379eb7d6cb6c40330160cff3659ca77df8d98b1aeed096ffd3",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/metadata",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/metadata/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "288351f1960efe295cda9915dede4a7102f358b35cdc68d90e4946593549fb35",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/metadata/pkg_resources.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e0554fc58140050ff5b5b87f0910732b8c74fd22201f5b822b1d992f2864a2e4",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/metadata/base.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e81881fdbde5bcd1d821529bceb0e18b46c999296ce50d4afa205e1d694a9c8c",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/locations",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/locations/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "f445d1c42a7288c0a553cefe3f913aead705c726dc03f2b32ebcdc2b656def3b",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/locations/_sysconfig.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "4edf2090deec8716eaa14973a8cd7d9b28814736dfb7d0b39267124b8607935b",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/locations/_distutils.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "2f97e5452afd047d250703d497ad5cc817353a7543d3a14e10d9033118f2837f",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/locations/base.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "41b929826cc86d606750bdbfdeabb6f6ca8235ec28a986e4570f0a9a28117b67",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/index",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/index/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "be9b7e25e4d979f87c6be142db665e0525c555bb817174868882e141925a3694",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/index/sources.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "495c8f8adbf4f3e41a961dbf064e5d88027d18003f77e6bdde4a28b90a1d006d",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/index/package_finder.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "dc9f51cead4d00eda9ff30dbe1fbf7dc6781041398bac57d917b409f68fa7825",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/index/collector.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "6845ed1cad0b6b89c63fb9aee4de42437b667e369cccbc1b1a2f00af8a06cf9a",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/distributions",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/distributions/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "a30d623d6fd0a7e4cec8e53e5a084e282f2f02fd7f4b2935cc44d954efef2841",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/distributions/wheel.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "9fd32a3685b232a36c71f6cd79eaa1d5bceda19522079c751fd878b457e2254c",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/distributions/sdist.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "728f1f351f2a2211d12c19dcc15f76a09edef0838218f804b1b10574d3e4d589",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/distributions/installed.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "b9a4cc3ef63786bfccd410b2d74eef2475aca4a30982b3f1bf7d16dffcd96744",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/distributions/base.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5159dd6a89348ce1eb2c7d09a8dd18ce5c55127bc542e998cb7edd898dd90ae1",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/commands",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/commands/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "bfec6697ca0cc2b4210a9980a64a5c30e13decca7c41a071a1139b9c64b8dfff",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/commands/wheel.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "c0a19292cb988e38603986bf8c3eae95a2a93d7694ccf8b2cdf44d353e033a2a",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/commands/uninstall.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "103731ddad3797753cb69676a787df21d9f8e61636605126abdca879c705da8c",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/commands/show.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "b33daf6f187897b063e232a59031931d80fa23cfddb92a525055715221f8e314",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/commands/search.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "1307063e40c34f014ca62d8f04a84fb965f660130f732ecec755857169e8b9ac",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/commands/list.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "8dfa834b8c6f9ba595f2b1d54a6be9688f35d6e92f0f83a23d9c0618a330c242",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/commands/install.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "685bd941f3eb32b1c36fa8e36e6ad5972bc3c4c21e5f765c64a490bd8e9cd0a2",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/commands/help.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e8c9f3ada93f8fec84de9b030aa8b61b121226a219274e0339b294f50867c4c1",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/commands/hash.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "8a9eb802c27a105504696283bec6667501e4b35253120ac38c7e5bca5f886327",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/commands/freeze.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "bcf560bb005bd79b9bbfc12cf683d2c9678f05ed9cab7f50c635382a2cde4f09",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/commands/download.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "ceff12fc3376fa4e8ad15491df208f2d2acb7a1a18923dc8bf23b51e8f2df15e",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/commands/debug.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "ca7b4ea65c3ddd56684005410770573cabaa6da9b8993e9312b6acb45c05cb7b",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/commands/configuration.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5f57dd55d120f0c1c5b40ad4fb76cce9604d6b1d44ed9eeab333c47652b5ceaa",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/commands/completion.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5314b4f6cf2b127534f000223778077502235385c64a5bf9489deb209753ca10",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/commands/check.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "0edd30ecda85a7ca3fe3927bc37d8642b29ececcf6bf0a3f53c526b070fd60d2",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/commands/cache.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "0042dff7c45647f82253dc25d114977fe32c4f23b91bf8b03b4887a05e056e67",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/cli",
-   "ftype": "dir",
-   "chksum_type": null,
-   "chksum_sha256": null,
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/cli/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "1641c1829c716fefe077aaf51639cd85f30ecc0518c97a17289e9a6e28df7055",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/cli/status_codes.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "b0414751a5096eabfc880acbdc702d733b5666618e157d358537ac4b2b43121d",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/cli/spinners.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "54b752582bf29372a892e8cbc817ff40a61c19bade3d0a0f078bfb8ea1bbc720",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/cli/req_command.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "ade7cfc9974aba5bab89d70b68275226d832605721c5df72f2930ca7fecf3beb",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/cli/progress_bars.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "724fc82e38ba6914c6d33c576a39cf588a504c6c53ce6de7b1c64ec703664d6a",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/cli/parser.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "af1e30e88803d0e6e2eedd64f66574ce5621cbf0ee0a86830aa86450a30e14d5",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/cli/main_parser.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "1bbd19d5f5cb633789baea2d8302b0abe75a089d230a6987c71e9a147cfa5804",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/cli/main.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "1bf3ac63ae85651b662eb309e24de6efbb66b6c451450777ffeaa57b596f9a78",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/cli/command_context.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "936245e563ec3f530d29a5d62bc8d915b26161f7f391dbc668fb0be77b596c35",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/cli/cmdoptions.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e76248c8fe42eb24fc0e94f53b666c78063ebccbcb4dbf05a8ed20f3938560cb",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/cli/base_command.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "dba3079e5cd9482f969368f6386b010ece5c97695a76ba2f272572d7fda0d199",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/cli/autocompletion.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "af619049a1c78a6d4bc0f84c68ef4c3de29db12bf91fc4bd12556c981c9035ec",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "5ef275248ba64277cb345c5545d7ffc6b6e191383558c52b7f61b3ac7dbb1770",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/wheel_builder.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "856eb7666001afae6b3a24910475eed63054744670e4b662c342da4016f3d252",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/self_outdated_check.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "8afa1461a1aeabe45afc3be566f3ed1e181b63decd28762e3c6ceb80dd86d40f",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/pyproject.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "6cdfdd962155c68acb213c421334f45263d81684aa93fbc606d3354308906b2b",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/main.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "059d2f91daa0a68b5e4e8d40d50f28bc57bc13380a14958e5233e621441f1826",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/exceptions.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "d89409492ebca20811fd920e03e8755360d10035116e4427f4d7f8119599f37e",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/configuration.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "4012df86ffac6cffa8474f0d1714989effe62c1f9282d34eb165c017db4311c3",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/cache.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e9538db6845e1996c177bb2a6359fa87091d582e22cf7b665f05f0663a6364ac",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/_internal/build_env.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "da116d6c4a0ee2f0341717a137f7b6a1767fdc4ded02f2a99d599cf2c3988efd",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/__main__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "997c160dfb4d2cc29fc15a8a156184feeb8166f1922225042e12e47b2b08b997",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/__init__.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "c65eaf2564e7eec07bbf987ba8f8fe0ad4f37d7bdb05ecd8d45c5ef529a37752",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip/py.typed",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "97d83e15cd7382d219ef4b4b243731eaa29ea83bad4d555271e22a52877e6b08",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/_virtualenv.py",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "59869c0d6c3581d3aacba1f55276962ac863b4fbdbfe39ecf97ca72ba98ca43d",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/_virtualenv.pth",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "69ac3d8f27e679c81b94ab30b3b56e9cd138219b1ba94a1fa3606d5a76a1433d",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/wheel-0.36.2.virtualenv",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/setuptools-57.0.0.virtualenv",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/pip-21.1.2.virtualenv",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
-   "format": 1
-  },
-  {
-   "name": "venv/Lib/site-packages/distutils-precedence.pth",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "7ea7ffef3fe2a117ee12c68ed6553617f0d7fd2f0590257c25c484959a3b7373",
-   "format": 1
-  },
-  {
-   "name": "venv/pyvenv.cfg",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "413a3f4b68c48779e09283181d9cd6c85333d1bc4960d283b399d126026de940",
-   "format": 1
-  },
-  {
-   "name": "venv/.gitignore",
-   "ftype": "file",
-   "chksum_type": "sha256",
-   "chksum_sha256": "6c76bee988684532bc13468f82833b352c14d129f968b50b1f4a0e08d172edcb",
-   "format": 1
-  },
-  {
    "name": "plugins",
    "ftype": "dir",
    "chksum_type": null,
@@ -4876,7 +25,7 @@
    "name": "plugins/module_utils/ksmanage.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "c3e9bf167a8e6b21d4677c6d79ea51da246a9228c28a738876b1de0c79c86a78",
+   "chksum_sha256": "cf147f50849925e03c4e13656d7d38b9cd06802b1329e6a8508b8dcaa521a20b",
    "format": 1
   },
   {
@@ -4890,896 +39,896 @@
    "name": "plugins/modules/volt_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "0e70c9b385bb6c7af682f1f229fba5da4ab6d683dd2baaf2ccfd4ac0c199f84d",
+   "chksum_sha256": "bf15c80e17ce00bbf1acd54374a6ffdbf4bfbe06dfacc5c9a47db53248b2b274",
    "format": 1
   },
   {
    "name": "plugins/modules/virtual_media_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "a8af67348679355245c9a320493fde671d77b72aefe7ef493f30302b132da6a3",
+   "chksum_sha256": "f4db42e8977e0c76c4ca64ee63f9f6f86a8cb2670cc821ee0847317a30c20885",
    "format": 1
   },
   {
    "name": "plugins/modules/user_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "7b19d044a6ccef6ad89c3293ea61fce3aa5194ae7334ec5f627751b597c96dbd",
+   "chksum_sha256": "8edd3e62429c1e650dcd19fcc3a408ada9c01004f64073845bb10f3a44a1d9b1",
    "format": 1
   },
   {
    "name": "plugins/modules/user_group_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "4d6c5aa67702309b293c44c60e14439f2bd3bd1057bfd387e0fce239dbaef34b",
+   "chksum_sha256": "f51a026027e342f184aa0e7b6839daade7f068a1bd22b766fba1cf2853ea050e",
    "format": 1
   },
   {
    "name": "plugins/modules/user_group.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "7f3b0e667760535ad5d5ca1b19464362a49c8a4a4558df35bcde07a9f8bd91a6",
+   "chksum_sha256": "8f316e633e920b89e174391aeeb466fdc914636b5c195a023d88d14ab4490e89",
    "format": 1
   },
   {
    "name": "plugins/modules/user.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "6ba0ddba629db03edb035ed13c246eb7f93bf2038c5645e31776096bc6e848ac",
+   "chksum_sha256": "4ae3cb35d0ccbbfc167dc5d1ee96f0f43687a8785abd174469ceea6a408c8dfd",
    "format": 1
   },
   {
    "name": "plugins/modules/update_psu.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "e3a4bb26f60695963686fe6f8af9e8f7a11cf9979a9e7203668e18649f3fcf1c",
+   "chksum_sha256": "67ab8a20fceba1aeeb539eecc5a4f9f5aee9a3d1b5f1d19c672b0250e71ce73d",
    "format": 1
   },
   {
    "name": "plugins/modules/update_fw.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "ce6f1b810d60c1360b5b735a0ea81a449870557e48f7d2fe78307fe1651156a3",
+   "chksum_sha256": "3bf00f4fc296cb4ba0cea334fc528675e96eb12c4ab18a9c7d9eff5b7ca196ac",
    "format": 1
   },
   {
    "name": "plugins/modules/update_cpld.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "fe976bc2e3e7547b38d381ac869086b017b379d096f860d21440fb1cac20ad67",
+   "chksum_sha256": "bcdc3038ca8b0cf480936eba610e8168887b8d6226a4f2dd97fe876e1f71c246",
    "format": 1
   },
   {
    "name": "plugins/modules/uid_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "bd56a1bd10e268663c110771f989285f139734088987fb025587922ec4d77e51",
+   "chksum_sha256": "d362b69f7998eb0138fb87d05f84c1e2f85cc59caacce8a598c42698bc4221b2",
    "format": 1
   },
   {
    "name": "plugins/modules/threshold_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "6832a0122a1f9c9d50625e2bc864dd2c93baf0d937bb63bb6968fa00c040fb6b",
+   "chksum_sha256": "e8b66602420adbc8bf5791f5356e5c9874ed65a3b69ced026731c32cb0bfe6b7",
    "format": 1
   },
   {
    "name": "plugins/modules/temp_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "929036d571228993fe448b1a306743d933f1208f60572c11fa9a83609e15b1bb",
+   "chksum_sha256": "85876dc6627b217b0db5af1e233482c9854f6a2e83ea1bd9eab73066df8c710f",
    "format": 1
   },
   {
    "name": "plugins/modules/system_log_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "e028b990ae87783d42ecbae49da62d9fc91b8345e902e70313872976e1b907a5",
+   "chksum_sha256": "fc1ab9961837cf29ffd453487d7cec46d927aac38620da0d43ca8a14050ccff9",
    "format": 1
   },
   {
    "name": "plugins/modules/support_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "f79d97b4db64b3a5ee8690e0bda4b9e082b23d4834ae4604372de451a906fb8a",
+   "chksum_sha256": "77672d1422f3848f07f5fd7004d0ad39fb153401e10b4c3f36ecb99ec7afc3a7",
    "format": 1
   },
   {
    "name": "plugins/modules/snmp_trap_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "40a706111b09455f01a62725493ef77828e63bf79cdc51c4889a0a33d05907d0",
+   "chksum_sha256": "9a43c8cdc1e44014ca59e550882aac168a82b2725afb88101c28419a42307062",
    "format": 1
   },
   {
    "name": "plugins/modules/snmp_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "7ce8e2ec53bc505271edd23093d68d9340802ec4ab650908f7f584334b9ca713",
+   "chksum_sha256": "f132e2e8c03f4f3918cb3c8ba8206f0a6f45abccc20eb00b670de8cb62d512c1",
    "format": 1
   },
   {
    "name": "plugins/modules/smtp_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "30e57ce96e2951b584696dfdb952dc610c7ff5f2ebc4e4017d640feaebe66e96",
+   "chksum_sha256": "884073de53c38a7ad4f47ff869ea909318321e243a2907774f96c9d8679f1a58",
    "format": 1
   },
   {
    "name": "plugins/modules/session_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "f177a8245112272526d58d5e3bd7a16a9550018bba604a47a6eaaf29e18380a8",
+   "chksum_sha256": "002b59d9f62b9af942394dc9ae62663bcf03e27d0b791733a84720670345fb7d",
    "format": 1
   },
   {
    "name": "plugins/modules/service_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "064db737f0ec86804040fbfeec30f7ded997f797026e60239eeedaf467a8c7d8",
+   "chksum_sha256": "4b5d35c096026a02ea07046cd5e5e92694bc5288140e1e1506fffd68f8ab9ba3",
    "format": 1
   },
   {
    "name": "plugins/modules/server_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "6511a585dc29477c249e9b184ec4bc7808a7a89321df7cca3241d57ca63a9435",
+   "chksum_sha256": "504384a80372b2c5a0fbd3c14b793187511b5ed781b0db7fb9ba86f33366ad18",
    "format": 1
   },
   {
    "name": "plugins/modules/sensor_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "6acdffef8697c7410f28b6ff568db065a291f04aedcb635aa910fd5fc47f8b2e",
+   "chksum_sha256": "367cc42193804ba3eb0f2de9a83d80cc4028bed8fd091357f29b4829ee2327da",
    "format": 1
   },
   {
    "name": "plugins/modules/self_test_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "4b0531b4227885daa2388d7a9728313cbe4a1ae0f739c3458ef38e0a1bf906a5",
+   "chksum_sha256": "4fe8dd7d436cdc29ccdf008aed60e37f2f3f23b1fc68174cadaa49f93f2dae36",
    "format": 1
   },
   {
    "name": "plugins/modules/restore.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "a7c955deef0066048f8492ebe5f7b4feee60ab5376ac7ade09486ce39f4d18bc",
+   "chksum_sha256": "8b4cfd5f177cd9d956f4eaaad4362d164e454a8b61924afda6e8abac0470bc9a",
    "format": 1
   },
   {
    "name": "plugins/modules/reset_kvm.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "221dbf024b59db1167ca4489d2b3193f5818d66d4d0b64702aba0b8f2987e9b4",
+   "chksum_sha256": "24178f467e26ee702e129982b7326b78ace027aea27663c524adcc9bb146db82",
    "format": 1
   },
   {
    "name": "plugins/modules/reset_bmc.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "175b844a10c5276f711da1935df5fa6b468bf33c8c7710ad1b0489f82a56ff36",
+   "chksum_sha256": "145789a8e3f055043c0ecb7a1bc0cd90d53a91cf2229b7b17a2a228563388168",
    "format": 1
   },
   {
    "name": "plugins/modules/raid_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "3cd1c881c0afdd4170bca8b3d3dd9368a99f82dbf375ada11e73e64058419400",
+   "chksum_sha256": "e7d25e35ee0103e575bcc6b2d119ea351bdf8dd491e6daa3ccf7c6cb367ac7fa",
    "format": 1
   },
   {
    "name": "plugins/modules/psu_peak_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "cd4b49223b1796cf6b15f83717c8515527df5304ce6ba8f1a7c8812003a37f59",
+   "chksum_sha256": "3cad5adf8d7fdf99976096c3717c126341321300695f5f4970b0f8cdea394d06",
    "format": 1
   },
   {
    "name": "plugins/modules/psu_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "8f50d6bfdc8d50c981c02fa32429fc10811598823ac90d1a63756b96b65f7243",
+   "chksum_sha256": "c3ea45e2e77f5fadf2845beabada671ac89c2a842f828fb03449038752dbba2b",
    "format": 1
   },
   {
    "name": "plugins/modules/psu_config_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "d4914d843830dc30e2b56c8edc82ec68496372c660b1f4a60b85c7a552dd398c",
+   "chksum_sha256": "f5082fbd53e2740346464f012362e687d635c3329f8e3ac4b34b97634057c649",
    "format": 1
   },
   {
    "name": "plugins/modules/preserve_config_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "eabac88a9bc1032bcba0136bc9ba8ff9d8ce5fc42d01e3a14d65702f20a30293",
+   "chksum_sha256": "44de0b31730dc4687fc83fe2dfe9db932f23c1a816713234dc1a1c66a12db335",
    "format": 1
   },
   {
    "name": "plugins/modules/power_status_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "09c4009fe0de619df7c710815af88dcef4dcfdefe5633e54dbc8090739e34f08",
+   "chksum_sha256": "631d0c7ca7f006a52ba0b115721d4c7a906a09f66c62e25027c7cf2b5b76fec1",
    "format": 1
   },
   {
    "name": "plugins/modules/power_restore_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "5acb6dbfa51c34961afe2557e85645e1d787fe99395c0b658dfaac06cd4275a4",
+   "chksum_sha256": "236920aa93d197e83daa0168c5a601e63a3f0419829602ade403dba37a3ad99b",
    "format": 1
   },
   {
    "name": "plugins/modules/power_consumption_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "e9b67bf5a4e8a3d155b54a72504f5c299f4883c84af24e5c1063167e8359d1e3",
+   "chksum_sha256": "0d1b93c38d7a935a4b08c6f07186af52a2a236fcf78271380fe31c08e4a788b7",
    "format": 1
   },
   {
    "name": "plugins/modules/power_budget_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "af17644390049f500b2215b3d804217580ef2a3f26a438a1e21af929a91be73d",
+   "chksum_sha256": "be154c71a066c4f56dec8af5592945cb8ac80aa46dbd144252b9ee37eaf4cc59",
    "format": 1
   },
   {
    "name": "plugins/modules/pdisk_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "929cb66e8fde0a953b7b3e6c4aeaad1f57730879197d55b02456ab157ce7c96a",
+   "chksum_sha256": "dc7a75682adc9929cd44ec7dc99eb3ee1a8ed464fecba370d7550126c1626e9a",
    "format": 1
   },
   {
    "name": "plugins/modules/pcie_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "f9432c199af48ed51038f7fd2038dc7f641ef0158210bcb483c3b36d8aac7c2c",
+   "chksum_sha256": "2958d0d33b11cb70b1fe6f4e66bc81f99b5d66811171821559034410ce9e45f7",
    "format": 1
   },
   {
    "name": "plugins/modules/onboard_disk_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "0597fb088190e31b359c4ee133e218f2ebb86eebc8619125b544709923ac1ba6",
+   "chksum_sha256": "cab8c68ba8e8d076f94c0954d68ac7a110f6622a37c98a4b08df186f28e66b2a",
    "format": 1
   },
   {
    "name": "plugins/modules/ntp_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "e814c3fac45e5a1d4be2f00d6a81d8ffae107a18d37f3f86ef46b833be332887",
+   "chksum_sha256": "8e1e98c8a5d93b4f43fa5091af8dbb403b1b5b59905e5887d4e5a147fdcae366",
    "format": 1
   },
   {
    "name": "plugins/modules/network_link_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "f5748c61b058011e6891c93f7bd934ec956727aefde1840625daaf760ca2ca13",
+   "chksum_sha256": "c07cc790d5399026a24566f90a93ce1cee154997764b00a977348bd8b2746cef",
    "format": 1
   },
   {
    "name": "plugins/modules/network_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "1c742e81deaad76d1a3ce790b1884ea0cc3a5855a991bc51c1c83adbf02db0c6",
+   "chksum_sha256": "4c106bd99867ebf7db902b8482724026c63f80de4d0fe2cb22dd15bc938747e5",
    "format": 1
   },
   {
    "name": "plugins/modules/network_bond_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "06c33a1594e1e59005bd19f0aedefe2b44d20bba1609f7d205a910ea1912cec0",
+   "chksum_sha256": "eec862f3f93e4ff40967065560634a510fed021bde19904ed4303459eaadba92",
    "format": 1
   },
   {
    "name": "plugins/modules/ncsi_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "96b51e7b6fcf31f091d962ae0bf73b114abe742442fc90cb0d059670e8861f11",
+   "chksum_sha256": "c19a243c814afee106d0577b587838bd0627af8c38294ac09790bb29665015e9",
    "format": 1
   },
   {
    "name": "plugins/modules/mem_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "db5d25c4b78d6d801a0a234f1e919f9525dbeb7bda9dd3550d3138528d55cae9",
+   "chksum_sha256": "6465c7093f26ed7bab5d03c8f15ee9c387d516b8081cad59ef8f1d4b0e60245f",
    "format": 1
   },
   {
    "name": "plugins/modules/media_instance_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "5fa461e06ba37871fb069cfcab79ce748ba0e207701881120cf5249ce24b96e9",
+   "chksum_sha256": "82b08d9085d528eb4ed3833f9c1d64cd7f86c048f70c9e4f2883e391e6d8881a",
    "format": 1
   },
   {
    "name": "plugins/modules/log_setting_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "a8c3874028cc8b3e5642cab42a420df7c4b23b44efef3a9024808a0d26e1467e",
+   "chksum_sha256": "405961c8384957297cb65ff90fa630a834675201e81769f63a47fb8fa74e314f",
    "format": 1
   },
   {
    "name": "plugins/modules/ldisk_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "3884d64d6c0c612c7980b45c175b8593fc786393e19476c1210bafd54d8ebf72",
+   "chksum_sha256": "1fa6590e01ecf202deffd2bebae0d2c446c9015327047615051b0be53633acee",
    "format": 1
   },
   {
    "name": "plugins/modules/ldap_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "a0c0d707f7dabaf2b37b27f2a18359fd62d79e366e44d3bd4911ae6362627034",
+   "chksum_sha256": "18c6d8611e205aebbb6ae4b37d47ed721969c92f295e0d099bdd5ae873adce99",
    "format": 1
   },
   {
    "name": "plugins/modules/ldap_group_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "a13b7c725c724afdbee4088e3b221816111d5a17b0a558dc0c483cbfb492c301",
+   "chksum_sha256": "94cf0e471f1b1036c60e3c0662d9bee0628403cad609922ec71121c535b76e90",
    "format": 1
   },
   {
    "name": "plugins/modules/ldap_group.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "ded0e76076824106170818d11845099ad6ac7745cec7af38aad180db86c17264",
+   "chksum_sha256": "91aab13a050bb0271673972cbc50dc584d0f5ed77e1503cb61b072c23bd0a4d2",
    "format": 1
   },
   {
    "name": "plugins/modules/kvm_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "5fe769d9fb4415435425edbe87276484245b6889eb982ab1e320c85dbc0053b6",
+   "chksum_sha256": "4fca4fba64415cefcb1d28a696e4a2c92cf5eed0814ce7fdbe84872830d6c2e2",
    "format": 1
   },
   {
    "name": "plugins/modules/hba_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "f266d9be706b25f9df783d22d4152d700b4b97001c39681c5dd5eacbec54429f",
+   "chksum_sha256": "7aa3b1d3afd33a2004b4df365246229f099af1fb65be08c19a271c1e46c3d806",
    "format": 1
   },
   {
    "name": "plugins/modules/hard_disk_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "717ad0493fbc9f1cebe026fb93d91498414b557f7fabe8ec28e90fe400fde5b2",
+   "chksum_sha256": "447945d96a6a505d7c2e4744fae2857cbe4d2b15983a014c44f1e2bd171ea3de",
    "format": 1
   },
   {
    "name": "plugins/modules/gpu_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "de641a8159d45c327fc4ae3562938e92402cdeb40adacbb723712e94512dffa6",
+   "chksum_sha256": "dd5ffa3639e9be34c9ad341cee8893d0c2fa6f4208c8fc42d883f4484812e4db",
    "format": 1
   },
   {
    "name": "plugins/modules/fw_version_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "30eeb47c637a062002c75a45802cd35248453c2c4eb7565a6df8a4d3e32420bc",
+   "chksum_sha256": "54cbf167a2ef251b8eb33752ccde76b23064e5c6c8d9a664d8c3c0c5187d7646",
    "format": 1
   },
   {
    "name": "plugins/modules/fru_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "48a7daf23cb60f31b2116164f59fbd426742faebcaa72541d5a6ecdb728f1aca",
+   "chksum_sha256": "38f5b3535d34a2f6fae992c5a576d803ce11c9639c7090a719fbe1af383f150f",
    "format": 1
   },
   {
    "name": "plugins/modules/fan_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "35ebd539913876657c7463770ae6462ed4499754e0a80d7386af53c47713f4d4",
+   "chksum_sha256": "1fbe7b1c08d2d1e6a34bf3c33f44becdf23b6b7cf1ab1dbb51b14da78ffcf813",
    "format": 1
   },
   {
    "name": "plugins/modules/event_log_policy_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "0f103b37b51b00e5d3c6fbd9921d6e9b483dd0ad681347d83d6b668448fb89ba",
+   "chksum_sha256": "fb87fa023d4b6fc96362346de4974b883ce111ca0f40865382afb2ac9c22bed6",
    "format": 1
   },
   {
    "name": "plugins/modules/event_log_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "e0fd9f1b1aeb832914f0d61accb87e323a5454c434bb205de1faa546ba87209f",
+   "chksum_sha256": "319f3e4d9d8165fef33517cd8be1992061d45637115c9128033e47f009750e49",
    "format": 1
   },
   {
    "name": "plugins/modules/edit_vlan.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "e369f661e0fcb7ec0b262c75b652d29aef0f39122ba8661103d09c82ee7c40ae",
+   "chksum_sha256": "671c6ee30a111c5739314b6c2ab0e99c490ead0307a4286f72581213bc497a75",
    "format": 1
   },
   {
    "name": "plugins/modules/edit_virtual_media.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "68954426790783b8f94774ba42c09635cb02c7e4ea7a778cb3786af81bba0256",
+   "chksum_sha256": "e702fc0c25c316bf572882c918b3dab74eb542db5888ba196282a0b6407f43aa",
    "format": 1
   },
   {
    "name": "plugins/modules/edit_uid.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "5bed71c9f7fe15a3825f9b74a689b9f81c817dd9e0a40ee718059125baf2d976",
+   "chksum_sha256": "577e249555dbc79a9c5d07645a29c18c41d340023d4c35d460f368956b263f78",
    "format": 1
   },
   {
    "name": "plugins/modules/edit_threshold.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "07a32de06fb22fb0b3045b4761619530b7f602ead87a1e92d23c1b8629000a83",
+   "chksum_sha256": "fcfdfea2c529abcee0bb07a52345b5d31536ff8d3453ec7eceec120a8527fc4d",
    "format": 1
   },
   {
    "name": "plugins/modules/edit_snmp_trap.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "987ff62bc966428ac2ca5c38ac251e75a383d0148d69a3fa5d3b40276a909d92",
+   "chksum_sha256": "28b4b83e2a90d79b8bb73e58d0dd66b426b0c17c5f0ebd1109cb38b555ec13ff",
    "format": 1
   },
   {
    "name": "plugins/modules/edit_snmp.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "c7a1d6d7c658b879c3db7872e0facadd2ed738bbece5a6fa8d6637bf656d4b94",
+   "chksum_sha256": "bd26973bed42e41d5050e63a16140a04a776a390a4bd139865c666d6f09bb37d",
    "format": 1
   },
   {
    "name": "plugins/modules/edit_smtp_dest.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "47225ae610b8aa0aa5b51684ffca34b4191fb9d4eea2825aff995d616ba55329",
+   "chksum_sha256": "c561e6cceec96a94dc57b3829a2f4760f1d2f1109eb82a48e5de10dfefc5e65c",
    "format": 1
   },
   {
    "name": "plugins/modules/edit_smtp_com.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "ab52697021b73eef407c0535209f4efa907ef1401fff04ac6c0b46114a1b1daf",
+   "chksum_sha256": "ed12612a13a4481d9307c1b5a7b1ab4b3e84cf788c373f6c1d00d392628f9b99",
    "format": 1
   },
   {
    "name": "plugins/modules/edit_smtp.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "16ddd6a69ffae650ec58dae5c3482f0792da4290e9f1052d365dc2e05c88e230",
+   "chksum_sha256": "240fa89e013e2423ab86a46f07edfa8b9f22f1bcf8a28814f7f54dc21d918be2",
    "format": 1
   },
   {
    "name": "plugins/modules/edit_service.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "53d6458660bb37662b29c97206856079c607798e903d77103b436b53df2e2fa1",
+   "chksum_sha256": "be2ec0c0ed01efaa08c8388679267800ff4ba38ea15fa983332e35a32dc5248e",
    "format": 1
   },
   {
    "name": "plugins/modules/edit_restore_factory_default.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "d0086d3775bdb4638d6ee47e3cfcd5001de34ef486ef6cfad7205ad10519edbd",
+   "chksum_sha256": "6c3b7afdbc01a727ab0cd21d70afdb73a47cef9b41a40658909785fb4c2a1be8",
    "format": 1
   },
   {
    "name": "plugins/modules/edit_psu_peak.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "29fd2270eba8b8f1c0115187f5cb327cfff1fed5b4d8f29d8ba20f64903b161e",
+   "chksum_sha256": "e888d4df49574980cd2c8902a431f6f858013848600a3fa4de213eb1afebeef5",
    "format": 1
   },
   {
    "name": "plugins/modules/edit_psu_config.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "e08e246f658c24c1def1a16c8567ca2ae97543e194ab5e84e51ec7f6edd8e7df",
+   "chksum_sha256": "008213b742b12ad061f0304679ed77356860392d30e0009af3f0f34cfbe7773b",
    "format": 1
   },
   {
    "name": "plugins/modules/edit_preserve_config.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "02752b428837778100173e17b7ac52f2b583a9c112cbf0e4491b358d702ef4be",
+   "chksum_sha256": "1df575017c4a1e3b6921b6a43dbafbe7dd3e97753ee4ce0af2b57cfebf3854e7",
    "format": 1
   },
   {
    "name": "plugins/modules/edit_power_status.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "ad44bc91db65eb64c0e4e1b50092cedd50e32c880020002e49809592b4aa48d3",
+   "chksum_sha256": "15a8a88df3e1334d2d776728d10557a21cf3b603b45092cd6e5f84f9c304fdf5",
    "format": 1
   },
   {
    "name": "plugins/modules/edit_power_restore.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "9218647db44644a9ad7d19a4584b87e20f538609ddd33d3f73a9d169f073cf02",
+   "chksum_sha256": "2a0eee1fd3225800d4c0866a8a24fde7eb7e6af4515b5b31d5c49337d343f361",
    "format": 1
   },
   {
    "name": "plugins/modules/edit_power_budget.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "2805eb2368f1226c2fef0b56270bcb5ff6c9396c744cf31c70013b3fadf5d595",
+   "chksum_sha256": "c298e91a7b2cdc972cdd37af591bc256a41370e0cd591447684aead5d2bcc668",
    "format": 1
   },
   {
    "name": "plugins/modules/edit_pdisk.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "c544a3e7f671c730b00c01ab6030c3ea56c92310e403ac3cf8a1fcb566924975",
+   "chksum_sha256": "e6baef885b20a68d460a64674f3bd4beb721d0e536cdc5abe9ba51d755273921",
    "format": 1
   },
   {
    "name": "plugins/modules/edit_ntp.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "492bd4f2520ab3e930c8b567e78f978927165ad8db746bfd6968d30d855de539",
+   "chksum_sha256": "fabc62a9894669d7640148f9d609b30f8539bfefc81f4f739b95ed7f0d68538b",
    "format": 1
   },
   {
    "name": "plugins/modules/edit_network_link.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "b2b1141b654e03cefc7d93342aaadcaecfc7b68a1da519faf5251f920eed27cb",
+   "chksum_sha256": "97272a4b9f7982017d3aac3d4e36fc2277cf0db65f6bd200446549aa6b5e91f9",
    "format": 1
   },
   {
    "name": "plugins/modules/edit_network_bond.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "6dde038036ddbfd2539b9813127d9d08571a231ae4d4bfebe5f12194543d76b5",
+   "chksum_sha256": "aca39f9bb59b1e4be3d2918cc5273b9415d0975fb29e418b517166f1323d16c1",
    "format": 1
   },
   {
    "name": "plugins/modules/edit_network.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "4c1741341b6893b2f87215dcaae4d37b82d834adb1949f07b54cea65c01ea93a",
+   "chksum_sha256": "1958b0554a27dfb657146bac145f8e19909ced73ffb3f8009ea160751f158009",
    "format": 1
   },
   {
    "name": "plugins/modules/edit_ncsi.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "9c4703f8ce8469a2936daeb33c90f58d3a955df03cd4e7acd52d35e79144e94a",
+   "chksum_sha256": "de1bb412d55ba496308362383582f305312a8a42325c25c8b73a2ad6883d1728",
    "format": 1
   },
   {
    "name": "plugins/modules/edit_media_instance.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "20f6c53043b36cfbe17020d0a6e84768394b6c3eb82ebc5875d847f0d72bdd47",
+   "chksum_sha256": "e8633f6432c8b37bd7bf6a726f4d6933b2599fa7389bda2cf69e99f73c228686",
    "format": 1
   },
   {
    "name": "plugins/modules/edit_manual_capture.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "325e52adf5ee8cb0b695f73faf9d32ed125a25ea055841a7945ad8777ebef5bf",
+   "chksum_sha256": "3c67f02253b2639c41b7a4040c7171b4fd0d6f79c06833e996249de501f3b0b3",
    "format": 1
   },
   {
    "name": "plugins/modules/edit_m6_log_setting.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "f3583a96fb13f7bd8953992378472c4a11076554f397fe529f9a9a99d7d5c3e7",
+   "chksum_sha256": "790900cac645b9acb58e9c74d1ba7ed0a2119f4069b4df1172d9c3e12903f106",
    "format": 1
   },
   {
    "name": "plugins/modules/edit_log_setting.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "d7289c93002df69beb45f60ce1486089f34c11a42f01dd4f430b002354625477",
+   "chksum_sha256": "c1d41135cf518448a2f7bc74bfcf95612af5328494c05ec393d486cd90ff77b8",
    "format": 1
   },
   {
    "name": "plugins/modules/edit_ldisk.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "769f727a9e6c6057b975826b5839a122f53fee85a9fbdbc9045ec81454d7383a",
+   "chksum_sha256": "cbcdd748037fe7c210386584425bbee46038071e19224e2a9f232af71c6d6066",
    "format": 1
   },
   {
    "name": "plugins/modules/edit_ldap.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "90e5bcbfb769ad88b845f6c4bfc046c9892ab14d4ef7fc6cc8054be7099d10b2",
+   "chksum_sha256": "72c6f77c98f5dac75090af92718b7ea552e992298181e329ef48ec410a39c91b",
    "format": 1
   },
   {
    "name": "plugins/modules/edit_kvm.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "4c08f47aeb544157c1f289a5c2b9522bc0d9c7c02f816193c5c9ee4ec318aa17",
+   "chksum_sha256": "9d0f03dc4ae35c07b4907fc3e9f1c8fb0114dbf863a14bcf12a12533d4883dce",
    "format": 1
   },
   {
    "name": "plugins/modules/edit_ipv6.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "adb2e727d7e6a39c773944145c48e7d5443a8e11e15cec1306f02636ba53808f",
+   "chksum_sha256": "229153c001e6214c8546c9c46cff76c621a78320f485b6571051902aedcd7fdf",
    "format": 1
   },
   {
    "name": "plugins/modules/edit_ipv4.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "e1199b728b06d90ae9e81d70714e5d93d0ab091fabd65e1ee61c5f9c33a0187e",
+   "chksum_sha256": "243bbbe841a30a06e7618f95157fad958cf24344c0a9f3cd2f21ffba462fb308",
    "format": 1
   },
   {
    "name": "plugins/modules/edit_fru.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "c8fff7e000f13b53a9798d8ca5c85ffb93ffe80a6904b9ee3820cd6d7a08dca2",
+   "chksum_sha256": "deb1075c42670f03e872458776d0b43ed412ee86c08a04ff67f33fb6dfce3564",
    "format": 1
   },
   {
    "name": "plugins/modules/edit_fan.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "bc3872ef084c3abd58ae0d7f0e5e324313470fa781056f5064bf5dc9435947f5",
+   "chksum_sha256": "1ae5fe1ef99c66fbcb357b6c287552808a6898e04eb8d807e5f6b76c9f742309",
    "format": 1
   },
   {
    "name": "plugins/modules/edit_event_log_policy.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "53955a87190d19b87fe58e9a9c254aac14097cdcb0e74d5285fe2eca54ff6853",
+   "chksum_sha256": "ae2c849cb26d9dfbefa61b8b637f0a75ac6ce508438df18fbc034998dd221f4e",
    "format": 1
   },
   {
    "name": "plugins/modules/edit_dns.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "3e6849dc0dd0774b06b0ac12e0f70868084371e6de5eca183090553f4479d221",
+   "chksum_sha256": "fa5ac86d4ad58586868d2e556162bf17a588cfaa24c2dd8eb060813316ba1146",
    "format": 1
   },
   {
    "name": "plugins/modules/edit_connect_media.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "45936fb17f0b534f30ff6b2090fe18d7aa07fe2dd29670da52590c51060f217b",
+   "chksum_sha256": "36397bc7cf95e5da0ded5e7f4019793fc62ec688710e299b4b3a9693a6234354",
    "format": 1
   },
   {
    "name": "plugins/modules/edit_boot_option.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "b33b52eb682e3d8f3a0da80cc742841394da422addf2b406712a99bb44c4cdf5",
+   "chksum_sha256": "9bebedb5b1a737aec1367e9bde251f12ec2e26dea9f07ccab9011b3d2eb4a0b6",
    "format": 1
   },
   {
    "name": "plugins/modules/edit_boot_image.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "91ca33155193875e5abce41898e8013512a1be84ebda4bb2ff679b3f0435b502",
+   "chksum_sha256": "30ad2ce5f3a45bccfaea772a2a47e0fa2f9884717de910936796a5e8251a05fa",
    "format": 1
   },
   {
    "name": "plugins/modules/edit_bios.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "ac81454b9d175c64e29ce6f3b1f75e0a66e82c845f590f81950b834aa1db5b77",
+   "chksum_sha256": "1599f110126c5600416eaba322d093e7a29d2e5b996d9281cd9082b3ab0079ad",
    "format": 1
   },
   {
    "name": "plugins/modules/edit_auto_capture.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "a5296df438a418416e0d6d9655a20a9d924cd4a961a950416f6ea67e18526693",
+   "chksum_sha256": "858d023934099240fa52ab2bddefe787f4037fc5585363202ca4dc1ea6a1c13b",
    "format": 1
   },
   {
    "name": "plugins/modules/edit_alert_policy.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "5c18bddf6e2b6ca437e11f8492dd788594528817a283270076336b4de2238d26",
+   "chksum_sha256": "11d7281a86d9afef2ec965b776bbeea3e1890f16046e9fc3a17836de0fdbddc9",
    "format": 1
   },
   {
    "name": "plugins/modules/edit_ad.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "c8d56dd0f393889eac4e781d3820636d0efbfdee5341439fa14ef556e42e9668",
+   "chksum_sha256": "8c715ccf0d4a5bb0fb7b4ba55f33decdf7571652836654477f74bb04536c4b55",
    "format": 1
   },
   {
    "name": "plugins/modules/download_manual_screenshot.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "5e4b40ac7605132c35c6587cdd82bc7eea405c690a642cecbbecc9e3866aa128",
+   "chksum_sha256": "fed7b7aab7042dd146d5fb1a61325dae66d20365b995ace7af614913ce4b2b2d",
    "format": 1
   },
   {
    "name": "plugins/modules/download_auto_screenshot.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "f1bb6cc42bd5913efc256af2af06b2fc4223a11b41daae736ac0ce3518ad7aa2",
+   "chksum_sha256": "b450b351d3da7c6df6ac301da74c62945d38810aa9727143e4a37c158ca00977",
    "format": 1
   },
   {
    "name": "plugins/modules/dns_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "1f6f632c31ed346fdcc413141d4ec2d46bddb909e2dfa94bade11a2f69d0624a",
+   "chksum_sha256": "c2ca59801ce952c776b69ca9692c5b6b204f84988f20dc63b12cdd0a083879e1",
    "format": 1
   },
   {
    "name": "plugins/modules/del_session.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "a8083ee5f1dd99666ef192ca740f2e75f1b989af3d735930087c9c0b93895971",
+   "chksum_sha256": "77708213e635afe5a270f11e388006f14a44a95f00a1681cd3f22edcf2c50d2c",
    "format": 1
   },
   {
    "name": "plugins/modules/cpu_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "4cf297f15aaf003c5acaaae35b3e1700ef9611d3370659342aab1951f1452169",
+   "chksum_sha256": "7291a3927da55728f0dbc325a2007c2b37da502492e98a53348aa36b5a90e255",
    "format": 1
   },
   {
    "name": "plugins/modules/connect_media_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "5f32972f14202310da2f4113c5ecb88ebeb18bc5668ec9e7570a448e623d750d",
+   "chksum_sha256": "9175af64d0bfab3d88172232177de4a279ef0038042a980f2a03341ed7e65edd",
    "format": 1
   },
   {
    "name": "plugins/modules/collect_log.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "511933f9c48ecb6863fc976a9a6799e82ece9103c0229239c060bfe35fd80f0a",
+   "chksum_sha256": "2be1d99575ad6e6769e760c5c4ea93c5816fc6fe8398319e372665e128f2b2af",
    "format": 1
   },
   {
    "name": "plugins/modules/collect_blackbox.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "500465ef9fbc9762a52f643292669db89238a7231cd3c98f0f86e83cb6dcb298",
+   "chksum_sha256": "3de0343baf306577f0d2b90b8f037f8114ff783d020238a4fb5b9fadb38d287e",
    "format": 1
   },
   {
    "name": "plugins/modules/clear_system_log.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "27da56e79331c5336924e0f8249ade4c60f0cafa72f32a8b23af3ae0edc46ddd",
+   "chksum_sha256": "b3fb3107070c2ae7cd1e05d45b9d07dfd5706e3c3a53b5c33c62d861a6728d8e",
    "format": 1
   },
   {
    "name": "plugins/modules/clear_event_log.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "f391a2fe006493e436d158e6e000a4c5ee755e2edb9888995898363c435e2843",
+   "chksum_sha256": "c3c4255fd251500ef733d8ca174ed257377c43bd1c69df82951360d7b085d9b9",
    "format": 1
   },
   {
    "name": "plugins/modules/clear_audit_log.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "2a19b1e7d7d5ff9ea7f077599d84909b9b744303a42178084f4f8aba43f5a301",
+   "chksum_sha256": "6fc77be5e5ba1ebd393fbf98568f14641fb0377d4bfc06814e69db516108f973",
    "format": 1
   },
   {
    "name": "plugins/modules/boot_option_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "40d7ee930518ce115d0bcafc8996adae3f99166057cbd21f7198a34725443963",
+   "chksum_sha256": "383e361fda138f6b404559c048d2115e84178807f5ac3e26f3b05eaf365daa8c",
    "format": 1
   },
   {
    "name": "plugins/modules/boot_image_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "c4ca2b520c0d9ef06e1ccea29e95bd402526898896dd66a8cdc3daf99207024e",
+   "chksum_sha256": "0728b3aab410ec05eb39f0924870c81d646ef9cae854d19eb2dc5bc01f4e8a12",
    "format": 1
   },
   {
    "name": "plugins/modules/bmc_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "c9ccefc73c9b1777a8081ded3315c815eddf82acf681475d82e173f853b57c33",
+   "chksum_sha256": "cbab7ae13797c233e559a27e9f773de279fa3a97d2dbc1161f07ef6aa18181bc",
    "format": 1
   },
   {
    "name": "plugins/modules/bios_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "db4e344849b9afe2a6adb62457b0e2d722426313911708998d527be0f4956f22",
+   "chksum_sha256": "d586f1a44e8d3ee3bb664c91180e34d7af6271d0531a610c5a2d98e55eec3c91",
    "format": 1
   },
   {
    "name": "plugins/modules/bios_import.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "ebc6d547d97e0fc44a8c0ba35898960cb95f0aec3b86f60a3142b2d49d2cd8de",
+   "chksum_sha256": "ccd246ce6714a41f8c69f0ba904148dbcf8642c966c4da7101f59956f241aac8",
    "format": 1
   },
   {
    "name": "plugins/modules/bios_export.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "4161afe8afa404e3e5983481b77ddb9e90466ecab76713c3e0b7dc8c0dbbc806",
+   "chksum_sha256": "7b422e9be9aa81730a83b5a020ed184a4c67032f1d223fbd841e94f512b85090",
    "format": 1
   },
   {
    "name": "plugins/modules/backup.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "d95f0328985db9b64db9718895d8a7a5a717c518b26515c29cbc4489f566f2bd",
+   "chksum_sha256": "a99ea634458257411460b6a1006a68b8ea51b7f495107426300e9f03cd24b93c",
    "format": 1
   },
   {
    "name": "plugins/modules/backplane_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "37830ee2e77e1eae4e87de141fd62c8b88924039423e88a0b8dad9663f9f6813",
+   "chksum_sha256": "4acf6c36db53f1f52b4a2b5b1044b172e87a451c557bc54ef784bb0727f73b40",
    "format": 1
   },
   {
    "name": "plugins/modules/auto_capture_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "a33714df9ddf512d8afeaa23e463ca5ec168089dbeae46cf69d76a884782510a",
+   "chksum_sha256": "ac5b596521a10fab4d1006307edb6c6e40634167f0c7a69e178d4f14ee027154",
    "format": 1
   },
   {
    "name": "plugins/modules/audit_log_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "910fd95820d55eaca48730434f83d46da254020f34152a106f710f9c6e643d9b",
+   "chksum_sha256": "9228ddd5b56c7a8275ee336e937fe1af0634985734083ade3d25f949a8ef56ef",
    "format": 1
   },
   {
    "name": "plugins/modules/alert_policy_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "06d27927313d505875e958e77bfbed46ced453ce2da78333a6fd79cd7ce49062",
+   "chksum_sha256": "9be39fd795c4cff198d6e90eb9c41a232a46a119fdc215e44a558fa90341598f",
    "format": 1
   },
   {
    "name": "plugins/modules/ad_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "a8bc4380c527e3e12992f10c64e5c0347190eb1f66d5c69ba9b1bebbd1c3886a",
+   "chksum_sha256": "16206da2a124b7a4db8f7067fbc3118cbca78b250fc8ad3304a6ee1b8edc1fb9",
    "format": 1
   },
   {
    "name": "plugins/modules/ad_group_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "3661f03c9baeeea3a99cf3a938d2e227459a7e7583bd8c45526b9889320ee47e",
+   "chksum_sha256": "1e7212ac2ec6f3b099c7471b4a19aaa4c4b62ba803e24b4eb50d1c4c57ebd4f3",
    "format": 1
   },
   {
    "name": "plugins/modules/ad_group.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "57412cef649ce9a0dbb0b95575471c37980c1a6756e3198ccdb3a44020d5d2a5",
+   "chksum_sha256": "71227c0c3c2c3335eb9adb735c43d676123fa0c5645329a9ba0e426e23d7f44c",
    "format": 1
   },
   {
    "name": "plugins/modules/add_ldisk.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "ffaf24a8a2b7158a0d5c8de687d04f5d90db4ad4158ef4882da714a3d8badd31",
+   "chksum_sha256": "bc50d69bfe69ba8909d1f9516c0b677ea8697144f02af83fc8f2023bae469093",
    "format": 1
   },
   {
    "name": "plugins/modules/adapter_info.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "947a287e1226975830cf6a225ab6db6ed680560ec0e5a6ebc8f28d829b549c27",
+   "chksum_sha256": "d0eb7fc0fd5ab9103a9c52d0fa18308cce4988e731b89166ef1f25c20f1e672e",
    "format": 1
   },
   {
@@ -5793,7 +942,7 @@
    "name": "plugins/doc_fragments/ksmanage.py",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "1337581fec2d5cbaf4bed68f2c14c470b1cc6aeca198acdb118e46970de80b67",
+   "chksum_sha256": "9838cd82c6b8fd1ec9d76607bbed78f0b221925d86c87190370ac7b9a0e449b8",
    "format": 1
   },
   {
@@ -5807,7 +956,7 @@
    "name": "meta/runtime.yml",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "2ca92f825f34be21055804baae18dc3f52156b54abc6d7810ad95fcbb21688d5",
+   "chksum_sha256": "db022ab321c223ac1a684a5c02ee490cc22278bed6b31f5a2348c9c1bf65ebea",
    "format": 1
   },
   {
@@ -5821,903 +970,903 @@
    "name": "docs/volt_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "2438770071e5a055f5c934da7804a440a095c2cd857012b3981ca2cd3ba2217b",
+   "chksum_sha256": "1054f53358333e0a7aaa4c23010c5591ccf3f2c8a41dfc3bf3d10e0fafc2ad21",
    "format": 1
   },
   {
    "name": "docs/virtual_media_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "ddc25061407e583d7d86c577cb6f532dc53bca63a49628f38bf5f872dff980f3",
+   "chksum_sha256": "a82cdc302b91d5d255b0cfdcc0971f15da39644fce1cdd0ce23fe558c68da25a",
    "format": 1
   },
   {
    "name": "docs/user_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "e64aab6fa90ee8350bd42a67df33cda2da542fd97485f7e4f1eca3b6e54eba7e",
+   "chksum_sha256": "f7d004e0e82217daf5efb146c4c5b18d3bdc4b1deb3d040650ecf148a8c6fd2a",
    "format": 1
   },
   {
    "name": "docs/user_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "943bbd715ab15a422621ebc43ae9e267fa0c5fef94e6a57e3a3bf08627449b34",
+   "chksum_sha256": "09cd7b8243cc66f1bb51ccbc9a85a4412cbf6a8f1e3b48303e76e815bdcc88eb",
    "format": 1
   },
   {
    "name": "docs/user_group_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "5032a3fc9ef50eed4a52148fc597d85c00fe2e3cbde900650062fc432aace29b",
+   "chksum_sha256": "9ad18eb6dc381cb98fa18ce3af5e6c2db5e044d128e13a31985ac874fd481d73",
    "format": 1
   },
   {
    "name": "docs/user_group_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "5437e39456aa2eb334acda8492ccc6bcd409f3ca31de9faece31dbe8098ba478",
+   "chksum_sha256": "7fb17013baed21469ad637df9cfd18bb6dae8f679712ca126f686e7d82323b88",
    "format": 1
   },
   {
    "name": "docs/update_psu_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "9327e2ab76888f1e3fef302c32c70ff0ed79d0088c4eee8e18b4a01e9b054869",
+   "chksum_sha256": "467008fb9ef55a952058e2af1259aff694b77f51b8fead12d7a54563c3c1867b",
    "format": 1
   },
   {
    "name": "docs/update_fw_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "ea915a8f080326152cc9c10d73956b334395f3c2d4fc83f37890ead9ea29b008",
+   "chksum_sha256": "1c3f00eb8faeb6d5fcef9cd27dd1ce7252f73c654df244b4a2b911f61453a3c1",
    "format": 1
   },
   {
    "name": "docs/update_cpld_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "7c746f96b1f5b085ab91279e816721f9fbab180d0e2ee925c8741d65099db73a",
+   "chksum_sha256": "f0c0ee0425ad854873c884bf5ac8ecbce0bd224215f6ff8674ba15c7aed1efdd",
    "format": 1
   },
   {
    "name": "docs/uid_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "a8218857621a2f6719e89232ba41c57d41b45db352dd94bcd92ad5fd9d4ece24",
+   "chksum_sha256": "b488940b64bc06bd35926fbfa88b7bd90d0ec5cecd0089e931f2f839999af41b",
    "format": 1
   },
   {
    "name": "docs/threshold_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "667e457b9e10748a4fe661b6e41f79d0ef6c7945ef8fdd4ae390f3835ab7a722",
+   "chksum_sha256": "06a941d22dcabd34b06790d6cb6af05e3d65cf09f9538c90807a2b11bd3a74e3",
    "format": 1
   },
   {
    "name": "docs/temp_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "70b36b2e957d946e9939b032476334e15b1251854a5f05626abb7f0eedd64f78",
+   "chksum_sha256": "dd4b00ccc48944ad2943ae9b919611de28fdac16f3056fad8ed14173760ade1d",
    "format": 1
   },
   {
    "name": "docs/system_log_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "acb50059665f96ce0727e083b607f0538def0134c97ead16f662a025d01a5c2c",
+   "chksum_sha256": "a06849aedadddc094dfdaef6a69df18f92a9885ffe6c5a462f42de630e55ca6b",
    "format": 1
   },
   {
    "name": "docs/support_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "9652487f87ce4e3c336ceb5039251b5174a6ea7921d346e6b6c1467005a3eabd",
+   "chksum_sha256": "c5b353f7fb63ade58718674e67bce4484eef03c05829a7e9e166136893d998c4",
    "format": 1
   },
   {
    "name": "docs/snmp_trap_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "12ab22f23b7473aec7a6faead13ebd716637bb0674fae2c036331a0f8a75bd92",
+   "chksum_sha256": "a2573579f362aab37c4f4cab1bdf66589652c63974dca13a2d258ce486e7dfaa",
    "format": 1
   },
   {
    "name": "docs/snmp_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "ebf640884b01c6c2135ba233fa339d1afd3d86fe104d47247ab3950d67e7f43b",
+   "chksum_sha256": "7e7cc0287928deb527813399163fdb2d69c4ebcbb09218481fa4f6c49cf2aefb",
    "format": 1
   },
   {
    "name": "docs/smtp_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "db9b75d90722e907c3cef45292d99e877422ad85b741c5508adf0d9029f175f6",
+   "chksum_sha256": "352ff74ec69233027b1aeb0a89189db6d2225b394d2aaf4ce5fcec4eb61b9200",
    "format": 1
   },
   {
    "name": "docs/session_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "280f357a2c242b5ea7b5c81373b4638f36803c386cede0693130e635edb08135",
+   "chksum_sha256": "1415c1e58ae99239214492ec7ac83e4bf04d4d32907f0d7367c607b1be557c7b",
    "format": 1
   },
   {
    "name": "docs/service_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "a695f51b8dc5228c03d3b4bcb15728aaf9802e8c2bd745b300ba98538c3a052d",
+   "chksum_sha256": "c090046cda6ce2f09d55735fcefdcb24c28bb9a46b9b618032a04e1a82adf25f",
    "format": 1
   },
   {
    "name": "docs/server_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "6c0b7b94ecb85455a5482cbfcd12cb8a05f85d7e5ead06bd994aecc61f0dea79",
+   "chksum_sha256": "e71769c84cdcd2f9353a7744c24c9d31b5e679310b7ad85570056701e5e07da7",
    "format": 1
   },
   {
    "name": "docs/sensor_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "d1df08b3bc39d458b1a37b324a6f7b71453b3a69ce5ed2a1d5b6ebbf2ba3c658",
+   "chksum_sha256": "3c1bc109995c90581cfbeaf4872761fce04f5dc7956f1d27e9360c004622f9d3",
    "format": 1
   },
   {
    "name": "docs/self_test_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "c34e751e9e13eed10c0502166eec358e195759209c29c32db10874d0b64d69d8",
+   "chksum_sha256": "652580164e78daf1b4b9753b74d67feb3ae6363c41b05dc997f9caea0a1cef58",
    "format": 1
   },
   {
    "name": "docs/restore_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "24c63e3f0c96bb44b8697d7011fa66c50e7b6d9733cc90200ac9e1e417e12e58",
+   "chksum_sha256": "62f8d9f97080ab32602acf39c405f37dd67b6cb3236a2ca472af4c6aa0a2c6eb",
    "format": 1
   },
   {
    "name": "docs/reset_kvm_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "8c963574137aed4924c177dc4f5b4a655fe18c269d0c2a4fab4192d391613dcb",
+   "chksum_sha256": "07042ac1643f0728213c1f7d094bff0a1a6fe47a2d9c3519aba42424e0126a3e",
    "format": 1
   },
   {
    "name": "docs/reset_bmc_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "f53fbeab20657d2a426e4fce17879c014e9b649acf1c035c37742e51f82c730d",
+   "chksum_sha256": "9c1133096a9c78dc5662f9229296dc1c3cbe3b50c3bbf5c737b7575d9fac93c4",
    "format": 1
   },
   {
    "name": "docs/raid_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "2a15642471a3342d5d0fba336830a0cd1b3f6c768b23ca7c2b7585e3632e7673",
+   "chksum_sha256": "717828108e0f74f0a1a4ca1a8b700987c28177c5d6f8d72a32f6623da2ce73b2",
    "format": 1
   },
   {
    "name": "docs/psu_peak_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "7410cea8db80a3238ae4167f993504b7b5b7228dcad08e8f2b615b73b4798bf6",
+   "chksum_sha256": "933fc1dbc31246e972a860486c97fe564e2294cc92b3200f1be676cd7e7c464b",
    "format": 1
   },
   {
    "name": "docs/psu_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "68ac98aa9e3f4b186edcd58f74f6a690a246032bf4ae67ec44fc1e4d4dc0b607",
+   "chksum_sha256": "a8a64da870e2456cf9d05c09724348c5485035ceaa1edbbba47ee46cf6a3799c",
    "format": 1
   },
   {
    "name": "docs/psu_config_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "97457c5aea1d871602695e04cf448eaa077278f2dce9c701cae88cae76a732d8",
+   "chksum_sha256": "01dca465883ca42a74b8abd25ff3ead2535d28843c1f34170968fdb8f31fd043",
    "format": 1
   },
   {
    "name": "docs/preserve_config_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "3bf7e64215b921e2632eab84eeb1cd42c3bcc630ee326bf4e1b93af6684d2c3a",
+   "chksum_sha256": "b6f77591f1c070a70c18cb155d00003881de79718dfdb5098dc7d414a386e847",
    "format": 1
   },
   {
    "name": "docs/power_status_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "16444abf365d7ec122cb822db070649d85749507a4cf77a0ede63e1986f0f17e",
+   "chksum_sha256": "ac13095e86771963f58995fd71d83ce3df96dc7cf02ed2e013f843bb3c568496",
    "format": 1
   },
   {
    "name": "docs/power_restore_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "b31295475c1887bd26f7eb1965a378c071c0fc546d49f6c85d317892c7ec4f52",
+   "chksum_sha256": "bb2e4c5e65f86e59a5553e592f04687e30e369031052f8403e08605e85f43172",
    "format": 1
   },
   {
    "name": "docs/power_consumption_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "9301d09e1648aa8e5bcf85bd90bc480fdf9a25228cfba307dd653b40fda0dcb4",
+   "chksum_sha256": "c6701b69ca1afce8bc27993e9053f3cfb06a7d18a8a257414c0ebf588fd6f6b6",
    "format": 1
   },
   {
    "name": "docs/power_budget_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "e3ce91440122ae39eff0e6ad820e8ab21f220f3c0a91fcfd074ae7515ab8be53",
+   "chksum_sha256": "ae064d26cd4c9abafd5f2156031a026fd3cbee38d4adaffe3478c553036917c8",
    "format": 1
   },
   {
    "name": "docs/pdisk_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "3c44327b1e08f8a4b8a21b487897b22d05d35c715572482e48d1cd84f1822f41",
+   "chksum_sha256": "29c2e1cd4fecba3df4f752fb9d1992822bffc055f33063e8ede710b90ec14429",
    "format": 1
   },
   {
    "name": "docs/pcie_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "41c530ec0d3990982a276f80eca7ebd88f40f1c3c0450e20777f6e773a89fe3a",
+   "chksum_sha256": "a74939498936b3ffb3660b62a89b18485b84f1b33b7325ba30be6ab92dfad455",
    "format": 1
   },
   {
    "name": "docs/onboard_disk_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "c041e5e49fc25209d40154e67b61d5a0dcdf2dcce0900cc1a30aba30e7023792",
+   "chksum_sha256": "f9854ce7d7d4d230b6b0cefbecdcef7c1687aed6e470f8d80866bc4837137313",
    "format": 1
   },
   {
    "name": "docs/ntp_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "2d1871fa4e582db6f0f156f0eaeb181e6579c7d8cee20fa02e6333b3e8f13147",
+   "chksum_sha256": "0d58b0d6a51841e25f6f23c148619139f289a934ed88e17226b7709ef134514b",
    "format": 1
   },
   {
    "name": "docs/network_link_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "8a0c0d374b543a249854f1abf215516093d63892d8ebdf548e95305c211b72f4",
+   "chksum_sha256": "722168190204d198685bc0085ab19766e0e910bd349fd32225aa76973bcfd537",
    "format": 1
   },
   {
    "name": "docs/network_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "e66fc83de600d12b8eeb1bd0b81fdd209ad31c186cc49a74408daccac72ef498",
+   "chksum_sha256": "1d5e463c6f0ac7f33043948e0b175afb8bb3d2e2f955781e63cb4b8919e5e08c",
    "format": 1
   },
   {
    "name": "docs/network_bond_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "36a6a63af135f42a7e68342ed054f0881bf36c4d7b3ee245a6525123f6cab298",
+   "chksum_sha256": "39863f05c319af1d78c0c0d5e568b7003793a6c9da47e53f3760d2615fde282c",
    "format": 1
   },
   {
    "name": "docs/ncsi_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "f3244934a91384229331ff5295aa3891f064c62a127f71b0da9d24ed76ca704b",
+   "chksum_sha256": "aa2f28943ee79c881c8fd4993d482b5273aa90728bb967832420168b6facea85",
    "format": 1
   },
   {
    "name": "docs/mem_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "a84d7b6be415a2c421fcda09c1ea3fe0cb7fa3c048a1ec63088eb7cacbc11c62",
+   "chksum_sha256": "80a8f01d13a711dbd6579d2b8bf5e49764b712c1eaaf84b82a8e9b58a9aac3fa",
    "format": 1
   },
   {
    "name": "docs/media_instance_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "53c3f6563a0b378a45009c38f2d4ab0818d71e70f36e49e0b2e64723f2a28686",
+   "chksum_sha256": "cae94e017cc888c485fd14cb82e7d2cb32446333a03074cd48e64364b8f50d5c",
    "format": 1
   },
   {
    "name": "docs/log_setting_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "5a2ebdd4f47c0956c4fdd66e952ae4a8328db39a5e97ef27daf67c50df35cd34",
+   "chksum_sha256": "d84a0714b46c633632269885bd87619e3d9408f787087fbbe490611aaaeb7753",
    "format": 1
   },
   {
    "name": "docs/ldisk_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "d27a2bcdee242c452b034133daea6dd85c10542e166bcd5127d64be9993ad426",
+   "chksum_sha256": "605e5d574b0c44d00949b33e57d365db188757511cb473d334c4002f4afbc37f",
    "format": 1
   },
   {
    "name": "docs/ldap_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "65d728081b6b84df67dbbfcac6531abf94cf4c970aede6b8aa7ce9d30f492283",
+   "chksum_sha256": "7c129d008cbda1f98f99c511cb8414ea220637de3ee25c47e89c17de6ff42d0f",
    "format": 1
   },
   {
    "name": "docs/ldap_group_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "38b4ae3c925fd5c58e20bbf34b560404bb615c11e05cd6b805d34805c9145034",
+   "chksum_sha256": "477a271c2a6abacd4df0cc34966eeae4088f62b9721dda3b7b63f59fa89b7741",
    "format": 1
   },
   {
    "name": "docs/ldap_group_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "348e645cf102c2bde47bb84cfeecbb59bc49bafbc8faa92ea65ab56db6a06a2f",
+   "chksum_sha256": "7b7d392955bd4207df4da8b8e848d1f927759e4ce4d3ff87e80616c07f1971e7",
    "format": 1
   },
   {
    "name": "docs/kvm_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "5f1544c1c06eedd76cead81da9330facd39024f726c55376cb8df7d3768c505b",
+   "chksum_sha256": "1c0afc0b8d4b9d18cd5313cfaf09759a7e294d0aa8c4e9a657edc886b420467c",
    "format": 1
   },
   {
    "name": "docs/index.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "d1e6efd63090c42bff783b9f06faba41850edf416cf981326e08073524d3635e",
+   "chksum_sha256": "be521f090181145d570ff755b125150f00152f3f87b8dd8bd26d74ce787d6b9c",
    "format": 1
   },
   {
    "name": "docs/hba_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "e3fbd5521801b19f4c63e3e3ce678fc33f7316b4a9b27602b7987759717e909f",
+   "chksum_sha256": "5c9914ee1f8f4d8752156b8f1e0f66d6d0708c50879132c2b58a563f750582c6",
    "format": 1
   },
   {
    "name": "docs/hard_disk_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "582a9397687cbd5210e8c91288fee6ec9ba6228367c75c5d389c467837dce803",
+   "chksum_sha256": "180bdc88f29f5b5810df279073ab2424cafe92a7fa480ebe3416a46398dca29a",
    "format": 1
   },
   {
    "name": "docs/gpu_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "91e7172e2fff2b2ce3eb6482ea47abdaa8f06534a1f70a27068a8bbe8ccc77de",
+   "chksum_sha256": "36deaa819bc08233c234139ceda8834658d4b55ee61ce2cbe4a9f82ffbb2e4fa",
    "format": 1
   },
   {
    "name": "docs/fw_version_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "7be0dd0318339c15b0d53461d922ff553319e254decdfb0a7abeebdde1739c1d",
+   "chksum_sha256": "2613ea309a326eaf71ec5d3c8c0e42858fddab7e31e5f27be75ff2f7e330ee03",
    "format": 1
   },
   {
    "name": "docs/fru_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "f6f81205f1488cf3aeee9b010900e8ea96f5c8f9cfc08cabb0fec0a38b39069e",
+   "chksum_sha256": "9b2392790d5f8108768777641cebc0c9d38badb5ecf2f380b74017ecb2f09302",
    "format": 1
   },
   {
    "name": "docs/fan_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "5a1fb8385cee8b66f4fae40171d6005fb60e19fad902e7eb16073dc3586ba809",
+   "chksum_sha256": "fb40117f5822b4d236250d0df05da9228e9b9fa2ec9e76d4019b42c1a5fe9b0b",
    "format": 1
   },
   {
    "name": "docs/event_log_policy_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "923eb3470d1028c2175c93d6d68ad0b3b008751d79c9923bb35924f4564affe7",
+   "chksum_sha256": "e3227a9e3b9f2c18ea963604dea174b86d8e24c745d4065ea174d3120125b68b",
    "format": 1
   },
   {
    "name": "docs/event_log_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "fd55bf15c41930cec94487360a4440bdd81b8042efc0adbf9cc0379d2cdd393d",
+   "chksum_sha256": "ad40f8d9b9f302208840b176b57a703550cb2d70fc69c8b4b89a0653aa9920eb",
    "format": 1
   },
   {
    "name": "docs/edit_vlan_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "835d1b329c8b1517ee3aeb798171ca496e5b7890f705126ca436b9258794afbc",
+   "chksum_sha256": "bd3ffd4b9300f1648f2965f20192d114f1c4fd3ceee0ed0021bd4115aa2524e2",
    "format": 1
   },
   {
    "name": "docs/edit_virtual_media_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "bf1af1f59006f84f2abe89cccd3af29e69deac5e5ea332df6aa41ef9523c2672",
+   "chksum_sha256": "c79ff63869139e0fea1dc6ad7a2c7dded013b95b12c9dc66d495d4195fd84cef",
    "format": 1
   },
   {
    "name": "docs/edit_uid_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "535b426a0a21a5e60ec0730987929d6858a6a1d40afa356ccd60dddc6426138b",
+   "chksum_sha256": "85c144c864af6f0735bd3ae5d969bdf5ac0ca25557be9cb5d49863aae2d606dd",
    "format": 1
   },
   {
    "name": "docs/edit_threshold_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "7b7bee3c2e79c14030c36067ce89653f74f64be82377d413b2fda1477b0fd7d0",
+   "chksum_sha256": "7dc3d237201a2827f4485400d76b6754ef6b88c8e488062504d0e4b2526c6589",
    "format": 1
   },
   {
    "name": "docs/edit_snmp_trap_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "cbc586f165be3d51fc142b9790177ece8a73a2dc4209cdb3d5419f01e3df8e92",
+   "chksum_sha256": "70b00ea87cf75bd776af205b2f3a88dbc4138fbcbadc299f50bd94f29d488181",
    "format": 1
   },
   {
    "name": "docs/edit_snmp_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "23752a3a9c2bc543e1ea637d71c5e52c1affa984881a44df2922cc9050a6edf9",
+   "chksum_sha256": "e474c8ac1b43aeb91834d185076f44ad333583ba41de5dcb95d1e9aa94aa98cd",
    "format": 1
   },
   {
    "name": "docs/edit_smtp_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "15bce11630530856ebf57676e5e6691254c8ef5c897eb933aadcc1c07ab99701",
+   "chksum_sha256": "234b6886b2dfd31d9bf8e5767c5e1387b3c597b80ef120f47ded537dcae39444",
    "format": 1
   },
   {
    "name": "docs/edit_smtp_dest_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "b5cccc8a3552dd2859424859dac80c7fd5c9e4603d08aa9478cb95ac95053512",
+   "chksum_sha256": "751cb610ced17721f9d67b170777578fce0f639908cb2b810ac556d39d738fae",
    "format": 1
   },
   {
    "name": "docs/edit_smtp_com_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "ad2c56891defc7d45e61d9c1ecea60eae353ce4b31a44323c193619dfc7f45f3",
+   "chksum_sha256": "60db2065505d782f265ad9e4c3d269fde04865e08485cc511cb36c0ef8cc33c6",
    "format": 1
   },
   {
    "name": "docs/edit_service_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "0bde5d6e654e2bb7172acbb13472d8dc80965a9a85bc8a1073a129669bff6da9",
+   "chksum_sha256": "de8f15e54d08d08da4612c52abe93d029b6c2016da4970dfb85513787d9ea952",
    "format": 1
   },
   {
    "name": "docs/edit_restore_factory_default_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "d56cf66b938d28c425e2a7ffdc2b27bbe587aa87b50133cbbb0f4578b33fec7a",
+   "chksum_sha256": "5ea926a7b81bf9e71bff6d2e1d85b5cb512e863a682afb55900c5fa9b97742e1",
    "format": 1
   },
   {
    "name": "docs/edit_psu_peak_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "fb96a8ba1372ec8c51b94ca1e92739371f8a33293acf6f9c20a3ee7372292ca9",
+   "chksum_sha256": "343ad2844a99a93b760b269b08b1b0c7489015fe7b923c63845c080515a0a4b4",
    "format": 1
   },
   {
    "name": "docs/edit_psu_config_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "51ce6709501ca0c732260637da283045e9b89e71b053e6f4f7513cc37fbc77d9",
+   "chksum_sha256": "dca146079b44ddf8b60112a0e54b18439f09ea9b66c9564751e5619d42e5c940",
    "format": 1
   },
   {
    "name": "docs/edit_preserve_config_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "80228b222ddc428a49c0ff34624bdbbf9accd1c7e4ddc65703140efacc0e38d8",
+   "chksum_sha256": "4b79ab5411983a9aba3d31ab1d1efac749708d8f503a604fe5bc70577a20a448",
    "format": 1
   },
   {
    "name": "docs/edit_power_status_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "80413f82cb756224af3ad81b8b9a801294c3938307ddebb6178738a46210ce47",
+   "chksum_sha256": "eab78b18cec2dcdb216b4c416f497510c6d96e4349fe13426aa49e3c488068b4",
    "format": 1
   },
   {
    "name": "docs/edit_power_restore_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "e68e6f01c223bf5aaa0db09bad6f337211ebdb2962434861fe0590ba4dd81290",
+   "chksum_sha256": "1c6a7e9c5af6bf8f3ea2049164b9b4291dde192429abb7e488b6727133acb30d",
    "format": 1
   },
   {
    "name": "docs/edit_power_budget_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "ffe9f11c01b96791caee9bcf7bdb85cdf31df42c01c2b81e0e59aec97df9521e",
+   "chksum_sha256": "949f8f762bf7c705ba622934b9e27f72afa7af9e034c2a4a353498b79108beaf",
    "format": 1
   },
   {
    "name": "docs/edit_pdisk_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "0499ac63139b49aae97e771ee15aaa2e4e1452d293d06b873d6d9f4243a1752d",
+   "chksum_sha256": "2d5008a286fc2839a3c4f92b2e0ff0aa54702ca3abcd54a27948cd2e691bc112",
    "format": 1
   },
   {
    "name": "docs/edit_ntp_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "5061093611d4ae78029b747b3aeb4ccfda1863957f9ec58fa4b75e02883aa71e",
+   "chksum_sha256": "425f2b75ceb6ac27df520d34b51306facbe90801c8c29acf38e72bc8b52954e0",
    "format": 1
   },
   {
    "name": "docs/edit_network_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "b95c2225a2416a96c7a2b1b00105f6717556b050db19450ab3163735716a02eb",
+   "chksum_sha256": "9e8eb13dc3e404f684fb62b9199cba8354928739ccaa8a7e38309f5f0c39725d",
    "format": 1
   },
   {
    "name": "docs/edit_network_link_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "6cc631c793e51490d9c99496f3aef75a25969c24066fc4ce90c7bb4d2b4bfe76",
+   "chksum_sha256": "f0ef5258218fcc258821e695207806cf158f84eea4a31250e10de284d5fc44d4",
    "format": 1
   },
   {
    "name": "docs/edit_network_bond_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "369d0b507e14011c72e7e8439d37c1f9497aff33af680c948cc6b0cbe4d5d112",
+   "chksum_sha256": "af0e80855b30f3c403bac9110e4c8abc785ddc95773855c1f1d396604c855982",
    "format": 1
   },
   {
    "name": "docs/edit_ncsi_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "da7c13bf49ceb9072c896fb024787c63320d33cb5f807f88878e69b4d287bff7",
+   "chksum_sha256": "d87339fa3fb3d3b37d1102e4b1a035376d5bce01fdc4892025f481f9a5eec3be",
    "format": 1
   },
   {
    "name": "docs/edit_media_instance_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "3df37495d68be3e5518d5451221f33521593b996713ff223334c1545b59209f5",
+   "chksum_sha256": "7a55402898d4aac81cf58b1b890efc630e62efbb500da1b2bd256e8bc639e915",
    "format": 1
   },
   {
    "name": "docs/edit_manual_capture_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "fbc78c8260fd10080496aa17672f747a0699ca613d080526d6421cc5baba0ac3",
+   "chksum_sha256": "df8abeaab61a466c32bd5c2c4272e1b8caa2f1b04d9f51e204c5ae23edbe82f8",
    "format": 1
   },
   {
    "name": "docs/edit_m6_log_setting_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "b7a442039d7e7bba4802d5955353e1b6df5a7518b068512f4cdcabdc6fa61528",
+   "chksum_sha256": "0d175d8b688e27980cc51d5fc7c766f7d695a55e95009a43493ee97342442fa2",
    "format": 1
   },
   {
    "name": "docs/edit_log_setting_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "7689e0c9d8fb3a6b8dfdcbec028ca619fc76ad5a991266c8ed56b84a6b5b1d22",
+   "chksum_sha256": "8aeebb1eb859716c47fd5506bacb6c3bcfba4dc98516499ca3f06b6ff130c48a",
    "format": 1
   },
   {
    "name": "docs/edit_ldisk_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "eacff6fb205a8bc0b2a4d3068a0175254aa5b4abe3d691dda375a2449fa407f4",
+   "chksum_sha256": "d59812c993a664c1fcedef16ab33f80f73e04ab6efeb3e9e6d1cc554adb6de9c",
    "format": 1
   },
   {
    "name": "docs/edit_ldap_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "786e471e760887a5ab342808f17ea45f5013cc4c9ea8ed55a28bd0cfd50ea1ed",
+   "chksum_sha256": "e30710bc03e6d355e9177f95af5890fc475d28ad821ded6a780af2318caf57f0",
    "format": 1
   },
   {
    "name": "docs/edit_kvm_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "d405e86fd6816138f177e611fa347110e7c79fba49c2e95117ccf284cf855d05",
+   "chksum_sha256": "929e41703223c1ff40dde1da230171e3bfa5c1ebe59fff8042bbc1da34299ce4",
    "format": 1
   },
   {
    "name": "docs/edit_ipv6_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "9a429056626127fbfa4042c1ce38980d839360b06617b1771d8b5480cb9844fd",
+   "chksum_sha256": "e945beab892a3c69f186267a7b8e2bc611e87af34b4a0e238d111fb5ce73e9f2",
    "format": 1
   },
   {
    "name": "docs/edit_ipv4_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "9f22a39b31df592fda79850bdfabce1cfc48c03522eb5a42cbc3282e1c9e75d7",
+   "chksum_sha256": "73843955027d1c3b70b670958ed824ab6507b8b58489531e1b57ce5d2233ecd1",
    "format": 1
   },
   {
    "name": "docs/edit_fru_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "5fc8458e9b1883e83f8dcb8d9483c07314ebf7e2cf1175da2e3b9484a8c242a3",
+   "chksum_sha256": "fdfecaf81179f4d7f7ec0041e551bc34163a612aa0e5321d6341c2664d01b67f",
    "format": 1
   },
   {
    "name": "docs/edit_fan_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "32841e5459ad7fa7b5ec6193ac8aec300e58a15f4708a3eb8015d86334b2025c",
+   "chksum_sha256": "ef808c3e28995796359ddc3b9af538875e0b2ab63559156f6403602afde4ce46",
    "format": 1
   },
   {
    "name": "docs/edit_event_log_policy_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "23a605db6a4f3cbe451c42f6cfb9792647907607fbd3f2054aa42b21cb81af84",
+   "chksum_sha256": "c7169ab3304c36b9589c6618cf464f4302a8b8cb01bfc6b7074ac246e512ab07",
    "format": 1
   },
   {
    "name": "docs/edit_dns_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "e28f242a04d94e07bf6787fb2dbf53c1ab4be68be14dafd61a741f4eab7772ae",
+   "chksum_sha256": "2e6f409d5253e1b1132901ea6cdae9f61fa989e05504dbe42701c0723263227c",
    "format": 1
   },
   {
    "name": "docs/edit_connect_media_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "68d99af1c9b114f2d08ab114610c074a17bc613064caa60490b2a35d0bc8c906",
+   "chksum_sha256": "c1475c877f6d744ad7a2f957aa59a3cd8eb0d064731e9f81cbf3376416c37797",
    "format": 1
   },
   {
    "name": "docs/edit_boot_option_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "8f6eb8ca234c875f3c0c6cbd1022f0f59ea40209e0adae80e0347d8952f1a91b",
+   "chksum_sha256": "727cdab32d47eb02e4b5c88f7f79da3b5a9b1a02c9bd78c38b8f951fe7fa91b5",
    "format": 1
   },
   {
    "name": "docs/edit_boot_image_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "d68392a30312e7b63962020bc0bee5a47e19f88a6426130748842d7bd8da7232",
+   "chksum_sha256": "98c2fe32406b8b3baf0cebadbda20bca0904b6c6d830d5da94a5137b5cb83649",
    "format": 1
   },
   {
    "name": "docs/edit_bios_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "ef32b101c00e3acb4a7a3eae5e4b13e61af76cb9cc0d415cca0b7481f80cf183",
+   "chksum_sha256": "dec5b932c9b8202e0eeaf8c5f9f4faf3388ccf5cb3cf6471517c7ad72198fc16",
    "format": 1
   },
   {
    "name": "docs/edit_auto_capture_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "3784e9fe2b9d091b73798ba6e86d9a82343681f6e200dcedf8008f5eb51ec49c",
+   "chksum_sha256": "a8145d1931e9d39c7916e9fc3f2715830b0ceeddd7bfb1bd006dbdb54ce959d3",
    "format": 1
   },
   {
    "name": "docs/edit_alert_policy_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "6fff27156b822c65b3f83bb46621c199bd1f37547b6cb5d253a4deaf31d513c4",
+   "chksum_sha256": "940a41e7263b80916d4a9cee6831cfc50ca619870280a8d2f24b201ee2df98cd",
    "format": 1
   },
   {
    "name": "docs/edit_ad_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "eafb668f2061e1f734beff97e4af528cbd1404d964e335d96bbd005ef51219cc",
+   "chksum_sha256": "5a15a2425e73f64bdf7c2ea0cd69cc7a511575972f1f31edc9b6ab0a504438f9",
    "format": 1
   },
   {
    "name": "docs/download_manual_screenshot_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "28a36bac990288afae747403695a4860c649a94eb67f90c6f9bb76817d0503ac",
+   "chksum_sha256": "b09787330201397dd57ed210a0f8fbf86f586d2094f000f2349fdb47050adaa1",
    "format": 1
   },
   {
    "name": "docs/download_auto_screenshot_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "ee88aad005f07d2fbc98b7e88babf756264bb236ea44876d5b0104f9d18768a5",
+   "chksum_sha256": "c499d94fe2c215bb4a3a5bdc8f47aa033ddd1e39a4aea491ea96862ad1795677",
    "format": 1
   },
   {
    "name": "docs/dns_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "f00bb5713da0868badec729ddb560161b237c94fce627afb0ef8ef3f23af31fc",
+   "chksum_sha256": "8f1aa33579e16b04006e5fc6ea332f3cf0958701230b41e36e0de85951a95665",
    "format": 1
   },
   {
    "name": "docs/del_session_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "a3e3af052eda644eaa0400fd4b90de46703fe92fcd0f809dc3c986e4024d6a98",
+   "chksum_sha256": "6216fc41ceed37705007a287aa837deabc785dd6256cc19a6f396677c915bbfc",
    "format": 1
   },
   {
    "name": "docs/cpu_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "aeda31593a5856c16fff22a9ab5ac1a06b21a08cc46f17e2e22f8e4d9f0d7e9e",
+   "chksum_sha256": "7bd67b2c0774473959d7d60576326f39939cf5bb3f4ac0571f23afe333d5a9c9",
    "format": 1
   },
   {
    "name": "docs/connect_media_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "ac9b10030cec707f95ab385d46f868a1548c831e67ba1158facc606fb965e197",
+   "chksum_sha256": "ca7b54254745745a5d87387ca50c6d544d4faba0ebbf0311b6dd0438e8a8687d",
    "format": 1
   },
   {
    "name": "docs/collect_log_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "c5ee6b33475684b19efcdaf5500b053a09cdbdf35c7242b6619fb1467c6efde4",
+   "chksum_sha256": "3acd9645cc985f6391bdbd4cf243ab3c1cc928e9dfca4f50e74d50c8905d1587",
    "format": 1
   },
   {
    "name": "docs/collect_blackbox_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "5c4a606f19ad7cbde342aa3e63e56ec62fc6af2259b5c4e1b1d80306a842ab62",
+   "chksum_sha256": "5da55e980b286388e2113972427ceb5c2dcd19350c57ad9c52ed3df39ff6bb98",
    "format": 1
   },
   {
    "name": "docs/clear_system_log_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "23d0045ec209dc021c44b6635b281681f7bb505ae30270acd579dc97e8e9aa9d",
+   "chksum_sha256": "7a71fee514b77330fce13886919fc82a570b61650c5521a285ae4a0abe14084a",
    "format": 1
   },
   {
    "name": "docs/clear_event_log_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "9e2b6ffc3f6ff60f0a52bc7ee17ddae9a0de3b3b3bfe6aea2d8d5bce499ed5e1",
+   "chksum_sha256": "c346771e08999f971b7eec3efe03943c1869903ab08b5aa6a1ac19b83c0b0665",
    "format": 1
   },
   {
    "name": "docs/clear_audit_log_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "fa6c39c0992d2f6cb442c5dae4a6e6e84e96ccbfa48f59cb8e8d374ba8f266c1",
+   "chksum_sha256": "e9bf7bfbee29c4101cfb17e7a5f33a3ceac23d2d6649ce56a4a6cf73fc186fe3",
    "format": 1
   },
   {
    "name": "docs/boot_option_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "8e844dce1fa56828c3fe63f456021a500152d5f4e1e0beb17d09230b7fcbb1ae",
+   "chksum_sha256": "0f350a0df5c841aa0144f92f8136918dcc8ba04d67002a108c1da3bb0aed051b",
    "format": 1
   },
   {
    "name": "docs/boot_image_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "efa7088966a327074beca17a8d715768eb4df6a3a3cd8ca4f1086a8ae097b539",
+   "chksum_sha256": "59deeb8b8dbaab5c3228c762f81610b4030ea472c61719676eec78fd101a85e9",
    "format": 1
   },
   {
    "name": "docs/bmc_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "85c4427ae179e1d4a00d9e11edb350dfeb7a2255ac2c87d2b2d1f331e815552d",
+   "chksum_sha256": "dd69e3b1398f4308d43c1318dcb2b6f1c23209761008972361bed29d9b2fdc56",
    "format": 1
   },
   {
    "name": "docs/bios_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "7a726975d2dd0957ad0b7b5a134b4667eb44912447dd1692363e46cda8c6f4d0",
+   "chksum_sha256": "2fa28d9b66f01ebb0593ee44c952b1fda9527c34d6da3a6a37eb48b4349f1dd1",
    "format": 1
   },
   {
    "name": "docs/bios_import_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "e61d538abddd2feab711a1df6dbbe2ef50e236e3ecb9921720b315c7081673c3",
+   "chksum_sha256": "f88f93e14cbae27b3f5f6163319b7707fedd8a89cbd3e4b03a62b41d230e9512",
    "format": 1
   },
   {
    "name": "docs/bios_export_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "a47e97dbad38ef826446b795950c1d9cfab5d75b2f4116f8fa49cdaeefbbb583",
+   "chksum_sha256": "64237e95c4445461e8029f49c6c30632d36f2e5ae83c4ef3a5387caf4fa7df7f",
    "format": 1
   },
   {
    "name": "docs/backup_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "a04e11939760ab8fb8a97837fedbe2aa1d8fc7eb3ce37f6ca2a69106b7d05076",
+   "chksum_sha256": "36c29b17466a781c6d846d45d7e6f379b03fae7571c477406b424283a46f4bf4",
    "format": 1
   },
   {
    "name": "docs/backplane_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "bf4540ab53dde798bb68299673053c9e0bc599b3bf49792c3e905edc0952ec1f",
+   "chksum_sha256": "029f8bd219dd05d64a51527d29aeae619e55a38c2557af379a749f1ed8f96e2e",
    "format": 1
   },
   {
    "name": "docs/auto_capture_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "d70866018c58f8543c88db6aef4156b50f699a35fe3990f3623ab7eeae44e685",
+   "chksum_sha256": "c2292696c5dd5dfa057453be357b4c950235cc5ed0a6582ead0b1410908aca61",
    "format": 1
   },
   {
    "name": "docs/audit_log_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "3a264f0a5b9d20a41ea10b41fbeb92e4263a334c3c05e691fdc94eb16f264a62",
+   "chksum_sha256": "27324adb7d93a566421b5e1e48e98ec76b5aca9532c07d7399cf1c2105a78cab",
    "format": 1
   },
   {
    "name": "docs/alert_policy_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "e99691ab33d858ae2a76d5a08bb71addc8d8ee9df516d3fd87e4f30ca2d48ea0",
+   "chksum_sha256": "4473dd3a485df3113ea1f67a95d64e82fd4f73fdd1bb7b589384d335787c89cd",
    "format": 1
   },
   {
    "name": "docs/ad_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "a6b7938b7a342eb40872d170cc6d0cb0cffe6af04f5ac4df75406c577d35e7c7",
+   "chksum_sha256": "c89ebbdc1e7cd1f47918b97c63faf20956af23ce53ddb2d84893db78035f9c52",
    "format": 1
   },
   {
    "name": "docs/ad_group_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "ad52e37b3e590ca3d0b606a621b29b11db48ab401bf05a50541a585bf9b93f8a",
+   "chksum_sha256": "a80c5bf19847bd4456e059c76ae0f5600ce4301f3129bc2cd1140a3dea135029",
    "format": 1
   },
   {
    "name": "docs/ad_group_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "b735e6d3c0c809184fbd9067d3b58666db2729c70f42a8f139e185e247cf52ba",
+   "chksum_sha256": "61a91fb4d150ed32dbff59b505f4b70bacaa864850de853b26bd94d189c7608f",
    "format": 1
   },
   {
    "name": "docs/add_ldisk_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "51013b1fd0005c7f7e982d203162e415c4d7b729e60c641b731bbeaaf1db39bd",
+   "chksum_sha256": "5a553f3ef1e58176e9f03c05af7cc6c7fdbd31367722a18894a94c0ec1bdff32",
    "format": 1
   },
   {
    "name": "docs/adapter_info_module.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "a84a72e8d65ea687be9527720e0f62d18ac6689bc59111b2479cd879d117a130",
+   "chksum_sha256": "b7a0e48c20dfd3919ea57e34f33c0b94179ddd7b13a93fb19ac671c171071673",
    "format": 1
   },
   {
@@ -6745,21 +1894,21 @@
    "name": "changelogs/config.yaml",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "53143d6c6656a23762c2ea43ce7115b0ac71abd1e74d97775128cfc7e8c832bf",
+   "chksum_sha256": "93e6532aa24bd6b494fb52a349736e1595e133e7b2c6ff8197dbf35c31879d69",
    "format": 1
   },
   {
    "name": "changelogs/changelog.yaml",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "68423ef04f6c56c34a208801cde3797cc62c558d55aad8077742d82a71f987b8",
+   "chksum_sha256": "e196cdeb26ddbac3363d94de64f9966fff8026f27d95d0162856912d3b2da658",
    "format": 1
   },
   {
    "name": "changelogs/.plugin-cache.yaml",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "b6d6113717e0e315285c7e0c7010e6c5536edab02ec7233403548853ad3e2a53",
+   "chksum_sha256": "625f296302a8ee982a4e0ddeedf992f84eba381d27cfe74caf974e4c342ce1b1",
    "format": 1
   },
   {
@@ -6787,35 +1936,35 @@
    "name": ".idea/workspace.xml",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "9daa015853a1dec3af372ca87efd1b8327e25ac09934a58758c942dc3989589c",
+   "chksum_sha256": "12d8ad751b314ae3eafa3f247cc44a016f2e6a4cab441cada4054bbd8e3ad2dd",
    "format": 1
   },
   {
    "name": ".idea/vcs.xml",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "136f8b0a20e3e16f5b60e8505219c34746e1ec62c68433f4f8ec97eefe3aa038",
+   "chksum_sha256": "55768f1f84fb117f1d0fc383e180b5d0aa5e5e6584c8c4a2995c15b4237f0972",
    "format": 1
   },
   {
    "name": ".idea/modules.xml",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "254afa59eaee9e4ae7f4f7d499730e0f1aed66c13e0ca7ebaa49da891961040c",
+   "chksum_sha256": "c9b926e521155a29fc99cd681c6e8213c8987e89098c9b60c2f017a6035edcdf",
    "format": 1
   },
   {
    "name": ".idea/kaytus.ksmanage.iml",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "ad3cb481713f7a74e29ed42d121b8e94ca3bd51e262c2d6122a334f06dace88a",
+   "chksum_sha256": "c344d6de8f6a11a62bd62611d63c18aa5501626dcacb182708ad4f0f4dd7bf04",
    "format": 1
   },
   {
    "name": ".idea/.gitignore",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "e2e37ed60c50d8e41c42aa9f3505642a5f1689e67fb6bc7fe8a06dab09a0fa96",
+   "chksum_sha256": "a9e54fc4f08bc97d82c04bd86ff37d3af84ba9ef4ad87fcfcb438dab622e8aaa",
    "format": 1
   },
   {
@@ -6836,7 +1985,7 @@
    "name": ".github/workflows/ansible-test.yml",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "57eae27acf8e95c2a7a54737757dc458d7e1d92c528147c4335694926fb02afc",
+   "chksum_sha256": "06652389d4f3ac47fdb232dc6710cc446491b0f60a30db759e9340fd5248019b",
    "format": 1
   },
   {
@@ -6850,28 +1999,28 @@
    "name": "README.md",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "b4a50b7a90cd6656554f78cf467d5f6dbe4d6050c1668157dfc1ca487a3aa6f7",
+   "chksum_sha256": "404ba21846b253ee0dc32a0d25e5b7eee9dcfd4a420b7c7ef7ce081ca761fdfa",
    "format": 1
   },
   {
    "name": "LICENSE",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "230184f60bae2feaf244f10a8bac053c8ff33a183bcc365b4d8b876d2b7f4809",
+   "chksum_sha256": "3972dc9744f6499f0f9b2dbf76696f2ae7ad8af9b23dde66d6af86c9dfb36986",
    "format": 1
   },
   {
    "name": "CODE_OF_CONDUCT.md",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "855a46ca79e3a1b68c4e8d344881e4b8321ab63fe1c4d15a5ce35856f20b7d9a",
+   "chksum_sha256": "14ec928234a7ed52bf8b458d31e4862335111e477e4dbe7fb543686c24115140",
    "format": 1
   },
   {
    "name": "CHANGELOG.rst",
    "ftype": "file",
    "chksum_type": "sha256",
-   "chksum_sha256": "62cee53d75ee78f45b5e494cf40bfe073eb859d03cd8006df5e51ff72795cdff",
+   "chksum_sha256": "6b5cc5f1c32e9a857a4425cecd8c7339683159b41c8231c8b04648d79e86a1d6",
    "format": 1
   }
  ],
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/LICENSE 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/LICENSE
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/LICENSE	2024-04-23 11:47:04.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/LICENSE	2024-06-06 01:26:24.000000000 +0000
@@ -1,674 +1,674 @@
-                    GNU GENERAL PUBLIC LICENSE
-                       Version 3, 29 June 2007
-
- Copyright (C) 2007 Free Software Foundation, Inc. <https://fsf.org/>
- Everyone is permitted to copy and distribute verbatim copies
- of this license document, but changing it is not allowed.
-
-                            Preamble
-
-  The GNU General Public License is a free, copyleft license for
-software and other kinds of works.
-
-  The licenses for most software and other practical works are designed
-to take away your freedom to share and change the works.  By contrast,
-the GNU General Public License is intended to guarantee your freedom to
-share and change all versions of a program--to make sure it remains free
-software for all its users.  We, the Free Software Foundation, use the
-GNU General Public License for most of our software; it applies also to
-any other work released this way by its authors.  You can apply it to
-your programs, too.
-
-  When we speak of free software, we are referring to freedom, not
-price.  Our General Public Licenses are designed to make sure that you
-have the freedom to distribute copies of free software (and charge for
-them if you wish), that you receive source code or can get it if you
-want it, that you can change the software or use pieces of it in new
-free programs, and that you know you can do these things.
-
-  To protect your rights, we need to prevent others from denying you
-these rights or asking you to surrender the rights.  Therefore, you have
-certain responsibilities if you distribute copies of the software, or if
-you modify it: responsibilities to respect the freedom of others.
-
-  For example, if you distribute copies of such a program, whether
-gratis or for a fee, you must pass on to the recipients the same
-freedoms that you received.  You must make sure that they, too, receive
-or can get the source code.  And you must show them these terms so they
-know their rights.
-
-  Developers that use the GNU GPL protect your rights with two steps:
-(1) assert copyright on the software, and (2) offer you this License
-giving you legal permission to copy, distribute and/or modify it.
-
-  For the developers' and authors' protection, the GPL clearly explains
-that there is no warranty for this free software.  For both users' and
-authors' sake, the GPL requires that modified versions be marked as
-changed, so that their problems will not be attributed erroneously to
-authors of previous versions.
-
-  Some devices are designed to deny users access to install or run
-modified versions of the software inside them, although the manufacturer
-can do so.  This is fundamentally incompatible with the aim of
-protecting users' freedom to change the software.  The systematic
-pattern of such abuse occurs in the area of products for individuals to
-use, which is precisely where it is most unacceptable.  Therefore, we
-have designed this version of the GPL to prohibit the practice for those
-products.  If such problems arise substantially in other domains, we
-stand ready to extend this provision to those domains in future versions
-of the GPL, as needed to protect the freedom of users.
-
-  Finally, every program is threatened constantly by software patents.
-States should not allow patents to restrict development and use of
-software on general-purpose computers, but in those that do, we wish to
-avoid the special danger that patents applied to a free program could
-make it effectively proprietary.  To prevent this, the GPL assures that
-patents cannot be used to render the program non-free.
-
-  The precise terms and conditions for copying, distribution and
-modification follow.
-
-                       TERMS AND CONDITIONS
-
-  0. Definitions.
-
-  "This License" refers to version 3 of the GNU General Public License.
-
-  "Copyright" also means copyright-like laws that apply to other kinds of
-works, such as semiconductor masks.
-
-  "The Program" refers to any copyrightable work licensed under this
-License.  Each licensee is addressed as "you".  "Licensees" and
-"recipients" may be individuals or organizations.
-
-  To "modify" a work means to copy from or adapt all or part of the work
-in a fashion requiring copyright permission, other than the making of an
-exact copy.  The resulting work is called a "modified version" of the
-earlier work or a work "based on" the earlier work.
-
-  A "covered work" means either the unmodified Program or a work based
-on the Program.
-
-  To "propagate" a work means to do anything with it that, without
-permission, would make you directly or secondarily liable for
-infringement under applicable copyright law, except executing it on a
-computer or modifying a private copy.  Propagation includes copying,
-distribution (with or without modification), making available to the
-public, and in some countries other activities as well.
-
-  To "convey" a work means any kind of propagation that enables other
-parties to make or receive copies.  Mere interaction with a user through
-a computer network, with no transfer of a copy, is not conveying.
-
-  An interactive user interface displays "Appropriate Legal Notices"
-to the extent that it includes a convenient and prominently visible
-feature that (1) displays an appropriate copyright notice, and (2)
-tells the user that there is no warranty for the work (except to the
-extent that warranties are provided), that licensees may convey the
-work under this License, and how to view a copy of this License.  If
-the interface presents a list of user commands or options, such as a
-menu, a prominent item in the list meets this criterion.
-
-  1. Source Code.
-
-  The "source code" for a work means the preferred form of the work
-for making modifications to it.  "Object code" means any non-source
-form of a work.
-
-  A "Standard Interface" means an interface that either is an official
-standard defined by a recognized standards body, or, in the case of
-interfaces specified for a particular programming language, one that
-is widely used among developers working in that language.
-
-  The "System Libraries" of an executable work include anything, other
-than the work as a whole, that (a) is included in the normal form of
-packaging a Major Component, but which is not part of that Major
-Component, and (b) serves only to enable use of the work with that
-Major Component, or to implement a Standard Interface for which an
-implementation is available to the public in source code form.  A
-"Major Component", in this context, means a major essential component
-(kernel, window system, and so on) of the specific operating system
-(if any) on which the executable work runs, or a compiler used to
-produce the work, or an object code interpreter used to run it.
-
-  The "Corresponding Source" for a work in object code form means all
-the source code needed to generate, install, and (for an executable
-work) run the object code and to modify the work, including scripts to
-control those activities.  However, it does not include the work's
-System Libraries, or general-purpose tools or generally available free
-programs which are used unmodified in performing those activities but
-which are not part of the work.  For example, Corresponding Source
-includes interface definition files associated with source files for
-the work, and the source code for shared libraries and dynamically
-linked subprograms that the work is specifically designed to require,
-such as by intimate data communication or control flow between those
-subprograms and other parts of the work.
-
-  The Corresponding Source need not include anything that users
-can regenerate automatically from other parts of the Corresponding
-Source.
-
-  The Corresponding Source for a work in source code form is that
-same work.
-
-  2. Basic Permissions.
-
-  All rights granted under this License are granted for the term of
-copyright on the Program, and are irrevocable provided the stated
-conditions are met.  This License explicitly affirms your unlimited
-permission to run the unmodified Program.  The output from running a
-covered work is covered by this License only if the output, given its
-content, constitutes a covered work.  This License acknowledges your
-rights of fair use or other equivalent, as provided by copyright law.
-
-  You may make, run and propagate covered works that you do not
-convey, without conditions so long as your license otherwise remains
-in force.  You may convey covered works to others for the sole purpose
-of having them make modifications exclusively for you, or provide you
-with facilities for running those works, provided that you comply with
-the terms of this License in conveying all material for which you do
-not control copyright.  Those thus making or running the covered works
-for you must do so exclusively on your behalf, under your direction
-and control, on terms that prohibit them from making any copies of
-your copyrighted material outside their relationship with you.
-
-  Conveying under any other circumstances is permitted solely under
-the conditions stated below.  Sublicensing is not allowed; section 10
-makes it unnecessary.
-
-  3. Protecting Users' Legal Rights From Anti-Circumvention Law.
-
-  No covered work shall be deemed part of an effective technological
-measure under any applicable law fulfilling obligations under article
-11 of the WIPO copyright treaty adopted on 20 December 1996, or
-similar laws prohibiting or restricting circumvention of such
-measures.
-
-  When you convey a covered work, you waive any legal power to forbid
-circumvention of technological measures to the extent such circumvention
-is effected by exercising rights under this License with respect to
-the covered work, and you disclaim any intention to limit operation or
-modification of the work as a means of enforcing, against the work's
-users, your or third parties' legal rights to forbid circumvention of
-technological measures.
-
-  4. Conveying Verbatim Copies.
-
-  You may convey verbatim copies of the Program's source code as you
-receive it, in any medium, provided that you conspicuously and
-appropriately publish on each copy an appropriate copyright notice;
-keep intact all notices stating that this License and any
-non-permissive terms added in accord with section 7 apply to the code;
-keep intact all notices of the absence of any warranty; and give all
-recipients a copy of this License along with the Program.
-
-  You may charge any price or no price for each copy that you convey,
-and you may offer support or warranty protection for a fee.
-
-  5. Conveying Modified Source Versions.
-
-  You may convey a work based on the Program, or the modifications to
-produce it from the Program, in the form of source code under the
-terms of section 4, provided that you also meet all of these conditions:
-
-    a) The work must carry prominent notices stating that you modified
-    it, and giving a relevant date.
-
-    b) The work must carry prominent notices stating that it is
-    released under this License and any conditions added under section
-    7.  This requirement modifies the requirement in section 4 to
-    "keep intact all notices".
-
-    c) You must license the entire work, as a whole, under this
-    License to anyone who comes into possession of a copy.  This
-    License will therefore apply, along with any applicable section 7
-    additional terms, to the whole of the work, and all its parts,
-    regardless of how they are packaged.  This License gives no
-    permission to license the work in any other way, but it does not
-    invalidate such permission if you have separately received it.
-
-    d) If the work has interactive user interfaces, each must display
-    Appropriate Legal Notices; however, if the Program has interactive
-    interfaces that do not display Appropriate Legal Notices, your
-    work need not make them do so.
-
-  A compilation of a covered work with other separate and independent
-works, which are not by their nature extensions of the covered work,
-and which are not combined with it such as to form a larger program,
-in or on a volume of a storage or distribution medium, is called an
-"aggregate" if the compilation and its resulting copyright are not
-used to limit the access or legal rights of the compilation's users
-beyond what the individual works permit.  Inclusion of a covered work
-in an aggregate does not cause this License to apply to the other
-parts of the aggregate.
-
-  6. Conveying Non-Source Forms.
-
-  You may convey a covered work in object code form under the terms
-of sections 4 and 5, provided that you also convey the
-machine-readable Corresponding Source under the terms of this License,
-in one of these ways:
-
-    a) Convey the object code in, or embodied in, a physical product
-    (including a physical distribution medium), accompanied by the
-    Corresponding Source fixed on a durable physical medium
-    customarily used for software interchange.
-
-    b) Convey the object code in, or embodied in, a physical product
-    (including a physical distribution medium), accompanied by a
-    written offer, valid for at least three years and valid for as
-    long as you offer spare parts or customer support for that product
-    model, to give anyone who possesses the object code either (1) a
-    copy of the Corresponding Source for all the software in the
-    product that is covered by this License, on a durable physical
-    medium customarily used for software interchange, for a price no
-    more than your reasonable cost of physically performing this
-    conveying of source, or (2) access to copy the
-    Corresponding Source from a network server at no charge.
-
-    c) Convey individual copies of the object code with a copy of the
-    written offer to provide the Corresponding Source.  This
-    alternative is allowed only occasionally and noncommercially, and
-    only if you received the object code with such an offer, in accord
-    with subsection 6b.
-
-    d) Convey the object code by offering access from a designated
-    place (gratis or for a charge), and offer equivalent access to the
-    Corresponding Source in the same way through the same place at no
-    further charge.  You need not require recipients to copy the
-    Corresponding Source along with the object code.  If the place to
-    copy the object code is a network server, the Corresponding Source
-    may be on a different server (operated by you or a third party)
-    that supports equivalent copying facilities, provided you maintain
-    clear directions next to the object code saying where to find the
-    Corresponding Source.  Regardless of what server hosts the
-    Corresponding Source, you remain obligated to ensure that it is
-    available for as long as needed to satisfy these requirements.
-
-    e) Convey the object code using peer-to-peer transmission, provided
-    you inform other peers where the object code and Corresponding
-    Source of the work are being offered to the general public at no
-    charge under subsection 6d.
-
-  A separable portion of the object code, whose source code is excluded
-from the Corresponding Source as a System Library, need not be
-included in conveying the object code work.
-
-  A "User Product" is either (1) a "consumer product", which means any
-tangible personal property which is normally used for personal, family,
-or household purposes, or (2) anything designed or sold for incorporation
-into a dwelling.  In determining whether a product is a consumer product,
-doubtful cases shall be resolved in favor of coverage.  For a particular
-product received by a particular user, "normally used" refers to a
-typical or common use of that class of product, regardless of the status
-of the particular user or of the way in which the particular user
-actually uses, or expects or is expected to use, the product.  A product
-is a consumer product regardless of whether the product has substantial
-commercial, industrial or non-consumer uses, unless such uses represent
-the only significant mode of use of the product.
-
-  "Installation Information" for a User Product means any methods,
-procedures, authorization keys, or other information required to install
-and execute modified versions of a covered work in that User Product from
-a modified version of its Corresponding Source.  The information must
-suffice to ensure that the continued functioning of the modified object
-code is in no case prevented or interfered with solely because
-modification has been made.
-
-  If you convey an object code work under this section in, or with, or
-specifically for use in, a User Product, and the conveying occurs as
-part of a transaction in which the right of possession and use of the
-User Product is transferred to the recipient in perpetuity or for a
-fixed term (regardless of how the transaction is characterized), the
-Corresponding Source conveyed under this section must be accompanied
-by the Installation Information.  But this requirement does not apply
-if neither you nor any third party retains the ability to install
-modified object code on the User Product (for example, the work has
-been installed in ROM).
-
-  The requirement to provide Installation Information does not include a
-requirement to continue to provide support service, warranty, or updates
-for a work that has been modified or installed by the recipient, or for
-the User Product in which it has been modified or installed.  Access to a
-network may be denied when the modification itself materially and
-adversely affects the operation of the network or violates the rules and
-protocols for communication across the network.
-
-  Corresponding Source conveyed, and Installation Information provided,
-in accord with this section must be in a format that is publicly
-documented (and with an implementation available to the public in
-source code form), and must require no special password or key for
-unpacking, reading or copying.
-
-  7. Additional Terms.
-
-  "Additional permissions" are terms that supplement the terms of this
-License by making exceptions from one or more of its conditions.
-Additional permissions that are applicable to the entire Program shall
-be treated as though they were included in this License, to the extent
-that they are valid under applicable law.  If additional permissions
-apply only to part of the Program, that part may be used separately
-under those permissions, but the entire Program remains governed by
-this License without regard to the additional permissions.
-
-  When you convey a copy of a covered work, you may at your option
-remove any additional permissions from that copy, or from any part of
-it.  (Additional permissions may be written to require their own
-removal in certain cases when you modify the work.)  You may place
-additional permissions on material, added by you to a covered work,
-for which you have or can give appropriate copyright permission.
-
-  Notwithstanding any other provision of this License, for material you
-add to a covered work, you may (if authorized by the copyright holders of
-that material) supplement the terms of this License with terms:
-
-    a) Disclaiming warranty or limiting liability differently from the
-    terms of sections 15 and 16 of this License; or
-
-    b) Requiring preservation of specified reasonable legal notices or
-    author attributions in that material or in the Appropriate Legal
-    Notices displayed by works containing it; or
-
-    c) Prohibiting misrepresentation of the origin of that material, or
-    requiring that modified versions of such material be marked in
-    reasonable ways as different from the original version; or
-
-    d) Limiting the use for publicity purposes of names of licensors or
-    authors of the material; or
-
-    e) Declining to grant rights under trademark law for use of some
-    trade names, trademarks, or service marks; or
-
-    f) Requiring indemnification of licensors and authors of that
-    material by anyone who conveys the material (or modified versions of
-    it) with contractual assumptions of liability to the recipient, for
-    any liability that these contractual assumptions directly impose on
-    those licensors and authors.
-
-  All other non-permissive additional terms are considered "further
-restrictions" within the meaning of section 10.  If the Program as you
-received it, or any part of it, contains a notice stating that it is
-governed by this License along with a term that is a further
-restriction, you may remove that term.  If a license document contains
-a further restriction but permits relicensing or conveying under this
-License, you may add to a covered work material governed by the terms
-of that license document, provided that the further restriction does
-not survive such relicensing or conveying.
-
-  If you add terms to a covered work in accord with this section, you
-must place, in the relevant source files, a statement of the
-additional terms that apply to those files, or a notice indicating
-where to find the applicable terms.
-
-  Additional terms, permissive or non-permissive, may be stated in the
-form of a separately written license, or stated as exceptions;
-the above requirements apply either way.
-
-  8. Termination.
-
-  You may not propagate or modify a covered work except as expressly
-provided under this License.  Any attempt otherwise to propagate or
-modify it is void, and will automatically terminate your rights under
-this License (including any patent licenses granted under the third
-paragraph of section 11).
-
-  However, if you cease all violation of this License, then your
-license from a particular copyright holder is reinstated (a)
-provisionally, unless and until the copyright holder explicitly and
-finally terminates your license, and (b) permanently, if the copyright
-holder fails to notify you of the violation by some reasonable means
-prior to 60 days after the cessation.
-
-  Moreover, your license from a particular copyright holder is
-reinstated permanently if the copyright holder notifies you of the
-violation by some reasonable means, this is the first time you have
-received notice of violation of this License (for any work) from that
-copyright holder, and you cure the violation prior to 30 days after
-your receipt of the notice.
-
-  Termination of your rights under this section does not terminate the
-licenses of parties who have received copies or rights from you under
-this License.  If your rights have been terminated and not permanently
-reinstated, you do not qualify to receive new licenses for the same
-material under section 10.
-
-  9. Acceptance Not Required for Having Copies.
-
-  You are not required to accept this License in order to receive or
-run a copy of the Program.  Ancillary propagation of a covered work
-occurring solely as a consequence of using peer-to-peer transmission
-to receive a copy likewise does not require acceptance.  However,
-nothing other than this License grants you permission to propagate or
-modify any covered work.  These actions infringe copyright if you do
-not accept this License.  Therefore, by modifying or propagating a
-covered work, you indicate your acceptance of this License to do so.
-
-  10. Automatic Licensing of Downstream Recipients.
-
-  Each time you convey a covered work, the recipient automatically
-receives a license from the original licensors, to run, modify and
-propagate that work, subject to this License.  You are not responsible
-for enforcing compliance by third parties with this License.
-
-  An "entity transaction" is a transaction transferring control of an
-organization, or substantially all assets of one, or subdividing an
-organization, or merging organizations.  If propagation of a covered
-work results from an entity transaction, each party to that
-transaction who receives a copy of the work also receives whatever
-licenses to the work the party's predecessor in interest had or could
-give under the previous paragraph, plus a right to possession of the
-Corresponding Source of the work from the predecessor in interest, if
-the predecessor has it or can get it with reasonable efforts.
-
-  You may not impose any further restrictions on the exercise of the
-rights granted or affirmed under this License.  For example, you may
-not impose a license fee, royalty, or other charge for exercise of
-rights granted under this License, and you may not initiate litigation
-(including a cross-claim or counterclaim in a lawsuit) alleging that
-any patent claim is infringed by making, using, selling, offering for
-sale, or importing the Program or any portion of it.
-
-  11. Patents.
-
-  A "contributor" is a copyright holder who authorizes use under this
-License of the Program or a work on which the Program is based.  The
-work thus licensed is called the contributor's "contributor version".
-
-  A contributor's "essential patent claims" are all patent claims
-owned or controlled by the contributor, whether already acquired or
-hereafter acquired, that would be infringed by some manner, permitted
-by this License, of making, using, or selling its contributor version,
-but do not include claims that would be infringed only as a
-consequence of further modification of the contributor version.  For
-purposes of this definition, "control" includes the right to grant
-patent sublicenses in a manner consistent with the requirements of
-this License.
-
-  Each contributor grants you a non-exclusive, worldwide, royalty-free
-patent license under the contributor's essential patent claims, to
-make, use, sell, offer for sale, import and otherwise run, modify and
-propagate the contents of its contributor version.
-
-  In the following three paragraphs, a "patent license" is any express
-agreement or commitment, however denominated, not to enforce a patent
-(such as an express permission to practice a patent or covenant not to
-sue for patent infringement).  To "grant" such a patent license to a
-party means to make such an agreement or commitment not to enforce a
-patent against the party.
-
-  If you convey a covered work, knowingly relying on a patent license,
-and the Corresponding Source of the work is not available for anyone
-to copy, free of charge and under the terms of this License, through a
-publicly available network server or other readily accessible means,
-then you must either (1) cause the Corresponding Source to be so
-available, or (2) arrange to deprive yourself of the benefit of the
-patent license for this particular work, or (3) arrange, in a manner
-consistent with the requirements of this License, to extend the patent
-license to downstream recipients.  "Knowingly relying" means you have
-actual knowledge that, but for the patent license, your conveying the
-covered work in a country, or your recipient's use of the covered work
-in a country, would infringe one or more identifiable patents in that
-country that you have reason to believe are valid.
-
-  If, pursuant to or in connection with a single transaction or
-arrangement, you convey, or propagate by procuring conveyance of, a
-covered work, and grant a patent license to some of the parties
-receiving the covered work authorizing them to use, propagate, modify
-or convey a specific copy of the covered work, then the patent license
-you grant is automatically extended to all recipients of the covered
-work and works based on it.
-
-  A patent license is "discriminatory" if it does not include within
-the scope of its coverage, prohibits the exercise of, or is
-conditioned on the non-exercise of one or more of the rights that are
-specifically granted under this License.  You may not convey a covered
-work if you are a party to an arrangement with a third party that is
-in the business of distributing software, under which you make payment
-to the third party based on the extent of your activity of conveying
-the work, and under which the third party grants, to any of the
-parties who would receive the covered work from you, a discriminatory
-patent license (a) in connection with copies of the covered work
-conveyed by you (or copies made from those copies), or (b) primarily
-for and in connection with specific products or compilations that
-contain the covered work, unless you entered into that arrangement,
-or that patent license was granted, prior to 28 March 2007.
-
-  Nothing in this License shall be construed as excluding or limiting
-any implied license or other defenses to infringement that may
-otherwise be available to you under applicable patent law.
-
-  12. No Surrender of Others' Freedom.
-
-  If conditions are imposed on you (whether by court order, agreement or
-otherwise) that contradict the conditions of this License, they do not
-excuse you from the conditions of this License.  If you cannot convey a
-covered work so as to satisfy simultaneously your obligations under this
-License and any other pertinent obligations, then as a consequence you may
-not convey it at all.  For example, if you agree to terms that obligate you
-to collect a royalty for further conveying from those to whom you convey
-the Program, the only way you could satisfy both those terms and this
-License would be to refrain entirely from conveying the Program.
-
-  13. Use with the GNU Affero General Public License.
-
-  Notwithstanding any other provision of this License, you have
-permission to link or combine any covered work with a work licensed
-under version 3 of the GNU Affero General Public License into a single
-combined work, and to convey the resulting work.  The terms of this
-License will continue to apply to the part which is the covered work,
-but the special requirements of the GNU Affero General Public License,
-section 13, concerning interaction through a network will apply to the
-combination as such.
-
-  14. Revised Versions of this License.
-
-  The Free Software Foundation may publish revised and/or new versions of
-the GNU General Public License from time to time.  Such new versions will
-be similar in spirit to the present version, but may differ in detail to
-address new problems or concerns.
-
-  Each version is given a distinguishing version number.  If the
-Program specifies that a certain numbered version of the GNU General
-Public License "or any later version" applies to it, you have the
-option of following the terms and conditions either of that numbered
-version or of any later version published by the Free Software
-Foundation.  If the Program does not specify a version number of the
-GNU General Public License, you may choose any version ever published
-by the Free Software Foundation.
-
-  If the Program specifies that a proxy can decide which future
-versions of the GNU General Public License can be used, that proxy's
-public statement of acceptance of a version permanently authorizes you
-to choose that version for the Program.
-
-  Later license versions may give you additional or different
-permissions.  However, no additional obligations are imposed on any
-author or copyright holder as a result of your choosing to follow a
-later version.
-
-  15. Disclaimer of Warranty.
-
-  THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY
-APPLICABLE LAW.  EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT
-HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY
-OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO,
-THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
-PURPOSE.  THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM
-IS WITH YOU.  SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF
-ALL NECESSARY SERVICING, REPAIR OR CORRECTION.
-
-  16. Limitation of Liability.
-
-  IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING
-WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS
-THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY
-GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE
-USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF
-DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD
-PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS),
-EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF
-SUCH DAMAGES.
-
-  17. Interpretation of Sections 15 and 16.
-
-  If the disclaimer of warranty and limitation of liability provided
-above cannot be given local legal effect according to their terms,
-reviewing courts shall apply local law that most closely approximates
-an absolute waiver of all civil liability in connection with the
-Program, unless a warranty or assumption of liability accompanies a
-copy of the Program in return for a fee.
-
-                     END OF TERMS AND CONDITIONS
-
-            How to Apply These Terms to Your New Programs
-
-  If you develop a new program, and you want it to be of the greatest
-possible use to the public, the best way to achieve this is to make it
-free software which everyone can redistribute and change under these terms.
-
-  To do so, attach the following notices to the program.  It is safest
-to attach them to the start of each source file to most effectively
-state the exclusion of warranty; and each file should have at least
-the "copyright" line and a pointer to where the full notice is found.
-
-    <one line to give the program's name and a brief idea of what it does.>
-    Copyright (C) <year>  <name of author>
-
-    This program is free software: you can redistribute it and/or modify
-    it under the terms of the GNU General Public License as published by
-    the Free Software Foundation, either version 3 of the License, or
-    (at your option) any later version.
-
-    This program is distributed in the hope that it will be useful,
-    but WITHOUT ANY WARRANTY; without even the implied warranty of
-    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-    GNU General Public License for more details.
-
-    You should have received a copy of the GNU General Public License
-    along with this program.  If not, see <https://www.gnu.org/licenses/>.
-
-Also add information on how to contact you by electronic and paper mail.
-
-  If the program does terminal interaction, make it output a short
-notice like this when it starts in an interactive mode:
-
-    <program>  Copyright (C) <year>  <name of author>
-    This program comes with ABSOLUTELY NO WARRANTY; for details type `show w'.
-    This is free software, and you are welcome to redistribute it
-    under certain conditions; type `show c' for details.
-
-The hypothetical commands `show w' and `show c' should show the appropriate
-parts of the General Public License.  Of course, your program's commands
-might be different; for a GUI interface, you would use an "about box".
-
-  You should also get your employer (if you work as a programmer) or school,
-if any, to sign a "copyright disclaimer" for the program, if necessary.
-For more information on this, and how to apply and follow the GNU GPL, see
-<https://www.gnu.org/licenses/>.
-
-  The GNU General Public License does not permit incorporating your program
-into proprietary programs.  If your program is a subroutine library, you
-may consider it more useful to permit linking proprietary applications with
-the library.  If this is what you want to do, use the GNU Lesser General
-Public License instead of this License.  But first, please read
-<https://www.gnu.org/licenses/why-not-lgpl.html>.
+                    GNU GENERAL PUBLIC LICENSE
+                       Version 3, 29 June 2007
+
+ Copyright (C) 2007 Free Software Foundation, Inc. <https://fsf.org/>
+ Everyone is permitted to copy and distribute verbatim copies
+ of this license document, but changing it is not allowed.
+
+                            Preamble
+
+  The GNU General Public License is a free, copyleft license for
+software and other kinds of works.
+
+  The licenses for most software and other practical works are designed
+to take away your freedom to share and change the works.  By contrast,
+the GNU General Public License is intended to guarantee your freedom to
+share and change all versions of a program--to make sure it remains free
+software for all its users.  We, the Free Software Foundation, use the
+GNU General Public License for most of our software; it applies also to
+any other work released this way by its authors.  You can apply it to
+your programs, too.
+
+  When we speak of free software, we are referring to freedom, not
+price.  Our General Public Licenses are designed to make sure that you
+have the freedom to distribute copies of free software (and charge for
+them if you wish), that you receive source code or can get it if you
+want it, that you can change the software or use pieces of it in new
+free programs, and that you know you can do these things.
+
+  To protect your rights, we need to prevent others from denying you
+these rights or asking you to surrender the rights.  Therefore, you have
+certain responsibilities if you distribute copies of the software, or if
+you modify it: responsibilities to respect the freedom of others.
+
+  For example, if you distribute copies of such a program, whether
+gratis or for a fee, you must pass on to the recipients the same
+freedoms that you received.  You must make sure that they, too, receive
+or can get the source code.  And you must show them these terms so they
+know their rights.
+
+  Developers that use the GNU GPL protect your rights with two steps:
+(1) assert copyright on the software, and (2) offer you this License
+giving you legal permission to copy, distribute and/or modify it.
+
+  For the developers' and authors' protection, the GPL clearly explains
+that there is no warranty for this free software.  For both users' and
+authors' sake, the GPL requires that modified versions be marked as
+changed, so that their problems will not be attributed erroneously to
+authors of previous versions.
+
+  Some devices are designed to deny users access to install or run
+modified versions of the software inside them, although the manufacturer
+can do so.  This is fundamentally incompatible with the aim of
+protecting users' freedom to change the software.  The systematic
+pattern of such abuse occurs in the area of products for individuals to
+use, which is precisely where it is most unacceptable.  Therefore, we
+have designed this version of the GPL to prohibit the practice for those
+products.  If such problems arise substantially in other domains, we
+stand ready to extend this provision to those domains in future versions
+of the GPL, as needed to protect the freedom of users.
+
+  Finally, every program is threatened constantly by software patents.
+States should not allow patents to restrict development and use of
+software on general-purpose computers, but in those that do, we wish to
+avoid the special danger that patents applied to a free program could
+make it effectively proprietary.  To prevent this, the GPL assures that
+patents cannot be used to render the program non-free.
+
+  The precise terms and conditions for copying, distribution and
+modification follow.
+
+                       TERMS AND CONDITIONS
+
+  0. Definitions.
+
+  "This License" refers to version 3 of the GNU General Public License.
+
+  "Copyright" also means copyright-like laws that apply to other kinds of
+works, such as semiconductor masks.
+
+  "The Program" refers to any copyrightable work licensed under this
+License.  Each licensee is addressed as "you".  "Licensees" and
+"recipients" may be individuals or organizations.
+
+  To "modify" a work means to copy from or adapt all or part of the work
+in a fashion requiring copyright permission, other than the making of an
+exact copy.  The resulting work is called a "modified version" of the
+earlier work or a work "based on" the earlier work.
+
+  A "covered work" means either the unmodified Program or a work based
+on the Program.
+
+  To "propagate" a work means to do anything with it that, without
+permission, would make you directly or secondarily liable for
+infringement under applicable copyright law, except executing it on a
+computer or modifying a private copy.  Propagation includes copying,
+distribution (with or without modification), making available to the
+public, and in some countries other activities as well.
+
+  To "convey" a work means any kind of propagation that enables other
+parties to make or receive copies.  Mere interaction with a user through
+a computer network, with no transfer of a copy, is not conveying.
+
+  An interactive user interface displays "Appropriate Legal Notices"
+to the extent that it includes a convenient and prominently visible
+feature that (1) displays an appropriate copyright notice, and (2)
+tells the user that there is no warranty for the work (except to the
+extent that warranties are provided), that licensees may convey the
+work under this License, and how to view a copy of this License.  If
+the interface presents a list of user commands or options, such as a
+menu, a prominent item in the list meets this criterion.
+
+  1. Source Code.
+
+  The "source code" for a work means the preferred form of the work
+for making modifications to it.  "Object code" means any non-source
+form of a work.
+
+  A "Standard Interface" means an interface that either is an official
+standard defined by a recognized standards body, or, in the case of
+interfaces specified for a particular programming language, one that
+is widely used among developers working in that language.
+
+  The "System Libraries" of an executable work include anything, other
+than the work as a whole, that (a) is included in the normal form of
+packaging a Major Component, but which is not part of that Major
+Component, and (b) serves only to enable use of the work with that
+Major Component, or to implement a Standard Interface for which an
+implementation is available to the public in source code form.  A
+"Major Component", in this context, means a major essential component
+(kernel, window system, and so on) of the specific operating system
+(if any) on which the executable work runs, or a compiler used to
+produce the work, or an object code interpreter used to run it.
+
+  The "Corresponding Source" for a work in object code form means all
+the source code needed to generate, install, and (for an executable
+work) run the object code and to modify the work, including scripts to
+control those activities.  However, it does not include the work's
+System Libraries, or general-purpose tools or generally available free
+programs which are used unmodified in performing those activities but
+which are not part of the work.  For example, Corresponding Source
+includes interface definition files associated with source files for
+the work, and the source code for shared libraries and dynamically
+linked subprograms that the work is specifically designed to require,
+such as by intimate data communication or control flow between those
+subprograms and other parts of the work.
+
+  The Corresponding Source need not include anything that users
+can regenerate automatically from other parts of the Corresponding
+Source.
+
+  The Corresponding Source for a work in source code form is that
+same work.
+
+  2. Basic Permissions.
+
+  All rights granted under this License are granted for the term of
+copyright on the Program, and are irrevocable provided the stated
+conditions are met.  This License explicitly affirms your unlimited
+permission to run the unmodified Program.  The output from running a
+covered work is covered by this License only if the output, given its
+content, constitutes a covered work.  This License acknowledges your
+rights of fair use or other equivalent, as provided by copyright law.
+
+  You may make, run and propagate covered works that you do not
+convey, without conditions so long as your license otherwise remains
+in force.  You may convey covered works to others for the sole purpose
+of having them make modifications exclusively for you, or provide you
+with facilities for running those works, provided that you comply with
+the terms of this License in conveying all material for which you do
+not control copyright.  Those thus making or running the covered works
+for you must do so exclusively on your behalf, under your direction
+and control, on terms that prohibit them from making any copies of
+your copyrighted material outside their relationship with you.
+
+  Conveying under any other circumstances is permitted solely under
+the conditions stated below.  Sublicensing is not allowed; section 10
+makes it unnecessary.
+
+  3. Protecting Users' Legal Rights From Anti-Circumvention Law.
+
+  No covered work shall be deemed part of an effective technological
+measure under any applicable law fulfilling obligations under article
+11 of the WIPO copyright treaty adopted on 20 December 1996, or
+similar laws prohibiting or restricting circumvention of such
+measures.
+
+  When you convey a covered work, you waive any legal power to forbid
+circumvention of technological measures to the extent such circumvention
+is effected by exercising rights under this License with respect to
+the covered work, and you disclaim any intention to limit operation or
+modification of the work as a means of enforcing, against the work's
+users, your or third parties' legal rights to forbid circumvention of
+technological measures.
+
+  4. Conveying Verbatim Copies.
+
+  You may convey verbatim copies of the Program's source code as you
+receive it, in any medium, provided that you conspicuously and
+appropriately publish on each copy an appropriate copyright notice;
+keep intact all notices stating that this License and any
+non-permissive terms added in accord with section 7 apply to the code;
+keep intact all notices of the absence of any warranty; and give all
+recipients a copy of this License along with the Program.
+
+  You may charge any price or no price for each copy that you convey,
+and you may offer support or warranty protection for a fee.
+
+  5. Conveying Modified Source Versions.
+
+  You may convey a work based on the Program, or the modifications to
+produce it from the Program, in the form of source code under the
+terms of section 4, provided that you also meet all of these conditions:
+
+    a) The work must carry prominent notices stating that you modified
+    it, and giving a relevant date.
+
+    b) The work must carry prominent notices stating that it is
+    released under this License and any conditions added under section
+    7.  This requirement modifies the requirement in section 4 to
+    "keep intact all notices".
+
+    c) You must license the entire work, as a whole, under this
+    License to anyone who comes into possession of a copy.  This
+    License will therefore apply, along with any applicable section 7
+    additional terms, to the whole of the work, and all its parts,
+    regardless of how they are packaged.  This License gives no
+    permission to license the work in any other way, but it does not
+    invalidate such permission if you have separately received it.
+
+    d) If the work has interactive user interfaces, each must display
+    Appropriate Legal Notices; however, if the Program has interactive
+    interfaces that do not display Appropriate Legal Notices, your
+    work need not make them do so.
+
+  A compilation of a covered work with other separate and independent
+works, which are not by their nature extensions of the covered work,
+and which are not combined with it such as to form a larger program,
+in or on a volume of a storage or distribution medium, is called an
+"aggregate" if the compilation and its resulting copyright are not
+used to limit the access or legal rights of the compilation's users
+beyond what the individual works permit.  Inclusion of a covered work
+in an aggregate does not cause this License to apply to the other
+parts of the aggregate.
+
+  6. Conveying Non-Source Forms.
+
+  You may convey a covered work in object code form under the terms
+of sections 4 and 5, provided that you also convey the
+machine-readable Corresponding Source under the terms of this License,
+in one of these ways:
+
+    a) Convey the object code in, or embodied in, a physical product
+    (including a physical distribution medium), accompanied by the
+    Corresponding Source fixed on a durable physical medium
+    customarily used for software interchange.
+
+    b) Convey the object code in, or embodied in, a physical product
+    (including a physical distribution medium), accompanied by a
+    written offer, valid for at least three years and valid for as
+    long as you offer spare parts or customer support for that product
+    model, to give anyone who possesses the object code either (1) a
+    copy of the Corresponding Source for all the software in the
+    product that is covered by this License, on a durable physical
+    medium customarily used for software interchange, for a price no
+    more than your reasonable cost of physically performing this
+    conveying of source, or (2) access to copy the
+    Corresponding Source from a network server at no charge.
+
+    c) Convey individual copies of the object code with a copy of the
+    written offer to provide the Corresponding Source.  This
+    alternative is allowed only occasionally and noncommercially, and
+    only if you received the object code with such an offer, in accord
+    with subsection 6b.
+
+    d) Convey the object code by offering access from a designated
+    place (gratis or for a charge), and offer equivalent access to the
+    Corresponding Source in the same way through the same place at no
+    further charge.  You need not require recipients to copy the
+    Corresponding Source along with the object code.  If the place to
+    copy the object code is a network server, the Corresponding Source
+    may be on a different server (operated by you or a third party)
+    that supports equivalent copying facilities, provided you maintain
+    clear directions next to the object code saying where to find the
+    Corresponding Source.  Regardless of what server hosts the
+    Corresponding Source, you remain obligated to ensure that it is
+    available for as long as needed to satisfy these requirements.
+
+    e) Convey the object code using peer-to-peer transmission, provided
+    you inform other peers where the object code and Corresponding
+    Source of the work are being offered to the general public at no
+    charge under subsection 6d.
+
+  A separable portion of the object code, whose source code is excluded
+from the Corresponding Source as a System Library, need not be
+included in conveying the object code work.
+
+  A "User Product" is either (1) a "consumer product", which means any
+tangible personal property which is normally used for personal, family,
+or household purposes, or (2) anything designed or sold for incorporation
+into a dwelling.  In determining whether a product is a consumer product,
+doubtful cases shall be resolved in favor of coverage.  For a particular
+product received by a particular user, "normally used" refers to a
+typical or common use of that class of product, regardless of the status
+of the particular user or of the way in which the particular user
+actually uses, or expects or is expected to use, the product.  A product
+is a consumer product regardless of whether the product has substantial
+commercial, industrial or non-consumer uses, unless such uses represent
+the only significant mode of use of the product.
+
+  "Installation Information" for a User Product means any methods,
+procedures, authorization keys, or other information required to install
+and execute modified versions of a covered work in that User Product from
+a modified version of its Corresponding Source.  The information must
+suffice to ensure that the continued functioning of the modified object
+code is in no case prevented or interfered with solely because
+modification has been made.
+
+  If you convey an object code work under this section in, or with, or
+specifically for use in, a User Product, and the conveying occurs as
+part of a transaction in which the right of possession and use of the
+User Product is transferred to the recipient in perpetuity or for a
+fixed term (regardless of how the transaction is characterized), the
+Corresponding Source conveyed under this section must be accompanied
+by the Installation Information.  But this requirement does not apply
+if neither you nor any third party retains the ability to install
+modified object code on the User Product (for example, the work has
+been installed in ROM).
+
+  The requirement to provide Installation Information does not include a
+requirement to continue to provide support service, warranty, or updates
+for a work that has been modified or installed by the recipient, or for
+the User Product in which it has been modified or installed.  Access to a
+network may be denied when the modification itself materially and
+adversely affects the operation of the network or violates the rules and
+protocols for communication across the network.
+
+  Corresponding Source conveyed, and Installation Information provided,
+in accord with this section must be in a format that is publicly
+documented (and with an implementation available to the public in
+source code form), and must require no special password or key for
+unpacking, reading or copying.
+
+  7. Additional Terms.
+
+  "Additional permissions" are terms that supplement the terms of this
+License by making exceptions from one or more of its conditions.
+Additional permissions that are applicable to the entire Program shall
+be treated as though they were included in this License, to the extent
+that they are valid under applicable law.  If additional permissions
+apply only to part of the Program, that part may be used separately
+under those permissions, but the entire Program remains governed by
+this License without regard to the additional permissions.
+
+  When you convey a copy of a covered work, you may at your option
+remove any additional permissions from that copy, or from any part of
+it.  (Additional permissions may be written to require their own
+removal in certain cases when you modify the work.)  You may place
+additional permissions on material, added by you to a covered work,
+for which you have or can give appropriate copyright permission.
+
+  Notwithstanding any other provision of this License, for material you
+add to a covered work, you may (if authorized by the copyright holders of
+that material) supplement the terms of this License with terms:
+
+    a) Disclaiming warranty or limiting liability differently from the
+    terms of sections 15 and 16 of this License; or
+
+    b) Requiring preservation of specified reasonable legal notices or
+    author attributions in that material or in the Appropriate Legal
+    Notices displayed by works containing it; or
+
+    c) Prohibiting misrepresentation of the origin of that material, or
+    requiring that modified versions of such material be marked in
+    reasonable ways as different from the original version; or
+
+    d) Limiting the use for publicity purposes of names of licensors or
+    authors of the material; or
+
+    e) Declining to grant rights under trademark law for use of some
+    trade names, trademarks, or service marks; or
+
+    f) Requiring indemnification of licensors and authors of that
+    material by anyone who conveys the material (or modified versions of
+    it) with contractual assumptions of liability to the recipient, for
+    any liability that these contractual assumptions directly impose on
+    those licensors and authors.
+
+  All other non-permissive additional terms are considered "further
+restrictions" within the meaning of section 10.  If the Program as you
+received it, or any part of it, contains a notice stating that it is
+governed by this License along with a term that is a further
+restriction, you may remove that term.  If a license document contains
+a further restriction but permits relicensing or conveying under this
+License, you may add to a covered work material governed by the terms
+of that license document, provided that the further restriction does
+not survive such relicensing or conveying.
+
+  If you add terms to a covered work in accord with this section, you
+must place, in the relevant source files, a statement of the
+additional terms that apply to those files, or a notice indicating
+where to find the applicable terms.
+
+  Additional terms, permissive or non-permissive, may be stated in the
+form of a separately written license, or stated as exceptions;
+the above requirements apply either way.
+
+  8. Termination.
+
+  You may not propagate or modify a covered work except as expressly
+provided under this License.  Any attempt otherwise to propagate or
+modify it is void, and will automatically terminate your rights under
+this License (including any patent licenses granted under the third
+paragraph of section 11).
+
+  However, if you cease all violation of this License, then your
+license from a particular copyright holder is reinstated (a)
+provisionally, unless and until the copyright holder explicitly and
+finally terminates your license, and (b) permanently, if the copyright
+holder fails to notify you of the violation by some reasonable means
+prior to 60 days after the cessation.
+
+  Moreover, your license from a particular copyright holder is
+reinstated permanently if the copyright holder notifies you of the
+violation by some reasonable means, this is the first time you have
+received notice of violation of this License (for any work) from that
+copyright holder, and you cure the violation prior to 30 days after
+your receipt of the notice.
+
+  Termination of your rights under this section does not terminate the
+licenses of parties who have received copies or rights from you under
+this License.  If your rights have been terminated and not permanently
+reinstated, you do not qualify to receive new licenses for the same
+material under section 10.
+
+  9. Acceptance Not Required for Having Copies.
+
+  You are not required to accept this License in order to receive or
+run a copy of the Program.  Ancillary propagation of a covered work
+occurring solely as a consequence of using peer-to-peer transmission
+to receive a copy likewise does not require acceptance.  However,
+nothing other than this License grants you permission to propagate or
+modify any covered work.  These actions infringe copyright if you do
+not accept this License.  Therefore, by modifying or propagating a
+covered work, you indicate your acceptance of this License to do so.
+
+  10. Automatic Licensing of Downstream Recipients.
+
+  Each time you convey a covered work, the recipient automatically
+receives a license from the original licensors, to run, modify and
+propagate that work, subject to this License.  You are not responsible
+for enforcing compliance by third parties with this License.
+
+  An "entity transaction" is a transaction transferring control of an
+organization, or substantially all assets of one, or subdividing an
+organization, or merging organizations.  If propagation of a covered
+work results from an entity transaction, each party to that
+transaction who receives a copy of the work also receives whatever
+licenses to the work the party's predecessor in interest had or could
+give under the previous paragraph, plus a right to possession of the
+Corresponding Source of the work from the predecessor in interest, if
+the predecessor has it or can get it with reasonable efforts.
+
+  You may not impose any further restrictions on the exercise of the
+rights granted or affirmed under this License.  For example, you may
+not impose a license fee, royalty, or other charge for exercise of
+rights granted under this License, and you may not initiate litigation
+(including a cross-claim or counterclaim in a lawsuit) alleging that
+any patent claim is infringed by making, using, selling, offering for
+sale, or importing the Program or any portion of it.
+
+  11. Patents.
+
+  A "contributor" is a copyright holder who authorizes use under this
+License of the Program or a work on which the Program is based.  The
+work thus licensed is called the contributor's "contributor version".
+
+  A contributor's "essential patent claims" are all patent claims
+owned or controlled by the contributor, whether already acquired or
+hereafter acquired, that would be infringed by some manner, permitted
+by this License, of making, using, or selling its contributor version,
+but do not include claims that would be infringed only as a
+consequence of further modification of the contributor version.  For
+purposes of this definition, "control" includes the right to grant
+patent sublicenses in a manner consistent with the requirements of
+this License.
+
+  Each contributor grants you a non-exclusive, worldwide, royalty-free
+patent license under the contributor's essential patent claims, to
+make, use, sell, offer for sale, import and otherwise run, modify and
+propagate the contents of its contributor version.
+
+  In the following three paragraphs, a "patent license" is any express
+agreement or commitment, however denominated, not to enforce a patent
+(such as an express permission to practice a patent or covenant not to
+sue for patent infringement).  To "grant" such a patent license to a
+party means to make such an agreement or commitment not to enforce a
+patent against the party.
+
+  If you convey a covered work, knowingly relying on a patent license,
+and the Corresponding Source of the work is not available for anyone
+to copy, free of charge and under the terms of this License, through a
+publicly available network server or other readily accessible means,
+then you must either (1) cause the Corresponding Source to be so
+available, or (2) arrange to deprive yourself of the benefit of the
+patent license for this particular work, or (3) arrange, in a manner
+consistent with the requirements of this License, to extend the patent
+license to downstream recipients.  "Knowingly relying" means you have
+actual knowledge that, but for the patent license, your conveying the
+covered work in a country, or your recipient's use of the covered work
+in a country, would infringe one or more identifiable patents in that
+country that you have reason to believe are valid.
+
+  If, pursuant to or in connection with a single transaction or
+arrangement, you convey, or propagate by procuring conveyance of, a
+covered work, and grant a patent license to some of the parties
+receiving the covered work authorizing them to use, propagate, modify
+or convey a specific copy of the covered work, then the patent license
+you grant is automatically extended to all recipients of the covered
+work and works based on it.
+
+  A patent license is "discriminatory" if it does not include within
+the scope of its coverage, prohibits the exercise of, or is
+conditioned on the non-exercise of one or more of the rights that are
+specifically granted under this License.  You may not convey a covered
+work if you are a party to an arrangement with a third party that is
+in the business of distributing software, under which you make payment
+to the third party based on the extent of your activity of conveying
+the work, and under which the third party grants, to any of the
+parties who would receive the covered work from you, a discriminatory
+patent license (a) in connection with copies of the covered work
+conveyed by you (or copies made from those copies), or (b) primarily
+for and in connection with specific products or compilations that
+contain the covered work, unless you entered into that arrangement,
+or that patent license was granted, prior to 28 March 2007.
+
+  Nothing in this License shall be construed as excluding or limiting
+any implied license or other defenses to infringement that may
+otherwise be available to you under applicable patent law.
+
+  12. No Surrender of Others' Freedom.
+
+  If conditions are imposed on you (whether by court order, agreement or
+otherwise) that contradict the conditions of this License, they do not
+excuse you from the conditions of this License.  If you cannot convey a
+covered work so as to satisfy simultaneously your obligations under this
+License and any other pertinent obligations, then as a consequence you may
+not convey it at all.  For example, if you agree to terms that obligate you
+to collect a royalty for further conveying from those to whom you convey
+the Program, the only way you could satisfy both those terms and this
+License would be to refrain entirely from conveying the Program.
+
+  13. Use with the GNU Affero General Public License.
+
+  Notwithstanding any other provision of this License, you have
+permission to link or combine any covered work with a work licensed
+under version 3 of the GNU Affero General Public License into a single
+combined work, and to convey the resulting work.  The terms of this
+License will continue to apply to the part which is the covered work,
+but the special requirements of the GNU Affero General Public License,
+section 13, concerning interaction through a network will apply to the
+combination as such.
+
+  14. Revised Versions of this License.
+
+  The Free Software Foundation may publish revised and/or new versions of
+the GNU General Public License from time to time.  Such new versions will
+be similar in spirit to the present version, but may differ in detail to
+address new problems or concerns.
+
+  Each version is given a distinguishing version number.  If the
+Program specifies that a certain numbered version of the GNU General
+Public License "or any later version" applies to it, you have the
+option of following the terms and conditions either of that numbered
+version or of any later version published by the Free Software
+Foundation.  If the Program does not specify a version number of the
+GNU General Public License, you may choose any version ever published
+by the Free Software Foundation.
+
+  If the Program specifies that a proxy can decide which future
+versions of the GNU General Public License can be used, that proxy's
+public statement of acceptance of a version permanently authorizes you
+to choose that version for the Program.
+
+  Later license versions may give you additional or different
+permissions.  However, no additional obligations are imposed on any
+author or copyright holder as a result of your choosing to follow a
+later version.
+
+  15. Disclaimer of Warranty.
+
+  THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY
+APPLICABLE LAW.  EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT
+HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY
+OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO,
+THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+PURPOSE.  THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM
+IS WITH YOU.  SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF
+ALL NECESSARY SERVICING, REPAIR OR CORRECTION.
+
+  16. Limitation of Liability.
+
+  IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING
+WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS
+THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY
+GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE
+USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF
+DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD
+PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS),
+EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF
+SUCH DAMAGES.
+
+  17. Interpretation of Sections 15 and 16.
+
+  If the disclaimer of warranty and limitation of liability provided
+above cannot be given local legal effect according to their terms,
+reviewing courts shall apply local law that most closely approximates
+an absolute waiver of all civil liability in connection with the
+Program, unless a warranty or assumption of liability accompanies a
+copy of the Program in return for a fee.
+
+                     END OF TERMS AND CONDITIONS
+
+            How to Apply These Terms to Your New Programs
+
+  If you develop a new program, and you want it to be of the greatest
+possible use to the public, the best way to achieve this is to make it
+free software which everyone can redistribute and change under these terms.
+
+  To do so, attach the following notices to the program.  It is safest
+to attach them to the start of each source file to most effectively
+state the exclusion of warranty; and each file should have at least
+the "copyright" line and a pointer to where the full notice is found.
+
+    <one line to give the program's name and a brief idea of what it does.>
+    Copyright (C) <year>  <name of author>
+
+    This program is free software: you can redistribute it and/or modify
+    it under the terms of the GNU General Public License as published by
+    the Free Software Foundation, either version 3 of the License, or
+    (at your option) any later version.
+
+    This program is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+    GNU General Public License for more details.
+
+    You should have received a copy of the GNU General Public License
+    along with this program.  If not, see <https://www.gnu.org/licenses/>.
+
+Also add information on how to contact you by electronic and paper mail.
+
+  If the program does terminal interaction, make it output a short
+notice like this when it starts in an interactive mode:
+
+    <program>  Copyright (C) <year>  <name of author>
+    This program comes with ABSOLUTELY NO WARRANTY; for details type `show w'.
+    This is free software, and you are welcome to redistribute it
+    under certain conditions; type `show c' for details.
+
+The hypothetical commands `show w' and `show c' should show the appropriate
+parts of the General Public License.  Of course, your program's commands
+might be different; for a GUI interface, you would use an "about box".
+
+  You should also get your employer (if you work as a programmer) or school,
+if any, to sign a "copyright disclaimer" for the program, if necessary.
+For more information on this, and how to apply and follow the GNU GPL, see
+<https://www.gnu.org/licenses/>.
+
+  The GNU General Public License does not permit incorporating your program
+into proprietary programs.  If your program is a subroutine library, you
+may consider it more useful to permit linking proprietary applications with
+the library.  If this is what you want to do, use the GNU Lesser General
+Public License instead of this License.  But first, please read
+<https://www.gnu.org/licenses/why-not-lgpl.html>.
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/MANIFEST.json 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/MANIFEST.json
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/MANIFEST.json	2024-04-23 12:03:20.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/MANIFEST.json	2024-06-06 01:34:15.000000000 +0000
@@ -2,7 +2,7 @@
  "collection_info": {
   "namespace": "kaytus",
   "name": "ksmanage",
-  "version": "1.2.1",
+  "version": "1.2.2",
   "authors": [
    "Baoshan Wang <wangbaoshan@ieisystem.com>"
   ],
@@ -29,7 +29,7 @@
   "name": "FILES.json",
   "ftype": "file",
   "chksum_type": "sha256",
-  "chksum_sha256": "7f95f54b58ee68784af7988b3b3b4c79100647265486dfd286f45fc6537584da",
+  "chksum_sha256": "6e443503b5f0b85005c8194842abebe1e517168e7092254c59f156391f411f25",
   "format": 1
  },
  "format": 1
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/README.md 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/README.md
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/README.md	2024-04-23 11:47:01.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/README.md	2024-06-06 01:26:24.000000000 +0000
@@ -1,92 +1,92 @@
-# kaytus ksmanage Collection
-
-This repo contains the `kaytus,ksmanage` Ansible Collection. Collections are used to manage common KAYTUS servers, and Basic management of the server based on restful interface. Including server BMC configuration, firmware upgrade, BIOS configuration and other functions.
-
-.
-
-## Tested with Ansible
-
-Tested with the current Ansible 2.10 releases and the current development version of Ansible. Ansible versions before 2.10.0 are not supported.
-
-## External requirements
-
-Circumstance instruction:
-Ansible module is suitable for ansible version 2.10
-
-Main steps:
-
-Install Ansible 2.10
-Install inManage 
-<!--- A step-by-step reproduction of the problem is helpful if there is no related issue -->
-Thes modules require the following to be installed on the control node:
-
-* Python 3.7 or later
-* [Ansible](http://www.ansible.com) 2.10 or later
-* [ieisystem support] [inManage](https://github.com/ieisystem/inManage) 1.1.0 or later
-
-## Included content
-
-Please check the included content on the [Ansible Galaxy page for this collection](https://galaxy.ansible.com/ui/repo/published/kaytus/ksmanage)
-
-## Using this collection
-
-Before using the General community collection, you need to install the collection with the `ansible-galaxy` CLI:
-
-    ansible-galaxy collection install kaytus.ksmanage
-
-You can also include it in a `requirements.yml` file and install it via `ansible-galaxy collection install -r requirements.yml` using the format:
-
-```yaml
-collections:
-- name: kaytus.ksmanage
-```
-
-See [Ansible Using collections](https://ieisystem.github.io/kaytus.ksmanage-docs/index.html) for more details.
-
-## Contributing to this collection
-
-If you want to develop new content for this collection or improve what is already here, the easiest way to work on the collection is to clone it into one of the configured [`COLLECTIONS_PATH`](https://docs.ansible.com/ansible/latest/reference_appendices/config.html#collections-paths), and work on it there.
-
-You can find more information in the [developer guide for collections](https://docs.ansible.com/ansible/devel/dev_guide/developing_collections.html#contributing-to-collections), and in the [Ansible kaytus.ksmanage Guide](https://ieisystem.github.io/kaytus.ksmanage-docs/index.html).
-
-### Running tests
-
-See [here](https://docs.ansible.com/ansible/devel/dev_guide/developing_collections.html#testing-collections).
-
-### Communication
-
-wangbaoshan@ieisystem.com
-
-
-### Publishing New Version
-
-Basic instructions without release branches:
-
-1. Create `changelogs/fragments/<version>.yml` with `release_summary:` section (which must be a string, not a list).
-2. Run `antsibull-changelog release --collection-flatmap yes`
-3. Make sure `CHANGELOG.rst` and `changelogs/changelog.yaml` are added to git, and the deleted fragments have been removed.
-4. Tag the commit with `<version>`. Push changes and tag to the main repository.
-
-## Release notes
-
-See the [changelog](https://github.com/ieisystem/kaytus.ksmanage/blob/main/CHANGELOG.rst).
-
-## Roadmap
-
-See [this issue](https://github.com/ieisystem/kaytus.ksmanage/issues/3) for information on releasing, versioning and deprecation.
-
-In general, we plan to release a major version every year, and minor versions every three months. Major versions can contain breaking changes, while minor versions only contain new features and bugfixes.
-
-
-## More information
-
-- [Ansible Collection overview](https://github.com/ansible-collections/overview)
-- [Ansible User guide](https://docs.ansible.com/ansible/latest/user_guide/index.html)
-- [Ansible Developer guide](https://docs.ansible.com/ansible/latest/dev_guide/index.html)
-- [Ansible Community code of conduct](https://docs.ansible.com/ansible/latest/community/code_of_conduct.html)
-
-## Licensing
-
-GNU General Public License v3.0 or later.
-
-See [COPYING](https://www.gnu.org/licenses/gpl-3.0.txt) to see the full text.
+# kaytus ksmanage Collection
+
+This repo contains the `kaytus,ksmanage` Ansible Collection. Collections are used to manage common KAYTUS servers, and Basic management of the server based on restful interface. Including server BMC configuration, firmware upgrade, BIOS configuration and other functions.
+
+.
+
+## Tested with Ansible
+
+Tested with the current Ansible 2.10 releases and the current development version of Ansible. Ansible versions before 2.10.0 are not supported.
+
+## External requirements
+
+Circumstance instruction:
+Ansible module is suitable for ansible version 2.10
+
+Main steps:
+
+Install Ansible 2.10
+Install inManage 
+<!--- A step-by-step reproduction of the problem is helpful if there is no related issue -->
+Thes modules require the following to be installed on the control node:
+
+* Python 3.7 or later
+* [Ansible](http://www.ansible.com) 2.10 or later
+* [ieisystem support] [inManage](https://github.com/ieisystem/inManage) 1.1.0 or later
+
+## Included content
+
+Please check the included content on the [Ansible Galaxy page for this collection](https://galaxy.ansible.com/ui/repo/published/kaytus/ksmanage)
+
+## Using this collection
+
+Before using the General community collection, you need to install the collection with the `ansible-galaxy` CLI:
+
+    ansible-galaxy collection install kaytus.ksmanage
+
+You can also include it in a `requirements.yml` file and install it via `ansible-galaxy collection install -r requirements.yml` using the format:
+
+```yaml
+collections:
+- name: kaytus.ksmanage
+```
+
+See [Ansible Using collections](https://ieisystem.github.io/kaytus.ksmanage-docs/index.html) for more details.
+
+## Contributing to this collection
+
+If you want to develop new content for this collection or improve what is already here, the easiest way to work on the collection is to clone it into one of the configured [`COLLECTIONS_PATH`](https://docs.ansible.com/ansible/latest/reference_appendices/config.html#collections-paths), and work on it there.
+
+You can find more information in the [developer guide for collections](https://docs.ansible.com/ansible/devel/dev_guide/developing_collections.html#contributing-to-collections), and in the [Ansible kaytus.ksmanage Guide](https://ieisystem.github.io/kaytus.ksmanage-docs/index.html).
+
+### Running tests
+
+See [here](https://docs.ansible.com/ansible/devel/dev_guide/developing_collections.html#testing-collections).
+
+### Communication
+
+wangbaoshan@ieisystem.com
+
+
+### Publishing New Version
+
+Basic instructions without release branches:
+
+1. Create `changelogs/fragments/<version>.yml` with `release_summary:` section (which must be a string, not a list).
+2. Run `antsibull-changelog release --collection-flatmap yes`
+3. Make sure `CHANGELOG.rst` and `changelogs/changelog.yaml` are added to git, and the deleted fragments have been removed.
+4. Tag the commit with `<version>`. Push changes and tag to the main repository.
+
+## Release notes
+
+See the [changelog](https://github.com/ieisystem/kaytus.ksmanage/blob/main/CHANGELOG.rst).
+
+## Roadmap
+
+See [this issue](https://github.com/ieisystem/kaytus.ksmanage/issues/3) for information on releasing, versioning and deprecation.
+
+In general, we plan to release a major version every year, and minor versions every three months. Major versions can contain breaking changes, while minor versions only contain new features and bugfixes.
+
+
+## More information
+
+- [Ansible Collection overview](https://github.com/ansible-collections/overview)
+- [Ansible User guide](https://docs.ansible.com/ansible/latest/user_guide/index.html)
+- [Ansible Developer guide](https://docs.ansible.com/ansible/latest/dev_guide/index.html)
+- [Ansible Community code of conduct](https://docs.ansible.com/ansible/latest/community/code_of_conduct.html)
+
+## Licensing
+
+GNU General Public License v3.0 or later.
+
+See [COPYING](https://www.gnu.org/licenses/gpl-3.0.txt) to see the full text.
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/changelogs/.plugin-cache.yaml 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/changelogs/.plugin-cache.yaml
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/changelogs/.plugin-cache.yaml	2024-04-23 11:49:09.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/changelogs/.plugin-cache.yaml	2024-06-06 01:26:54.000000000 +0000
@@ -652,4 +652,4 @@ plugins:
   shell: {}
   strategy: {}
   vars: {}
-version: 1.2.1
+version: 1.2.2
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/changelogs/changelog.yaml 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/changelogs/changelog.yaml
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/changelogs/changelog.yaml	2024-04-23 11:49:09.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/changelogs/changelog.yaml	2024-06-06 01:26:54.000000000 +0000
@@ -457,3 +457,10 @@ releases:
     - 20-edit_example_gather_facts.yml
     - 21-delete_links.yml
     release_date: '2024-04-23'
+  1.2.2:
+    changes:
+      bugfixes:
+      - Remove venv files that were accidentally bundled in 1.2.2(https://github.com/ieisystem/kaytus.ksmanage/pull/23).
+    fragments:
+    - 23-delete_venv.yml
+    release_date: '2024-06-06'
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/changelogs/config.yaml 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/changelogs/config.yaml
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/changelogs/config.yaml	2024-04-23 11:47:07.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/changelogs/config.yaml	2024-06-06 01:26:24.000000000 +0000
@@ -1,29 +1,29 @@
-changelog_filename_template: ../CHANGELOG.rst
-changelog_filename_version_depth: 0
-changes_file: changelog.yaml
-changes_format: combined
-keep_fragments: false
-mention_ancestor: true
-new_plugins_after_name: removed_features
-notesdir: fragments
-prelude_section_name: release_summary
-prelude_section_title: Release Summary
-sections:
-- - major_changes
-  - Major Changes
-- - minor_changes
-  - Minor Changes
-- - breaking_changes
-  - Breaking Changes / Porting Guide
-- - deprecated_features
-  - Deprecated Features
-- - removed_features
-  - Removed Features (previously deprecated)
-- - security_fixes
-  - Security Fixes
-- - bugfixes
-  - Bugfixes
-- - known_issues
-  - Known Issues
-title: CHANGE THIS IN changelogs/config.yaml!
-trivial_section_name: trivial
+changelog_filename_template: ../CHANGELOG.rst
+changelog_filename_version_depth: 0
+changes_file: changelog.yaml
+changes_format: combined
+keep_fragments: false
+mention_ancestor: true
+new_plugins_after_name: removed_features
+notesdir: fragments
+prelude_section_name: release_summary
+prelude_section_title: Release Summary
+sections:
+- - major_changes
+  - Major Changes
+- - minor_changes
+  - Minor Changes
+- - breaking_changes
+  - Breaking Changes / Porting Guide
+- - deprecated_features
+  - Deprecated Features
+- - removed_features
+  - Removed Features (previously deprecated)
+- - security_fixes
+  - Security Fixes
+- - bugfixes
+  - Bugfixes
+- - known_issues
+  - Known Issues
+title: CHANGE THIS IN changelogs/config.yaml!
+trivial_section_name: trivial
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/ad_group_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/ad_group_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/ad_group_info_module.rst	2024-04-23 11:47:07.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/ad_group_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.ad_group_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.ad_group_info -- Get active directory group information
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.ad_group_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get active directory group information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Ad group test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get active directory group information"
-        kaytus.ksmanage.ad_group_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.ad_group_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.ad_group_info -- Get active directory group information
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.ad_group_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get active directory group information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Ad group test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get active directory group information"
+        kaytus.ksmanage.ad_group_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/ad_group_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/ad_group_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/ad_group_module.rst	2024-04-23 11:47:07.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/ad_group_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,431 +1,431 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.ad_group_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.ad_group -- Manage active directory group information
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.ad_group`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Manage active directory group information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-domain"></div>
-                    <b>domain</b>
-                    <a class="ansibleOptionLink" href="#parameter-domain" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Enter the Role Group Domain. This is the domain where the role group is located.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-kvm"></div>
-                    <b>kvm</b>
-                    <a class="ansibleOptionLink" href="#parameter-kvm" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>This field provides access to KVM for AD authenticated role group user.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-name"></div>
-                    <b>name</b>
-                    <a class="ansibleOptionLink" href="#parameter-name" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                 / <span style="color: red">required</span>                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Enter the Role Group Name. This name identifies the role group in Active Directory.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-pri"></div>
-                    <b>pri</b>
-                    <a class="ansibleOptionLink" href="#parameter-pri" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>administrator</li>
-                                                                                                                                                                                                <li>user</li>
-                                                                                                                                                                                                <li>operator</li>
-                                                                                                                                                                                                <li>oem</li>
-                                                                                                                                                                                                <li>none</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Enter the Role Group Privilege. This is the level of privilege to be assigned for this role group.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#parameter-state" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li><div style="color: blue"><b>present</b>&nbsp;&larr;</div></li>
-                                                                                                                                                                                                <li>absent</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Whether the active directory group should exist or not, taking action if the state is different from what is stated.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-vm"></div>
-                    <b>vm</b>
-                    <a class="ansibleOptionLink" href="#parameter-vm" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>This field provides access to VMedia for AD authenticated role group user.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Ad group test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Add active directory group information"
-        kaytus.ksmanage.ad_group:
-          state: "present"
-          name: "wbs"
-          domain: "test.com"
-          pri: "administrator"
-          kvm: "enable"
-          vm: "disable"
-          provider: "{{ ksmanage }}"
-
-      - name: "Set active directory group information"
-        kaytus.ksmanage.ad_group:
-          state: "present"
-          name: "wbs"
-          pri: "user"
-          kvm: "disable"
-          provider: "{{ ksmanage }}"
-
-      - name: "Delete active directory group information"
-        kaytus.ksmanage.ad_group:
-          state: "absent"
-          name: "wbs"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.ad_group_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.ad_group -- Manage active directory group information
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.ad_group`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Manage active directory group information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-domain"></div>
+                    <b>domain</b>
+                    <a class="ansibleOptionLink" href="#parameter-domain" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Enter the Role Group Domain. This is the domain where the role group is located.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-kvm"></div>
+                    <b>kvm</b>
+                    <a class="ansibleOptionLink" href="#parameter-kvm" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>This field provides access to KVM for AD authenticated role group user.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-name"></div>
+                    <b>name</b>
+                    <a class="ansibleOptionLink" href="#parameter-name" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                 / <span style="color: red">required</span>                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Enter the Role Group Name. This name identifies the role group in Active Directory.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-pri"></div>
+                    <b>pri</b>
+                    <a class="ansibleOptionLink" href="#parameter-pri" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>administrator</li>
+                                                                                                                                                                                                <li>user</li>
+                                                                                                                                                                                                <li>operator</li>
+                                                                                                                                                                                                <li>oem</li>
+                                                                                                                                                                                                <li>none</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Enter the Role Group Privilege. This is the level of privilege to be assigned for this role group.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#parameter-state" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li><div style="color: blue"><b>present</b>&nbsp;&larr;</div></li>
+                                                                                                                                                                                                <li>absent</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Whether the active directory group should exist or not, taking action if the state is different from what is stated.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-vm"></div>
+                    <b>vm</b>
+                    <a class="ansibleOptionLink" href="#parameter-vm" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>This field provides access to VMedia for AD authenticated role group user.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Ad group test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Add active directory group information"
+        kaytus.ksmanage.ad_group:
+          state: "present"
+          name: "wbs"
+          domain: "test.com"
+          pri: "administrator"
+          kvm: "enable"
+          vm: "disable"
+          provider: "{{ ksmanage }}"
+
+      - name: "Set active directory group information"
+        kaytus.ksmanage.ad_group:
+          state: "present"
+          name: "wbs"
+          pri: "user"
+          kvm: "disable"
+          provider: "{{ ksmanage }}"
+
+      - name: "Delete active directory group information"
+        kaytus.ksmanage.ad_group:
+          state: "absent"
+          name: "wbs"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/ad_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/ad_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/ad_info_module.rst	2024-04-23 11:47:07.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/ad_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.ad_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.ad_info -- Get active directory information
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.ad_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get active directory information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Ad test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get active directory information"
-        kaytus.ksmanage.ad_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.ad_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.ad_info -- Get active directory information
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.ad_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get active directory information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Ad test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get active directory information"
+        kaytus.ksmanage.ad_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/adapter_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/adapter_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/adapter_info_module.rst	2024-04-23 11:47:07.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/adapter_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.adapter_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.adapter_info -- Get adapter information
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.adapter_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get adapter information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Adapter test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get adapter information"
-        kaytus.ksmanage.adapter_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.adapter_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.adapter_info -- Get adapter information
++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.adapter_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get adapter information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Adapter test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get adapter information"
+        kaytus.ksmanage.adapter_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/add_ldisk_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/add_ldisk_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/add_ldisk_module.rst	2024-04-23 11:47:07.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/add_ldisk_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,589 +1,589 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.add_ldisk_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.add_ldisk -- Create logical disk
-++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.add_ldisk`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Create logical disk on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-accelerator"></div>
-                    <b>accelerator</b>
-                    <a class="ansibleOptionLink" href="#parameter-accelerator" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>1</li>
-                                                                                                                                                                                                <li>2</li>
-                                                                                                                                                                                                <li>3</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Driver accelerator, 1 - 1h, 2 - 2h, 3 - 3h.</div>
-                                            <div>Required when controller type is PMC.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-access"></div>
-                    <b>access</b>
-                    <a class="ansibleOptionLink" href="#parameter-access" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>1</li>
-                                                                                                                                                                                                <li>2</li>
-                                                                                                                                                                                                <li>3</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Access Policy, 1 - Read Write, 2 - Read Only, 3 - Blocked.</div>
-                                            <div>Required when controller type is LSI.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-cache"></div>
-                    <b>cache</b>
-                    <a class="ansibleOptionLink" href="#parameter-cache" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>1</li>
-                                                                                                                                                                                                <li>2</li>
-                                                                                                                                                                                                <li>3</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Drive Cache, 1 - Unchanged, 2 - Enabled, 3 - Disabled.</div>
-                                            <div>Required when controller type is LSI.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-ctrl_id"></div>
-                    <b>ctrl_id</b>
-                    <a class="ansibleOptionLink" href="#parameter-ctrl_id" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Raid controller ID.</div>
-                                            <div>Required when controller type is LSI, PMC or MV.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-init"></div>
-                    <b>init</b>
-                    <a class="ansibleOptionLink" href="#parameter-init" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>1</li>
-                                                                                                                                                                                                <li>2</li>
-                                                                                                                                                                                                <li>3</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Init State, 1 - No Init, 2 - Quick Init, 3 - Full Init.</div>
-                                            <div>Required when controller type is LSI.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-io"></div>
-                    <b>io</b>
-                    <a class="ansibleOptionLink" href="#parameter-io" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>1</li>
-                                                                                                                                                                                                <li>2</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>IO Policy, 1 - Direct IO, 2 - Cached IO.</div>
-                                            <div>Required when controller type is LSI.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-level"></div>
-                    <b>level</b>
-                    <a class="ansibleOptionLink" href="#parameter-level" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>0</li>
-                                                                                                                                                                                                <li>1</li>
-                                                                                                                                                                                                <li>5</li>
-                                                                                                                                                                                                <li>6</li>
-                                                                                                                                                                                                <li>10</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>RAID Level, 0 - RAID0, 1 - RAID1, 5 - RAID5, 6 - RAID6, 10 - RAID10.</div>
-                                            <div>Required when and controller type is LSI or PMC.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-r"></div>
-                    <b>r</b>
-                    <a class="ansibleOptionLink" href="#parameter-r" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>1</li>
-                                                                                                                                                                                                <li>2</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Read Policy, 1 - Read Ahead, 2 - No Read Ahead.</div>
-                                            <div>Required when controller type is LSI.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-select"></div>
-                    <b>select</b>
-                    <a class="ansibleOptionLink" href="#parameter-select" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Select Size, from 1 to 100.</div>
-                                            <div>Required when controller type is LSI.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-size"></div>
-                    <b>size</b>
-                    <a class="ansibleOptionLink" href="#parameter-size" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>0</li>
-                                                                                                                                                                                                <li>1</li>
-                                                                                                                                                                                                <li>2</li>
-                                                                                                                                                                                                <li>3</li>
-                                                                                                                                                                                                <li>4</li>
-                                                                                                                                                                                                <li>5</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Strip Size, 0 - 32k, 1 - 64k, 2 - 128k, 3 - 256k, 4 - 512k, 5 - 1024k.</div>
-                                            <div>Required when <em>Info=None</em> and controller type is LSI, PMC or MV.</div>
-                                            <div>When the controller type is MV, size is [0, 1].</div>
-                                            <div>When the controller type is LSI or PMC, size is [1, 2, 3, 4, 5].</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-slot"></div>
-                    <b>slot</b>
-                    <a class="ansibleOptionLink" href="#parameter-slot" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">list</span>
-                         / <span style="color: purple">elements=integer</span>                                            </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Slot Num, input multiple slotNumber like 0, 1, 2....</div>
-                                            <div>Required when controller type is LSI or PMC.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-vname"></div>
-                    <b>vname</b>
-                    <a class="ansibleOptionLink" href="#parameter-vname" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Virtual drive name.</div>
-                                            <div>Required when controller type is PMC or server model is M7.</div>
-                                            <div>Required when controller type is MV.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-w"></div>
-                    <b>w</b>
-                    <a class="ansibleOptionLink" href="#parameter-w" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>1</li>
-                                                                                                                                                                                                <li>2</li>
-                                                                                                                                                                                                <li>3</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Write Policy, 1 - Write Through, 2 - Write Back, 3 - Write caching ok if bad BBU.</div>
-                                            <div>Required when controller type is LSI.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Add ldisk test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Add LSI ldisk"
-        kaytus.ksmanage.add_ldisk:
-          ctrl_id: 0
-          level: 1
-          size: 1
-          access: 1
-          r: 1
-          w: 1
-          io: 1
-          cache: 1
-          init: 2
-          select: 10
-          slot: 0, 1
-          provider: "{{ ksmanage }}"
-
-      - name: "Add PMC ldisk"
-        kaytus.ksmanage.add_ldisk:
-          ctrl_id: 0
-          level: 1
-          size: 1
-          accelerator: 1
-          slot: 0, 1
-          vname: "test"
-          provider: "{{ ksmanage }}"
-
-      - name: "Add MV ldisk"
-        kaytus.ksmanage.add_ldisk:
-          ctrl_id: 0
-          size: 1
-          vname: "test"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.add_ldisk_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.add_ldisk -- Create logical disk
+++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.add_ldisk`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Create logical disk on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-accelerator"></div>
+                    <b>accelerator</b>
+                    <a class="ansibleOptionLink" href="#parameter-accelerator" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>1</li>
+                                                                                                                                                                                                <li>2</li>
+                                                                                                                                                                                                <li>3</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Driver accelerator, 1 - 1h, 2 - 2h, 3 - 3h.</div>
+                                            <div>Required when controller type is PMC.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-access"></div>
+                    <b>access</b>
+                    <a class="ansibleOptionLink" href="#parameter-access" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>1</li>
+                                                                                                                                                                                                <li>2</li>
+                                                                                                                                                                                                <li>3</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Access Policy, 1 - Read Write, 2 - Read Only, 3 - Blocked.</div>
+                                            <div>Required when controller type is LSI.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-cache"></div>
+                    <b>cache</b>
+                    <a class="ansibleOptionLink" href="#parameter-cache" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>1</li>
+                                                                                                                                                                                                <li>2</li>
+                                                                                                                                                                                                <li>3</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Drive Cache, 1 - Unchanged, 2 - Enabled, 3 - Disabled.</div>
+                                            <div>Required when controller type is LSI.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-ctrl_id"></div>
+                    <b>ctrl_id</b>
+                    <a class="ansibleOptionLink" href="#parameter-ctrl_id" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Raid controller ID.</div>
+                                            <div>Required when controller type is LSI, PMC or MV.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-init"></div>
+                    <b>init</b>
+                    <a class="ansibleOptionLink" href="#parameter-init" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>1</li>
+                                                                                                                                                                                                <li>2</li>
+                                                                                                                                                                                                <li>3</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Init State, 1 - No Init, 2 - Quick Init, 3 - Full Init.</div>
+                                            <div>Required when controller type is LSI.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-io"></div>
+                    <b>io</b>
+                    <a class="ansibleOptionLink" href="#parameter-io" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>1</li>
+                                                                                                                                                                                                <li>2</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>IO Policy, 1 - Direct IO, 2 - Cached IO.</div>
+                                            <div>Required when controller type is LSI.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-level"></div>
+                    <b>level</b>
+                    <a class="ansibleOptionLink" href="#parameter-level" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>0</li>
+                                                                                                                                                                                                <li>1</li>
+                                                                                                                                                                                                <li>5</li>
+                                                                                                                                                                                                <li>6</li>
+                                                                                                                                                                                                <li>10</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>RAID Level, 0 - RAID0, 1 - RAID1, 5 - RAID5, 6 - RAID6, 10 - RAID10.</div>
+                                            <div>Required when and controller type is LSI or PMC.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-r"></div>
+                    <b>r</b>
+                    <a class="ansibleOptionLink" href="#parameter-r" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>1</li>
+                                                                                                                                                                                                <li>2</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Read Policy, 1 - Read Ahead, 2 - No Read Ahead.</div>
+                                            <div>Required when controller type is LSI.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-select"></div>
+                    <b>select</b>
+                    <a class="ansibleOptionLink" href="#parameter-select" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Select Size, from 1 to 100.</div>
+                                            <div>Required when controller type is LSI.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-size"></div>
+                    <b>size</b>
+                    <a class="ansibleOptionLink" href="#parameter-size" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>0</li>
+                                                                                                                                                                                                <li>1</li>
+                                                                                                                                                                                                <li>2</li>
+                                                                                                                                                                                                <li>3</li>
+                                                                                                                                                                                                <li>4</li>
+                                                                                                                                                                                                <li>5</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Strip Size, 0 - 32k, 1 - 64k, 2 - 128k, 3 - 256k, 4 - 512k, 5 - 1024k.</div>
+                                            <div>Required when <em>Info=None</em> and controller type is LSI, PMC or MV.</div>
+                                            <div>When the controller type is MV, size is [0, 1].</div>
+                                            <div>When the controller type is LSI or PMC, size is [1, 2, 3, 4, 5].</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-slot"></div>
+                    <b>slot</b>
+                    <a class="ansibleOptionLink" href="#parameter-slot" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">list</span>
+                         / <span style="color: purple">elements=integer</span>                                            </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Slot Num, input multiple slotNumber like 0, 1, 2....</div>
+                                            <div>Required when controller type is LSI or PMC.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-vname"></div>
+                    <b>vname</b>
+                    <a class="ansibleOptionLink" href="#parameter-vname" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Virtual drive name.</div>
+                                            <div>Required when controller type is PMC or server model is M7.</div>
+                                            <div>Required when controller type is MV.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-w"></div>
+                    <b>w</b>
+                    <a class="ansibleOptionLink" href="#parameter-w" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>1</li>
+                                                                                                                                                                                                <li>2</li>
+                                                                                                                                                                                                <li>3</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Write Policy, 1 - Write Through, 2 - Write Back, 3 - Write caching ok if bad BBU.</div>
+                                            <div>Required when controller type is LSI.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Add ldisk test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Add LSI ldisk"
+        kaytus.ksmanage.add_ldisk:
+          ctrl_id: 0
+          level: 1
+          size: 1
+          access: 1
+          r: 1
+          w: 1
+          io: 1
+          cache: 1
+          init: 2
+          select: 10
+          slot: 0, 1
+          provider: "{{ ksmanage }}"
+
+      - name: "Add PMC ldisk"
+        kaytus.ksmanage.add_ldisk:
+          ctrl_id: 0
+          level: 1
+          size: 1
+          accelerator: 1
+          slot: 0, 1
+          vname: "test"
+          provider: "{{ ksmanage }}"
+
+      - name: "Add MV ldisk"
+        kaytus.ksmanage.add_ldisk:
+          ctrl_id: 0
+          size: 1
+          vname: "test"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/alert_policy_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/alert_policy_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/alert_policy_info_module.rst	2024-04-23 11:47:07.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/alert_policy_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.alert_policy_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.alert_policy_info -- Get alert policy
-+++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.alert_policy_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get alert policy on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Alert test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get alert policy"
-        kaytus.ksmanage.alert_policy_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.alert_policy_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.alert_policy_info -- Get alert policy
++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.alert_policy_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get alert policy on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Alert test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get alert policy"
+        kaytus.ksmanage.alert_policy_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/audit_log_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/audit_log_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/audit_log_info_module.rst	2024-04-23 11:47:07.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/audit_log_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,358 +1,358 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.audit_log_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.audit_log_info -- Get BMC audit log information
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.audit_log_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get BMC audit log information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-audit_file"></div>
-                    <b>audit_file</b>
-                    <a class="ansibleOptionLink" href="#parameter-audit_file" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Store logs to a file.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-count"></div>
-                    <b>count</b>
-                    <a class="ansibleOptionLink" href="#parameter-count" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Get the most recent log of a specified number.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-log_time"></div>
-                    <b>log_time</b>
-                    <a class="ansibleOptionLink" href="#parameter-log_time" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Get logs after the specified date, time should be YYYY-MM-DDTHH:MM+HH:MM, like 2019-06-27T12:30+08:00.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Bmc audit log test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get bmc audit log information"
-        kaytus.ksmanage.audit_log_info:
-          log_time: "2020-06-01T12:30+08:00"
-          provider: "{{ ksmanage }}"
-
-      - name: "Get bmc audit log information"
-        kaytus.ksmanage.audit_log_info:
-          count: 30
-          provider: "{{ ksmanage }}"
-
-      - name: "Get bmc audit log information"
-        kaytus.ksmanage.audit_log_info:
-          audit_file: "/home/wbs/wbs.log"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.audit_log_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.audit_log_info -- Get BMC audit log information
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.audit_log_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get BMC audit log information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-audit_file"></div>
+                    <b>audit_file</b>
+                    <a class="ansibleOptionLink" href="#parameter-audit_file" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Store logs to a file.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-count"></div>
+                    <b>count</b>
+                    <a class="ansibleOptionLink" href="#parameter-count" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Get the most recent log of a specified number.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-log_time"></div>
+                    <b>log_time</b>
+                    <a class="ansibleOptionLink" href="#parameter-log_time" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Get logs after the specified date, time should be YYYY-MM-DDTHH:MM+HH:MM, like 2019-06-27T12:30+08:00.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Bmc audit log test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get bmc audit log information"
+        kaytus.ksmanage.audit_log_info:
+          log_time: "2020-06-01T12:30+08:00"
+          provider: "{{ ksmanage }}"
+
+      - name: "Get bmc audit log information"
+        kaytus.ksmanage.audit_log_info:
+          count: 30
+          provider: "{{ ksmanage }}"
+
+      - name: "Get bmc audit log information"
+        kaytus.ksmanage.audit_log_info:
+          audit_file: "/home/wbs/wbs.log"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/auto_capture_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/auto_capture_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/auto_capture_info_module.rst	2024-04-23 11:47:07.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/auto_capture_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.auto_capture_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.auto_capture_info -- Get auto capture screen information
-++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.auto_capture_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get auto capture screen information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Screen test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get auto capture screen information"
-        kaytus.ksmanage.auto_capture_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.auto_capture_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.auto_capture_info -- Get auto capture screen information
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.auto_capture_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get auto capture screen information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Screen test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get auto capture screen information"
+        kaytus.ksmanage.auto_capture_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/backplane_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/backplane_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/backplane_info_module.rst	2024-04-23 11:47:07.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/backplane_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.backplane_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.backplane_info -- Get disk backplane information
-++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.backplane_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get disk backplane  information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Disk backplane test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get backplane information"
-        kaytus.ksmanage.backplane_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.backplane_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.backplane_info -- Get disk backplane information
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.backplane_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get disk backplane  information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Disk backplane test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get backplane information"
+        kaytus.ksmanage.backplane_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/backup_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/backup_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/backup_module.rst	2024-04-23 11:47:07.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/backup_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,355 +1,355 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.backup_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.backup -- Backup server settings
-++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.backup`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Backup server settings on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-bak_file"></div>
-                    <b>bak_file</b>
-                    <a class="ansibleOptionLink" href="#parameter-bak_file" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                 / <span style="color: red">required</span>                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Backup file or bak folder.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-item"></div>
-                    <b>item</b>
-                    <a class="ansibleOptionLink" href="#parameter-item" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                 / <span style="color: red">required</span>                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>all</li>
-                                                                                                                                                                                                <li>network</li>
-                                                                                                                                                                                                <li>service</li>
-                                                                                                                                                                                                <li>ntp</li>
-                                                                                                                                                                                                <li>snmptrap</li>
-                                                                                                                                                                                                <li>dns</li>
-                                                                                                                                                                                                <li>smtp</li>
-                                                                                                                                                                                                <li>ad</li>
-                                                                                                                                                                                                <li>ldap</li>
-                                                                                                                                                                                                <li>user</li>
-                                                                                                                                                                                                <li>bios</li>
-                                                                                                                                                                                                <li>kvm</li>
-                                                                                                                                                                                                <li>ipmi</li>
-                                                                                                                                                                                                <li>authentication</li>
-                                                                                                                                                                                                <li>syslog</li>
-                                                                                                                                                                                                <li>ncsi</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Export item.</div>
-                                            <div>The values for M5 modules are &#x27;all&#x27;, &#x27;network&#x27;, &#x27;service&#x27;, &#x27;ntp&#x27;, &#x27;snmptrap&#x27;, &#x27;dns&#x27;, &#x27;smtp&#x27;, &#x27;ad&#x27;, &#x27;ldap&#x27;, &#x27;user&#x27;, &#x27;bios&#x27;.</div>
-                                            <div>The values for M6 modules are &#x27;all&#x27;, &#x27;network&#x27;, &#x27;service&#x27;, &#x27;ntp&#x27;, &#x27;snmptrap&#x27;,  &#x27;kvm&#x27;, &#x27;ipmi&#x27;, &#x27;authentication&#x27;, &#x27;syslog&#x27;.</div>
-                                            <div>The values for M7 modules are &#x27;all&#x27;, &#x27;network&#x27;, &#x27;service&#x27;, &#x27;syslog&#x27;, &#x27;ncsi&#x27;.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Backup test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Backup server settings"
-        kaytus.ksmanage.backup:
-          bak_file: "/home/wbs/"
-          item: "all"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.backup_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.backup -- Backup server settings
+++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.backup`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Backup server settings on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-bak_file"></div>
+                    <b>bak_file</b>
+                    <a class="ansibleOptionLink" href="#parameter-bak_file" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                 / <span style="color: red">required</span>                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Backup file or bak folder.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-item"></div>
+                    <b>item</b>
+                    <a class="ansibleOptionLink" href="#parameter-item" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                 / <span style="color: red">required</span>                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>all</li>
+                                                                                                                                                                                                <li>network</li>
+                                                                                                                                                                                                <li>service</li>
+                                                                                                                                                                                                <li>ntp</li>
+                                                                                                                                                                                                <li>snmptrap</li>
+                                                                                                                                                                                                <li>dns</li>
+                                                                                                                                                                                                <li>smtp</li>
+                                                                                                                                                                                                <li>ad</li>
+                                                                                                                                                                                                <li>ldap</li>
+                                                                                                                                                                                                <li>user</li>
+                                                                                                                                                                                                <li>bios</li>
+                                                                                                                                                                                                <li>kvm</li>
+                                                                                                                                                                                                <li>ipmi</li>
+                                                                                                                                                                                                <li>authentication</li>
+                                                                                                                                                                                                <li>syslog</li>
+                                                                                                                                                                                                <li>ncsi</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Export item.</div>
+                                            <div>The values for M5 modules are &#x27;all&#x27;, &#x27;network&#x27;, &#x27;service&#x27;, &#x27;ntp&#x27;, &#x27;snmptrap&#x27;, &#x27;dns&#x27;, &#x27;smtp&#x27;, &#x27;ad&#x27;, &#x27;ldap&#x27;, &#x27;user&#x27;, &#x27;bios&#x27;.</div>
+                                            <div>The values for M6 modules are &#x27;all&#x27;, &#x27;network&#x27;, &#x27;service&#x27;, &#x27;ntp&#x27;, &#x27;snmptrap&#x27;,  &#x27;kvm&#x27;, &#x27;ipmi&#x27;, &#x27;authentication&#x27;, &#x27;syslog&#x27;.</div>
+                                            <div>The values for M7 modules are &#x27;all&#x27;, &#x27;network&#x27;, &#x27;service&#x27;, &#x27;syslog&#x27;, &#x27;ncsi&#x27;.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Backup test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Backup server settings"
+        kaytus.ksmanage.backup:
+          bak_file: "/home/wbs/"
+          item: "all"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/bios_export_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/bios_export_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/bios_export_module.rst	2024-04-23 11:47:07.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/bios_export_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,318 +1,318 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.bios_export_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.bios_export -- Export BIOS config
-+++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.bios_export`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Export BIOS config on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-file_url"></div>
-                    <b>file_url</b>
-                    <a class="ansibleOptionLink" href="#parameter-file_url" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                 / <span style="color: red">required</span>                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Suffix is .json/.conf, FILEURI format, &quot;/directory/filename&quot;.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Bios test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Export bios config"
-        kaytus.ksmanage.bios_export:
-          file_url: "/home/wbs/bios.conf"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.bios_export_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.bios_export -- Export BIOS config
++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.bios_export`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Export BIOS config on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-file_url"></div>
+                    <b>file_url</b>
+                    <a class="ansibleOptionLink" href="#parameter-file_url" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                 / <span style="color: red">required</span>                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Suffix is .json/.conf, FILEURI format, &quot;/directory/filename&quot;.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Bios test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Export bios config"
+        kaytus.ksmanage.bios_export:
+          file_url: "/home/wbs/bios.conf"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/bios_import_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/bios_import_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/bios_import_module.rst	2024-04-23 11:47:07.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/bios_import_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,318 +1,318 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.bios_import_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.bios_import -- Import BIOS config
-+++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.bios_import`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Import BIOS config on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-file_url"></div>
-                    <b>file_url</b>
-                    <a class="ansibleOptionLink" href="#parameter-file_url" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                 / <span style="color: red">required</span>                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Suffix is .json/.conf, FILEURI format, &quot;/directory/filename&quot;.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Bios test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Import bios config"
-        kaytus.ksmanage.bios_import:
-          file_url: "/home/wbs/bios.conf"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.bios_import_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.bios_import -- Import BIOS config
++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.bios_import`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Import BIOS config on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-file_url"></div>
+                    <b>file_url</b>
+                    <a class="ansibleOptionLink" href="#parameter-file_url" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                 / <span style="color: red">required</span>                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Suffix is .json/.conf, FILEURI format, &quot;/directory/filename&quot;.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Bios test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Import bios config"
+        kaytus.ksmanage.bios_import:
+          file_url: "/home/wbs/bios.conf"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/bios_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/bios_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/bios_info_module.rst	2024-04-23 11:47:07.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/bios_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.bios_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.bios_info -- Get BIOS setup
-+++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.bios_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get BIOS setup on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Bios test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get bios setup"
-        kaytus.ksmanage.bios_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.bios_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.bios_info -- Get BIOS setup
++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.bios_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get BIOS setup on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Bios test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get bios setup"
+        kaytus.ksmanage.bios_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/bmc_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/bmc_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/bmc_info_module.rst	2024-04-23 11:47:07.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/bmc_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.bmc_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.bmc_info -- Get BMC information
-+++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.bmc_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get BMC information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Bmc info test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get BMC information"
-        kaytus.ksmanage.bmc_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.bmc_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.bmc_info -- Get BMC information
++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.bmc_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get BMC information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Bmc info test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get BMC information"
+        kaytus.ksmanage.bmc_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/boot_image_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/boot_image_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/boot_image_info_module.rst	2024-04-23 11:47:07.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/boot_image_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.boot_image_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.boot_image_info -- Get bmc boot image information
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.boot_image_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get bmc boot image information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Boot image test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get bmc boot image information"
-        kaytus.ksmanage.boot_image_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.boot_image_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.boot_image_info -- Get bmc boot image information
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.boot_image_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get bmc boot image information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Boot image test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get bmc boot image information"
+        kaytus.ksmanage.boot_image_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/boot_option_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/boot_option_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/boot_option_info_module.rst	2024-04-23 11:47:07.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/boot_option_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.boot_option_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.boot_option_info -- Get BIOS boot options
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.boot_option_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get BIOS boot options on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Boot test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get bios boot option"
-        kaytus.ksmanage.boot_option_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.boot_option_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.boot_option_info -- Get BIOS boot options
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.boot_option_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get BIOS boot options on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Boot test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get bios boot option"
+        kaytus.ksmanage.boot_option_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/clear_audit_log_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/clear_audit_log_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/clear_audit_log_module.rst	2024-04-23 11:47:07.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/clear_audit_log_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.clear_audit_log_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.clear_audit_log -- Clear BMC audit log
-++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.clear_audit_log`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Clear BMC audit log on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Clear BMC audit log test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Clear BMC audit log "
-        kaytus.ksmanage.clear_audit_log:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.clear_audit_log_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.clear_audit_log -- Clear BMC audit log
+++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.clear_audit_log`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Clear BMC audit log on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Clear BMC audit log test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Clear BMC audit log "
+        kaytus.ksmanage.clear_audit_log:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/clear_event_log_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/clear_event_log_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/clear_event_log_module.rst	2024-04-23 11:47:07.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/clear_event_log_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.clear_event_log_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.clear_event_log -- Clear event log
-++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.clear_event_log`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Clear event log on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Clear event log test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Clear event log"
-        kaytus.ksmanage.clear_event_log:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.clear_event_log_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.clear_event_log -- Clear event log
+++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.clear_event_log`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Clear event log on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Clear event log test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Clear event log"
+        kaytus.ksmanage.clear_event_log:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/clear_system_log_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/clear_system_log_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/clear_system_log_module.rst	2024-04-23 11:47:07.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/clear_system_log_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,334 +1,334 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.clear_system_log_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.clear_system_log -- Clear BMC system log
-++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.clear_system_log`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Clear BMC system log on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-level"></div>
-                    <b>level</b>
-                    <a class="ansibleOptionLink" href="#parameter-level" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li><div style="color: blue"><b>alert</b>&nbsp;&larr;</div></li>
-                                                                                                                                                                                                <li>critical</li>
-                                                                                                                                                                                                <li>error</li>
-                                                                                                                                                                                                <li>notice</li>
-                                                                                                                                                                                                <li>warning</li>
-                                                                                                                                                                                                <li>debug</li>
-                                                                                                                                                                                                <li>emergency</li>
-                                                                                                                                                                                                <li>info</li>
-                                                                                                                                                                                                <li>all</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Log level.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Clear BMC system log test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Clear BMC system log"
-        kaytus.ksmanage.clear_system_log:
-          level: "alert"
-          provider: "{{ ksmanage }}"
-
-      - name: "Clear BMC system log"
-        kaytus.ksmanage.clear_system_log:
-          level: "all"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.clear_system_log_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.clear_system_log -- Clear BMC system log
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.clear_system_log`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Clear BMC system log on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-level"></div>
+                    <b>level</b>
+                    <a class="ansibleOptionLink" href="#parameter-level" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li><div style="color: blue"><b>alert</b>&nbsp;&larr;</div></li>
+                                                                                                                                                                                                <li>critical</li>
+                                                                                                                                                                                                <li>error</li>
+                                                                                                                                                                                                <li>notice</li>
+                                                                                                                                                                                                <li>warning</li>
+                                                                                                                                                                                                <li>debug</li>
+                                                                                                                                                                                                <li>emergency</li>
+                                                                                                                                                                                                <li>info</li>
+                                                                                                                                                                                                <li>all</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Log level.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Clear BMC system log test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Clear BMC system log"
+        kaytus.ksmanage.clear_system_log:
+          level: "alert"
+          provider: "{{ ksmanage }}"
+
+      - name: "Clear BMC system log"
+        kaytus.ksmanage.clear_system_log:
+          level: "all"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/collect_blackbox_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/collect_blackbox_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/collect_blackbox_module.rst	2024-04-23 11:47:07.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/collect_blackbox_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,319 +1,319 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.collect_blackbox_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.collect_blackbox -- Collect blackbox log
-++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.collect_blackbox`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Collect blackbox log on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-file_url"></div>
-                    <b>file_url</b>
-                    <a class="ansibleOptionLink" href="#parameter-file_url" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                 / <span style="color: red">required</span>                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>File download path.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Collect blackbox test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Collect blackbox log"
-        kaytus.ksmanage.collect_blackbox:
-          file_url: "/home/wbs/wbs.log"
-          provider: "{{ ksmanage }}"
-
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.collect_blackbox_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.collect_blackbox -- Collect blackbox log
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.collect_blackbox`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Collect blackbox log on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-file_url"></div>
+                    <b>file_url</b>
+                    <a class="ansibleOptionLink" href="#parameter-file_url" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                 / <span style="color: red">required</span>                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>File download path.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Collect blackbox test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Collect blackbox log"
+        kaytus.ksmanage.collect_blackbox:
+          file_url: "/home/wbs/wbs.log"
+          provider: "{{ ksmanage }}"
+
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/collect_log_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/collect_log_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/collect_log_module.rst	2024-04-23 11:47:07.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/collect_log_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,318 +1,318 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.collect_log_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.collect_log -- Collect logs
-+++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.collect_log`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Collect logs on kaytus Server, it takes about 5 minutes.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-file_url"></div>
-                    <b>file_url</b>
-                    <a class="ansibleOptionLink" href="#parameter-file_url" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                 / <span style="color: red">required</span>                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>File download path or path with filename, for example filepath/filename.tar.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Collect test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Collect logs"
-        kaytus.ksmanage.collect_log:
-          file_url: "/home/wbs/test.tar"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.collect_log_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.collect_log -- Collect logs
++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.collect_log`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Collect logs on kaytus Server, it takes about 5 minutes.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-file_url"></div>
+                    <b>file_url</b>
+                    <a class="ansibleOptionLink" href="#parameter-file_url" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                 / <span style="color: red">required</span>                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>File download path or path with filename, for example filepath/filename.tar.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Collect test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Collect logs"
+        kaytus.ksmanage.collect_log:
+          file_url: "/home/wbs/test.tar"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/connect_media_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/connect_media_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/connect_media_info_module.rst	2024-04-23 11:47:07.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/connect_media_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.connect_media_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.connect_media_info -- Get remote images redirection information
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.connect_media_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get remote images redirection information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Connect media test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get remote images redirection information"
-        kaytus.ksmanage.connect_media_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.connect_media_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.connect_media_info -- Get remote images redirection information
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.connect_media_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get remote images redirection information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Connect media test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get remote images redirection information"
+        kaytus.ksmanage.connect_media_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/cpu_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/cpu_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/cpu_info_module.rst	2024-04-23 11:47:07.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/cpu_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.cpu_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.cpu_info -- Get CPU information
-+++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.cpu_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get CPU information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: CPU test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get cpu information"
-        kaytus.ksmanage.cpu_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.cpu_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.cpu_info -- Get CPU information
++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.cpu_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get CPU information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: CPU test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get cpu information"
+        kaytus.ksmanage.cpu_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/del_session_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/del_session_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/del_session_module.rst	2024-04-23 11:47:07.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/del_session_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,318 +1,318 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.del_session_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.del_session -- Delete session
-+++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.del_session`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Delete session on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-sid"></div>
-                    <b>sid</b>
-                    <a class="ansibleOptionLink" href="#parameter-sid" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                 / <span style="color: red">required</span>                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Session Id, input &quot;all&quot; to delete all sessions.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Delete session test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Delete session"
-        kaytus.ksmanage.del_session:
-          sid: "223"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.del_session_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.del_session -- Delete session
++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.del_session`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Delete session on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-sid"></div>
+                    <b>sid</b>
+                    <a class="ansibleOptionLink" href="#parameter-sid" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                 / <span style="color: red">required</span>                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Session Id, input &quot;all&quot; to delete all sessions.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Delete session test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Delete session"
+        kaytus.ksmanage.del_session:
+          sid: "223"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/dns_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/dns_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/dns_info_module.rst	2024-04-23 11:47:07.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/dns_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.dns_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.dns_info -- Get dns information
-+++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.dns_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get dns information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: DNS test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get dns information"
-        kaytus.ksmanage.dns_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.dns_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.dns_info -- Get dns information
++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.dns_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get dns information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: DNS test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get dns information"
+        kaytus.ksmanage.dns_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/download_auto_screenshot_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/download_auto_screenshot_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/download_auto_screenshot_module.rst	2024-04-23 11:47:07.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/download_auto_screenshot_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,318 +1,318 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.download_auto_screenshot_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.download_auto_screenshot -- Download auto screenshots
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.download_auto_screenshot`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Download auto screenshots on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-file_url"></div>
-                    <b>file_url</b>
-                    <a class="ansibleOptionLink" href="#parameter-file_url" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                 / <span style="color: red">required</span>                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Screen capture file path.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Screen test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Download auto screenshots"
-        kaytus.ksmanage.download_auto_screenshot:
-          file_url: "/home/wbs/screen"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.download_auto_screenshot_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.download_auto_screenshot -- Download auto screenshots
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.download_auto_screenshot`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Download auto screenshots on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-file_url"></div>
+                    <b>file_url</b>
+                    <a class="ansibleOptionLink" href="#parameter-file_url" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                 / <span style="color: red">required</span>                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Screen capture file path.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Screen test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Download auto screenshots"
+        kaytus.ksmanage.download_auto_screenshot:
+          file_url: "/home/wbs/screen"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/download_manual_screenshot_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/download_manual_screenshot_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/download_manual_screenshot_module.rst	2024-04-23 11:47:07.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/download_manual_screenshot_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,318 +1,318 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.download_manual_screenshot_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.download_manual_screenshot -- Download manual screenshots
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.download_manual_screenshot`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Download manual screenshots on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-file_url"></div>
-                    <b>file_url</b>
-                    <a class="ansibleOptionLink" href="#parameter-file_url" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                 / <span style="color: red">required</span>                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Screen capture file path.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Screen test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Download manual screenshots"
-        kaytus.ksmanage.download_manual_screenshot:
-          file_url: "/home/wbs/screen"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.download_manual_screenshot_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.download_manual_screenshot -- Download manual screenshots
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.download_manual_screenshot`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Download manual screenshots on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-file_url"></div>
+                    <b>file_url</b>
+                    <a class="ansibleOptionLink" href="#parameter-file_url" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                 / <span style="color: red">required</span>                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Screen capture file path.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Screen test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Download manual screenshots"
+        kaytus.ksmanage.download_manual_screenshot:
+          file_url: "/home/wbs/screen"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_ad_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_ad_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_ad_module.rst	2024-04-23 11:47:07.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_ad_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,459 +1,459 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.edit_ad_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.edit_ad -- Set active directory information
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_ad`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Set active directory information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-addr1"></div>
-                    <b>addr1</b>
-                    <a class="ansibleOptionLink" href="#parameter-addr1" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Domain Controller Server Address1. Enter the IP address of Active Directory server.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-addr2"></div>
-                    <b>addr2</b>
-                    <a class="ansibleOptionLink" href="#parameter-addr2" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Domain Controller Server Address2. Enter the IP address of Active Directory server.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-addr3"></div>
-                    <b>addr3</b>
-                    <a class="ansibleOptionLink" href="#parameter-addr3" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Domain Controller Server Address3. Enter the IP address of Active Directory server.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-code"></div>
-                    <b>code</b>
-                    <a class="ansibleOptionLink" href="#parameter-code" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Secret Password. Specify the Password of the administrator.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-domain"></div>
-                    <b>domain</b>
-                    <a class="ansibleOptionLink" href="#parameter-domain" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>User Domain Name. Specify the Domain Name for the user for example MyDomain.com.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-enable"></div>
-                    <b>enable</b>
-                    <a class="ansibleOptionLink" href="#parameter-enable" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Active Directory Authentication Status.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-name"></div>
-                    <b>name</b>
-                    <a class="ansibleOptionLink" href="#parameter-name" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Secret Username. Specify the Username of an administrator of the Active Directory Server.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-ssl_enable"></div>
-                    <b>ssl_enable</b>
-                    <a class="ansibleOptionLink" href="#parameter-ssl_enable" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Active Directory SSL Status.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-timeout"></div>
-                    <b>timeout</b>
-                    <a class="ansibleOptionLink" href="#parameter-timeout" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>The Time Out configuration(15-300).</div>
-                                            <div>Only the M5 model supports this parameter.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Ad test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Set active directory information"
-        kaytus.ksmanage.edit_ad:
-          enable: "disable"
-          provider: "{{ ksmanage }}"
-
-      - name: "Set active directory information"
-        kaytus.ksmanage.edit_ad:
-          enable: "enable"
-          name: "test"
-          code: "123456"
-          timeout: 120
-          domain: "test.com"
-          addr1: "100.2.2.2"
-          addr2: "100.2.2.3"
-          addr3: "100.2.2.4"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.edit_ad_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.edit_ad -- Set active directory information
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_ad`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Set active directory information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-addr1"></div>
+                    <b>addr1</b>
+                    <a class="ansibleOptionLink" href="#parameter-addr1" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Domain Controller Server Address1. Enter the IP address of Active Directory server.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-addr2"></div>
+                    <b>addr2</b>
+                    <a class="ansibleOptionLink" href="#parameter-addr2" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Domain Controller Server Address2. Enter the IP address of Active Directory server.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-addr3"></div>
+                    <b>addr3</b>
+                    <a class="ansibleOptionLink" href="#parameter-addr3" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Domain Controller Server Address3. Enter the IP address of Active Directory server.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-code"></div>
+                    <b>code</b>
+                    <a class="ansibleOptionLink" href="#parameter-code" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Secret Password. Specify the Password of the administrator.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-domain"></div>
+                    <b>domain</b>
+                    <a class="ansibleOptionLink" href="#parameter-domain" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>User Domain Name. Specify the Domain Name for the user for example MyDomain.com.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-enable"></div>
+                    <b>enable</b>
+                    <a class="ansibleOptionLink" href="#parameter-enable" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Active Directory Authentication Status.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-name"></div>
+                    <b>name</b>
+                    <a class="ansibleOptionLink" href="#parameter-name" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Secret Username. Specify the Username of an administrator of the Active Directory Server.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-ssl_enable"></div>
+                    <b>ssl_enable</b>
+                    <a class="ansibleOptionLink" href="#parameter-ssl_enable" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Active Directory SSL Status.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-timeout"></div>
+                    <b>timeout</b>
+                    <a class="ansibleOptionLink" href="#parameter-timeout" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>The Time Out configuration(15-300).</div>
+                                            <div>Only the M5 model supports this parameter.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Ad test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Set active directory information"
+        kaytus.ksmanage.edit_ad:
+          enable: "disable"
+          provider: "{{ ksmanage }}"
+
+      - name: "Set active directory information"
+        kaytus.ksmanage.edit_ad:
+          enable: "enable"
+          name: "test"
+          code: "123456"
+          timeout: 120
+          domain: "test.com"
+          addr1: "100.2.2.2"
+          addr2: "100.2.2.3"
+          addr3: "100.2.2.4"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_alert_policy_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_alert_policy_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_alert_policy_module.rst	2024-04-23 11:47:07.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_alert_policy_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,430 +1,430 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.edit_alert_policy_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.edit_alert_policy -- Set alert policy
-+++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_alert_policy`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Set alert policy on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-channel"></div>
-                    <b>channel</b>
-                    <a class="ansibleOptionLink" href="#parameter-channel" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>shared</li>
-                                                                                                                                                                                                <li>dedicated</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>LAN Channel.</div>
-                                            <div>Only the M5 model supports this parameter.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-destination"></div>
-                    <b>destination</b>
-                    <a class="ansibleOptionLink" href="#parameter-destination" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Alert destination. The address of the server receiving trap information sent by Trap.</div>
-                                            <div>when type is snmp, specify an IP address.</div>
-                                            <div>When type is email, specify a username.</div>
-                                            <div>When type is snmpdomain, specify a domain.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-id"></div>
-                    <b>id</b>
-                    <a class="ansibleOptionLink" href="#parameter-id" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                 / <span style="color: red">required</span>                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>1</li>
-                                                                                                                                                                                                <li>2</li>
-                                                                                                                                                                                                <li>3</li>
-                                                                                                                                                                                                <li>4</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Alert id. Customize the channel for sending alarms in Trap.</div>
-                                            <div>The values for M5 modules are 1, 2, 3.</div>
-                                            <div>The values for M6 modules are 1, 2, 3, 4.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-status"></div>
-                    <b>status</b>
-                    <a class="ansibleOptionLink" href="#parameter-status" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Alert policy status. Whether to enable the receiving end for sending messages in trap mode.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-trap_port"></div>
-                    <b>trap_port</b>
-                    <a class="ansibleOptionLink" href="#parameter-trap_port" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>SNMP trap port(1-65535).</div>
-                                            <div>Only the M6 model supports this parameter.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-type"></div>
-                    <b>type</b>
-                    <a class="ansibleOptionLink" href="#parameter-type" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>snmp</li>
-                                                                                                                                                                                                <li>email</li>
-                                                                                                                                                                                                <li>snmpdomain</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Alert Type.</div>
-                                            <div>Only the M5 model supports this parameter.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Alert policy test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Set alert policy"
-        kaytus.ksmanage.edit_alert_policy:
-          id: 1
-          status: "enable"
-          type: "snmp"
-          destination: "100.2.2.2"
-          channel: "shared"
-          provider: "{{ ksmanage }}"
-
-      - name: "Set alert policy"
-        kaytus.ksmanage.edit_alert_policy:
-          id: 1
-          status: "disable"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.edit_alert_policy_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.edit_alert_policy -- Set alert policy
++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_alert_policy`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Set alert policy on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-channel"></div>
+                    <b>channel</b>
+                    <a class="ansibleOptionLink" href="#parameter-channel" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>shared</li>
+                                                                                                                                                                                                <li>dedicated</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>LAN Channel.</div>
+                                            <div>Only the M5 model supports this parameter.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-destination"></div>
+                    <b>destination</b>
+                    <a class="ansibleOptionLink" href="#parameter-destination" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Alert destination. The address of the server receiving trap information sent by Trap.</div>
+                                            <div>when type is snmp, specify an IP address.</div>
+                                            <div>When type is email, specify a username.</div>
+                                            <div>When type is snmpdomain, specify a domain.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-id"></div>
+                    <b>id</b>
+                    <a class="ansibleOptionLink" href="#parameter-id" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                 / <span style="color: red">required</span>                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>1</li>
+                                                                                                                                                                                                <li>2</li>
+                                                                                                                                                                                                <li>3</li>
+                                                                                                                                                                                                <li>4</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Alert id. Customize the channel for sending alarms in Trap.</div>
+                                            <div>The values for M5 modules are 1, 2, 3.</div>
+                                            <div>The values for M6 modules are 1, 2, 3, 4.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-status"></div>
+                    <b>status</b>
+                    <a class="ansibleOptionLink" href="#parameter-status" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Alert policy status. Whether to enable the receiving end for sending messages in trap mode.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-trap_port"></div>
+                    <b>trap_port</b>
+                    <a class="ansibleOptionLink" href="#parameter-trap_port" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>SNMP trap port(1-65535).</div>
+                                            <div>Only the M6 model supports this parameter.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-type"></div>
+                    <b>type</b>
+                    <a class="ansibleOptionLink" href="#parameter-type" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>snmp</li>
+                                                                                                                                                                                                <li>email</li>
+                                                                                                                                                                                                <li>snmpdomain</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Alert Type.</div>
+                                            <div>Only the M5 model supports this parameter.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Alert policy test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Set alert policy"
+        kaytus.ksmanage.edit_alert_policy:
+          id: 1
+          status: "enable"
+          type: "snmp"
+          destination: "100.2.2.2"
+          channel: "shared"
+          provider: "{{ ksmanage }}"
+
+      - name: "Set alert policy"
+        kaytus.ksmanage.edit_alert_policy:
+          id: 1
+          status: "disable"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_auto_capture_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_auto_capture_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_auto_capture_module.rst	2024-04-23 11:47:07.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_auto_capture_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,322 +1,322 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.edit_auto_capture_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.edit_auto_capture -- Set auto capture screen
-++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_auto_capture`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Set auto capture screen on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-status"></div>
-                    <b>status</b>
-                    <a class="ansibleOptionLink" href="#parameter-status" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                 / <span style="color: red">required</span>                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Capture status.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Screen test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Set auto capture screen"
-        kaytus.ksmanage.edit_auto_capture:
-          status: "enable"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.edit_auto_capture_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.edit_auto_capture -- Set auto capture screen
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_auto_capture`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Set auto capture screen on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-status"></div>
+                    <b>status</b>
+                    <a class="ansibleOptionLink" href="#parameter-status" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                 / <span style="color: red">required</span>                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Capture status.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Screen test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Set auto capture screen"
+        kaytus.ksmanage.edit_auto_capture:
+          status: "enable"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_bios_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_bios_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_bios_module.rst	2024-04-23 11:47:06.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_bios_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,377 +1,377 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.edit_bios_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.edit_bios -- Set BIOS setup attributes
-++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_bios`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Set BIOS setup attributes on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-attribute"></div>
-                    <b>attribute</b>
-                    <a class="ansibleOptionLink" href="#parameter-attribute" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>BIOS setup option.</div>
-                                            <div>Required when <em>list=False</em> and <em>file_url=None</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-file_url"></div>
-                    <b>file_url</b>
-                    <a class="ansibleOptionLink" href="#parameter-file_url" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>BIOS option file. attribute must be used with value.</div>
-                                            <div>Mutually exclusive with fileurl format, &quot;/directory/filename&quot;.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-list"></div>
-                    <b>list</b>
-                    <a class="ansibleOptionLink" href="#parameter-list" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">boolean</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                                                                                    <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li><div style="color: blue"><b>no</b>&nbsp;&larr;</div></li>
-                                                                                                                                                                                                <li>yes</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Show attribute name and configurable value.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-value"></div>
-                    <b>value</b>
-                    <a class="ansibleOptionLink" href="#parameter-value" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>BIOS setup option value.</div>
-                                            <div>Required when <em>list=False</em> and <em>file_url=None</em>.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Bios test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Set bios setup"
-        kaytus.ksmanage.edit_bios:
-          attribute: "VMX"
-          value: "Disable"
-          provider: "{{ ksmanage }}"
-
-      - name: "Set bios setup"
-        kaytus.ksmanage.edit_bios:
-          attribute: "VMX"
-          value: "Enable"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.edit_bios_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.edit_bios -- Set BIOS setup attributes
+++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_bios`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Set BIOS setup attributes on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-attribute"></div>
+                    <b>attribute</b>
+                    <a class="ansibleOptionLink" href="#parameter-attribute" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>BIOS setup option.</div>
+                                            <div>Required when <em>list=False</em> and <em>file_url=None</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-file_url"></div>
+                    <b>file_url</b>
+                    <a class="ansibleOptionLink" href="#parameter-file_url" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>BIOS option file. attribute must be used with value.</div>
+                                            <div>Mutually exclusive with fileurl format, &quot;/directory/filename&quot;.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-list"></div>
+                    <b>list</b>
+                    <a class="ansibleOptionLink" href="#parameter-list" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">boolean</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                                                                                    <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li><div style="color: blue"><b>no</b>&nbsp;&larr;</div></li>
+                                                                                                                                                                                                <li>yes</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Show attribute name and configurable value.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-value"></div>
+                    <b>value</b>
+                    <a class="ansibleOptionLink" href="#parameter-value" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>BIOS setup option value.</div>
+                                            <div>Required when <em>list=False</em> and <em>file_url=None</em>.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Bios test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Set bios setup"
+        kaytus.ksmanage.edit_bios:
+          attribute: "VMX"
+          value: "Disable"
+          provider: "{{ ksmanage }}"
+
+      - name: "Set bios setup"
+        kaytus.ksmanage.edit_bios:
+          attribute: "VMX"
+          value: "Enable"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_boot_image_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_boot_image_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_boot_image_module.rst	2024-04-23 11:47:06.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_boot_image_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,327 +1,327 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.edit_boot_image_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.edit_boot_image -- Set bmc boot image
-+++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_boot_image`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Set bmc boot image on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-image"></div>
-                    <b>image</b>
-                    <a class="ansibleOptionLink" href="#parameter-image" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                 / <span style="color: red">required</span>                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>0</li>
-                                                                                                                                                                                                <li>1</li>
-                                                                                                                                                                                                <li>2</li>
-                                                                                                                                                                                                <li>3</li>
-                                                                                                                                                                                                <li>4</li>
-                                                                                                                                                                                                <li>5</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>BMC boot image.</div>
-                                            <div>0-Higher firmware version; 1-Image 1; 2-Image 2; 3-Lower firmware version; 4-Latest updated firmware; 5-Not latest updated firmware.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Boot image test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Set bmc boot image"
-        kaytus.ksmanage.edit_boot_image:
-          image: 2
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.edit_boot_image_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.edit_boot_image -- Set bmc boot image
++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_boot_image`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Set bmc boot image on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-image"></div>
+                    <b>image</b>
+                    <a class="ansibleOptionLink" href="#parameter-image" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                 / <span style="color: red">required</span>                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>0</li>
+                                                                                                                                                                                                <li>1</li>
+                                                                                                                                                                                                <li>2</li>
+                                                                                                                                                                                                <li>3</li>
+                                                                                                                                                                                                <li>4</li>
+                                                                                                                                                                                                <li>5</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>BMC boot image.</div>
+                                            <div>0-Higher firmware version; 1-Image 1; 2-Image 2; 3-Lower firmware version; 4-Latest updated firmware; 5-Not latest updated firmware.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Boot image test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Set bmc boot image"
+        kaytus.ksmanage.edit_boot_image:
+          image: 2
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_boot_option_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_boot_option_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_boot_option_module.rst	2024-04-23 11:47:06.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_boot_option_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,365 +1,365 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.edit_boot_option_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.edit_boot_option -- Set BIOS boot options
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_boot_option`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Set BIOS boot options on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-device"></div>
-                    <b>device</b>
-                    <a class="ansibleOptionLink" href="#parameter-device" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>none</li>
-                                                                                                                                                                                                <li>HDD</li>
-                                                                                                                                                                                                <li>PXE</li>
-                                                                                                                                                                                                <li>CD</li>
-                                                                                                                                                                                                <li>BIOSSETUP</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Boot device.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-effective"></div>
-                    <b>effective</b>
-                    <a class="ansibleOptionLink" href="#parameter-effective" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>Once</li>
-                                                                                                                                                                                                <li>Continuous</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Effective, once or continuous.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-mode"></div>
-                    <b>mode</b>
-                    <a class="ansibleOptionLink" href="#parameter-mode" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>Legacy</li>
-                                                                                                                                                                                                <li>UEFI</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Boot type.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Boot test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Set bios boot option"
-        kaytus.ksmanage.edit_boot_option:
-          device: "PXE"
-          effective: "Once"
-          mode: "Legacy"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.edit_boot_option_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.edit_boot_option -- Set BIOS boot options
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_boot_option`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Set BIOS boot options on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-device"></div>
+                    <b>device</b>
+                    <a class="ansibleOptionLink" href="#parameter-device" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>none</li>
+                                                                                                                                                                                                <li>HDD</li>
+                                                                                                                                                                                                <li>PXE</li>
+                                                                                                                                                                                                <li>CD</li>
+                                                                                                                                                                                                <li>BIOSSETUP</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Boot device.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-effective"></div>
+                    <b>effective</b>
+                    <a class="ansibleOptionLink" href="#parameter-effective" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>Once</li>
+                                                                                                                                                                                                <li>Continuous</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Effective, once or continuous.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-mode"></div>
+                    <b>mode</b>
+                    <a class="ansibleOptionLink" href="#parameter-mode" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>Legacy</li>
+                                                                                                                                                                                                <li>UEFI</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Boot type.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Boot test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Set bios boot option"
+        kaytus.ksmanage.edit_boot_option:
+          device: "PXE"
+          effective: "Once"
+          mode: "Legacy"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_connect_media_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_connect_media_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_connect_media_module.rst	2024-04-23 11:47:06.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_connect_media_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,360 +1,360 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.edit_connect_media_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.edit_connect_media -- Start/Stop virtual media Image
-++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_connect_media`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Start/Stop virtual media Image on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-image_name"></div>
-                    <b>image_name</b>
-                    <a class="ansibleOptionLink" href="#parameter-image_name" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                 / <span style="color: red">required</span>                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Image name.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-image_type"></div>
-                    <b>image_type</b>
-                    <a class="ansibleOptionLink" href="#parameter-image_type" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                 / <span style="color: red">required</span>                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>CD</li>
-                                                                                                                                                                                                <li>FD</li>
-                                                                                                                                                                                                <li>HD</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Virtual media type.</div>
-                                            <div>Only the M5 model supports this parameter.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-op_type"></div>
-                    <b>op_type</b>
-                    <a class="ansibleOptionLink" href="#parameter-op_type" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                 / <span style="color: red">required</span>                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>start</li>
-                                                                                                                                                                                                <li>stop</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Start or stop media.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Connect media test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Set remote image redirection"
-        kaytus.ksmanage.edit_connect_media:
-          image_type: "CD"
-          op_type: "start"
-          image_name: "aa.iso"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.edit_connect_media_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.edit_connect_media -- Start/Stop virtual media Image
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_connect_media`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Start/Stop virtual media Image on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-image_name"></div>
+                    <b>image_name</b>
+                    <a class="ansibleOptionLink" href="#parameter-image_name" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                 / <span style="color: red">required</span>                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Image name.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-image_type"></div>
+                    <b>image_type</b>
+                    <a class="ansibleOptionLink" href="#parameter-image_type" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                 / <span style="color: red">required</span>                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>CD</li>
+                                                                                                                                                                                                <li>FD</li>
+                                                                                                                                                                                                <li>HD</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Virtual media type.</div>
+                                            <div>Only the M5 model supports this parameter.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-op_type"></div>
+                    <b>op_type</b>
+                    <a class="ansibleOptionLink" href="#parameter-op_type" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                 / <span style="color: red">required</span>                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>start</li>
+                                                                                                                                                                                                <li>stop</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Start or stop media.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Connect media test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Set remote image redirection"
+        kaytus.ksmanage.edit_connect_media:
+          image_type: "CD"
+          op_type: "start"
+          image_name: "aa.iso"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_dns_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_dns_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_dns_module.rst	2024-04-23 11:47:06.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_dns_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,620 +1,620 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.edit_dns_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.edit_dns -- Set dns information
-+++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_dns`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Set dns information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-dns_iface"></div>
-                    <b>dns_iface</b>
-                    <a class="ansibleOptionLink" href="#parameter-dns_iface" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>DNS Interface, input like &#x27;eth0&#x27;, &#x27;eth1&#x27;, &#x27;bond0&#x27;.</div>
-                                            <div>Required when <em>dns_manual=auto</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-dns_manual"></div>
-                    <b>dns_manual</b>
-                    <a class="ansibleOptionLink" href="#parameter-dns_manual" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>manual</li>
-                                                                                                                                                                                                <li>auto</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>DNS Settings. Select whether the DNS interface will be configured manually or automatically.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-dns_priority"></div>
-                    <b>dns_priority</b>
-                    <a class="ansibleOptionLink" href="#parameter-dns_priority" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>4</li>
-                                                                                                                                                                                                <li>6</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>IP Priority.</div>
-                                            <div>Required when <em>dns_manual=auto</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-dns_server1"></div>
-                    <b>dns_server1</b>
-                    <a class="ansibleOptionLink" href="#parameter-dns_server1" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>DNS Server1 IPv4 or IPv6 address.</div>
-                                            <div>Required when <em>dns_manual=manual</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-dns_server2"></div>
-                    <b>dns_server2</b>
-                    <a class="ansibleOptionLink" href="#parameter-dns_server2" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>DNS Server2 IPv4 or IPv6 address.</div>
-                                            <div>Required when <em>dns_manual=manual</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-dns_server3"></div>
-                    <b>dns_server3</b>
-                    <a class="ansibleOptionLink" href="#parameter-dns_server3" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>DNS Server3 IPv4 or IPv6 address.</div>
-                                            <div>Required when <em>dns_manual=manual</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-dns_status"></div>
-                    <b>dns_status</b>
-                    <a class="ansibleOptionLink" href="#parameter-dns_status" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>DNS status.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-domain_iface"></div>
-                    <b>domain_iface</b>
-                    <a class="ansibleOptionLink" href="#parameter-domain_iface" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Network Interface, input like &#x27;eth0_v4&#x27;, &#x27;eth0_v6&#x27;, &#x27;eth1_v4&#x27;, &#x27;eth1_v6&#x27;, &#x27;bond0_v4&#x27;, &#x27;bond0_v6&#x27;.</div>
-                                            <div>Required when <em>domain_manual=auto</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-domain_manual"></div>
-                    <b>domain_manual</b>
-                    <a class="ansibleOptionLink" href="#parameter-domain_manual" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>manual</li>
-                                                                                                                                                                                                <li>auto</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Domain Settings. Select whether the domain interface will be configured manually or automatically.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-domain_name"></div>
-                    <b>domain_name</b>
-                    <a class="ansibleOptionLink" href="#parameter-domain_name" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Domain Name.</div>
-                                            <div>Required when <em>domain_manual=manual</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host_cfg"></div>
-                    <b>host_cfg</b>
-                    <a class="ansibleOptionLink" href="#parameter-host_cfg" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>manual</li>
-                                                                                                                                                                                                <li>auto</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Host Settings. Select whether the host name will be configured manually or automatically.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host_name"></div>
-                    <b>host_name</b>
-                    <a class="ansibleOptionLink" href="#parameter-host_name" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Host Name.</div>
-                                            <div>Required when <em>host_cfg=manual</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-register_status1"></div>
-                    <b>register_status1</b>
-                    <a class="ansibleOptionLink" href="#parameter-register_status1" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>BMC register status 1.</div>
-                                            <div>Only the M6 model supports this parameter.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-register_status2"></div>
-                    <b>register_status2</b>
-                    <a class="ansibleOptionLink" href="#parameter-register_status2" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>BMC register status 2.</div>
-                                            <div>Only the M6 model supports this parameter.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-registration_method1"></div>
-                    <b>registration_method1</b>
-                    <a class="ansibleOptionLink" href="#parameter-registration_method1" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>nsupdate</li>
-                                                                                                                                                                                                <li>dhcp</li>
-                                                                                                                                                                                                <li>hostname</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Registration method 1.</div>
-                                            <div>Only the M6 model supports this parameter.</div>
-                                            <div>Required when <em>register_status1=enable</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-registration_method2"></div>
-                    <b>registration_method2</b>
-                    <a class="ansibleOptionLink" href="#parameter-registration_method2" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>nsupdate</li>
-                                                                                                                                                                                                <li>dhcp</li>
-                                                                                                                                                                                                <li>hostname</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Registration method 2.</div>
-                                            <div>Only the M6 model supports this parameter.</div>
-                                            <div>Required when <em>register_status2=enable</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: DNS test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Set dns information"
-        kaytus.ksmanage.edit_dns:
-          dns_status: "disable"
-          provider: "{{ ksmanage }}"
-
-      - name: "Set dns information"
-        kaytus.ksmanage.edit_dns:
-          dns_status: "enable"
-          host_cfg: "manual"
-          host_name: "123456789"
-          domain_manual: "auto"
-          domain_iface: "eth0_v4"
-          dns_manual: "manual"
-          dns_server1: "100.2.2.2"
-          dns_server2: "100.2.2.3"
-          dns_server3: "100.2.2.4"
-          provider: "{{ ksmanage }}"
-
-      - name: "Set dns information"
-        kaytus.ksmanage.edit_dns:
-          dns_status: "enable"
-          host_cfg: "manual"
-          host_name: "123456789"
-          domain_manual: "manual"
-          domain_name: "test.com"
-          dns_manual: "auto"
-          dns_iface: "eth0"
-          dns_priority: "4"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.edit_dns_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.edit_dns -- Set dns information
++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_dns`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Set dns information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-dns_iface"></div>
+                    <b>dns_iface</b>
+                    <a class="ansibleOptionLink" href="#parameter-dns_iface" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>DNS Interface, input like &#x27;eth0&#x27;, &#x27;eth1&#x27;, &#x27;bond0&#x27;.</div>
+                                            <div>Required when <em>dns_manual=auto</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-dns_manual"></div>
+                    <b>dns_manual</b>
+                    <a class="ansibleOptionLink" href="#parameter-dns_manual" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>manual</li>
+                                                                                                                                                                                                <li>auto</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>DNS Settings. Select whether the DNS interface will be configured manually or automatically.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-dns_priority"></div>
+                    <b>dns_priority</b>
+                    <a class="ansibleOptionLink" href="#parameter-dns_priority" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>4</li>
+                                                                                                                                                                                                <li>6</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>IP Priority.</div>
+                                            <div>Required when <em>dns_manual=auto</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-dns_server1"></div>
+                    <b>dns_server1</b>
+                    <a class="ansibleOptionLink" href="#parameter-dns_server1" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>DNS Server1 IPv4 or IPv6 address.</div>
+                                            <div>Required when <em>dns_manual=manual</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-dns_server2"></div>
+                    <b>dns_server2</b>
+                    <a class="ansibleOptionLink" href="#parameter-dns_server2" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>DNS Server2 IPv4 or IPv6 address.</div>
+                                            <div>Required when <em>dns_manual=manual</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-dns_server3"></div>
+                    <b>dns_server3</b>
+                    <a class="ansibleOptionLink" href="#parameter-dns_server3" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>DNS Server3 IPv4 or IPv6 address.</div>
+                                            <div>Required when <em>dns_manual=manual</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-dns_status"></div>
+                    <b>dns_status</b>
+                    <a class="ansibleOptionLink" href="#parameter-dns_status" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>DNS status.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-domain_iface"></div>
+                    <b>domain_iface</b>
+                    <a class="ansibleOptionLink" href="#parameter-domain_iface" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Network Interface, input like &#x27;eth0_v4&#x27;, &#x27;eth0_v6&#x27;, &#x27;eth1_v4&#x27;, &#x27;eth1_v6&#x27;, &#x27;bond0_v4&#x27;, &#x27;bond0_v6&#x27;.</div>
+                                            <div>Required when <em>domain_manual=auto</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-domain_manual"></div>
+                    <b>domain_manual</b>
+                    <a class="ansibleOptionLink" href="#parameter-domain_manual" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>manual</li>
+                                                                                                                                                                                                <li>auto</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Domain Settings. Select whether the domain interface will be configured manually or automatically.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-domain_name"></div>
+                    <b>domain_name</b>
+                    <a class="ansibleOptionLink" href="#parameter-domain_name" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Domain Name.</div>
+                                            <div>Required when <em>domain_manual=manual</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host_cfg"></div>
+                    <b>host_cfg</b>
+                    <a class="ansibleOptionLink" href="#parameter-host_cfg" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>manual</li>
+                                                                                                                                                                                                <li>auto</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Host Settings. Select whether the host name will be configured manually or automatically.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host_name"></div>
+                    <b>host_name</b>
+                    <a class="ansibleOptionLink" href="#parameter-host_name" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Host Name.</div>
+                                            <div>Required when <em>host_cfg=manual</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-register_status1"></div>
+                    <b>register_status1</b>
+                    <a class="ansibleOptionLink" href="#parameter-register_status1" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>BMC register status 1.</div>
+                                            <div>Only the M6 model supports this parameter.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-register_status2"></div>
+                    <b>register_status2</b>
+                    <a class="ansibleOptionLink" href="#parameter-register_status2" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>BMC register status 2.</div>
+                                            <div>Only the M6 model supports this parameter.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-registration_method1"></div>
+                    <b>registration_method1</b>
+                    <a class="ansibleOptionLink" href="#parameter-registration_method1" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>nsupdate</li>
+                                                                                                                                                                                                <li>dhcp</li>
+                                                                                                                                                                                                <li>hostname</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Registration method 1.</div>
+                                            <div>Only the M6 model supports this parameter.</div>
+                                            <div>Required when <em>register_status1=enable</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-registration_method2"></div>
+                    <b>registration_method2</b>
+                    <a class="ansibleOptionLink" href="#parameter-registration_method2" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>nsupdate</li>
+                                                                                                                                                                                                <li>dhcp</li>
+                                                                                                                                                                                                <li>hostname</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Registration method 2.</div>
+                                            <div>Only the M6 model supports this parameter.</div>
+                                            <div>Required when <em>register_status2=enable</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: DNS test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Set dns information"
+        kaytus.ksmanage.edit_dns:
+          dns_status: "disable"
+          provider: "{{ ksmanage }}"
+
+      - name: "Set dns information"
+        kaytus.ksmanage.edit_dns:
+          dns_status: "enable"
+          host_cfg: "manual"
+          host_name: "123456789"
+          domain_manual: "auto"
+          domain_iface: "eth0_v4"
+          dns_manual: "manual"
+          dns_server1: "100.2.2.2"
+          dns_server2: "100.2.2.3"
+          dns_server3: "100.2.2.4"
+          provider: "{{ ksmanage }}"
+
+      - name: "Set dns information"
+        kaytus.ksmanage.edit_dns:
+          dns_status: "enable"
+          host_cfg: "manual"
+          host_name: "123456789"
+          domain_manual: "manual"
+          domain_name: "test.com"
+          dns_manual: "auto"
+          dns_iface: "eth0"
+          dns_priority: "4"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_event_log_policy_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_event_log_policy_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_event_log_policy_module.rst	2024-04-23 11:47:06.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_event_log_policy_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,322 +1,322 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.edit_event_log_policy_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.edit_event_log_policy -- Set event log policy
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_event_log_policy`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Set event log policy on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-policy"></div>
-                    <b>policy</b>
-                    <a class="ansibleOptionLink" href="#parameter-policy" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                 / <span style="color: red">required</span>                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>Linear</li>
-                                                                                                                                                                                                <li>Circular</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Event log policy.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Event log policy test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Set event log policy"
-        kaytus.ksmanage.edit_event_log_policy:
-          policy: "Linear"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.edit_event_log_policy_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.edit_event_log_policy -- Set event log policy
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_event_log_policy`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Set event log policy on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-policy"></div>
+                    <b>policy</b>
+                    <a class="ansibleOptionLink" href="#parameter-policy" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                 / <span style="color: red">required</span>                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>Linear</li>
+                                                                                                                                                                                                <li>Circular</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Event log policy.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Event log policy test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Set event log policy"
+        kaytus.ksmanage.edit_event_log_policy:
+          policy: "Linear"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_fan_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_fan_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_fan_module.rst	2024-04-23 11:47:06.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_fan_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,359 +1,359 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.edit_fan_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.edit_fan -- Set fan information
-+++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_fan`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Set fan information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-fan_speed"></div>
-                    <b>fan_speed</b>
-                    <a class="ansibleOptionLink" href="#parameter-fan_speed" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Fan speed (duty ratio), range in 1 - 100.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-id"></div>
-                    <b>id</b>
-                    <a class="ansibleOptionLink" href="#parameter-id" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Fan id 255 is for all fans, 0~n.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-mode"></div>
-                    <b>mode</b>
-                    <a class="ansibleOptionLink" href="#parameter-mode" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>Automatic</li>
-                                                                                                                                                                                                <li>Manual</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Control mode, Manual or Automatic , Manual must be used with fans_peed.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Fan test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Set fan information"
-        kaytus.ksmanage.edit_fan:
-          mode: "Automatic"
-          provider: "{{ ksmanage }}"
-
-      - name: "Set fan information"
-        kaytus.ksmanage.edit_fan:
-          mode: "Manual"
-          id: 1
-          fan_speed: 80
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.edit_fan_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.edit_fan -- Set fan information
++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_fan`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Set fan information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-fan_speed"></div>
+                    <b>fan_speed</b>
+                    <a class="ansibleOptionLink" href="#parameter-fan_speed" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Fan speed (duty ratio), range in 1 - 100.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-id"></div>
+                    <b>id</b>
+                    <a class="ansibleOptionLink" href="#parameter-id" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Fan id 255 is for all fans, 0~n.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-mode"></div>
+                    <b>mode</b>
+                    <a class="ansibleOptionLink" href="#parameter-mode" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>Automatic</li>
+                                                                                                                                                                                                <li>Manual</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Control mode, Manual or Automatic , Manual must be used with fans_peed.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Fan test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Set fan information"
+        kaytus.ksmanage.edit_fan:
+          mode: "Automatic"
+          provider: "{{ ksmanage }}"
+
+      - name: "Set fan information"
+        kaytus.ksmanage.edit_fan:
+          mode: "Manual"
+          id: 1
+          fan_speed: 80
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_fru_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_fru_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_fru_module.rst	2024-04-23 11:47:06.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_fru_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,352 +1,352 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.edit_fru_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.edit_fru -- Set fru settings
-++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_fru`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Set fru settings on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-attribute"></div>
-                    <b>attribute</b>
-                    <a class="ansibleOptionLink" href="#parameter-attribute" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                 / <span style="color: red">required</span>                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>CP</li>
-                                                                                                                                                                                                <li>CS</li>
-                                                                                                                                                                                                <li>PM</li>
-                                                                                                                                                                                                <li>PPN</li>
-                                                                                                                                                                                                <li>PS</li>
-                                                                                                                                                                                                <li>PN</li>
-                                                                                                                                                                                                <li>PV</li>
-                                                                                                                                                                                                <li>PAT</li>
-                                                                                                                                                                                                <li>BM</li>
-                                                                                                                                                                                                <li>BPN</li>
-                                                                                                                                                                                                <li>BS</li>
-                                                                                                                                                                                                <li>BP</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>CP is Chassis Part Number, CS is Chassis Serial, PM is Product Manufacturer.</div>
-                                            <div>PPN is Product Part Number, PS is Product Serial, PN is Product Name.</div>
-                                            <div>PV is Product Version, PAT is Product Asset Tag, BM is Board Mfg, BPN is Board Product Name.</div>
-                                            <div>BS is Board Serial, BP is Board Part Number.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-value"></div>
-                    <b>value</b>
-                    <a class="ansibleOptionLink" href="#parameter-value" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                 / <span style="color: red">required</span>                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Set the value of attribute.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Fru test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Set Fru"
-        kaytus.ksmanage.edit_fru:
-          attribute: "CP"
-          value: "test"
-          provider: "{{ ksmanage }}"
-
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.edit_fru_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.edit_fru -- Set fru settings
+++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_fru`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Set fru settings on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-attribute"></div>
+                    <b>attribute</b>
+                    <a class="ansibleOptionLink" href="#parameter-attribute" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                 / <span style="color: red">required</span>                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>CP</li>
+                                                                                                                                                                                                <li>CS</li>
+                                                                                                                                                                                                <li>PM</li>
+                                                                                                                                                                                                <li>PPN</li>
+                                                                                                                                                                                                <li>PS</li>
+                                                                                                                                                                                                <li>PN</li>
+                                                                                                                                                                                                <li>PV</li>
+                                                                                                                                                                                                <li>PAT</li>
+                                                                                                                                                                                                <li>BM</li>
+                                                                                                                                                                                                <li>BPN</li>
+                                                                                                                                                                                                <li>BS</li>
+                                                                                                                                                                                                <li>BP</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>CP is Chassis Part Number, CS is Chassis Serial, PM is Product Manufacturer.</div>
+                                            <div>PPN is Product Part Number, PS is Product Serial, PN is Product Name.</div>
+                                            <div>PV is Product Version, PAT is Product Asset Tag, BM is Board Mfg, BPN is Board Product Name.</div>
+                                            <div>BS is Board Serial, BP is Board Part Number.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-value"></div>
+                    <b>value</b>
+                    <a class="ansibleOptionLink" href="#parameter-value" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                 / <span style="color: red">required</span>                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Set the value of attribute.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Fru test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Set Fru"
+        kaytus.ksmanage.edit_fru:
+          attribute: "CP"
+          value: "test"
+          provider: "{{ ksmanage }}"
+
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_ipv4_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_ipv4_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_ipv4_module.rst	2024-04-23 11:47:06.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_ipv4_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,427 +1,427 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.edit_ipv4_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.edit_ipv4 -- Set ipv4 information
-+++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_ipv4`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Set ipv4 information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-interface_name"></div>
-                    <b>interface_name</b>
-                    <a class="ansibleOptionLink" href="#parameter-interface_name" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                 / <span style="color: red">required</span>                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>eth0</li>
-                                                                                                                                                                                                <li>eth1</li>
-                                                                                                                                                                                                <li>bond0</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Set interface name. Select the LAN interface to be configured.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-ipv4_address"></div>
-                    <b>ipv4_address</b>
-                    <a class="ansibleOptionLink" href="#parameter-ipv4_address" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>If DHCP is disabled, specify a static IPv4 address to be configured for the selected interface.</div>
-                                            <div>Required when <em>ipv4_dhcp_enable=static</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-ipv4_dhcp_enable"></div>
-                    <b>ipv4_dhcp_enable</b>
-                    <a class="ansibleOptionLink" href="#parameter-ipv4_dhcp_enable" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>dhcp</li>
-                                                                                                                                                                                                <li>static</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Enable &#x27;Enable DHCP&#x27; to dynamically configure IPv4 address using Dynamic Host Configuration Protocol (DHCP).</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-ipv4_gateway"></div>
-                    <b>ipv4_gateway</b>
-                    <a class="ansibleOptionLink" href="#parameter-ipv4_gateway" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>If DHCP is disabled, specify a static Default Gateway to be configured for the selected interface.</div>
-                                            <div>Required when <em>ipv4_dhcp_enable=static</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-ipv4_status"></div>
-                    <b>ipv4_status</b>
-                    <a class="ansibleOptionLink" href="#parameter-ipv4_status" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Enable or disable IPV4.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-ipv4_subnet"></div>
-                    <b>ipv4_subnet</b>
-                    <a class="ansibleOptionLink" href="#parameter-ipv4_subnet" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>If DHCP is disabled, specify a static Subnet Mask to be configured for the selected interface.</div>
-                                            <div>Required when <em>ipv4_dhcp_enable=static</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Ipv4 test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Set ipv4 information"
-        kaytus.ksmanage.edit_ipv4:
-          interface_name: "eth0"
-          ipv4_status: "disable"
-          provider: "{{ ksmanage }}"
-
-      - name: "Set ipv4 information"
-        kaytus.ksmanage.edit_ipv4:
-          interface_name: "eth0"
-          ipv4_status: "enable"
-          ipv4_dhcp_enable: "dhcp"
-          provider: "{{ ksmanage }}"
-
-      - name: "Set ipv4 information"
-        kaytus.ksmanage.edit_ipv4:
-          interface_name: "eth0"
-          ipv4_status: "enable"
-          ipv4_dhcp_enable: "static"
-          ipv4_address: "100.2.36.10"
-          ipv4_subnet: "255.255.255.0"
-          ipv4_gateway: "100.2.36.1"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.edit_ipv4_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.edit_ipv4 -- Set ipv4 information
++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_ipv4`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Set ipv4 information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-interface_name"></div>
+                    <b>interface_name</b>
+                    <a class="ansibleOptionLink" href="#parameter-interface_name" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                 / <span style="color: red">required</span>                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>eth0</li>
+                                                                                                                                                                                                <li>eth1</li>
+                                                                                                                                                                                                <li>bond0</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Set interface name. Select the LAN interface to be configured.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-ipv4_address"></div>
+                    <b>ipv4_address</b>
+                    <a class="ansibleOptionLink" href="#parameter-ipv4_address" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>If DHCP is disabled, specify a static IPv4 address to be configured for the selected interface.</div>
+                                            <div>Required when <em>ipv4_dhcp_enable=static</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-ipv4_dhcp_enable"></div>
+                    <b>ipv4_dhcp_enable</b>
+                    <a class="ansibleOptionLink" href="#parameter-ipv4_dhcp_enable" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>dhcp</li>
+                                                                                                                                                                                                <li>static</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Enable &#x27;Enable DHCP&#x27; to dynamically configure IPv4 address using Dynamic Host Configuration Protocol (DHCP).</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-ipv4_gateway"></div>
+                    <b>ipv4_gateway</b>
+                    <a class="ansibleOptionLink" href="#parameter-ipv4_gateway" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>If DHCP is disabled, specify a static Default Gateway to be configured for the selected interface.</div>
+                                            <div>Required when <em>ipv4_dhcp_enable=static</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-ipv4_status"></div>
+                    <b>ipv4_status</b>
+                    <a class="ansibleOptionLink" href="#parameter-ipv4_status" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Enable or disable IPV4.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-ipv4_subnet"></div>
+                    <b>ipv4_subnet</b>
+                    <a class="ansibleOptionLink" href="#parameter-ipv4_subnet" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>If DHCP is disabled, specify a static Subnet Mask to be configured for the selected interface.</div>
+                                            <div>Required when <em>ipv4_dhcp_enable=static</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Ipv4 test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Set ipv4 information"
+        kaytus.ksmanage.edit_ipv4:
+          interface_name: "eth0"
+          ipv4_status: "disable"
+          provider: "{{ ksmanage }}"
+
+      - name: "Set ipv4 information"
+        kaytus.ksmanage.edit_ipv4:
+          interface_name: "eth0"
+          ipv4_status: "enable"
+          ipv4_dhcp_enable: "dhcp"
+          provider: "{{ ksmanage }}"
+
+      - name: "Set ipv4 information"
+        kaytus.ksmanage.edit_ipv4:
+          interface_name: "eth0"
+          ipv4_status: "enable"
+          ipv4_dhcp_enable: "static"
+          ipv4_address: "100.2.36.10"
+          ipv4_subnet: "255.255.255.0"
+          ipv4_gateway: "100.2.36.1"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_ipv6_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_ipv6_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_ipv6_module.rst	2024-04-23 11:47:06.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_ipv6_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,444 +1,444 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.edit_ipv6_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.edit_ipv6 -- Set ipv6 information
-+++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_ipv6`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Set ipv6 information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-interface_name"></div>
-                    <b>interface_name</b>
-                    <a class="ansibleOptionLink" href="#parameter-interface_name" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                 / <span style="color: red">required</span>                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>eth0</li>
-                                                                                                                                                                                                <li>eth1</li>
-                                                                                                                                                                                                <li>bond0</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Set interface name. Select the LAN interface to be configured.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-ipv6_address"></div>
-                    <b>ipv6_address</b>
-                    <a class="ansibleOptionLink" href="#parameter-ipv6_address" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>If DHCP is disabled, specify a static IPv6 address to be configured for the selected interface.</div>
-                                            <div>Required when <em>ipv6_dhcp_enable=static</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-ipv6_dhcp_enable"></div>
-                    <b>ipv6_dhcp_enable</b>
-                    <a class="ansibleOptionLink" href="#parameter-ipv6_dhcp_enable" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>dhcp</li>
-                                                                                                                                                                                                <li>static</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Enable &#x27;Enable DHCP&#x27; to dynamically configure IPv6 address using Dynamic Host Configuration Protocol (DHCP).</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-ipv6_gateway"></div>
-                    <b>ipv6_gateway</b>
-                    <a class="ansibleOptionLink" href="#parameter-ipv6_gateway" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>If DHCP is disabled, specify a static Default Gateway to be configured for the selected interface.</div>
-                                            <div>Required when <em>ipv6_dhcp_enable=static</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-ipv6_index"></div>
-                    <b>ipv6_index</b>
-                    <a class="ansibleOptionLink" href="#parameter-ipv6_index" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Ipv6 index(0-15).</div>
-                                            <div>Required when <em>ipv6_dhcp_enable=static</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-ipv6_prefix"></div>
-                    <b>ipv6_prefix</b>
-                    <a class="ansibleOptionLink" href="#parameter-ipv6_prefix" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>The subnet prefix length for the IPv6 settings(0-128).</div>
-                                            <div>Required when <em>ipv6_dhcp_enable=static</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-ipv6_status"></div>
-                    <b>ipv6_status</b>
-                    <a class="ansibleOptionLink" href="#parameter-ipv6_status" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Enable or disable IPV6.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Ipv6 test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Set ipv6 information"
-        kaytus.ksmanage.edit_ipv6:
-          interface_name: "eth0"
-          ipv6_status: "disable"
-          provider: "{{ ksmanage }}"
-
-      - name: "Set ipv6 information"
-        kaytus.ksmanage.edit_ipv6:
-          interface_name: "eth0"
-          ipv6_status: "enable"
-          ipv6_dhcp_enable: "dhcp"
-          provider: "{{ ksmanage }}"
-
-      - name: "Set ipv6 information"
-        kaytus.ksmanage.edit_ipv6:
-          interface_name: "eth0"
-          ipv6_status: "enable"
-          ipv6_dhcp_enable: "static"
-          ipv6_address: "::ffff:100:2:36:10"
-          ipv6_index: 12
-          ipv6_prefix: 16
-          ipv6_gateway: "::"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.edit_ipv6_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.edit_ipv6 -- Set ipv6 information
++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_ipv6`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Set ipv6 information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-interface_name"></div>
+                    <b>interface_name</b>
+                    <a class="ansibleOptionLink" href="#parameter-interface_name" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                 / <span style="color: red">required</span>                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>eth0</li>
+                                                                                                                                                                                                <li>eth1</li>
+                                                                                                                                                                                                <li>bond0</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Set interface name. Select the LAN interface to be configured.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-ipv6_address"></div>
+                    <b>ipv6_address</b>
+                    <a class="ansibleOptionLink" href="#parameter-ipv6_address" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>If DHCP is disabled, specify a static IPv6 address to be configured for the selected interface.</div>
+                                            <div>Required when <em>ipv6_dhcp_enable=static</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-ipv6_dhcp_enable"></div>
+                    <b>ipv6_dhcp_enable</b>
+                    <a class="ansibleOptionLink" href="#parameter-ipv6_dhcp_enable" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>dhcp</li>
+                                                                                                                                                                                                <li>static</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Enable &#x27;Enable DHCP&#x27; to dynamically configure IPv6 address using Dynamic Host Configuration Protocol (DHCP).</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-ipv6_gateway"></div>
+                    <b>ipv6_gateway</b>
+                    <a class="ansibleOptionLink" href="#parameter-ipv6_gateway" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>If DHCP is disabled, specify a static Default Gateway to be configured for the selected interface.</div>
+                                            <div>Required when <em>ipv6_dhcp_enable=static</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-ipv6_index"></div>
+                    <b>ipv6_index</b>
+                    <a class="ansibleOptionLink" href="#parameter-ipv6_index" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Ipv6 index(0-15).</div>
+                                            <div>Required when <em>ipv6_dhcp_enable=static</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-ipv6_prefix"></div>
+                    <b>ipv6_prefix</b>
+                    <a class="ansibleOptionLink" href="#parameter-ipv6_prefix" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>The subnet prefix length for the IPv6 settings(0-128).</div>
+                                            <div>Required when <em>ipv6_dhcp_enable=static</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-ipv6_status"></div>
+                    <b>ipv6_status</b>
+                    <a class="ansibleOptionLink" href="#parameter-ipv6_status" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Enable or disable IPV6.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Ipv6 test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Set ipv6 information"
+        kaytus.ksmanage.edit_ipv6:
+          interface_name: "eth0"
+          ipv6_status: "disable"
+          provider: "{{ ksmanage }}"
+
+      - name: "Set ipv6 information"
+        kaytus.ksmanage.edit_ipv6:
+          interface_name: "eth0"
+          ipv6_status: "enable"
+          ipv6_dhcp_enable: "dhcp"
+          provider: "{{ ksmanage }}"
+
+      - name: "Set ipv6 information"
+        kaytus.ksmanage.edit_ipv6:
+          interface_name: "eth0"
+          ipv6_status: "enable"
+          ipv6_dhcp_enable: "static"
+          ipv6_address: "::ffff:100:2:36:10"
+          ipv6_index: 12
+          ipv6_prefix: 16
+          ipv6_gateway: "::"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_kvm_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_kvm_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_kvm_module.rst	2024-04-23 11:47:06.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_kvm_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,543 +1,543 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.edit_kvm_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.edit_kvm -- Set KVM
-+++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_kvm`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Set KVM on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-automatic_off"></div>
-                    <b>automatic_off</b>
-                    <a class="ansibleOptionLink" href="#parameter-automatic_off" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Automatically OFF Server Monitor, When KVM Launches.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-client_type"></div>
-                    <b>client_type</b>
-                    <a class="ansibleOptionLink" href="#parameter-client_type" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>vnc</li>
-                                                                                                                                                                                                <li>viewer</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Client Type.</div>
-                                            <div>Only the M6 model supports this parameter.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-keyboard_language"></div>
-                    <b>keyboard_language</b>
-                    <a class="ansibleOptionLink" href="#parameter-keyboard_language" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>AD</li>
-                                                                                                                                                                                                <li>DA</li>
-                                                                                                                                                                                                <li>NL-BE</li>
-                                                                                                                                                                                                <li>NL-NL</li>
-                                                                                                                                                                                                <li>GB</li>
-                                                                                                                                                                                                <li>US</li>
-                                                                                                                                                                                                <li>FI</li>
-                                                                                                                                                                                                <li>FR-BE</li>
-                                                                                                                                                                                                <li>FR</li>
-                                                                                                                                                                                                <li>DE</li>
-                                                                                                                                                                                                <li>DE-CH</li>
-                                                                                                                                                                                                <li>IT</li>
-                                                                                                                                                                                                <li>JP</li>
-                                                                                                                                                                                                <li>ON</li>
-                                                                                                                                                                                                <li>PT</li>
-                                                                                                                                                                                                <li>EC</li>
-                                                                                                                                                                                                <li>SV</li>
-                                                                                                                                                                                                <li>TR_F</li>
-                                                                                                                                                                                                <li>TR_Q</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Select the Keyboard Language.</div>
-                                            <div>AD is Auto Detect, DA is Danish, NL-BE is Dutch Belgium, NL-NL is Dutch Netherland.</div>
-                                            <div>GB is English UK , US is English US, FI is Finnish, FR-BE is French Belgium, FR is French France.</div>
-                                            <div>DE is German Germany, DE-CH is German Switzerland, IT is Italian, JP is Japanese.</div>
-                                            <div>NO is Norwegian, PT is Portuguese, ES is Spanish, SV is Swedish, TR_F is Turkish F, TR_Q is Turkish Q.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-kvm_encryption"></div>
-                    <b>kvm_encryption</b>
-                    <a class="ansibleOptionLink" href="#parameter-kvm_encryption" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Encrypt KVM packets.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-local_monitor_off"></div>
-                    <b>local_monitor_off</b>
-                    <a class="ansibleOptionLink" href="#parameter-local_monitor_off" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Server Monitor OFF Feature Status.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-media_attach"></div>
-                    <b>media_attach</b>
-                    <a class="ansibleOptionLink" href="#parameter-media_attach" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>attach</li>
-                                                                                                                                                                                                <li>auto</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Two types of VM attach mode are available.</div>
-                                            <div>Attach is Immediately attaches Virtual Media to the server upon bootup.</div>
-                                            <div>Auto is Attaches Virtual Media to the server only when a virtual media session is started.</div>
-                                            <div>Only the M5 model supports this parameter.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-non_secure"></div>
-                    <b>non_secure</b>
-                    <a class="ansibleOptionLink" href="#parameter-non_secure" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Enable/disable Non Secure Connection Type.</div>
-                                            <div>Only the M6 model supports this parameter.</div>
-                                            <div>Required when <em>client_type=vnc</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-retry_count"></div>
-                    <b>retry_count</b>
-                    <a class="ansibleOptionLink" href="#parameter-retry_count" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Number of times to be retried in case a KVM failure occurs.Retry count ranges from 1 to 20.</div>
-                                            <div>Only the M5 model supports this parameter.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-retry_time_interval"></div>
-                    <b>retry_time_interval</b>
-                    <a class="ansibleOptionLink" href="#parameter-retry_time_interval" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>The Identification for retry time interval configuration (5-30) seconds.</div>
-                                            <div>Only the M5 model supports this parameter.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-ssh_vnc"></div>
-                    <b>ssh_vnc</b>
-                    <a class="ansibleOptionLink" href="#parameter-ssh_vnc" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Enable/disable VNC over SSH in BMC.</div>
-                                            <div>Only the M6 model supports this parameter.</div>
-                                            <div>Required when <em>client_type=vnc</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-stunnel_vnc"></div>
-                    <b>stunnel_vnc</b>
-                    <a class="ansibleOptionLink" href="#parameter-stunnel_vnc" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Enable/disable VNC over Stunnel in BMC.</div>
-                                            <div>Only the M6 model supports this parameter.</div>
-                                            <div>Required when <em>client_type=vnc</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: KVM test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Set KVM"
-        kaytus.ksmanage.edit_kvm:
-          kvm_encryption: "enable"
-          media_attach: "auto"
-          keyboard_language: "AD"
-          retry_count: 13
-          retry_time_interval: 10
-          local_monitor_off: "enable"
-          automatic_off: "enable"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.edit_kvm_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.edit_kvm -- Set KVM
++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_kvm`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Set KVM on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-automatic_off"></div>
+                    <b>automatic_off</b>
+                    <a class="ansibleOptionLink" href="#parameter-automatic_off" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Automatically OFF Server Monitor, When KVM Launches.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-client_type"></div>
+                    <b>client_type</b>
+                    <a class="ansibleOptionLink" href="#parameter-client_type" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>vnc</li>
+                                                                                                                                                                                                <li>viewer</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Client Type.</div>
+                                            <div>Only the M6 model supports this parameter.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-keyboard_language"></div>
+                    <b>keyboard_language</b>
+                    <a class="ansibleOptionLink" href="#parameter-keyboard_language" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>AD</li>
+                                                                                                                                                                                                <li>DA</li>
+                                                                                                                                                                                                <li>NL-BE</li>
+                                                                                                                                                                                                <li>NL-NL</li>
+                                                                                                                                                                                                <li>GB</li>
+                                                                                                                                                                                                <li>US</li>
+                                                                                                                                                                                                <li>FI</li>
+                                                                                                                                                                                                <li>FR-BE</li>
+                                                                                                                                                                                                <li>FR</li>
+                                                                                                                                                                                                <li>DE</li>
+                                                                                                                                                                                                <li>DE-CH</li>
+                                                                                                                                                                                                <li>IT</li>
+                                                                                                                                                                                                <li>JP</li>
+                                                                                                                                                                                                <li>ON</li>
+                                                                                                                                                                                                <li>PT</li>
+                                                                                                                                                                                                <li>EC</li>
+                                                                                                                                                                                                <li>SV</li>
+                                                                                                                                                                                                <li>TR_F</li>
+                                                                                                                                                                                                <li>TR_Q</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Select the Keyboard Language.</div>
+                                            <div>AD is Auto Detect, DA is Danish, NL-BE is Dutch Belgium, NL-NL is Dutch Netherland.</div>
+                                            <div>GB is English UK , US is English US, FI is Finnish, FR-BE is French Belgium, FR is French France.</div>
+                                            <div>DE is German Germany, DE-CH is German Switzerland, IT is Italian, JP is Japanese.</div>
+                                            <div>NO is Norwegian, PT is Portuguese, ES is Spanish, SV is Swedish, TR_F is Turkish F, TR_Q is Turkish Q.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-kvm_encryption"></div>
+                    <b>kvm_encryption</b>
+                    <a class="ansibleOptionLink" href="#parameter-kvm_encryption" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Encrypt KVM packets.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-local_monitor_off"></div>
+                    <b>local_monitor_off</b>
+                    <a class="ansibleOptionLink" href="#parameter-local_monitor_off" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Server Monitor OFF Feature Status.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-media_attach"></div>
+                    <b>media_attach</b>
+                    <a class="ansibleOptionLink" href="#parameter-media_attach" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>attach</li>
+                                                                                                                                                                                                <li>auto</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Two types of VM attach mode are available.</div>
+                                            <div>Attach is Immediately attaches Virtual Media to the server upon bootup.</div>
+                                            <div>Auto is Attaches Virtual Media to the server only when a virtual media session is started.</div>
+                                            <div>Only the M5 model supports this parameter.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-non_secure"></div>
+                    <b>non_secure</b>
+                    <a class="ansibleOptionLink" href="#parameter-non_secure" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Enable/disable Non Secure Connection Type.</div>
+                                            <div>Only the M6 model supports this parameter.</div>
+                                            <div>Required when <em>client_type=vnc</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-retry_count"></div>
+                    <b>retry_count</b>
+                    <a class="ansibleOptionLink" href="#parameter-retry_count" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Number of times to be retried in case a KVM failure occurs.Retry count ranges from 1 to 20.</div>
+                                            <div>Only the M5 model supports this parameter.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-retry_time_interval"></div>
+                    <b>retry_time_interval</b>
+                    <a class="ansibleOptionLink" href="#parameter-retry_time_interval" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>The Identification for retry time interval configuration (5-30) seconds.</div>
+                                            <div>Only the M5 model supports this parameter.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-ssh_vnc"></div>
+                    <b>ssh_vnc</b>
+                    <a class="ansibleOptionLink" href="#parameter-ssh_vnc" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Enable/disable VNC over SSH in BMC.</div>
+                                            <div>Only the M6 model supports this parameter.</div>
+                                            <div>Required when <em>client_type=vnc</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-stunnel_vnc"></div>
+                    <b>stunnel_vnc</b>
+                    <a class="ansibleOptionLink" href="#parameter-stunnel_vnc" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Enable/disable VNC over Stunnel in BMC.</div>
+                                            <div>Only the M6 model supports this parameter.</div>
+                                            <div>Required when <em>client_type=vnc</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: KVM test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Set KVM"
+        kaytus.ksmanage.edit_kvm:
+          kvm_encryption: "enable"
+          media_attach: "auto"
+          keyboard_language: "AD"
+          retry_count: 13
+          retry_time_interval: 10
+          local_monitor_off: "enable"
+          automatic_off: "enable"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_ldap_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_ldap_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_ldap_module.rst	2024-04-23 11:47:06.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_ldap_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,526 +1,526 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.edit_ldap_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.edit_ldap -- Set ldap information
-+++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_ldap`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Set ldap information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-address"></div>
-                    <b>address</b>
-                    <a class="ansibleOptionLink" href="#parameter-address" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Server Address.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-attr"></div>
-                    <b>attr</b>
-                    <a class="ansibleOptionLink" href="#parameter-attr" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>cn</li>
-                                                                                                                                                                                                <li>uid</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Attribute of User Login.</div>
-                                            <div>The Attribute of User Login field indicates to the LDAP/E-Directory server which attribute should be used to identify the user.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-base"></div>
-                    <b>base</b>
-                    <a class="ansibleOptionLink" href="#parameter-base" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Search Base.</div>
-                                            <div>The Search Base allows the LDAP/E-Directory server to find which part of the external directory tree is to be searched.</div>
-                                            <div>This search base may be equivalent to the organization or the group of the external directory.</div>
-                                            <div>Search base is a string of 4 to 64 alphanumeric characters.</div>
-                                            <div>It must start with an alphabetical character.</div>
-                                            <div>Special Symbols like dot(.), comma(, ), hyphen(-), underscore(_), equal-to(=) are allowed.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-ca"></div>
-                    <b>ca</b>
-                    <a class="ansibleOptionLink" href="#parameter-ca" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>CA certificate file path.</div>
-                                            <div>Required when <em>encry=StartTLS</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-ce"></div>
-                    <b>ce</b>
-                    <a class="ansibleOptionLink" href="#parameter-ce" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Certificate file path.</div>
-                                            <div>Required when <em>encry=StartTLS</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-cn"></div>
-                    <b>cn</b>
-                    <a class="ansibleOptionLink" href="#parameter-cn" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>ip</li>
-                                                                                                                                                                                                <li>fqdn</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Common name type.</div>
-                                            <div>Required when <em>encry=StartTLS</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-code"></div>
-                    <b>code</b>
-                    <a class="ansibleOptionLink" href="#parameter-code" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Password. The Bind password is also used in the bind authentication operations between client and server.</div>
-                                            <div>Required when <em>enable=enable</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-dn"></div>
-                    <b>dn</b>
-                    <a class="ansibleOptionLink" href="#parameter-dn" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Bind DN. The Bind DN is used in bind operations, which authenticates the client to the server.</div>
-                                            <div>Bind DN is a string of 4 to 64 alphanumeric characters.</div>
-                                            <div>It must start with an alphabetical character.</div>
-                                            <div>Special Symbols like dot(.), comma(, ), hyphen(-), underscore(_), equal-to(=) are allowed.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-enable"></div>
-                    <b>enable</b>
-                    <a class="ansibleOptionLink" href="#parameter-enable" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>LDAP/E-Directory Authentication Status.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-encry"></div>
-                    <b>encry</b>
-                    <a class="ansibleOptionLink" href="#parameter-encry" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>no</li>
-                                                                                                                                                                                                <li>SSL</li>
-                                                                                                                                                                                                <li>StartTLS</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Encryption Type.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-pk"></div>
-                    <b>pk</b>
-                    <a class="ansibleOptionLink" href="#parameter-pk" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Private Key file path.</div>
-                                            <div>Required when <em>encry=StartTLS</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-server_port"></div>
-                    <b>server_port</b>
-                    <a class="ansibleOptionLink" href="#parameter-server_port" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Server Port. Specify the LDAP/E-Directory Port.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Ldap test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Set ldap information"
-        kaytus.ksmanage.edit_ldap:
-          enable: "disable"
-          provider: "{{ ksmanage }}"
-
-      - name: "Set ldap information"
-        kaytus.ksmanage.edit_ldap:
-          enable: "enable"
-          encry: "SSL"
-          address: "100.2.2.2"
-          server_port: 389
-          dn: "cn=manager,ou=login,dc=domain,dc=com"
-          code: "123456"
-          base: "cn=manager"
-          attr: "uid"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.edit_ldap_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.edit_ldap -- Set ldap information
++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_ldap`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Set ldap information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-address"></div>
+                    <b>address</b>
+                    <a class="ansibleOptionLink" href="#parameter-address" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Server Address.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-attr"></div>
+                    <b>attr</b>
+                    <a class="ansibleOptionLink" href="#parameter-attr" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>cn</li>
+                                                                                                                                                                                                <li>uid</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Attribute of User Login.</div>
+                                            <div>The Attribute of User Login field indicates to the LDAP/E-Directory server which attribute should be used to identify the user.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-base"></div>
+                    <b>base</b>
+                    <a class="ansibleOptionLink" href="#parameter-base" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Search Base.</div>
+                                            <div>The Search Base allows the LDAP/E-Directory server to find which part of the external directory tree is to be searched.</div>
+                                            <div>This search base may be equivalent to the organization or the group of the external directory.</div>
+                                            <div>Search base is a string of 4 to 64 alphanumeric characters.</div>
+                                            <div>It must start with an alphabetical character.</div>
+                                            <div>Special Symbols like dot(.), comma(, ), hyphen(-), underscore(_), equal-to(=) are allowed.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-ca"></div>
+                    <b>ca</b>
+                    <a class="ansibleOptionLink" href="#parameter-ca" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>CA certificate file path.</div>
+                                            <div>Required when <em>encry=StartTLS</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-ce"></div>
+                    <b>ce</b>
+                    <a class="ansibleOptionLink" href="#parameter-ce" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Certificate file path.</div>
+                                            <div>Required when <em>encry=StartTLS</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-cn"></div>
+                    <b>cn</b>
+                    <a class="ansibleOptionLink" href="#parameter-cn" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>ip</li>
+                                                                                                                                                                                                <li>fqdn</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Common name type.</div>
+                                            <div>Required when <em>encry=StartTLS</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-code"></div>
+                    <b>code</b>
+                    <a class="ansibleOptionLink" href="#parameter-code" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Password. The Bind password is also used in the bind authentication operations between client and server.</div>
+                                            <div>Required when <em>enable=enable</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-dn"></div>
+                    <b>dn</b>
+                    <a class="ansibleOptionLink" href="#parameter-dn" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Bind DN. The Bind DN is used in bind operations, which authenticates the client to the server.</div>
+                                            <div>Bind DN is a string of 4 to 64 alphanumeric characters.</div>
+                                            <div>It must start with an alphabetical character.</div>
+                                            <div>Special Symbols like dot(.), comma(, ), hyphen(-), underscore(_), equal-to(=) are allowed.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-enable"></div>
+                    <b>enable</b>
+                    <a class="ansibleOptionLink" href="#parameter-enable" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>LDAP/E-Directory Authentication Status.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-encry"></div>
+                    <b>encry</b>
+                    <a class="ansibleOptionLink" href="#parameter-encry" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>no</li>
+                                                                                                                                                                                                <li>SSL</li>
+                                                                                                                                                                                                <li>StartTLS</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Encryption Type.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-pk"></div>
+                    <b>pk</b>
+                    <a class="ansibleOptionLink" href="#parameter-pk" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Private Key file path.</div>
+                                            <div>Required when <em>encry=StartTLS</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-server_port"></div>
+                    <b>server_port</b>
+                    <a class="ansibleOptionLink" href="#parameter-server_port" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Server Port. Specify the LDAP/E-Directory Port.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Ldap test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Set ldap information"
+        kaytus.ksmanage.edit_ldap:
+          enable: "disable"
+          provider: "{{ ksmanage }}"
+
+      - name: "Set ldap information"
+        kaytus.ksmanage.edit_ldap:
+          enable: "enable"
+          encry: "SSL"
+          address: "100.2.2.2"
+          server_port: 389
+          dn: "cn=manager,ou=login,dc=domain,dc=com"
+          code: "123456"
+          base: "cn=manager"
+          attr: "uid"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_ldisk_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_ldisk_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_ldisk_module.rst	2024-04-23 11:47:06.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_ldisk_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,378 +1,378 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.edit_ldisk_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.edit_ldisk -- Set logical disk
-++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_ldisk`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Set logical disk on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-ctrl_id"></div>
-                    <b>ctrl_id</b>
-                    <a class="ansibleOptionLink" href="#parameter-ctrl_id" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Raid controller ID.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-duration"></div>
-                    <b>duration</b>
-                    <a class="ansibleOptionLink" href="#parameter-duration" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Duration range is 1-255, physical drive under PMC raid controller.</div>
-                                            <div>Required when <em>option=LOC</em>.</div>
-                                            <div>Only the M6 model supports this parameter.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-ldisk_id"></div>
-                    <b>ldisk_id</b>
-                    <a class="ansibleOptionLink" href="#parameter-ldisk_id" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Logical disk ID.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-option"></div>
-                    <b>option</b>
-                    <a class="ansibleOptionLink" href="#parameter-option" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>LOC</li>
-                                                                                                                                                                                                <li>STL</li>
-                                                                                                                                                                                                <li>FI</li>
-                                                                                                                                                                                                <li>SFI</li>
-                                                                                                                                                                                                <li>SI</li>
-                                                                                                                                                                                                <li>DEL</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Set operation options for a logical disk.</div>
-                                            <div>LOC is Locate Logical Drive, STL is Stop Locate LogicalDrive.</div>
-                                            <div>FI is Fast Initialization, SFI is Slow/Full Initialization.</div>
-                                            <div>SI is Stop Initialization, DEL is Delete LogicalDrive.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Edit ldisk test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Edit ldisk"
-        kaytus.ksmanage.edit_ldisk:
-          ctrl_id: 0
-          ldisk_id: 1
-          option: "LOC"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.edit_ldisk_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.edit_ldisk -- Set logical disk
+++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_ldisk`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Set logical disk on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-ctrl_id"></div>
+                    <b>ctrl_id</b>
+                    <a class="ansibleOptionLink" href="#parameter-ctrl_id" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Raid controller ID.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-duration"></div>
+                    <b>duration</b>
+                    <a class="ansibleOptionLink" href="#parameter-duration" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Duration range is 1-255, physical drive under PMC raid controller.</div>
+                                            <div>Required when <em>option=LOC</em>.</div>
+                                            <div>Only the M6 model supports this parameter.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-ldisk_id"></div>
+                    <b>ldisk_id</b>
+                    <a class="ansibleOptionLink" href="#parameter-ldisk_id" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Logical disk ID.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-option"></div>
+                    <b>option</b>
+                    <a class="ansibleOptionLink" href="#parameter-option" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>LOC</li>
+                                                                                                                                                                                                <li>STL</li>
+                                                                                                                                                                                                <li>FI</li>
+                                                                                                                                                                                                <li>SFI</li>
+                                                                                                                                                                                                <li>SI</li>
+                                                                                                                                                                                                <li>DEL</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Set operation options for a logical disk.</div>
+                                            <div>LOC is Locate Logical Drive, STL is Stop Locate LogicalDrive.</div>
+                                            <div>FI is Fast Initialization, SFI is Slow/Full Initialization.</div>
+                                            <div>SI is Stop Initialization, DEL is Delete LogicalDrive.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Edit ldisk test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Edit ldisk"
+        kaytus.ksmanage.edit_ldisk:
+          ctrl_id: 0
+          ldisk_id: 1
+          option: "LOC"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_log_setting_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_log_setting_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_log_setting_module.rst	2024-04-23 11:47:06.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_log_setting_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,474 +1,474 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.edit_log_setting_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.edit_log_setting -- Set bmc system and audit log setting
-++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_log_setting`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Set bmc system and audit log setting on kaytus Server.
-- Only the M5 models support this feature.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-audit_status"></div>
-                    <b>audit_status</b>
-                    <a class="ansibleOptionLink" href="#parameter-audit_status" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Audit Log Status.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-audit_type"></div>
-                    <b>audit_type</b>
-                    <a class="ansibleOptionLink" href="#parameter-audit_type" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>local</li>
-                                                                                                                                                                                                <li>remote</li>
-                                                                                                                                                                                                <li>both</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Audit log type.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-file_size"></div>
-                    <b>file_size</b>
-                    <a class="ansibleOptionLink" href="#parameter-file_size" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>File Size(3-65535bytes), set when type is local(default 30000).</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-protocol_type"></div>
-                    <b>protocol_type</b>
-                    <a class="ansibleOptionLink" href="#parameter-protocol_type" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>UDP</li>
-                                                                                                                                                                                                <li>TCP</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Protocol Type, set when type is remote.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-rotate_count"></div>
-                    <b>rotate_count</b>
-                    <a class="ansibleOptionLink" href="#parameter-rotate_count" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>0</li>
-                                                                                                                                                                                                <li>1</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Rotate Count, set when type is local, 0-delete old files(default), 1-bak old files.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-server_addr"></div>
-                    <b>server_addr</b>
-                    <a class="ansibleOptionLink" href="#parameter-server_addr" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Server Address, set when type is remote.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-server_port"></div>
-                    <b>server_port</b>
-                    <a class="ansibleOptionLink" href="#parameter-server_port" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Server Port(0-65535), set when type is remote.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-status"></div>
-                    <b>status</b>
-                    <a class="ansibleOptionLink" href="#parameter-status" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>System Log Status.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-type"></div>
-                    <b>type</b>
-                    <a class="ansibleOptionLink" href="#parameter-type" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>local</li>
-                                                                                                                                                                                                <li>remote</li>
-                                                                                                                                                                                                <li>both</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>System log type.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Edit log setting test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Edit bmc system log setting"
-        kaytus.ksmanage.edit_log_setting:
-          status: "enable"
-          type: "both"
-          provider: "{{ ksmanage }}"
-
-      - name: "Edit bmc audit log setting"
-        kaytus.ksmanage.edit_log_setting:
-          audit_status: "enable"
-          audit_type: "remote"
-          server_addr: "100.2.126.11"
-          server_port: "514"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.edit_log_setting_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.edit_log_setting -- Set bmc system and audit log setting
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_log_setting`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Set bmc system and audit log setting on kaytus Server.
+- Only the M5 models support this feature.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-audit_status"></div>
+                    <b>audit_status</b>
+                    <a class="ansibleOptionLink" href="#parameter-audit_status" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Audit Log Status.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-audit_type"></div>
+                    <b>audit_type</b>
+                    <a class="ansibleOptionLink" href="#parameter-audit_type" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>local</li>
+                                                                                                                                                                                                <li>remote</li>
+                                                                                                                                                                                                <li>both</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Audit log type.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-file_size"></div>
+                    <b>file_size</b>
+                    <a class="ansibleOptionLink" href="#parameter-file_size" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>File Size(3-65535bytes), set when type is local(default 30000).</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-protocol_type"></div>
+                    <b>protocol_type</b>
+                    <a class="ansibleOptionLink" href="#parameter-protocol_type" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>UDP</li>
+                                                                                                                                                                                                <li>TCP</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Protocol Type, set when type is remote.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-rotate_count"></div>
+                    <b>rotate_count</b>
+                    <a class="ansibleOptionLink" href="#parameter-rotate_count" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>0</li>
+                                                                                                                                                                                                <li>1</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Rotate Count, set when type is local, 0-delete old files(default), 1-bak old files.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-server_addr"></div>
+                    <b>server_addr</b>
+                    <a class="ansibleOptionLink" href="#parameter-server_addr" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Server Address, set when type is remote.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-server_port"></div>
+                    <b>server_port</b>
+                    <a class="ansibleOptionLink" href="#parameter-server_port" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Server Port(0-65535), set when type is remote.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-status"></div>
+                    <b>status</b>
+                    <a class="ansibleOptionLink" href="#parameter-status" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>System Log Status.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-type"></div>
+                    <b>type</b>
+                    <a class="ansibleOptionLink" href="#parameter-type" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>local</li>
+                                                                                                                                                                                                <li>remote</li>
+                                                                                                                                                                                                <li>both</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>System log type.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Edit log setting test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Edit bmc system log setting"
+        kaytus.ksmanage.edit_log_setting:
+          status: "enable"
+          type: "both"
+          provider: "{{ ksmanage }}"
+
+      - name: "Edit bmc audit log setting"
+        kaytus.ksmanage.edit_log_setting:
+          audit_status: "enable"
+          audit_type: "remote"
+          server_addr: "100.2.126.11"
+          server_port: "514"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_m6_log_setting_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_m6_log_setting_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_m6_log_setting_module.rst	2024-04-23 11:47:06.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_m6_log_setting_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,490 +1,490 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.edit_m6_log_setting_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.edit_m6_log_setting -- Set bmc system and audit log setting
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_m6_log_setting`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Set bmc system and audit log setting on kaytus Server.
-- Only the M6 models support this feature.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host_tag"></div>
-                    <b>host_tag</b>
-                    <a class="ansibleOptionLink" href="#parameter-host_tag" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>HostName</li>
-                                                                                                                                                                                                <li>SerialNum</li>
-                                                                                                                                                                                                <li>AssertTag</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>System log host tag, set when <em>status=enable</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-level"></div>
-                    <b>level</b>
-                    <a class="ansibleOptionLink" href="#parameter-level" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>Critical</li>
-                                                                                                                                                                                                <li>Warning</li>
-                                                                                                                                                                                                <li>Info</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Events Level, set when <em>status=enable</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-log_type"></div>
-                    <b>log_type</b>
-                    <a class="ansibleOptionLink" href="#parameter-log_type" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>idl</li>
-                                                                                                                                                                                                <li>audit</li>
-                                                                                                                                                                                                <li>both</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Remote Log Type, set when server_id is not none.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-protocol_type"></div>
-                    <b>protocol_type</b>
-                    <a class="ansibleOptionLink" href="#parameter-protocol_type" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>UDP</li>
-                                                                                                                                                                                                <li>TCP</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Protocol Type, set when <em>status=enable</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-server_addr"></div>
-                    <b>server_addr</b>
-                    <a class="ansibleOptionLink" href="#parameter-server_addr" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Server Address, set when server_id is not none.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-server_id"></div>
-                    <b>server_id</b>
-                    <a class="ansibleOptionLink" href="#parameter-server_id" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>0</li>
-                                                                                                                                                                                                <li>1</li>
-                                                                                                                                                                                                <li>2</li>
-                                                                                                                                                                                                <li>3</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Syslog Server ID, set when <em>status=enable</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-server_port"></div>
-                    <b>server_port</b>
-                    <a class="ansibleOptionLink" href="#parameter-server_port" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Server Address, set when server_id is not none.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-status"></div>
-                    <b>status</b>
-                    <a class="ansibleOptionLink" href="#parameter-status" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>System Log Status.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-test"></div>
-                    <b>test</b>
-                    <a class="ansibleOptionLink" href="#parameter-test" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">boolean</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                                                                                    <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li><div style="color: blue"><b>no</b>&nbsp;&larr;</div></li>
-                                                                                                                                                                                                <li>yes</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Test remote log settings, set when server_id is not none.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Edit log setting test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Edit bmc system log setting"
-        kaytus.ksmanage.edit_m6_log_setting:
-          status: "disable"
-          provider: "{{ ksmanage }}"
-
-      - name: "Edit bmc audit log setting"
-        kaytus.ksmanage.edit_m6_log_setting:
-          status: "enable"
-          host_tag: "HostName"
-          level: "Info"
-          protocol_type: "TCP"
-          server_id: 0
-          server_addr: "100.2.126.11"
-          server_port: 514
-          log_type: "both"
-          provider: "{{ ksmanage }}"
-
-      - name: "test bmc audit log"
-        kaytus.ksmanage.edit_m6_log_setting:
-          server_id: 0
-          test: True
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.edit_m6_log_setting_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.edit_m6_log_setting -- Set bmc system and audit log setting
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_m6_log_setting`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Set bmc system and audit log setting on kaytus Server.
+- Only the M6 models support this feature.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host_tag"></div>
+                    <b>host_tag</b>
+                    <a class="ansibleOptionLink" href="#parameter-host_tag" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>HostName</li>
+                                                                                                                                                                                                <li>SerialNum</li>
+                                                                                                                                                                                                <li>AssertTag</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>System log host tag, set when <em>status=enable</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-level"></div>
+                    <b>level</b>
+                    <a class="ansibleOptionLink" href="#parameter-level" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>Critical</li>
+                                                                                                                                                                                                <li>Warning</li>
+                                                                                                                                                                                                <li>Info</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Events Level, set when <em>status=enable</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-log_type"></div>
+                    <b>log_type</b>
+                    <a class="ansibleOptionLink" href="#parameter-log_type" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>idl</li>
+                                                                                                                                                                                                <li>audit</li>
+                                                                                                                                                                                                <li>both</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Remote Log Type, set when server_id is not none.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-protocol_type"></div>
+                    <b>protocol_type</b>
+                    <a class="ansibleOptionLink" href="#parameter-protocol_type" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>UDP</li>
+                                                                                                                                                                                                <li>TCP</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Protocol Type, set when <em>status=enable</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-server_addr"></div>
+                    <b>server_addr</b>
+                    <a class="ansibleOptionLink" href="#parameter-server_addr" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Server Address, set when server_id is not none.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-server_id"></div>
+                    <b>server_id</b>
+                    <a class="ansibleOptionLink" href="#parameter-server_id" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>0</li>
+                                                                                                                                                                                                <li>1</li>
+                                                                                                                                                                                                <li>2</li>
+                                                                                                                                                                                                <li>3</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Syslog Server ID, set when <em>status=enable</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-server_port"></div>
+                    <b>server_port</b>
+                    <a class="ansibleOptionLink" href="#parameter-server_port" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Server Address, set when server_id is not none.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-status"></div>
+                    <b>status</b>
+                    <a class="ansibleOptionLink" href="#parameter-status" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>System Log Status.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-test"></div>
+                    <b>test</b>
+                    <a class="ansibleOptionLink" href="#parameter-test" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">boolean</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                                                                                    <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li><div style="color: blue"><b>no</b>&nbsp;&larr;</div></li>
+                                                                                                                                                                                                <li>yes</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Test remote log settings, set when server_id is not none.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Edit log setting test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Edit bmc system log setting"
+        kaytus.ksmanage.edit_m6_log_setting:
+          status: "disable"
+          provider: "{{ ksmanage }}"
+
+      - name: "Edit bmc audit log setting"
+        kaytus.ksmanage.edit_m6_log_setting:
+          status: "enable"
+          host_tag: "HostName"
+          level: "Info"
+          protocol_type: "TCP"
+          server_id: 0
+          server_addr: "100.2.126.11"
+          server_port: 514
+          log_type: "both"
+          provider: "{{ ksmanage }}"
+
+      - name: "test bmc audit log"
+        kaytus.ksmanage.edit_m6_log_setting:
+          server_id: 0
+          test: True
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_manual_capture_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_manual_capture_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_manual_capture_module.rst	2024-04-23 11:47:06.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_manual_capture_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,322 +1,322 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.edit_manual_capture_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.edit_manual_capture -- Set manual capture screen
-++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_manual_capture`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Set manual capture screen on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-type"></div>
-                    <b>type</b>
-                    <a class="ansibleOptionLink" href="#parameter-type" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                 / <span style="color: red">required</span>                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>capture</li>
-                                                                                                                                                                                                <li>delete</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Manual type.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Screen test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Set manual capture screen"
-        kaytus.ksmanage.edit_manual_capture:
-          type: "capture"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.edit_manual_capture_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.edit_manual_capture -- Set manual capture screen
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_manual_capture`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Set manual capture screen on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-type"></div>
+                    <b>type</b>
+                    <a class="ansibleOptionLink" href="#parameter-type" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                 / <span style="color: red">required</span>                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>capture</li>
+                                                                                                                                                                                                <li>delete</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Manual type.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Screen test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Set manual capture screen"
+        kaytus.ksmanage.edit_manual_capture:
+          type: "capture"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_media_instance_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_media_instance_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_media_instance_module.rst	2024-04-23 11:47:06.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_media_instance_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,502 +1,502 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.edit_media_instance_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.edit_media_instance -- Set Virtual Media Instance
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_media_instance`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Set Virtual Media Instance on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-kvm_num_cd"></div>
-                    <b>kvm_num_cd</b>
-                    <a class="ansibleOptionLink" href="#parameter-kvm_num_cd" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>0</li>
-                                                                                                                                                                                                <li>1</li>
-                                                                                                                                                                                                <li>2</li>
-                                                                                                                                                                                                <li>3</li>
-                                                                                                                                                                                                <li>4</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Select the number of Remote KVM CD/DVD devices that support for virtual Media redirection.</div>
-                                            <div>The max support number of html5 KVM is 2 and java KVM is 4.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-kvm_num_fd"></div>
-                    <b>kvm_num_fd</b>
-                    <a class="ansibleOptionLink" href="#parameter-kvm_num_fd" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>0</li>
-                                                                                                                                                                                                <li>1</li>
-                                                                                                                                                                                                <li>2</li>
-                                                                                                                                                                                                <li>3</li>
-                                                                                                                                                                                                <li>4</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Select the number of Remote KVM floppy devices that support for Virtual Media redirection.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-kvm_num_hd"></div>
-                    <b>kvm_num_hd</b>
-                    <a class="ansibleOptionLink" href="#parameter-kvm_num_hd" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>0</li>
-                                                                                                                                                                                                <li>1</li>
-                                                                                                                                                                                                <li>2</li>
-                                                                                                                                                                                                <li>3</li>
-                                                                                                                                                                                                <li>4</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Select the number of Remote KVM Hard disk devices to support for Virtual Media redirection.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-num_cd"></div>
-                    <b>num_cd</b>
-                    <a class="ansibleOptionLink" href="#parameter-num_cd" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>0</li>
-                                                                                                                                                                                                <li>1</li>
-                                                                                                                                                                                                <li>2</li>
-                                                                                                                                                                                                <li>3</li>
-                                                                                                                                                                                                <li>4</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Select the number of CD/DVD devices that support for Virtual Media redirection.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-num_fd"></div>
-                    <b>num_fd</b>
-                    <a class="ansibleOptionLink" href="#parameter-num_fd" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>0</li>
-                                                                                                                                                                                                <li>1</li>
-                                                                                                                                                                                                <li>2</li>
-                                                                                                                                                                                                <li>3</li>
-                                                                                                                                                                                                <li>4</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Select the number of floppy devices that support for Virtual Media redirection.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-num_hd"></div>
-                    <b>num_hd</b>
-                    <a class="ansibleOptionLink" href="#parameter-num_hd" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>0</li>
-                                                                                                                                                                                                <li>1</li>
-                                                                                                                                                                                                <li>2</li>
-                                                                                                                                                                                                <li>3</li>
-                                                                                                                                                                                                <li>4</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Select the number of harddisk devices that support for Virtual Media redirection.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-power_save_mode"></div>
-                    <b>power_save_mode</b>
-                    <a class="ansibleOptionLink" href="#parameter-power_save_mode" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>Enable</li>
-                                                                                                                                                                                                <li>Disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Check this option to enable Power Save Mode in BMC.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-sd_media"></div>
-                    <b>sd_media</b>
-                    <a class="ansibleOptionLink" href="#parameter-sd_media" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>Enable</li>
-                                                                                                                                                                                                <li>Disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Check this option to enable SD Media support in BMC.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-secure_channel"></div>
-                    <b>secure_channel</b>
-                    <a class="ansibleOptionLink" href="#parameter-secure_channel" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>Enable</li>
-                                                                                                                                                                                                <li>Disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Check this option to enable encrypt media recirection packets.</div>
-                                            <div>Only the M5/M6 model supports this parameter.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Media instance test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Set media instance"
-        kaytus.ksmanage.edit_media_instance:
-          num_fd: 1
-          num_cd: 1
-          num_hd: 1
-          kvm_num_fd: 1
-          kvm_num_cd: 1
-          kvm_num_hd: 1
-          sd_media: "Enable"
-          secure_channel: "Enable"
-          power_save_mode: "Enable"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.edit_media_instance_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.edit_media_instance -- Set Virtual Media Instance
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_media_instance`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Set Virtual Media Instance on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-kvm_num_cd"></div>
+                    <b>kvm_num_cd</b>
+                    <a class="ansibleOptionLink" href="#parameter-kvm_num_cd" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>0</li>
+                                                                                                                                                                                                <li>1</li>
+                                                                                                                                                                                                <li>2</li>
+                                                                                                                                                                                                <li>3</li>
+                                                                                                                                                                                                <li>4</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Select the number of Remote KVM CD/DVD devices that support for virtual Media redirection.</div>
+                                            <div>The max support number of html5 KVM is 2 and java KVM is 4.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-kvm_num_fd"></div>
+                    <b>kvm_num_fd</b>
+                    <a class="ansibleOptionLink" href="#parameter-kvm_num_fd" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>0</li>
+                                                                                                                                                                                                <li>1</li>
+                                                                                                                                                                                                <li>2</li>
+                                                                                                                                                                                                <li>3</li>
+                                                                                                                                                                                                <li>4</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Select the number of Remote KVM floppy devices that support for Virtual Media redirection.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-kvm_num_hd"></div>
+                    <b>kvm_num_hd</b>
+                    <a class="ansibleOptionLink" href="#parameter-kvm_num_hd" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>0</li>
+                                                                                                                                                                                                <li>1</li>
+                                                                                                                                                                                                <li>2</li>
+                                                                                                                                                                                                <li>3</li>
+                                                                                                                                                                                                <li>4</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Select the number of Remote KVM Hard disk devices to support for Virtual Media redirection.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-num_cd"></div>
+                    <b>num_cd</b>
+                    <a class="ansibleOptionLink" href="#parameter-num_cd" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>0</li>
+                                                                                                                                                                                                <li>1</li>
+                                                                                                                                                                                                <li>2</li>
+                                                                                                                                                                                                <li>3</li>
+                                                                                                                                                                                                <li>4</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Select the number of CD/DVD devices that support for Virtual Media redirection.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-num_fd"></div>
+                    <b>num_fd</b>
+                    <a class="ansibleOptionLink" href="#parameter-num_fd" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>0</li>
+                                                                                                                                                                                                <li>1</li>
+                                                                                                                                                                                                <li>2</li>
+                                                                                                                                                                                                <li>3</li>
+                                                                                                                                                                                                <li>4</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Select the number of floppy devices that support for Virtual Media redirection.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-num_hd"></div>
+                    <b>num_hd</b>
+                    <a class="ansibleOptionLink" href="#parameter-num_hd" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>0</li>
+                                                                                                                                                                                                <li>1</li>
+                                                                                                                                                                                                <li>2</li>
+                                                                                                                                                                                                <li>3</li>
+                                                                                                                                                                                                <li>4</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Select the number of harddisk devices that support for Virtual Media redirection.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-power_save_mode"></div>
+                    <b>power_save_mode</b>
+                    <a class="ansibleOptionLink" href="#parameter-power_save_mode" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>Enable</li>
+                                                                                                                                                                                                <li>Disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Check this option to enable Power Save Mode in BMC.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-sd_media"></div>
+                    <b>sd_media</b>
+                    <a class="ansibleOptionLink" href="#parameter-sd_media" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>Enable</li>
+                                                                                                                                                                                                <li>Disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Check this option to enable SD Media support in BMC.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-secure_channel"></div>
+                    <b>secure_channel</b>
+                    <a class="ansibleOptionLink" href="#parameter-secure_channel" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>Enable</li>
+                                                                                                                                                                                                <li>Disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Check this option to enable encrypt media recirection packets.</div>
+                                            <div>Only the M5/M6 model supports this parameter.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Media instance test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Set media instance"
+        kaytus.ksmanage.edit_media_instance:
+          num_fd: 1
+          num_cd: 1
+          num_hd: 1
+          kvm_num_fd: 1
+          kvm_num_cd: 1
+          kvm_num_hd: 1
+          sd_media: "Enable"
+          secure_channel: "Enable"
+          power_save_mode: "Enable"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_ncsi_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_ncsi_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_ncsi_module.rst	2024-04-23 11:47:06.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_ncsi_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,389 +1,389 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.edit_ncsi_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.edit_ncsi -- Set ncsi information
-+++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_ncsi`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Set ncsi information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-channel_number"></div>
-                    <b>channel_number</b>
-                    <a class="ansibleOptionLink" href="#parameter-channel_number" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>0</li>
-                                                                                                                                                                                                <li>1</li>
-                                                                                                                                                                                                <li>2</li>
-                                                                                                                                                                                                <li>3</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Channel number.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-interface_name"></div>
-                    <b>interface_name</b>
-                    <a class="ansibleOptionLink" href="#parameter-interface_name" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Interface name, for example eth0.</div>
-                                            <div>Only the M5 model supports this parameter.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-mode"></div>
-                    <b>mode</b>
-                    <a class="ansibleOptionLink" href="#parameter-mode" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>auto</li>
-                                                                                                                                                                                                <li>manual</li>
-                                                                                                                                                                                                <li>Disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>NCSI mode, auto-Auto Failover, manual-Manual Switch.</div>
-                                            <div>Only M6 model supports <code>Disable</code> Settings.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-nic_type"></div>
-                    <b>nic_type</b>
-                    <a class="ansibleOptionLink" href="#parameter-nic_type" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>PHY</li>
-                                                                                                                                                                                                <li>OCP</li>
-                                                                                                                                                                                                <li>OCP1</li>
-                                                                                                                                                                                                <li>PCIE</li>
-                                                                                                                                                                                                <li>auto</li>
-                                                                                                                                                                                                <li>Disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Nic type.</div>
-                                            <div>Only NF3280A6 and NF3180A6 model supports <code>Disable</code> Settings, but not support <code>PHY</code> Settings.</div>
-                                            <div>M6 model only support <code>OCP</code>, <code>OCP1</code>, <code>PCIE</code> settings.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: NCSI test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Set ncsi information"
-        kaytus.ksmanage.edit_ncsi:
-          mode: "manual"
-          nic_type: "PCIE"
-          interface_name: "eth0"
-          channel_number: 1
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.edit_ncsi_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.edit_ncsi -- Set ncsi information
++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_ncsi`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Set ncsi information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-channel_number"></div>
+                    <b>channel_number</b>
+                    <a class="ansibleOptionLink" href="#parameter-channel_number" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>0</li>
+                                                                                                                                                                                                <li>1</li>
+                                                                                                                                                                                                <li>2</li>
+                                                                                                                                                                                                <li>3</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Channel number.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-interface_name"></div>
+                    <b>interface_name</b>
+                    <a class="ansibleOptionLink" href="#parameter-interface_name" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Interface name, for example eth0.</div>
+                                            <div>Only the M5 model supports this parameter.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-mode"></div>
+                    <b>mode</b>
+                    <a class="ansibleOptionLink" href="#parameter-mode" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>auto</li>
+                                                                                                                                                                                                <li>manual</li>
+                                                                                                                                                                                                <li>Disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>NCSI mode, auto-Auto Failover, manual-Manual Switch.</div>
+                                            <div>Only M6 model supports <code>Disable</code> Settings.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-nic_type"></div>
+                    <b>nic_type</b>
+                    <a class="ansibleOptionLink" href="#parameter-nic_type" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>PHY</li>
+                                                                                                                                                                                                <li>OCP</li>
+                                                                                                                                                                                                <li>OCP1</li>
+                                                                                                                                                                                                <li>PCIE</li>
+                                                                                                                                                                                                <li>auto</li>
+                                                                                                                                                                                                <li>Disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Nic type.</div>
+                                            <div>Only NF3280A6 and NF3180A6 model supports <code>Disable</code> Settings, but not support <code>PHY</code> Settings.</div>
+                                            <div>M6 model only support <code>OCP</code>, <code>OCP1</code>, <code>PCIE</code> settings.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: NCSI test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Set ncsi information"
+        kaytus.ksmanage.edit_ncsi:
+          mode: "manual"
+          nic_type: "PCIE"
+          interface_name: "eth0"
+          channel_number: 1
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_network_bond_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_network_bond_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_network_bond_module.rst	2024-04-23 11:47:06.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_network_bond_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,363 +1,363 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.edit_network_bond_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.edit_network_bond -- Set network bond
-+++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_network_bond`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Set network bond on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-auto_config"></div>
-                    <b>auto_config</b>
-                    <a class="ansibleOptionLink" href="#parameter-auto_config" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Enable this option to configure the interfaces in service configuration automatically.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-bond"></div>
-                    <b>bond</b>
-                    <a class="ansibleOptionLink" href="#parameter-bond" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Network bond status, If VLAN is enabled for slave interfaces, then Bonding cannot be enabled.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-interface"></div>
-                    <b>interface</b>
-                    <a class="ansibleOptionLink" href="#parameter-interface" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>shared</li>
-                                                                                                                                                                                                <li>dedicated</li>
-                                                                                                                                                                                                <li>both</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Interface name.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Bond test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Set network bond"
-        kaytus.ksmanage.edit_network_bond:
-          bond: "enable"
-          interface: "dedicated"
-          auto_config: "enable"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.edit_network_bond_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.edit_network_bond -- Set network bond
++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_network_bond`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Set network bond on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-auto_config"></div>
+                    <b>auto_config</b>
+                    <a class="ansibleOptionLink" href="#parameter-auto_config" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Enable this option to configure the interfaces in service configuration automatically.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-bond"></div>
+                    <b>bond</b>
+                    <a class="ansibleOptionLink" href="#parameter-bond" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Network bond status, If VLAN is enabled for slave interfaces, then Bonding cannot be enabled.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-interface"></div>
+                    <b>interface</b>
+                    <a class="ansibleOptionLink" href="#parameter-interface" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>shared</li>
+                                                                                                                                                                                                <li>dedicated</li>
+                                                                                                                                                                                                <li>both</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Interface name.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Bond test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Set network bond"
+        kaytus.ksmanage.edit_network_bond:
+          bond: "enable"
+          interface: "dedicated"
+          auto_config: "enable"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_network_link_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_network_link_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_network_link_module.rst	2024-04-23 11:47:06.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_network_link_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,392 +1,392 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.edit_network_link_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.edit_network_link -- Set network link
-+++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_network_link`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Set network link on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-auto_nego"></div>
-                    <b>auto_nego</b>
-                    <a class="ansibleOptionLink" href="#parameter-auto_nego" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>This option allows the device to perform auto-configuration.</div>
-                                            <div>To achieve the best mode of operation (speed and duplex) on the link.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-duplex_mode"></div>
-                    <b>duplex_mode</b>
-                    <a class="ansibleOptionLink" href="#parameter-duplex_mode" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>HALF</li>
-                                                                                                                                                                                                <li>FULL</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Select any one of the following Duplex Mode.</div>
-                                            <div>Required when <em>auto_nego=disable</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-interface"></div>
-                    <b>interface</b>
-                    <a class="ansibleOptionLink" href="#parameter-interface" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                 / <span style="color: red">required</span>                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>shared</li>
-                                                                                                                                                                                                <li>dedicated</li>
-                                                                                                                                                                                                <li>both</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Interface name.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-link_speed"></div>
-                    <b>link_speed</b>
-                    <a class="ansibleOptionLink" href="#parameter-link_speed" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>10</li>
-                                                                                                                                                                                                <li>100</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Link speed will list all the supported capabilities of the network interface. It can be 10/100 Mbps.</div>
-                                            <div>Required when <em>auto_nego=disable</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Link test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Set network link"
-        kaytus.ksmanage.edit_network_link:
-          interface: "dedicated"
-          auto_nego: "enable"
-          provider: "{{ ksmanage }}"
-
-      - name: "Set network link"
-        kaytus.ksmanage.edit_network_link:
-          interface: "dedicated"
-          auto_nego: "disable"
-          link_speed: 100
-          duplex_mode: "FULL"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.edit_network_link_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.edit_network_link -- Set network link
++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_network_link`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Set network link on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-auto_nego"></div>
+                    <b>auto_nego</b>
+                    <a class="ansibleOptionLink" href="#parameter-auto_nego" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>This option allows the device to perform auto-configuration.</div>
+                                            <div>To achieve the best mode of operation (speed and duplex) on the link.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-duplex_mode"></div>
+                    <b>duplex_mode</b>
+                    <a class="ansibleOptionLink" href="#parameter-duplex_mode" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>HALF</li>
+                                                                                                                                                                                                <li>FULL</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Select any one of the following Duplex Mode.</div>
+                                            <div>Required when <em>auto_nego=disable</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-interface"></div>
+                    <b>interface</b>
+                    <a class="ansibleOptionLink" href="#parameter-interface" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                 / <span style="color: red">required</span>                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>shared</li>
+                                                                                                                                                                                                <li>dedicated</li>
+                                                                                                                                                                                                <li>both</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Interface name.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-link_speed"></div>
+                    <b>link_speed</b>
+                    <a class="ansibleOptionLink" href="#parameter-link_speed" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>10</li>
+                                                                                                                                                                                                <li>100</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Link speed will list all the supported capabilities of the network interface. It can be 10/100 Mbps.</div>
+                                            <div>Required when <em>auto_nego=disable</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Link test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Set network link"
+        kaytus.ksmanage.edit_network_link:
+          interface: "dedicated"
+          auto_nego: "enable"
+          provider: "{{ ksmanage }}"
+
+      - name: "Set network link"
+        kaytus.ksmanage.edit_network_link:
+          interface: "dedicated"
+          auto_nego: "disable"
+          link_speed: 100
+          duplex_mode: "FULL"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_network_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_network_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_network_module.rst	2024-04-23 11:47:06.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_network_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,343 +1,343 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.edit_network_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.edit_network -- Set network information
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_network`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Set network information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-interface_name"></div>
-                    <b>interface_name</b>
-                    <a class="ansibleOptionLink" href="#parameter-interface_name" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                 / <span style="color: red">required</span>                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>eth0</li>
-                                                                                                                                                                                                <li>eth1</li>
-                                                                                                                                                                                                <li>bond0</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Set interface name. Select the LAN interface to be configured.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-lan_enable"></div>
-                    <b>lan_enable</b>
-                    <a class="ansibleOptionLink" href="#parameter-lan_enable" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                 / <span style="color: red">required</span>                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Enable or disable this interface. If disable, you cannot use this interface any more.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Network test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Set network information"
-        kaytus.ksmanage.edit_network:
-          interface_name: "eth0"
-          lan_enable: "enable"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.edit_network_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.edit_network -- Set network information
++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_network`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Set network information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-interface_name"></div>
+                    <b>interface_name</b>
+                    <a class="ansibleOptionLink" href="#parameter-interface_name" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                 / <span style="color: red">required</span>                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>eth0</li>
+                                                                                                                                                                                                <li>eth1</li>
+                                                                                                                                                                                                <li>bond0</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Set interface name. Select the LAN interface to be configured.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-lan_enable"></div>
+                    <b>lan_enable</b>
+                    <a class="ansibleOptionLink" href="#parameter-lan_enable" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                 / <span style="color: red">required</span>                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Enable or disable this interface. If disable, you cannot use this interface any more.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Network test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Set network information"
+        kaytus.ksmanage.edit_network:
+          interface_name: "eth0"
+          lan_enable: "enable"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_ntp_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_ntp_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_ntp_module.rst	2024-04-23 11:47:06.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_ntp_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,486 +1,486 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.edit_ntp_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.edit_ntp -- Set NTP
-+++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_ntp`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Set NTP on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-auto_date"></div>
-                    <b>auto_date</b>
-                    <a class="ansibleOptionLink" href="#parameter-auto_date" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Date auto synchronize.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-max_variety"></div>
-                    <b>max_variety</b>
-                    <a class="ansibleOptionLink" href="#parameter-max_variety" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>NTP Maximum jump time(minute), max variety(1-60).</div>
-                                            <div>Only the M6 model supports this parameter.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-ntp_time"></div>
-                    <b>ntp_time</b>
-                    <a class="ansibleOptionLink" href="#parameter-ntp_time" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>NTP time(YYYYmmddHHMMSS).</div>
-                                            <div>Only the M5 model supports this parameter.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-server1"></div>
-                    <b>server1</b>
-                    <a class="ansibleOptionLink" href="#parameter-server1" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>NTP Server1(ipv4 or ipv6 or domain name), set when auto_date is enable.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-server2"></div>
-                    <b>server2</b>
-                    <a class="ansibleOptionLink" href="#parameter-server2" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>NTP Server2(ipv4 or ipv6 or domain name), set when auto_date is enable.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-server3"></div>
-                    <b>server3</b>
-                    <a class="ansibleOptionLink" href="#parameter-server3" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>NTP Server3(ipv4 or ipv6 or domain name), set when auto_date is enable.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-server4"></div>
-                    <b>server4</b>
-                    <a class="ansibleOptionLink" href="#parameter-server4" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>NTP Server4(ipv4 or ipv6 or domain name), set when auto_date is enable.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-server5"></div>
-                    <b>server5</b>
-                    <a class="ansibleOptionLink" href="#parameter-server5" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>NTP Server5(ipv4 or ipv6 or domain name), set when auto_date is enable.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-server6"></div>
-                    <b>server6</b>
-                    <a class="ansibleOptionLink" href="#parameter-server6" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>NTP Server6(ipv4 or ipv6 or domain name), set when auto_date is enable.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-syn_cycle"></div>
-                    <b>syn_cycle</b>
-                    <a class="ansibleOptionLink" href="#parameter-syn_cycle" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>NTP syn cycle(minute), sync cycle(5-1440).</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-time_zone"></div>
-                    <b>time_zone</b>
-                    <a class="ansibleOptionLink" href="#parameter-time_zone" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>UTC time zone, chose from {-12, -11.5, -11, ... , 11, 11.5, 12}.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: NTP test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Set ntp"
-        kaytus.ksmanage.edit_ntp:
-          auto_date: "enable"
-          server2: "time.nist.gov"
-          provider: "{{ ksmanage }}"
-
-      - name: "Set ntp"
-        kaytus.ksmanage.edit_ntp:
-          auto_date: "disable"
-          ntp_time: "20200609083600"
-          provider: "{{ ksmanage }}"
-
-      - name: "set ntp"
-        kaytus.ksmanage.edit_ntp:
-          time_zone: "8"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.edit_ntp_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.edit_ntp -- Set NTP
++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_ntp`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Set NTP on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-auto_date"></div>
+                    <b>auto_date</b>
+                    <a class="ansibleOptionLink" href="#parameter-auto_date" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Date auto synchronize.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-max_variety"></div>
+                    <b>max_variety</b>
+                    <a class="ansibleOptionLink" href="#parameter-max_variety" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>NTP Maximum jump time(minute), max variety(1-60).</div>
+                                            <div>Only the M6 model supports this parameter.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-ntp_time"></div>
+                    <b>ntp_time</b>
+                    <a class="ansibleOptionLink" href="#parameter-ntp_time" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>NTP time(YYYYmmddHHMMSS).</div>
+                                            <div>Only the M5 model supports this parameter.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-server1"></div>
+                    <b>server1</b>
+                    <a class="ansibleOptionLink" href="#parameter-server1" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>NTP Server1(ipv4 or ipv6 or domain name), set when auto_date is enable.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-server2"></div>
+                    <b>server2</b>
+                    <a class="ansibleOptionLink" href="#parameter-server2" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>NTP Server2(ipv4 or ipv6 or domain name), set when auto_date is enable.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-server3"></div>
+                    <b>server3</b>
+                    <a class="ansibleOptionLink" href="#parameter-server3" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>NTP Server3(ipv4 or ipv6 or domain name), set when auto_date is enable.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-server4"></div>
+                    <b>server4</b>
+                    <a class="ansibleOptionLink" href="#parameter-server4" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>NTP Server4(ipv4 or ipv6 or domain name), set when auto_date is enable.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-server5"></div>
+                    <b>server5</b>
+                    <a class="ansibleOptionLink" href="#parameter-server5" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>NTP Server5(ipv4 or ipv6 or domain name), set when auto_date is enable.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-server6"></div>
+                    <b>server6</b>
+                    <a class="ansibleOptionLink" href="#parameter-server6" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>NTP Server6(ipv4 or ipv6 or domain name), set when auto_date is enable.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-syn_cycle"></div>
+                    <b>syn_cycle</b>
+                    <a class="ansibleOptionLink" href="#parameter-syn_cycle" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>NTP syn cycle(minute), sync cycle(5-1440).</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-time_zone"></div>
+                    <b>time_zone</b>
+                    <a class="ansibleOptionLink" href="#parameter-time_zone" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>UTC time zone, chose from {-12, -11.5, -11, ... , 11, 11.5, 12}.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: NTP test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Set ntp"
+        kaytus.ksmanage.edit_ntp:
+          auto_date: "enable"
+          server2: "time.nist.gov"
+          provider: "{{ ksmanage }}"
+
+      - name: "Set ntp"
+        kaytus.ksmanage.edit_ntp:
+          auto_date: "disable"
+          ntp_time: "20200609083600"
+          provider: "{{ ksmanage }}"
+
+      - name: "set ntp"
+        kaytus.ksmanage.edit_ntp:
+          time_zone: "8"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_pdisk_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_pdisk_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_pdisk_module.rst	2024-04-23 11:47:06.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_pdisk_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,482 +1,482 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.edit_pdisk_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.edit_pdisk -- Set physical disk
-+++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_pdisk`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Set physical disk on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-action"></div>
-                    <b>action</b>
-                    <a class="ansibleOptionLink" href="#parameter-action" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>remove</li>
-                                                                                                                                                                                                <li>global</li>
-                                                                                                                                                                                                <li>dedicate</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Action while set physical drive hotspare.</div>
-                                            <div>Required when <em>option=HS</em>.</div>
-                                            <div>Only the M5 model supports this parameter.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-ctrl_id"></div>
-                    <b>ctrl_id</b>
-                    <a class="ansibleOptionLink" href="#parameter-ctrl_id" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Raid controller ID.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-device_id"></div>
-                    <b>device_id</b>
-                    <a class="ansibleOptionLink" href="#parameter-device_id" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Physical drive id.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-duration"></div>
-                    <b>duration</b>
-                    <a class="ansibleOptionLink" href="#parameter-duration" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Duration range is 1-255, physical drive under PMC raid controller.</div>
-                                            <div>Required when <em>option=LOC</em>.</div>
-                                            <div>Only the M6 model supports this parameter.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-encl"></div>
-                    <b>encl</b>
-                    <a class="ansibleOptionLink" href="#parameter-encl" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>yes</li>
-                                                                                                                                                                                                <li>no</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>IsEnclAffinity while set physical drive hotspare.</div>
-                                            <div>Required when <em>option=HS</em> and <em>action=dedicate</em>.</div>
-                                            <div>Only the M5 model supports this parameter.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-logical_drivers"></div>
-                    <b>logical_drivers</b>
-                    <a class="ansibleOptionLink" href="#parameter-logical_drivers" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">list</span>
-                         / <span style="color: purple">elements=integer</span>                                            </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Logical Drivers while set physical drive hotspare, input multiple Logical Drivers index like 0, 1, 2.....</div>
-                                            <div>Required when <em>option=HS</em> and <em>action=dedicate</em>.</div>
-                                            <div>Only the M5 model supports this parameter.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-option"></div>
-                    <b>option</b>
-                    <a class="ansibleOptionLink" href="#parameter-option" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>UG</li>
-                                                                                                                                                                                                <li>UB</li>
-                                                                                                                                                                                                <li>OFF</li>
-                                                                                                                                                                                                <li>FAIL</li>
-                                                                                                                                                                                                <li>RBD</li>
-                                                                                                                                                                                                <li>ON</li>
-                                                                                                                                                                                                <li>JB</li>
-                                                                                                                                                                                                <li>ES</li>
-                                                                                                                                                                                                <li>EM</li>
-                                                                                                                                                                                                <li>EN</li>
-                                                                                                                                                                                                <li>ET</li>
-                                                                                                                                                                                                <li>LOC</li>
-                                                                                                                                                                                                <li>STL</li>
-                                                                                                                                                                                                <li>HS</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Set operation options for a physical disk.</div>
-                                            <div>UG is Unconfigured Good, UB is Unconfigured Bad.</div>
-                                            <div>OFF is offline, FAIL is Failed, RBD is Rebuild.</div>
-                                            <div>ON is Online, JB is JBOD, ES is Drive Erase stop.</div>
-                                            <div>EM is Drive Erase Simple, EN is Drive Erase Normal.</div>
-                                            <div>ET is Drive Erase Through, LOC is Locate, STL is Stop Locate.</div>
-                                            <div>HS is Hot spare.</div>
-                                            <div>Only the M5 model supports <code>HS</code> Settings.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-revertible"></div>
-                    <b>revertible</b>
-                    <a class="ansibleOptionLink" href="#parameter-revertible" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>yes</li>
-                                                                                                                                                                                                <li>no</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>IsRevertible while set physical drive hotspare.</div>
-                                            <div>Required when <em>option=HS</em> and <em>action=dedicate</em>.</div>
-                                            <div>Only the M5 model supports this parameter.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Edit pdisk test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Edit pdisk"
-        kaytus.ksmanage.edit_pdisk:
-          ctrl_id: 0
-          device_id: 1
-          option: "LOC"
-          provider: "{{ ksmanage }}"
-
-      - name: "M5 Edit pdisk"
-        kaytus.ksmanage.edit_pdisk:
-          ctrl_id: 0
-          device_id: 1
-          option: "HS"
-          action: "dedicate"
-          revertible: "yes"
-          encl: "yes"
-          logical_drivers: 1
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.edit_pdisk_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.edit_pdisk -- Set physical disk
++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_pdisk`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Set physical disk on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-action"></div>
+                    <b>action</b>
+                    <a class="ansibleOptionLink" href="#parameter-action" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>remove</li>
+                                                                                                                                                                                                <li>global</li>
+                                                                                                                                                                                                <li>dedicate</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Action while set physical drive hotspare.</div>
+                                            <div>Required when <em>option=HS</em>.</div>
+                                            <div>Only the M5 model supports this parameter.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-ctrl_id"></div>
+                    <b>ctrl_id</b>
+                    <a class="ansibleOptionLink" href="#parameter-ctrl_id" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Raid controller ID.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-device_id"></div>
+                    <b>device_id</b>
+                    <a class="ansibleOptionLink" href="#parameter-device_id" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Physical drive id.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-duration"></div>
+                    <b>duration</b>
+                    <a class="ansibleOptionLink" href="#parameter-duration" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Duration range is 1-255, physical drive under PMC raid controller.</div>
+                                            <div>Required when <em>option=LOC</em>.</div>
+                                            <div>Only the M6 model supports this parameter.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-encl"></div>
+                    <b>encl</b>
+                    <a class="ansibleOptionLink" href="#parameter-encl" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>yes</li>
+                                                                                                                                                                                                <li>no</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>IsEnclAffinity while set physical drive hotspare.</div>
+                                            <div>Required when <em>option=HS</em> and <em>action=dedicate</em>.</div>
+                                            <div>Only the M5 model supports this parameter.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-logical_drivers"></div>
+                    <b>logical_drivers</b>
+                    <a class="ansibleOptionLink" href="#parameter-logical_drivers" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">list</span>
+                         / <span style="color: purple">elements=integer</span>                                            </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Logical Drivers while set physical drive hotspare, input multiple Logical Drivers index like 0, 1, 2.....</div>
+                                            <div>Required when <em>option=HS</em> and <em>action=dedicate</em>.</div>
+                                            <div>Only the M5 model supports this parameter.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-option"></div>
+                    <b>option</b>
+                    <a class="ansibleOptionLink" href="#parameter-option" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>UG</li>
+                                                                                                                                                                                                <li>UB</li>
+                                                                                                                                                                                                <li>OFF</li>
+                                                                                                                                                                                                <li>FAIL</li>
+                                                                                                                                                                                                <li>RBD</li>
+                                                                                                                                                                                                <li>ON</li>
+                                                                                                                                                                                                <li>JB</li>
+                                                                                                                                                                                                <li>ES</li>
+                                                                                                                                                                                                <li>EM</li>
+                                                                                                                                                                                                <li>EN</li>
+                                                                                                                                                                                                <li>ET</li>
+                                                                                                                                                                                                <li>LOC</li>
+                                                                                                                                                                                                <li>STL</li>
+                                                                                                                                                                                                <li>HS</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Set operation options for a physical disk.</div>
+                                            <div>UG is Unconfigured Good, UB is Unconfigured Bad.</div>
+                                            <div>OFF is offline, FAIL is Failed, RBD is Rebuild.</div>
+                                            <div>ON is Online, JB is JBOD, ES is Drive Erase stop.</div>
+                                            <div>EM is Drive Erase Simple, EN is Drive Erase Normal.</div>
+                                            <div>ET is Drive Erase Through, LOC is Locate, STL is Stop Locate.</div>
+                                            <div>HS is Hot spare.</div>
+                                            <div>Only the M5 model supports <code>HS</code> Settings.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-revertible"></div>
+                    <b>revertible</b>
+                    <a class="ansibleOptionLink" href="#parameter-revertible" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>yes</li>
+                                                                                                                                                                                                <li>no</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>IsRevertible while set physical drive hotspare.</div>
+                                            <div>Required when <em>option=HS</em> and <em>action=dedicate</em>.</div>
+                                            <div>Only the M5 model supports this parameter.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Edit pdisk test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Edit pdisk"
+        kaytus.ksmanage.edit_pdisk:
+          ctrl_id: 0
+          device_id: 1
+          option: "LOC"
+          provider: "{{ ksmanage }}"
+
+      - name: "M5 Edit pdisk"
+        kaytus.ksmanage.edit_pdisk:
+          ctrl_id: 0
+          device_id: 1
+          option: "HS"
+          action: "dedicate"
+          revertible: "yes"
+          encl: "yes"
+          logical_drivers: 1
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_power_budget_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_power_budget_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_power_budget_module.rst	2024-04-23 11:47:06.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_power_budget_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,685 +1,685 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.edit_power_budget_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.edit_power_budget -- Set power budget information
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_power_budget`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Set power budget information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-action"></div>
-                    <b>action</b>
-                    <a class="ansibleOptionLink" href="#parameter-action" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>add</li>
-                                                                                                                                                                                                <li>delete</li>
-                                                                                                                                                                                                <li>open</li>
-                                                                                                                                                                                                <li>close</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Type to action.</div>
-                                            <div>Required when <em>range=False</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-domain"></div>
-                    <b>domain</b>
-                    <a class="ansibleOptionLink" href="#parameter-domain" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>system</li>
-                                                                                                                                                                                                <li>cpu</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Domain id.</div>
-                                            <div>Required when <em>range=False</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-end1"></div>
-                    <b>end1</b>
-                    <a class="ansibleOptionLink" href="#parameter-end1" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Pause period of add, end time, must be greater than start time, from 0 to 24.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-end2"></div>
-                    <b>end2</b>
-                    <a class="ansibleOptionLink" href="#parameter-end2" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Pause period of add, end time, must be greater than start time, from 0 to 24.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-end3"></div>
-                    <b>end3</b>
-                    <a class="ansibleOptionLink" href="#parameter-end3" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Pause period of add, end time, must be greater than start time, from 0 to 24.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-end4"></div>
-                    <b>end4</b>
-                    <a class="ansibleOptionLink" href="#parameter-end4" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Pause period of add, end time, must be greater than start time, from 0 to 24.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-end5"></div>
-                    <b>end5</b>
-                    <a class="ansibleOptionLink" href="#parameter-end5" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Pause period of add, end time, must be greater than start time, from 0 to 24.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-except_action"></div>
-                    <b>except_action</b>
-                    <a class="ansibleOptionLink" href="#parameter-except_action" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>0</li>
-                                                                                                                                                                                                <li>1</li>
-                                                                                                                                                                                                <li>2</li>
-                                                                                                                                                                                                <li>3</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Except action, 0 is do nothing, 1 is send alert, 2 is shutdown system, 3 is shutdown system and send alert.</div>
-                                            <div>Only the M7 model supports this parameter.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-id"></div>
-                    <b>id</b>
-                    <a class="ansibleOptionLink" href="#parameter-id" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>1</li>
-                                                                                                                                                                                                <li>2</li>
-                                                                                                                                                                                                <li>3</li>
-                                                                                                                                                                                                <li>4</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Policy id.</div>
-                                            <div>Required when <em>range=False</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-range"></div>
-                    <b>range</b>
-                    <a class="ansibleOptionLink" href="#parameter-range" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">boolean</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                                                                                    <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li><div style="color: blue"><b>no</b>&nbsp;&larr;</div></li>
-                                                                                                                                                                                                <li>yes</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Range of power budget watts.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-start1"></div>
-                    <b>start1</b>
-                    <a class="ansibleOptionLink" href="#parameter-start1" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Pause period of add, start time, from 0 to 24.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-start2"></div>
-                    <b>start2</b>
-                    <a class="ansibleOptionLink" href="#parameter-start2" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Pause period of add, start time, from 0 to 24.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-start3"></div>
-                    <b>start3</b>
-                    <a class="ansibleOptionLink" href="#parameter-start3" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Pause period of add, start time, from 0 to 24.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-start4"></div>
-                    <b>start4</b>
-                    <a class="ansibleOptionLink" href="#parameter-start4" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Pause period of add, start time, from 0 to 24.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-start5"></div>
-                    <b>start5</b>
-                    <a class="ansibleOptionLink" href="#parameter-start5" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Period of add, start time, from 0 to 24.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-watts"></div>
-                    <b>watts</b>
-                    <a class="ansibleOptionLink" href="#parameter-watts" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Power budget watts of add.</div>
-                                            <div>Required when <em>action=add</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-week1"></div>
-                    <b>week1</b>
-                    <a class="ansibleOptionLink" href="#parameter-week1" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">list</span>
-                         / <span style="color: purple">elements=string</span>                                            </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Pause period of add, repetition period.</div>
-                                            <div>The input parameters are &#x27;Mon&#x27;, &#x27;Tue&#x27;, &#x27;Wed&#x27;, &#x27;Thur&#x27;, &#x27;Fri&#x27;, &#x27;Sat&#x27;, &#x27;Sun&#x27;, separated by commas, such as Mon, Wed, Fri.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-week2"></div>
-                    <b>week2</b>
-                    <a class="ansibleOptionLink" href="#parameter-week2" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">list</span>
-                         / <span style="color: purple">elements=string</span>                                            </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Pause period of add, repetition period.</div>
-                                            <div>The input parameters are &#x27;Mon&#x27;, &#x27;Tue&#x27;, &#x27;Wed&#x27;, &#x27;Thur&#x27;, &#x27;Fri&#x27;, &#x27;Sat&#x27;, &#x27;Sun&#x27;, separated by commas, such as Mon, Wed, Fri.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-week3"></div>
-                    <b>week3</b>
-                    <a class="ansibleOptionLink" href="#parameter-week3" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">list</span>
-                         / <span style="color: purple">elements=string</span>                                            </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Pause period of add, repetition period.</div>
-                                            <div>The input parameters are &#x27;Mon&#x27;, &#x27;Tue&#x27;, &#x27;Wed&#x27;, &#x27;Thur&#x27;, &#x27;Fri&#x27;, &#x27;Sat&#x27;, &#x27;Sun&#x27;, separated by commas, such as Mon, Wed, Fri.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-week4"></div>
-                    <b>week4</b>
-                    <a class="ansibleOptionLink" href="#parameter-week4" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">list</span>
-                         / <span style="color: purple">elements=string</span>                                            </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Pause period of add, repetition period.</div>
-                                            <div>The input parameters are &#x27;Mon&#x27;, &#x27;Tue&#x27;, &#x27;Wed&#x27;, &#x27;Thur&#x27;, &#x27;Fri&#x27;, &#x27;Sat&#x27;, &#x27;Sun&#x27;, separated by commas, such as Mon, Wed, Fri.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-week5"></div>
-                    <b>week5</b>
-                    <a class="ansibleOptionLink" href="#parameter-week5" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">list</span>
-                         / <span style="color: purple">elements=string</span>                                            </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Pause period of add, repetition period.</div>
-                                            <div>The input parameters are &#x27;Mon&#x27;, &#x27;Tue&#x27;, &#x27;Wed&#x27;, &#x27;Thur&#x27;, &#x27;Fri&#x27;, &#x27;Sat&#x27;, &#x27;Sun&#x27;, separated by commas, such as Mon, Wed, Fri.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Power budget test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get power budget range"
-        kaytus.ksmanage.edit_power_budget:
-          range: True
-          provider: "{{ ksmanage }}"
-
-      - name: "add power budget"
-        kaytus.ksmanage.edit_power_budget:
-          action: "add"
-          id: 1
-          watts: 1500
-          start1: 2
-          end1: 5
-          week1:
-            - Mon
-            - Wed
-            - Fri
-          provider: "{{ ksmanage }}"
-
-      - name: "Set power budget status to open"
-        kaytus.ksmanage.edit_power_budget:
-          action: "open"
-          id: 1
-          provider: "{{ ksmanage }}"
-
-      - name: "Set power budget status to close"
-        kaytus.ksmanage.edit_power_budget:
-          action: "close"
-          id: 1
-          provider: "{{ ksmanage }}"
-
-      - name: "Delete power budget"
-        kaytus.ksmanage.edit_power_budget:
-          action: "delete"
-          id: 1
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.edit_power_budget_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.edit_power_budget -- Set power budget information
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_power_budget`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Set power budget information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-action"></div>
+                    <b>action</b>
+                    <a class="ansibleOptionLink" href="#parameter-action" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>add</li>
+                                                                                                                                                                                                <li>delete</li>
+                                                                                                                                                                                                <li>open</li>
+                                                                                                                                                                                                <li>close</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Type to action.</div>
+                                            <div>Required when <em>range=False</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-domain"></div>
+                    <b>domain</b>
+                    <a class="ansibleOptionLink" href="#parameter-domain" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>system</li>
+                                                                                                                                                                                                <li>cpu</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Domain id.</div>
+                                            <div>Required when <em>range=False</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-end1"></div>
+                    <b>end1</b>
+                    <a class="ansibleOptionLink" href="#parameter-end1" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Pause period of add, end time, must be greater than start time, from 0 to 24.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-end2"></div>
+                    <b>end2</b>
+                    <a class="ansibleOptionLink" href="#parameter-end2" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Pause period of add, end time, must be greater than start time, from 0 to 24.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-end3"></div>
+                    <b>end3</b>
+                    <a class="ansibleOptionLink" href="#parameter-end3" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Pause period of add, end time, must be greater than start time, from 0 to 24.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-end4"></div>
+                    <b>end4</b>
+                    <a class="ansibleOptionLink" href="#parameter-end4" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Pause period of add, end time, must be greater than start time, from 0 to 24.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-end5"></div>
+                    <b>end5</b>
+                    <a class="ansibleOptionLink" href="#parameter-end5" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Pause period of add, end time, must be greater than start time, from 0 to 24.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-except_action"></div>
+                    <b>except_action</b>
+                    <a class="ansibleOptionLink" href="#parameter-except_action" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>0</li>
+                                                                                                                                                                                                <li>1</li>
+                                                                                                                                                                                                <li>2</li>
+                                                                                                                                                                                                <li>3</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Except action, 0 is do nothing, 1 is send alert, 2 is shutdown system, 3 is shutdown system and send alert.</div>
+                                            <div>Only the M7 model supports this parameter.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-id"></div>
+                    <b>id</b>
+                    <a class="ansibleOptionLink" href="#parameter-id" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>1</li>
+                                                                                                                                                                                                <li>2</li>
+                                                                                                                                                                                                <li>3</li>
+                                                                                                                                                                                                <li>4</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Policy id.</div>
+                                            <div>Required when <em>range=False</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-range"></div>
+                    <b>range</b>
+                    <a class="ansibleOptionLink" href="#parameter-range" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">boolean</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                                                                                    <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li><div style="color: blue"><b>no</b>&nbsp;&larr;</div></li>
+                                                                                                                                                                                                <li>yes</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Range of power budget watts.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-start1"></div>
+                    <b>start1</b>
+                    <a class="ansibleOptionLink" href="#parameter-start1" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Pause period of add, start time, from 0 to 24.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-start2"></div>
+                    <b>start2</b>
+                    <a class="ansibleOptionLink" href="#parameter-start2" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Pause period of add, start time, from 0 to 24.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-start3"></div>
+                    <b>start3</b>
+                    <a class="ansibleOptionLink" href="#parameter-start3" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Pause period of add, start time, from 0 to 24.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-start4"></div>
+                    <b>start4</b>
+                    <a class="ansibleOptionLink" href="#parameter-start4" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Pause period of add, start time, from 0 to 24.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-start5"></div>
+                    <b>start5</b>
+                    <a class="ansibleOptionLink" href="#parameter-start5" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Period of add, start time, from 0 to 24.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-watts"></div>
+                    <b>watts</b>
+                    <a class="ansibleOptionLink" href="#parameter-watts" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Power budget watts of add.</div>
+                                            <div>Required when <em>action=add</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-week1"></div>
+                    <b>week1</b>
+                    <a class="ansibleOptionLink" href="#parameter-week1" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">list</span>
+                         / <span style="color: purple">elements=string</span>                                            </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Pause period of add, repetition period.</div>
+                                            <div>The input parameters are &#x27;Mon&#x27;, &#x27;Tue&#x27;, &#x27;Wed&#x27;, &#x27;Thur&#x27;, &#x27;Fri&#x27;, &#x27;Sat&#x27;, &#x27;Sun&#x27;, separated by commas, such as Mon, Wed, Fri.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-week2"></div>
+                    <b>week2</b>
+                    <a class="ansibleOptionLink" href="#parameter-week2" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">list</span>
+                         / <span style="color: purple">elements=string</span>                                            </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Pause period of add, repetition period.</div>
+                                            <div>The input parameters are &#x27;Mon&#x27;, &#x27;Tue&#x27;, &#x27;Wed&#x27;, &#x27;Thur&#x27;, &#x27;Fri&#x27;, &#x27;Sat&#x27;, &#x27;Sun&#x27;, separated by commas, such as Mon, Wed, Fri.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-week3"></div>
+                    <b>week3</b>
+                    <a class="ansibleOptionLink" href="#parameter-week3" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">list</span>
+                         / <span style="color: purple">elements=string</span>                                            </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Pause period of add, repetition period.</div>
+                                            <div>The input parameters are &#x27;Mon&#x27;, &#x27;Tue&#x27;, &#x27;Wed&#x27;, &#x27;Thur&#x27;, &#x27;Fri&#x27;, &#x27;Sat&#x27;, &#x27;Sun&#x27;, separated by commas, such as Mon, Wed, Fri.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-week4"></div>
+                    <b>week4</b>
+                    <a class="ansibleOptionLink" href="#parameter-week4" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">list</span>
+                         / <span style="color: purple">elements=string</span>                                            </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Pause period of add, repetition period.</div>
+                                            <div>The input parameters are &#x27;Mon&#x27;, &#x27;Tue&#x27;, &#x27;Wed&#x27;, &#x27;Thur&#x27;, &#x27;Fri&#x27;, &#x27;Sat&#x27;, &#x27;Sun&#x27;, separated by commas, such as Mon, Wed, Fri.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-week5"></div>
+                    <b>week5</b>
+                    <a class="ansibleOptionLink" href="#parameter-week5" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">list</span>
+                         / <span style="color: purple">elements=string</span>                                            </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Pause period of add, repetition period.</div>
+                                            <div>The input parameters are &#x27;Mon&#x27;, &#x27;Tue&#x27;, &#x27;Wed&#x27;, &#x27;Thur&#x27;, &#x27;Fri&#x27;, &#x27;Sat&#x27;, &#x27;Sun&#x27;, separated by commas, such as Mon, Wed, Fri.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Power budget test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get power budget range"
+        kaytus.ksmanage.edit_power_budget:
+          range: True
+          provider: "{{ ksmanage }}"
+
+      - name: "add power budget"
+        kaytus.ksmanage.edit_power_budget:
+          action: "add"
+          id: 1
+          watts: 1500
+          start1: 2
+          end1: 5
+          week1:
+            - Mon
+            - Wed
+            - Fri
+          provider: "{{ ksmanage }}"
+
+      - name: "Set power budget status to open"
+        kaytus.ksmanage.edit_power_budget:
+          action: "open"
+          id: 1
+          provider: "{{ ksmanage }}"
+
+      - name: "Set power budget status to close"
+        kaytus.ksmanage.edit_power_budget:
+          action: "close"
+          id: 1
+          provider: "{{ ksmanage }}"
+
+      - name: "Delete power budget"
+        kaytus.ksmanage.edit_power_budget:
+          action: "delete"
+          id: 1
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_power_restore_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_power_restore_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_power_restore_module.rst	2024-04-23 11:47:06.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_power_restore_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,323 +1,323 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.edit_power_restore_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.edit_power_restore -- Set power restore information
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_power_restore`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Set power restore information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-option"></div>
-                    <b>option</b>
-                    <a class="ansibleOptionLink" href="#parameter-option" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                 / <span style="color: red">required</span>                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>on</li>
-                                                                                                                                                                                                <li>off</li>
-                                                                                                                                                                                                <li>restore</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Set power policy option.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Power restore test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Set power restore information"
-        kaytus.ksmanage.edit_power_restore:
-          option: "on"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.edit_power_restore_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.edit_power_restore -- Set power restore information
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_power_restore`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Set power restore information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-option"></div>
+                    <b>option</b>
+                    <a class="ansibleOptionLink" href="#parameter-option" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                 / <span style="color: red">required</span>                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>on</li>
+                                                                                                                                                                                                <li>off</li>
+                                                                                                                                                                                                <li>restore</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Set power policy option.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Power restore test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Set power restore information"
+        kaytus.ksmanage.edit_power_restore:
+          option: "on"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_power_status_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_power_status_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_power_status_module.rst	2024-04-23 11:47:06.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_power_status_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,325 +1,325 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.edit_power_status_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.edit_power_status -- Set power status information
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_power_status`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Set power status information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#parameter-state" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                 / <span style="color: red">required</span>                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>On</li>
-                                                                                                                                                                                                <li>ForceOff</li>
-                                                                                                                                                                                                <li>ForcePowerCycle</li>
-                                                                                                                                                                                                <li>ForceReset</li>
-                                                                                                                                                                                                <li>GracefulShutdown</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Power status.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Power status test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Set power status information"
-        kaytus.ksmanage.edit_power_status:
-          state: "On"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.edit_power_status_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.edit_power_status -- Set power status information
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_power_status`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Set power status information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#parameter-state" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                 / <span style="color: red">required</span>                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>On</li>
+                                                                                                                                                                                                <li>ForceOff</li>
+                                                                                                                                                                                                <li>ForcePowerCycle</li>
+                                                                                                                                                                                                <li>ForceReset</li>
+                                                                                                                                                                                                <li>GracefulShutdown</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Power status.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Power status test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Set power status information"
+        kaytus.ksmanage.edit_power_status:
+          state: "On"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_preserve_config_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_preserve_config_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_preserve_config_module.rst	2024-04-23 11:47:06.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_preserve_config_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,373 +1,373 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.edit_preserve_config_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.edit_preserve_config -- Set preserve config
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_preserve_config`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Set preserve config on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-override"></div>
-                    <b>override</b>
-                    <a class="ansibleOptionLink" href="#parameter-override" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">list</span>
-                         / <span style="color: purple">elements=string</span>                                            </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>authentication</li>
-                                                                                                                                                                                                <li>dcmi</li>
-                                                                                                                                                                                                <li>fru</li>
-                                                                                                                                                                                                <li>hostname</li>
-                                                                                                                                                                                                <li>ipmi</li>
-                                                                                                                                                                                                <li>kvm</li>
-                                                                                                                                                                                                <li>network</li>
-                                                                                                                                                                                                <li>ntp</li>
-                                                                                                                                                                                                <li>pef</li>
-                                                                                                                                                                                                <li>sdr</li>
-                                                                                                                                                                                                <li>sel</li>
-                                                                                                                                                                                                <li>smtp</li>
-                                                                                                                                                                                                <li>snmp</li>
-                                                                                                                                                                                                <li>sol</li>
-                                                                                                                                                                                                <li>ssh</li>
-                                                                                                                                                                                                <li>syslog</li>
-                                                                                                                                                                                                <li>user</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Configuration items that need to be retained.</div>
-                                            <div>Required when <em>setting=manual</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-setting"></div>
-                    <b>setting</b>
-                    <a class="ansibleOptionLink" href="#parameter-setting" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                 / <span style="color: red">required</span>                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>all</li>
-                                                                                                                                                                                                <li>none</li>
-                                                                                                                                                                                                <li>manual</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Preserve option, all - preserve all config; none - overwrite all config; manual - manual choose.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Preserve test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Set preserve all"
-        kaytus.ksmanage.edit_preserve_config:
-          setting: "all"
-          provider: "{{ ksmanage }}"
-
-      - name: "Set preserve none"
-        edit_preserve_config:
-          setting: "none"
-          provider: "{{ ksmanage }}"
-
-      - name: "Set preserve manual"
-        edit_preserve_config:
-          setting: "manual"
-          override:
-            - fru
-            - ntp
-            - network
-            - user
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.edit_preserve_config_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.edit_preserve_config -- Set preserve config
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_preserve_config`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Set preserve config on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-override"></div>
+                    <b>override</b>
+                    <a class="ansibleOptionLink" href="#parameter-override" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">list</span>
+                         / <span style="color: purple">elements=string</span>                                            </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>authentication</li>
+                                                                                                                                                                                                <li>dcmi</li>
+                                                                                                                                                                                                <li>fru</li>
+                                                                                                                                                                                                <li>hostname</li>
+                                                                                                                                                                                                <li>ipmi</li>
+                                                                                                                                                                                                <li>kvm</li>
+                                                                                                                                                                                                <li>network</li>
+                                                                                                                                                                                                <li>ntp</li>
+                                                                                                                                                                                                <li>pef</li>
+                                                                                                                                                                                                <li>sdr</li>
+                                                                                                                                                                                                <li>sel</li>
+                                                                                                                                                                                                <li>smtp</li>
+                                                                                                                                                                                                <li>snmp</li>
+                                                                                                                                                                                                <li>sol</li>
+                                                                                                                                                                                                <li>ssh</li>
+                                                                                                                                                                                                <li>syslog</li>
+                                                                                                                                                                                                <li>user</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Configuration items that need to be retained.</div>
+                                            <div>Required when <em>setting=manual</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-setting"></div>
+                    <b>setting</b>
+                    <a class="ansibleOptionLink" href="#parameter-setting" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                 / <span style="color: red">required</span>                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>all</li>
+                                                                                                                                                                                                <li>none</li>
+                                                                                                                                                                                                <li>manual</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Preserve option, all - preserve all config; none - overwrite all config; manual - manual choose.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Preserve test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Set preserve all"
+        kaytus.ksmanage.edit_preserve_config:
+          setting: "all"
+          provider: "{{ ksmanage }}"
+
+      - name: "Set preserve none"
+        edit_preserve_config:
+          setting: "none"
+          provider: "{{ ksmanage }}"
+
+      - name: "Set preserve manual"
+        edit_preserve_config:
+          setting: "manual"
+          override:
+            - fru
+            - ntp
+            - network
+            - user
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_psu_config_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_psu_config_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_psu_config_module.rst	2024-04-23 11:47:06.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_psu_config_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,339 +1,339 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.edit_psu_config_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.edit_psu_config -- Set psu config information
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_psu_config`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Set psu config information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-id"></div>
-                    <b>id</b>
-                    <a class="ansibleOptionLink" href="#parameter-id" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                 / <span style="color: red">required</span>                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Power id.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-switch"></div>
-                    <b>switch</b>
-                    <a class="ansibleOptionLink" href="#parameter-switch" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                 / <span style="color: red">required</span>                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>active</li>
-                                                                                                                                                                                                <li>standby</li>
-                                                                                                                                                                                                <li>normal</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Power supply mode, active or standby.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Psu config test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Set psu config information"
-        kaytus.ksmanage.edit_psu_config:
-          id: 1
-          switch: "active"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.edit_psu_config_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.edit_psu_config -- Set psu config information
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_psu_config`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Set psu config information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-id"></div>
+                    <b>id</b>
+                    <a class="ansibleOptionLink" href="#parameter-id" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                 / <span style="color: red">required</span>                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Power id.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-switch"></div>
+                    <b>switch</b>
+                    <a class="ansibleOptionLink" href="#parameter-switch" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                 / <span style="color: red">required</span>                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>active</li>
+                                                                                                                                                                                                <li>standby</li>
+                                                                                                                                                                                                <li>normal</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Power supply mode, active or standby.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Psu config test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Set psu config information"
+        kaytus.ksmanage.edit_psu_config:
+          id: 1
+          switch: "active"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_psu_peak_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_psu_peak_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_psu_peak_module.rst	2024-04-23 11:47:06.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_psu_peak_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,343 +1,343 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.edit_psu_peak_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.edit_psu_peak -- Set psu peak information
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_psu_peak`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Set psu peak information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-status"></div>
-                    <b>status</b>
-                    <a class="ansibleOptionLink" href="#parameter-status" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                 / <span style="color: red">required</span>                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Power peak status.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-time"></div>
-                    <b>time</b>
-                    <a class="ansibleOptionLink" href="#parameter-time" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Maximum random time, range of values(1-600), unit(second).</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Psu peak test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Set psu peak information"
-        kaytus.ksmanage.edit_psu_peak:
-          status: "disable"
-          provider: "{{ ksmanage }}"
-
-      - name: "Set psu peak information"
-        kaytus.ksmanage.edit_psu_peak:
-          status: "enable"
-          time: 10
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.edit_psu_peak_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.edit_psu_peak -- Set psu peak information
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_psu_peak`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Set psu peak information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-status"></div>
+                    <b>status</b>
+                    <a class="ansibleOptionLink" href="#parameter-status" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                 / <span style="color: red">required</span>                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Power peak status.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-time"></div>
+                    <b>time</b>
+                    <a class="ansibleOptionLink" href="#parameter-time" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Maximum random time, range of values(1-600), unit(second).</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Psu peak test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Set psu peak information"
+        kaytus.ksmanage.edit_psu_peak:
+          status: "disable"
+          provider: "{{ ksmanage }}"
+
+      - name: "Set psu peak information"
+        kaytus.ksmanage.edit_psu_peak:
+          status: "enable"
+          time: 10
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_restore_factory_default_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_restore_factory_default_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_restore_factory_default_module.rst	2024-04-23 11:47:06.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_restore_factory_default_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,368 +1,368 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.edit_restore_factory_default_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.edit_restore_factory_default -- Set preserver config
-++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_restore_factory_default`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Set preserver config on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-mode"></div>
-                    <b>mode</b>
-                    <a class="ansibleOptionLink" href="#parameter-mode" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                 / <span style="color: red">required</span>                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>all</li>
-                                                                                                                                                                                                <li>none</li>
-                                                                                                                                                                                                <li>manual</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Restore factory defaults mode.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-override"></div>
-                    <b>override</b>
-                    <a class="ansibleOptionLink" href="#parameter-override" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">list</span>
-                         / <span style="color: purple">elements=string</span>                                            </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>authentication</li>
-                                                                                                                                                                                                <li>dcmi</li>
-                                                                                                                                                                                                <li>fru</li>
-                                                                                                                                                                                                <li>hostname</li>
-                                                                                                                                                                                                <li>ipmi</li>
-                                                                                                                                                                                                <li>kvm</li>
-                                                                                                                                                                                                <li>network</li>
-                                                                                                                                                                                                <li>ntp</li>
-                                                                                                                                                                                                <li>pef</li>
-                                                                                                                                                                                                <li>sdr</li>
-                                                                                                                                                                                                <li>sel</li>
-                                                                                                                                                                                                <li>smtp</li>
-                                                                                                                                                                                                <li>snmp</li>
-                                                                                                                                                                                                <li>sol</li>
-                                                                                                                                                                                                <li>ssh</li>
-                                                                                                                                                                                                <li>syslog</li>
-                                                                                                                                                                                                <li>user</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Configuration items that need to be retained.</div>
-                                            <div>Required when <em>mode=manual</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Restore default test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Set restore default auto"
-        kaytus.ksmanage.edit_restore_factory_default:
-          mode: "all"
-          provider: "{{ ksmanage }}"
-
-      - name: "Set restore default manual"
-        kaytus.ksmanage.edit_restore_factory_default:
-          mode: "manual"
-          override:
-            - fru
-            - ntp
-            - network
-            - user
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.edit_restore_factory_default_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.edit_restore_factory_default -- Set preserver config
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_restore_factory_default`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Set preserver config on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-mode"></div>
+                    <b>mode</b>
+                    <a class="ansibleOptionLink" href="#parameter-mode" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                 / <span style="color: red">required</span>                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>all</li>
+                                                                                                                                                                                                <li>none</li>
+                                                                                                                                                                                                <li>manual</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Restore factory defaults mode.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-override"></div>
+                    <b>override</b>
+                    <a class="ansibleOptionLink" href="#parameter-override" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">list</span>
+                         / <span style="color: purple">elements=string</span>                                            </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>authentication</li>
+                                                                                                                                                                                                <li>dcmi</li>
+                                                                                                                                                                                                <li>fru</li>
+                                                                                                                                                                                                <li>hostname</li>
+                                                                                                                                                                                                <li>ipmi</li>
+                                                                                                                                                                                                <li>kvm</li>
+                                                                                                                                                                                                <li>network</li>
+                                                                                                                                                                                                <li>ntp</li>
+                                                                                                                                                                                                <li>pef</li>
+                                                                                                                                                                                                <li>sdr</li>
+                                                                                                                                                                                                <li>sel</li>
+                                                                                                                                                                                                <li>smtp</li>
+                                                                                                                                                                                                <li>snmp</li>
+                                                                                                                                                                                                <li>sol</li>
+                                                                                                                                                                                                <li>ssh</li>
+                                                                                                                                                                                                <li>syslog</li>
+                                                                                                                                                                                                <li>user</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Configuration items that need to be retained.</div>
+                                            <div>Required when <em>mode=manual</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Restore default test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Set restore default auto"
+        kaytus.ksmanage.edit_restore_factory_default:
+          mode: "all"
+          provider: "{{ ksmanage }}"
+
+      - name: "Set restore default manual"
+        kaytus.ksmanage.edit_restore_factory_default:
+          mode: "manual"
+          override:
+            - fru
+            - ntp
+            - network
+            - user
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_service_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_service_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_service_module.rst	2024-04-23 11:47:06.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_service_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,428 +1,428 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.edit_service_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.edit_service -- Set service settings
-++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_service`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Set service settings on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-interface"></div>
-                    <b>interface</b>
-                    <a class="ansibleOptionLink" href="#parameter-interface" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>eth0</li>
-                                                                                                                                                                                                <li>eth1</li>
-                                                                                                                                                                                                <li>both</li>
-                                                                                                                                                                                                <li>bond0</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>It shows the interface in which service is running.</div>
-                                            <div>The user can choose any one of the available interfaces.</div>
-                                            <div>Only the M5 model supports this parameter.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-non_secure_port"></div>
-                    <b>non_secure_port</b>
-                    <a class="ansibleOptionLink" href="#parameter-non_secure_port" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Used to configure non secure port number for the service.</div>
-                                            <div>Port value ranges from 1 to 65535.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-secure_port"></div>
-                    <b>secure_port</b>
-                    <a class="ansibleOptionLink" href="#parameter-secure_port" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Used to configure secure port number for the service.</div>
-                                            <div>Port value ranges from 1 to 65535.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-service_name"></div>
-                    <b>service_name</b>
-                    <a class="ansibleOptionLink" href="#parameter-service_name" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                 / <span style="color: red">required</span>                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>web</li>
-                                                                                                                                                                                                <li>kvm</li>
-                                                                                                                                                                                                <li>cd-media</li>
-                                                                                                                                                                                                <li>fd-media</li>
-                                                                                                                                                                                                <li>hd-media</li>
-                                                                                                                                                                                                <li>ssh</li>
-                                                                                                                                                                                                <li>telnet</li>
-                                                                                                                                                                                                <li>solssh</li>
-                                                                                                                                                                                                <li>snmp</li>
-                                                                                                                                                                                                <li>vnc</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Displays service name of the selected slot(readonly).</div>
-                                            <div>The <em>vnc</em> option is not supported in M5.</div>
-                                            <div>The <em>fd-media/telnet/snmp</em> option is not supported in M6.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#parameter-state" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>active</li>
-                                                                                                                                                                                                <li>inactive</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Displays the current status of the service, either active or inactive state.</div>
-                                            <div>Check this option to start the inactive service.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-timeout"></div>
-                    <b>timeout</b>
-                    <a class="ansibleOptionLink" href="#parameter-timeout" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Displays the session timeout value of the service.</div>
-                                            <div>For web, SSH and telnet service, user can configure the session timeout value.</div>
-                                            <div>Web timeout value ranges from 300 to 1800 seconds.</div>
-                                            <div>SSH and Telnet timeout value ranges from 60 to 1800 seconds.</div>
-                                            <div>Timeout value should be in multiples of 60 seconds.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Edit service test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Edit kvm"
-        kaytus.ksmanage.edit_service:
-          service_name: "kvm"
-          state: "active"
-          timeout: "1200"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.edit_service_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.edit_service -- Set service settings
+++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_service`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Set service settings on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-interface"></div>
+                    <b>interface</b>
+                    <a class="ansibleOptionLink" href="#parameter-interface" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>eth0</li>
+                                                                                                                                                                                                <li>eth1</li>
+                                                                                                                                                                                                <li>both</li>
+                                                                                                                                                                                                <li>bond0</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>It shows the interface in which service is running.</div>
+                                            <div>The user can choose any one of the available interfaces.</div>
+                                            <div>Only the M5 model supports this parameter.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-non_secure_port"></div>
+                    <b>non_secure_port</b>
+                    <a class="ansibleOptionLink" href="#parameter-non_secure_port" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Used to configure non secure port number for the service.</div>
+                                            <div>Port value ranges from 1 to 65535.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-secure_port"></div>
+                    <b>secure_port</b>
+                    <a class="ansibleOptionLink" href="#parameter-secure_port" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Used to configure secure port number for the service.</div>
+                                            <div>Port value ranges from 1 to 65535.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-service_name"></div>
+                    <b>service_name</b>
+                    <a class="ansibleOptionLink" href="#parameter-service_name" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                 / <span style="color: red">required</span>                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>web</li>
+                                                                                                                                                                                                <li>kvm</li>
+                                                                                                                                                                                                <li>cd-media</li>
+                                                                                                                                                                                                <li>fd-media</li>
+                                                                                                                                                                                                <li>hd-media</li>
+                                                                                                                                                                                                <li>ssh</li>
+                                                                                                                                                                                                <li>telnet</li>
+                                                                                                                                                                                                <li>solssh</li>
+                                                                                                                                                                                                <li>snmp</li>
+                                                                                                                                                                                                <li>vnc</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Displays service name of the selected slot(readonly).</div>
+                                            <div>The <em>vnc</em> option is not supported in M5.</div>
+                                            <div>The <em>fd-media/telnet/snmp</em> option is not supported in M6.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#parameter-state" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>active</li>
+                                                                                                                                                                                                <li>inactive</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Displays the current status of the service, either active or inactive state.</div>
+                                            <div>Check this option to start the inactive service.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-timeout"></div>
+                    <b>timeout</b>
+                    <a class="ansibleOptionLink" href="#parameter-timeout" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Displays the session timeout value of the service.</div>
+                                            <div>For web, SSH and telnet service, user can configure the session timeout value.</div>
+                                            <div>Web timeout value ranges from 300 to 1800 seconds.</div>
+                                            <div>SSH and Telnet timeout value ranges from 60 to 1800 seconds.</div>
+                                            <div>Timeout value should be in multiples of 60 seconds.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Edit service test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Edit kvm"
+        kaytus.ksmanage.edit_service:
+          service_name: "kvm"
+          state: "active"
+          timeout: "1200"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_smtp_com_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_smtp_com_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_smtp_com_module.rst	2024-04-23 11:47:06.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_smtp_com_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,578 +1,578 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.edit_smtp_com_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.edit_smtp_com -- Set SMTP information
-+++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_smtp_com`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Set SMTP com information on kaytus Server.
-- Only the M6 models support this feature.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-asset_tag"></div>
-                    <b>asset_tag</b>
-                    <a class="ansibleOptionLink" href="#parameter-asset_tag" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Product asset label.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-email"></div>
-                    <b>email</b>
-                    <a class="ansibleOptionLink" href="#parameter-email" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Sender email.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-event_level"></div>
-                    <b>event_level</b>
-                    <a class="ansibleOptionLink" href="#parameter-event_level" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>Info</li>
-                                                                                                                                                                                                <li>Warning</li>
-                                                                                                                                                                                                <li>Critical</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Events above this level will be sent.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host_name"></div>
-                    <b>host_name</b>
-                    <a class="ansibleOptionLink" href="#parameter-host_name" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Server name.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-serial_number"></div>
-                    <b>serial_number</b>
-                    <a class="ansibleOptionLink" href="#parameter-serial_number" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Serial number.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-server_auth"></div>
-                    <b>server_auth</b>
-                    <a class="ansibleOptionLink" href="#parameter-server_auth" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>SMTP server authentication.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-server_ip"></div>
-                    <b>server_ip</b>
-                    <a class="ansibleOptionLink" href="#parameter-server_ip" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>SMTP server IP.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-server_password"></div>
-                    <b>server_password</b>
-                    <a class="ansibleOptionLink" href="#parameter-server_password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>SMTP server Password, length be 4 to 64 bits, cannot contain &#x27; &#x27;(space).</div>
-                                            <div>Required when <em>server_auth=enable</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-server_port"></div>
-                    <b>server_port</b>
-                    <a class="ansibleOptionLink" href="#parameter-server_port" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>SMTP server port, The Identification for retry count configuration(1-65535).</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-server_secure_port"></div>
-                    <b>server_secure_port</b>
-                    <a class="ansibleOptionLink" href="#parameter-server_secure_port" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>SMTP server secure port, The Identification for retry count configuration(1-65535).</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-server_username"></div>
-                    <b>server_username</b>
-                    <a class="ansibleOptionLink" href="#parameter-server_username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>SMTP server Username, length be 4 to 64 bits.</div>
-                                            <div>Must start with letters and cannot contain &#x27;,&#x27;(comma) &#x27;:&#x27;(colon) &#x27; &#x27;(space) &#x27;;&#x27;(semicolon) &#x27;\&#x27;(backslash).</div>
-                                            <div>Required when <em>server_auth=enable</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-ssl_tls_enable"></div>
-                    <b>ssl_tls_enable</b>
-                    <a class="ansibleOptionLink" href="#parameter-ssl_tls_enable" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>SMTP SSLTLS Enable.</div>
-                                            <div><em>ssl_tls_enable=disable</em>, when <em>star_tls_enable=enable</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-star_tls_enable"></div>
-                    <b>star_tls_enable</b>
-                    <a class="ansibleOptionLink" href="#parameter-star_tls_enable" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>SMTP STARTTLS Enable.</div>
-                                            <div><em>star_tls_enable=disable</em>, when <em>ssl_tls_enable=enable</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-status"></div>
-                    <b>status</b>
-                    <a class="ansibleOptionLink" href="#parameter-status" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                 / <span style="color: red">required</span>                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>SMTP Support.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-subject"></div>
-                    <b>subject</b>
-                    <a class="ansibleOptionLink" href="#parameter-subject" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Email theme.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Smtp com test
-      hosts: ksmanage
-      no_log: true
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Set smtp com information"
-        kaytus.ksmanage.edit_smtp_com:
-          status: "disable"
-          provider: "{{ ksmanage }}"
-
-      - name: "Set smtp com information"
-        kaytus.ksmanage.edit_smtp_com:
-          status: "enable"
-          server_ip: "100.2.2.2"
-          email: "ks@kaytus.com"
-          server_auth: "enable"
-          server_username: "admin"
-          server_password: "1234qwer!@#$"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.edit_smtp_com_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.edit_smtp_com -- Set SMTP information
++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_smtp_com`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Set SMTP com information on kaytus Server.
+- Only the M6 models support this feature.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-asset_tag"></div>
+                    <b>asset_tag</b>
+                    <a class="ansibleOptionLink" href="#parameter-asset_tag" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Product asset label.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-email"></div>
+                    <b>email</b>
+                    <a class="ansibleOptionLink" href="#parameter-email" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Sender email.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-event_level"></div>
+                    <b>event_level</b>
+                    <a class="ansibleOptionLink" href="#parameter-event_level" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>Info</li>
+                                                                                                                                                                                                <li>Warning</li>
+                                                                                                                                                                                                <li>Critical</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Events above this level will be sent.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host_name"></div>
+                    <b>host_name</b>
+                    <a class="ansibleOptionLink" href="#parameter-host_name" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Server name.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-serial_number"></div>
+                    <b>serial_number</b>
+                    <a class="ansibleOptionLink" href="#parameter-serial_number" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Serial number.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-server_auth"></div>
+                    <b>server_auth</b>
+                    <a class="ansibleOptionLink" href="#parameter-server_auth" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>SMTP server authentication.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-server_ip"></div>
+                    <b>server_ip</b>
+                    <a class="ansibleOptionLink" href="#parameter-server_ip" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>SMTP server IP.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-server_password"></div>
+                    <b>server_password</b>
+                    <a class="ansibleOptionLink" href="#parameter-server_password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>SMTP server Password, length be 4 to 64 bits, cannot contain &#x27; &#x27;(space).</div>
+                                            <div>Required when <em>server_auth=enable</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-server_port"></div>
+                    <b>server_port</b>
+                    <a class="ansibleOptionLink" href="#parameter-server_port" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>SMTP server port, The Identification for retry count configuration(1-65535).</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-server_secure_port"></div>
+                    <b>server_secure_port</b>
+                    <a class="ansibleOptionLink" href="#parameter-server_secure_port" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>SMTP server secure port, The Identification for retry count configuration(1-65535).</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-server_username"></div>
+                    <b>server_username</b>
+                    <a class="ansibleOptionLink" href="#parameter-server_username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>SMTP server Username, length be 4 to 64 bits.</div>
+                                            <div>Must start with letters and cannot contain &#x27;,&#x27;(comma) &#x27;:&#x27;(colon) &#x27; &#x27;(space) &#x27;;&#x27;(semicolon) &#x27;\&#x27;(backslash).</div>
+                                            <div>Required when <em>server_auth=enable</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-ssl_tls_enable"></div>
+                    <b>ssl_tls_enable</b>
+                    <a class="ansibleOptionLink" href="#parameter-ssl_tls_enable" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>SMTP SSLTLS Enable.</div>
+                                            <div><em>ssl_tls_enable=disable</em>, when <em>star_tls_enable=enable</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-star_tls_enable"></div>
+                    <b>star_tls_enable</b>
+                    <a class="ansibleOptionLink" href="#parameter-star_tls_enable" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>SMTP STARTTLS Enable.</div>
+                                            <div><em>star_tls_enable=disable</em>, when <em>ssl_tls_enable=enable</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-status"></div>
+                    <b>status</b>
+                    <a class="ansibleOptionLink" href="#parameter-status" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                 / <span style="color: red">required</span>                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>SMTP Support.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-subject"></div>
+                    <b>subject</b>
+                    <a class="ansibleOptionLink" href="#parameter-subject" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Email theme.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Smtp com test
+      hosts: ksmanage
+      no_log: true
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Set smtp com information"
+        kaytus.ksmanage.edit_smtp_com:
+          status: "disable"
+          provider: "{{ ksmanage }}"
+
+      - name: "Set smtp com information"
+        kaytus.ksmanage.edit_smtp_com:
+          status: "enable"
+          server_ip: "100.2.2.2"
+          email: "ks@kaytus.com"
+          server_auth: "enable"
+          server_username: "admin"
+          server_password: "1234qwer!@#$"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_smtp_dest_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_smtp_dest_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_smtp_dest_module.rst	2024-04-23 11:47:06.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_smtp_dest_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,383 +1,383 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.edit_smtp_dest_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.edit_smtp_dest -- Set SMTP information
-++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_smtp_dest`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Set SMTP dest information on kaytus Server.
-- Only the M6 models support this feature.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-address"></div>
-                    <b>address</b>
-                    <a class="ansibleOptionLink" href="#parameter-address" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Email address.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-description"></div>
-                    <b>description</b>
-                    <a class="ansibleOptionLink" href="#parameter-description" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Description information.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-id"></div>
-                    <b>id</b>
-                    <a class="ansibleOptionLink" href="#parameter-id" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                 / <span style="color: red">required</span>                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>1</li>
-                                                                                                                                                                                                <li>2</li>
-                                                                                                                                                                                                <li>3</li>
-                                                                                                                                                                                                <li>4</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Email destination id.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-status"></div>
-                    <b>status</b>
-                    <a class="ansibleOptionLink" href="#parameter-status" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Email enable.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Smtp  dest test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Set smtp dest information"
-        kaytus.ksmanage.edit_smtp_dest:
-          id: 1
-          status: "disable"
-          provider: "{{ ksmanage }}"
-
-      - name: "Set smtp dest information"
-        kaytus.ksmanage.edit_smtp_dest:
-          id: 1
-          status: "enable"
-          address: "100.2.2.2"
-          description": "test"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.edit_smtp_dest_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.edit_smtp_dest -- Set SMTP information
+++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_smtp_dest`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Set SMTP dest information on kaytus Server.
+- Only the M6 models support this feature.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-address"></div>
+                    <b>address</b>
+                    <a class="ansibleOptionLink" href="#parameter-address" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Email address.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-description"></div>
+                    <b>description</b>
+                    <a class="ansibleOptionLink" href="#parameter-description" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Description information.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-id"></div>
+                    <b>id</b>
+                    <a class="ansibleOptionLink" href="#parameter-id" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                 / <span style="color: red">required</span>                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>1</li>
+                                                                                                                                                                                                <li>2</li>
+                                                                                                                                                                                                <li>3</li>
+                                                                                                                                                                                                <li>4</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Email destination id.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-status"></div>
+                    <b>status</b>
+                    <a class="ansibleOptionLink" href="#parameter-status" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Email enable.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Smtp  dest test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Set smtp dest information"
+        kaytus.ksmanage.edit_smtp_dest:
+          id: 1
+          status: "disable"
+          provider: "{{ ksmanage }}"
+
+      - name: "Set smtp dest information"
+        kaytus.ksmanage.edit_smtp_dest:
+          id: 1
+          status: "enable"
+          address: "100.2.2.2"
+          description": "test"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_smtp_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_smtp_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_smtp_module.rst	2024-04-23 11:47:06.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_smtp_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,587 +1,587 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.edit_smtp_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.edit_smtp -- Set SMTP information
-+++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_smtp`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Set SMTP information on kaytus Server.
-- Only the M5 models support this feature.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-email"></div>
-                    <b>email</b>
-                    <a class="ansibleOptionLink" href="#parameter-email" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Sender email.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-interface"></div>
-                    <b>interface</b>
-                    <a class="ansibleOptionLink" href="#parameter-interface" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                 / <span style="color: red">required</span>                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>eth0</li>
-                                                                                                                                                                                                <li>eth1</li>
-                                                                                                                                                                                                <li>bond0</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>LAN Channel, eth0 is shared, eth1 is dedicated.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-primary_auth"></div>
-                    <b>primary_auth</b>
-                    <a class="ansibleOptionLink" href="#parameter-primary_auth" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Primary SMTP server authentication.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-primary_ip"></div>
-                    <b>primary_ip</b>
-                    <a class="ansibleOptionLink" href="#parameter-primary_ip" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Primary SMTP server IP.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-primary_name"></div>
-                    <b>primary_name</b>
-                    <a class="ansibleOptionLink" href="#parameter-primary_name" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Primary SMTP server name.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-primary_password"></div>
-                    <b>primary_password</b>
-                    <a class="ansibleOptionLink" href="#parameter-primary_password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Primary SMTP server Password, length be 4 to 64 bits, cannot contain &#x27; &#x27;(space).</div>
-                                            <div>Required when <em>primary_auth=enable</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-primary_port"></div>
-                    <b>primary_port</b>
-                    <a class="ansibleOptionLink" href="#parameter-primary_port" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Primary SMTP server port, The Identification for retry count configuration(1-65535).</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-primary_status"></div>
-                    <b>primary_status</b>
-                    <a class="ansibleOptionLink" href="#parameter-primary_status" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Primary SMTP Support.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-primary_username"></div>
-                    <b>primary_username</b>
-                    <a class="ansibleOptionLink" href="#parameter-primary_username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Primary SMTP server Username, length be 4 to 64 bits.</div>
-                                            <div>Must start with letters and cannot contain &#x27;, &#x27;(comma) &#x27;:&#x27;(colon) &#x27; &#x27;(space) &#x27;;&#x27;(semicolon) &#x27;\&#x27;(backslash).</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-secondary_auth"></div>
-                    <b>secondary_auth</b>
-                    <a class="ansibleOptionLink" href="#parameter-secondary_auth" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Secondary SMTP server authentication.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-secondary_ip"></div>
-                    <b>secondary_ip</b>
-                    <a class="ansibleOptionLink" href="#parameter-secondary_ip" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Secondary SMTP server IP.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-secondary_name"></div>
-                    <b>secondary_name</b>
-                    <a class="ansibleOptionLink" href="#parameter-secondary_name" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Secondary SMTP server name.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-secondary_password"></div>
-                    <b>secondary_password</b>
-                    <a class="ansibleOptionLink" href="#parameter-secondary_password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Secondary SMTP server Password, length be 4 to 64 bits, cannot contain &#x27; &#x27;(space).</div>
-                                            <div>Required when <em>secondary_auth=enable</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-secondary_port"></div>
-                    <b>secondary_port</b>
-                    <a class="ansibleOptionLink" href="#parameter-secondary_port" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Secondary SMTP server port, The Identification for retry count configuration(1-65535).</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-secondary_status"></div>
-                    <b>secondary_status</b>
-                    <a class="ansibleOptionLink" href="#parameter-secondary_status" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Secondary SMTP Support.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-secondary_username"></div>
-                    <b>secondary_username</b>
-                    <a class="ansibleOptionLink" href="#parameter-secondary_username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Secondary SMTP server Username, length be 4 to 64 bits.</div>
-                                            <div>Must start with letters and cannot contain &#x27;,&#x27;(comma) &#x27;:&#x27;(colon) &#x27; &#x27;(space) &#x27;;&#x27;(semicolon) &#x27;\&#x27;(backslash).</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Smtp test
-      hosts: ksmanage
-      no_log: true
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Set smtp information"
-        kaytus.ksmanage.edit_smtp:
-          interface: "eth0"
-          email: "ieit@ieisystem.com"
-          primary_status: "enable"
-          primary_ip: "100.2.2.2"
-          primary_name: "test"
-          primary_auth: "disable"
-          provider: "{{ ksmanage }}"
-
-      - name: "Set smtp information"
-        kaytus.ksmanage.edit_smtp:
-          interface: "eth0"
-          email: "ieit@ieisystem.com"
-          primary_status: "enable"
-          primary_ip: "100.2.2.2"
-          primary_name: "test"
-          primary_auth: "enable"
-          primary_username: "test"
-          primary_password: my_password
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.edit_smtp_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.edit_smtp -- Set SMTP information
++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_smtp`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Set SMTP information on kaytus Server.
+- Only the M5 models support this feature.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-email"></div>
+                    <b>email</b>
+                    <a class="ansibleOptionLink" href="#parameter-email" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Sender email.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-interface"></div>
+                    <b>interface</b>
+                    <a class="ansibleOptionLink" href="#parameter-interface" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                 / <span style="color: red">required</span>                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>eth0</li>
+                                                                                                                                                                                                <li>eth1</li>
+                                                                                                                                                                                                <li>bond0</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>LAN Channel, eth0 is shared, eth1 is dedicated.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-primary_auth"></div>
+                    <b>primary_auth</b>
+                    <a class="ansibleOptionLink" href="#parameter-primary_auth" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Primary SMTP server authentication.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-primary_ip"></div>
+                    <b>primary_ip</b>
+                    <a class="ansibleOptionLink" href="#parameter-primary_ip" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Primary SMTP server IP.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-primary_name"></div>
+                    <b>primary_name</b>
+                    <a class="ansibleOptionLink" href="#parameter-primary_name" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Primary SMTP server name.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-primary_password"></div>
+                    <b>primary_password</b>
+                    <a class="ansibleOptionLink" href="#parameter-primary_password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Primary SMTP server Password, length be 4 to 64 bits, cannot contain &#x27; &#x27;(space).</div>
+                                            <div>Required when <em>primary_auth=enable</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-primary_port"></div>
+                    <b>primary_port</b>
+                    <a class="ansibleOptionLink" href="#parameter-primary_port" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Primary SMTP server port, The Identification for retry count configuration(1-65535).</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-primary_status"></div>
+                    <b>primary_status</b>
+                    <a class="ansibleOptionLink" href="#parameter-primary_status" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Primary SMTP Support.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-primary_username"></div>
+                    <b>primary_username</b>
+                    <a class="ansibleOptionLink" href="#parameter-primary_username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Primary SMTP server Username, length be 4 to 64 bits.</div>
+                                            <div>Must start with letters and cannot contain &#x27;, &#x27;(comma) &#x27;:&#x27;(colon) &#x27; &#x27;(space) &#x27;;&#x27;(semicolon) &#x27;\&#x27;(backslash).</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-secondary_auth"></div>
+                    <b>secondary_auth</b>
+                    <a class="ansibleOptionLink" href="#parameter-secondary_auth" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Secondary SMTP server authentication.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-secondary_ip"></div>
+                    <b>secondary_ip</b>
+                    <a class="ansibleOptionLink" href="#parameter-secondary_ip" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Secondary SMTP server IP.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-secondary_name"></div>
+                    <b>secondary_name</b>
+                    <a class="ansibleOptionLink" href="#parameter-secondary_name" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Secondary SMTP server name.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-secondary_password"></div>
+                    <b>secondary_password</b>
+                    <a class="ansibleOptionLink" href="#parameter-secondary_password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Secondary SMTP server Password, length be 4 to 64 bits, cannot contain &#x27; &#x27;(space).</div>
+                                            <div>Required when <em>secondary_auth=enable</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-secondary_port"></div>
+                    <b>secondary_port</b>
+                    <a class="ansibleOptionLink" href="#parameter-secondary_port" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Secondary SMTP server port, The Identification for retry count configuration(1-65535).</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-secondary_status"></div>
+                    <b>secondary_status</b>
+                    <a class="ansibleOptionLink" href="#parameter-secondary_status" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Secondary SMTP Support.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-secondary_username"></div>
+                    <b>secondary_username</b>
+                    <a class="ansibleOptionLink" href="#parameter-secondary_username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Secondary SMTP server Username, length be 4 to 64 bits.</div>
+                                            <div>Must start with letters and cannot contain &#x27;,&#x27;(comma) &#x27;:&#x27;(colon) &#x27; &#x27;(space) &#x27;;&#x27;(semicolon) &#x27;\&#x27;(backslash).</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Smtp test
+      hosts: ksmanage
+      no_log: true
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Set smtp information"
+        kaytus.ksmanage.edit_smtp:
+          interface: "eth0"
+          email: "ieit@ieisystem.com"
+          primary_status: "enable"
+          primary_ip: "100.2.2.2"
+          primary_name: "test"
+          primary_auth: "disable"
+          provider: "{{ ksmanage }}"
+
+      - name: "Set smtp information"
+        kaytus.ksmanage.edit_smtp:
+          interface: "eth0"
+          email: "ieit@ieisystem.com"
+          primary_status: "enable"
+          primary_ip: "100.2.2.2"
+          primary_name: "test"
+          primary_auth: "enable"
+          primary_username: "test"
+          primary_password: my_password
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_snmp_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_snmp_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_snmp_module.rst	2024-04-23 11:47:06.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_snmp_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,540 +1,540 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.edit_snmp_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.edit_snmp -- Set snmp
-+++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_snmp`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Set snmp on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-auth_password"></div>
-                    <b>auth_password</b>
-                    <a class="ansibleOptionLink" href="#parameter-auth_password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Set the authentication password for the V3 trap or v3get/v3set.</div>
-                                            <div>The password is a string of 8 to 16 alphanumeric characters.</div>
-                                            <div>Required when <em>auth_protocol</em> is either <code>SHA</code> or <code>MD5</code>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-auth_protocol"></div>
-                    <b>auth_protocol</b>
-                    <a class="ansibleOptionLink" href="#parameter-auth_protocol" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>NONE</li>
-                                                                                                                                                                                                <li>SHA</li>
-                                                                                                                                                                                                <li>MD5</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Choose the authentication protocol for the V3 trap or v3get/v3set.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-community"></div>
-                    <b>community</b>
-                    <a class="ansibleOptionLink" href="#parameter-community" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Community of v1/v2c or v1get/v1set/v2cget/v2cset.</div>
-                                            <div>Only the M5 models support this feature.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-priv_password"></div>
-                    <b>priv_password</b>
-                    <a class="ansibleOptionLink" href="#parameter-priv_password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Set the privacy password for the V3 trap or v3get/v3set.</div>
-                                            <div>The password is a string of 8 to 16 alphanumeric characters.</div>
-                                            <div>Required when <em>priv_protocol</em> is either <code>DES</code> or <code>AES</code>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-priv_protocol"></div>
-                    <b>priv_protocol</b>
-                    <a class="ansibleOptionLink" href="#parameter-priv_protocol" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>NONE</li>
-                                                                                                                                                                                                <li>DES</li>
-                                                                                                                                                                                                <li>AES</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Choose the privacy protocol for the V3 trap or v3get/v3set.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-read_community"></div>
-                    <b>read_community</b>
-                    <a class="ansibleOptionLink" href="#parameter-read_community" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Read Only Community, Community should between 1 and 16 characters.</div>
-                                            <div>Only the M6 models support this feature.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-read_write_community"></div>
-                    <b>read_write_community</b>
-                    <a class="ansibleOptionLink" href="#parameter-read_write_community" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Read And Write Community, Community should between 1 and 16 characters.</div>
-                                            <div>Only the M6 models support this feature.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-snmp_status"></div>
-                    <b>snmp_status</b>
-                    <a class="ansibleOptionLink" href="#parameter-snmp_status" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">list</span>
-                         / <span style="color: purple">elements=string</span>                                            </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>NMP read/write status of customize.</div>
-                                            <div>The input parameters are &#x27;v1get&#x27;, &#x27;v1set&#x27;, &#x27;v2cget&#x27;, &#x27;v2cset&#x27;, &#x27;v3get&#x27;, &#x27;v3set&#x27;, separated by commas, such as v1get, v1set, v2cget.</div>
-                                            <div>Only the M5 models support this feature.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-v1status"></div>
-                    <b>v1status</b>
-                    <a class="ansibleOptionLink" href="#parameter-v1status" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>SNMP V1 enable.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-v2status"></div>
-                    <b>v2status</b>
-                    <a class="ansibleOptionLink" href="#parameter-v2status" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>SNMP V2 enable.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-v3status"></div>
-                    <b>v3status</b>
-                    <a class="ansibleOptionLink" href="#parameter-v3status" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>SNMP V3 enable.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-v3username"></div>
-                    <b>v3username</b>
-                    <a class="ansibleOptionLink" href="#parameter-v3username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Set a username for the V3 trap or v3get/v3set.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-version"></div>
-                    <b>version</b>
-                    <a class="ansibleOptionLink" href="#parameter-version" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>0</li>
-                                                                                                                                                                                                <li>1</li>
-                                                                                                                                                                                                <li>2</li>
-                                                                                                                                                                                                <li>3</li>
-                                                                                                                                                                                                <li>4</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>SNMP trap version option, 0 - &#x27;v1&#x27;, 1 - &#x27;v2c&#x27;, 2 - &#x27;v3&#x27;, 3 - &#x27;all&#x27;, 4 - &#x27;customize&#x27;.</div>
-                                            <div>Only the M5 models support this feature.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Snmp test
-      hosts: ksmanage
-      no_log: true
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Set snmp get/set"
-        kaytus.ksmanage.edit_snmp:
-          community: "test"
-          v3username: "test"
-          provider: "{{ ksmanage }}"
-
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.edit_snmp_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.edit_snmp -- Set snmp
++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_snmp`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Set snmp on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-auth_password"></div>
+                    <b>auth_password</b>
+                    <a class="ansibleOptionLink" href="#parameter-auth_password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Set the authentication password for the V3 trap or v3get/v3set.</div>
+                                            <div>The password is a string of 8 to 16 alphanumeric characters.</div>
+                                            <div>Required when <em>auth_protocol</em> is either <code>SHA</code> or <code>MD5</code>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-auth_protocol"></div>
+                    <b>auth_protocol</b>
+                    <a class="ansibleOptionLink" href="#parameter-auth_protocol" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>NONE</li>
+                                                                                                                                                                                                <li>SHA</li>
+                                                                                                                                                                                                <li>MD5</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Choose the authentication protocol for the V3 trap or v3get/v3set.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-community"></div>
+                    <b>community</b>
+                    <a class="ansibleOptionLink" href="#parameter-community" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Community of v1/v2c or v1get/v1set/v2cget/v2cset.</div>
+                                            <div>Only the M5 models support this feature.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-priv_password"></div>
+                    <b>priv_password</b>
+                    <a class="ansibleOptionLink" href="#parameter-priv_password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Set the privacy password for the V3 trap or v3get/v3set.</div>
+                                            <div>The password is a string of 8 to 16 alphanumeric characters.</div>
+                                            <div>Required when <em>priv_protocol</em> is either <code>DES</code> or <code>AES</code>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-priv_protocol"></div>
+                    <b>priv_protocol</b>
+                    <a class="ansibleOptionLink" href="#parameter-priv_protocol" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>NONE</li>
+                                                                                                                                                                                                <li>DES</li>
+                                                                                                                                                                                                <li>AES</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Choose the privacy protocol for the V3 trap or v3get/v3set.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-read_community"></div>
+                    <b>read_community</b>
+                    <a class="ansibleOptionLink" href="#parameter-read_community" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Read Only Community, Community should between 1 and 16 characters.</div>
+                                            <div>Only the M6 models support this feature.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-read_write_community"></div>
+                    <b>read_write_community</b>
+                    <a class="ansibleOptionLink" href="#parameter-read_write_community" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Read And Write Community, Community should between 1 and 16 characters.</div>
+                                            <div>Only the M6 models support this feature.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-snmp_status"></div>
+                    <b>snmp_status</b>
+                    <a class="ansibleOptionLink" href="#parameter-snmp_status" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">list</span>
+                         / <span style="color: purple">elements=string</span>                                            </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>NMP read/write status of customize.</div>
+                                            <div>The input parameters are &#x27;v1get&#x27;, &#x27;v1set&#x27;, &#x27;v2cget&#x27;, &#x27;v2cset&#x27;, &#x27;v3get&#x27;, &#x27;v3set&#x27;, separated by commas, such as v1get, v1set, v2cget.</div>
+                                            <div>Only the M5 models support this feature.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-v1status"></div>
+                    <b>v1status</b>
+                    <a class="ansibleOptionLink" href="#parameter-v1status" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>SNMP V1 enable.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-v2status"></div>
+                    <b>v2status</b>
+                    <a class="ansibleOptionLink" href="#parameter-v2status" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>SNMP V2 enable.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-v3status"></div>
+                    <b>v3status</b>
+                    <a class="ansibleOptionLink" href="#parameter-v3status" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>SNMP V3 enable.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-v3username"></div>
+                    <b>v3username</b>
+                    <a class="ansibleOptionLink" href="#parameter-v3username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Set a username for the V3 trap or v3get/v3set.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-version"></div>
+                    <b>version</b>
+                    <a class="ansibleOptionLink" href="#parameter-version" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>0</li>
+                                                                                                                                                                                                <li>1</li>
+                                                                                                                                                                                                <li>2</li>
+                                                                                                                                                                                                <li>3</li>
+                                                                                                                                                                                                <li>4</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>SNMP trap version option, 0 - &#x27;v1&#x27;, 1 - &#x27;v2c&#x27;, 2 - &#x27;v3&#x27;, 3 - &#x27;all&#x27;, 4 - &#x27;customize&#x27;.</div>
+                                            <div>Only the M5 models support this feature.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Snmp test
+      hosts: ksmanage
+      no_log: true
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Set snmp get/set"
+        kaytus.ksmanage.edit_snmp:
+          community: "test"
+          v3username: "test"
+          provider: "{{ ksmanage }}"
+
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_snmp_trap_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_snmp_trap_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_snmp_trap_module.rst	2024-04-23 11:47:06.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_snmp_trap_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,598 +1,598 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.edit_snmp_trap_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.edit_snmp_trap -- Set snmp trap
-+++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_snmp_trap`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Set snmp trap on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-auth_password"></div>
-                    <b>auth_password</b>
-                    <a class="ansibleOptionLink" href="#parameter-auth_password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Set the authentication password for the V3 trap.</div>
-                                            <div>The password is a string of 8 to 16 alphanumeric characters.</div>
-                                            <div>Required when <em>auth_protocol</em> is either <code>SHA</code> or <code>MD5</code>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-auth_protocol"></div>
-                    <b>auth_protocol</b>
-                    <a class="ansibleOptionLink" href="#parameter-auth_protocol" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>NONE</li>
-                                                                                                                                                                                                <li>SHA</li>
-                                                                                                                                                                                                <li>MD5</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Choose the authentication protocol for the V3 trap.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-community"></div>
-                    <b>community</b>
-                    <a class="ansibleOptionLink" href="#parameter-community" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Community of v1/v2c.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-contact"></div>
-                    <b>contact</b>
-                    <a class="ansibleOptionLink" href="#parameter-contact" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Set the contact, can be NULL.</div>
-                                            <div>Only the M5 model supports this parameter.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-engine_id"></div>
-                    <b>engine_id</b>
-                    <a class="ansibleOptionLink" href="#parameter-engine_id" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies an engine identifier for the V3 trap. The value should be string of 10 to 48 hex characters, must be even, can be NULL.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-event_severity"></div>
-                    <b>event_severity</b>
-                    <a class="ansibleOptionLink" href="#parameter-event_severity" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>all</li>
-                                                                                                                                                                                                <li>warning</li>
-                                                                                                                                                                                                <li>critical</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Event Severity.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host_id"></div>
-                    <b>host_id</b>
-                    <a class="ansibleOptionLink" href="#parameter-host_id" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>HostName</li>
-                                                                                                                                                                                                <li>SerialNum</li>
-                                                                                                                                                                                                <li>AssertTag</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Host id.</div>
-                                            <div>Only the M6 model supports this parameter.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-location"></div>
-                    <b>location</b>
-                    <a class="ansibleOptionLink" href="#parameter-location" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Set the host location, can be NULL.</div>
-                                            <div>Only the M5 model supports this parameter.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-os"></div>
-                    <b>os</b>
-                    <a class="ansibleOptionLink" href="#parameter-os" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Set the host operating system, can be NULL.</div>
-                                            <div>Only the M5 model supports this parameter.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-priv_password"></div>
-                    <b>priv_password</b>
-                    <a class="ansibleOptionLink" href="#parameter-priv_password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Set the privacy password for the V3 trap.</div>
-                                            <div>The password is a string of 8 to 16 alphanumeric characters.</div>
-                                            <div>Required when <em>priv_protocol</em> is either <code>DES</code> or <code>AES</code>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-priv_protocol"></div>
-                    <b>priv_protocol</b>
-                    <a class="ansibleOptionLink" href="#parameter-priv_protocol" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>NONE</li>
-                                                                                                                                                                                                <li>DES</li>
-                                                                                                                                                                                                <li>AES</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Choose the privacy protocol for the V3 trap.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-system_id"></div>
-                    <b>system_id</b>
-                    <a class="ansibleOptionLink" href="#parameter-system_id" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Set the system ID, can be NULL.</div>
-                                            <div>Only the M5 model supports this parameter.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-system_name"></div>
-                    <b>system_name</b>
-                    <a class="ansibleOptionLink" href="#parameter-system_name" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Set the system name, can be NULL.</div>
-                                            <div>Only the M5 model supports this parameter.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-trap_port"></div>
-                    <b>trap_port</b>
-                    <a class="ansibleOptionLink" href="#parameter-trap_port" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Set a port for the SNMP trap in the range of 1 to 65535.</div>
-                                            <div>Only the M5 model supports this parameter.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-v3username"></div>
-                    <b>v3username</b>
-                    <a class="ansibleOptionLink" href="#parameter-v3username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Set the username for the V3 trap.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-version"></div>
-                    <b>version</b>
-                    <a class="ansibleOptionLink" href="#parameter-version" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>0</li>
-                                                                                                                                                                                                <li>1</li>
-                                                                                                                                                                                                <li>2</li>
-                                                                                                                                                                                                <li>3</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>SNMP trap version, 1 is v1, 2 is v2c(v2), 3 is v3, 0 is disable snmp trap.</div>
-                                            <div>Only the M6 model supports <code>0</code> Settings.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Trap test
-      hosts: ksmanage
-      no_log: true
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Set snmp trap v2c"
-        kaytus.ksmanage.edit_snmp_trap:
-          version: 2
-          event_severity: "warning"
-          community: "test"
-          system_name: "ieisystem"
-          provider: "{{ ksmanage }}"
-
-      - name: "Set snmp trap v3"
-        kaytus.ksmanage.edit_snmp_trap:
-          version: 3
-          event_severity: "all"
-          v3username: "ieisystem"
-          engine_id: "1234567890"
-          auth_protocol: "SHA"
-          auth_password: "12345678"
-          priv_protocol: "AES"
-          priv_password: "123454678"
-          trap_port: 162
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.edit_snmp_trap_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.edit_snmp_trap -- Set snmp trap
++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_snmp_trap`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Set snmp trap on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-auth_password"></div>
+                    <b>auth_password</b>
+                    <a class="ansibleOptionLink" href="#parameter-auth_password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Set the authentication password for the V3 trap.</div>
+                                            <div>The password is a string of 8 to 16 alphanumeric characters.</div>
+                                            <div>Required when <em>auth_protocol</em> is either <code>SHA</code> or <code>MD5</code>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-auth_protocol"></div>
+                    <b>auth_protocol</b>
+                    <a class="ansibleOptionLink" href="#parameter-auth_protocol" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>NONE</li>
+                                                                                                                                                                                                <li>SHA</li>
+                                                                                                                                                                                                <li>MD5</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Choose the authentication protocol for the V3 trap.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-community"></div>
+                    <b>community</b>
+                    <a class="ansibleOptionLink" href="#parameter-community" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Community of v1/v2c.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-contact"></div>
+                    <b>contact</b>
+                    <a class="ansibleOptionLink" href="#parameter-contact" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Set the contact, can be NULL.</div>
+                                            <div>Only the M5 model supports this parameter.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-engine_id"></div>
+                    <b>engine_id</b>
+                    <a class="ansibleOptionLink" href="#parameter-engine_id" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies an engine identifier for the V3 trap. The value should be string of 10 to 48 hex characters, must be even, can be NULL.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-event_severity"></div>
+                    <b>event_severity</b>
+                    <a class="ansibleOptionLink" href="#parameter-event_severity" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>all</li>
+                                                                                                                                                                                                <li>warning</li>
+                                                                                                                                                                                                <li>critical</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Event Severity.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host_id"></div>
+                    <b>host_id</b>
+                    <a class="ansibleOptionLink" href="#parameter-host_id" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>HostName</li>
+                                                                                                                                                                                                <li>SerialNum</li>
+                                                                                                                                                                                                <li>AssertTag</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Host id.</div>
+                                            <div>Only the M6 model supports this parameter.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-location"></div>
+                    <b>location</b>
+                    <a class="ansibleOptionLink" href="#parameter-location" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Set the host location, can be NULL.</div>
+                                            <div>Only the M5 model supports this parameter.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-os"></div>
+                    <b>os</b>
+                    <a class="ansibleOptionLink" href="#parameter-os" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Set the host operating system, can be NULL.</div>
+                                            <div>Only the M5 model supports this parameter.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-priv_password"></div>
+                    <b>priv_password</b>
+                    <a class="ansibleOptionLink" href="#parameter-priv_password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Set the privacy password for the V3 trap.</div>
+                                            <div>The password is a string of 8 to 16 alphanumeric characters.</div>
+                                            <div>Required when <em>priv_protocol</em> is either <code>DES</code> or <code>AES</code>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-priv_protocol"></div>
+                    <b>priv_protocol</b>
+                    <a class="ansibleOptionLink" href="#parameter-priv_protocol" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>NONE</li>
+                                                                                                                                                                                                <li>DES</li>
+                                                                                                                                                                                                <li>AES</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Choose the privacy protocol for the V3 trap.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-system_id"></div>
+                    <b>system_id</b>
+                    <a class="ansibleOptionLink" href="#parameter-system_id" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Set the system ID, can be NULL.</div>
+                                            <div>Only the M5 model supports this parameter.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-system_name"></div>
+                    <b>system_name</b>
+                    <a class="ansibleOptionLink" href="#parameter-system_name" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Set the system name, can be NULL.</div>
+                                            <div>Only the M5 model supports this parameter.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-trap_port"></div>
+                    <b>trap_port</b>
+                    <a class="ansibleOptionLink" href="#parameter-trap_port" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Set a port for the SNMP trap in the range of 1 to 65535.</div>
+                                            <div>Only the M5 model supports this parameter.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-v3username"></div>
+                    <b>v3username</b>
+                    <a class="ansibleOptionLink" href="#parameter-v3username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Set the username for the V3 trap.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-version"></div>
+                    <b>version</b>
+                    <a class="ansibleOptionLink" href="#parameter-version" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>0</li>
+                                                                                                                                                                                                <li>1</li>
+                                                                                                                                                                                                <li>2</li>
+                                                                                                                                                                                                <li>3</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>SNMP trap version, 1 is v1, 2 is v2c(v2), 3 is v3, 0 is disable snmp trap.</div>
+                                            <div>Only the M6 model supports <code>0</code> Settings.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Trap test
+      hosts: ksmanage
+      no_log: true
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Set snmp trap v2c"
+        kaytus.ksmanage.edit_snmp_trap:
+          version: 2
+          event_severity: "warning"
+          community: "test"
+          system_name: "ieisystem"
+          provider: "{{ ksmanage }}"
+
+      - name: "Set snmp trap v3"
+        kaytus.ksmanage.edit_snmp_trap:
+          version: 3
+          event_severity: "all"
+          v3username: "ieisystem"
+          engine_id: "1234567890"
+          auth_protocol: "SHA"
+          auth_password: "12345678"
+          priv_protocol: "AES"
+          priv_password: "123454678"
+          trap_port: 162
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_threshold_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_threshold_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_threshold_module.rst	2024-04-23 11:47:06.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_threshold_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,410 +1,410 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.edit_threshold_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.edit_threshold -- Set threshold information
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_threshold`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Set threshold information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-lc"></div>
-                    <b>lc</b>
-                    <a class="ansibleOptionLink" href="#parameter-lc" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Lower critical threshold, should be integer.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-lnc"></div>
-                    <b>lnc</b>
-                    <a class="ansibleOptionLink" href="#parameter-lnc" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Lower non critical threshold, should be integer.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-lnr"></div>
-                    <b>lnr</b>
-                    <a class="ansibleOptionLink" href="#parameter-lnr" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Lower non recoverable threshold, should be integer.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-name"></div>
-                    <b>name</b>
-                    <a class="ansibleOptionLink" href="#parameter-name" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                 / <span style="color: red">required</span>                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Sensor name.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-uc"></div>
-                    <b>uc</b>
-                    <a class="ansibleOptionLink" href="#parameter-uc" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Up critical threshold, should be integer.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-unc"></div>
-                    <b>unc</b>
-                    <a class="ansibleOptionLink" href="#parameter-unc" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Up non critical threshold, should be integer.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-unr"></div>
-                    <b>unr</b>
-                    <a class="ansibleOptionLink" href="#parameter-unr" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Up non recoverable threshold, should be integer.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Threshold test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Set threshold information"
-        kaytus.ksmanage.edit_threshold:
-          name: "GPU1_Temp"
-          uc: 94
-          unc: 92
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.edit_threshold_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.edit_threshold -- Set threshold information
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_threshold`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Set threshold information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-lc"></div>
+                    <b>lc</b>
+                    <a class="ansibleOptionLink" href="#parameter-lc" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Lower critical threshold, should be integer.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-lnc"></div>
+                    <b>lnc</b>
+                    <a class="ansibleOptionLink" href="#parameter-lnc" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Lower non critical threshold, should be integer.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-lnr"></div>
+                    <b>lnr</b>
+                    <a class="ansibleOptionLink" href="#parameter-lnr" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Lower non recoverable threshold, should be integer.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-name"></div>
+                    <b>name</b>
+                    <a class="ansibleOptionLink" href="#parameter-name" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                 / <span style="color: red">required</span>                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Sensor name.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-uc"></div>
+                    <b>uc</b>
+                    <a class="ansibleOptionLink" href="#parameter-uc" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Up critical threshold, should be integer.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-unc"></div>
+                    <b>unc</b>
+                    <a class="ansibleOptionLink" href="#parameter-unc" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Up non critical threshold, should be integer.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-unr"></div>
+                    <b>unr</b>
+                    <a class="ansibleOptionLink" href="#parameter-unr" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Up non recoverable threshold, should be integer.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Threshold test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Set threshold information"
+        kaytus.ksmanage.edit_threshold:
+          name: "GPU1_Temp"
+          uc: 94
+          unc: 92
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_uid_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_uid_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_uid_module.rst	2024-04-23 11:47:06.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_uid_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,343 +1,343 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.edit_uid_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.edit_uid -- Set UID
-+++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_uid`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Set UID on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-led"></div>
-                    <b>led</b>
-                    <a class="ansibleOptionLink" href="#parameter-led" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                 / <span style="color: red">required</span>                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>on</li>
-                                                                                                                                                                                                <li>off</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Turn on or turn off the led.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-time"></div>
-                    <b>time</b>
-                    <a class="ansibleOptionLink" href="#parameter-time" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Set led blink time(second).</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: UID test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Set uid"
-        kaytus.ksmanage.edit_uid:
-          led: "on"
-          time: 10
-          provider: "{{ ksmanage }}"
-
-      - name: "Set uid"
-        kaytus.ksmanage.edit_uid:
-          led: "off"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.edit_uid_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.edit_uid -- Set UID
++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_uid`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Set UID on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-led"></div>
+                    <b>led</b>
+                    <a class="ansibleOptionLink" href="#parameter-led" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                 / <span style="color: red">required</span>                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>on</li>
+                                                                                                                                                                                                <li>off</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Turn on or turn off the led.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-time"></div>
+                    <b>time</b>
+                    <a class="ansibleOptionLink" href="#parameter-time" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Set led blink time(second).</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: UID test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Set uid"
+        kaytus.ksmanage.edit_uid:
+          led: "on"
+          time: 10
+          provider: "{{ ksmanage }}"
+
+      - name: "Set uid"
+        kaytus.ksmanage.edit_uid:
+          led: "off"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_virtual_media_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_virtual_media_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_virtual_media_module.rst	2024-04-23 11:47:06.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_virtual_media_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,511 +1,511 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.edit_virtual_media_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.edit_virtual_media -- Set virtual media
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_virtual_media`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Set virtual media on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-local_media_support"></div>
-                    <b>local_media_support</b>
-                    <a class="ansibleOptionLink" href="#parameter-local_media_support" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>Enable</li>
-                                                                                                                                                                                                <li>Disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>To enable or disable Local Media Support, check or uncheck the checkbox respectively.</div>
-                                            <div>Only the M5 model supports this parameter.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-mount"></div>
-                    <b>mount</b>
-                    <a class="ansibleOptionLink" href="#parameter-mount" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>Enable</li>
-                                                                                                                                                                                                <li>Disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Whether to mount virtual media.</div>
-                                            <div>Only the M5 model supports this parameter.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-mount_type"></div>
-                    <b>mount_type</b>
-                    <a class="ansibleOptionLink" href="#parameter-mount_type" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>CD</li>
-                                                                                                                                                                                                <li>FD</li>
-                                                                                                                                                                                                <li>HD</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Virtual mount type.</div>
-                                            <div>The <em>FD</em> option is not supported in M6.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-remote_domain_name"></div>
-                    <b>remote_domain_name</b>
-                    <a class="ansibleOptionLink" href="#parameter-remote_domain_name" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Remote Domain Name, Domain Name field is optional.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-remote_media_support"></div>
-                    <b>remote_media_support</b>
-                    <a class="ansibleOptionLink" href="#parameter-remote_media_support" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>Enable</li>
-                                                                                                                                                                                                <li>Disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>To enable or disable Remote Media support, check or uncheck the checkbox respectively.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-remote_password"></div>
-                    <b>remote_password</b>
-                    <a class="ansibleOptionLink" href="#parameter-remote_password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Remote Password.</div>
-                                            <div>Required when <em>remote_share_type=cifs</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-remote_server_address"></div>
-                    <b>remote_server_address</b>
-                    <a class="ansibleOptionLink" href="#parameter-remote_server_address" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Address of the server where the remote media images are stored.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-remote_share_type"></div>
-                    <b>remote_share_type</b>
-                    <a class="ansibleOptionLink" href="#parameter-remote_share_type" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>nfs</li>
-                                                                                                                                                                                                <li>cifs</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Share Type of the remote media server either NFS or Samba(CIFS).</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-remote_source_path"></div>
-                    <b>remote_source_path</b>
-                    <a class="ansibleOptionLink" href="#parameter-remote_source_path" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Source path to the remote media images..</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-remote_user_name"></div>
-                    <b>remote_user_name</b>
-                    <a class="ansibleOptionLink" href="#parameter-remote_user_name" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Remote User Name.</div>
-                                            <div>Required when <em>remote_share_type=cifs</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-same_settings"></div>
-                    <b>same_settings</b>
-                    <a class="ansibleOptionLink" href="#parameter-same_settings" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>0</li>
-                                                                                                                                                                                                <li>1</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Same settings with <em>CD</em>, 0 is No, 1 is Yes.</div>
-                                            <div>Required when <em>mount_type=0</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Media test
-      hosts: ksmanage
-      no_log: true
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Set local media"
-        kaytus.ksmanage.edit_virtual_media:
-          local_media_support: "Enable"
-          provider: "{{ ksmanage }}"
-
-      - name: "Set remote media"
-        kaytus.ksmanage.edit_virtual_media:
-          remote_media_support: "Enable"
-          mount_type: 'CD'
-          same_settings: 0
-          mount: "Enable"
-          remote_server_address: "100.2.28.203"
-          remote_source_path: "/data/nfs/server/"
-          remote_share_type: "nfs"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.edit_virtual_media_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.edit_virtual_media -- Set virtual media
++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_virtual_media`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Set virtual media on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-local_media_support"></div>
+                    <b>local_media_support</b>
+                    <a class="ansibleOptionLink" href="#parameter-local_media_support" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>Enable</li>
+                                                                                                                                                                                                <li>Disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>To enable or disable Local Media Support, check or uncheck the checkbox respectively.</div>
+                                            <div>Only the M5 model supports this parameter.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-mount"></div>
+                    <b>mount</b>
+                    <a class="ansibleOptionLink" href="#parameter-mount" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>Enable</li>
+                                                                                                                                                                                                <li>Disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Whether to mount virtual media.</div>
+                                            <div>Only the M5 model supports this parameter.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-mount_type"></div>
+                    <b>mount_type</b>
+                    <a class="ansibleOptionLink" href="#parameter-mount_type" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>CD</li>
+                                                                                                                                                                                                <li>FD</li>
+                                                                                                                                                                                                <li>HD</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Virtual mount type.</div>
+                                            <div>The <em>FD</em> option is not supported in M6.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-remote_domain_name"></div>
+                    <b>remote_domain_name</b>
+                    <a class="ansibleOptionLink" href="#parameter-remote_domain_name" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Remote Domain Name, Domain Name field is optional.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-remote_media_support"></div>
+                    <b>remote_media_support</b>
+                    <a class="ansibleOptionLink" href="#parameter-remote_media_support" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>Enable</li>
+                                                                                                                                                                                                <li>Disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>To enable or disable Remote Media support, check or uncheck the checkbox respectively.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-remote_password"></div>
+                    <b>remote_password</b>
+                    <a class="ansibleOptionLink" href="#parameter-remote_password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Remote Password.</div>
+                                            <div>Required when <em>remote_share_type=cifs</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-remote_server_address"></div>
+                    <b>remote_server_address</b>
+                    <a class="ansibleOptionLink" href="#parameter-remote_server_address" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Address of the server where the remote media images are stored.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-remote_share_type"></div>
+                    <b>remote_share_type</b>
+                    <a class="ansibleOptionLink" href="#parameter-remote_share_type" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>nfs</li>
+                                                                                                                                                                                                <li>cifs</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Share Type of the remote media server either NFS or Samba(CIFS).</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-remote_source_path"></div>
+                    <b>remote_source_path</b>
+                    <a class="ansibleOptionLink" href="#parameter-remote_source_path" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Source path to the remote media images..</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-remote_user_name"></div>
+                    <b>remote_user_name</b>
+                    <a class="ansibleOptionLink" href="#parameter-remote_user_name" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Remote User Name.</div>
+                                            <div>Required when <em>remote_share_type=cifs</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-same_settings"></div>
+                    <b>same_settings</b>
+                    <a class="ansibleOptionLink" href="#parameter-same_settings" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>0</li>
+                                                                                                                                                                                                <li>1</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Same settings with <em>CD</em>, 0 is No, 1 is Yes.</div>
+                                            <div>Required when <em>mount_type=0</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Media test
+      hosts: ksmanage
+      no_log: true
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Set local media"
+        kaytus.ksmanage.edit_virtual_media:
+          local_media_support: "Enable"
+          provider: "{{ ksmanage }}"
+
+      - name: "Set remote media"
+        kaytus.ksmanage.edit_virtual_media:
+          remote_media_support: "Enable"
+          mount_type: 'CD'
+          same_settings: 0
+          mount: "Enable"
+          remote_server_address: "100.2.28.203"
+          remote_source_path: "/data/nfs/server/"
+          remote_share_type: "nfs"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_vlan_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_vlan_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_vlan_module.rst	2024-04-23 11:47:06.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/edit_vlan_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,381 +1,381 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.edit_vlan_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.edit_vlan -- Set vlan information
-+++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_vlan`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Set vlan information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-interface_name"></div>
-                    <b>interface_name</b>
-                    <a class="ansibleOptionLink" href="#parameter-interface_name" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                 / <span style="color: red">required</span>                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>eth0</li>
-                                                                                                                                                                                                <li>eth1</li>
-                                                                                                                                                                                                <li>bond0</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Set interface name. Select the LAN interface to be configured.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-vlan_id"></div>
-                    <b>vlan_id</b>
-                    <a class="ansibleOptionLink" href="#parameter-vlan_id" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>The Identification for VLAN configuration(2-4094).</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-vlan_priority"></div>
-                    <b>vlan_priority</b>
-                    <a class="ansibleOptionLink" href="#parameter-vlan_priority" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>The priority for VLAN configuration(1-7).</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-vlan_status"></div>
-                    <b>vlan_status</b>
-                    <a class="ansibleOptionLink" href="#parameter-vlan_status" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Enable or disable vlan.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Vlan test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Set vlan information"
-        kaytus.ksmanage.edit_vlan:
-          interface_name: "eth0"
-          vlan_status: "disable"
-          provider: "{{ ksmanage }}"
-
-      - name: "Set vlan information"
-        kaytus.ksmanage.edit_vlan:
-          interface_name: "eth0"
-          vlan_status: "enable"
-          vlan_id: 2
-          vlan_priority: 1
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.edit_vlan_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.edit_vlan -- Set vlan information
++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.edit_vlan`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Set vlan information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-interface_name"></div>
+                    <b>interface_name</b>
+                    <a class="ansibleOptionLink" href="#parameter-interface_name" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                 / <span style="color: red">required</span>                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>eth0</li>
+                                                                                                                                                                                                <li>eth1</li>
+                                                                                                                                                                                                <li>bond0</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Set interface name. Select the LAN interface to be configured.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-vlan_id"></div>
+                    <b>vlan_id</b>
+                    <a class="ansibleOptionLink" href="#parameter-vlan_id" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>The Identification for VLAN configuration(2-4094).</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-vlan_priority"></div>
+                    <b>vlan_priority</b>
+                    <a class="ansibleOptionLink" href="#parameter-vlan_priority" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>The priority for VLAN configuration(1-7).</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-vlan_status"></div>
+                    <b>vlan_status</b>
+                    <a class="ansibleOptionLink" href="#parameter-vlan_status" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Enable or disable vlan.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Vlan test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Set vlan information"
+        kaytus.ksmanage.edit_vlan:
+          interface_name: "eth0"
+          vlan_status: "disable"
+          provider: "{{ ksmanage }}"
+
+      - name: "Set vlan information"
+        kaytus.ksmanage.edit_vlan:
+          interface_name: "eth0"
+          vlan_status: "enable"
+          vlan_id: 2
+          vlan_priority: 1
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/event_log_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/event_log_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/event_log_info_module.rst	2024-04-23 11:47:06.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/event_log_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,358 +1,358 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.event_log_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.event_log_info -- Get event log information
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.event_log_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get event log information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-count"></div>
-                    <b>count</b>
-                    <a class="ansibleOptionLink" href="#parameter-count" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Get the most recent log of a specified number.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-event_file"></div>
-                    <b>event_file</b>
-                    <a class="ansibleOptionLink" href="#parameter-event_file" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Store logs to a file.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-log_time"></div>
-                    <b>log_time</b>
-                    <a class="ansibleOptionLink" href="#parameter-log_time" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Get logs after the specified date, time should be YYYY-MM-DDTHH:MM+HH:MM, like 2019-06-27T12:30+08:00.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Event log info test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get event log information"
-        kaytus.ksmanage.event_log_info:
-          log_time: "2020-06-01T12:30+08:00"
-          provider: "{{ ksmanage }}"
-
-      - name: "Get event log information"
-        kaytus.ksmanage.event_log_info:
-          count: 30
-          provider: "{{ ksmanage }}"
-
-      - name: "Get event log information"
-        kaytus.ksmanage.event_log_info:
-          event_file: "/home/wbs/wbs.log"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.event_log_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.event_log_info -- Get event log information
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.event_log_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get event log information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-count"></div>
+                    <b>count</b>
+                    <a class="ansibleOptionLink" href="#parameter-count" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Get the most recent log of a specified number.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-event_file"></div>
+                    <b>event_file</b>
+                    <a class="ansibleOptionLink" href="#parameter-event_file" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Store logs to a file.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-log_time"></div>
+                    <b>log_time</b>
+                    <a class="ansibleOptionLink" href="#parameter-log_time" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Get logs after the specified date, time should be YYYY-MM-DDTHH:MM+HH:MM, like 2019-06-27T12:30+08:00.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Event log info test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get event log information"
+        kaytus.ksmanage.event_log_info:
+          log_time: "2020-06-01T12:30+08:00"
+          provider: "{{ ksmanage }}"
+
+      - name: "Get event log information"
+        kaytus.ksmanage.event_log_info:
+          count: 30
+          provider: "{{ ksmanage }}"
+
+      - name: "Get event log information"
+        kaytus.ksmanage.event_log_info:
+          event_file: "/home/wbs/wbs.log"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/event_log_policy_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/event_log_policy_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/event_log_policy_info_module.rst	2024-04-23 11:47:05.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/event_log_policy_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.event_log_policy_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.event_log_policy_info -- Get event log policy information
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.event_log_policy_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get event log policy information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Event log policy test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get event log policy information"
-        kaytus.ksmanage.event_log_policy_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.event_log_policy_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.event_log_policy_info -- Get event log policy information
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.event_log_policy_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get event log policy information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Event log policy test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get event log policy information"
+        kaytus.ksmanage.event_log_policy_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/fan_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/fan_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/fan_info_module.rst	2024-04-23 11:47:05.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/fan_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.fan_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.fan_info -- Get fan information
-+++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.fan_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get fan information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Fan test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get fan information"
-        kaytus.ksmanage.fan_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.fan_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.fan_info -- Get fan information
++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.fan_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get fan information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Fan test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get fan information"
+        kaytus.ksmanage.fan_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/fru_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/fru_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/fru_info_module.rst	2024-04-23 11:47:05.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/fru_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.fru_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.fru_info -- Get fru information
-+++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.fru_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get fru information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Fru info test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get fru information"
-        kaytus.ksmanage.fru_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.fru_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.fru_info -- Get fru information
++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.fru_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get fru information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Fru info test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get fru information"
+        kaytus.ksmanage.fru_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/fw_version_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/fw_version_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/fw_version_info_module.rst	2024-04-23 11:47:05.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/fw_version_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.fw_version_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.fw_version_info -- Get firmware version information
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.fw_version_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get firmware version information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Firmware version test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get firmware version information"
-        kaytus.ksmanage.fw_version_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.fw_version_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.fw_version_info -- Get firmware version information
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.fw_version_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get firmware version information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Firmware version test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get firmware version information"
+        kaytus.ksmanage.fw_version_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/gpu_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/gpu_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/gpu_info_module.rst	2024-04-23 11:47:05.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/gpu_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,303 +1,303 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.gpu_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.gpu_info -- Get GPU information
-+++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.gpu_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get GPU information on kaytus Server.
-- Only the M6 models support this feature.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: GPU test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get gpu information"
-        kaytus.ksmanage.gpu_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.gpu_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.gpu_info -- Get GPU information
++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.gpu_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get GPU information on kaytus Server.
+- Only the M6 models support this feature.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: GPU test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get gpu information"
+        kaytus.ksmanage.gpu_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/hard_disk_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/hard_disk_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/hard_disk_info_module.rst	2024-04-23 11:47:05.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/hard_disk_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.hard_disk_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.hard_disk_info -- Get hard disk information
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.hard_disk_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get hard disk information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Hard disk test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get hard disk information"
-        kaytus.ksmanage.hard_disk_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.hard_disk_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.hard_disk_info -- Get hard disk information
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.hard_disk_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get hard disk information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Hard disk test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get hard disk information"
+        kaytus.ksmanage.hard_disk_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/hba_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/hba_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/hba_info_module.rst	2024-04-23 11:47:05.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/hba_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.hba_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.hba_info -- Get CPU information
-+++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.hba_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get HBA information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: HBA test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get hba information"
-        kaytus.ksmanage.hba_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.hba_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.hba_info -- Get CPU information
++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.hba_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get HBA information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: HBA test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get hba information"
+        kaytus.ksmanage.hba_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/index.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/index.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/index.rst	2024-04-23 11:47:05.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/index.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,149 +1,149 @@
-:orphan:
-
-.. _plugins_in_kaytus.ksmanage:
-
-Plugin Index
-============
-
-These are the plugins in the kaytus.ksmanage collection
-
-.. toctree::
-    :maxdepth: 1
-
-
-Modules
--------
-
-* :ref:`ad_group <ansible_collections.kaytus.ksmanage.ad_group_module>` -- Manage active directory group information
-* :ref:`ad_group_info <ansible_collections.kaytus.ksmanage.ad_group_info_module>` -- Get active directory group information
-* :ref:`ad_info <ansible_collections.kaytus.ksmanage.ad_info_module>` -- Get active directory information
-* :ref:`adapter_info <ansible_collections.kaytus.ksmanage.adapter_info_module>` -- Get adapter information
-* :ref:`add_ldisk <ansible_collections.kaytus.ksmanage.add_ldisk_module>` -- Create logical disk
-* :ref:`alert_policy_info <ansible_collections.kaytus.ksmanage.alert_policy_info_module>` -- Get alert policy
-* :ref:`audit_log_info <ansible_collections.kaytus.ksmanage.audit_log_info_module>` -- Get BMC audit log information
-* :ref:`auto_capture_info <ansible_collections.kaytus.ksmanage.auto_capture_info_module>` -- Get auto capture screen information
-* :ref:`backplane_info <ansible_collections.kaytus.ksmanage.backplane_info_module>` -- Get disk backplane information
-* :ref:`backup <ansible_collections.kaytus.ksmanage.backup_module>` -- Backup server settings
-* :ref:`bios_export <ansible_collections.kaytus.ksmanage.bios_export_module>` -- Export BIOS config
-* :ref:`bios_import <ansible_collections.kaytus.ksmanage.bios_import_module>` -- Import BIOS config
-* :ref:`bios_info <ansible_collections.kaytus.ksmanage.bios_info_module>` -- Get BIOS setup
-* :ref:`bmc_info <ansible_collections.kaytus.ksmanage.bmc_info_module>` -- Get BMC information
-* :ref:`boot_image_info <ansible_collections.kaytus.ksmanage.boot_image_info_module>` -- Get bmc boot image information
-* :ref:`boot_option_info <ansible_collections.kaytus.ksmanage.boot_option_info_module>` -- Get BIOS boot options
-* :ref:`clear_audit_log <ansible_collections.kaytus.ksmanage.clear_audit_log_module>` -- Clear BMC audit log
-* :ref:`clear_event_log <ansible_collections.kaytus.ksmanage.clear_event_log_module>` -- Clear event log
-* :ref:`clear_system_log <ansible_collections.kaytus.ksmanage.clear_system_log_module>` -- Clear BMC system log
-* :ref:`collect_blackbox <ansible_collections.kaytus.ksmanage.collect_blackbox_module>` -- Collect blackbox log
-* :ref:`collect_log <ansible_collections.kaytus.ksmanage.collect_log_module>` -- Collect logs
-* :ref:`connect_media_info <ansible_collections.kaytus.ksmanage.connect_media_info_module>` -- Get remote images redirection information
-* :ref:`cpu_info <ansible_collections.kaytus.ksmanage.cpu_info_module>` -- Get CPU information
-* :ref:`del_session <ansible_collections.kaytus.ksmanage.del_session_module>` -- Delete session
-* :ref:`dns_info <ansible_collections.kaytus.ksmanage.dns_info_module>` -- Get dns information
-* :ref:`download_auto_screenshot <ansible_collections.kaytus.ksmanage.download_auto_screenshot_module>` -- Download auto screenshots
-* :ref:`download_manual_screenshot <ansible_collections.kaytus.ksmanage.download_manual_screenshot_module>` -- Download manual screenshots
-* :ref:`edit_ad <ansible_collections.kaytus.ksmanage.edit_ad_module>` -- Set active directory information
-* :ref:`edit_alert_policy <ansible_collections.kaytus.ksmanage.edit_alert_policy_module>` -- Set alert policy
-* :ref:`edit_auto_capture <ansible_collections.kaytus.ksmanage.edit_auto_capture_module>` -- Set auto capture screen
-* :ref:`edit_bios <ansible_collections.kaytus.ksmanage.edit_bios_module>` -- Set BIOS setup attributes
-* :ref:`edit_boot_image <ansible_collections.kaytus.ksmanage.edit_boot_image_module>` -- Set bmc boot image
-* :ref:`edit_boot_option <ansible_collections.kaytus.ksmanage.edit_boot_option_module>` -- Set BIOS boot options
-* :ref:`edit_connect_media <ansible_collections.kaytus.ksmanage.edit_connect_media_module>` -- Start/Stop virtual media Image
-* :ref:`edit_dns <ansible_collections.kaytus.ksmanage.edit_dns_module>` -- Set dns information
-* :ref:`edit_event_log_policy <ansible_collections.kaytus.ksmanage.edit_event_log_policy_module>` -- Set event log policy
-* :ref:`edit_fan <ansible_collections.kaytus.ksmanage.edit_fan_module>` -- Set fan information
-* :ref:`edit_fru <ansible_collections.kaytus.ksmanage.edit_fru_module>` -- Set fru settings
-* :ref:`edit_ipv4 <ansible_collections.kaytus.ksmanage.edit_ipv4_module>` -- Set ipv4 information
-* :ref:`edit_ipv6 <ansible_collections.kaytus.ksmanage.edit_ipv6_module>` -- Set ipv6 information
-* :ref:`edit_kvm <ansible_collections.kaytus.ksmanage.edit_kvm_module>` -- Set KVM
-* :ref:`edit_ldap <ansible_collections.kaytus.ksmanage.edit_ldap_module>` -- Set ldap information
-* :ref:`edit_ldisk <ansible_collections.kaytus.ksmanage.edit_ldisk_module>` -- Set logical disk
-* :ref:`edit_log_setting <ansible_collections.kaytus.ksmanage.edit_log_setting_module>` -- Set bmc system and audit log setting
-* :ref:`edit_m6_log_setting <ansible_collections.kaytus.ksmanage.edit_m6_log_setting_module>` -- Set bmc system and audit log setting
-* :ref:`edit_manual_capture <ansible_collections.kaytus.ksmanage.edit_manual_capture_module>` -- Set manual capture screen
-* :ref:`edit_media_instance <ansible_collections.kaytus.ksmanage.edit_media_instance_module>` -- Set Virtual Media Instance
-* :ref:`edit_ncsi <ansible_collections.kaytus.ksmanage.edit_ncsi_module>` -- Set ncsi information
-* :ref:`edit_network <ansible_collections.kaytus.ksmanage.edit_network_module>` -- Set network information
-* :ref:`edit_network_bond <ansible_collections.kaytus.ksmanage.edit_network_bond_module>` -- Set network bond
-* :ref:`edit_network_link <ansible_collections.kaytus.ksmanage.edit_network_link_module>` -- Set network link
-* :ref:`edit_ntp <ansible_collections.kaytus.ksmanage.edit_ntp_module>` -- Set NTP
-* :ref:`edit_pdisk <ansible_collections.kaytus.ksmanage.edit_pdisk_module>` -- Set physical disk
-* :ref:`edit_power_budget <ansible_collections.kaytus.ksmanage.edit_power_budget_module>` -- Set power budget information
-* :ref:`edit_power_restore <ansible_collections.kaytus.ksmanage.edit_power_restore_module>` -- Set power restore information
-* :ref:`edit_power_status <ansible_collections.kaytus.ksmanage.edit_power_status_module>` -- Set power status information
-* :ref:`edit_preserve_config <ansible_collections.kaytus.ksmanage.edit_preserve_config_module>` -- Set preserve config
-* :ref:`edit_psu_config <ansible_collections.kaytus.ksmanage.edit_psu_config_module>` -- Set psu config information
-* :ref:`edit_psu_peak <ansible_collections.kaytus.ksmanage.edit_psu_peak_module>` -- Set psu peak information
-* :ref:`edit_restore_factory_default <ansible_collections.kaytus.ksmanage.edit_restore_factory_default_module>` -- Set preserver config
-* :ref:`edit_service <ansible_collections.kaytus.ksmanage.edit_service_module>` -- Set service settings
-* :ref:`edit_smtp <ansible_collections.kaytus.ksmanage.edit_smtp_module>` -- Set SMTP information
-* :ref:`edit_smtp_com <ansible_collections.kaytus.ksmanage.edit_smtp_com_module>` -- Set SMTP information
-* :ref:`edit_smtp_dest <ansible_collections.kaytus.ksmanage.edit_smtp_dest_module>` -- Set SMTP information
-* :ref:`edit_snmp <ansible_collections.kaytus.ksmanage.edit_snmp_module>` -- Set snmp
-* :ref:`edit_snmp_trap <ansible_collections.kaytus.ksmanage.edit_snmp_trap_module>` -- Set snmp trap
-* :ref:`edit_threshold <ansible_collections.kaytus.ksmanage.edit_threshold_module>` -- Set threshold information
-* :ref:`edit_uid <ansible_collections.kaytus.ksmanage.edit_uid_module>` -- Set UID
-* :ref:`edit_virtual_media <ansible_collections.kaytus.ksmanage.edit_virtual_media_module>` -- Set virtual media
-* :ref:`edit_vlan <ansible_collections.kaytus.ksmanage.edit_vlan_module>` -- Set vlan information
-* :ref:`event_log_info <ansible_collections.kaytus.ksmanage.event_log_info_module>` -- Get event log information
-* :ref:`event_log_policy_info <ansible_collections.kaytus.ksmanage.event_log_policy_info_module>` -- Get event log policy information
-* :ref:`fan_info <ansible_collections.kaytus.ksmanage.fan_info_module>` -- Get fan information
-* :ref:`fru_info <ansible_collections.kaytus.ksmanage.fru_info_module>` -- Get fru information
-* :ref:`fw_version_info <ansible_collections.kaytus.ksmanage.fw_version_info_module>` -- Get firmware version information
-* :ref:`gpu_info <ansible_collections.kaytus.ksmanage.gpu_info_module>` -- Get GPU information
-* :ref:`hard_disk_info <ansible_collections.kaytus.ksmanage.hard_disk_info_module>` -- Get hard disk information
-* :ref:`hba_info <ansible_collections.kaytus.ksmanage.hba_info_module>` -- Get CPU information
-* :ref:`kvm_info <ansible_collections.kaytus.ksmanage.kvm_info_module>` -- Get KVM information
-* :ref:`ldap_group <ansible_collections.kaytus.ksmanage.ldap_group_module>` -- Manage ldap group information
-* :ref:`ldap_group_info <ansible_collections.kaytus.ksmanage.ldap_group_info_module>` -- Get ldap group information
-* :ref:`ldap_info <ansible_collections.kaytus.ksmanage.ldap_info_module>` -- Get ldap information
-* :ref:`ldisk_info <ansible_collections.kaytus.ksmanage.ldisk_info_module>` -- Get logical disks information
-* :ref:`log_setting_info <ansible_collections.kaytus.ksmanage.log_setting_info_module>` -- Get bmc log setting information
-* :ref:`media_instance_info <ansible_collections.kaytus.ksmanage.media_instance_info_module>` -- Get Virtual Media Instance information
-* :ref:`mem_info <ansible_collections.kaytus.ksmanage.mem_info_module>` -- Get memory information
-* :ref:`ncsi_info <ansible_collections.kaytus.ksmanage.ncsi_info_module>` -- Get ncsi information
-* :ref:`network_bond_info <ansible_collections.kaytus.ksmanage.network_bond_info_module>` -- Get network bond information
-* :ref:`network_info <ansible_collections.kaytus.ksmanage.network_info_module>` -- Get network information
-* :ref:`network_link_info <ansible_collections.kaytus.ksmanage.network_link_info_module>` -- Get network link information
-* :ref:`ntp_info <ansible_collections.kaytus.ksmanage.ntp_info_module>` -- Get NTP information
-* :ref:`onboard_disk_info <ansible_collections.kaytus.ksmanage.onboard_disk_info_module>` -- Get onboard disks information
-* :ref:`pcie_info <ansible_collections.kaytus.ksmanage.pcie_info_module>` -- Get PCIE information
-* :ref:`pdisk_info <ansible_collections.kaytus.ksmanage.pdisk_info_module>` -- Get physical disks information
-* :ref:`power_budget_info <ansible_collections.kaytus.ksmanage.power_budget_info_module>` -- Get power budget information
-* :ref:`power_consumption_info <ansible_collections.kaytus.ksmanage.power_consumption_info_module>` -- Get power consumption information
-* :ref:`power_restore_info <ansible_collections.kaytus.ksmanage.power_restore_info_module>` -- Get power restore information
-* :ref:`power_status_info <ansible_collections.kaytus.ksmanage.power_status_info_module>` -- Get power status information
-* :ref:`preserve_config_info <ansible_collections.kaytus.ksmanage.preserve_config_info_module>` -- Get preserve config information
-* :ref:`psu_config_info <ansible_collections.kaytus.ksmanage.psu_config_info_module>` -- Get psu config information
-* :ref:`psu_info <ansible_collections.kaytus.ksmanage.psu_info_module>` -- Get psu information
-* :ref:`psu_peak_info <ansible_collections.kaytus.ksmanage.psu_peak_info_module>` -- Get psu peak information
-* :ref:`raid_info <ansible_collections.kaytus.ksmanage.raid_info_module>` -- Get RAID/HBA card and controller information
-* :ref:`reset_bmc <ansible_collections.kaytus.ksmanage.reset_bmc_module>` -- BMC reset
-* :ref:`reset_kvm <ansible_collections.kaytus.ksmanage.reset_kvm_module>` -- KVM reset
-* :ref:`restore <ansible_collections.kaytus.ksmanage.restore_module>` -- Restore server settings
-* :ref:`self_test_info <ansible_collections.kaytus.ksmanage.self_test_info_module>` -- Get self test information
-* :ref:`sensor_info <ansible_collections.kaytus.ksmanage.sensor_info_module>` -- Get sensor information
-* :ref:`server_info <ansible_collections.kaytus.ksmanage.server_info_module>` -- Get server status information
-* :ref:`service_info <ansible_collections.kaytus.ksmanage.service_info_module>` -- Get service information
-* :ref:`session_info <ansible_collections.kaytus.ksmanage.session_info_module>` -- Get online session information
-* :ref:`smtp_info <ansible_collections.kaytus.ksmanage.smtp_info_module>` -- Get SMTP information
-* :ref:`snmp_info <ansible_collections.kaytus.ksmanage.snmp_info_module>` -- Get snmp get/set information
-* :ref:`snmp_trap_info <ansible_collections.kaytus.ksmanage.snmp_trap_info_module>` -- Get snmp trap information
-* :ref:`support_info <ansible_collections.kaytus.ksmanage.support_info_module>` -- Get support information
-* :ref:`system_log_info <ansible_collections.kaytus.ksmanage.system_log_info_module>` -- Get BMC system log information
-* :ref:`temp_info <ansible_collections.kaytus.ksmanage.temp_info_module>` -- Get temp information
-* :ref:`threshold_info <ansible_collections.kaytus.ksmanage.threshold_info_module>` -- Get threshold information
-* :ref:`uid_info <ansible_collections.kaytus.ksmanage.uid_info_module>` -- Get UID information
-* :ref:`update_cpld <ansible_collections.kaytus.ksmanage.update_cpld_module>` -- Update CPLD
-* :ref:`update_fw <ansible_collections.kaytus.ksmanage.update_fw_module>` -- Update firmware
-* :ref:`update_psu <ansible_collections.kaytus.ksmanage.update_psu_module>` -- Update PSU
-* :ref:`user <ansible_collections.kaytus.ksmanage.user_module>` -- Manage user
-* :ref:`user_group <ansible_collections.kaytus.ksmanage.user_group_module>` -- Manage user group
-* :ref:`user_group_info <ansible_collections.kaytus.ksmanage.user_group_info_module>` -- Get user group information
-* :ref:`user_info <ansible_collections.kaytus.ksmanage.user_info_module>` -- Get user information
-* :ref:`virtual_media_info <ansible_collections.kaytus.ksmanage.virtual_media_info_module>` -- Get Virtual Media information
-* :ref:`volt_info <ansible_collections.kaytus.ksmanage.volt_info_module>` -- Get volt information
-
-
-.. seealso::
-
+:orphan:
+
+.. _plugins_in_kaytus.ksmanage:
+
+Plugin Index
+============
+
+These are the plugins in the kaytus.ksmanage collection
+
+.. toctree::
+    :maxdepth: 1
+
+
+Modules
+-------
+
+* :ref:`ad_group <ansible_collections.kaytus.ksmanage.ad_group_module>` -- Manage active directory group information
+* :ref:`ad_group_info <ansible_collections.kaytus.ksmanage.ad_group_info_module>` -- Get active directory group information
+* :ref:`ad_info <ansible_collections.kaytus.ksmanage.ad_info_module>` -- Get active directory information
+* :ref:`adapter_info <ansible_collections.kaytus.ksmanage.adapter_info_module>` -- Get adapter information
+* :ref:`add_ldisk <ansible_collections.kaytus.ksmanage.add_ldisk_module>` -- Create logical disk
+* :ref:`alert_policy_info <ansible_collections.kaytus.ksmanage.alert_policy_info_module>` -- Get alert policy
+* :ref:`audit_log_info <ansible_collections.kaytus.ksmanage.audit_log_info_module>` -- Get BMC audit log information
+* :ref:`auto_capture_info <ansible_collections.kaytus.ksmanage.auto_capture_info_module>` -- Get auto capture screen information
+* :ref:`backplane_info <ansible_collections.kaytus.ksmanage.backplane_info_module>` -- Get disk backplane information
+* :ref:`backup <ansible_collections.kaytus.ksmanage.backup_module>` -- Backup server settings
+* :ref:`bios_export <ansible_collections.kaytus.ksmanage.bios_export_module>` -- Export BIOS config
+* :ref:`bios_import <ansible_collections.kaytus.ksmanage.bios_import_module>` -- Import BIOS config
+* :ref:`bios_info <ansible_collections.kaytus.ksmanage.bios_info_module>` -- Get BIOS setup
+* :ref:`bmc_info <ansible_collections.kaytus.ksmanage.bmc_info_module>` -- Get BMC information
+* :ref:`boot_image_info <ansible_collections.kaytus.ksmanage.boot_image_info_module>` -- Get bmc boot image information
+* :ref:`boot_option_info <ansible_collections.kaytus.ksmanage.boot_option_info_module>` -- Get BIOS boot options
+* :ref:`clear_audit_log <ansible_collections.kaytus.ksmanage.clear_audit_log_module>` -- Clear BMC audit log
+* :ref:`clear_event_log <ansible_collections.kaytus.ksmanage.clear_event_log_module>` -- Clear event log
+* :ref:`clear_system_log <ansible_collections.kaytus.ksmanage.clear_system_log_module>` -- Clear BMC system log
+* :ref:`collect_blackbox <ansible_collections.kaytus.ksmanage.collect_blackbox_module>` -- Collect blackbox log
+* :ref:`collect_log <ansible_collections.kaytus.ksmanage.collect_log_module>` -- Collect logs
+* :ref:`connect_media_info <ansible_collections.kaytus.ksmanage.connect_media_info_module>` -- Get remote images redirection information
+* :ref:`cpu_info <ansible_collections.kaytus.ksmanage.cpu_info_module>` -- Get CPU information
+* :ref:`del_session <ansible_collections.kaytus.ksmanage.del_session_module>` -- Delete session
+* :ref:`dns_info <ansible_collections.kaytus.ksmanage.dns_info_module>` -- Get dns information
+* :ref:`download_auto_screenshot <ansible_collections.kaytus.ksmanage.download_auto_screenshot_module>` -- Download auto screenshots
+* :ref:`download_manual_screenshot <ansible_collections.kaytus.ksmanage.download_manual_screenshot_module>` -- Download manual screenshots
+* :ref:`edit_ad <ansible_collections.kaytus.ksmanage.edit_ad_module>` -- Set active directory information
+* :ref:`edit_alert_policy <ansible_collections.kaytus.ksmanage.edit_alert_policy_module>` -- Set alert policy
+* :ref:`edit_auto_capture <ansible_collections.kaytus.ksmanage.edit_auto_capture_module>` -- Set auto capture screen
+* :ref:`edit_bios <ansible_collections.kaytus.ksmanage.edit_bios_module>` -- Set BIOS setup attributes
+* :ref:`edit_boot_image <ansible_collections.kaytus.ksmanage.edit_boot_image_module>` -- Set bmc boot image
+* :ref:`edit_boot_option <ansible_collections.kaytus.ksmanage.edit_boot_option_module>` -- Set BIOS boot options
+* :ref:`edit_connect_media <ansible_collections.kaytus.ksmanage.edit_connect_media_module>` -- Start/Stop virtual media Image
+* :ref:`edit_dns <ansible_collections.kaytus.ksmanage.edit_dns_module>` -- Set dns information
+* :ref:`edit_event_log_policy <ansible_collections.kaytus.ksmanage.edit_event_log_policy_module>` -- Set event log policy
+* :ref:`edit_fan <ansible_collections.kaytus.ksmanage.edit_fan_module>` -- Set fan information
+* :ref:`edit_fru <ansible_collections.kaytus.ksmanage.edit_fru_module>` -- Set fru settings
+* :ref:`edit_ipv4 <ansible_collections.kaytus.ksmanage.edit_ipv4_module>` -- Set ipv4 information
+* :ref:`edit_ipv6 <ansible_collections.kaytus.ksmanage.edit_ipv6_module>` -- Set ipv6 information
+* :ref:`edit_kvm <ansible_collections.kaytus.ksmanage.edit_kvm_module>` -- Set KVM
+* :ref:`edit_ldap <ansible_collections.kaytus.ksmanage.edit_ldap_module>` -- Set ldap information
+* :ref:`edit_ldisk <ansible_collections.kaytus.ksmanage.edit_ldisk_module>` -- Set logical disk
+* :ref:`edit_log_setting <ansible_collections.kaytus.ksmanage.edit_log_setting_module>` -- Set bmc system and audit log setting
+* :ref:`edit_m6_log_setting <ansible_collections.kaytus.ksmanage.edit_m6_log_setting_module>` -- Set bmc system and audit log setting
+* :ref:`edit_manual_capture <ansible_collections.kaytus.ksmanage.edit_manual_capture_module>` -- Set manual capture screen
+* :ref:`edit_media_instance <ansible_collections.kaytus.ksmanage.edit_media_instance_module>` -- Set Virtual Media Instance
+* :ref:`edit_ncsi <ansible_collections.kaytus.ksmanage.edit_ncsi_module>` -- Set ncsi information
+* :ref:`edit_network <ansible_collections.kaytus.ksmanage.edit_network_module>` -- Set network information
+* :ref:`edit_network_bond <ansible_collections.kaytus.ksmanage.edit_network_bond_module>` -- Set network bond
+* :ref:`edit_network_link <ansible_collections.kaytus.ksmanage.edit_network_link_module>` -- Set network link
+* :ref:`edit_ntp <ansible_collections.kaytus.ksmanage.edit_ntp_module>` -- Set NTP
+* :ref:`edit_pdisk <ansible_collections.kaytus.ksmanage.edit_pdisk_module>` -- Set physical disk
+* :ref:`edit_power_budget <ansible_collections.kaytus.ksmanage.edit_power_budget_module>` -- Set power budget information
+* :ref:`edit_power_restore <ansible_collections.kaytus.ksmanage.edit_power_restore_module>` -- Set power restore information
+* :ref:`edit_power_status <ansible_collections.kaytus.ksmanage.edit_power_status_module>` -- Set power status information
+* :ref:`edit_preserve_config <ansible_collections.kaytus.ksmanage.edit_preserve_config_module>` -- Set preserve config
+* :ref:`edit_psu_config <ansible_collections.kaytus.ksmanage.edit_psu_config_module>` -- Set psu config information
+* :ref:`edit_psu_peak <ansible_collections.kaytus.ksmanage.edit_psu_peak_module>` -- Set psu peak information
+* :ref:`edit_restore_factory_default <ansible_collections.kaytus.ksmanage.edit_restore_factory_default_module>` -- Set preserver config
+* :ref:`edit_service <ansible_collections.kaytus.ksmanage.edit_service_module>` -- Set service settings
+* :ref:`edit_smtp <ansible_collections.kaytus.ksmanage.edit_smtp_module>` -- Set SMTP information
+* :ref:`edit_smtp_com <ansible_collections.kaytus.ksmanage.edit_smtp_com_module>` -- Set SMTP information
+* :ref:`edit_smtp_dest <ansible_collections.kaytus.ksmanage.edit_smtp_dest_module>` -- Set SMTP information
+* :ref:`edit_snmp <ansible_collections.kaytus.ksmanage.edit_snmp_module>` -- Set snmp
+* :ref:`edit_snmp_trap <ansible_collections.kaytus.ksmanage.edit_snmp_trap_module>` -- Set snmp trap
+* :ref:`edit_threshold <ansible_collections.kaytus.ksmanage.edit_threshold_module>` -- Set threshold information
+* :ref:`edit_uid <ansible_collections.kaytus.ksmanage.edit_uid_module>` -- Set UID
+* :ref:`edit_virtual_media <ansible_collections.kaytus.ksmanage.edit_virtual_media_module>` -- Set virtual media
+* :ref:`edit_vlan <ansible_collections.kaytus.ksmanage.edit_vlan_module>` -- Set vlan information
+* :ref:`event_log_info <ansible_collections.kaytus.ksmanage.event_log_info_module>` -- Get event log information
+* :ref:`event_log_policy_info <ansible_collections.kaytus.ksmanage.event_log_policy_info_module>` -- Get event log policy information
+* :ref:`fan_info <ansible_collections.kaytus.ksmanage.fan_info_module>` -- Get fan information
+* :ref:`fru_info <ansible_collections.kaytus.ksmanage.fru_info_module>` -- Get fru information
+* :ref:`fw_version_info <ansible_collections.kaytus.ksmanage.fw_version_info_module>` -- Get firmware version information
+* :ref:`gpu_info <ansible_collections.kaytus.ksmanage.gpu_info_module>` -- Get GPU information
+* :ref:`hard_disk_info <ansible_collections.kaytus.ksmanage.hard_disk_info_module>` -- Get hard disk information
+* :ref:`hba_info <ansible_collections.kaytus.ksmanage.hba_info_module>` -- Get CPU information
+* :ref:`kvm_info <ansible_collections.kaytus.ksmanage.kvm_info_module>` -- Get KVM information
+* :ref:`ldap_group <ansible_collections.kaytus.ksmanage.ldap_group_module>` -- Manage ldap group information
+* :ref:`ldap_group_info <ansible_collections.kaytus.ksmanage.ldap_group_info_module>` -- Get ldap group information
+* :ref:`ldap_info <ansible_collections.kaytus.ksmanage.ldap_info_module>` -- Get ldap information
+* :ref:`ldisk_info <ansible_collections.kaytus.ksmanage.ldisk_info_module>` -- Get logical disks information
+* :ref:`log_setting_info <ansible_collections.kaytus.ksmanage.log_setting_info_module>` -- Get bmc log setting information
+* :ref:`media_instance_info <ansible_collections.kaytus.ksmanage.media_instance_info_module>` -- Get Virtual Media Instance information
+* :ref:`mem_info <ansible_collections.kaytus.ksmanage.mem_info_module>` -- Get memory information
+* :ref:`ncsi_info <ansible_collections.kaytus.ksmanage.ncsi_info_module>` -- Get ncsi information
+* :ref:`network_bond_info <ansible_collections.kaytus.ksmanage.network_bond_info_module>` -- Get network bond information
+* :ref:`network_info <ansible_collections.kaytus.ksmanage.network_info_module>` -- Get network information
+* :ref:`network_link_info <ansible_collections.kaytus.ksmanage.network_link_info_module>` -- Get network link information
+* :ref:`ntp_info <ansible_collections.kaytus.ksmanage.ntp_info_module>` -- Get NTP information
+* :ref:`onboard_disk_info <ansible_collections.kaytus.ksmanage.onboard_disk_info_module>` -- Get onboard disks information
+* :ref:`pcie_info <ansible_collections.kaytus.ksmanage.pcie_info_module>` -- Get PCIE information
+* :ref:`pdisk_info <ansible_collections.kaytus.ksmanage.pdisk_info_module>` -- Get physical disks information
+* :ref:`power_budget_info <ansible_collections.kaytus.ksmanage.power_budget_info_module>` -- Get power budget information
+* :ref:`power_consumption_info <ansible_collections.kaytus.ksmanage.power_consumption_info_module>` -- Get power consumption information
+* :ref:`power_restore_info <ansible_collections.kaytus.ksmanage.power_restore_info_module>` -- Get power restore information
+* :ref:`power_status_info <ansible_collections.kaytus.ksmanage.power_status_info_module>` -- Get power status information
+* :ref:`preserve_config_info <ansible_collections.kaytus.ksmanage.preserve_config_info_module>` -- Get preserve config information
+* :ref:`psu_config_info <ansible_collections.kaytus.ksmanage.psu_config_info_module>` -- Get psu config information
+* :ref:`psu_info <ansible_collections.kaytus.ksmanage.psu_info_module>` -- Get psu information
+* :ref:`psu_peak_info <ansible_collections.kaytus.ksmanage.psu_peak_info_module>` -- Get psu peak information
+* :ref:`raid_info <ansible_collections.kaytus.ksmanage.raid_info_module>` -- Get RAID/HBA card and controller information
+* :ref:`reset_bmc <ansible_collections.kaytus.ksmanage.reset_bmc_module>` -- BMC reset
+* :ref:`reset_kvm <ansible_collections.kaytus.ksmanage.reset_kvm_module>` -- KVM reset
+* :ref:`restore <ansible_collections.kaytus.ksmanage.restore_module>` -- Restore server settings
+* :ref:`self_test_info <ansible_collections.kaytus.ksmanage.self_test_info_module>` -- Get self test information
+* :ref:`sensor_info <ansible_collections.kaytus.ksmanage.sensor_info_module>` -- Get sensor information
+* :ref:`server_info <ansible_collections.kaytus.ksmanage.server_info_module>` -- Get server status information
+* :ref:`service_info <ansible_collections.kaytus.ksmanage.service_info_module>` -- Get service information
+* :ref:`session_info <ansible_collections.kaytus.ksmanage.session_info_module>` -- Get online session information
+* :ref:`smtp_info <ansible_collections.kaytus.ksmanage.smtp_info_module>` -- Get SMTP information
+* :ref:`snmp_info <ansible_collections.kaytus.ksmanage.snmp_info_module>` -- Get snmp get/set information
+* :ref:`snmp_trap_info <ansible_collections.kaytus.ksmanage.snmp_trap_info_module>` -- Get snmp trap information
+* :ref:`support_info <ansible_collections.kaytus.ksmanage.support_info_module>` -- Get support information
+* :ref:`system_log_info <ansible_collections.kaytus.ksmanage.system_log_info_module>` -- Get BMC system log information
+* :ref:`temp_info <ansible_collections.kaytus.ksmanage.temp_info_module>` -- Get temp information
+* :ref:`threshold_info <ansible_collections.kaytus.ksmanage.threshold_info_module>` -- Get threshold information
+* :ref:`uid_info <ansible_collections.kaytus.ksmanage.uid_info_module>` -- Get UID information
+* :ref:`update_cpld <ansible_collections.kaytus.ksmanage.update_cpld_module>` -- Update CPLD
+* :ref:`update_fw <ansible_collections.kaytus.ksmanage.update_fw_module>` -- Update firmware
+* :ref:`update_psu <ansible_collections.kaytus.ksmanage.update_psu_module>` -- Update PSU
+* :ref:`user <ansible_collections.kaytus.ksmanage.user_module>` -- Manage user
+* :ref:`user_group <ansible_collections.kaytus.ksmanage.user_group_module>` -- Manage user group
+* :ref:`user_group_info <ansible_collections.kaytus.ksmanage.user_group_info_module>` -- Get user group information
+* :ref:`user_info <ansible_collections.kaytus.ksmanage.user_info_module>` -- Get user information
+* :ref:`virtual_media_info <ansible_collections.kaytus.ksmanage.virtual_media_info_module>` -- Get Virtual Media information
+* :ref:`volt_info <ansible_collections.kaytus.ksmanage.volt_info_module>` -- Get volt information
+
+
+.. seealso::
+
     List of :ref:`collections <list_of_collections>` with docs hosted here.
\ No newline at end of file
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/kvm_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/kvm_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/kvm_info_module.rst	2024-04-23 11:47:05.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/kvm_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.kvm_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.kvm_info -- Get KVM information
-+++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.kvm_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get KVM information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: KVM test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get KVM information"
-        kaytus.ksmanage.kvm_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.kvm_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.kvm_info -- Get KVM information
++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.kvm_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get KVM information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: KVM test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get KVM information"
+        kaytus.ksmanage.kvm_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/ldap_group_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/ldap_group_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/ldap_group_info_module.rst	2024-04-23 11:47:05.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/ldap_group_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.ldap_group_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.ldap_group_info -- Get ldap group information
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.ldap_group_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get ldap group information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Ldap group test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get ldap group information"
-        kaytus.ksmanage.ldap_group_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.ldap_group_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.ldap_group_info -- Get ldap group information
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.ldap_group_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get ldap group information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Ldap group test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get ldap group information"
+        kaytus.ksmanage.ldap_group_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/ldap_group_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/ldap_group_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/ldap_group_module.rst	2024-04-23 11:47:05.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/ldap_group_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,431 +1,431 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.ldap_group_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.ldap_group -- Manage ldap group information
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.ldap_group`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Manage ldap group information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-base"></div>
-                    <b>base</b>
-                    <a class="ansibleOptionLink" href="#parameter-base" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Search Base.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-kvm"></div>
-                    <b>kvm</b>
-                    <a class="ansibleOptionLink" href="#parameter-kvm" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Kvm privilege.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-name"></div>
-                    <b>name</b>
-                    <a class="ansibleOptionLink" href="#parameter-name" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                 / <span style="color: red">required</span>                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Group name.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-pri"></div>
-                    <b>pri</b>
-                    <a class="ansibleOptionLink" href="#parameter-pri" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>administrator</li>
-                                                                                                                                                                                                <li>user</li>
-                                                                                                                                                                                                <li>operator</li>
-                                                                                                                                                                                                <li>oem</li>
-                                                                                                                                                                                                <li>none</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Group privilege.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#parameter-state" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li><div style="color: blue"><b>present</b>&nbsp;&larr;</div></li>
-                                                                                                                                                                                                <li>absent</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Whether the ldap group should exist or not, taking action if the state is different from what is stated.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-vm"></div>
-                    <b>vm</b>
-                    <a class="ansibleOptionLink" href="#parameter-vm" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Vmedia privilege.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Ldap group test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Add ldap group information"
-        kaytus.ksmanage.ldap_group:
-          state: "present"
-          name: "wbs"
-          base: "cn=manager"
-          pri: "administrator"
-          kvm: "enable"
-          vm: "disable"
-          provider: "{{ ksmanage }}"
-
-      - name: "Set ldap group information"
-        kaytus.ksmanage.ldap_group:
-          state: "present"
-          name: "wbs"
-          pri: "user"
-          kvm: "disable"
-          provider: "{{ ksmanage }}"
-
-      - name: "Delete ldap group information"
-        kaytus.ksmanage.ldap_group:
-          state: "absent"
-          name: "wbs"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.ldap_group_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.ldap_group -- Manage ldap group information
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.ldap_group`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Manage ldap group information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-base"></div>
+                    <b>base</b>
+                    <a class="ansibleOptionLink" href="#parameter-base" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Search Base.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-kvm"></div>
+                    <b>kvm</b>
+                    <a class="ansibleOptionLink" href="#parameter-kvm" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Kvm privilege.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-name"></div>
+                    <b>name</b>
+                    <a class="ansibleOptionLink" href="#parameter-name" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                 / <span style="color: red">required</span>                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Group name.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-pri"></div>
+                    <b>pri</b>
+                    <a class="ansibleOptionLink" href="#parameter-pri" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>administrator</li>
+                                                                                                                                                                                                <li>user</li>
+                                                                                                                                                                                                <li>operator</li>
+                                                                                                                                                                                                <li>oem</li>
+                                                                                                                                                                                                <li>none</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Group privilege.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#parameter-state" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li><div style="color: blue"><b>present</b>&nbsp;&larr;</div></li>
+                                                                                                                                                                                                <li>absent</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Whether the ldap group should exist or not, taking action if the state is different from what is stated.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-vm"></div>
+                    <b>vm</b>
+                    <a class="ansibleOptionLink" href="#parameter-vm" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Vmedia privilege.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Ldap group test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Add ldap group information"
+        kaytus.ksmanage.ldap_group:
+          state: "present"
+          name: "wbs"
+          base: "cn=manager"
+          pri: "administrator"
+          kvm: "enable"
+          vm: "disable"
+          provider: "{{ ksmanage }}"
+
+      - name: "Set ldap group information"
+        kaytus.ksmanage.ldap_group:
+          state: "present"
+          name: "wbs"
+          pri: "user"
+          kvm: "disable"
+          provider: "{{ ksmanage }}"
+
+      - name: "Delete ldap group information"
+        kaytus.ksmanage.ldap_group:
+          state: "absent"
+          name: "wbs"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/ldap_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/ldap_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/ldap_info_module.rst	2024-04-23 11:47:05.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/ldap_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.ldap_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.ldap_info -- Get ldap information
-+++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.ldap_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get ldap information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Ldap test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get ldap information"
-        kaytus.ksmanage.ldap_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.ldap_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.ldap_info -- Get ldap information
++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.ldap_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get ldap information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Ldap test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get ldap information"
+        kaytus.ksmanage.ldap_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/ldisk_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/ldisk_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/ldisk_info_module.rst	2024-04-23 11:47:05.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/ldisk_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.ldisk_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.ldisk_info -- Get logical disks information
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.ldisk_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get logical disks information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Ldisk test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get logical disks information"
-        kaytus.ksmanage.ldisk_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.ldisk_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.ldisk_info -- Get logical disks information
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.ldisk_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get logical disks information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Ldisk test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get logical disks information"
+        kaytus.ksmanage.ldisk_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/log_setting_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/log_setting_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/log_setting_info_module.rst	2024-04-23 11:47:05.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/log_setting_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.log_setting_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.log_setting_info -- Get bmc log setting information
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.log_setting_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get bmc log setting information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Bmc log setting test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get bmc log setting information"
-        kaytus.ksmanage.log_setting_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.log_setting_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.log_setting_info -- Get bmc log setting information
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.log_setting_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get bmc log setting information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Bmc log setting test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get bmc log setting information"
+        kaytus.ksmanage.log_setting_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/media_instance_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/media_instance_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/media_instance_info_module.rst	2024-04-23 11:47:05.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/media_instance_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.media_instance_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.media_instance_info -- Get Virtual Media Instance information
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.media_instance_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get Virtual Media Instance information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Media instance test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get Virtual Media Instance information"
-        kaytus.ksmanage.media_instance_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.media_instance_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.media_instance_info -- Get Virtual Media Instance information
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.media_instance_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get Virtual Media Instance information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Media instance test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get Virtual Media Instance information"
+        kaytus.ksmanage.media_instance_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/mem_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/mem_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/mem_info_module.rst	2024-04-23 11:47:05.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/mem_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.mem_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.mem_info -- Get memory information
-++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.mem_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get memory information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Memory test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get memory information"
-        kaytus.ksmanage.mem_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.mem_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.mem_info -- Get memory information
+++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.mem_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get memory information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Memory test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get memory information"
+        kaytus.ksmanage.mem_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/ncsi_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/ncsi_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/ncsi_info_module.rst	2024-04-23 11:47:05.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/ncsi_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.ncsi_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.ncsi_info -- Get ncsi information
-+++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.ncsi_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get ncsi information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: NCSI test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get ncsi information"
-        kaytus.ksmanage.ncsi_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.ncsi_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.ncsi_info -- Get ncsi information
++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.ncsi_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get ncsi information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: NCSI test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get ncsi information"
+        kaytus.ksmanage.ncsi_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/network_bond_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/network_bond_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/network_bond_info_module.rst	2024-04-23 11:47:05.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/network_bond_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.network_bond_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.network_bond_info -- Get network bond information
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.network_bond_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get network bond information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Bond test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get network bond information"
-        kaytus.ksmanage.network_bond_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.network_bond_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.network_bond_info -- Get network bond information
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.network_bond_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get network bond information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Bond test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get network bond information"
+        kaytus.ksmanage.network_bond_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/network_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/network_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/network_info_module.rst	2024-04-23 11:47:05.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/network_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.network_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.network_info -- Get network information
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.network_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get network information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Network test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get network information"
-        kaytus.ksmanage.network_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.network_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.network_info -- Get network information
++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.network_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get network information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Network test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get network information"
+        kaytus.ksmanage.network_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/network_link_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/network_link_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/network_link_info_module.rst	2024-04-23 11:47:05.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/network_link_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.network_link_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.network_link_info -- Get network link information
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.network_link_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get network link information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Link test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get network link information"
-        kaytus.ksmanage.network_link_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.network_link_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.network_link_info -- Get network link information
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.network_link_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get network link information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Link test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get network link information"
+        kaytus.ksmanage.network_link_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/ntp_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/ntp_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/ntp_info_module.rst	2024-04-23 11:47:05.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/ntp_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.ntp_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.ntp_info -- Get NTP information
-+++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.ntp_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get NTP information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: NTP test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get ntp information"
-        kaytus.ksmanage.ntp_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.ntp_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.ntp_info -- Get NTP information
++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.ntp_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get NTP information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: NTP test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get ntp information"
+        kaytus.ksmanage.ntp_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/onboard_disk_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/onboard_disk_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/onboard_disk_info_module.rst	2024-04-23 11:47:05.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/onboard_disk_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.onboard_disk_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.onboard_disk_info -- Get onboard disks information
-++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.onboard_disk_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get onboard disks information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Onboard test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get onboard disks information"
-        kaytus.ksmanage.onboard_disk_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.onboard_disk_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.onboard_disk_info -- Get onboard disks information
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.onboard_disk_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get onboard disks information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Onboard test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get onboard disks information"
+        kaytus.ksmanage.onboard_disk_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/pcie_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/pcie_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/pcie_info_module.rst	2024-04-23 11:47:05.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/pcie_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.pcie_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.pcie_info -- Get PCIE information
-+++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.pcie_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get PCIE information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: PCIE test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get PCIE information"
-        kaytus.ksmanage.pcie_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.pcie_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.pcie_info -- Get PCIE information
++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.pcie_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get PCIE information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: PCIE test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get PCIE information"
+        kaytus.ksmanage.pcie_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/pdisk_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/pdisk_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/pdisk_info_module.rst	2024-04-23 11:47:05.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/pdisk_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.pdisk_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.pdisk_info -- Get physical disks information
-++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.pdisk_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get physical disks information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Pdisk test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get physical disks information"
-        kaytus.ksmanage.pdisk_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.pdisk_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.pdisk_info -- Get physical disks information
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.pdisk_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get physical disks information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Pdisk test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get physical disks information"
+        kaytus.ksmanage.pdisk_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/power_budget_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/power_budget_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/power_budget_info_module.rst	2024-04-23 11:47:05.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/power_budget_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.power_budget_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.power_budget_info -- Get power budget information
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.power_budget_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get power budget information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Power budget test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get power budget information"
-        kaytus.ksmanage.power_budget_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.power_budget_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.power_budget_info -- Get power budget information
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.power_budget_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get power budget information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Power budget test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get power budget information"
+        kaytus.ksmanage.power_budget_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/power_consumption_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/power_consumption_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/power_consumption_info_module.rst	2024-04-23 11:47:05.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/power_consumption_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.power_consumption_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.power_consumption_info -- Get power consumption information
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.power_consumption_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get power consumption information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Power consumption test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get power consumption information"
-        kaytus.ksmanage.power_consumption_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.power_consumption_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.power_consumption_info -- Get power consumption information
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.power_consumption_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get power consumption information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Power consumption test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get power consumption information"
+        kaytus.ksmanage.power_consumption_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/power_restore_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/power_restore_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/power_restore_info_module.rst	2024-04-23 11:47:05.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/power_restore_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.power_restore_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.power_restore_info -- Get power restore information
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.power_restore_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get power restore information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Power restore test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get power restore information"
-        kaytus.ksmanage.power_restore_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.power_restore_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.power_restore_info -- Get power restore information
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.power_restore_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get power restore information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Power restore test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get power restore information"
+        kaytus.ksmanage.power_restore_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/power_status_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/power_status_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/power_status_info_module.rst	2024-04-23 11:47:05.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/power_status_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.power_status_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.power_status_info -- Get power status information
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.power_status_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get power status information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Power status test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get power status information"
-        kaytus.ksmanage.power_status_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.power_status_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.power_status_info -- Get power status information
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.power_status_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get power status information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Power status test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get power status information"
+        kaytus.ksmanage.power_status_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/preserve_config_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/preserve_config_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/preserve_config_info_module.rst	2024-04-23 11:47:05.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/preserve_config_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.preserve_config_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.preserve_config_info -- Get preserve config information
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.preserve_config_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get preserve config information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Preserve test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get preserve config information"
-        kaytus.ksmanage.preserve_config_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.preserve_config_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.preserve_config_info -- Get preserve config information
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.preserve_config_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get preserve config information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Preserve test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get preserve config information"
+        kaytus.ksmanage.preserve_config_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/psu_config_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/psu_config_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/psu_config_info_module.rst	2024-04-23 11:47:05.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/psu_config_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.psu_config_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.psu_config_info -- Get psu config information
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.psu_config_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get psu config information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Psu config test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get psu config information"
-        kaytus.ksmanage.psu_config_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.psu_config_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.psu_config_info -- Get psu config information
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.psu_config_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get psu config information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Psu config test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get psu config information"
+        kaytus.ksmanage.psu_config_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/psu_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/psu_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/psu_info_module.rst	2024-04-23 11:47:05.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/psu_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.psu_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.psu_info -- Get psu information
-+++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.psu_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get psu information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Psu test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get psu information"
-        kaytus.ksmanage.psu_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.psu_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.psu_info -- Get psu information
++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.psu_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get psu information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Psu test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get psu information"
+        kaytus.ksmanage.psu_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/psu_peak_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/psu_peak_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/psu_peak_info_module.rst	2024-04-23 11:47:05.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/psu_peak_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.psu_peak_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.psu_peak_info -- Get psu peak information
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.psu_peak_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get psu peak information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Psu peak test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get psu peak information"
-        kaytus.ksmanage.psu_peak_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.psu_peak_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.psu_peak_info -- Get psu peak information
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.psu_peak_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get psu peak information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Psu peak test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get psu peak information"
+        kaytus.ksmanage.psu_peak_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/raid_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/raid_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/raid_info_module.rst	2024-04-23 11:47:05.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/raid_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.raid_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.raid_info -- Get RAID/HBA card and controller information
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.raid_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get RAID/HBA card and controller information information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Raid test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get raid information"
-        kaytus.ksmanage.raid_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.raid_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.raid_info -- Get RAID/HBA card and controller information
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.raid_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get RAID/HBA card and controller information information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Raid test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get raid information"
+        kaytus.ksmanage.raid_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/reset_bmc_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/reset_bmc_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/reset_bmc_module.rst	2024-04-23 11:47:05.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/reset_bmc_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.reset_bmc_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.reset_bmc -- BMC reset
-++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.reset_bmc`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- BMC reset on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Reset bmc test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Reset bmc"
-        kaytus.ksmanage.reset_bmc:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.reset_bmc_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.reset_bmc -- BMC reset
+++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.reset_bmc`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- BMC reset on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Reset bmc test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Reset bmc"
+        kaytus.ksmanage.reset_bmc:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/reset_kvm_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/reset_kvm_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/reset_kvm_module.rst	2024-04-23 11:47:05.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/reset_kvm_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.reset_kvm_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.reset_kvm -- KVM reset
-++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.reset_kvm`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- KVM reset on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Reset kvm test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Reset kvm"
-        kaytus.ksmanage.reset_kvm:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.reset_kvm_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.reset_kvm -- KVM reset
+++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.reset_kvm`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- KVM reset on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Reset kvm test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Reset kvm"
+        kaytus.ksmanage.reset_kvm:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/restore_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/restore_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/restore_module.rst	2024-04-23 11:47:05.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/restore_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,348 +1,348 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.restore_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.restore -- Restore server settings
-++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.restore`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Restore server settings on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-bak_file"></div>
-                    <b>bak_file</b>
-                    <a class="ansibleOptionLink" href="#parameter-bak_file" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                 / <span style="color: red">required</span>                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Select backup file or bak folder.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-item"></div>
-                    <b>item</b>
-                    <a class="ansibleOptionLink" href="#parameter-item" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>all</li>
-                                                                                                                                                                                                <li>network</li>
-                                                                                                                                                                                                <li>dns</li>
-                                                                                                                                                                                                <li>service</li>
-                                                                                                                                                                                                <li>ntp</li>
-                                                                                                                                                                                                <li>smtp</li>
-                                                                                                                                                                                                <li>snmptrap</li>
-                                                                                                                                                                                                <li>ad</li>
-                                                                                                                                                                                                <li>ldap</li>
-                                                                                                                                                                                                <li>user</li>
-                                                                                                                                                                                                <li>bios</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Select export item.</div>
-                                            <div>Only the M5 model supports this parameter.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Restore test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Restore server settings"
-        kaytus.ksmanage.restore:
-          bak_file: "/home/wbs/backfile"
-          item: "all"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.restore_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.restore -- Restore server settings
+++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.restore`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Restore server settings on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-bak_file"></div>
+                    <b>bak_file</b>
+                    <a class="ansibleOptionLink" href="#parameter-bak_file" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                 / <span style="color: red">required</span>                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Select backup file or bak folder.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-item"></div>
+                    <b>item</b>
+                    <a class="ansibleOptionLink" href="#parameter-item" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>all</li>
+                                                                                                                                                                                                <li>network</li>
+                                                                                                                                                                                                <li>dns</li>
+                                                                                                                                                                                                <li>service</li>
+                                                                                                                                                                                                <li>ntp</li>
+                                                                                                                                                                                                <li>smtp</li>
+                                                                                                                                                                                                <li>snmptrap</li>
+                                                                                                                                                                                                <li>ad</li>
+                                                                                                                                                                                                <li>ldap</li>
+                                                                                                                                                                                                <li>user</li>
+                                                                                                                                                                                                <li>bios</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Select export item.</div>
+                                            <div>Only the M5 model supports this parameter.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Restore test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Restore server settings"
+        kaytus.ksmanage.restore:
+          bak_file: "/home/wbs/backfile"
+          item: "all"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/self_test_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/self_test_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/self_test_info_module.rst	2024-04-23 11:47:05.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/self_test_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.self_test_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.self_test_info -- Get self test information
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.self_test_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get self test information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Self test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get self test information"
-        kaytus.ksmanage.self_test_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.self_test_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.self_test_info -- Get self test information
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.self_test_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get self test information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Self test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get self test information"
+        kaytus.ksmanage.self_test_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/sensor_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/sensor_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/sensor_info_module.rst	2024-04-23 11:47:05.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/sensor_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.sensor_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.sensor_info -- Get sensor information
-+++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.sensor_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get sensor information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Sensor test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get sensor information"
-        kaytus.ksmanage.sensor_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.sensor_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.sensor_info -- Get sensor information
++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.sensor_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get sensor information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Sensor test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get sensor information"
+        kaytus.ksmanage.sensor_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/server_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/server_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/server_info_module.rst	2024-04-23 11:47:05.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/server_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.server_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.server_info -- Get server status information
-++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.server_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get server status information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Server test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get server status information"
-        kaytus.ksmanage.server_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.server_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.server_info -- Get server status information
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.server_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get server status information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Server test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get server status information"
+        kaytus.ksmanage.server_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/service_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/service_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/service_info_module.rst	2024-04-23 11:47:05.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/service_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.service_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.service_info -- Get service information
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.service_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get service information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Service info test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get service information"
-        kaytus.ksmanage.service_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.service_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.service_info -- Get service information
++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.service_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get service information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Service info test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get service information"
+        kaytus.ksmanage.service_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/session_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/session_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/session_info_module.rst	2024-04-23 11:47:05.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/session_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.session_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.session_info -- Get online session information
-++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.session_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get online session information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Session test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get session information"
-        kaytus.ksmanage.session_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.session_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.session_info -- Get online session information
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.session_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get online session information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Session test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get session information"
+        kaytus.ksmanage.session_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/smtp_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/smtp_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/smtp_info_module.rst	2024-04-23 11:47:04.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/smtp_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.smtp_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.smtp_info -- Get SMTP information
-+++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.smtp_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get SMTP information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Smtp test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get smtp information"
-        kaytus.ksmanage.smtp_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.smtp_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.smtp_info -- Get SMTP information
++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.smtp_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get SMTP information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Smtp test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get smtp information"
+        kaytus.ksmanage.smtp_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/snmp_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/snmp_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/snmp_info_module.rst	2024-04-23 11:47:04.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/snmp_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.snmp_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.snmp_info -- Get snmp get/set information
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.snmp_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get snmp get/set information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Snmp test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get snmp get/set information"
-        kaytus.ksmanage.snmp_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.snmp_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.snmp_info -- Get snmp get/set information
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.snmp_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get snmp get/set information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Snmp test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get snmp get/set information"
+        kaytus.ksmanage.snmp_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/snmp_trap_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/snmp_trap_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/snmp_trap_info_module.rst	2024-04-23 11:47:04.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/snmp_trap_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.snmp_trap_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.snmp_trap_info -- Get snmp trap information
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.snmp_trap_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get snmp trap information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Trap test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get snmp trap information"
-        kaytus.ksmanage.snmp_trap_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.snmp_trap_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.snmp_trap_info -- Get snmp trap information
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.snmp_trap_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get snmp trap information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Trap test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get snmp trap information"
+        kaytus.ksmanage.snmp_trap_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/support_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/support_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/support_info_module.rst	2024-04-23 11:47:04.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/support_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.support_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.support_info -- Get support information
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.support_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get the kaytus Server support list information.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Support list test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get support information"
-        kaytus.ksmanage.support_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.support_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.support_info -- Get support information
++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.support_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get the kaytus Server support list information.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Support list test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get support information"
+        kaytus.ksmanage.support_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/system_log_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/system_log_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/system_log_info_module.rst	2024-04-23 11:47:04.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/system_log_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,384 +1,384 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.system_log_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.system_log_info -- Get BMC system log information
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.system_log_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get BMC system log information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-count"></div>
-                    <b>count</b>
-                    <a class="ansibleOptionLink" href="#parameter-count" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Get the most recent log of a specified number.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-level"></div>
-                    <b>level</b>
-                    <a class="ansibleOptionLink" href="#parameter-level" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li><div style="color: blue"><b>alert</b>&nbsp;&larr;</div></li>
-                                                                                                                                                                                                <li>critical</li>
-                                                                                                                                                                                                <li>error</li>
-                                                                                                                                                                                                <li>notice</li>
-                                                                                                                                                                                                <li>warning</li>
-                                                                                                                                                                                                <li>debug</li>
-                                                                                                                                                                                                <li>emergency</li>
-                                                                                                                                                                                                <li>info</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Log level.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-log_time"></div>
-                    <b>log_time</b>
-                    <a class="ansibleOptionLink" href="#parameter-log_time" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Get logs after the specified date, time should be YYYY-MM-DDTHH:MM+HH:MM, like 2019-06-27T12:30+08:00.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-system_file"></div>
-                    <b>system_file</b>
-                    <a class="ansibleOptionLink" href="#parameter-system_file" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Store logs to a file.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Bmc system log info test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get bmc system log information"
-        kaytus.ksmanage.system_log_info:
-          level: "alert"
-          log_time: "2020-06-01T12:30+08:00"
-          provider: "{{ ksmanage }}"
-
-      - name: "Get bmc system log information"
-        kaytus.ksmanage.system_log_info:
-          count: 30
-          provider: "{{ ksmanage }}"
-
-      - name: "Get bmc system log information"
-        kaytus.ksmanage.system_log_info:
-          system_file: "/home/wbs/wbs.log"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.system_log_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.system_log_info -- Get BMC system log information
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.system_log_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get BMC system log information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-count"></div>
+                    <b>count</b>
+                    <a class="ansibleOptionLink" href="#parameter-count" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Get the most recent log of a specified number.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-level"></div>
+                    <b>level</b>
+                    <a class="ansibleOptionLink" href="#parameter-level" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li><div style="color: blue"><b>alert</b>&nbsp;&larr;</div></li>
+                                                                                                                                                                                                <li>critical</li>
+                                                                                                                                                                                                <li>error</li>
+                                                                                                                                                                                                <li>notice</li>
+                                                                                                                                                                                                <li>warning</li>
+                                                                                                                                                                                                <li>debug</li>
+                                                                                                                                                                                                <li>emergency</li>
+                                                                                                                                                                                                <li>info</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Log level.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-log_time"></div>
+                    <b>log_time</b>
+                    <a class="ansibleOptionLink" href="#parameter-log_time" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Get logs after the specified date, time should be YYYY-MM-DDTHH:MM+HH:MM, like 2019-06-27T12:30+08:00.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-system_file"></div>
+                    <b>system_file</b>
+                    <a class="ansibleOptionLink" href="#parameter-system_file" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Store logs to a file.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Bmc system log info test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get bmc system log information"
+        kaytus.ksmanage.system_log_info:
+          level: "alert"
+          log_time: "2020-06-01T12:30+08:00"
+          provider: "{{ ksmanage }}"
+
+      - name: "Get bmc system log information"
+        kaytus.ksmanage.system_log_info:
+          count: 30
+          provider: "{{ ksmanage }}"
+
+      - name: "Get bmc system log information"
+        kaytus.ksmanage.system_log_info:
+          system_file: "/home/wbs/wbs.log"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/temp_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/temp_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/temp_info_module.rst	2024-04-23 11:47:04.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/temp_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.temp_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.temp_info -- Get temp information
-+++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.temp_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get temp information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Temp test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get temp information"
-        kaytus.ksmanage.temp_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.temp_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.temp_info -- Get temp information
++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.temp_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get temp information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Temp test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get temp information"
+        kaytus.ksmanage.temp_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/threshold_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/threshold_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/threshold_info_module.rst	2024-04-23 11:47:04.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/threshold_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.threshold_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.threshold_info -- Get threshold information
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.threshold_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get threshold information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Threshold test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get threshold information"
-        kaytus.ksmanage.threshold_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.threshold_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.threshold_info -- Get threshold information
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.threshold_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get threshold information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Threshold test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get threshold information"
+        kaytus.ksmanage.threshold_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/uid_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/uid_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/uid_info_module.rst	2024-04-23 11:47:04.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/uid_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.uid_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.uid_info -- Get UID information
-+++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.uid_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get UID information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: UID test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get UID information"
-        kaytus.ksmanage.uid_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.uid_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.uid_info -- Get UID information
++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.uid_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get UID information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: UID test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get UID information"
+        kaytus.ksmanage.uid_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/update_cpld_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/update_cpld_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/update_cpld_module.rst	2024-04-23 11:47:04.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/update_cpld_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,362 +1,362 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.update_cpld_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.update_cpld -- Update CPLD
-++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.update_cpld`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Update CPLD on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-file_url"></div>
-                    <b>file_url</b>
-                    <a class="ansibleOptionLink" href="#parameter-file_url" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>CPLD image file path.</div>
-                                            <div>Required when <em>list=False</em>.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-id"></div>
-                    <b>id</b>
-                    <a class="ansibleOptionLink" href="#parameter-id" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>CPLD id.</div>
-                                            <div>Required when <em>list=False</em>.</div>
-                                            <div>Only the M5 model supports this parameter.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-list"></div>
-                    <b>list</b>
-                    <a class="ansibleOptionLink" href="#parameter-list" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">boolean</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                                                                                    <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li><div style="color: blue"><b>no</b>&nbsp;&larr;</div></li>
-                                                                                                                                                                                                <li>yes</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Get cpld list.</div>
-                                            <div>Only the M5 model supports this parameter.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: CPLD test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get cpld list"
-        kaytus.ksmanage.update_cpld:
-          list: True
-          provider: "{{ ksmanage }}"
-
-      - name: "Update cpld"
-        update_cpld:
-          id: 1
-          file_url: "home/wbs/raw.bin"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.update_cpld_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.update_cpld -- Update CPLD
+++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.update_cpld`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Update CPLD on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-file_url"></div>
+                    <b>file_url</b>
+                    <a class="ansibleOptionLink" href="#parameter-file_url" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>CPLD image file path.</div>
+                                            <div>Required when <em>list=False</em>.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-id"></div>
+                    <b>id</b>
+                    <a class="ansibleOptionLink" href="#parameter-id" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>CPLD id.</div>
+                                            <div>Required when <em>list=False</em>.</div>
+                                            <div>Only the M5 model supports this parameter.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-list"></div>
+                    <b>list</b>
+                    <a class="ansibleOptionLink" href="#parameter-list" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">boolean</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                                                                                    <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li><div style="color: blue"><b>no</b>&nbsp;&larr;</div></li>
+                                                                                                                                                                                                <li>yes</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Get cpld list.</div>
+                                            <div>Only the M5 model supports this parameter.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: CPLD test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get cpld list"
+        kaytus.ksmanage.update_cpld:
+          list: True
+          provider: "{{ ksmanage }}"
+
+      - name: "Update cpld"
+        update_cpld:
+          id: 1
+          file_url: "home/wbs/raw.bin"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/update_fw_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/update_fw_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/update_fw_module.rst	2024-04-23 11:47:04.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/update_fw_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,426 +1,426 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.update_fw_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.update_fw -- Update firmware
-++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.update_fw`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Update firmware on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-dual_image"></div>
-                    <b>dual_image</b>
-                    <a class="ansibleOptionLink" href="#parameter-dual_image" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>single</li>
-                                                                                                                                                                                                <li><div style="color: blue"><b>dual</b>&nbsp;&larr;</div></li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Update dual image(default) or not.</div>
-                                            <div>Only the M5 model supports this parameter.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-has_me"></div>
-                    <b>has_me</b>
-                    <a class="ansibleOptionLink" href="#parameter-has_me" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>0</li>
-                                                                                                                                                                                                <li>1</li>
-                                                                                    </ul>
-                                                                                    <b>Default:</b><br/><div style="color: blue">1</div>
-                                    </td>
-                                                                <td>
-                                            <div>Update me or not when update bios, only work in INTEL platform, 0-no, 1-yes.</div>
-                                            <div>Only the M5 model supports this parameter.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-mode"></div>
-                    <b>mode</b>
-                    <a class="ansibleOptionLink" href="#parameter-mode" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li><div style="color: blue"><b>Auto</b>&nbsp;&larr;</div></li>
-                                                                                                                                                                                                <li>Manual</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Active mode, Manual or Auto(default).</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-over_ride"></div>
-                    <b>over_ride</b>
-                    <a class="ansibleOptionLink" href="#parameter-over_ride" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>0</li>
-                                                                                                                                                                                                <li>1</li>
-                                                                                    </ul>
-                                                                                    <b>Default:</b><br/><div style="color: blue">0</div>
-                                    </td>
-                                                                <td>
-                                            <div>Reserve Configurations, 0-reserve, 1-override.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-type"></div>
-                    <b>type</b>
-                    <a class="ansibleOptionLink" href="#parameter-type" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>BMC</li>
-                                                                                                                                                                                                <li>BIOS</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Firmware type.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-url"></div>
-                    <b>url</b>
-                    <a class="ansibleOptionLink" href="#parameter-url" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                 / <span style="color: red">required</span>                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Firmware image url.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Update fw test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "update bios"
-        kaytus.ksmanage.update_fw:
-          url: "/home/wbs/SA5112M5_BIOS_4.1.8_Standard_20200117.bin"
-          type: "BIOS"
-          provider: "{{ ksmanage }}"
-
-      - name: "update bmc"
-        kaytus.ksmanage.update_fw:
-          url: "/home/wbs/SA5112M5_BMC_4.17.7_Standard_20200430"
-          mode: "Auto"
-          type: "BMC"
-          dual_image: "dual"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.update_fw_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.update_fw -- Update firmware
+++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.update_fw`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Update firmware on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-dual_image"></div>
+                    <b>dual_image</b>
+                    <a class="ansibleOptionLink" href="#parameter-dual_image" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>single</li>
+                                                                                                                                                                                                <li><div style="color: blue"><b>dual</b>&nbsp;&larr;</div></li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Update dual image(default) or not.</div>
+                                            <div>Only the M5 model supports this parameter.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-has_me"></div>
+                    <b>has_me</b>
+                    <a class="ansibleOptionLink" href="#parameter-has_me" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>0</li>
+                                                                                                                                                                                                <li>1</li>
+                                                                                    </ul>
+                                                                                    <b>Default:</b><br/><div style="color: blue">1</div>
+                                    </td>
+                                                                <td>
+                                            <div>Update me or not when update bios, only work in INTEL platform, 0-no, 1-yes.</div>
+                                            <div>Only the M5 model supports this parameter.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-mode"></div>
+                    <b>mode</b>
+                    <a class="ansibleOptionLink" href="#parameter-mode" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li><div style="color: blue"><b>Auto</b>&nbsp;&larr;</div></li>
+                                                                                                                                                                                                <li>Manual</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Active mode, Manual or Auto(default).</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-over_ride"></div>
+                    <b>over_ride</b>
+                    <a class="ansibleOptionLink" href="#parameter-over_ride" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>0</li>
+                                                                                                                                                                                                <li>1</li>
+                                                                                    </ul>
+                                                                                    <b>Default:</b><br/><div style="color: blue">0</div>
+                                    </td>
+                                                                <td>
+                                            <div>Reserve Configurations, 0-reserve, 1-override.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-type"></div>
+                    <b>type</b>
+                    <a class="ansibleOptionLink" href="#parameter-type" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>BMC</li>
+                                                                                                                                                                                                <li>BIOS</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Firmware type.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-url"></div>
+                    <b>url</b>
+                    <a class="ansibleOptionLink" href="#parameter-url" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                 / <span style="color: red">required</span>                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Firmware image url.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Update fw test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "update bios"
+        kaytus.ksmanage.update_fw:
+          url: "/home/wbs/SA5112M5_BIOS_4.1.8_Standard_20200117.bin"
+          type: "BIOS"
+          provider: "{{ ksmanage }}"
+
+      - name: "update bmc"
+        kaytus.ksmanage.update_fw:
+          url: "/home/wbs/SA5112M5_BMC_4.17.7_Standard_20200430"
+          mode: "Auto"
+          type: "BMC"
+          dual_image: "dual"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/update_psu_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/update_psu_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/update_psu_module.rst	2024-04-23 11:47:04.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/update_psu_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,338 +1,338 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.update_psu_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.update_psu -- Update PSU
-++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.update_psu`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Update psu on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-mode"></div>
-                    <b>mode</b>
-                    <a class="ansibleOptionLink" href="#parameter-mode" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li><div style="color: blue"><b>Auto</b>&nbsp;&larr;</div></li>
-                                                                                                                                                                                                <li>Manual</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Server Auto Reset Option, Manual or Auto(default).</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-url"></div>
-                    <b>url</b>
-                    <a class="ansibleOptionLink" href="#parameter-url" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                 / <span style="color: red">required</span>                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Firmware image url.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Update psu test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "update psu"
-        kaytus.ksmanage.update_psu:
-          url: "/home/wbs/CRPS1300D2W_00.01.04_BootLoader_Pri_Sec.hpm"
-          mode: "Auto"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.update_psu_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.update_psu -- Update PSU
+++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.update_psu`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Update psu on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-mode"></div>
+                    <b>mode</b>
+                    <a class="ansibleOptionLink" href="#parameter-mode" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li><div style="color: blue"><b>Auto</b>&nbsp;&larr;</div></li>
+                                                                                                                                                                                                <li>Manual</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Server Auto Reset Option, Manual or Auto(default).</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-url"></div>
+                    <b>url</b>
+                    <a class="ansibleOptionLink" href="#parameter-url" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                 / <span style="color: red">required</span>                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Firmware image url.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Update psu test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "update psu"
+        kaytus.ksmanage.update_psu:
+          url: "/home/wbs/CRPS1300D2W_00.01.04_BootLoader_Pri_Sec.hpm"
+          mode: "Auto"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/user_group_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/user_group_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/user_group_info_module.rst	2024-04-23 11:47:04.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/user_group_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.user_group_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.user_group_info -- Get user group information
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.user_group_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get user group information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: User group test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get user group information"
-        kaytus.ksmanage.user_group_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.user_group_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.user_group_info -- Get user group information
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.user_group_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get user group information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: User group test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get user group information"
+        kaytus.ksmanage.user_group_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/user_group_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/user_group_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/user_group_module.rst	2024-04-23 11:47:04.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/user_group_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,532 +1,532 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.user_group_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.user_group -- Manage user group
-+++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.user_group`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Manage user group on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-debug"></div>
-                    <b>debug</b>
-                    <a class="ansibleOptionLink" href="#parameter-debug" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Debug diagnose privilege.</div>
-                                            <div>Required when <em>state=present</em>.</div>
-                                            <div>Only the M6 model supports this parameter.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-general"></div>
-                    <b>general</b>
-                    <a class="ansibleOptionLink" href="#parameter-general" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>General configuration privilege.</div>
-                                            <div>Required when <em>state=present</em>.</div>
-                                            <div>Only the M6 model supports this parameter.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-kvm"></div>
-                    <b>kvm</b>
-                    <a class="ansibleOptionLink" href="#parameter-kvm" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Remote KVM configuration privilege.</div>
-                                            <div>Required when <em>state=present</em>.</div>
-                                            <div>Only the M6 model supports this parameter.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-media"></div>
-                    <b>media</b>
-                    <a class="ansibleOptionLink" href="#parameter-media" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Remote media configuration privilege.</div>
-                                            <div>Required when <em>state=present</em>.</div>
-                                            <div>Only the M6 model supports this parameter.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-name"></div>
-                    <b>name</b>
-                    <a class="ansibleOptionLink" href="#parameter-name" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                 / <span style="color: red">required</span>                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Group name.</div>
-                                            <div>The range of group name for M6 model is OEM1, OEM2, OEM3, OEM4.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-power"></div>
-                    <b>power</b>
-                    <a class="ansibleOptionLink" href="#parameter-power" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Power control privilege.</div>
-                                            <div>Required when <em>state=present</em>.</div>
-                                            <div>Only the M6 model supports this parameter.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-pri"></div>
-                    <b>pri</b>
-                    <a class="ansibleOptionLink" href="#parameter-pri" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>administrator</li>
-                                                                                                                                                                                                <li>operator</li>
-                                                                                                                                                                                                <li>user</li>
-                                                                                                                                                                                                <li>oem</li>
-                                                                                                                                                                                                <li>none</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Group privilege.</div>
-                                            <div>Required when <em>state=present</em>.</div>
-                                            <div>Only the M5 model supports this parameter.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-security"></div>
-                    <b>security</b>
-                    <a class="ansibleOptionLink" href="#parameter-security" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Security configuration privilege.</div>
-                                            <div>Required when <em>state=present</em>.</div>
-                                            <div>Only the M6 model supports this parameter.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-self"></div>
-                    <b>self</b>
-                    <a class="ansibleOptionLink" href="#parameter-self" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Itself configuration privilege.</div>
-                                            <div>Required when <em>state=present</em>.</div>
-                                            <div>Only the M6 model supports this parameter.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#parameter-state" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li><div style="color: blue"><b>present</b>&nbsp;&larr;</div></li>
-                                                                                                                                                                                                <li>absent</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Whether the user group should exist or not, taking action if the state is different from what is stated.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: User group test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Add user group"
-        kaytus.ksmanage.user_group:
-          state: "present"
-          name: "test"
-          pri: "administrator"
-          provider: "{{ ksmanage }}"
-
-      - name: "Set user group"
-        kaytus.ksmanage.user_group:
-          state: "present"
-          name: "test"
-          pri: "user"
-          provider: "{{ ksmanage }}"
-
-      - name: "Set m6 user group"
-        kaytus.ksmanage.user_group:
-          state: "present"
-          name: "OEM1"
-          general: "enable"
-          kvm: "enable"
-          provider: "{{ ksmanage }}"
-
-      - name: "Delete user group"
-        kaytus.ksmanage.user_group:
-          state: "absent"
-          name: "test"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.user_group_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.user_group -- Manage user group
++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.user_group`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Manage user group on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-debug"></div>
+                    <b>debug</b>
+                    <a class="ansibleOptionLink" href="#parameter-debug" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Debug diagnose privilege.</div>
+                                            <div>Required when <em>state=present</em>.</div>
+                                            <div>Only the M6 model supports this parameter.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-general"></div>
+                    <b>general</b>
+                    <a class="ansibleOptionLink" href="#parameter-general" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>General configuration privilege.</div>
+                                            <div>Required when <em>state=present</em>.</div>
+                                            <div>Only the M6 model supports this parameter.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-kvm"></div>
+                    <b>kvm</b>
+                    <a class="ansibleOptionLink" href="#parameter-kvm" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Remote KVM configuration privilege.</div>
+                                            <div>Required when <em>state=present</em>.</div>
+                                            <div>Only the M6 model supports this parameter.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-media"></div>
+                    <b>media</b>
+                    <a class="ansibleOptionLink" href="#parameter-media" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Remote media configuration privilege.</div>
+                                            <div>Required when <em>state=present</em>.</div>
+                                            <div>Only the M6 model supports this parameter.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-name"></div>
+                    <b>name</b>
+                    <a class="ansibleOptionLink" href="#parameter-name" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                 / <span style="color: red">required</span>                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Group name.</div>
+                                            <div>The range of group name for M6 model is OEM1, OEM2, OEM3, OEM4.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-power"></div>
+                    <b>power</b>
+                    <a class="ansibleOptionLink" href="#parameter-power" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Power control privilege.</div>
+                                            <div>Required when <em>state=present</em>.</div>
+                                            <div>Only the M6 model supports this parameter.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-pri"></div>
+                    <b>pri</b>
+                    <a class="ansibleOptionLink" href="#parameter-pri" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>administrator</li>
+                                                                                                                                                                                                <li>operator</li>
+                                                                                                                                                                                                <li>user</li>
+                                                                                                                                                                                                <li>oem</li>
+                                                                                                                                                                                                <li>none</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Group privilege.</div>
+                                            <div>Required when <em>state=present</em>.</div>
+                                            <div>Only the M5 model supports this parameter.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-security"></div>
+                    <b>security</b>
+                    <a class="ansibleOptionLink" href="#parameter-security" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Security configuration privilege.</div>
+                                            <div>Required when <em>state=present</em>.</div>
+                                            <div>Only the M6 model supports this parameter.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-self"></div>
+                    <b>self</b>
+                    <a class="ansibleOptionLink" href="#parameter-self" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Itself configuration privilege.</div>
+                                            <div>Required when <em>state=present</em>.</div>
+                                            <div>Only the M6 model supports this parameter.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#parameter-state" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li><div style="color: blue"><b>present</b>&nbsp;&larr;</div></li>
+                                                                                                                                                                                                <li>absent</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Whether the user group should exist or not, taking action if the state is different from what is stated.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: User group test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Add user group"
+        kaytus.ksmanage.user_group:
+          state: "present"
+          name: "test"
+          pri: "administrator"
+          provider: "{{ ksmanage }}"
+
+      - name: "Set user group"
+        kaytus.ksmanage.user_group:
+          state: "present"
+          name: "test"
+          pri: "user"
+          provider: "{{ ksmanage }}"
+
+      - name: "Set m6 user group"
+        kaytus.ksmanage.user_group:
+          state: "present"
+          name: "OEM1"
+          general: "enable"
+          kvm: "enable"
+          provider: "{{ ksmanage }}"
+
+      - name: "Delete user group"
+        kaytus.ksmanage.user_group:
+          state: "absent"
+          name: "test"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/user_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/user_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/user_info_module.rst	2024-04-23 11:47:04.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/user_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.user_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.user_info -- Get user information
-+++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.user_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get user information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: User test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get user information"
-        kaytus.ksmanage.user_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.user_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.user_info -- Get user information
++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.user_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get user information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: User test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get user information"
+        kaytus.ksmanage.user_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/user_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/user_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/user_module.rst	2024-04-23 11:47:04.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/user_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,454 +1,454 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.user_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.user -- Manage user
-+++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.user`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Manage user on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-access"></div>
-                    <b>access</b>
-                    <a class="ansibleOptionLink" href="#parameter-access" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>enable</li>
-                                                                                                                                                                                                <li>disable</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>User access.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-email"></div>
-                    <b>email</b>
-                    <a class="ansibleOptionLink" href="#parameter-email" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>User email.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-priv"></div>
-                    <b>priv</b>
-                    <a class="ansibleOptionLink" href="#parameter-priv" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">list</span>
-                         / <span style="color: purple">elements=string</span>                                            </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li>kvm</li>
-                                                                                                                                                                                                <li>vmm</li>
-                                                                                                                                                                                                <li>sol</li>
-                                                                                                                                                                                                <li>none</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Other user permissions, select one or more from None/KVM/VMM/SOL.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-role_id"></div>
-                    <b>role_id</b>
-                    <a class="ansibleOptionLink" href="#parameter-role_id" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>User group.</div>
-                                            <div>Default user group &#x27;Administrator&#x27;, &#x27;Operator&#x27;, &#x27;User&#x27;.</div>
-                                            <div>Use command <code>user_group_info</code> can get all group information.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#parameter-state" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
-                                                                                                                                                                <li><div style="color: blue"><b>present</b>&nbsp;&larr;</div></li>
-                                                                                                                                                                                                <li>absent</li>
-                                                                                    </ul>
-                                                                            </td>
-                                                                <td>
-                                            <div>Whether the user should exist or not, taking action if the state is different from what is stated.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-uid"></div>
-                    <b>uid</b>
-                    <a class="ansibleOptionLink" href="#parameter-uid" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">integer</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>User id, The range is 1 to 16.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-uname"></div>
-                    <b>uname</b>
-                    <a class="ansibleOptionLink" href="#parameter-uname" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>User name, Required when uid is None.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-upass"></div>
-                    <b>upass</b>
-                    <a class="ansibleOptionLink" href="#parameter-upass" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>User password.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Does not support ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: User test
-      hosts: ksmanage
-      no_log: true
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Add user"
-        kaytus.ksmanage.user:
-          state: "present"
-          uname: "wbs"
-          upass: "admin"
-          role_id: "Administrator"
-          priv: "kvm, sol"
-          email: "wbs@ieisystem.com"
-          provider: "{{ ksmanage }}"
-
-      - name: "Set user"
-        kaytus.ksmanage.user:
-          state: "present"
-          uname: "wbs"
-          upass: "12345678"
-          role_id: "user"
-          priv: "kvm, sol"
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.user_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.user -- Manage user
++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.user`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Manage user on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-access"></div>
+                    <b>access</b>
+                    <a class="ansibleOptionLink" href="#parameter-access" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>enable</li>
+                                                                                                                                                                                                <li>disable</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>User access.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-email"></div>
+                    <b>email</b>
+                    <a class="ansibleOptionLink" href="#parameter-email" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>User email.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-priv"></div>
+                    <b>priv</b>
+                    <a class="ansibleOptionLink" href="#parameter-priv" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">list</span>
+                         / <span style="color: purple">elements=string</span>                                            </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li>kvm</li>
+                                                                                                                                                                                                <li>vmm</li>
+                                                                                                                                                                                                <li>sol</li>
+                                                                                                                                                                                                <li>none</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Other user permissions, select one or more from None/KVM/VMM/SOL.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-role_id"></div>
+                    <b>role_id</b>
+                    <a class="ansibleOptionLink" href="#parameter-role_id" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>User group.</div>
+                                            <div>Default user group &#x27;Administrator&#x27;, &#x27;Operator&#x27;, &#x27;User&#x27;.</div>
+                                            <div>Use command <code>user_group_info</code> can get all group information.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#parameter-state" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                            <ul style="margin: 0; padding: 0"><b>Choices:</b>
+                                                                                                                                                                <li><div style="color: blue"><b>present</b>&nbsp;&larr;</div></li>
+                                                                                                                                                                                                <li>absent</li>
+                                                                                    </ul>
+                                                                            </td>
+                                                                <td>
+                                            <div>Whether the user should exist or not, taking action if the state is different from what is stated.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-uid"></div>
+                    <b>uid</b>
+                    <a class="ansibleOptionLink" href="#parameter-uid" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">integer</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>User id, The range is 1 to 16.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-uname"></div>
+                    <b>uname</b>
+                    <a class="ansibleOptionLink" href="#parameter-uname" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>User name, Required when uid is None.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-upass"></div>
+                    <b>upass</b>
+                    <a class="ansibleOptionLink" href="#parameter-upass" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>User password.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Does not support ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: User test
+      hosts: ksmanage
+      no_log: true
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Add user"
+        kaytus.ksmanage.user:
+          state: "present"
+          uname: "wbs"
+          upass: "admin"
+          role_id: "Administrator"
+          priv: "kvm, sol"
+          email: "wbs@ieisystem.com"
+          provider: "{{ ksmanage }}"
+
+      - name: "Set user"
+        kaytus.ksmanage.user:
+          state: "present"
+          uname: "wbs"
+          upass: "12345678"
+          role_id: "user"
+          priv: "kvm, sol"
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/virtual_media_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/virtual_media_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/virtual_media_info_module.rst	2024-04-23 11:47:04.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/virtual_media_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.virtual_media_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.virtual_media_info -- Get Virtual Media information
-+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.virtual_media_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get Virtual Media information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Media test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get Virtual Media information"
-        kaytus.ksmanage.virtual_media_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.virtual_media_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.virtual_media_info -- Get Virtual Media information
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.virtual_media_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get Virtual Media information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Media test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get Virtual Media information"
+        kaytus.ksmanage.virtual_media_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/volt_info_module.rst 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/volt_info_module.rst
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/docs/volt_info_module.rst	2024-04-23 11:47:04.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/docs/volt_info_module.rst	2024-06-06 01:26:24.000000000 +0000
@@ -1,302 +1,302 @@
-.. Document meta
-
-:orphan:
-
-.. Anchors
-
-.. _ansible_collections.kaytus.ksmanage.volt_info_module:
-
-.. Anchors: short name for ansible.builtin
-
-.. Anchors: aliases
-
-
-
-.. Title
-
-kaytus.ksmanage.volt_info -- Get volt information
-+++++++++++++++++++++++++++++++++++++++++++++++++
-
-.. Collection note
-
-.. note::
-    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
-
-    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
-
-    To use it in a playbook, specify: :code:`kaytus.ksmanage.volt_info`.
-
-.. version_added
-
-.. versionadded:: 1.0.0 of kaytus.ksmanage
-
-.. contents::
-   :local:
-   :depth: 1
-
-.. Deprecated
-
-
-Synopsis
---------
-
-.. Description
-
-- Get volt information on kaytus Server.
-
-
-.. Aliases
-
-
-.. Requirements
-
-Requirements
-------------
-The below requirements are needed on the host that executes this module.
-
-- Python 3.7+
-- inManage
-
-
-.. Options
-
-Parameters
-----------
-
-.. raw:: html
-
-    <table  border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="2">Parameter</th>
-            <th>Choices/<font color="blue">Defaults</font></th>
-                        <th width="100%">Comments</th>
-        </tr>
-                    <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
-                    <b>provider</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">dictionary</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>A dict object containing connection details.</div>
-                                                        </td>
-            </tr>
-                                        <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
-                    <b>host</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
-                    <b>password</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                                <tr>
-                                                    <td class="elbow-placeholder"></td>
-                                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                    
-                                <tr>
-                                                                <td colspan="2">
-                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
-                    <b>username</b>
-                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
-                    <div style="font-size: small">
-                        <span style="color: purple">string</span>
-                                                                    </div>
-                                                        </td>
-                                <td>
-                                                                                                                                                            </td>
-                                                                <td>
-                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
-                                                        </td>
-            </tr>
-                        </table>
-    <br/>
-
-.. Notes
-
-Notes
------
-
-.. note::
-   - Supports ``check_mode``.
-
-.. Seealso
-
-
-.. Examples
-
-Examples
---------
-
-.. code-block:: yaml+jinja
-
-    
-    - name: Volt test
-      hosts: ksmanage
-      connection: local
-      gather_facts: false
-      vars:
-        ksmanage:
-          host: "{{ ansible_ssh_host }}"
-          username: "{{ username }}"
-          password: "{{ password }}"
-
-      tasks:
-
-      - name: "Get volt information"
-        kaytus.ksmanage.volt_info:
-          provider: "{{ ksmanage }}"
-
-
-
-
-.. Facts
-
-
-.. Return values
-
-Return Values
--------------
-Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
-
-.. raw:: html
-
-    <table border=0 cellpadding=0 class="documentation-table">
-        <tr>
-            <th colspan="1">Key</th>
-            <th>Returned</th>
-            <th width="100%">Description</th>
-        </tr>
-                    <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-changed"></div>
-                    <b>changed</b>
-                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">boolean</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Check to see if a change was made on the device.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-message"></div>
-                    <b>message</b>
-                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Messages returned after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                                <tr>
-                                <td colspan="1">
-                    <div class="ansibleOptionAnchor" id="return-state"></div>
-                    <b>state</b>
-                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
-                    <div style="font-size: small">
-                      <span style="color: purple">string</span>
-                                          </div>
-                                    </td>
-                <td>always</td>
-                <td>
-                                            <div>Status after module execution.</div>
-                                        <br/>
-                                    </td>
-            </tr>
-                        </table>
-    <br/><br/>
-
-..  Status (Presently only deprecated)
-
-
-.. Authors
-
-Authors
-~~~~~~~
-
-- WangBaoshan (@ieisystem)
-
-
-
-.. Parsing errors
-
+.. Document meta
+
+:orphan:
+
+.. Anchors
+
+.. _ansible_collections.kaytus.ksmanage.volt_info_module:
+
+.. Anchors: short name for ansible.builtin
+
+.. Anchors: aliases
+
+
+
+.. Title
+
+kaytus.ksmanage.volt_info -- Get volt information
++++++++++++++++++++++++++++++++++++++++++++++++++
+
+.. Collection note
+
+.. note::
+    This plugin is part of the `kaytus.ksmanage collection <https://galaxy.ansible.com/kaytus/ksmanage>`_.
+
+    To install it use: :code:`ansible-galaxy collection install kaytus.ksmanage`.
+
+    To use it in a playbook, specify: :code:`kaytus.ksmanage.volt_info`.
+
+.. version_added
+
+.. versionadded:: 1.0.0 of kaytus.ksmanage
+
+.. contents::
+   :local:
+   :depth: 1
+
+.. Deprecated
+
+
+Synopsis
+--------
+
+.. Description
+
+- Get volt information on kaytus Server.
+
+
+.. Aliases
+
+
+.. Requirements
+
+Requirements
+------------
+The below requirements are needed on the host that executes this module.
+
+- Python 3.7+
+- inManage
+
+
+.. Options
+
+Parameters
+----------
+
+.. raw:: html
+
+    <table  border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="2">Parameter</th>
+            <th>Choices/<font color="blue">Defaults</font></th>
+                        <th width="100%">Comments</th>
+        </tr>
+                    <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-provider"></div>
+                    <b>provider</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">dictionary</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>A dict object containing connection details.</div>
+                                                        </td>
+            </tr>
+                                        <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/host"></div>
+                    <b>host</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/host" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the DNS host name or address for connecting to the remote device over the specified transport.  The value of host is used as the destination address for the transport.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/password"></div>
+                    <b>password</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/password" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Specifies the password to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_PASSWORD</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                                <tr>
+                                                    <td class="elbow-placeholder"></td>
+                                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="parameter-provider/username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-provider/username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                    
+                                <tr>
+                                                                <td colspan="2">
+                    <div class="ansibleOptionAnchor" id="parameter-username"></div>
+                    <b>username</b>
+                    <a class="ansibleOptionLink" href="#parameter-username" title="Permalink to this option"></a>
+                    <div style="font-size: small">
+                        <span style="color: purple">string</span>
+                                                                    </div>
+                                                        </td>
+                                <td>
+                                                                                                                                                            </td>
+                                                                <td>
+                                            <div>Configures the username to use to authenticate the connection to the remote device. If the value is not specified in the task, the value of environment variable <code>ANSIBLE_NET_USERNAME</code> will be used instead.</div>
+                                                        </td>
+            </tr>
+                        </table>
+    <br/>
+
+.. Notes
+
+Notes
+-----
+
+.. note::
+   - Supports ``check_mode``.
+
+.. Seealso
+
+
+.. Examples
+
+Examples
+--------
+
+.. code-block:: yaml+jinja
+
+    
+    - name: Volt test
+      hosts: ksmanage
+      connection: local
+      gather_facts: false
+      vars:
+        ksmanage:
+          host: "{{ ansible_ssh_host }}"
+          username: "{{ username }}"
+          password: "{{ password }}"
+
+      tasks:
+
+      - name: "Get volt information"
+        kaytus.ksmanage.volt_info:
+          provider: "{{ ksmanage }}"
+
+
+
+
+.. Facts
+
+
+.. Return values
+
+Return Values
+-------------
+Common return values are documented :ref:`here <common_return_values>`, the following are the fields unique to this module:
+
+.. raw:: html
+
+    <table border=0 cellpadding=0 class="documentation-table">
+        <tr>
+            <th colspan="1">Key</th>
+            <th>Returned</th>
+            <th width="100%">Description</th>
+        </tr>
+                    <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-changed"></div>
+                    <b>changed</b>
+                    <a class="ansibleOptionLink" href="#return-changed" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">boolean</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Check to see if a change was made on the device.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-message"></div>
+                    <b>message</b>
+                    <a class="ansibleOptionLink" href="#return-message" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Messages returned after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                                <tr>
+                                <td colspan="1">
+                    <div class="ansibleOptionAnchor" id="return-state"></div>
+                    <b>state</b>
+                    <a class="ansibleOptionLink" href="#return-state" title="Permalink to this return value"></a>
+                    <div style="font-size: small">
+                      <span style="color: purple">string</span>
+                                          </div>
+                                    </td>
+                <td>always</td>
+                <td>
+                                            <div>Status after module execution.</div>
+                                        <br/>
+                                    </td>
+            </tr>
+                        </table>
+    <br/><br/>
+
+..  Status (Presently only deprecated)
+
+
+.. Authors
+
+Authors
+~~~~~~~
+
+- WangBaoshan (@ieisystem)
+
+
+
+.. Parsing errors
+
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/meta/runtime.yml 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/meta/runtime.yml
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/meta/runtime.yml	2024-04-23 11:47:04.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/meta/runtime.yml	2024-06-06 01:26:24.000000000 +0000
@@ -1,2 +1,2 @@
----
-requires_ansible: '>=2.10'
+---
+requires_ansible: '>=2.10'
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/doc_fragments/ksmanage.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/doc_fragments/ksmanage.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/doc_fragments/ksmanage.py	2024-04-23 11:47:04.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/doc_fragments/ksmanage.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,59 +1,59 @@
-# -*- coding:utf-8 -*-
-
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-
-class ModuleDocFragment(object):
-
-    # Standard files documentation fragment
-    DOCUMENTATION = r'''
-options:
-  provider:
-    description:
-      - A dict object containing connection details.
-    type: dict
-    suboptions:
-      host:
-        description:
-          - Specifies the DNS host name or address for connecting to the remote
-            device over the specified transport.  The value of host is used as
-            the destination address for the transport.
-        type: str
-      username:
-        description:
-          - Configures the username to use to authenticate the connection to
-            the remote device. If the value is not specified in the task, the value of environment
-            variable C(ANSIBLE_NET_USERNAME) will be used instead.
-        type: str
-      password:
-        description:
-          - Specifies the password to use to authenticate the connection to
-            the remote device. If the value is not specified in the task, the
-            value of environment variable C(ANSIBLE_NET_PASSWORD) will be used instead.
-        type: str
-  host:
-    description:
-      - Specifies the DNS host name or address for connecting to the remote
-        device over the specified transport.  The value of host is used as
-        the destination address for the transport.
-    type: str
-  username:
-    description:
-      - Configures the username to use to authenticate the connection to
-        the remote device. If the value is not specified in the task, the value of environment
-        variable C(ANSIBLE_NET_USERNAME) will be used instead.
-    type: str
-  password:
-    description:
-      - Specifies the password to use to authenticate the connection to
-        the remote device. If the value is not specified in the task, the
-        value of environment variable C(ANSIBLE_NET_PASSWORD) will be used instead.
-    type: str
-requirements:
-  - Python 3.7+
-  - inManage
-'''
+# -*- coding:utf-8 -*-
+
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+
+class ModuleDocFragment(object):
+
+    # Standard files documentation fragment
+    DOCUMENTATION = r'''
+options:
+  provider:
+    description:
+      - A dict object containing connection details.
+    type: dict
+    suboptions:
+      host:
+        description:
+          - Specifies the DNS host name or address for connecting to the remote
+            device over the specified transport.  The value of host is used as
+            the destination address for the transport.
+        type: str
+      username:
+        description:
+          - Configures the username to use to authenticate the connection to
+            the remote device. If the value is not specified in the task, the value of environment
+            variable C(ANSIBLE_NET_USERNAME) will be used instead.
+        type: str
+      password:
+        description:
+          - Specifies the password to use to authenticate the connection to
+            the remote device. If the value is not specified in the task, the
+            value of environment variable C(ANSIBLE_NET_PASSWORD) will be used instead.
+        type: str
+  host:
+    description:
+      - Specifies the DNS host name or address for connecting to the remote
+        device over the specified transport.  The value of host is used as
+        the destination address for the transport.
+    type: str
+  username:
+    description:
+      - Configures the username to use to authenticate the connection to
+        the remote device. If the value is not specified in the task, the value of environment
+        variable C(ANSIBLE_NET_USERNAME) will be used instead.
+    type: str
+  password:
+    description:
+      - Specifies the password to use to authenticate the connection to
+        the remote device. If the value is not specified in the task, the
+        value of environment variable C(ANSIBLE_NET_PASSWORD) will be used instead.
+    type: str
+requirements:
+  - Python 3.7+
+  - inManage
+'''
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/module_utils/ksmanage.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/module_utils/ksmanage.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/module_utils/ksmanage.py	2024-04-23 11:47:01.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/module_utils/ksmanage.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,54 +1,54 @@
-# -*- coding:utf-8 -*-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-try:
-    import inmanage
-    ksmanage_temp = True
-except ImportError:
-    ksmanage_temp = False
-from ansible.module_utils.basic import env_fallback
-from ansible.module_utils.six import iteritems
-
-ksmanage_provider_spec = {
-    'host': dict(type='str'),
-    'username': dict(type='str', fallback=(env_fallback, ['ANSIBLE_NET_USERNAME'])),
-    'password': dict(type='str', fallback=(env_fallback, ['ANSIBLE_NET_PASSWORD']), no_log=True),
-}
-ksmanage_argument_spec = {
-    'provider': dict(type='dict', options=ksmanage_provider_spec),
-}
-ksmanage_top_spec = {
-    'host': dict(type='str'),
-    'username': dict(type='str'),
-    'password': dict(type='str', no_log=True),
-}
-ksmanage_argument_spec.update(ksmanage_top_spec)
-
-
-def load_params(module):
-    """load_params"""
-    provider = module.params.get('provider') or dict()
-    for key, value in iteritems(provider):
-        if key in ksmanage_argument_spec:
-            if module.params.get(key) is None and value is not None:
-                module.params[key] = value
-
-
-def get_connection(module):
-    """get_connection"""
-    load_params(module)
-    # result = dict()
-    # if module.check_mode:
-    #     result['changed'] = True
-    #     result['state'] = 'Success'
-    #     result['message'] = module.params['subcommand']
-    # else:
-    dict_param = module.params
-    if not ksmanage_temp:
-        module.fail_json(msg='inManage must be installed to use this module')
-    result = inmanage.main(dict_param)
-    return result
+# -*- coding:utf-8 -*-
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+try:
+    import inmanage
+    ksmanage_temp = True
+except ImportError:
+    ksmanage_temp = False
+from ansible.module_utils.basic import env_fallback
+from ansible.module_utils.six import iteritems
+
+ksmanage_provider_spec = {
+    'host': dict(type='str'),
+    'username': dict(type='str', fallback=(env_fallback, ['ANSIBLE_NET_USERNAME'])),
+    'password': dict(type='str', fallback=(env_fallback, ['ANSIBLE_NET_PASSWORD']), no_log=True),
+}
+ksmanage_argument_spec = {
+    'provider': dict(type='dict', options=ksmanage_provider_spec),
+}
+ksmanage_top_spec = {
+    'host': dict(type='str'),
+    'username': dict(type='str'),
+    'password': dict(type='str', no_log=True),
+}
+ksmanage_argument_spec.update(ksmanage_top_spec)
+
+
+def load_params(module):
+    """load_params"""
+    provider = module.params.get('provider') or dict()
+    for key, value in iteritems(provider):
+        if key in ksmanage_argument_spec:
+            if module.params.get(key) is None and value is not None:
+                module.params[key] = value
+
+
+def get_connection(module):
+    """get_connection"""
+    load_params(module)
+    # result = dict()
+    # if module.check_mode:
+    #     result['changed'] = True
+    #     result['state'] = 'Success'
+    #     result['message'] = module.params['subcommand']
+    # else:
+    dict_param = module.params
+    if not ksmanage_temp:
+        module.fail_json(msg='inManage must be installed to use this module')
+    result = inmanage.main(dict_param)
+    return result
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/ad_group.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/ad_group.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/ad_group.py	2024-04-23 11:47:04.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/ad_group.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,158 +1,158 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: ad_group
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Manage active directory group information
-description:
-   - Manage active directory group information on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    state:
-        description:
-            - Whether the active directory group should exist or not, taking action if the state is different from what is stated.
-        choices: ['present', 'absent']
-        default: present
-        type: str
-    name:
-        description:
-            - Enter the Role Group Name. This name identifies the role group in Active Directory.
-        type: str
-        required: true
-    domain:
-        description:
-            - Enter the Role Group Domain. This is the domain where the role group is located.
-        type: str
-    pri:
-        description:
-            - Enter the Role Group Privilege. This is the level of privilege to be assigned for this role group.
-        choices: ['administrator', 'user', 'operator', 'oem', 'none']
-        type: str
-    kvm:
-        description:
-            - This field provides access to KVM for AD authenticated role group user.
-        choices: ['enable', 'disable']
-        type: str
-    vm:
-        description:
-            - This field provides access to VMedia for AD authenticated role group user.
-        choices: ['enable', 'disable']
-        type: str
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Ad group test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Add active directory group information"
-    kaytus.ksmanage.ad_group:
-      state: "present"
-      name: "wbs"
-      domain: "test.com"
-      pri: "administrator"
-      kvm: "enable"
-      vm: "disable"
-      provider: "{{ ksmanage }}"
-
-  - name: "Set active directory group information"
-    kaytus.ksmanage.ad_group:
-      state: "present"
-      name: "wbs"
-      pri: "user"
-      kvm: "disable"
-      provider: "{{ ksmanage }}"
-
-  - name: "Delete active directory group information"
-    kaytus.ksmanage.ad_group:
-      state: "absent"
-      name: "wbs"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class AD(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'editadgroup'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        state=dict(type='str', choices=['present', 'absent'], default='present'),
-        name=dict(type='str', required=True),
-        domain=dict(type='str', required=False),
-        pri=dict(type='str', required=False, choices=['administrator', 'user', 'operator', 'oem', 'none']),
-        kvm=dict(type='str', required=False, choices=['enable', 'disable']),
-        vm=dict(type='str', required=False, choices=['enable', 'disable']),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    ad_obj = AD(argument_spec)
-    ad_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: ad_group
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Manage active directory group information
+description:
+   - Manage active directory group information on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    state:
+        description:
+            - Whether the active directory group should exist or not, taking action if the state is different from what is stated.
+        choices: ['present', 'absent']
+        default: present
+        type: str
+    name:
+        description:
+            - Enter the Role Group Name. This name identifies the role group in Active Directory.
+        type: str
+        required: true
+    domain:
+        description:
+            - Enter the Role Group Domain. This is the domain where the role group is located.
+        type: str
+    pri:
+        description:
+            - Enter the Role Group Privilege. This is the level of privilege to be assigned for this role group.
+        choices: ['administrator', 'user', 'operator', 'oem', 'none']
+        type: str
+    kvm:
+        description:
+            - This field provides access to KVM for AD authenticated role group user.
+        choices: ['enable', 'disable']
+        type: str
+    vm:
+        description:
+            - This field provides access to VMedia for AD authenticated role group user.
+        choices: ['enable', 'disable']
+        type: str
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Ad group test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Add active directory group information"
+    kaytus.ksmanage.ad_group:
+      state: "present"
+      name: "wbs"
+      domain: "test.com"
+      pri: "administrator"
+      kvm: "enable"
+      vm: "disable"
+      provider: "{{ ksmanage }}"
+
+  - name: "Set active directory group information"
+    kaytus.ksmanage.ad_group:
+      state: "present"
+      name: "wbs"
+      pri: "user"
+      kvm: "disable"
+      provider: "{{ ksmanage }}"
+
+  - name: "Delete active directory group information"
+    kaytus.ksmanage.ad_group:
+      state: "absent"
+      name: "wbs"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class AD(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'editadgroup'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        state=dict(type='str', choices=['present', 'absent'], default='present'),
+        name=dict(type='str', required=True),
+        domain=dict(type='str', required=False),
+        pri=dict(type='str', required=False, choices=['administrator', 'user', 'operator', 'oem', 'none']),
+        kvm=dict(type='str', required=False, choices=['enable', 'disable']),
+        vm=dict(type='str', required=False, choices=['enable', 'disable']),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    ad_obj = AD(argument_spec)
+    ad_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/ad_group_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/ad_group_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/ad_group_info.py	2024-04-23 11:47:04.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/ad_group_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: ad_group_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get active directory group information
-description:
-   - Get active directory group information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Ad group test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get active directory group information"
-    kaytus.ksmanage.ad_group_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class AD(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getadgroup'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    ad_obj = AD(argument_spec)
-    ad_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: ad_group_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get active directory group information
+description:
+   - Get active directory group information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Ad group test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get active directory group information"
+    kaytus.ksmanage.ad_group_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class AD(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getadgroup'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    ad_obj = AD(argument_spec)
+    ad_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/ad_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/ad_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/ad_info.py	2024-04-23 11:47:04.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/ad_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: ad_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get active directory information
-description:
-   - Get active directory information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Ad test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get active directory information"
-    kaytus.ksmanage.ad_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class AD(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getad'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    ad_obj = AD(argument_spec)
-    ad_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: ad_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get active directory information
+description:
+   - Get active directory information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Ad test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get active directory information"
+    kaytus.ksmanage.ad_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class AD(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getad'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    ad_obj = AD(argument_spec)
+    ad_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/adapter_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/adapter_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/adapter_info.py	2024-04-23 11:47:04.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/adapter_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,119 +1,119 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: adapter_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get adapter information
-description:
-   - Get adapter information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Adapter test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get adapter information"
-    kaytus.ksmanage.adapter_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Adapter(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getnic'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        nic_result = self.results
-        if nic_result['State'] == "Success":
-            nic = nic_result['Message'][0]
-            sysadapter_len = nic.get('Maximum', 0)
-            idx = 0
-            sortedRes = dict()
-            if sysadapter_len > 0:
-                nic = nic.get('NIC', [])
-                List = []
-                while idx < sysadapter_len:
-                    nic_info = nic[idx]
-                    sysadapter_info = nic_info.get('Controller')
-                    List.extend(sysadapter_info)
-                    idx = idx + 1
-                sortedRes["State"] = "Success"
-                sortedRes["Message"] = List
-            else:
-                sortedRes["State"] = "Failure"
-                sortedRes["Message"] = "cannot get information"
-            self.module.exit_json(**sortedRes)
-        else:
-            self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    adapter_obj = Adapter(argument_spec)
-    adapter_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: adapter_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get adapter information
+description:
+   - Get adapter information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Adapter test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get adapter information"
+    kaytus.ksmanage.adapter_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Adapter(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getnic'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        nic_result = self.results
+        if nic_result['State'] == "Success":
+            nic = nic_result['Message'][0]
+            sysadapter_len = nic.get('Maximum', 0)
+            idx = 0
+            sortedRes = dict()
+            if sysadapter_len > 0:
+                nic = nic.get('NIC', [])
+                List = []
+                while idx < sysadapter_len:
+                    nic_info = nic[idx]
+                    sysadapter_info = nic_info.get('Controller')
+                    List.extend(sysadapter_info)
+                    idx = idx + 1
+                sortedRes["State"] = "Success"
+                sortedRes["Message"] = List
+            else:
+                sortedRes["State"] = "Failure"
+                sortedRes["Message"] = "cannot get information"
+            self.module.exit_json(**sortedRes)
+        else:
+            self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    adapter_obj = Adapter(argument_spec)
+    adapter_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/add_ldisk.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/add_ldisk.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/add_ldisk.py	2024-04-23 11:47:04.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/add_ldisk.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,221 +1,221 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: add_ldisk
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Create logical disk
-description:
-   - Create logical disk on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    ctrl_id:
-        description:
-            - Raid controller ID.
-            - Required when controller type is LSI, PMC or MV.
-        type: int
-    level:
-        description:
-            - RAID Level, 0 - RAID0, 1 - RAID1, 5 - RAID5, 6 - RAID6, 10 - RAID10.
-            - Required when and controller type is LSI or PMC.
-        choices: [0, 1, 5, 6, 10]
-        type: int
-    size:
-        description:
-            - Strip Size, 0 - 32k, 1 - 64k, 2 - 128k, 3 - 256k, 4 - 512k, 5 - 1024k.
-            - Required when I(Info=None) and controller type is LSI, PMC or MV.
-            - When the controller type is MV, size is [0, 1].
-            - When the controller type is LSI or PMC, size is [1, 2, 3, 4, 5].
-        choices: [0, 1, 2, 3, 4, 5]
-        type: int
-    access:
-        description:
-            - Access Policy, 1 - Read Write, 2 - Read Only, 3 - Blocked.
-            - Required when controller type is LSI.
-        choices: [1, 2, 3]
-        type: int
-    r:
-        description:
-            - Read Policy, 1 - Read Ahead, 2 - No Read Ahead.
-            - Required when controller type is LSI.
-        choices: [1, 2]
-        type: int
-    w:
-        description:
-            - Write Policy, 1 - Write Through, 2 - Write Back, 3 - Write caching ok if bad BBU.
-            - Required when controller type is LSI.
-        choices: [1, 2, 3]
-        type: int
-    io:
-        description:
-            - IO Policy, 1 - Direct IO, 2 - Cached IO.
-            - Required when controller type is LSI.
-        choices: [1, 2]
-        type: int
-    cache:
-        description:
-            - Drive Cache, 1 - Unchanged, 2 - Enabled, 3 - Disabled.
-            - Required when controller type is LSI.
-        choices: [1, 2, 3]
-        type: int
-    init:
-        description:
-            - Init State, 1 - No Init, 2 - Quick Init, 3 - Full Init.
-            - Required when controller type is LSI.
-        choices: [1, 2, 3]
-        type: int
-    select:
-        description:
-            - Select Size, from 1 to 100.
-            - Required when controller type is LSI.
-        type: int
-    slot:
-        description:
-            - Slot Num, input multiple slotNumber like 0, 1, 2....
-            - Required when controller type is LSI or PMC.
-        type: list
-        elements: int
-    accelerator:
-        description:
-            - Driver accelerator, 1 - 1h, 2 - 2h, 3 - 3h.
-            - Required when controller type is PMC.
-        choices: [1, 2, 3]
-        type: int
-    vname:
-        description:
-            - Virtual drive name.
-            - Required when controller type is PMC or server model is M7.
-            - Required when controller type is MV.
-        type: str
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Add ldisk test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Add LSI ldisk"
-    kaytus.ksmanage.add_ldisk:
-      ctrl_id: 0
-      level: 1
-      size: 1
-      access: 1
-      r: 1
-      w: 1
-      io: 1
-      cache: 1
-      init: 2
-      select: 10
-      slot: 0, 1
-      provider: "{{ ksmanage }}"
-
-  - name: "Add PMC ldisk"
-    kaytus.ksmanage.add_ldisk:
-      ctrl_id: 0
-      level: 1
-      size: 1
-      accelerator: 1
-      slot: 0, 1
-      vname: "test"
-      provider: "{{ ksmanage }}"
-
-  - name: "Add MV ldisk"
-    kaytus.ksmanage.add_ldisk:
-      ctrl_id: 0
-      size: 1
-      vname: "test"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Disk(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'addldisk'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        ctrl_id=dict(type='int', required=False),
-        level=dict(type='int', required=False, choices=[0, 1, 5, 6, 10]),
-        size=dict(type='int', required=False, choices=[0, 1, 2, 3, 4, 5]),
-        access=dict(type='int', required=False, choices=[1, 2, 3]),
-        r=dict(type='int', required=False, choices=[1, 2]),
-        w=dict(type='int', required=False, choices=[1, 2, 3]),
-        io=dict(type='int', required=False, choices=[1, 2]),
-        cache=dict(type='int', required=False, choices=[1, 2, 3]),
-        init=dict(type='int', required=False, choices=[1, 2, 3]),
-        select=dict(type='int', required=False),
-        slot=dict(type='list', elements='int', required=False),
-        accelerator=dict(type='int', required=False, choices=[1, 2, 3]),
-        vname=dict(type='str', required=False),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    disk_obj = Disk(argument_spec)
-    disk_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: add_ldisk
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Create logical disk
+description:
+   - Create logical disk on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    ctrl_id:
+        description:
+            - Raid controller ID.
+            - Required when controller type is LSI, PMC or MV.
+        type: int
+    level:
+        description:
+            - RAID Level, 0 - RAID0, 1 - RAID1, 5 - RAID5, 6 - RAID6, 10 - RAID10.
+            - Required when and controller type is LSI or PMC.
+        choices: [0, 1, 5, 6, 10]
+        type: int
+    size:
+        description:
+            - Strip Size, 0 - 32k, 1 - 64k, 2 - 128k, 3 - 256k, 4 - 512k, 5 - 1024k.
+            - Required when I(Info=None) and controller type is LSI, PMC or MV.
+            - When the controller type is MV, size is [0, 1].
+            - When the controller type is LSI or PMC, size is [1, 2, 3, 4, 5].
+        choices: [0, 1, 2, 3, 4, 5]
+        type: int
+    access:
+        description:
+            - Access Policy, 1 - Read Write, 2 - Read Only, 3 - Blocked.
+            - Required when controller type is LSI.
+        choices: [1, 2, 3]
+        type: int
+    r:
+        description:
+            - Read Policy, 1 - Read Ahead, 2 - No Read Ahead.
+            - Required when controller type is LSI.
+        choices: [1, 2]
+        type: int
+    w:
+        description:
+            - Write Policy, 1 - Write Through, 2 - Write Back, 3 - Write caching ok if bad BBU.
+            - Required when controller type is LSI.
+        choices: [1, 2, 3]
+        type: int
+    io:
+        description:
+            - IO Policy, 1 - Direct IO, 2 - Cached IO.
+            - Required when controller type is LSI.
+        choices: [1, 2]
+        type: int
+    cache:
+        description:
+            - Drive Cache, 1 - Unchanged, 2 - Enabled, 3 - Disabled.
+            - Required when controller type is LSI.
+        choices: [1, 2, 3]
+        type: int
+    init:
+        description:
+            - Init State, 1 - No Init, 2 - Quick Init, 3 - Full Init.
+            - Required when controller type is LSI.
+        choices: [1, 2, 3]
+        type: int
+    select:
+        description:
+            - Select Size, from 1 to 100.
+            - Required when controller type is LSI.
+        type: int
+    slot:
+        description:
+            - Slot Num, input multiple slotNumber like 0, 1, 2....
+            - Required when controller type is LSI or PMC.
+        type: list
+        elements: int
+    accelerator:
+        description:
+            - Driver accelerator, 1 - 1h, 2 - 2h, 3 - 3h.
+            - Required when controller type is PMC.
+        choices: [1, 2, 3]
+        type: int
+    vname:
+        description:
+            - Virtual drive name.
+            - Required when controller type is PMC or server model is M7.
+            - Required when controller type is MV.
+        type: str
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Add ldisk test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Add LSI ldisk"
+    kaytus.ksmanage.add_ldisk:
+      ctrl_id: 0
+      level: 1
+      size: 1
+      access: 1
+      r: 1
+      w: 1
+      io: 1
+      cache: 1
+      init: 2
+      select: 10
+      slot: 0, 1
+      provider: "{{ ksmanage }}"
+
+  - name: "Add PMC ldisk"
+    kaytus.ksmanage.add_ldisk:
+      ctrl_id: 0
+      level: 1
+      size: 1
+      accelerator: 1
+      slot: 0, 1
+      vname: "test"
+      provider: "{{ ksmanage }}"
+
+  - name: "Add MV ldisk"
+    kaytus.ksmanage.add_ldisk:
+      ctrl_id: 0
+      size: 1
+      vname: "test"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Disk(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'addldisk'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        ctrl_id=dict(type='int', required=False),
+        level=dict(type='int', required=False, choices=[0, 1, 5, 6, 10]),
+        size=dict(type='int', required=False, choices=[0, 1, 2, 3, 4, 5]),
+        access=dict(type='int', required=False, choices=[1, 2, 3]),
+        r=dict(type='int', required=False, choices=[1, 2]),
+        w=dict(type='int', required=False, choices=[1, 2, 3]),
+        io=dict(type='int', required=False, choices=[1, 2]),
+        cache=dict(type='int', required=False, choices=[1, 2, 3]),
+        init=dict(type='int', required=False, choices=[1, 2, 3]),
+        select=dict(type='int', required=False),
+        slot=dict(type='list', elements='int', required=False),
+        accelerator=dict(type='int', required=False, choices=[1, 2, 3]),
+        vname=dict(type='str', required=False),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    disk_obj = Disk(argument_spec)
+    disk_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/alert_policy_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/alert_policy_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/alert_policy_info.py	2024-04-23 11:47:04.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/alert_policy_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: alert_policy_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get alert policy
-description:
-   - Get alert policy on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Alert test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get alert policy"
-    kaytus.ksmanage.alert_policy_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class SNMP(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getalertpolicy'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    snmp_obj = SNMP(argument_spec)
-    snmp_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: alert_policy_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get alert policy
+description:
+   - Get alert policy on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Alert test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get alert policy"
+    kaytus.ksmanage.alert_policy_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class SNMP(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getalertpolicy'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    snmp_obj = SNMP(argument_spec)
+    snmp_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/audit_log_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/audit_log_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/audit_log_info.py	2024-04-23 11:47:04.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/audit_log_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,126 +1,126 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: audit_log_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get BMC audit log information
-description:
-   - Get BMC audit log information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options:
-    log_time:
-        description:
-            - Get logs after the specified date, time should be YYYY-MM-DDTHH:MM+HH:MM, like 2019-06-27T12:30+08:00.
-        type: str
-    count:
-        description:
-            - Get the most recent log of a specified number.
-        type: int
-    audit_file:
-        description:
-            - Store logs to a file.
-        type: str
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Bmc audit log test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get bmc audit log information"
-    kaytus.ksmanage.audit_log_info:
-      log_time: "2020-06-01T12:30+08:00"
-      provider: "{{ ksmanage }}"
-
-  - name: "Get bmc audit log information"
-    kaytus.ksmanage.audit_log_info:
-      count: 30
-      provider: "{{ ksmanage }}"
-
-  - name: "Get bmc audit log information"
-    kaytus.ksmanage.audit_log_info:
-      audit_file: "/home/wbs/wbs.log"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class AuditLog(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getauditlog'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        log_time=dict(type='str', required=False),
-        count=dict(type='int', required=False),
-        audit_file=dict(type='str', required=False),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    log_obj = AuditLog(argument_spec)
-    log_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: audit_log_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get BMC audit log information
+description:
+   - Get BMC audit log information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options:
+    log_time:
+        description:
+            - Get logs after the specified date, time should be YYYY-MM-DDTHH:MM+HH:MM, like 2019-06-27T12:30+08:00.
+        type: str
+    count:
+        description:
+            - Get the most recent log of a specified number.
+        type: int
+    audit_file:
+        description:
+            - Store logs to a file.
+        type: str
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Bmc audit log test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get bmc audit log information"
+    kaytus.ksmanage.audit_log_info:
+      log_time: "2020-06-01T12:30+08:00"
+      provider: "{{ ksmanage }}"
+
+  - name: "Get bmc audit log information"
+    kaytus.ksmanage.audit_log_info:
+      count: 30
+      provider: "{{ ksmanage }}"
+
+  - name: "Get bmc audit log information"
+    kaytus.ksmanage.audit_log_info:
+      audit_file: "/home/wbs/wbs.log"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class AuditLog(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getauditlog'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        log_time=dict(type='str', required=False),
+        count=dict(type='int', required=False),
+        audit_file=dict(type='str', required=False),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    log_obj = AuditLog(argument_spec)
+    log_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/auto_capture_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/auto_capture_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/auto_capture_info.py	2024-04-23 11:47:04.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/auto_capture_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: auto_capture_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get auto capture screen information
-description:
-   - Get auto capture screen information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Screen test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get auto capture screen information"
-    kaytus.ksmanage.auto_capture_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Screen(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getscreen'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    screen_obj = Screen(argument_spec)
-    screen_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: auto_capture_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get auto capture screen information
+description:
+   - Get auto capture screen information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Screen test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get auto capture screen information"
+    kaytus.ksmanage.auto_capture_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Screen(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getscreen'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    screen_obj = Screen(argument_spec)
+    screen_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/backplane_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/backplane_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/backplane_info.py	2024-04-23 11:47:04.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/backplane_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: backplane_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get disk backplane information
-description:
-   - Get disk backplane  information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Disk backplane test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get backplane information"
-    kaytus.ksmanage.backplane_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Backplane(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getbackplane'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    back_obj = Backplane(argument_spec)
-    back_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: backplane_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get disk backplane information
+description:
+   - Get disk backplane  information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Disk backplane test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get backplane information"
+    kaytus.ksmanage.backplane_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Backplane(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getbackplane'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    back_obj = Backplane(argument_spec)
+    back_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/backup.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/backup.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/backup.py	2024-04-23 11:47:04.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/backup.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,120 +1,120 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: backup
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Backup server settings
-description:
-   - Backup server settings on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    bak_file:
-        description:
-            - Backup file or bak folder.
-        required: true
-        type: str
-    item:
-        description:
-            - Export item.
-            - The values for M5 modules are 'all', 'network', 'service', 'ntp', 'snmptrap', 'dns', 'smtp', 'ad', 'ldap', 'user', 'bios'.
-            - The values for M6 modules are 'all', 'network', 'service', 'ntp', 'snmptrap',  'kvm', 'ipmi', 'authentication', 'syslog'.
-            - The values for M7 modules are 'all', 'network', 'service', 'syslog', 'ncsi'.
-        choices: ['all', 'network', 'service', 'ntp', 'snmptrap', 'dns', 'smtp', 'ad', 'ldap',
-         'user', 'bios', 'kvm', 'ipmi', 'authentication', 'syslog', 'ncsi']
-        required: true
-        type: str
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Backup test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Backup server settings"
-    kaytus.ksmanage.backup:
-      bak_file: "/home/wbs/"
-      item: "all"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Backup(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'backup'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        bak_file=dict(type='str', required=True),
-        item=dict(type='str', required=True, choices=['all', 'network', 'service', 'ntp', 'snmptrap', 'dns', 'smtp', 'ad',
-                                                      'ldap', 'user', 'bios', 'kvm', 'ipmi', 'authentication', 'syslog', 'ncsi']),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    backup_obj = Backup(argument_spec)
-    backup_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: backup
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Backup server settings
+description:
+   - Backup server settings on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    bak_file:
+        description:
+            - Backup file or bak folder.
+        required: true
+        type: str
+    item:
+        description:
+            - Export item.
+            - The values for M5 modules are 'all', 'network', 'service', 'ntp', 'snmptrap', 'dns', 'smtp', 'ad', 'ldap', 'user', 'bios'.
+            - The values for M6 modules are 'all', 'network', 'service', 'ntp', 'snmptrap',  'kvm', 'ipmi', 'authentication', 'syslog'.
+            - The values for M7 modules are 'all', 'network', 'service', 'syslog', 'ncsi'.
+        choices: ['all', 'network', 'service', 'ntp', 'snmptrap', 'dns', 'smtp', 'ad', 'ldap',
+         'user', 'bios', 'kvm', 'ipmi', 'authentication', 'syslog', 'ncsi']
+        required: true
+        type: str
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Backup test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Backup server settings"
+    kaytus.ksmanage.backup:
+      bak_file: "/home/wbs/"
+      item: "all"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Backup(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'backup'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        bak_file=dict(type='str', required=True),
+        item=dict(type='str', required=True, choices=['all', 'network', 'service', 'ntp', 'snmptrap', 'dns', 'smtp', 'ad',
+                                                      'ldap', 'user', 'bios', 'kvm', 'ipmi', 'authentication', 'syslog', 'ncsi']),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    backup_obj = Backup(argument_spec)
+    backup_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/bios_export.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/bios_export.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/bios_export.py	2024-04-23 11:47:04.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/bios_export.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,107 +1,107 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: bios_export
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Export BIOS config
-description:
-   - Export BIOS config on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    file_url:
-        description:
-            - Suffix is .json/.conf, FILEURI format, "/directory/filename".
-        required: true
-        type: str
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Bios test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Export bios config"
-    kaytus.ksmanage.bios_export:
-      file_url: "/home/wbs/bios.conf"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class BIOS(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'exportbioscfg'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        file_url=dict(type='str', required=True),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    bios_obj = BIOS(argument_spec)
-    bios_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: bios_export
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Export BIOS config
+description:
+   - Export BIOS config on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    file_url:
+        description:
+            - Suffix is .json/.conf, FILEURI format, "/directory/filename".
+        required: true
+        type: str
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Bios test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Export bios config"
+    kaytus.ksmanage.bios_export:
+      file_url: "/home/wbs/bios.conf"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class BIOS(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'exportbioscfg'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        file_url=dict(type='str', required=True),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    bios_obj = BIOS(argument_spec)
+    bios_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/bios_import.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/bios_import.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/bios_import.py	2024-04-23 11:47:04.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/bios_import.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,109 +1,109 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: bios_import
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Import BIOS config
-description:
-   - Import BIOS config on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    file_url:
-        description:
-            - Suffix is .json/.conf, FILEURI format, "/directory/filename".
-        required: true
-        type: str
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Bios test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Import bios config"
-    kaytus.ksmanage.bios_import:
-      file_url: "/home/wbs/bios.conf"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class BIOS(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'importbioscfg'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        file_url=dict(type='str', required=True),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    bios_obj = BIOS(argument_spec)
-    bios_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: bios_import
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Import BIOS config
+description:
+   - Import BIOS config on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    file_url:
+        description:
+            - Suffix is .json/.conf, FILEURI format, "/directory/filename".
+        required: true
+        type: str
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Bios test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Import bios config"
+    kaytus.ksmanage.bios_import:
+      file_url: "/home/wbs/bios.conf"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class BIOS(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'importbioscfg'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        file_url=dict(type='str', required=True),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    bios_obj = BIOS(argument_spec)
+    bios_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/bios_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/bios_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/bios_info.py	2024-04-23 11:47:04.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/bios_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: bios_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get BIOS setup
-description:
-   - Get BIOS setup on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Bios test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get bios setup"
-    kaytus.ksmanage.bios_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class BIOS(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getbios'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    bios_obj = BIOS(argument_spec)
-    bios_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: bios_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get BIOS setup
+description:
+   - Get BIOS setup on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Bios test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get bios setup"
+    kaytus.ksmanage.bios_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class BIOS(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getbios'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    bios_obj = BIOS(argument_spec)
+    bios_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/bmc_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/bmc_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/bmc_info.py	2024-04-23 11:47:04.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/bmc_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: bmc_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get BMC information
-description:
-   - Get BMC information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Bmc info test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get BMC information"
-    kaytus.ksmanage.bmc_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class BMCInfo(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getbmcinfo'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    bmc_obj = BMCInfo(argument_spec)
-    bmc_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: bmc_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get BMC information
+description:
+   - Get BMC information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Bmc info test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get BMC information"
+    kaytus.ksmanage.bmc_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class BMCInfo(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getbmcinfo'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    bmc_obj = BMCInfo(argument_spec)
+    bmc_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/boot_image_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/boot_image_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/boot_image_info.py	2024-04-23 11:47:04.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/boot_image_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: boot_image_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get bmc boot image information
-description:
-   - Get bmc boot image information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Boot image test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get bmc boot image information"
-    kaytus.ksmanage.boot_image_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Image(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getbootimage'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    image_obj = Image(argument_spec)
-    image_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: boot_image_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get bmc boot image information
+description:
+   - Get bmc boot image information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Boot image test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get bmc boot image information"
+    kaytus.ksmanage.boot_image_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Image(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getbootimage'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    image_obj = Image(argument_spec)
+    image_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/boot_option_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/boot_option_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/boot_option_info.py	2024-04-23 11:47:04.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/boot_option_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: boot_option_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get BIOS boot options
-description:
-   - Get BIOS boot options on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Boot test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get bios boot option"
-    kaytus.ksmanage.boot_option_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class BIOS(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getsysboot'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    bios_obj = BIOS(argument_spec)
-    bios_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: boot_option_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get BIOS boot options
+description:
+   - Get BIOS boot options on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Boot test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get bios boot option"
+    kaytus.ksmanage.boot_option_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class BIOS(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getsysboot'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    bios_obj = BIOS(argument_spec)
+    bios_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/clear_audit_log.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/clear_audit_log.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/clear_audit_log.py	2024-04-23 11:47:04.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/clear_audit_log.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,101 +1,101 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: clear_audit_log
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Clear BMC audit log
-description:
-   - Clear BMC audit log on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Clear BMC audit log test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Clear BMC audit log "
-    kaytus.ksmanage.clear_audit_log:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class AuditLog(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'clearauditlog'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    log_obj = AuditLog(argument_spec)
-    log_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: clear_audit_log
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Clear BMC audit log
+description:
+   - Clear BMC audit log on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Clear BMC audit log test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Clear BMC audit log "
+    kaytus.ksmanage.clear_audit_log:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class AuditLog(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'clearauditlog'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    log_obj = AuditLog(argument_spec)
+    log_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/clear_event_log.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/clear_event_log.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/clear_event_log.py	2024-04-23 11:47:04.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/clear_event_log.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,101 +1,101 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: clear_event_log
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Clear event log
-description:
-   - Clear event log on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Clear event log test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Clear event log"
-    kaytus.ksmanage.clear_event_log:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class EventLog(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'cleareventlog'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    log_obj = EventLog(argument_spec)
-    log_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: clear_event_log
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Clear event log
+description:
+   - Clear event log on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Clear event log test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Clear event log"
+    kaytus.ksmanage.clear_event_log:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class EventLog(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'cleareventlog'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    log_obj = EventLog(argument_spec)
+    log_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/clear_system_log.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/clear_system_log.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/clear_system_log.py	2024-04-23 11:47:03.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/clear_system_log.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,115 +1,115 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: clear_system_log
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Clear BMC system log
-description:
-   - Clear BMC system log on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    level:
-        description:
-            - Log level.
-        default: alert
-        choices: ['alert', 'critical', 'error', 'notice', 'warning', 'debug', 'emergency', 'info', 'all']
-        type: str
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Clear BMC system log test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Clear BMC system log"
-    kaytus.ksmanage.clear_system_log:
-      level: "alert"
-      provider: "{{ ksmanage }}"
-
-  - name: "Clear BMC system log"
-    kaytus.ksmanage.clear_system_log:
-      level: "all"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class SystemLog(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'clearsystemlog'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        level=dict(type='str', default='alert', choices=['alert', 'critical', 'error', 'notice', 'warning', 'debug', 'emergency', 'info', 'all']),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    log_obj = SystemLog(argument_spec)
-    log_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: clear_system_log
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Clear BMC system log
+description:
+   - Clear BMC system log on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    level:
+        description:
+            - Log level.
+        default: alert
+        choices: ['alert', 'critical', 'error', 'notice', 'warning', 'debug', 'emergency', 'info', 'all']
+        type: str
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Clear BMC system log test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Clear BMC system log"
+    kaytus.ksmanage.clear_system_log:
+      level: "alert"
+      provider: "{{ ksmanage }}"
+
+  - name: "Clear BMC system log"
+    kaytus.ksmanage.clear_system_log:
+      level: "all"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class SystemLog(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'clearsystemlog'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        level=dict(type='str', default='alert', choices=['alert', 'critical', 'error', 'notice', 'warning', 'debug', 'emergency', 'info', 'all']),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    log_obj = SystemLog(argument_spec)
+    log_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/collect_blackbox.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/collect_blackbox.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/collect_blackbox.py	2024-04-23 11:47:03.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/collect_blackbox.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,108 +1,108 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: collect_blackbox
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Collect blackbox log
-description:
-   - Collect blackbox log on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    file_url:
-        description:
-            - File download path.
-        required: true
-        type: str
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Collect blackbox test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Collect blackbox log"
-    kaytus.ksmanage.collect_blackbox:
-      file_url: "/home/wbs/wbs.log"
-      provider: "{{ ksmanage }}"
-
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Blackbox(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'collectblackbox'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        file_url=dict(type='str', required=True),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    log_obj = Blackbox(argument_spec)
-    log_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: collect_blackbox
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Collect blackbox log
+description:
+   - Collect blackbox log on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    file_url:
+        description:
+            - File download path.
+        required: true
+        type: str
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Collect blackbox test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Collect blackbox log"
+    kaytus.ksmanage.collect_blackbox:
+      file_url: "/home/wbs/wbs.log"
+      provider: "{{ ksmanage }}"
+
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Blackbox(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'collectblackbox'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        file_url=dict(type='str', required=True),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    log_obj = Blackbox(argument_spec)
+    log_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/collect_log.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/collect_log.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/collect_log.py	2024-04-23 11:47:03.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/collect_log.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,107 +1,107 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: collect_log
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Collect logs
-description:
-   - Collect logs on kaytus Server, it takes about 5 minutes.
-notes:
-   - Does not support C(check_mode).
-options:
-    file_url:
-        description:
-            - File download path or path with filename, for example filepath/filename.tar.
-        type: str
-        required: true
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Collect test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Collect logs"
-    kaytus.ksmanage.collect_log:
-      file_url: "/home/wbs/test.tar"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Log(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'collect'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        file_url=dict(type='str', required=True),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    log_obj = Log(argument_spec)
-    log_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: collect_log
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Collect logs
+description:
+   - Collect logs on kaytus Server, it takes about 5 minutes.
+notes:
+   - Does not support C(check_mode).
+options:
+    file_url:
+        description:
+            - File download path or path with filename, for example filepath/filename.tar.
+        type: str
+        required: true
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Collect test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Collect logs"
+    kaytus.ksmanage.collect_log:
+      file_url: "/home/wbs/test.tar"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Log(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'collect'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        file_url=dict(type='str', required=True),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    log_obj = Log(argument_spec)
+    log_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/connect_media_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/connect_media_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/connect_media_info.py	2024-04-23 11:47:03.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/connect_media_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: connect_media_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get remote images redirection information
-description:
-   - Get remote images redirection information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Connect media test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get remote images redirection information"
-    kaytus.ksmanage.connect_media_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Connect(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getconnectmedia'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    connect_obj = Connect(argument_spec)
-    connect_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: connect_media_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get remote images redirection information
+description:
+   - Get remote images redirection information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Connect media test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get remote images redirection information"
+    kaytus.ksmanage.connect_media_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Connect(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getconnectmedia'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    connect_obj = Connect(argument_spec)
+    connect_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/cpu_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/cpu_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/cpu_info.py	2024-04-23 11:47:03.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/cpu_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: cpu_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get CPU information
-description:
-   - Get CPU information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: CPU test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get cpu information"
-    kaytus.ksmanage.cpu_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class CPU(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getcpu'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    cpu_obj = CPU(argument_spec)
-    cpu_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: cpu_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get CPU information
+description:
+   - Get CPU information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: CPU test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get cpu information"
+    kaytus.ksmanage.cpu_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class CPU(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getcpu'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    cpu_obj = CPU(argument_spec)
+    cpu_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/del_session.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/del_session.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/del_session.py	2024-04-23 11:47:03.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/del_session.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,109 +1,109 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: del_session
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Delete session
-description:
-   - Delete session on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    sid:
-        description:
-            - Session Id, input "all" to delete all sessions.
-        type: str
-        required: true
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Delete session test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Delete session"
-    kaytus.ksmanage.del_session:
-      sid: "223"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Session(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'delsession'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        sid=dict(type='str', required=True),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    session_obj = Session(argument_spec)
-    session_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: del_session
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Delete session
+description:
+   - Delete session on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    sid:
+        description:
+            - Session Id, input "all" to delete all sessions.
+        type: str
+        required: true
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Delete session test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Delete session"
+    kaytus.ksmanage.del_session:
+      sid: "223"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Session(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'delsession'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        sid=dict(type='str', required=True),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    session_obj = Session(argument_spec)
+    session_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/dns_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/dns_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/dns_info.py	2024-04-23 11:47:03.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/dns_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: dns_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get dns information
-description:
-   - Get dns information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: DNS test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get dns information"
-    kaytus.ksmanage.dns_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class DNS(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getdns'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    dns_obj = DNS(argument_spec)
-    dns_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: dns_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get dns information
+description:
+   - Get dns information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: DNS test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get dns information"
+    kaytus.ksmanage.dns_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class DNS(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getdns'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    dns_obj = DNS(argument_spec)
+    dns_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/download_auto_screenshot.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/download_auto_screenshot.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/download_auto_screenshot.py	2024-04-23 11:47:03.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/download_auto_screenshot.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,107 +1,107 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: download_auto_screenshot
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Download auto screenshots
-description:
-   - Download auto screenshots on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    file_url:
-        description:
-            - Screen capture file path.
-        type: str
-        required: true
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Screen test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Download auto screenshots"
-    kaytus.ksmanage.download_auto_screenshot:
-      file_url: "/home/wbs/screen"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Screen(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'downscreen'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        file_url=dict(type='str', required=True),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    screen_obj = Screen(argument_spec)
-    screen_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: download_auto_screenshot
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Download auto screenshots
+description:
+   - Download auto screenshots on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    file_url:
+        description:
+            - Screen capture file path.
+        type: str
+        required: true
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Screen test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Download auto screenshots"
+    kaytus.ksmanage.download_auto_screenshot:
+      file_url: "/home/wbs/screen"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Screen(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'downscreen'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        file_url=dict(type='str', required=True),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    screen_obj = Screen(argument_spec)
+    screen_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/download_manual_screenshot.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/download_manual_screenshot.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/download_manual_screenshot.py	2024-04-23 11:47:03.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/download_manual_screenshot.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,107 +1,107 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: download_manual_screenshot
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Download manual screenshots
-description:
-   - Download manual screenshots on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    file_url:
-        description:
-            - Screen capture file path.
-        type: str
-        required: true
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Screen test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Download manual screenshots"
-    kaytus.ksmanage.download_manual_screenshot:
-      file_url: "/home/wbs/screen"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Screen(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'downscreenmanual'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        file_url=dict(type='str', required=True),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    screen_obj = Screen(argument_spec)
-    screen_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: download_manual_screenshot
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Download manual screenshots
+description:
+   - Download manual screenshots on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    file_url:
+        description:
+            - Screen capture file path.
+        type: str
+        required: true
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Screen test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Download manual screenshots"
+    kaytus.ksmanage.download_manual_screenshot:
+      file_url: "/home/wbs/screen"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Screen(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'downscreenmanual'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        file_url=dict(type='str', required=True),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    screen_obj = Screen(argument_spec)
+    screen_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_ad.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_ad.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_ad.py	2024-04-23 11:47:03.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_ad.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,163 +1,163 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: edit_ad
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Set active directory information
-description:
-   - Set active directory information on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    enable:
-        description:
-            - Active Directory Authentication Status.
-        choices: ['enable', 'disable']
-        type: str
-    ssl_enable:
-        description:
-            - Active Directory SSL Status.
-        choices: ['enable', 'disable']
-        type: str
-    name:
-        description:
-            - Secret Username. Specify the Username of an administrator of the Active Directory Server.
-        type: str
-    code:
-        description:
-            - Secret Password. Specify the Password of the administrator.
-        type: str
-    timeout:
-        description:
-            - The Time Out configuration(15-300).
-            - Only the M5 model supports this parameter.
-        type: int
-    domain:
-        description:
-            - User Domain Name. Specify the Domain Name for the user for example MyDomain.com.
-        type: str
-    addr1:
-        description:
-            - Domain Controller Server Address1. Enter the IP address of Active Directory server.
-        type: str
-    addr2:
-        description:
-            - Domain Controller Server Address2. Enter the IP address of Active Directory server.
-        type: str
-    addr3:
-        description:
-            - Domain Controller Server Address3. Enter the IP address of Active Directory server.
-        type: str
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Ad test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Set active directory information"
-    kaytus.ksmanage.edit_ad:
-      enable: "disable"
-      provider: "{{ ksmanage }}"
-
-  - name: "Set active directory information"
-    kaytus.ksmanage.edit_ad:
-      enable: "enable"
-      name: "test"
-      code: "123456"
-      timeout: 120
-      domain: "test.com"
-      addr1: "100.2.2.2"
-      addr2: "100.2.2.3"
-      addr3: "100.2.2.4"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class AD(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'setad'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        enable=dict(type='str', required=False, choices=['enable', 'disable']),
-        ssl_enable=dict(type='str', required=False, choices=['enable', 'disable']),
-        name=dict(type='str', required=False),
-        code=dict(type='str', required=False),
-        timeout=dict(type='int', required=False),
-        domain=dict(type='str', required=False),
-        addr1=dict(type='str', required=False),
-        addr2=dict(type='str', required=False),
-        addr3=dict(type='str', required=False),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    ad_obj = AD(argument_spec)
-    ad_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: edit_ad
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Set active directory information
+description:
+   - Set active directory information on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    enable:
+        description:
+            - Active Directory Authentication Status.
+        choices: ['enable', 'disable']
+        type: str
+    ssl_enable:
+        description:
+            - Active Directory SSL Status.
+        choices: ['enable', 'disable']
+        type: str
+    name:
+        description:
+            - Secret Username. Specify the Username of an administrator of the Active Directory Server.
+        type: str
+    code:
+        description:
+            - Secret Password. Specify the Password of the administrator.
+        type: str
+    timeout:
+        description:
+            - The Time Out configuration(15-300).
+            - Only the M5 model supports this parameter.
+        type: int
+    domain:
+        description:
+            - User Domain Name. Specify the Domain Name for the user for example MyDomain.com.
+        type: str
+    addr1:
+        description:
+            - Domain Controller Server Address1. Enter the IP address of Active Directory server.
+        type: str
+    addr2:
+        description:
+            - Domain Controller Server Address2. Enter the IP address of Active Directory server.
+        type: str
+    addr3:
+        description:
+            - Domain Controller Server Address3. Enter the IP address of Active Directory server.
+        type: str
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Ad test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Set active directory information"
+    kaytus.ksmanage.edit_ad:
+      enable: "disable"
+      provider: "{{ ksmanage }}"
+
+  - name: "Set active directory information"
+    kaytus.ksmanage.edit_ad:
+      enable: "enable"
+      name: "test"
+      code: "123456"
+      timeout: 120
+      domain: "test.com"
+      addr1: "100.2.2.2"
+      addr2: "100.2.2.3"
+      addr3: "100.2.2.4"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class AD(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'setad'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        enable=dict(type='str', required=False, choices=['enable', 'disable']),
+        ssl_enable=dict(type='str', required=False, choices=['enable', 'disable']),
+        name=dict(type='str', required=False),
+        code=dict(type='str', required=False),
+        timeout=dict(type='int', required=False),
+        domain=dict(type='str', required=False),
+        addr1=dict(type='str', required=False),
+        addr2=dict(type='str', required=False),
+        addr3=dict(type='str', required=False),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    ad_obj = AD(argument_spec)
+    ad_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_alert_policy.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_alert_policy.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_alert_policy.py	2024-04-23 11:47:03.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_alert_policy.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,156 +1,156 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: edit_alert_policy
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Set alert policy
-description:
-   - Set alert policy on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    id:
-        description:
-            - Alert id. Customize the channel for sending alarms in Trap.
-            - The values for M5 modules are 1, 2, 3.
-            - The values for M6 modules are 1, 2, 3, 4.
-        choices: [1, 2, 3, 4]
-        required: true
-        type: int
-    status:
-        description:
-            - Alert policy status. Whether to enable the receiving end for sending messages in trap mode.
-        choices: ['enable', 'disable']
-        type: str
-    type:
-        description:
-            - Alert Type.
-            - Only the M5 model supports this parameter.
-        choices: ['snmp', 'email', 'snmpdomain']
-        type: str
-    destination:
-        description:
-            - Alert destination. The address of the server receiving trap information sent by Trap.
-            - when type is snmp, specify an IP address.
-            - When type is email, specify a username.
-            - When type is snmpdomain, specify a domain.
-        type: str
-    channel:
-        description:
-            - LAN Channel.
-            - Only the M5 model supports this parameter.
-        choices: ['shared', 'dedicated']
-        type: str
-    trap_port:
-        description:
-            - SNMP trap port(1-65535).
-            - Only the M6 model supports this parameter.
-        type: int
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Alert policy test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Set alert policy"
-    kaytus.ksmanage.edit_alert_policy:
-      id: 1
-      status: "enable"
-      type: "snmp"
-      destination: "100.2.2.2"
-      channel: "shared"
-      provider: "{{ ksmanage }}"
-
-  - name: "Set alert policy"
-    kaytus.ksmanage.edit_alert_policy:
-      id: 1
-      status: "disable"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class SNMP(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'setalertpolicy'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        id=dict(type='int', required=True, choices=[1, 2, 3, 4]),
-        status=dict(type='str', required=False, choices=['enable', 'disable']),
-        type=dict(type='str', required=False, choices=['snmp', 'email', 'snmpdomain']),
-        destination=dict(type='str', required=False),
-        channel=dict(type='str', required=False, choices=['shared', 'dedicated']),
-        trap_port=dict(type='int', required=False),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    snmp_obj = SNMP(argument_spec)
-    snmp_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: edit_alert_policy
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Set alert policy
+description:
+   - Set alert policy on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    id:
+        description:
+            - Alert id. Customize the channel for sending alarms in Trap.
+            - The values for M5 modules are 1, 2, 3.
+            - The values for M6 modules are 1, 2, 3, 4.
+        choices: [1, 2, 3, 4]
+        required: true
+        type: int
+    status:
+        description:
+            - Alert policy status. Whether to enable the receiving end for sending messages in trap mode.
+        choices: ['enable', 'disable']
+        type: str
+    type:
+        description:
+            - Alert Type.
+            - Only the M5 model supports this parameter.
+        choices: ['snmp', 'email', 'snmpdomain']
+        type: str
+    destination:
+        description:
+            - Alert destination. The address of the server receiving trap information sent by Trap.
+            - when type is snmp, specify an IP address.
+            - When type is email, specify a username.
+            - When type is snmpdomain, specify a domain.
+        type: str
+    channel:
+        description:
+            - LAN Channel.
+            - Only the M5 model supports this parameter.
+        choices: ['shared', 'dedicated']
+        type: str
+    trap_port:
+        description:
+            - SNMP trap port(1-65535).
+            - Only the M6 model supports this parameter.
+        type: int
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Alert policy test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Set alert policy"
+    kaytus.ksmanage.edit_alert_policy:
+      id: 1
+      status: "enable"
+      type: "snmp"
+      destination: "100.2.2.2"
+      channel: "shared"
+      provider: "{{ ksmanage }}"
+
+  - name: "Set alert policy"
+    kaytus.ksmanage.edit_alert_policy:
+      id: 1
+      status: "disable"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class SNMP(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'setalertpolicy'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        id=dict(type='int', required=True, choices=[1, 2, 3, 4]),
+        status=dict(type='str', required=False, choices=['enable', 'disable']),
+        type=dict(type='str', required=False, choices=['snmp', 'email', 'snmpdomain']),
+        destination=dict(type='str', required=False),
+        channel=dict(type='str', required=False, choices=['shared', 'dedicated']),
+        trap_port=dict(type='int', required=False),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    snmp_obj = SNMP(argument_spec)
+    snmp_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_auto_capture.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_auto_capture.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_auto_capture.py	2024-04-23 11:47:03.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_auto_capture.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,110 +1,110 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: edit_auto_capture
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Set auto capture screen
-description:
-   - Set auto capture screen on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    status:
-        description:
-            - Capture status.
-        choices: ['enable', 'disable']
-        type: str
-        required: true
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Screen test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Set auto capture screen"
-    kaytus.ksmanage.edit_auto_capture:
-      status: "enable"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Screen(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'setscreen'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        status=dict(type='str', required=True, choices=['enable', 'disable']),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    screen_obj = Screen(argument_spec)
-    screen_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: edit_auto_capture
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Set auto capture screen
+description:
+   - Set auto capture screen on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    status:
+        description:
+            - Capture status.
+        choices: ['enable', 'disable']
+        type: str
+        required: true
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Screen test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Set auto capture screen"
+    kaytus.ksmanage.edit_auto_capture:
+      status: "enable"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Screen(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'setscreen'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        status=dict(type='str', required=True, choices=['enable', 'disable']),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    screen_obj = Screen(argument_spec)
+    screen_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_bios.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_bios.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_bios.py	2024-04-23 11:47:03.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_bios.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,134 +1,134 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: edit_bios
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Set BIOS setup attributes
-description:
-   - Set BIOS setup attributes on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    list:
-        description:
-            - Show attribute name and configurable value.
-        default: False
-        type: bool
-    attribute:
-        description:
-            - BIOS setup option.
-            - Required when I(list=False) and I(file_url=None).
-        type: str
-    value:
-        description:
-            - BIOS setup option value.
-            - Required when I(list=False) and I(file_url=None).
-        type: str
-    file_url:
-        description:
-            - BIOS option file. attribute must be used with value.
-            - Mutually exclusive with fileurl format, "/directory/filename".
-        type: str
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Bios test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Set bios setup"
-    kaytus.ksmanage.edit_bios:
-      attribute: "VMX"
-      value: "Disable"
-      provider: "{{ ksmanage }}"
-
-  - name: "Set bios setup"
-    kaytus.ksmanage.edit_bios:
-      attribute: "VMX"
-      value: "Enable"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class BIOS(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'setbios'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        list=dict(type='bool', required=False, default=False),
-        attribute=dict(type='str', required=False),
-        value=dict(type='str', required=False),
-        file_url=dict(type='str', required=False)
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    bios_obj = BIOS(argument_spec)
-    bios_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: edit_bios
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Set BIOS setup attributes
+description:
+   - Set BIOS setup attributes on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    list:
+        description:
+            - Show attribute name and configurable value.
+        default: False
+        type: bool
+    attribute:
+        description:
+            - BIOS setup option.
+            - Required when I(list=False) and I(file_url=None).
+        type: str
+    value:
+        description:
+            - BIOS setup option value.
+            - Required when I(list=False) and I(file_url=None).
+        type: str
+    file_url:
+        description:
+            - BIOS option file. attribute must be used with value.
+            - Mutually exclusive with fileurl format, "/directory/filename".
+        type: str
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Bios test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Set bios setup"
+    kaytus.ksmanage.edit_bios:
+      attribute: "VMX"
+      value: "Disable"
+      provider: "{{ ksmanage }}"
+
+  - name: "Set bios setup"
+    kaytus.ksmanage.edit_bios:
+      attribute: "VMX"
+      value: "Enable"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class BIOS(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'setbios'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        list=dict(type='bool', required=False, default=False),
+        attribute=dict(type='str', required=False),
+        value=dict(type='str', required=False),
+        file_url=dict(type='str', required=False)
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    bios_obj = BIOS(argument_spec)
+    bios_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_boot_image.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_boot_image.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_boot_image.py	2024-04-23 11:47:03.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_boot_image.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,111 +1,111 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: edit_boot_image
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Set bmc boot image
-description:
-   - Set bmc boot image on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    image:
-        description:
-            - BMC boot image.
-            - 0-Higher firmware version; 1-Image 1; 2-Image 2; 3-Lower firmware version; 4-Latest updated firmware; 5-Not latest updated firmware.
-        choices: [0, 1, 2, 3, 4, 5]
-        type: int
-        required: true
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Boot image test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Set bmc boot image"
-    kaytus.ksmanage.edit_boot_image:
-      image: 2
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Image(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'setbootimage'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        image=dict(type='int', required=True, choices=[0, 1, 2, 3, 4, 5]),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    image_obj = Image(argument_spec)
-    image_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: edit_boot_image
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Set bmc boot image
+description:
+   - Set bmc boot image on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    image:
+        description:
+            - BMC boot image.
+            - 0-Higher firmware version; 1-Image 1; 2-Image 2; 3-Lower firmware version; 4-Latest updated firmware; 5-Not latest updated firmware.
+        choices: [0, 1, 2, 3, 4, 5]
+        type: int
+        required: true
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Boot image test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Set bmc boot image"
+    kaytus.ksmanage.edit_boot_image:
+      image: 2
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Image(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'setbootimage'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        image=dict(type='int', required=True, choices=[0, 1, 2, 3, 4, 5]),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    image_obj = Image(argument_spec)
+    image_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_boot_option.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_boot_option.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_boot_option.py	2024-04-23 11:47:03.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_boot_option.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,123 +1,123 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: edit_boot_option
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Set BIOS boot options
-description:
-   - Set BIOS boot options on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    device:
-        description:
-            - Boot device.
-        choices: ['none', 'HDD', 'PXE', 'CD', 'BIOSSETUP']
-        type: str
-    effective:
-        description:
-            - Effective, once or continuous.
-        choices: ['Once', 'Continuous']
-        type: str
-    mode:
-        description:
-            - Boot type.
-        choices: ['Legacy', 'UEFI']
-        type: str
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Boot test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Set bios boot option"
-    kaytus.ksmanage.edit_boot_option:
-      device: "PXE"
-      effective: "Once"
-      mode: "Legacy"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class BIOS(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'setsysboot'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        device=dict(type='str', required=False, choices=['none', 'HDD', 'PXE', 'CD', 'BIOSSETUP']),
-        effective=dict(type='str', required=False, choices=['Once', 'Continuous']),
-        mode=dict(type='str', required=False, choices=['Legacy', 'UEFI'])
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    bios_obj = BIOS(argument_spec)
-    bios_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: edit_boot_option
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Set BIOS boot options
+description:
+   - Set BIOS boot options on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    device:
+        description:
+            - Boot device.
+        choices: ['none', 'HDD', 'PXE', 'CD', 'BIOSSETUP']
+        type: str
+    effective:
+        description:
+            - Effective, once or continuous.
+        choices: ['Once', 'Continuous']
+        type: str
+    mode:
+        description:
+            - Boot type.
+        choices: ['Legacy', 'UEFI']
+        type: str
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Boot test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Set bios boot option"
+    kaytus.ksmanage.edit_boot_option:
+      device: "PXE"
+      effective: "Once"
+      mode: "Legacy"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class BIOS(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'setsysboot'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        device=dict(type='str', required=False, choices=['none', 'HDD', 'PXE', 'CD', 'BIOSSETUP']),
+        effective=dict(type='str', required=False, choices=['Once', 'Continuous']),
+        mode=dict(type='str', required=False, choices=['Legacy', 'UEFI'])
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    bios_obj = BIOS(argument_spec)
+    bios_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_connect_media.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_connect_media.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_connect_media.py	2024-04-23 11:47:03.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_connect_media.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,126 +1,126 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: edit_connect_media
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Start/Stop virtual media Image
-description:
-   - Start/Stop virtual media Image on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    image_type:
-        description:
-            - Virtual media type.
-            - Only the M5 model supports this parameter.
-        choices: ['CD', 'FD', 'HD']
-        type: str
-        required: true
-    op_type:
-        description:
-            - Start or stop media.
-        choices: ['start', 'stop']
-        type: str
-        required: true
-    image_name:
-        description:
-            - Image name.
-        type: str
-        required: true
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Connect media test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Set remote image redirection"
-    kaytus.ksmanage.edit_connect_media:
-      image_type: "CD"
-      op_type: "start"
-      image_name: "aa.iso"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Connect(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'setconnectmedia'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        image_type=dict(type='str', required=True, choices=['CD', 'FD', 'HD']),
-        op_type=dict(type='str', required=True, choices=['start', 'stop']),
-        image_name=dict(type='str', required=True),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    connect_obj = Connect(argument_spec)
-    connect_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: edit_connect_media
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Start/Stop virtual media Image
+description:
+   - Start/Stop virtual media Image on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    image_type:
+        description:
+            - Virtual media type.
+            - Only the M5 model supports this parameter.
+        choices: ['CD', 'FD', 'HD']
+        type: str
+        required: true
+    op_type:
+        description:
+            - Start or stop media.
+        choices: ['start', 'stop']
+        type: str
+        required: true
+    image_name:
+        description:
+            - Image name.
+        type: str
+        required: true
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Connect media test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Set remote image redirection"
+    kaytus.ksmanage.edit_connect_media:
+      image_type: "CD"
+      op_type: "start"
+      image_name: "aa.iso"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Connect(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'setconnectmedia'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        image_type=dict(type='str', required=True, choices=['CD', 'FD', 'HD']),
+        op_type=dict(type='str', required=True, choices=['start', 'stop']),
+        image_name=dict(type='str', required=True),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    connect_obj = Connect(argument_spec)
+    connect_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_dns.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_dns.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_dns.py	2024-04-23 11:47:03.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_dns.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,231 +1,231 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: edit_dns
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Set dns information
-description:
-   - Set dns information on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    dns_status:
-        description:
-            - DNS status.
-        choices: ['enable', 'disable']
-        type: str
-    host_cfg:
-        description:
-            - Host Settings. Select whether the host name will be configured manually or automatically.
-        choices: ['manual', 'auto']
-        type: str
-    host_name:
-        description:
-            - Host Name.
-            - Required when I(host_cfg=manual).
-        type: str
-    domain_manual:
-        description:
-            - Domain Settings. Select whether the domain interface will be configured manually or automatically.
-        choices: ['manual', 'auto']
-        type: str
-    domain_iface:
-        description:
-            - Network Interface, input like 'eth0_v4', 'eth0_v6', 'eth1_v4', 'eth1_v6', 'bond0_v4', 'bond0_v6'.
-            - Required when I(domain_manual=auto).
-        type: str
-    domain_name:
-        description:
-            - Domain Name.
-            - Required when I(domain_manual=manual).
-        type: str
-    dns_manual:
-        description:
-            - DNS Settings. Select whether the DNS interface will be configured manually or automatically.
-        choices: ['manual', 'auto']
-        type: str
-    dns_iface:
-        description:
-            - DNS Interface, input like 'eth0', 'eth1', 'bond0'.
-            - Required when I(dns_manual=auto).
-        type: str
-    dns_priority:
-        description:
-            - IP Priority.
-            - Required when I(dns_manual=auto).
-        choices: ['4', '6']
-        type: str
-    dns_server1:
-        description:
-            - DNS Server1 IPv4 or IPv6 address.
-            - Required when I(dns_manual=manual).
-        type: str
-    dns_server2:
-        description:
-            - DNS Server2 IPv4 or IPv6 address.
-            - Required when I(dns_manual=manual).
-        type: str
-    dns_server3:
-        description:
-            - DNS Server3 IPv4 or IPv6 address.
-            - Required when I(dns_manual=manual).
-        type: str
-    register_status1:
-        description:
-            - BMC register status 1.
-            - Only the M6 model supports this parameter.
-        choices: ['enable', 'disable']
-        type: str
-    registration_method1:
-        description:
-            - Registration method 1.
-            - Only the M6 model supports this parameter.
-            - Required when I(register_status1=enable).
-        choices: ['nsupdate', 'dhcp', 'hostname']
-        type: str
-    register_status2:
-        description:
-            - BMC register status 2.
-            - Only the M6 model supports this parameter.
-        choices: ['enable', 'disable']
-        type: str
-    registration_method2:
-        description:
-            - Registration method 2.
-            - Only the M6 model supports this parameter.
-            - Required when I(register_status2=enable).
-        choices: ['nsupdate', 'dhcp', 'hostname']
-        type: str
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: DNS test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Set dns information"
-    kaytus.ksmanage.edit_dns:
-      dns_status: "disable"
-      provider: "{{ ksmanage }}"
-
-  - name: "Set dns information"
-    kaytus.ksmanage.edit_dns:
-      dns_status: "enable"
-      host_cfg: "manual"
-      host_name: "123456789"
-      domain_manual: "auto"
-      domain_iface: "eth0_v4"
-      dns_manual: "manual"
-      dns_server1: "100.2.2.2"
-      dns_server2: "100.2.2.3"
-      dns_server3: "100.2.2.4"
-      provider: "{{ ksmanage }}"
-
-  - name: "Set dns information"
-    kaytus.ksmanage.edit_dns:
-      dns_status: "enable"
-      host_cfg: "manual"
-      host_name: "123456789"
-      domain_manual: "manual"
-      domain_name: "test.com"
-      dns_manual: "auto"
-      dns_iface: "eth0"
-      dns_priority: "4"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class DNS(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'setdns'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        dns_status=dict(type='str', required=False, choices=['enable', 'disable']),
-        host_cfg=dict(type='str', required=False, choices=['manual', 'auto']),
-        host_name=dict(type='str', required=False),
-        domain_manual=dict(type='str', required=False, choices=['manual', 'auto']),
-        domain_iface=dict(type='str', required=False),
-        domain_name=dict(type='str', required=False),
-        dns_manual=dict(type='str', required=False, choices=['manual', 'auto']),
-        dns_iface=dict(type='str', required=False),
-        dns_priority=dict(type='str', required=False, choices=['4', '6']),
-        dns_server1=dict(type='str', required=False),
-        dns_server2=dict(type='str', required=False),
-        dns_server3=dict(type='str', required=False),
-        register_status1=dict(type='str', required=False, choices=['enable', 'disable']),
-        registration_method1=dict(type='str', required=False, choices=['nsupdate', 'dhcp', 'hostname']),
-        register_status2=dict(type='str', required=False, choices=['enable', 'disable']),
-        registration_method2=dict(type='str', required=False, choices=['nsupdate', 'dhcp', 'hostname']),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    dns_obj = DNS(argument_spec)
-    dns_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: edit_dns
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Set dns information
+description:
+   - Set dns information on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    dns_status:
+        description:
+            - DNS status.
+        choices: ['enable', 'disable']
+        type: str
+    host_cfg:
+        description:
+            - Host Settings. Select whether the host name will be configured manually or automatically.
+        choices: ['manual', 'auto']
+        type: str
+    host_name:
+        description:
+            - Host Name.
+            - Required when I(host_cfg=manual).
+        type: str
+    domain_manual:
+        description:
+            - Domain Settings. Select whether the domain interface will be configured manually or automatically.
+        choices: ['manual', 'auto']
+        type: str
+    domain_iface:
+        description:
+            - Network Interface, input like 'eth0_v4', 'eth0_v6', 'eth1_v4', 'eth1_v6', 'bond0_v4', 'bond0_v6'.
+            - Required when I(domain_manual=auto).
+        type: str
+    domain_name:
+        description:
+            - Domain Name.
+            - Required when I(domain_manual=manual).
+        type: str
+    dns_manual:
+        description:
+            - DNS Settings. Select whether the DNS interface will be configured manually or automatically.
+        choices: ['manual', 'auto']
+        type: str
+    dns_iface:
+        description:
+            - DNS Interface, input like 'eth0', 'eth1', 'bond0'.
+            - Required when I(dns_manual=auto).
+        type: str
+    dns_priority:
+        description:
+            - IP Priority.
+            - Required when I(dns_manual=auto).
+        choices: ['4', '6']
+        type: str
+    dns_server1:
+        description:
+            - DNS Server1 IPv4 or IPv6 address.
+            - Required when I(dns_manual=manual).
+        type: str
+    dns_server2:
+        description:
+            - DNS Server2 IPv4 or IPv6 address.
+            - Required when I(dns_manual=manual).
+        type: str
+    dns_server3:
+        description:
+            - DNS Server3 IPv4 or IPv6 address.
+            - Required when I(dns_manual=manual).
+        type: str
+    register_status1:
+        description:
+            - BMC register status 1.
+            - Only the M6 model supports this parameter.
+        choices: ['enable', 'disable']
+        type: str
+    registration_method1:
+        description:
+            - Registration method 1.
+            - Only the M6 model supports this parameter.
+            - Required when I(register_status1=enable).
+        choices: ['nsupdate', 'dhcp', 'hostname']
+        type: str
+    register_status2:
+        description:
+            - BMC register status 2.
+            - Only the M6 model supports this parameter.
+        choices: ['enable', 'disable']
+        type: str
+    registration_method2:
+        description:
+            - Registration method 2.
+            - Only the M6 model supports this parameter.
+            - Required when I(register_status2=enable).
+        choices: ['nsupdate', 'dhcp', 'hostname']
+        type: str
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: DNS test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Set dns information"
+    kaytus.ksmanage.edit_dns:
+      dns_status: "disable"
+      provider: "{{ ksmanage }}"
+
+  - name: "Set dns information"
+    kaytus.ksmanage.edit_dns:
+      dns_status: "enable"
+      host_cfg: "manual"
+      host_name: "123456789"
+      domain_manual: "auto"
+      domain_iface: "eth0_v4"
+      dns_manual: "manual"
+      dns_server1: "100.2.2.2"
+      dns_server2: "100.2.2.3"
+      dns_server3: "100.2.2.4"
+      provider: "{{ ksmanage }}"
+
+  - name: "Set dns information"
+    kaytus.ksmanage.edit_dns:
+      dns_status: "enable"
+      host_cfg: "manual"
+      host_name: "123456789"
+      domain_manual: "manual"
+      domain_name: "test.com"
+      dns_manual: "auto"
+      dns_iface: "eth0"
+      dns_priority: "4"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class DNS(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'setdns'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        dns_status=dict(type='str', required=False, choices=['enable', 'disable']),
+        host_cfg=dict(type='str', required=False, choices=['manual', 'auto']),
+        host_name=dict(type='str', required=False),
+        domain_manual=dict(type='str', required=False, choices=['manual', 'auto']),
+        domain_iface=dict(type='str', required=False),
+        domain_name=dict(type='str', required=False),
+        dns_manual=dict(type='str', required=False, choices=['manual', 'auto']),
+        dns_iface=dict(type='str', required=False),
+        dns_priority=dict(type='str', required=False, choices=['4', '6']),
+        dns_server1=dict(type='str', required=False),
+        dns_server2=dict(type='str', required=False),
+        dns_server3=dict(type='str', required=False),
+        register_status1=dict(type='str', required=False, choices=['enable', 'disable']),
+        registration_method1=dict(type='str', required=False, choices=['nsupdate', 'dhcp', 'hostname']),
+        register_status2=dict(type='str', required=False, choices=['enable', 'disable']),
+        registration_method2=dict(type='str', required=False, choices=['nsupdate', 'dhcp', 'hostname']),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    dns_obj = DNS(argument_spec)
+    dns_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_event_log_policy.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_event_log_policy.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_event_log_policy.py	2024-04-23 11:47:03.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_event_log_policy.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,110 +1,110 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: edit_event_log_policy
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Set event log policy
-description:
-   - Set event log policy on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    policy:
-        description:
-            - Event log policy.
-        choices: ['Linear', 'Circular']
-        type: str
-        required: true
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Event log policy test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Set event log policy"
-    kaytus.ksmanage.edit_event_log_policy:
-      policy: "Linear"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Log(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'seteventlogpolicy'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        policy=dict(type='str', required=True, choices=['Linear', 'Circular']),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    log_obj = Log(argument_spec)
-    log_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: edit_event_log_policy
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Set event log policy
+description:
+   - Set event log policy on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    policy:
+        description:
+            - Event log policy.
+        choices: ['Linear', 'Circular']
+        type: str
+        required: true
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Event log policy test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Set event log policy"
+    kaytus.ksmanage.edit_event_log_policy:
+      policy: "Linear"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Log(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'seteventlogpolicy'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        policy=dict(type='str', required=True, choices=['Linear', 'Circular']),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    log_obj = Log(argument_spec)
+    log_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_fan.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_fan.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_fan.py	2024-04-23 11:47:03.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_fan.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,126 +1,126 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: edit_fan
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Set fan information
-description:
-   - Set fan information on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    mode:
-        description:
-            - Control mode, Manual or Automatic , Manual must be used with fans_peed.
-        choices: ['Automatic', 'Manual']
-        type: str
-    id:
-        description:
-            - Fan id 255 is for all fans, 0~n.
-        type: int
-    fan_speed:
-        description:
-            - Fan speed (duty ratio), range in 1 - 100.
-        type: int
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Fan test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Set fan information"
-    kaytus.ksmanage.edit_fan:
-      mode: "Automatic"
-      provider: "{{ ksmanage }}"
-
-  - name: "Set fan information"
-    kaytus.ksmanage.edit_fan:
-      mode: "Manual"
-      id: 1
-      fan_speed: 80
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Fan(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'fancontrol'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        mode=dict(type='str', required=False, choices=['Automatic', 'Manual']),
-        id=dict(type='int', required=False),
-        fan_speed=dict(type='int', required=False),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    fan_obj = Fan(argument_spec)
-    fan_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: edit_fan
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Set fan information
+description:
+   - Set fan information on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    mode:
+        description:
+            - Control mode, Manual or Automatic , Manual must be used with fans_peed.
+        choices: ['Automatic', 'Manual']
+        type: str
+    id:
+        description:
+            - Fan id 255 is for all fans, 0~n.
+        type: int
+    fan_speed:
+        description:
+            - Fan speed (duty ratio), range in 1 - 100.
+        type: int
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Fan test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Set fan information"
+    kaytus.ksmanage.edit_fan:
+      mode: "Automatic"
+      provider: "{{ ksmanage }}"
+
+  - name: "Set fan information"
+    kaytus.ksmanage.edit_fan:
+      mode: "Manual"
+      id: 1
+      fan_speed: 80
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Fan(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'fancontrol'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        mode=dict(type='str', required=False, choices=['Automatic', 'Manual']),
+        id=dict(type='int', required=False),
+        fan_speed=dict(type='int', required=False),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    fan_obj = Fan(argument_spec)
+    fan_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_fru.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_fru.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_fru.py	2024-04-23 11:47:03.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_fru.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,121 +1,121 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: edit_fru
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Set fru settings
-description:
-   - Set fru settings on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    attribute:
-        description:
-            - CP is Chassis Part Number, CS is Chassis Serial, PM is Product Manufacturer.
-            - PPN is Product Part Number, PS is Product Serial, PN is Product Name.
-            - PV is Product Version, PAT is Product Asset Tag, BM is Board Mfg, BPN is Board Product Name.
-            - BS is Board Serial, BP is Board Part Number.
-        choices: ['CP', 'CS', 'PM', 'PPN', 'PS', 'PN', 'PV', 'PAT', 'BM', 'BPN', 'BS', 'BP']
-        required: true
-        type: str
-    value:
-        description:
-            - Set the value of attribute.
-        required: true
-        type: str
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Fru test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Set Fru"
-    kaytus.ksmanage.edit_fru:
-      attribute: "CP"
-      value: "test"
-      provider: "{{ ksmanage }}"
-
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class UID(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'setfru'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        attribute=dict(type='str', required=True, choices=['CP', 'CS', 'PM', 'PPN', 'PS', 'PN', 'PV', 'PAT', 'BM', 'BPN', 'BS', 'BP']),
-        value=dict(type='str', required=True),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    uid_obj = UID(argument_spec)
-    uid_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: edit_fru
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Set fru settings
+description:
+   - Set fru settings on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    attribute:
+        description:
+            - CP is Chassis Part Number, CS is Chassis Serial, PM is Product Manufacturer.
+            - PPN is Product Part Number, PS is Product Serial, PN is Product Name.
+            - PV is Product Version, PAT is Product Asset Tag, BM is Board Mfg, BPN is Board Product Name.
+            - BS is Board Serial, BP is Board Part Number.
+        choices: ['CP', 'CS', 'PM', 'PPN', 'PS', 'PN', 'PV', 'PAT', 'BM', 'BPN', 'BS', 'BP']
+        required: true
+        type: str
+    value:
+        description:
+            - Set the value of attribute.
+        required: true
+        type: str
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Fru test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Set Fru"
+    kaytus.ksmanage.edit_fru:
+      attribute: "CP"
+      value: "test"
+      provider: "{{ ksmanage }}"
+
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class UID(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'setfru'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        attribute=dict(type='str', required=True, choices=['CP', 'CS', 'PM', 'PPN', 'PS', 'PN', 'PV', 'PAT', 'BM', 'BPN', 'BS', 'BP']),
+        value=dict(type='str', required=True),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    uid_obj = UID(argument_spec)
+    uid_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_ipv4.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_ipv4.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_ipv4.py	2024-04-23 11:47:03.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_ipv4.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,159 +1,159 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: edit_ipv4
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Set ipv4 information
-description:
-   - Set ipv4 information on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    interface_name:
-        description:
-            - Set interface name. Select the LAN interface to be configured.
-        choices: ['eth0', 'eth1', 'bond0']
-        required: true
-        type: str
-    ipv4_status:
-        description:
-            - Enable or disable IPV4.
-        choices: ['enable', 'disable']
-        type: str
-    ipv4_dhcp_enable:
-        description:
-            - Enable 'Enable DHCP' to dynamically configure IPv4 address using Dynamic Host Configuration Protocol (DHCP).
-        choices: ['dhcp', 'static']
-        type: str
-    ipv4_address:
-        description:
-            - If DHCP is disabled, specify a static IPv4 address to be configured for the selected interface.
-            - Required when I(ipv4_dhcp_enable=static).
-        type: str
-    ipv4_subnet:
-        description:
-            - If DHCP is disabled, specify a static Subnet Mask to be configured for the selected interface.
-            - Required when I(ipv4_dhcp_enable=static).
-        type: str
-    ipv4_gateway:
-        description:
-            - If DHCP is disabled, specify a static Default Gateway to be configured for the selected interface.
-            - Required when I(ipv4_dhcp_enable=static).
-        type: str
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Ipv4 test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Set ipv4 information"
-    kaytus.ksmanage.edit_ipv4:
-      interface_name: "eth0"
-      ipv4_status: "disable"
-      provider: "{{ ksmanage }}"
-
-  - name: "Set ipv4 information"
-    kaytus.ksmanage.edit_ipv4:
-      interface_name: "eth0"
-      ipv4_status: "enable"
-      ipv4_dhcp_enable: "dhcp"
-      provider: "{{ ksmanage }}"
-
-  - name: "Set ipv4 information"
-    kaytus.ksmanage.edit_ipv4:
-      interface_name: "eth0"
-      ipv4_status: "enable"
-      ipv4_dhcp_enable: "static"
-      ipv4_address: "100.2.36.10"
-      ipv4_subnet: "255.255.255.0"
-      ipv4_gateway: "100.2.36.1"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Network(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'setipv4'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        interface_name=dict(type='str', required=True, choices=['eth0', 'eth1', 'bond0']),
-        ipv4_status=dict(type='str', required=False, choices=['enable', 'disable']),
-        ipv4_dhcp_enable=dict(type='str', required=False, choices=['dhcp', 'static']),
-        ipv4_address=dict(type='str', required=False),
-        ipv4_subnet=dict(type='str', required=False),
-        ipv4_gateway=dict(type='str', required=False),
-
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    net_obj = Network(argument_spec)
-    net_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: edit_ipv4
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Set ipv4 information
+description:
+   - Set ipv4 information on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    interface_name:
+        description:
+            - Set interface name. Select the LAN interface to be configured.
+        choices: ['eth0', 'eth1', 'bond0']
+        required: true
+        type: str
+    ipv4_status:
+        description:
+            - Enable or disable IPV4.
+        choices: ['enable', 'disable']
+        type: str
+    ipv4_dhcp_enable:
+        description:
+            - Enable 'Enable DHCP' to dynamically configure IPv4 address using Dynamic Host Configuration Protocol (DHCP).
+        choices: ['dhcp', 'static']
+        type: str
+    ipv4_address:
+        description:
+            - If DHCP is disabled, specify a static IPv4 address to be configured for the selected interface.
+            - Required when I(ipv4_dhcp_enable=static).
+        type: str
+    ipv4_subnet:
+        description:
+            - If DHCP is disabled, specify a static Subnet Mask to be configured for the selected interface.
+            - Required when I(ipv4_dhcp_enable=static).
+        type: str
+    ipv4_gateway:
+        description:
+            - If DHCP is disabled, specify a static Default Gateway to be configured for the selected interface.
+            - Required when I(ipv4_dhcp_enable=static).
+        type: str
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Ipv4 test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Set ipv4 information"
+    kaytus.ksmanage.edit_ipv4:
+      interface_name: "eth0"
+      ipv4_status: "disable"
+      provider: "{{ ksmanage }}"
+
+  - name: "Set ipv4 information"
+    kaytus.ksmanage.edit_ipv4:
+      interface_name: "eth0"
+      ipv4_status: "enable"
+      ipv4_dhcp_enable: "dhcp"
+      provider: "{{ ksmanage }}"
+
+  - name: "Set ipv4 information"
+    kaytus.ksmanage.edit_ipv4:
+      interface_name: "eth0"
+      ipv4_status: "enable"
+      ipv4_dhcp_enable: "static"
+      ipv4_address: "100.2.36.10"
+      ipv4_subnet: "255.255.255.0"
+      ipv4_gateway: "100.2.36.1"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Network(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'setipv4'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        interface_name=dict(type='str', required=True, choices=['eth0', 'eth1', 'bond0']),
+        ipv4_status=dict(type='str', required=False, choices=['enable', 'disable']),
+        ipv4_dhcp_enable=dict(type='str', required=False, choices=['dhcp', 'static']),
+        ipv4_address=dict(type='str', required=False),
+        ipv4_subnet=dict(type='str', required=False),
+        ipv4_gateway=dict(type='str', required=False),
+
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    net_obj = Network(argument_spec)
+    net_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_ipv6.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_ipv6.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_ipv6.py	2024-04-23 11:47:03.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_ipv6.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,166 +1,166 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: edit_ipv6
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Set ipv6 information
-description:
-   - Set ipv6 information on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    interface_name:
-        description:
-            - Set interface name. Select the LAN interface to be configured.
-        choices: ['eth0', 'eth1', 'bond0']
-        required: True
-        type: str
-    ipv6_status:
-        description:
-            - Enable or disable IPV6.
-        choices: ['enable', 'disable']
-        type: str
-    ipv6_dhcp_enable:
-        description:
-            - Enable 'Enable DHCP' to dynamically configure IPv6 address using Dynamic Host Configuration Protocol (DHCP).
-        choices: ['dhcp', 'static']
-        type: str
-    ipv6_address:
-        description:
-            - If DHCP is disabled, specify a static IPv6 address to be configured for the selected interface.
-            - Required when I(ipv6_dhcp_enable=static).
-        type: str
-    ipv6_index:
-        description:
-            - Ipv6 index(0-15).
-            - Required when I(ipv6_dhcp_enable=static).
-        type: int
-    ipv6_prefix:
-        description:
-            - The subnet prefix length for the IPv6 settings(0-128).
-            - Required when I(ipv6_dhcp_enable=static).
-        type: int
-    ipv6_gateway:
-        description:
-            - If DHCP is disabled, specify a static Default Gateway to be configured for the selected interface.
-            - Required when I(ipv6_dhcp_enable=static).
-        type: str
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Ipv6 test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Set ipv6 information"
-    kaytus.ksmanage.edit_ipv6:
-      interface_name: "eth0"
-      ipv6_status: "disable"
-      provider: "{{ ksmanage }}"
-
-  - name: "Set ipv6 information"
-    kaytus.ksmanage.edit_ipv6:
-      interface_name: "eth0"
-      ipv6_status: "enable"
-      ipv6_dhcp_enable: "dhcp"
-      provider: "{{ ksmanage }}"
-
-  - name: "Set ipv6 information"
-    kaytus.ksmanage.edit_ipv6:
-      interface_name: "eth0"
-      ipv6_status: "enable"
-      ipv6_dhcp_enable: "static"
-      ipv6_address: "::ffff:100:2:36:10"
-      ipv6_index: 12
-      ipv6_prefix: 16
-      ipv6_gateway: "::"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Network(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'setipv6'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        interface_name=dict(type='str', required=True, choices=['eth0', 'eth1', 'bond0']),
-        ipv6_status=dict(type='str', required=False, choices=['enable', 'disable']),
-        ipv6_dhcp_enable=dict(type='str', required=False, choices=['dhcp', 'static']),
-        ipv6_address=dict(type='str', required=False),
-        ipv6_index=dict(type='int', required=False),
-        ipv6_prefix=dict(type='int', required=False),
-        ipv6_gateway=dict(type='str', required=False),
-
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    net_obj = Network(argument_spec)
-    net_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: edit_ipv6
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Set ipv6 information
+description:
+   - Set ipv6 information on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    interface_name:
+        description:
+            - Set interface name. Select the LAN interface to be configured.
+        choices: ['eth0', 'eth1', 'bond0']
+        required: True
+        type: str
+    ipv6_status:
+        description:
+            - Enable or disable IPV6.
+        choices: ['enable', 'disable']
+        type: str
+    ipv6_dhcp_enable:
+        description:
+            - Enable 'Enable DHCP' to dynamically configure IPv6 address using Dynamic Host Configuration Protocol (DHCP).
+        choices: ['dhcp', 'static']
+        type: str
+    ipv6_address:
+        description:
+            - If DHCP is disabled, specify a static IPv6 address to be configured for the selected interface.
+            - Required when I(ipv6_dhcp_enable=static).
+        type: str
+    ipv6_index:
+        description:
+            - Ipv6 index(0-15).
+            - Required when I(ipv6_dhcp_enable=static).
+        type: int
+    ipv6_prefix:
+        description:
+            - The subnet prefix length for the IPv6 settings(0-128).
+            - Required when I(ipv6_dhcp_enable=static).
+        type: int
+    ipv6_gateway:
+        description:
+            - If DHCP is disabled, specify a static Default Gateway to be configured for the selected interface.
+            - Required when I(ipv6_dhcp_enable=static).
+        type: str
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Ipv6 test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Set ipv6 information"
+    kaytus.ksmanage.edit_ipv6:
+      interface_name: "eth0"
+      ipv6_status: "disable"
+      provider: "{{ ksmanage }}"
+
+  - name: "Set ipv6 information"
+    kaytus.ksmanage.edit_ipv6:
+      interface_name: "eth0"
+      ipv6_status: "enable"
+      ipv6_dhcp_enable: "dhcp"
+      provider: "{{ ksmanage }}"
+
+  - name: "Set ipv6 information"
+    kaytus.ksmanage.edit_ipv6:
+      interface_name: "eth0"
+      ipv6_status: "enable"
+      ipv6_dhcp_enable: "static"
+      ipv6_address: "::ffff:100:2:36:10"
+      ipv6_index: 12
+      ipv6_prefix: 16
+      ipv6_gateway: "::"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Network(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'setipv6'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        interface_name=dict(type='str', required=True, choices=['eth0', 'eth1', 'bond0']),
+        ipv6_status=dict(type='str', required=False, choices=['enable', 'disable']),
+        ipv6_dhcp_enable=dict(type='str', required=False, choices=['dhcp', 'static']),
+        ipv6_address=dict(type='str', required=False),
+        ipv6_index=dict(type='int', required=False),
+        ipv6_prefix=dict(type='int', required=False),
+        ipv6_gateway=dict(type='str', required=False),
+
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    net_obj = Network(argument_spec)
+    net_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_kvm.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_kvm.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_kvm.py	2024-04-23 11:47:03.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_kvm.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,191 +1,191 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: edit_kvm
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Set KVM
-description:
-   - Set KVM on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    client_type:
-        description:
-            - Client Type.
-            - Only the M6 model supports this parameter.
-        choices: ['vnc', 'viewer']
-        type: str
-    kvm_encryption:
-        description:
-            - Encrypt KVM packets.
-        choices: ['enable', 'disable']
-        type: str
-    media_attach:
-        description:
-            - Two types of VM attach mode are available.
-            - Attach is Immediately attaches Virtual Media to the server upon bootup.
-            - Auto is Attaches Virtual Media to the server only when a virtual media session is started.
-            - Only the M5 model supports this parameter.
-        choices: ['attach', 'auto']
-        type: str
-    keyboard_language:
-        description:
-            - Select the Keyboard Language.
-            - AD is Auto Detect, DA is Danish, NL-BE is Dutch Belgium, NL-NL is Dutch Netherland.
-            - GB is English UK , US is English US, FI is Finnish, FR-BE is French Belgium, FR is French France.
-            - DE is German Germany, DE-CH is German Switzerland, IT is Italian, JP is Japanese.
-            - NO is Norwegian, PT is Portuguese, ES is Spanish, SV is Swedish, TR_F is Turkish F, TR_Q is Turkish Q.
-        choices: ['AD', 'DA', 'NL-BE', 'NL-NL', 'GB', 'US', 'FI', 'FR-BE', 'FR', 'DE', 'DE-CH', 'IT', 'JP', 'ON', 'PT', 'EC', 'SV', 'TR_F', 'TR_Q']
-        type: str
-    retry_count:
-        description:
-            - Number of times to be retried in case a KVM failure occurs.Retry count ranges from 1 to 20.
-            - Only the M5 model supports this parameter.
-        type: int
-    retry_time_interval:
-        description:
-            - The Identification for retry time interval configuration (5-30) seconds.
-            - Only the M5 model supports this parameter.
-        type: int
-    local_monitor_off:
-        description:
-            - Server Monitor OFF Feature Status.
-        choices: ['enable', 'disable']
-        type: str
-    automatic_off:
-        description:
-            - Automatically OFF Server Monitor, When KVM Launches.
-        choices: ['enable', 'disable']
-        type: str
-    non_secure:
-        description:
-            - Enable/disable Non Secure Connection Type.
-            - Only the M6 model supports this parameter.
-            - Required when I(client_type=vnc).
-        choices: ['enable', 'disable']
-        type: str
-    ssh_vnc:
-        description:
-            - Enable/disable VNC over SSH in BMC.
-            - Only the M6 model supports this parameter.
-            - Required when I(client_type=vnc).
-        choices: ['enable', 'disable']
-        type: str
-    stunnel_vnc:
-        description:
-            - Enable/disable VNC over Stunnel in BMC.
-            - Only the M6 model supports this parameter.
-            - Required when I(client_type=vnc).
-        choices: ['enable', 'disable']
-        type: str
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: KVM test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Set KVM"
-    kaytus.ksmanage.edit_kvm:
-      kvm_encryption: "enable"
-      media_attach: "auto"
-      keyboard_language: "AD"
-      retry_count: 13
-      retry_time_interval: 10
-      local_monitor_off: "enable"
-      automatic_off: "enable"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class KVM(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'setkvm'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        client_type=dict(type='str', required=False, choices=['vnc', 'viewer']),
-        kvm_encryption=dict(type='str', required=False, choices=['enable', 'disable']),
-        media_attach=dict(type='str', required=False, choices=['attach', 'auto']),
-        keyboard_language=dict(type='str', required=False,
-                               choices=['AD', 'DA', 'NL-BE', 'NL-NL', 'GB', 'US', 'FI', 'FR-BE', 'FR',
-                                        'DE', 'DE-CH', 'IT', 'JP', 'ON', 'PT', 'EC', 'SV', 'TR_F', 'TR_Q']),
-        retry_count=dict(type='int', required=False),
-        retry_time_interval=dict(type='int', required=False),
-        local_monitor_off=dict(type='str', required=False, choices=['enable', 'disable']),
-        automatic_off=dict(type='str', required=False, choices=['enable', 'disable']),
-        non_secure=dict(type='str', required=False, choices=['enable', 'disable']),
-        ssh_vnc=dict(type='str', required=False, choices=['enable', 'disable']),
-        stunnel_vnc=dict(type='str', required=False, choices=['enable', 'disable']),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    kvm_obj = KVM(argument_spec)
-    kvm_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: edit_kvm
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Set KVM
+description:
+   - Set KVM on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    client_type:
+        description:
+            - Client Type.
+            - Only the M6 model supports this parameter.
+        choices: ['vnc', 'viewer']
+        type: str
+    kvm_encryption:
+        description:
+            - Encrypt KVM packets.
+        choices: ['enable', 'disable']
+        type: str
+    media_attach:
+        description:
+            - Two types of VM attach mode are available.
+            - Attach is Immediately attaches Virtual Media to the server upon bootup.
+            - Auto is Attaches Virtual Media to the server only when a virtual media session is started.
+            - Only the M5 model supports this parameter.
+        choices: ['attach', 'auto']
+        type: str
+    keyboard_language:
+        description:
+            - Select the Keyboard Language.
+            - AD is Auto Detect, DA is Danish, NL-BE is Dutch Belgium, NL-NL is Dutch Netherland.
+            - GB is English UK , US is English US, FI is Finnish, FR-BE is French Belgium, FR is French France.
+            - DE is German Germany, DE-CH is German Switzerland, IT is Italian, JP is Japanese.
+            - NO is Norwegian, PT is Portuguese, ES is Spanish, SV is Swedish, TR_F is Turkish F, TR_Q is Turkish Q.
+        choices: ['AD', 'DA', 'NL-BE', 'NL-NL', 'GB', 'US', 'FI', 'FR-BE', 'FR', 'DE', 'DE-CH', 'IT', 'JP', 'ON', 'PT', 'EC', 'SV', 'TR_F', 'TR_Q']
+        type: str
+    retry_count:
+        description:
+            - Number of times to be retried in case a KVM failure occurs.Retry count ranges from 1 to 20.
+            - Only the M5 model supports this parameter.
+        type: int
+    retry_time_interval:
+        description:
+            - The Identification for retry time interval configuration (5-30) seconds.
+            - Only the M5 model supports this parameter.
+        type: int
+    local_monitor_off:
+        description:
+            - Server Monitor OFF Feature Status.
+        choices: ['enable', 'disable']
+        type: str
+    automatic_off:
+        description:
+            - Automatically OFF Server Monitor, When KVM Launches.
+        choices: ['enable', 'disable']
+        type: str
+    non_secure:
+        description:
+            - Enable/disable Non Secure Connection Type.
+            - Only the M6 model supports this parameter.
+            - Required when I(client_type=vnc).
+        choices: ['enable', 'disable']
+        type: str
+    ssh_vnc:
+        description:
+            - Enable/disable VNC over SSH in BMC.
+            - Only the M6 model supports this parameter.
+            - Required when I(client_type=vnc).
+        choices: ['enable', 'disable']
+        type: str
+    stunnel_vnc:
+        description:
+            - Enable/disable VNC over Stunnel in BMC.
+            - Only the M6 model supports this parameter.
+            - Required when I(client_type=vnc).
+        choices: ['enable', 'disable']
+        type: str
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: KVM test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Set KVM"
+    kaytus.ksmanage.edit_kvm:
+      kvm_encryption: "enable"
+      media_attach: "auto"
+      keyboard_language: "AD"
+      retry_count: 13
+      retry_time_interval: 10
+      local_monitor_off: "enable"
+      automatic_off: "enable"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class KVM(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'setkvm'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        client_type=dict(type='str', required=False, choices=['vnc', 'viewer']),
+        kvm_encryption=dict(type='str', required=False, choices=['enable', 'disable']),
+        media_attach=dict(type='str', required=False, choices=['attach', 'auto']),
+        keyboard_language=dict(type='str', required=False,
+                               choices=['AD', 'DA', 'NL-BE', 'NL-NL', 'GB', 'US', 'FI', 'FR-BE', 'FR',
+                                        'DE', 'DE-CH', 'IT', 'JP', 'ON', 'PT', 'EC', 'SV', 'TR_F', 'TR_Q']),
+        retry_count=dict(type='int', required=False),
+        retry_time_interval=dict(type='int', required=False),
+        local_monitor_off=dict(type='str', required=False, choices=['enable', 'disable']),
+        automatic_off=dict(type='str', required=False, choices=['enable', 'disable']),
+        non_secure=dict(type='str', required=False, choices=['enable', 'disable']),
+        ssh_vnc=dict(type='str', required=False, choices=['enable', 'disable']),
+        stunnel_vnc=dict(type='str', required=False, choices=['enable', 'disable']),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    kvm_obj = KVM(argument_spec)
+    kvm_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_ldap.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_ldap.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_ldap.py	2024-04-23 11:47:03.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_ldap.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,193 +1,193 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: edit_ldap
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Set ldap information
-description:
-   - Set ldap information on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    enable:
-        description:
-            - LDAP/E-Directory Authentication Status.
-        choices: ['enable', 'disable']
-        type: str
-    encry:
-        description:
-            - Encryption Type.
-        choices: ['no', 'SSL', 'StartTLS']
-        type: str
-    address:
-        description:
-            - Server Address.
-        type: str
-    server_port:
-        description:
-            - Server Port. Specify the LDAP/E-Directory Port.
-        type: int
-    dn:
-        description:
-            - Bind DN. The Bind DN is used in bind operations, which authenticates the client to the server.
-            - Bind DN is a string of 4 to 64 alphanumeric characters.
-            - It must start with an alphabetical character.
-            - Special Symbols like dot(.), comma(, ), hyphen(-), underscore(_), equal-to(=) are allowed.
-        type: str
-    code:
-        description:
-            - Password. The Bind password is also used in the bind authentication operations between client and server.
-            - Required when I(enable=enable).
-        type: str
-    base:
-        description:
-            - Search Base.
-            - The Search Base allows the LDAP/E-Directory server to find which part of the external directory tree is to be searched.
-            - This search base may be equivalent to the organization or the group of the external directory.
-            - Search base is a string of 4 to 64 alphanumeric characters.
-            - It must start with an alphabetical character.
-            - Special Symbols like dot(.), comma(, ), hyphen(-), underscore(_), equal-to(=) are allowed.
-        type: str
-    attr:
-        description:
-            - Attribute of User Login.
-            - The Attribute of User Login field indicates to the LDAP/E-Directory server which attribute should be used to identify the user.
-        choices: ['cn', 'uid']
-        type: str
-    cn:
-        description:
-            - Common name type.
-            - Required when I(encry=StartTLS).
-        choices: ['ip', 'fqdn']
-        type: str
-    ca:
-        description:
-            - CA certificate file path.
-            - Required when I(encry=StartTLS).
-        type: str
-    ce:
-        description:
-            - Certificate file path.
-            - Required when I(encry=StartTLS).
-        type: str
-    pk:
-        description:
-            - Private Key file path.
-            - Required when I(encry=StartTLS).
-        type: str
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Ldap test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Set ldap information"
-    kaytus.ksmanage.edit_ldap:
-      enable: "disable"
-      provider: "{{ ksmanage }}"
-
-  - name: "Set ldap information"
-    kaytus.ksmanage.edit_ldap:
-      enable: "enable"
-      encry: "SSL"
-      address: "100.2.2.2"
-      server_port: 389
-      dn: "cn=manager,ou=login,dc=domain,dc=com"
-      code: "123456"
-      base: "cn=manager"
-      attr: "uid"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class LDAP(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'setldap'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        enable=dict(type='str', required=False, choices=['enable', 'disable']),
-        encry=dict(type='str', required=False, choices=['no', 'SSL', 'StartTLS']),
-        address=dict(type='str', required=False),
-        server_port=dict(type='int', required=False),
-        dn=dict(type='str', required=False),
-        code=dict(type='str', required=False),
-        base=dict(type='str', required=False),
-        attr=dict(type='str', required=False, choices=['cn', 'uid']),
-        cn=dict(type='str', required=False, choices=['ip', 'fqdn']),
-        ca=dict(type='str', required=False),
-        ce=dict(type='str', required=False),
-        pk=dict(type='str', required=False),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    ldap_obj = LDAP(argument_spec)
-    ldap_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: edit_ldap
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Set ldap information
+description:
+   - Set ldap information on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    enable:
+        description:
+            - LDAP/E-Directory Authentication Status.
+        choices: ['enable', 'disable']
+        type: str
+    encry:
+        description:
+            - Encryption Type.
+        choices: ['no', 'SSL', 'StartTLS']
+        type: str
+    address:
+        description:
+            - Server Address.
+        type: str
+    server_port:
+        description:
+            - Server Port. Specify the LDAP/E-Directory Port.
+        type: int
+    dn:
+        description:
+            - Bind DN. The Bind DN is used in bind operations, which authenticates the client to the server.
+            - Bind DN is a string of 4 to 64 alphanumeric characters.
+            - It must start with an alphabetical character.
+            - Special Symbols like dot(.), comma(, ), hyphen(-), underscore(_), equal-to(=) are allowed.
+        type: str
+    code:
+        description:
+            - Password. The Bind password is also used in the bind authentication operations between client and server.
+            - Required when I(enable=enable).
+        type: str
+    base:
+        description:
+            - Search Base.
+            - The Search Base allows the LDAP/E-Directory server to find which part of the external directory tree is to be searched.
+            - This search base may be equivalent to the organization or the group of the external directory.
+            - Search base is a string of 4 to 64 alphanumeric characters.
+            - It must start with an alphabetical character.
+            - Special Symbols like dot(.), comma(, ), hyphen(-), underscore(_), equal-to(=) are allowed.
+        type: str
+    attr:
+        description:
+            - Attribute of User Login.
+            - The Attribute of User Login field indicates to the LDAP/E-Directory server which attribute should be used to identify the user.
+        choices: ['cn', 'uid']
+        type: str
+    cn:
+        description:
+            - Common name type.
+            - Required when I(encry=StartTLS).
+        choices: ['ip', 'fqdn']
+        type: str
+    ca:
+        description:
+            - CA certificate file path.
+            - Required when I(encry=StartTLS).
+        type: str
+    ce:
+        description:
+            - Certificate file path.
+            - Required when I(encry=StartTLS).
+        type: str
+    pk:
+        description:
+            - Private Key file path.
+            - Required when I(encry=StartTLS).
+        type: str
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Ldap test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Set ldap information"
+    kaytus.ksmanage.edit_ldap:
+      enable: "disable"
+      provider: "{{ ksmanage }}"
+
+  - name: "Set ldap information"
+    kaytus.ksmanage.edit_ldap:
+      enable: "enable"
+      encry: "SSL"
+      address: "100.2.2.2"
+      server_port: 389
+      dn: "cn=manager,ou=login,dc=domain,dc=com"
+      code: "123456"
+      base: "cn=manager"
+      attr: "uid"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class LDAP(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'setldap'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        enable=dict(type='str', required=False, choices=['enable', 'disable']),
+        encry=dict(type='str', required=False, choices=['no', 'SSL', 'StartTLS']),
+        address=dict(type='str', required=False),
+        server_port=dict(type='int', required=False),
+        dn=dict(type='str', required=False),
+        code=dict(type='str', required=False),
+        base=dict(type='str', required=False),
+        attr=dict(type='str', required=False, choices=['cn', 'uid']),
+        cn=dict(type='str', required=False, choices=['ip', 'fqdn']),
+        ca=dict(type='str', required=False),
+        ce=dict(type='str', required=False),
+        pk=dict(type='str', required=False),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    ldap_obj = LDAP(argument_spec)
+    ldap_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_ldisk.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_ldisk.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_ldisk.py	2024-04-23 11:47:03.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_ldisk.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,131 +1,131 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: edit_ldisk
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Set logical disk
-description:
-   - Set logical disk on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    ctrl_id:
-        description:
-            - Raid controller ID.
-        type: int
-    ldisk_id:
-        description:
-            - Logical disk ID.
-        type: int
-    option:
-        description:
-            - Set operation options for a logical disk.
-            - LOC is Locate Logical Drive, STL is Stop Locate LogicalDrive.
-            - FI is Fast Initialization, SFI is Slow/Full Initialization.
-            - SI is Stop Initialization, DEL is Delete LogicalDrive.
-        choices: ['LOC', 'STL', 'FI', 'SFI', 'SI', 'DEL']
-        type: str
-    duration:
-        description:
-            - Duration range is 1-255, physical drive under PMC raid controller.
-            - Required when I(option=LOC).
-            - Only the M6 model supports this parameter.
-        type: int
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Edit ldisk test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Edit ldisk"
-    kaytus.ksmanage.edit_ldisk:
-      ctrl_id: 0
-      ldisk_id: 1
-      option: "LOC"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Disk(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'setldisk'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        ctrl_id=dict(type='int', required=False),
-        ldisk_id=dict(type='int', required=False),
-        option=dict(type='str', required=False, choices=['LOC', 'STL', 'FI', 'SFI', 'SI', 'DEL']),
-        duration=dict(type='int', required=False),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    disk_obj = Disk(argument_spec)
-    disk_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: edit_ldisk
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Set logical disk
+description:
+   - Set logical disk on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    ctrl_id:
+        description:
+            - Raid controller ID.
+        type: int
+    ldisk_id:
+        description:
+            - Logical disk ID.
+        type: int
+    option:
+        description:
+            - Set operation options for a logical disk.
+            - LOC is Locate Logical Drive, STL is Stop Locate LogicalDrive.
+            - FI is Fast Initialization, SFI is Slow/Full Initialization.
+            - SI is Stop Initialization, DEL is Delete LogicalDrive.
+        choices: ['LOC', 'STL', 'FI', 'SFI', 'SI', 'DEL']
+        type: str
+    duration:
+        description:
+            - Duration range is 1-255, physical drive under PMC raid controller.
+            - Required when I(option=LOC).
+            - Only the M6 model supports this parameter.
+        type: int
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Edit ldisk test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Edit ldisk"
+    kaytus.ksmanage.edit_ldisk:
+      ctrl_id: 0
+      ldisk_id: 1
+      option: "LOC"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Disk(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'setldisk'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        ctrl_id=dict(type='int', required=False),
+        ldisk_id=dict(type='int', required=False),
+        option=dict(type='str', required=False, choices=['LOC', 'STL', 'FI', 'SFI', 'SI', 'DEL']),
+        duration=dict(type='int', required=False),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    disk_obj = Disk(argument_spec)
+    disk_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_log_setting.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_log_setting.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_log_setting.py	2024-04-23 11:47:03.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_log_setting.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,164 +1,164 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: edit_log_setting
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Set bmc system and audit log setting
-description:
-   - Set bmc system and audit log setting on kaytus Server.
-   - Only the M5 models support this feature.
-notes:
-   - Does not support C(check_mode).
-options:
-    status:
-        description:
-            - System Log Status.
-        choices: ['enable', 'disable']
-        type: str
-    type:
-        description:
-            - System log type.
-        choices: ['local', 'remote', 'both']
-        type: str
-    file_size:
-        description:
-            - File Size(3-65535bytes), set when type is local(default 30000).
-        type: int
-    audit_status:
-        description:
-            - Audit Log Status.
-        choices: ['enable', 'disable']
-        type: str
-    audit_type:
-        description:
-            - Audit log type.
-        choices: ['local', 'remote', 'both']
-        type: str
-    rotate_count:
-        description:
-            - Rotate Count, set when type is local, 0-delete old files(default), 1-bak old files.
-        choices: [0, 1]
-        type: int
-    server_addr:
-        description:
-            - Server Address, set when type is remote.
-        type: str
-    server_port:
-        description:
-            - Server Port(0-65535), set when type is remote.
-        type: int
-    protocol_type:
-        description:
-            - Protocol Type, set when type is remote.
-        choices: ['UDP', 'TCP']
-        type: str
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Edit log setting test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Edit bmc system log setting"
-    kaytus.ksmanage.edit_log_setting:
-      status: "enable"
-      type: "both"
-      provider: "{{ ksmanage }}"
-
-  - name: "Edit bmc audit log setting"
-    kaytus.ksmanage.edit_log_setting:
-      audit_status: "enable"
-      audit_type: "remote"
-      server_addr: "100.2.126.11"
-      server_port: "514"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class LogSetting(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'setbmclogsettings'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        status=dict(type='str', required=False, choices=['enable', 'disable']),
-        type=dict(type='str', required=False, choices=['local', 'remote', 'both']),
-        file_size=dict(type='int', required=False),
-        audit_status=dict(type='str', required=False, choices=['enable', 'disable']),
-        audit_type=dict(type='str', required=False, choices=['local', 'remote', 'both']),
-        rotate_count=dict(type='int', required=False, choices=[0, 1]),
-        server_addr=dict(type='str', required=False),
-        server_port=dict(type='int', required=False),
-        protocol_type=dict(type='str', required=False, choices=['UDP', 'TCP']),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    log_obj = LogSetting(argument_spec)
-    log_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: edit_log_setting
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Set bmc system and audit log setting
+description:
+   - Set bmc system and audit log setting on kaytus Server.
+   - Only the M5 models support this feature.
+notes:
+   - Does not support C(check_mode).
+options:
+    status:
+        description:
+            - System Log Status.
+        choices: ['enable', 'disable']
+        type: str
+    type:
+        description:
+            - System log type.
+        choices: ['local', 'remote', 'both']
+        type: str
+    file_size:
+        description:
+            - File Size(3-65535bytes), set when type is local(default 30000).
+        type: int
+    audit_status:
+        description:
+            - Audit Log Status.
+        choices: ['enable', 'disable']
+        type: str
+    audit_type:
+        description:
+            - Audit log type.
+        choices: ['local', 'remote', 'both']
+        type: str
+    rotate_count:
+        description:
+            - Rotate Count, set when type is local, 0-delete old files(default), 1-bak old files.
+        choices: [0, 1]
+        type: int
+    server_addr:
+        description:
+            - Server Address, set when type is remote.
+        type: str
+    server_port:
+        description:
+            - Server Port(0-65535), set when type is remote.
+        type: int
+    protocol_type:
+        description:
+            - Protocol Type, set when type is remote.
+        choices: ['UDP', 'TCP']
+        type: str
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Edit log setting test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Edit bmc system log setting"
+    kaytus.ksmanage.edit_log_setting:
+      status: "enable"
+      type: "both"
+      provider: "{{ ksmanage }}"
+
+  - name: "Edit bmc audit log setting"
+    kaytus.ksmanage.edit_log_setting:
+      audit_status: "enable"
+      audit_type: "remote"
+      server_addr: "100.2.126.11"
+      server_port: "514"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class LogSetting(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'setbmclogsettings'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        status=dict(type='str', required=False, choices=['enable', 'disable']),
+        type=dict(type='str', required=False, choices=['local', 'remote', 'both']),
+        file_size=dict(type='int', required=False),
+        audit_status=dict(type='str', required=False, choices=['enable', 'disable']),
+        audit_type=dict(type='str', required=False, choices=['local', 'remote', 'both']),
+        rotate_count=dict(type='int', required=False, choices=[0, 1]),
+        server_addr=dict(type='str', required=False),
+        server_port=dict(type='int', required=False),
+        protocol_type=dict(type='str', required=False, choices=['UDP', 'TCP']),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    log_obj = LogSetting(argument_spec)
+    log_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_m6_log_setting.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_m6_log_setting.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_m6_log_setting.py	2024-04-23 11:47:03.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_m6_log_setting.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,174 +1,174 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: edit_m6_log_setting
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Set bmc system and audit log setting
-description:
-   - Set bmc system and audit log setting on kaytus Server.
-   - Only the M6 models support this feature.
-notes:
-   - Does not support C(check_mode).
-options:
-    status:
-        description:
-            - System Log Status.
-        choices: ['enable', 'disable']
-        type: str
-    host_tag:
-        description:
-            - System log host tag, set when I(status=enable).
-        choices: ['HostName', 'SerialNum', 'AssertTag']
-        type: str
-    level:
-        description:
-            - Events Level, set when I(status=enable).
-        choices: ['Critical', 'Warning', 'Info']
-        type: str
-    protocol_type:
-        description:
-            - Protocol Type, set when I(status=enable).
-        choices: ['UDP', 'TCP']
-        type: str
-    server_id:
-        description:
-            - Syslog Server ID, set when I(status=enable).
-        choices: [0, 1, 2, 3]
-        type: int
-    server_addr:
-        description:
-            - Server Address, set when server_id is not none.
-        type: str
-    server_port:
-        description:
-            - Server Address, set when server_id is not none.
-        type: int
-    log_type:
-        description:
-            - Remote Log Type, set when server_id is not none.
-        choices: ['idl', 'audit', 'both']
-        type: str
-    test:
-        description:
-            - Test remote log settings, set when server_id is not none.
-        default: False
-        type: bool
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Edit log setting test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Edit bmc system log setting"
-    kaytus.ksmanage.edit_m6_log_setting:
-      status: "disable"
-      provider: "{{ ksmanage }}"
-
-  - name: "Edit bmc audit log setting"
-    kaytus.ksmanage.edit_m6_log_setting:
-      status: "enable"
-      host_tag: "HostName"
-      level: "Info"
-      protocol_type: "TCP"
-      server_id: 0
-      server_addr: "100.2.126.11"
-      server_port: 514
-      log_type: "both"
-      provider: "{{ ksmanage }}"
-
-  - name: "test bmc audit log"
-    kaytus.ksmanage.edit_m6_log_setting:
-      server_id: 0
-      test: True
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class LogSetting(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'setbmclogcfg'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        status=dict(type='str', required=False, choices=['enable', 'disable']),
-        host_tag=dict(type='str', required=False, choices=['HostName', 'SerialNum', 'AssertTag']),
-        level=dict(type='str', required=False, choices=['Critical', 'Warning', 'Info']),
-        protocol_type=dict(type='str', required=False, choices=['UDP', 'TCP']),
-        server_id=dict(type='int', required=False, choices=[0, 1, 2, 3]),
-        server_addr=dict(type='str', required=False),
-        server_port=dict(type='int', required=False),
-        log_type=dict(type='str', required=False, choices=['idl', 'audit', 'both']),
-        test=dict(type='bool', required=False, default=False),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    log_obj = LogSetting(argument_spec)
-    log_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: edit_m6_log_setting
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Set bmc system and audit log setting
+description:
+   - Set bmc system and audit log setting on kaytus Server.
+   - Only the M6 models support this feature.
+notes:
+   - Does not support C(check_mode).
+options:
+    status:
+        description:
+            - System Log Status.
+        choices: ['enable', 'disable']
+        type: str
+    host_tag:
+        description:
+            - System log host tag, set when I(status=enable).
+        choices: ['HostName', 'SerialNum', 'AssertTag']
+        type: str
+    level:
+        description:
+            - Events Level, set when I(status=enable).
+        choices: ['Critical', 'Warning', 'Info']
+        type: str
+    protocol_type:
+        description:
+            - Protocol Type, set when I(status=enable).
+        choices: ['UDP', 'TCP']
+        type: str
+    server_id:
+        description:
+            - Syslog Server ID, set when I(status=enable).
+        choices: [0, 1, 2, 3]
+        type: int
+    server_addr:
+        description:
+            - Server Address, set when server_id is not none.
+        type: str
+    server_port:
+        description:
+            - Server Address, set when server_id is not none.
+        type: int
+    log_type:
+        description:
+            - Remote Log Type, set when server_id is not none.
+        choices: ['idl', 'audit', 'both']
+        type: str
+    test:
+        description:
+            - Test remote log settings, set when server_id is not none.
+        default: False
+        type: bool
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Edit log setting test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Edit bmc system log setting"
+    kaytus.ksmanage.edit_m6_log_setting:
+      status: "disable"
+      provider: "{{ ksmanage }}"
+
+  - name: "Edit bmc audit log setting"
+    kaytus.ksmanage.edit_m6_log_setting:
+      status: "enable"
+      host_tag: "HostName"
+      level: "Info"
+      protocol_type: "TCP"
+      server_id: 0
+      server_addr: "100.2.126.11"
+      server_port: 514
+      log_type: "both"
+      provider: "{{ ksmanage }}"
+
+  - name: "test bmc audit log"
+    kaytus.ksmanage.edit_m6_log_setting:
+      server_id: 0
+      test: True
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class LogSetting(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'setbmclogcfg'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        status=dict(type='str', required=False, choices=['enable', 'disable']),
+        host_tag=dict(type='str', required=False, choices=['HostName', 'SerialNum', 'AssertTag']),
+        level=dict(type='str', required=False, choices=['Critical', 'Warning', 'Info']),
+        protocol_type=dict(type='str', required=False, choices=['UDP', 'TCP']),
+        server_id=dict(type='int', required=False, choices=[0, 1, 2, 3]),
+        server_addr=dict(type='str', required=False),
+        server_port=dict(type='int', required=False),
+        log_type=dict(type='str', required=False, choices=['idl', 'audit', 'both']),
+        test=dict(type='bool', required=False, default=False),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    log_obj = LogSetting(argument_spec)
+    log_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_manual_capture.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_manual_capture.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_manual_capture.py	2024-04-23 11:47:03.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_manual_capture.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,110 +1,110 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: edit_manual_capture
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Set manual capture screen
-description:
-   - Set manual capture screen on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    type:
-        description:
-            - Manual type.
-        choices: ['capture', 'delete']
-        type: str
-        required: true
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Screen test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Set manual capture screen"
-    kaytus.ksmanage.edit_manual_capture:
-      type: "capture"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Screen(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'screenmanual'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        type=dict(type='str', required=True, choices=['capture', 'delete']),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    screen_obj = Screen(argument_spec)
-    screen_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: edit_manual_capture
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Set manual capture screen
+description:
+   - Set manual capture screen on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    type:
+        description:
+            - Manual type.
+        choices: ['capture', 'delete']
+        type: str
+        required: true
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Screen test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Set manual capture screen"
+    kaytus.ksmanage.edit_manual_capture:
+      type: "capture"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Screen(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'screenmanual'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        type=dict(type='str', required=True, choices=['capture', 'delete']),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    screen_obj = Screen(argument_spec)
+    screen_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_media_instance.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_media_instance.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_media_instance.py	2024-04-23 11:47:03.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_media_instance.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,167 +1,167 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: edit_media_instance
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Set Virtual Media Instance
-description:
-   - Set Virtual Media Instance on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    num_fd:
-        description:
-            - Select the number of floppy devices that support for Virtual Media redirection.
-        choices: [0, 1, 2, 3, 4]
-        type: int
-    num_cd:
-        description:
-            - Select the number of CD/DVD devices that support for Virtual Media redirection.
-        choices: [0, 1, 2, 3, 4]
-        type: int
-    num_hd:
-        description:
-            - Select the number of harddisk devices that support for Virtual Media redirection.
-        choices: [0, 1, 2, 3, 4]
-        type: int
-    kvm_num_fd:
-        description:
-            - Select the number of Remote KVM floppy devices that support for Virtual Media redirection.
-        choices: [0, 1, 2, 3, 4]
-        type: int
-    kvm_num_cd:
-        description:
-            - Select the number of Remote KVM CD/DVD devices that support for virtual Media redirection.
-            - The max support number of html5 KVM is 2 and java KVM is 4.
-        choices: [0, 1, 2, 3, 4]
-        type: int
-    kvm_num_hd:
-        description:
-            - Select the number of Remote KVM Hard disk devices to support for Virtual Media redirection.
-        choices: [0, 1, 2, 3, 4]
-        type: int
-    sd_media:
-        description:
-            - Check this option to enable SD Media support in BMC.
-        choices: ['Enable', 'Disable']
-        type: str
-    secure_channel:
-        description:
-            - Check this option to enable encrypt media recirection packets.
-            - Only the M5/M6 model supports this parameter.
-        choices: ['Enable', 'Disable']
-        type: str
-    power_save_mode:
-        description:
-            - Check this option to enable Power Save Mode in BMC.
-        choices: ['Enable', 'Disable']
-        type: str
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Media instance test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Set media instance"
-    kaytus.ksmanage.edit_media_instance:
-      num_fd: 1
-      num_cd: 1
-      num_hd: 1
-      kvm_num_fd: 1
-      kvm_num_cd: 1
-      kvm_num_hd: 1
-      sd_media: "Enable"
-      secure_channel: "Enable"
-      power_save_mode: "Enable"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Instance(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'setmediainstance'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        num_fd=dict(type='int', required=False, choices=[0, 1, 2, 3, 4]),
-        num_cd=dict(type='int', required=False, choices=[0, 1, 2, 3, 4]),
-        num_hd=dict(type='int', required=False, choices=[0, 1, 2, 3, 4]),
-        kvm_num_fd=dict(type='int', required=False, choices=[0, 1, 2, 3, 4]),
-        kvm_num_cd=dict(type='int', required=False, choices=[0, 1, 2, 3, 4]),
-        kvm_num_hd=dict(type='int', required=False, choices=[0, 1, 2, 3, 4]),
-        sd_media=dict(type='str', required=False, choices=['Enable', 'Disable']),
-        secure_channel=dict(type='str', required=False, choices=['Enable', 'Disable']),
-        power_save_mode=dict(type='str', required=False, choices=['Enable', 'Disable']),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    instance_obj = Instance(argument_spec)
-    instance_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: edit_media_instance
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Set Virtual Media Instance
+description:
+   - Set Virtual Media Instance on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    num_fd:
+        description:
+            - Select the number of floppy devices that support for Virtual Media redirection.
+        choices: [0, 1, 2, 3, 4]
+        type: int
+    num_cd:
+        description:
+            - Select the number of CD/DVD devices that support for Virtual Media redirection.
+        choices: [0, 1, 2, 3, 4]
+        type: int
+    num_hd:
+        description:
+            - Select the number of harddisk devices that support for Virtual Media redirection.
+        choices: [0, 1, 2, 3, 4]
+        type: int
+    kvm_num_fd:
+        description:
+            - Select the number of Remote KVM floppy devices that support for Virtual Media redirection.
+        choices: [0, 1, 2, 3, 4]
+        type: int
+    kvm_num_cd:
+        description:
+            - Select the number of Remote KVM CD/DVD devices that support for virtual Media redirection.
+            - The max support number of html5 KVM is 2 and java KVM is 4.
+        choices: [0, 1, 2, 3, 4]
+        type: int
+    kvm_num_hd:
+        description:
+            - Select the number of Remote KVM Hard disk devices to support for Virtual Media redirection.
+        choices: [0, 1, 2, 3, 4]
+        type: int
+    sd_media:
+        description:
+            - Check this option to enable SD Media support in BMC.
+        choices: ['Enable', 'Disable']
+        type: str
+    secure_channel:
+        description:
+            - Check this option to enable encrypt media recirection packets.
+            - Only the M5/M6 model supports this parameter.
+        choices: ['Enable', 'Disable']
+        type: str
+    power_save_mode:
+        description:
+            - Check this option to enable Power Save Mode in BMC.
+        choices: ['Enable', 'Disable']
+        type: str
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Media instance test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Set media instance"
+    kaytus.ksmanage.edit_media_instance:
+      num_fd: 1
+      num_cd: 1
+      num_hd: 1
+      kvm_num_fd: 1
+      kvm_num_cd: 1
+      kvm_num_hd: 1
+      sd_media: "Enable"
+      secure_channel: "Enable"
+      power_save_mode: "Enable"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Instance(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'setmediainstance'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        num_fd=dict(type='int', required=False, choices=[0, 1, 2, 3, 4]),
+        num_cd=dict(type='int', required=False, choices=[0, 1, 2, 3, 4]),
+        num_hd=dict(type='int', required=False, choices=[0, 1, 2, 3, 4]),
+        kvm_num_fd=dict(type='int', required=False, choices=[0, 1, 2, 3, 4]),
+        kvm_num_cd=dict(type='int', required=False, choices=[0, 1, 2, 3, 4]),
+        kvm_num_hd=dict(type='int', required=False, choices=[0, 1, 2, 3, 4]),
+        sd_media=dict(type='str', required=False, choices=['Enable', 'Disable']),
+        secure_channel=dict(type='str', required=False, choices=['Enable', 'Disable']),
+        power_save_mode=dict(type='str', required=False, choices=['Enable', 'Disable']),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    instance_obj = Instance(argument_spec)
+    instance_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_ncsi.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_ncsi.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_ncsi.py	2024-04-23 11:47:03.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_ncsi.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,133 +1,133 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: edit_ncsi
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Set ncsi information
-description:
-   - Set ncsi information on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    nic_type:
-        description:
-            - Nic type.
-            - Only NF3280A6 and NF3180A6 model supports C(Disable) Settings, but not support C(PHY) Settings.
-            - M6 model only support C(OCP), C(OCP1), C(PCIE) settings.
-        choices: ['PHY', 'OCP', 'OCP1', 'PCIE', 'auto', 'Disable']
-        type: str
-    mode:
-        description:
-            - NCSI mode, auto-Auto Failover, manual-Manual Switch.
-            - Only M6 model supports C(Disable) Settings.
-        choices: ['auto', 'manual', 'Disable']
-        type: str
-    interface_name:
-        description:
-            - Interface name, for example eth0.
-            - Only the M5 model supports this parameter.
-        type: str
-    channel_number:
-        description:
-            - Channel number.
-        choices: [0, 1, 2, 3]
-        type: int
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: NCSI test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Set ncsi information"
-    kaytus.ksmanage.edit_ncsi:
-      mode: "manual"
-      nic_type: "PCIE"
-      interface_name: "eth0"
-      channel_number: 1
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class NCSI(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'setncsi'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        nic_type=dict(type='str', required=False, choices=['PHY', 'OCP', 'OCP1', 'PCIE', 'auto', 'Disable']),
-        mode=dict(type='str', required=False, choices=['auto', 'manual', 'Disable']),
-        interface_name=dict(type='str', required=False),
-        channel_number=dict(type='int', required=False, choices=[0, 1, 2, 3]),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    ncsi_obj = NCSI(argument_spec)
-    ncsi_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: edit_ncsi
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Set ncsi information
+description:
+   - Set ncsi information on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    nic_type:
+        description:
+            - Nic type.
+            - Only NF3280A6 and NF3180A6 model supports C(Disable) Settings, but not support C(PHY) Settings.
+            - M6 model only support C(OCP), C(OCP1), C(PCIE) settings.
+        choices: ['PHY', 'OCP', 'OCP1', 'PCIE', 'auto', 'Disable']
+        type: str
+    mode:
+        description:
+            - NCSI mode, auto-Auto Failover, manual-Manual Switch.
+            - Only M6 model supports C(Disable) Settings.
+        choices: ['auto', 'manual', 'Disable']
+        type: str
+    interface_name:
+        description:
+            - Interface name, for example eth0.
+            - Only the M5 model supports this parameter.
+        type: str
+    channel_number:
+        description:
+            - Channel number.
+        choices: [0, 1, 2, 3]
+        type: int
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: NCSI test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Set ncsi information"
+    kaytus.ksmanage.edit_ncsi:
+      mode: "manual"
+      nic_type: "PCIE"
+      interface_name: "eth0"
+      channel_number: 1
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class NCSI(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'setncsi'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        nic_type=dict(type='str', required=False, choices=['PHY', 'OCP', 'OCP1', 'PCIE', 'auto', 'Disable']),
+        mode=dict(type='str', required=False, choices=['auto', 'manual', 'Disable']),
+        interface_name=dict(type='str', required=False),
+        channel_number=dict(type='int', required=False, choices=[0, 1, 2, 3]),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    ncsi_obj = NCSI(argument_spec)
+    ncsi_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_network.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_network.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_network.py	2024-04-23 11:47:03.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_network.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,118 +1,118 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: edit_network
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Set network information
-description:
-   - Set network information on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    interface_name:
-        description:
-            - Set interface name. Select the LAN interface to be configured.
-        choices: ['eth0', 'eth1', 'bond0']
-        required: true
-        type: str
-    lan_enable:
-        description:
-            - Enable or disable this interface. If disable, you cannot use this interface any more.
-        choices: ['enable', 'disable']
-        required: true
-        type: str
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Network test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Set network information"
-    kaytus.ksmanage.edit_network:
-      interface_name: "eth0"
-      lan_enable: "enable"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Network(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'setnetwork'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        interface_name=dict(type='str', required=True, choices=['eth0', 'eth1', 'bond0']),
-        lan_enable=dict(type='str', required=True, choices=['enable', 'disable']),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    net_obj = Network(argument_spec)
-    net_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: edit_network
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Set network information
+description:
+   - Set network information on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    interface_name:
+        description:
+            - Set interface name. Select the LAN interface to be configured.
+        choices: ['eth0', 'eth1', 'bond0']
+        required: true
+        type: str
+    lan_enable:
+        description:
+            - Enable or disable this interface. If disable, you cannot use this interface any more.
+        choices: ['enable', 'disable']
+        required: true
+        type: str
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Network test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Set network information"
+    kaytus.ksmanage.edit_network:
+      interface_name: "eth0"
+      lan_enable: "enable"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Network(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'setnetwork'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        interface_name=dict(type='str', required=True, choices=['eth0', 'eth1', 'bond0']),
+        lan_enable=dict(type='str', required=True, choices=['enable', 'disable']),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    net_obj = Network(argument_spec)
+    net_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_network_bond.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_network_bond.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_network_bond.py	2024-04-23 11:47:03.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_network_bond.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,123 +1,123 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: edit_network_bond
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Set network bond
-description:
-   - Set network bond on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    bond:
-        description:
-            - Network bond status, If VLAN is enabled for slave interfaces, then Bonding cannot be enabled.
-        choices: ['enable', 'disable']
-        type: str
-    interface:
-        description:
-            - Interface name.
-        choices: ['shared', 'dedicated', 'both']
-        type: str
-    auto_config:
-        description:
-            - Enable this option to configure the interfaces in service configuration automatically.
-        choices: ['enable', 'disable']
-        type: str
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Bond test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Set network bond"
-    kaytus.ksmanage.edit_network_bond:
-      bond: "enable"
-      interface: "dedicated"
-      auto_config: "enable"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Bond(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'setnetworkbond'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        bond=dict(type='str', required=False, choices=['enable', 'disable']),
-        interface=dict(type='str', required=False, choices=['shared', 'dedicated', 'both']),
-        auto_config=dict(type='str', required=False, choices=['enable', 'disable']),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    bond_obj = Bond(argument_spec)
-    bond_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: edit_network_bond
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Set network bond
+description:
+   - Set network bond on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    bond:
+        description:
+            - Network bond status, If VLAN is enabled for slave interfaces, then Bonding cannot be enabled.
+        choices: ['enable', 'disable']
+        type: str
+    interface:
+        description:
+            - Interface name.
+        choices: ['shared', 'dedicated', 'both']
+        type: str
+    auto_config:
+        description:
+            - Enable this option to configure the interfaces in service configuration automatically.
+        choices: ['enable', 'disable']
+        type: str
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Bond test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Set network bond"
+    kaytus.ksmanage.edit_network_bond:
+      bond: "enable"
+      interface: "dedicated"
+      auto_config: "enable"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Bond(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'setnetworkbond'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        bond=dict(type='str', required=False, choices=['enable', 'disable']),
+        interface=dict(type='str', required=False, choices=['shared', 'dedicated', 'both']),
+        auto_config=dict(type='str', required=False, choices=['enable', 'disable']),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    bond_obj = Bond(argument_spec)
+    bond_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_network_link.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_network_link.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_network_link.py	2024-04-23 11:47:03.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_network_link.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,140 +1,140 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: edit_network_link
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Set network link
-description:
-   - Set network link on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    interface:
-        description:
-            - Interface name.
-        choices: ['shared', 'dedicated', 'both']
-        type: str
-        required: true
-    auto_nego:
-        description:
-            - This option allows the device to perform auto-configuration.
-            - To achieve the best mode of operation (speed and duplex) on the link.
-        choices: ['enable', 'disable']
-        type: str
-    link_speed:
-        description:
-            - Link speed will list all the supported capabilities of the network interface. It can be 10/100 Mbps.
-            - Required when I(auto_nego=disable).
-        choices: [10, 100]
-        type: int
-    duplex_mode:
-        description:
-            - Select any one of the following Duplex Mode.
-            - Required when I(auto_nego=disable).
-        choices: ['HALF', 'FULL']
-        type: str
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Link test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Set network link"
-    kaytus.ksmanage.edit_network_link:
-      interface: "dedicated"
-      auto_nego: "enable"
-      provider: "{{ ksmanage }}"
-
-  - name: "Set network link"
-    kaytus.ksmanage.edit_network_link:
-      interface: "dedicated"
-      auto_nego: "disable"
-      link_speed: 100
-      duplex_mode: "FULL"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Link(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'setnetworklink'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        interface=dict(type='str', required=True, choices=['shared', 'dedicated', 'both']),
-        auto_nego=dict(type='str', required=False, choices=['enable', 'disable']),
-        link_speed=dict(type='int', required=False, choices=[10, 100]),
-        duplex_mode=dict(type='str', required=False, choices=['HALF', 'FULL']),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    link_obj = Link(argument_spec)
-    link_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: edit_network_link
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Set network link
+description:
+   - Set network link on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    interface:
+        description:
+            - Interface name.
+        choices: ['shared', 'dedicated', 'both']
+        type: str
+        required: true
+    auto_nego:
+        description:
+            - This option allows the device to perform auto-configuration.
+            - To achieve the best mode of operation (speed and duplex) on the link.
+        choices: ['enable', 'disable']
+        type: str
+    link_speed:
+        description:
+            - Link speed will list all the supported capabilities of the network interface. It can be 10/100 Mbps.
+            - Required when I(auto_nego=disable).
+        choices: [10, 100]
+        type: int
+    duplex_mode:
+        description:
+            - Select any one of the following Duplex Mode.
+            - Required when I(auto_nego=disable).
+        choices: ['HALF', 'FULL']
+        type: str
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Link test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Set network link"
+    kaytus.ksmanage.edit_network_link:
+      interface: "dedicated"
+      auto_nego: "enable"
+      provider: "{{ ksmanage }}"
+
+  - name: "Set network link"
+    kaytus.ksmanage.edit_network_link:
+      interface: "dedicated"
+      auto_nego: "disable"
+      link_speed: 100
+      duplex_mode: "FULL"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Link(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'setnetworklink'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        interface=dict(type='str', required=True, choices=['shared', 'dedicated', 'both']),
+        auto_nego=dict(type='str', required=False, choices=['enable', 'disable']),
+        link_speed=dict(type='int', required=False, choices=[10, 100]),
+        duplex_mode=dict(type='str', required=False, choices=['HALF', 'FULL']),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    link_obj = Link(argument_spec)
+    link_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_ntp.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_ntp.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_ntp.py	2024-04-23 11:47:03.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_ntp.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,173 +1,173 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: edit_ntp
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Set NTP
-description:
-   - Set NTP on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    auto_date:
-        description:
-            - Date auto synchronize.
-        choices: ['enable', 'disable']
-        type: str
-    ntp_time:
-        description:
-            - NTP time(YYYYmmddHHMMSS).
-            - Only the M5 model supports this parameter.
-        type: str
-    time_zone:
-        description:
-            - UTC time zone, chose from {-12, -11.5, -11, ... , 11, 11.5, 12}.
-        type: str
-    server1:
-        description:
-            - NTP Server1(ipv4 or ipv6 or domain name), set when auto_date is enable.
-        type: str
-    server2:
-        description:
-            - NTP Server2(ipv4 or ipv6 or domain name), set when auto_date is enable.
-        type: str
-    server3:
-        description:
-            - NTP Server3(ipv4 or ipv6 or domain name), set when auto_date is enable.
-        type: str
-    server4:
-        description:
-            - NTP Server4(ipv4 or ipv6 or domain name), set when auto_date is enable.
-        type: str
-    server5:
-        description:
-            - NTP Server5(ipv4 or ipv6 or domain name), set when auto_date is enable.
-        type: str
-    server6:
-        description:
-            - NTP Server6(ipv4 or ipv6 or domain name), set when auto_date is enable.
-        type: str
-    syn_cycle:
-        description:
-            - NTP syn cycle(minute), sync cycle(5-1440).
-        type: int
-    max_variety:
-        description:
-            - NTP Maximum jump time(minute), max variety(1-60).
-            - Only the M6 model supports this parameter.
-        type: int
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: NTP test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Set ntp"
-    kaytus.ksmanage.edit_ntp:
-      auto_date: "enable"
-      server2: "time.nist.gov"
-      provider: "{{ ksmanage }}"
-
-  - name: "Set ntp"
-    kaytus.ksmanage.edit_ntp:
-      auto_date: "disable"
-      ntp_time: "20200609083600"
-      provider: "{{ ksmanage }}"
-
-  - name: "set ntp"
-    kaytus.ksmanage.edit_ntp:
-      time_zone: "8"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class NTP(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'settime'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        auto_date=dict(type='str', required=False, choices=['enable', 'disable']),
-        ntp_time=dict(type='str', required=False),
-        time_zone=dict(type='str', required=False),
-        server1=dict(type='str', required=False),
-        server2=dict(type='str', required=False),
-        server3=dict(type='str', required=False),
-        server4=dict(type='str', required=False),
-        server5=dict(type='str', required=False),
-        server6=dict(type='str', required=False),
-        syn_cycle=dict(type='int', required=False),
-        max_variety=dict(type='int', required=False),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    ntp_obj = NTP(argument_spec)
-    ntp_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: edit_ntp
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Set NTP
+description:
+   - Set NTP on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    auto_date:
+        description:
+            - Date auto synchronize.
+        choices: ['enable', 'disable']
+        type: str
+    ntp_time:
+        description:
+            - NTP time(YYYYmmddHHMMSS).
+            - Only the M5 model supports this parameter.
+        type: str
+    time_zone:
+        description:
+            - UTC time zone, chose from {-12, -11.5, -11, ... , 11, 11.5, 12}.
+        type: str
+    server1:
+        description:
+            - NTP Server1(ipv4 or ipv6 or domain name), set when auto_date is enable.
+        type: str
+    server2:
+        description:
+            - NTP Server2(ipv4 or ipv6 or domain name), set when auto_date is enable.
+        type: str
+    server3:
+        description:
+            - NTP Server3(ipv4 or ipv6 or domain name), set when auto_date is enable.
+        type: str
+    server4:
+        description:
+            - NTP Server4(ipv4 or ipv6 or domain name), set when auto_date is enable.
+        type: str
+    server5:
+        description:
+            - NTP Server5(ipv4 or ipv6 or domain name), set when auto_date is enable.
+        type: str
+    server6:
+        description:
+            - NTP Server6(ipv4 or ipv6 or domain name), set when auto_date is enable.
+        type: str
+    syn_cycle:
+        description:
+            - NTP syn cycle(minute), sync cycle(5-1440).
+        type: int
+    max_variety:
+        description:
+            - NTP Maximum jump time(minute), max variety(1-60).
+            - Only the M6 model supports this parameter.
+        type: int
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: NTP test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Set ntp"
+    kaytus.ksmanage.edit_ntp:
+      auto_date: "enable"
+      server2: "time.nist.gov"
+      provider: "{{ ksmanage }}"
+
+  - name: "Set ntp"
+    kaytus.ksmanage.edit_ntp:
+      auto_date: "disable"
+      ntp_time: "20200609083600"
+      provider: "{{ ksmanage }}"
+
+  - name: "set ntp"
+    kaytus.ksmanage.edit_ntp:
+      time_zone: "8"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class NTP(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'settime'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        auto_date=dict(type='str', required=False, choices=['enable', 'disable']),
+        ntp_time=dict(type='str', required=False),
+        time_zone=dict(type='str', required=False),
+        server1=dict(type='str', required=False),
+        server2=dict(type='str', required=False),
+        server3=dict(type='str', required=False),
+        server4=dict(type='str', required=False),
+        server5=dict(type='str', required=False),
+        server6=dict(type='str', required=False),
+        syn_cycle=dict(type='int', required=False),
+        max_variety=dict(type='int', required=False),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    ntp_obj = NTP(argument_spec)
+    ntp_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_pdisk.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_pdisk.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_pdisk.py	2024-04-23 11:47:03.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_pdisk.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,178 +1,178 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: edit_pdisk
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Set physical disk
-description:
-   - Set physical disk on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    ctrl_id:
-        description:
-            - Raid controller ID.
-        type: int
-    device_id:
-        description:
-            - Physical drive id.
-        type: int
-    option:
-        description:
-            - Set operation options for a physical disk.
-            - UG is Unconfigured Good, UB is Unconfigured Bad.
-            - OFF is offline, FAIL is Failed, RBD is Rebuild.
-            - ON is Online, JB is JBOD, ES is Drive Erase stop.
-            - EM is Drive Erase Simple, EN is Drive Erase Normal.
-            - ET is Drive Erase Through, LOC is Locate, STL is Stop Locate.
-            - HS is Hot spare.
-            - Only the M5 model supports C(HS) Settings.
-        choices: ['UG', 'UB', 'OFF', 'FAIL', 'RBD', 'ON', 'JB', 'ES', 'EM', 'EN', 'ET', 'LOC', 'STL', 'HS']
-        type: str
-    action:
-        description:
-            - Action while set physical drive hotspare.
-            - Required when I(option=HS).
-            - Only the M5 model supports this parameter.
-        choices: ['remove', 'global', 'dedicate']
-        type: str
-    revertible:
-        description:
-            - IsRevertible while set physical drive hotspare.
-            - Required when I(option=HS) and I(action=dedicate).
-            - Only the M5 model supports this parameter.
-        choices: ['yes', 'no']
-        type: str
-    encl:
-        description:
-            - IsEnclAffinity while set physical drive hotspare.
-            - Required when I(option=HS) and I(action=dedicate).
-            - Only the M5 model supports this parameter.
-        choices: ['yes', 'no']
-        type: str
-    logical_drivers:
-        description:
-            - Logical Drivers while set physical drive hotspare, input multiple Logical Drivers index like 0, 1, 2.....
-            - Required when I(option=HS) and I(action=dedicate).
-            - Only the M5 model supports this parameter.
-        type: list
-        elements: int
-    duration:
-        description:
-            - Duration range is 1-255, physical drive under PMC raid controller.
-            - Required when I(option=LOC).
-            - Only the M6 model supports this parameter.
-        type: int
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Edit pdisk test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Edit pdisk"
-    kaytus.ksmanage.edit_pdisk:
-      ctrl_id: 0
-      device_id: 1
-      option: "LOC"
-      provider: "{{ ksmanage }}"
-
-  - name: "M5 Edit pdisk"
-    kaytus.ksmanage.edit_pdisk:
-      ctrl_id: 0
-      device_id: 1
-      option: "HS"
-      action: "dedicate"
-      revertible: "yes"
-      encl: "yes"
-      logical_drivers: 1
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Disk(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'setpdisk'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        ctrl_id=dict(type='int', required=False),
-        device_id=dict(type='int', required=False),
-        option=dict(type='str', required=False, choices=['UG', 'UB', 'OFF', 'FAIL', 'RBD', 'ON', 'JB', 'ES', 'EM', 'EN', 'ET', 'LOC', 'STL', 'HS']),
-        action=dict(type='str', required=False, choices=['remove', 'global', 'dedicate']),
-        revertible=dict(type='str', required=False, choices=['yes', 'no']),
-        encl=dict(type='str', required=False, choices=['yes', 'no']),
-        logical_drivers=dict(type='list', elements='int', required=False),
-        duration=dict(type='int', required=False),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    disk_obj = Disk(argument_spec)
-    disk_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: edit_pdisk
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Set physical disk
+description:
+   - Set physical disk on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    ctrl_id:
+        description:
+            - Raid controller ID.
+        type: int
+    device_id:
+        description:
+            - Physical drive id.
+        type: int
+    option:
+        description:
+            - Set operation options for a physical disk.
+            - UG is Unconfigured Good, UB is Unconfigured Bad.
+            - OFF is offline, FAIL is Failed, RBD is Rebuild.
+            - ON is Online, JB is JBOD, ES is Drive Erase stop.
+            - EM is Drive Erase Simple, EN is Drive Erase Normal.
+            - ET is Drive Erase Through, LOC is Locate, STL is Stop Locate.
+            - HS is Hot spare.
+            - Only the M5 model supports C(HS) Settings.
+        choices: ['UG', 'UB', 'OFF', 'FAIL', 'RBD', 'ON', 'JB', 'ES', 'EM', 'EN', 'ET', 'LOC', 'STL', 'HS']
+        type: str
+    action:
+        description:
+            - Action while set physical drive hotspare.
+            - Required when I(option=HS).
+            - Only the M5 model supports this parameter.
+        choices: ['remove', 'global', 'dedicate']
+        type: str
+    revertible:
+        description:
+            - IsRevertible while set physical drive hotspare.
+            - Required when I(option=HS) and I(action=dedicate).
+            - Only the M5 model supports this parameter.
+        choices: ['yes', 'no']
+        type: str
+    encl:
+        description:
+            - IsEnclAffinity while set physical drive hotspare.
+            - Required when I(option=HS) and I(action=dedicate).
+            - Only the M5 model supports this parameter.
+        choices: ['yes', 'no']
+        type: str
+    logical_drivers:
+        description:
+            - Logical Drivers while set physical drive hotspare, input multiple Logical Drivers index like 0, 1, 2.....
+            - Required when I(option=HS) and I(action=dedicate).
+            - Only the M5 model supports this parameter.
+        type: list
+        elements: int
+    duration:
+        description:
+            - Duration range is 1-255, physical drive under PMC raid controller.
+            - Required when I(option=LOC).
+            - Only the M6 model supports this parameter.
+        type: int
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Edit pdisk test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Edit pdisk"
+    kaytus.ksmanage.edit_pdisk:
+      ctrl_id: 0
+      device_id: 1
+      option: "LOC"
+      provider: "{{ ksmanage }}"
+
+  - name: "M5 Edit pdisk"
+    kaytus.ksmanage.edit_pdisk:
+      ctrl_id: 0
+      device_id: 1
+      option: "HS"
+      action: "dedicate"
+      revertible: "yes"
+      encl: "yes"
+      logical_drivers: 1
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Disk(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'setpdisk'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        ctrl_id=dict(type='int', required=False),
+        device_id=dict(type='int', required=False),
+        option=dict(type='str', required=False, choices=['UG', 'UB', 'OFF', 'FAIL', 'RBD', 'ON', 'JB', 'ES', 'EM', 'EN', 'ET', 'LOC', 'STL', 'HS']),
+        action=dict(type='str', required=False, choices=['remove', 'global', 'dedicate']),
+        revertible=dict(type='str', required=False, choices=['yes', 'no']),
+        encl=dict(type='str', required=False, choices=['yes', 'no']),
+        logical_drivers=dict(type='list', elements='int', required=False),
+        duration=dict(type='int', required=False),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    disk_obj = Disk(argument_spec)
+    disk_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_power_budget.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_power_budget.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_power_budget.py	2024-04-23 11:47:03.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_power_budget.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,260 +1,260 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: edit_power_budget
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Set power budget information
-description:
-   - Set power budget information on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    range:
-        description:
-            - Range of power budget watts.
-        choices: ['True', 'False']
-        default: False
-        type: bool
-    domain:
-        description:
-            - Domain id.
-            - Required when I(range=False).
-        choices: ['system', 'cpu']
-        type: str
-    action:
-        description:
-            - Type to action.
-            - Required when I(range=False).
-        choices: ['add', 'delete', 'open', 'close']
-        type: str
-    id:
-        description:
-            - Policy id.
-            - Required when I(range=False).
-        choices: [1, 2, 3, 4]
-        type: int
-    watts:
-        description:
-            - Power budget watts of add.
-            - Required when I(action=add).
-        type: int
-    except_action:
-        description:
-            - Except action, 0 is do nothing, 1 is send alert, 2 is shutdown system, 3 is shutdown system and send alert.
-            - Only the M7 model supports this parameter.
-        choices: [0, 1, 2, 3]
-        type: int
-    start1:
-        description:
-            - Pause period of add, start time, from 0 to 24.
-        type: int
-    end1:
-        description:
-            - Pause period of add, end time, must be greater than start time, from 0 to 24.
-        type: int
-    week1:
-        description:
-            - Pause period of add, repetition period.
-            - The input parameters are 'Mon', 'Tue', 'Wed', 'Thur', 'Fri', 'Sat', 'Sun', separated by commas, such as Mon, Wed, Fri.
-        type: list
-        elements: str
-    start2:
-        description:
-            - Pause period of add, start time, from 0 to 24.
-        type: int
-    end2:
-        description:
-            - Pause period of add, end time, must be greater than start time, from 0 to 24.
-        type: int
-    week2:
-        description:
-            - Pause period of add, repetition period.
-            - The input parameters are 'Mon', 'Tue', 'Wed', 'Thur', 'Fri', 'Sat', 'Sun', separated by commas, such as Mon, Wed, Fri.
-        type: list
-        elements: str
-    start3:
-        description:
-            - Pause period of add, start time, from 0 to 24.
-        type: int
-    end3:
-        description:
-            - Pause period of add, end time, must be greater than start time, from 0 to 24.
-        type: int
-    week3:
-        description:
-            - Pause period of add, repetition period.
-            - The input parameters are 'Mon', 'Tue', 'Wed', 'Thur', 'Fri', 'Sat', 'Sun', separated by commas, such as Mon, Wed, Fri.
-        type: list
-        elements: str
-    start4:
-        description:
-            - Pause period of add, start time, from 0 to 24.
-        type: int
-    end4:
-        description:
-            - Pause period of add, end time, must be greater than start time, from 0 to 24.
-        type: int
-    week4:
-        description:
-            - Pause period of add, repetition period.
-            - The input parameters are 'Mon', 'Tue', 'Wed', 'Thur', 'Fri', 'Sat', 'Sun', separated by commas, such as Mon, Wed, Fri.
-        type: list
-        elements: str
-    start5:
-        description:
-            - Period of add, start time, from 0 to 24.
-        type: int
-    end5:
-        description:
-            - Pause period of add, end time, must be greater than start time, from 0 to 24.
-        type: int
-    week5:
-        description:
-            - Pause period of add, repetition period.
-            - The input parameters are 'Mon', 'Tue', 'Wed', 'Thur', 'Fri', 'Sat', 'Sun', separated by commas, such as Mon, Wed, Fri.
-        type: list
-        elements: str
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Power budget test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get power budget range"
-    kaytus.ksmanage.edit_power_budget:
-      range: True
-      provider: "{{ ksmanage }}"
-
-  - name: "add power budget"
-    kaytus.ksmanage.edit_power_budget:
-      action: "add"
-      id: 1
-      watts: 1500
-      start1: 2
-      end1: 5
-      week1:
-        - Mon
-        - Wed
-        - Fri
-      provider: "{{ ksmanage }}"
-
-  - name: "Set power budget status to open"
-    kaytus.ksmanage.edit_power_budget:
-      action: "open"
-      id: 1
-      provider: "{{ ksmanage }}"
-
-  - name: "Set power budget status to close"
-    kaytus.ksmanage.edit_power_budget:
-      action: "close"
-      id: 1
-      provider: "{{ ksmanage }}"
-
-  - name: "Delete power budget"
-    kaytus.ksmanage.edit_power_budget:
-      action: "delete"
-      id: 1
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Power(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'setpowerbudget'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        range=dict(type='bool', default=False, choices=[True, False]),
-        domain=dict(type='str', required=False, choices=['system', 'cpu']),
-        action=dict(type='str', required=False, choices=['add', 'delete', 'open', 'close']),
-        id=dict(type='int', required=False, choices=[1, 2, 3, 4]),
-        watts=dict(type='int', required=False),
-        except_action=dict(type='int', required=False, choices=[0, 1, 2, 3]),
-        start1=dict(type='int', required=False),
-        end1=dict(type='int', required=False),
-        week1=dict(type='list', elements='str', required=False),
-        start2=dict(type='int', required=False),
-        end2=dict(type='int', required=False),
-        week2=dict(type='list', elements='str', required=False),
-        start3=dict(type='int', required=False),
-        end3=dict(type='int', required=False),
-        week3=dict(type='list', elements='str', required=False),
-        start4=dict(type='int', required=False),
-        end4=dict(type='int', required=False),
-        week4=dict(type='list', elements='str', required=False),
-        start5=dict(type='int', required=False),
-        end5=dict(type='int', required=False),
-        week5=dict(type='list', elements='str', required=False),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    power_obj = Power(argument_spec)
-    power_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: edit_power_budget
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Set power budget information
+description:
+   - Set power budget information on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    range:
+        description:
+            - Range of power budget watts.
+        choices: ['True', 'False']
+        default: False
+        type: bool
+    domain:
+        description:
+            - Domain id.
+            - Required when I(range=False).
+        choices: ['system', 'cpu']
+        type: str
+    action:
+        description:
+            - Type to action.
+            - Required when I(range=False).
+        choices: ['add', 'delete', 'open', 'close']
+        type: str
+    id:
+        description:
+            - Policy id.
+            - Required when I(range=False).
+        choices: [1, 2, 3, 4]
+        type: int
+    watts:
+        description:
+            - Power budget watts of add.
+            - Required when I(action=add).
+        type: int
+    except_action:
+        description:
+            - Except action, 0 is do nothing, 1 is send alert, 2 is shutdown system, 3 is shutdown system and send alert.
+            - Only the M7 model supports this parameter.
+        choices: [0, 1, 2, 3]
+        type: int
+    start1:
+        description:
+            - Pause period of add, start time, from 0 to 24.
+        type: int
+    end1:
+        description:
+            - Pause period of add, end time, must be greater than start time, from 0 to 24.
+        type: int
+    week1:
+        description:
+            - Pause period of add, repetition period.
+            - The input parameters are 'Mon', 'Tue', 'Wed', 'Thur', 'Fri', 'Sat', 'Sun', separated by commas, such as Mon, Wed, Fri.
+        type: list
+        elements: str
+    start2:
+        description:
+            - Pause period of add, start time, from 0 to 24.
+        type: int
+    end2:
+        description:
+            - Pause period of add, end time, must be greater than start time, from 0 to 24.
+        type: int
+    week2:
+        description:
+            - Pause period of add, repetition period.
+            - The input parameters are 'Mon', 'Tue', 'Wed', 'Thur', 'Fri', 'Sat', 'Sun', separated by commas, such as Mon, Wed, Fri.
+        type: list
+        elements: str
+    start3:
+        description:
+            - Pause period of add, start time, from 0 to 24.
+        type: int
+    end3:
+        description:
+            - Pause period of add, end time, must be greater than start time, from 0 to 24.
+        type: int
+    week3:
+        description:
+            - Pause period of add, repetition period.
+            - The input parameters are 'Mon', 'Tue', 'Wed', 'Thur', 'Fri', 'Sat', 'Sun', separated by commas, such as Mon, Wed, Fri.
+        type: list
+        elements: str
+    start4:
+        description:
+            - Pause period of add, start time, from 0 to 24.
+        type: int
+    end4:
+        description:
+            - Pause period of add, end time, must be greater than start time, from 0 to 24.
+        type: int
+    week4:
+        description:
+            - Pause period of add, repetition period.
+            - The input parameters are 'Mon', 'Tue', 'Wed', 'Thur', 'Fri', 'Sat', 'Sun', separated by commas, such as Mon, Wed, Fri.
+        type: list
+        elements: str
+    start5:
+        description:
+            - Period of add, start time, from 0 to 24.
+        type: int
+    end5:
+        description:
+            - Pause period of add, end time, must be greater than start time, from 0 to 24.
+        type: int
+    week5:
+        description:
+            - Pause period of add, repetition period.
+            - The input parameters are 'Mon', 'Tue', 'Wed', 'Thur', 'Fri', 'Sat', 'Sun', separated by commas, such as Mon, Wed, Fri.
+        type: list
+        elements: str
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Power budget test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get power budget range"
+    kaytus.ksmanage.edit_power_budget:
+      range: True
+      provider: "{{ ksmanage }}"
+
+  - name: "add power budget"
+    kaytus.ksmanage.edit_power_budget:
+      action: "add"
+      id: 1
+      watts: 1500
+      start1: 2
+      end1: 5
+      week1:
+        - Mon
+        - Wed
+        - Fri
+      provider: "{{ ksmanage }}"
+
+  - name: "Set power budget status to open"
+    kaytus.ksmanage.edit_power_budget:
+      action: "open"
+      id: 1
+      provider: "{{ ksmanage }}"
+
+  - name: "Set power budget status to close"
+    kaytus.ksmanage.edit_power_budget:
+      action: "close"
+      id: 1
+      provider: "{{ ksmanage }}"
+
+  - name: "Delete power budget"
+    kaytus.ksmanage.edit_power_budget:
+      action: "delete"
+      id: 1
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Power(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'setpowerbudget'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        range=dict(type='bool', default=False, choices=[True, False]),
+        domain=dict(type='str', required=False, choices=['system', 'cpu']),
+        action=dict(type='str', required=False, choices=['add', 'delete', 'open', 'close']),
+        id=dict(type='int', required=False, choices=[1, 2, 3, 4]),
+        watts=dict(type='int', required=False),
+        except_action=dict(type='int', required=False, choices=[0, 1, 2, 3]),
+        start1=dict(type='int', required=False),
+        end1=dict(type='int', required=False),
+        week1=dict(type='list', elements='str', required=False),
+        start2=dict(type='int', required=False),
+        end2=dict(type='int', required=False),
+        week2=dict(type='list', elements='str', required=False),
+        start3=dict(type='int', required=False),
+        end3=dict(type='int', required=False),
+        week3=dict(type='list', elements='str', required=False),
+        start4=dict(type='int', required=False),
+        end4=dict(type='int', required=False),
+        week4=dict(type='list', elements='str', required=False),
+        start5=dict(type='int', required=False),
+        end5=dict(type='int', required=False),
+        week5=dict(type='list', elements='str', required=False),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    power_obj = Power(argument_spec)
+    power_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_power_restore.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_power_restore.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_power_restore.py	2024-04-23 11:47:03.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_power_restore.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,110 +1,110 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: edit_power_restore
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Set power restore information
-description:
-   - Set power restore information on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    option:
-        description:
-            - Set power policy option.
-        choices: ['on', 'off', 'restore']
-        type: str
-        required: true
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Power restore test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Set power restore information"
-    kaytus.ksmanage.edit_power_restore:
-      option: "on"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Power(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'setpowerrestore'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        option=dict(type='str', required=True, choices=['on', 'off', 'restore']),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    power_obj = Power(argument_spec)
-    power_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: edit_power_restore
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Set power restore information
+description:
+   - Set power restore information on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    option:
+        description:
+            - Set power policy option.
+        choices: ['on', 'off', 'restore']
+        type: str
+        required: true
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Power restore test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Set power restore information"
+    kaytus.ksmanage.edit_power_restore:
+      option: "on"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Power(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'setpowerrestore'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        option=dict(type='str', required=True, choices=['on', 'off', 'restore']),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    power_obj = Power(argument_spec)
+    power_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_power_status.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_power_status.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_power_status.py	2024-04-23 11:47:03.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_power_status.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,110 +1,110 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: edit_power_status
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Set power status information
-description:
-   - Set power status information on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    state:
-        description:
-            - Power status.
-        choices: ['On', 'ForceOff', 'ForcePowerCycle', 'ForceReset', 'GracefulShutdown']
-        type: str
-        required: true
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Power status test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Set power status information"
-    kaytus.ksmanage.edit_power_status:
-      state: "On"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Power(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'powercontrol'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        state=dict(type='str', required=True, choices=['On', 'ForceOff', 'ForcePowerCycle', 'ForceReset', 'GracefulShutdown']),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    power_obj = Power(argument_spec)
-    power_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: edit_power_status
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Set power status information
+description:
+   - Set power status information on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    state:
+        description:
+            - Power status.
+        choices: ['On', 'ForceOff', 'ForcePowerCycle', 'ForceReset', 'GracefulShutdown']
+        type: str
+        required: true
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Power status test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Set power status information"
+    kaytus.ksmanage.edit_power_status:
+      state: "On"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Power(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'powercontrol'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        state=dict(type='str', required=True, choices=['On', 'ForceOff', 'ForcePowerCycle', 'ForceReset', 'GracefulShutdown']),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    power_obj = Power(argument_spec)
+    power_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_preserve_config.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_preserve_config.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_preserve_config.py	2024-04-23 11:47:03.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_preserve_config.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,136 +1,136 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: edit_preserve_config
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Set preserve config
-description:
-   - Set preserve config on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    setting:
-        description:
-            - Preserve option, all - preserve all config; none - overwrite all config; manual - manual choose.
-        choices: ['all', 'none', 'manual']
-        type: str
-        required: true
-    override:
-        description:
-            - Configuration items that need to be retained.
-            - Required when I(setting=manual).
-        choices: ['authentication', 'dcmi', 'fru', 'hostname', 'ipmi', 'kvm', 'network', 'ntp', 'pef',
-         'sdr', 'sel', 'smtp', 'snmp', 'sol', 'ssh', 'syslog', 'user']
-        type: list
-        elements: str
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Preserve test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Set preserve all"
-    kaytus.ksmanage.edit_preserve_config:
-      setting: "all"
-      provider: "{{ ksmanage }}"
-
-  - name: "Set preserve none"
-    edit_preserve_config:
-      setting: "none"
-      provider: "{{ ksmanage }}"
-
-  - name: "Set preserve manual"
-    edit_preserve_config:
-      setting: "manual"
-      override:
-        - fru
-        - ntp
-        - network
-        - user
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Preserve(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'preserveconfig'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        setting=dict(type='str', required=True, choices=['all', 'none', 'manual']),
-        override=dict(type='list', elements='str', required=False,
-                      choices=['authentication', 'dcmi', 'fru', 'hostname', 'ipmi', 'kvm', 'network', 'ntp',
-                               'pef', 'sdr', 'sel', 'smtp', 'snmp', 'sol', 'ssh', 'syslog', 'user']),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    pre_obj = Preserve(argument_spec)
-    pre_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: edit_preserve_config
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Set preserve config
+description:
+   - Set preserve config on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    setting:
+        description:
+            - Preserve option, all - preserve all config; none - overwrite all config; manual - manual choose.
+        choices: ['all', 'none', 'manual']
+        type: str
+        required: true
+    override:
+        description:
+            - Configuration items that need to be retained.
+            - Required when I(setting=manual).
+        choices: ['authentication', 'dcmi', 'fru', 'hostname', 'ipmi', 'kvm', 'network', 'ntp', 'pef',
+         'sdr', 'sel', 'smtp', 'snmp', 'sol', 'ssh', 'syslog', 'user']
+        type: list
+        elements: str
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Preserve test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Set preserve all"
+    kaytus.ksmanage.edit_preserve_config:
+      setting: "all"
+      provider: "{{ ksmanage }}"
+
+  - name: "Set preserve none"
+    edit_preserve_config:
+      setting: "none"
+      provider: "{{ ksmanage }}"
+
+  - name: "Set preserve manual"
+    edit_preserve_config:
+      setting: "manual"
+      override:
+        - fru
+        - ntp
+        - network
+        - user
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Preserve(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'preserveconfig'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        setting=dict(type='str', required=True, choices=['all', 'none', 'manual']),
+        override=dict(type='list', elements='str', required=False,
+                      choices=['authentication', 'dcmi', 'fru', 'hostname', 'ipmi', 'kvm', 'network', 'ntp',
+                               'pef', 'sdr', 'sel', 'smtp', 'snmp', 'sol', 'ssh', 'syslog', 'user']),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    pre_obj = Preserve(argument_spec)
+    pre_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_psu_config.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_psu_config.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_psu_config.py	2024-04-23 11:47:03.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_psu_config.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,116 +1,116 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: edit_psu_config
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Set psu config information
-description:
-   - Set psu config information on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    id:
-        description:
-            - Power id.
-        type: int
-        required: true
-    switch:
-        description:
-            - Power supply mode, active or standby.
-        choices: ['active', 'standby', 'normal']
-        type: str
-        required: true
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Psu config test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Set psu config information"
-    kaytus.ksmanage.edit_psu_config:
-      id: 1
-      switch: "active"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Psu(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'setpsuconfig'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        id=dict(type='int', required=True),
-        switch=dict(type='str', required=True, choices=['active', 'standby', 'normal']),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    psu_obj = Psu(argument_spec)
-    psu_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: edit_psu_config
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Set psu config information
+description:
+   - Set psu config information on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    id:
+        description:
+            - Power id.
+        type: int
+        required: true
+    switch:
+        description:
+            - Power supply mode, active or standby.
+        choices: ['active', 'standby', 'normal']
+        type: str
+        required: true
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Psu config test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Set psu config information"
+    kaytus.ksmanage.edit_psu_config:
+      id: 1
+      switch: "active"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Psu(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'setpsuconfig'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        id=dict(type='int', required=True),
+        switch=dict(type='str', required=True, choices=['active', 'standby', 'normal']),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    psu_obj = Psu(argument_spec)
+    psu_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_psu_peak.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_psu_peak.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_psu_peak.py	2024-04-23 11:47:02.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_psu_peak.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,121 +1,121 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: edit_psu_peak
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Set psu peak information
-description:
-   - Set psu peak information on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    status:
-        description:
-            - Power peak status.
-        choices: ['enable', 'disable']
-        type: str
-        required: true
-    time:
-        description:
-            - Maximum random time, range of values(1-600), unit(second).
-        type: int
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Psu peak test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Set psu peak information"
-    kaytus.ksmanage.edit_psu_peak:
-      status: "disable"
-      provider: "{{ ksmanage }}"
-
-  - name: "Set psu peak information"
-    kaytus.ksmanage.edit_psu_peak:
-      status: "enable"
-      time: 10
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Psu(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'setpsupeak'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        status=dict(type='str', required=True, choices=['enable', 'disable']),
-        time=dict(type='int', required=False),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    psu_obj = Psu(argument_spec)
-    psu_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: edit_psu_peak
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Set psu peak information
+description:
+   - Set psu peak information on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    status:
+        description:
+            - Power peak status.
+        choices: ['enable', 'disable']
+        type: str
+        required: true
+    time:
+        description:
+            - Maximum random time, range of values(1-600), unit(second).
+        type: int
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Psu peak test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Set psu peak information"
+    kaytus.ksmanage.edit_psu_peak:
+      status: "disable"
+      provider: "{{ ksmanage }}"
+
+  - name: "Set psu peak information"
+    kaytus.ksmanage.edit_psu_peak:
+      status: "enable"
+      time: 10
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Psu(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'setpsupeak'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        status=dict(type='str', required=True, choices=['enable', 'disable']),
+        time=dict(type='int', required=False),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    psu_obj = Psu(argument_spec)
+    psu_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_restore_factory_default.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_restore_factory_default.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_restore_factory_default.py	2024-04-23 11:47:02.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_restore_factory_default.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,131 +1,131 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: edit_restore_factory_default
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Set preserver config
-description:
-   - Set preserver config on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    mode:
-        description:
-            - Restore factory defaults mode.
-        choices: ['all', 'none', 'manual']
-        type: str
-        required: true
-    override:
-        description:
-            - Configuration items that need to be retained.
-            - Required when I(mode=manual).
-        choices: ['authentication', 'dcmi', 'fru', 'hostname', 'ipmi', 'kvm', 'network', 'ntp', 'pef',
-         'sdr', 'sel', 'smtp', 'snmp', 'sol', 'ssh', 'syslog', 'user']
-        type: list
-        elements: str
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Restore default test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Set restore default auto"
-    kaytus.ksmanage.edit_restore_factory_default:
-      mode: "all"
-      provider: "{{ ksmanage }}"
-
-  - name: "Set restore default manual"
-    kaytus.ksmanage.edit_restore_factory_default:
-      mode: "manual"
-      override:
-        - fru
-        - ntp
-        - network
-        - user
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Preserver(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'restorefactorydefaults'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        mode=dict(type='str', required=True, choices=['all', 'none', 'manual']),
-        override=dict(type='list', elements='str', required=False,
-                      choices=['authentication', 'dcmi', 'fru', 'hostname', 'ipmi', 'kvm', 'network', 'ntp',
-                               'pef', 'sdr', 'sel', 'smtp', 'snmp', 'sol', 'ssh', 'syslog', 'user']),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    pre_obj = Preserver(argument_spec)
-    pre_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: edit_restore_factory_default
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Set preserver config
+description:
+   - Set preserver config on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    mode:
+        description:
+            - Restore factory defaults mode.
+        choices: ['all', 'none', 'manual']
+        type: str
+        required: true
+    override:
+        description:
+            - Configuration items that need to be retained.
+            - Required when I(mode=manual).
+        choices: ['authentication', 'dcmi', 'fru', 'hostname', 'ipmi', 'kvm', 'network', 'ntp', 'pef',
+         'sdr', 'sel', 'smtp', 'snmp', 'sol', 'ssh', 'syslog', 'user']
+        type: list
+        elements: str
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Restore default test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Set restore default auto"
+    kaytus.ksmanage.edit_restore_factory_default:
+      mode: "all"
+      provider: "{{ ksmanage }}"
+
+  - name: "Set restore default manual"
+    kaytus.ksmanage.edit_restore_factory_default:
+      mode: "manual"
+      override:
+        - fru
+        - ntp
+        - network
+        - user
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Preserver(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'restorefactorydefaults'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        mode=dict(type='str', required=True, choices=['all', 'none', 'manual']),
+        override=dict(type='list', elements='str', required=False,
+                      choices=['authentication', 'dcmi', 'fru', 'hostname', 'ipmi', 'kvm', 'network', 'ntp',
+                               'pef', 'sdr', 'sel', 'smtp', 'snmp', 'sol', 'ssh', 'syslog', 'user']),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    pre_obj = Preserver(argument_spec)
+    pre_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_service.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_service.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_service.py	2024-04-23 11:47:02.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_service.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,150 +1,150 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: edit_service
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Set service settings
-description:
-   - Set service settings on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    service_name:
-        description:
-            - Displays service name of the selected slot(readonly).
-            - The I(vnc) option is not supported in M5.
-            - The I(fd-media/telnet/snmp) option is not supported in M6.
-        choices: ['web', 'kvm', 'cd-media', 'fd-media', 'hd-media', 'ssh', 'telnet', 'solssh', 'snmp', 'vnc']
-        type: str
-        required: true
-    state:
-        description:
-            - Displays the current status of the service, either active or inactive state.
-            - Check this option to start the inactive service.
-        choices: ['active', 'inactive']
-        type: str
-    interface:
-        description:
-            - It shows the interface in which service is running.
-            - The user can choose any one of the available interfaces.
-            - Only the M5 model supports this parameter.
-        choices: ['eth0', 'eth1', 'both', 'bond0']
-        type: str
-    non_secure_port:
-        description:
-            - Used to configure non secure port number for the service.
-            - Port value ranges from 1 to 65535.
-        type: int
-    secure_port:
-        description:
-            - Used to configure secure port number for the service.
-            - Port value ranges from 1 to 65535.
-        type: int
-    timeout:
-        description:
-            - Displays the session timeout value of the service.
-            - For web, SSH and telnet service, user can configure the session timeout value.
-            - Web timeout value ranges from 300 to 1800 seconds.
-            - SSH and Telnet timeout value ranges from 60 to 1800 seconds.
-            - Timeout value should be in multiples of 60 seconds.
-        type: int
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Edit service test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Edit kvm"
-    kaytus.ksmanage.edit_service:
-      service_name: "kvm"
-      state: "active"
-      timeout: "1200"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Service(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'setservice'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        service_name=dict(type='str', required=True, choices=['web', 'kvm', 'cd-media', 'fd-media', 'hd-media', 'ssh', 'telnet', 'solssh', 'snmp', 'vnc']),
-        state=dict(type='str', required=False, choices=['active', 'inactive']),
-        interface=dict(type='str', required=False, choices=['eth0', 'eth1', 'both', 'bond0']),
-        non_secure_port=dict(type='int', required=False),
-        secure_port=dict(type='int', required=False),
-        timeout=dict(type='int', required=False)
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    service_obj = Service(argument_spec)
-    service_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: edit_service
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Set service settings
+description:
+   - Set service settings on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    service_name:
+        description:
+            - Displays service name of the selected slot(readonly).
+            - The I(vnc) option is not supported in M5.
+            - The I(fd-media/telnet/snmp) option is not supported in M6.
+        choices: ['web', 'kvm', 'cd-media', 'fd-media', 'hd-media', 'ssh', 'telnet', 'solssh', 'snmp', 'vnc']
+        type: str
+        required: true
+    state:
+        description:
+            - Displays the current status of the service, either active or inactive state.
+            - Check this option to start the inactive service.
+        choices: ['active', 'inactive']
+        type: str
+    interface:
+        description:
+            - It shows the interface in which service is running.
+            - The user can choose any one of the available interfaces.
+            - Only the M5 model supports this parameter.
+        choices: ['eth0', 'eth1', 'both', 'bond0']
+        type: str
+    non_secure_port:
+        description:
+            - Used to configure non secure port number for the service.
+            - Port value ranges from 1 to 65535.
+        type: int
+    secure_port:
+        description:
+            - Used to configure secure port number for the service.
+            - Port value ranges from 1 to 65535.
+        type: int
+    timeout:
+        description:
+            - Displays the session timeout value of the service.
+            - For web, SSH and telnet service, user can configure the session timeout value.
+            - Web timeout value ranges from 300 to 1800 seconds.
+            - SSH and Telnet timeout value ranges from 60 to 1800 seconds.
+            - Timeout value should be in multiples of 60 seconds.
+        type: int
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Edit service test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Edit kvm"
+    kaytus.ksmanage.edit_service:
+      service_name: "kvm"
+      state: "active"
+      timeout: "1200"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Service(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'setservice'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        service_name=dict(type='str', required=True, choices=['web', 'kvm', 'cd-media', 'fd-media', 'hd-media', 'ssh', 'telnet', 'solssh', 'snmp', 'vnc']),
+        state=dict(type='str', required=False, choices=['active', 'inactive']),
+        interface=dict(type='str', required=False, choices=['eth0', 'eth1', 'both', 'bond0']),
+        non_secure_port=dict(type='int', required=False),
+        secure_port=dict(type='int', required=False),
+        timeout=dict(type='int', required=False)
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    service_obj = Service(argument_spec)
+    service_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_smtp.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_smtp.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_smtp.py	2024-04-23 11:47:02.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_smtp.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,213 +1,213 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: edit_smtp
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Set SMTP information
-description:
-   - Set SMTP information on kaytus Server.
-   - Only the M5 models support this feature.
-notes:
-   - Does not support C(check_mode).
-options:
-    interface:
-        description:
-            - LAN Channel, eth0 is shared, eth1 is dedicated.
-        choices: ['eth0', 'eth1', 'bond0']
-        type: str
-        required: true
-    email:
-        description:
-            - Sender email.
-        type: str
-    primary_status:
-        description:
-            - Primary SMTP Support.
-        choices: ['enable', 'disable']
-        type: str
-    primary_ip:
-        description:
-            - Primary SMTP server IP.
-        type: str
-    primary_name:
-        description:
-            - Primary SMTP server name.
-        type: str
-    primary_port:
-        description:
-            - Primary SMTP server port, The Identification for retry count configuration(1-65535).
-        type: int
-    primary_auth:
-        description:
-            - Primary SMTP server authentication.
-        choices: ['enable', 'disable']
-        type: str
-    primary_username:
-        description:
-            - Primary SMTP server Username, length be 4 to 64 bits.
-            - Must start with letters and cannot contain ', '(comma) ':'(colon) ' '(space) ';'(semicolon) '\\'(backslash).
-        type: str
-    primary_password:
-        description:
-            - Primary SMTP server Password, length be 4 to 64 bits, cannot contain ' '(space).
-            - Required when I(primary_auth=enable).
-        type: str
-    secondary_status:
-        description:
-            - Secondary SMTP Support.
-        choices: ['enable', 'disable']
-        type: str
-    secondary_ip:
-        description:
-            - Secondary SMTP server IP.
-        type: str
-    secondary_name:
-        description:
-            - Secondary SMTP server name.
-        type: str
-    secondary_port:
-        description:
-            - Secondary SMTP server port, The Identification for retry count configuration(1-65535).
-        type: int
-    secondary_auth:
-        description:
-            - Secondary SMTP server authentication.
-        choices: ['enable', 'disable']
-        type: str
-    secondary_username:
-        description:
-            - Secondary SMTP server Username, length be 4 to 64 bits.
-            - Must start with letters and cannot contain ','(comma) ':'(colon) ' '(space) ';'(semicolon) '\\'(backslash).
-        type: str
-    secondary_password:
-        description:
-            - Secondary SMTP server Password, length be 4 to 64 bits, cannot contain ' '(space).
-            - Required when I(secondary_auth=enable).
-        type: str
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Smtp test
-  hosts: ksmanage
-  no_log: true
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Set smtp information"
-    kaytus.ksmanage.edit_smtp:
-      interface: "eth0"
-      email: "ieit@ieisystem.com"
-      primary_status: "enable"
-      primary_ip: "100.2.2.2"
-      primary_name: "test"
-      primary_auth: "disable"
-      provider: "{{ ksmanage }}"
-
-  - name: "Set smtp information"
-    kaytus.ksmanage.edit_smtp:
-      interface: "eth0"
-      email: "ieit@ieisystem.com"
-      primary_status: "enable"
-      primary_ip: "100.2.2.2"
-      primary_name: "test"
-      primary_auth: "enable"
-      primary_username: "test"
-      primary_password: my_password
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class SMTP(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'setsmtp'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        interface=dict(type='str', required=True, choices=['eth0', 'eth1', 'bond0']),
-        email=dict(type='str', required=False),
-        primary_status=dict(type='str', required=False, choices=['enable', 'disable']),
-        primary_ip=dict(type='str', required=False),
-        primary_name=dict(type='str', required=False),
-        primary_port=dict(type='int', required=False),
-        primary_auth=dict(type='str', required=False, choices=['enable', 'disable']),
-        primary_username=dict(type='str', required=False),
-        primary_password=dict(type='str', required=False, no_log=True),
-        secondary_status=dict(type='str', required=False, choices=['enable', 'disable']),
-        secondary_ip=dict(type='str', required=False),
-        secondary_name=dict(type='str', required=False),
-        secondary_port=dict(type='int', required=False),
-        secondary_auth=dict(type='str', required=False, choices=['enable', 'disable']),
-        secondary_username=dict(type='str', required=False),
-        secondary_password=dict(type='str', required=False, no_log=True),
-
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    smtp_obj = SMTP(argument_spec)
-    smtp_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: edit_smtp
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Set SMTP information
+description:
+   - Set SMTP information on kaytus Server.
+   - Only the M5 models support this feature.
+notes:
+   - Does not support C(check_mode).
+options:
+    interface:
+        description:
+            - LAN Channel, eth0 is shared, eth1 is dedicated.
+        choices: ['eth0', 'eth1', 'bond0']
+        type: str
+        required: true
+    email:
+        description:
+            - Sender email.
+        type: str
+    primary_status:
+        description:
+            - Primary SMTP Support.
+        choices: ['enable', 'disable']
+        type: str
+    primary_ip:
+        description:
+            - Primary SMTP server IP.
+        type: str
+    primary_name:
+        description:
+            - Primary SMTP server name.
+        type: str
+    primary_port:
+        description:
+            - Primary SMTP server port, The Identification for retry count configuration(1-65535).
+        type: int
+    primary_auth:
+        description:
+            - Primary SMTP server authentication.
+        choices: ['enable', 'disable']
+        type: str
+    primary_username:
+        description:
+            - Primary SMTP server Username, length be 4 to 64 bits.
+            - Must start with letters and cannot contain ', '(comma) ':'(colon) ' '(space) ';'(semicolon) '\\'(backslash).
+        type: str
+    primary_password:
+        description:
+            - Primary SMTP server Password, length be 4 to 64 bits, cannot contain ' '(space).
+            - Required when I(primary_auth=enable).
+        type: str
+    secondary_status:
+        description:
+            - Secondary SMTP Support.
+        choices: ['enable', 'disable']
+        type: str
+    secondary_ip:
+        description:
+            - Secondary SMTP server IP.
+        type: str
+    secondary_name:
+        description:
+            - Secondary SMTP server name.
+        type: str
+    secondary_port:
+        description:
+            - Secondary SMTP server port, The Identification for retry count configuration(1-65535).
+        type: int
+    secondary_auth:
+        description:
+            - Secondary SMTP server authentication.
+        choices: ['enable', 'disable']
+        type: str
+    secondary_username:
+        description:
+            - Secondary SMTP server Username, length be 4 to 64 bits.
+            - Must start with letters and cannot contain ','(comma) ':'(colon) ' '(space) ';'(semicolon) '\\'(backslash).
+        type: str
+    secondary_password:
+        description:
+            - Secondary SMTP server Password, length be 4 to 64 bits, cannot contain ' '(space).
+            - Required when I(secondary_auth=enable).
+        type: str
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Smtp test
+  hosts: ksmanage
+  no_log: true
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Set smtp information"
+    kaytus.ksmanage.edit_smtp:
+      interface: "eth0"
+      email: "ieit@ieisystem.com"
+      primary_status: "enable"
+      primary_ip: "100.2.2.2"
+      primary_name: "test"
+      primary_auth: "disable"
+      provider: "{{ ksmanage }}"
+
+  - name: "Set smtp information"
+    kaytus.ksmanage.edit_smtp:
+      interface: "eth0"
+      email: "ieit@ieisystem.com"
+      primary_status: "enable"
+      primary_ip: "100.2.2.2"
+      primary_name: "test"
+      primary_auth: "enable"
+      primary_username: "test"
+      primary_password: my_password
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class SMTP(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'setsmtp'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        interface=dict(type='str', required=True, choices=['eth0', 'eth1', 'bond0']),
+        email=dict(type='str', required=False),
+        primary_status=dict(type='str', required=False, choices=['enable', 'disable']),
+        primary_ip=dict(type='str', required=False),
+        primary_name=dict(type='str', required=False),
+        primary_port=dict(type='int', required=False),
+        primary_auth=dict(type='str', required=False, choices=['enable', 'disable']),
+        primary_username=dict(type='str', required=False),
+        primary_password=dict(type='str', required=False, no_log=True),
+        secondary_status=dict(type='str', required=False, choices=['enable', 'disable']),
+        secondary_ip=dict(type='str', required=False),
+        secondary_name=dict(type='str', required=False),
+        secondary_port=dict(type='int', required=False),
+        secondary_auth=dict(type='str', required=False, choices=['enable', 'disable']),
+        secondary_username=dict(type='str', required=False),
+        secondary_password=dict(type='str', required=False, no_log=True),
+
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    smtp_obj = SMTP(argument_spec)
+    smtp_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_smtp_com.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_smtp_com.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_smtp_com.py	2024-04-23 11:47:02.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_smtp_com.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,204 +1,204 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: edit_smtp_com
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Set SMTP information
-description:
-   - Set SMTP com information on kaytus Server.
-   - Only the M6 models support this feature.
-notes:
-   - Does not support C(check_mode).
-options:
-    status:
-        description:
-            - SMTP Support.
-        choices: ['enable', 'disable']
-        required: true
-        type: str
-    server_ip:
-        description:
-            - SMTP server IP.
-        type: str
-    server_port:
-        description:
-            - SMTP server port, The Identification for retry count configuration(1-65535).
-        type: int
-    server_secure_port:
-        description:
-            - SMTP server secure port, The Identification for retry count configuration(1-65535).
-        type: int
-    email:
-        description:
-            - Sender email.
-        type: str
-    server_auth:
-        description:
-            - SMTP server authentication.
-        choices: ['enable', 'disable']
-        type: str
-    server_username:
-        description:
-            - SMTP server Username, length be 4 to 64 bits.
-            - Must start with letters and cannot contain ','(comma) ':'(colon) ' '(space) ';'(semicolon) '\\'(backslash).
-            - Required when I(server_auth=enable).
-        type: str
-    server_password:
-        description:
-            - SMTP server Password, length be 4 to 64 bits, cannot contain ' '(space).
-            - Required when I(server_auth=enable).
-        type: str
-    ssl_tls_enable:
-        description:
-            - SMTP SSLTLS Enable.
-            - I(ssl_tls_enable=disable), when I(star_tls_enable=enable).
-        choices: ['enable', 'disable']
-        type: str
-    star_tls_enable:
-        description:
-            - SMTP STARTTLS Enable.
-            - I(star_tls_enable=disable), when I(ssl_tls_enable=enable).
-        choices: ['enable', 'disable']
-        type: str
-    subject:
-        description:
-            - Email theme.
-        type: str
-    host_name:
-        description:
-            - Server name.
-        choices: ['enable', 'disable']
-        type: str
-    serial_number:
-        description:
-            - Serial number.
-        choices: ['enable', 'disable']
-        type: str
-    asset_tag:
-        description:
-            - Product asset label.
-        choices: ['enable', 'disable']
-        type: str
-    event_level:
-        description:
-            - Events above this level will be sent.
-        choices: ['Info', 'Warning', 'Critical']
-        type: str
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Smtp com test
-  hosts: ksmanage
-  no_log: true
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Set smtp com information"
-    kaytus.ksmanage.edit_smtp_com:
-      status: "disable"
-      provider: "{{ ksmanage }}"
-
-  - name: "Set smtp com information"
-    kaytus.ksmanage.edit_smtp_com:
-      status: "enable"
-      server_ip: "100.2.2.2"
-      email: "ks@kaytus.com"
-      server_auth: "enable"
-      server_username: "admin"
-      server_password: "1234qwer!@#$"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class SMTP(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'setsmtpcom'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        status=dict(type='str', required=True, choices=['enable', 'disable']),
-        server_ip=dict(type='str', required=False),
-        server_port=dict(type='int', required=False),
-        server_secure_port=dict(type='int', required=False),
-        email=dict(type='str', required=False),
-        server_auth=dict(type='str', required=False, choices=['enable', 'disable']),
-        server_username=dict(type='str', required=False),
-        server_password=dict(type='str', required=False, no_log=True),
-        ssl_tls_enable=dict(type='str', required=False, choices=['enable', 'disable']),
-        star_tls_enable=dict(type='str', required=False, choices=['enable', 'disable']),
-        subject=dict(type='str', required=False),
-        host_name=dict(type='str', required=False, choices=['enable', 'disable']),
-        serial_number=dict(type='str', required=False, choices=['enable', 'disable']),
-        asset_tag=dict(type='str', required=False, choices=['enable', 'disable']),
-        event_level=dict(type='str', required=False, choices=['Info', 'Warning', 'Critical']),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    smtp_obj = SMTP(argument_spec)
-    smtp_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: edit_smtp_com
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Set SMTP information
+description:
+   - Set SMTP com information on kaytus Server.
+   - Only the M6 models support this feature.
+notes:
+   - Does not support C(check_mode).
+options:
+    status:
+        description:
+            - SMTP Support.
+        choices: ['enable', 'disable']
+        required: true
+        type: str
+    server_ip:
+        description:
+            - SMTP server IP.
+        type: str
+    server_port:
+        description:
+            - SMTP server port, The Identification for retry count configuration(1-65535).
+        type: int
+    server_secure_port:
+        description:
+            - SMTP server secure port, The Identification for retry count configuration(1-65535).
+        type: int
+    email:
+        description:
+            - Sender email.
+        type: str
+    server_auth:
+        description:
+            - SMTP server authentication.
+        choices: ['enable', 'disable']
+        type: str
+    server_username:
+        description:
+            - SMTP server Username, length be 4 to 64 bits.
+            - Must start with letters and cannot contain ','(comma) ':'(colon) ' '(space) ';'(semicolon) '\\'(backslash).
+            - Required when I(server_auth=enable).
+        type: str
+    server_password:
+        description:
+            - SMTP server Password, length be 4 to 64 bits, cannot contain ' '(space).
+            - Required when I(server_auth=enable).
+        type: str
+    ssl_tls_enable:
+        description:
+            - SMTP SSLTLS Enable.
+            - I(ssl_tls_enable=disable), when I(star_tls_enable=enable).
+        choices: ['enable', 'disable']
+        type: str
+    star_tls_enable:
+        description:
+            - SMTP STARTTLS Enable.
+            - I(star_tls_enable=disable), when I(ssl_tls_enable=enable).
+        choices: ['enable', 'disable']
+        type: str
+    subject:
+        description:
+            - Email theme.
+        type: str
+    host_name:
+        description:
+            - Server name.
+        choices: ['enable', 'disable']
+        type: str
+    serial_number:
+        description:
+            - Serial number.
+        choices: ['enable', 'disable']
+        type: str
+    asset_tag:
+        description:
+            - Product asset label.
+        choices: ['enable', 'disable']
+        type: str
+    event_level:
+        description:
+            - Events above this level will be sent.
+        choices: ['Info', 'Warning', 'Critical']
+        type: str
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Smtp com test
+  hosts: ksmanage
+  no_log: true
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Set smtp com information"
+    kaytus.ksmanage.edit_smtp_com:
+      status: "disable"
+      provider: "{{ ksmanage }}"
+
+  - name: "Set smtp com information"
+    kaytus.ksmanage.edit_smtp_com:
+      status: "enable"
+      server_ip: "100.2.2.2"
+      email: "ks@kaytus.com"
+      server_auth: "enable"
+      server_username: "admin"
+      server_password: "1234qwer!@#$"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class SMTP(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'setsmtpcom'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        status=dict(type='str', required=True, choices=['enable', 'disable']),
+        server_ip=dict(type='str', required=False),
+        server_port=dict(type='int', required=False),
+        server_secure_port=dict(type='int', required=False),
+        email=dict(type='str', required=False),
+        server_auth=dict(type='str', required=False, choices=['enable', 'disable']),
+        server_username=dict(type='str', required=False),
+        server_password=dict(type='str', required=False, no_log=True),
+        ssl_tls_enable=dict(type='str', required=False, choices=['enable', 'disable']),
+        star_tls_enable=dict(type='str', required=False, choices=['enable', 'disable']),
+        subject=dict(type='str', required=False),
+        host_name=dict(type='str', required=False, choices=['enable', 'disable']),
+        serial_number=dict(type='str', required=False, choices=['enable', 'disable']),
+        asset_tag=dict(type='str', required=False, choices=['enable', 'disable']),
+        event_level=dict(type='str', required=False, choices=['Info', 'Warning', 'Critical']),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    smtp_obj = SMTP(argument_spec)
+    smtp_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_smtp_dest.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_smtp_dest.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_smtp_dest.py	2024-04-23 11:47:02.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_smtp_dest.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,136 +1,136 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: edit_smtp_dest
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Set SMTP information
-description:
-   - Set SMTP dest information on kaytus Server.
-   - Only the M6 models support this feature.
-notes:
-   - Does not support C(check_mode).
-options:
-    id:
-        description:
-            - Email destination id.
-        choices: [1, 2, 3, 4]
-        type: int
-        required: true
-    status:
-        description:
-            - Email enable.
-        choices: ['enable', 'disable']
-        type: str
-    address:
-        description:
-            - Email address.
-        type: str
-    description:
-        description:
-            - Description information.
-        type: str
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Smtp  dest test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Set smtp dest information"
-    kaytus.ksmanage.edit_smtp_dest:
-      id: 1
-      status: "disable"
-      provider: "{{ ksmanage }}"
-
-  - name: "Set smtp dest information"
-    kaytus.ksmanage.edit_smtp_dest:
-      id: 1
-      status: "enable"
-      address: "100.2.2.2"
-      description": "test"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class SMTP(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'setsmtpdest'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        id=dict(type='int', required=True, choices=[1, 2, 3, 4]),
-        status=dict(type='str', required=False, choices=['enable', 'disable']),
-        address=dict(type='str', required=False),
-        description=dict(type='str', required=False),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    smtp_obj = SMTP(argument_spec)
-    smtp_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: edit_smtp_dest
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Set SMTP information
+description:
+   - Set SMTP dest information on kaytus Server.
+   - Only the M6 models support this feature.
+notes:
+   - Does not support C(check_mode).
+options:
+    id:
+        description:
+            - Email destination id.
+        choices: [1, 2, 3, 4]
+        type: int
+        required: true
+    status:
+        description:
+            - Email enable.
+        choices: ['enable', 'disable']
+        type: str
+    address:
+        description:
+            - Email address.
+        type: str
+    description:
+        description:
+            - Description information.
+        type: str
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Smtp  dest test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Set smtp dest information"
+    kaytus.ksmanage.edit_smtp_dest:
+      id: 1
+      status: "disable"
+      provider: "{{ ksmanage }}"
+
+  - name: "Set smtp dest information"
+    kaytus.ksmanage.edit_smtp_dest:
+      id: 1
+      status: "enable"
+      address: "100.2.2.2"
+      description": "test"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class SMTP(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'setsmtpdest'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        id=dict(type='int', required=True, choices=[1, 2, 3, 4]),
+        status=dict(type='str', required=False, choices=['enable', 'disable']),
+        address=dict(type='str', required=False),
+        description=dict(type='str', required=False),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    smtp_obj = SMTP(argument_spec)
+    smtp_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_snmp.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_snmp.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_snmp.py	2024-04-23 11:47:02.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_snmp.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,188 +1,188 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: edit_snmp
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Set snmp
-description:
-   - Set snmp on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    version:
-        description:
-            - SNMP trap version option, 0 - 'v1', 1 - 'v2c', 2 - 'v3', 3 - 'all', 4 - 'customize'.
-            - Only the M5 models support this feature.
-        choices: [0, 1, 2, 3, 4]
-        type: int
-    snmp_status:
-        description:
-            - NMP read/write status of customize.
-            - The input parameters are 'v1get', 'v1set', 'v2cget', 'v2cset', 'v3get', 'v3set', separated by commas, such as v1get, v1set, v2cget.
-            - Only the M5 models support this feature.
-        type: list
-        elements: str
-    community:
-        description:
-            - Community of v1/v2c or v1get/v1set/v2cget/v2cset.
-            - Only the M5 models support this feature.
-        type: str
-    v1status:
-        description:
-            - SNMP V1 enable.
-        choices: ['enable', 'disable']
-        type: str
-    v2status:
-        description:
-            - SNMP V2 enable.
-        choices: ['enable', 'disable']
-        type: str
-    v3status:
-        description:
-            - SNMP V3 enable.
-        choices: ['enable', 'disable']
-        type: str
-    read_community:
-        description:
-            - Read Only Community, Community should between 1 and 16 characters.
-            - Only the M6 models support this feature.
-        type: str
-    read_write_community:
-        description:
-            - Read And Write Community, Community should between 1 and 16 characters.
-            - Only the M6 models support this feature.
-        type: str
-    v3username:
-        description:
-            - Set a username for the V3 trap or v3get/v3set.
-        type: str
-    auth_protocol:
-        description:
-            - Choose the authentication protocol for the V3 trap or v3get/v3set.
-        choices: ['NONE', 'SHA', 'MD5']
-        type: str
-    auth_password:
-        description:
-            - Set the authentication password for the V3 trap or v3get/v3set.
-            - The password is a string of 8 to 16 alphanumeric characters.
-            - Required when I(auth_protocol) is either C(SHA) or C(MD5).
-        type: str
-    priv_protocol:
-        description:
-            - Choose the privacy protocol for the V3 trap or v3get/v3set.
-        choices: ['NONE', 'DES', 'AES']
-        type: str
-    priv_password:
-        description:
-            - Set the privacy password for the V3 trap or v3get/v3set.
-            - The password is a string of 8 to 16 alphanumeric characters.
-            - Required when I(priv_protocol) is either C(DES) or C(AES).
-        type: str
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Snmp test
-  hosts: ksmanage
-  no_log: true
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Set snmp get/set"
-    kaytus.ksmanage.edit_snmp:
-      community: "test"
-      v3username: "test"
-      provider: "{{ ksmanage }}"
-
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class SNMP(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'setsnmp'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        version=dict(type='int', required=False, choices=[0, 1, 2, 3, 4]),
-        snmp_status=dict(type='list', elements='str', required=False),
-        community=dict(type='str', required=False),
-        v1status=dict(type='str', required=False, choices=['enable', 'disable']),
-        v2status=dict(type='str', required=False, choices=['enable', 'disable']),
-        v3status=dict(type='str', required=False, choices=['enable', 'disable']),
-        read_community=dict(type='str', required=False),
-        read_write_community=dict(type='str', required=False),
-        v3username=dict(type='str', required=False),
-        auth_protocol=dict(type='str', required=False, choices=['NONE', 'SHA', 'MD5']),
-        auth_password=dict(type='str', required=False, no_log=True),
-        priv_protocol=dict(type='str', required=False, choices=['NONE', 'DES', 'AES']),
-        priv_password=dict(type='str', required=False, no_log=True),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    snmp_obj = SNMP(argument_spec)
-    snmp_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: edit_snmp
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Set snmp
+description:
+   - Set snmp on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    version:
+        description:
+            - SNMP trap version option, 0 - 'v1', 1 - 'v2c', 2 - 'v3', 3 - 'all', 4 - 'customize'.
+            - Only the M5 models support this feature.
+        choices: [0, 1, 2, 3, 4]
+        type: int
+    snmp_status:
+        description:
+            - NMP read/write status of customize.
+            - The input parameters are 'v1get', 'v1set', 'v2cget', 'v2cset', 'v3get', 'v3set', separated by commas, such as v1get, v1set, v2cget.
+            - Only the M5 models support this feature.
+        type: list
+        elements: str
+    community:
+        description:
+            - Community of v1/v2c or v1get/v1set/v2cget/v2cset.
+            - Only the M5 models support this feature.
+        type: str
+    v1status:
+        description:
+            - SNMP V1 enable.
+        choices: ['enable', 'disable']
+        type: str
+    v2status:
+        description:
+            - SNMP V2 enable.
+        choices: ['enable', 'disable']
+        type: str
+    v3status:
+        description:
+            - SNMP V3 enable.
+        choices: ['enable', 'disable']
+        type: str
+    read_community:
+        description:
+            - Read Only Community, Community should between 1 and 16 characters.
+            - Only the M6 models support this feature.
+        type: str
+    read_write_community:
+        description:
+            - Read And Write Community, Community should between 1 and 16 characters.
+            - Only the M6 models support this feature.
+        type: str
+    v3username:
+        description:
+            - Set a username for the V3 trap or v3get/v3set.
+        type: str
+    auth_protocol:
+        description:
+            - Choose the authentication protocol for the V3 trap or v3get/v3set.
+        choices: ['NONE', 'SHA', 'MD5']
+        type: str
+    auth_password:
+        description:
+            - Set the authentication password for the V3 trap or v3get/v3set.
+            - The password is a string of 8 to 16 alphanumeric characters.
+            - Required when I(auth_protocol) is either C(SHA) or C(MD5).
+        type: str
+    priv_protocol:
+        description:
+            - Choose the privacy protocol for the V3 trap or v3get/v3set.
+        choices: ['NONE', 'DES', 'AES']
+        type: str
+    priv_password:
+        description:
+            - Set the privacy password for the V3 trap or v3get/v3set.
+            - The password is a string of 8 to 16 alphanumeric characters.
+            - Required when I(priv_protocol) is either C(DES) or C(AES).
+        type: str
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Snmp test
+  hosts: ksmanage
+  no_log: true
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Set snmp get/set"
+    kaytus.ksmanage.edit_snmp:
+      community: "test"
+      v3username: "test"
+      provider: "{{ ksmanage }}"
+
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class SNMP(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'setsnmp'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        version=dict(type='int', required=False, choices=[0, 1, 2, 3, 4]),
+        snmp_status=dict(type='list', elements='str', required=False),
+        community=dict(type='str', required=False),
+        v1status=dict(type='str', required=False, choices=['enable', 'disable']),
+        v2status=dict(type='str', required=False, choices=['enable', 'disable']),
+        v3status=dict(type='str', required=False, choices=['enable', 'disable']),
+        read_community=dict(type='str', required=False),
+        read_write_community=dict(type='str', required=False),
+        v3username=dict(type='str', required=False),
+        auth_protocol=dict(type='str', required=False, choices=['NONE', 'SHA', 'MD5']),
+        auth_password=dict(type='str', required=False, no_log=True),
+        priv_protocol=dict(type='str', required=False, choices=['NONE', 'DES', 'AES']),
+        priv_password=dict(type='str', required=False, no_log=True),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    snmp_obj = SNMP(argument_spec)
+    snmp_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_snmp_trap.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_snmp_trap.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_snmp_trap.py	2024-04-23 11:47:02.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_snmp_trap.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,217 +1,217 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: edit_snmp_trap
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Set snmp trap
-description:
-   - Set snmp trap on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    version:
-        description:
-            - SNMP trap version, 1 is v1, 2 is v2c(v2), 3 is v3, 0 is disable snmp trap.
-            - Only the M6 model supports C(0) Settings.
-        choices: [0, 1, 2, 3]
-        type: int
-    event_severity:
-        description:
-            - Event Severity.
-        choices: ['all', 'warning', 'critical']
-        type: str
-    community:
-        description:
-            - Community of v1/v2c.
-        type: str
-    host_id:
-        description:
-            - Host id.
-            - Only the M6 model supports this parameter.
-        choices: ['HostName', 'SerialNum', 'AssertTag']
-        type: str
-    v3username:
-        description:
-            - Set the username for the V3 trap.
-        type: str
-    engine_id:
-        description:
-            - Specifies an engine identifier for the V3 trap. The value should be string of 10 to 48 hex characters, must be even, can be NULL.
-        type: str
-    auth_protocol:
-        description:
-            - Choose the authentication protocol for the V3 trap.
-        choices: ['NONE', 'SHA', 'MD5']
-        type: str
-    auth_password:
-        description:
-            - Set the authentication password for the V3 trap.
-            - The password is a string of 8 to 16 alphanumeric characters.
-            - Required when I(auth_protocol) is either C(SHA) or C(MD5).
-        type: str
-    priv_protocol:
-        description:
-            - Choose the privacy protocol for the V3 trap.
-        choices: ['NONE', 'DES', 'AES']
-        type: str
-    priv_password:
-        description:
-            - Set the privacy password for the V3 trap.
-            - The password is a string of 8 to 16 alphanumeric characters.
-            - Required when I(priv_protocol) is either C(DES) or C(AES).
-        type: str
-    system_name:
-        description:
-            - Set the system name, can be NULL.
-            - Only the M5 model supports this parameter.
-        type: str
-    system_id:
-        description:
-            - Set the system ID, can be NULL.
-            - Only the M5 model supports this parameter.
-        type: str
-    location:
-        description:
-            - Set the host location, can be NULL.
-            - Only the M5 model supports this parameter.
-        type: str
-    contact:
-        description:
-            - Set the contact, can be NULL.
-            - Only the M5 model supports this parameter.
-        type: str
-    os:
-        description:
-            - Set the host operating system, can be NULL.
-            - Only the M5 model supports this parameter.
-        type: str
-    trap_port:
-        description:
-            - Set a port for the SNMP trap in the range of 1 to 65535.
-            - Only the M5 model supports this parameter.
-        type: int
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Trap test
-  hosts: ksmanage
-  no_log: true
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Set snmp trap v2c"
-    kaytus.ksmanage.edit_snmp_trap:
-      version: 2
-      event_severity: "warning"
-      community: "test"
-      system_name: "ieisystem"
-      provider: "{{ ksmanage }}"
-
-  - name: "Set snmp trap v3"
-    kaytus.ksmanage.edit_snmp_trap:
-      version: 3
-      event_severity: "all"
-      v3username: "ieisystem"
-      engine_id: "1234567890"
-      auth_protocol: "SHA"
-      auth_password: "12345678"
-      priv_protocol: "AES"
-      priv_password: "123454678"
-      trap_port: 162
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class SNMP(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'setsnmptrap'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        version=dict(type='int', required=False, choices=[0, 1, 2, 3]),
-        event_severity=dict(type='str', required=False, choices=['all', 'warning', 'critical']),
-        community=dict(type='str', required=False),
-        host_id=dict(type='str', required=False, choices=['HostName', 'SerialNum', 'AssertTag']),
-        v3username=dict(type='str', required=False),
-        engine_id=dict(type='str', required=False),
-        auth_protocol=dict(type='str', required=False, choices=['NONE', 'SHA', 'MD5']),
-        auth_password=dict(type='str', required=False, no_log=True),
-        priv_protocol=dict(type='str', required=False, choices=['NONE', 'DES', 'AES']),
-        priv_password=dict(type='str', required=False, no_log=True),
-        system_name=dict(type='str', required=False),
-        system_id=dict(type='str', required=False),
-        location=dict(type='str', required=False),
-        contact=dict(type='str', required=False),
-        os=dict(type='str', required=False),
-        trap_port=dict(type='int', required=False),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    snmp_obj = SNMP(argument_spec)
-    snmp_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: edit_snmp_trap
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Set snmp trap
+description:
+   - Set snmp trap on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    version:
+        description:
+            - SNMP trap version, 1 is v1, 2 is v2c(v2), 3 is v3, 0 is disable snmp trap.
+            - Only the M6 model supports C(0) Settings.
+        choices: [0, 1, 2, 3]
+        type: int
+    event_severity:
+        description:
+            - Event Severity.
+        choices: ['all', 'warning', 'critical']
+        type: str
+    community:
+        description:
+            - Community of v1/v2c.
+        type: str
+    host_id:
+        description:
+            - Host id.
+            - Only the M6 model supports this parameter.
+        choices: ['HostName', 'SerialNum', 'AssertTag']
+        type: str
+    v3username:
+        description:
+            - Set the username for the V3 trap.
+        type: str
+    engine_id:
+        description:
+            - Specifies an engine identifier for the V3 trap. The value should be string of 10 to 48 hex characters, must be even, can be NULL.
+        type: str
+    auth_protocol:
+        description:
+            - Choose the authentication protocol for the V3 trap.
+        choices: ['NONE', 'SHA', 'MD5']
+        type: str
+    auth_password:
+        description:
+            - Set the authentication password for the V3 trap.
+            - The password is a string of 8 to 16 alphanumeric characters.
+            - Required when I(auth_protocol) is either C(SHA) or C(MD5).
+        type: str
+    priv_protocol:
+        description:
+            - Choose the privacy protocol for the V3 trap.
+        choices: ['NONE', 'DES', 'AES']
+        type: str
+    priv_password:
+        description:
+            - Set the privacy password for the V3 trap.
+            - The password is a string of 8 to 16 alphanumeric characters.
+            - Required when I(priv_protocol) is either C(DES) or C(AES).
+        type: str
+    system_name:
+        description:
+            - Set the system name, can be NULL.
+            - Only the M5 model supports this parameter.
+        type: str
+    system_id:
+        description:
+            - Set the system ID, can be NULL.
+            - Only the M5 model supports this parameter.
+        type: str
+    location:
+        description:
+            - Set the host location, can be NULL.
+            - Only the M5 model supports this parameter.
+        type: str
+    contact:
+        description:
+            - Set the contact, can be NULL.
+            - Only the M5 model supports this parameter.
+        type: str
+    os:
+        description:
+            - Set the host operating system, can be NULL.
+            - Only the M5 model supports this parameter.
+        type: str
+    trap_port:
+        description:
+            - Set a port for the SNMP trap in the range of 1 to 65535.
+            - Only the M5 model supports this parameter.
+        type: int
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Trap test
+  hosts: ksmanage
+  no_log: true
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Set snmp trap v2c"
+    kaytus.ksmanage.edit_snmp_trap:
+      version: 2
+      event_severity: "warning"
+      community: "test"
+      system_name: "ieisystem"
+      provider: "{{ ksmanage }}"
+
+  - name: "Set snmp trap v3"
+    kaytus.ksmanage.edit_snmp_trap:
+      version: 3
+      event_severity: "all"
+      v3username: "ieisystem"
+      engine_id: "1234567890"
+      auth_protocol: "SHA"
+      auth_password: "12345678"
+      priv_protocol: "AES"
+      priv_password: "123454678"
+      trap_port: 162
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class SNMP(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'setsnmptrap'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        version=dict(type='int', required=False, choices=[0, 1, 2, 3]),
+        event_severity=dict(type='str', required=False, choices=['all', 'warning', 'critical']),
+        community=dict(type='str', required=False),
+        host_id=dict(type='str', required=False, choices=['HostName', 'SerialNum', 'AssertTag']),
+        v3username=dict(type='str', required=False),
+        engine_id=dict(type='str', required=False),
+        auth_protocol=dict(type='str', required=False, choices=['NONE', 'SHA', 'MD5']),
+        auth_password=dict(type='str', required=False, no_log=True),
+        priv_protocol=dict(type='str', required=False, choices=['NONE', 'DES', 'AES']),
+        priv_password=dict(type='str', required=False, no_log=True),
+        system_name=dict(type='str', required=False),
+        system_id=dict(type='str', required=False),
+        location=dict(type='str', required=False),
+        contact=dict(type='str', required=False),
+        os=dict(type='str', required=False),
+        trap_port=dict(type='int', required=False),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    snmp_obj = SNMP(argument_spec)
+    snmp_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_threshold.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_threshold.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_threshold.py	2024-04-23 11:47:02.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_threshold.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,141 +1,141 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: edit_threshold
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Set threshold information
-description:
-   - Set threshold information on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    name:
-        description:
-            - Sensor name.
-        type: str
-        required: true
-    lnr:
-        description:
-            - Lower non recoverable threshold, should be integer.
-        type: int
-    lc:
-        description:
-            - Lower critical threshold, should be integer.
-        type: int
-    lnc:
-        description:
-            - Lower non critical threshold, should be integer.
-        type: int
-    unc:
-        description:
-            - Up non critical threshold, should be integer.
-        type: int
-    uc:
-        description:
-            - Up critical threshold, should be integer.
-        type: int
-    unr:
-        description:
-            - Up non recoverable threshold, should be integer.
-        type: int
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Threshold test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Set threshold information"
-    kaytus.ksmanage.edit_threshold:
-      name: "GPU1_Temp"
-      uc: 94
-      unc: 92
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Threshold(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'setthreshold'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        name=dict(type='str', required=True),
-        lnr=dict(type='int', required=False),
-        lc=dict(type='int', required=False),
-        lnc=dict(type='int', required=False),
-        unc=dict(type='int', required=False),
-        uc=dict(type='int', required=False),
-        unr=dict(type='int', required=False),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    threshoold_obj = Threshold(argument_spec)
-    threshoold_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: edit_threshold
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Set threshold information
+description:
+   - Set threshold information on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    name:
+        description:
+            - Sensor name.
+        type: str
+        required: true
+    lnr:
+        description:
+            - Lower non recoverable threshold, should be integer.
+        type: int
+    lc:
+        description:
+            - Lower critical threshold, should be integer.
+        type: int
+    lnc:
+        description:
+            - Lower non critical threshold, should be integer.
+        type: int
+    unc:
+        description:
+            - Up non critical threshold, should be integer.
+        type: int
+    uc:
+        description:
+            - Up critical threshold, should be integer.
+        type: int
+    unr:
+        description:
+            - Up non recoverable threshold, should be integer.
+        type: int
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Threshold test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Set threshold information"
+    kaytus.ksmanage.edit_threshold:
+      name: "GPU1_Temp"
+      uc: 94
+      unc: 92
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Threshold(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'setthreshold'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        name=dict(type='str', required=True),
+        lnr=dict(type='int', required=False),
+        lc=dict(type='int', required=False),
+        lnc=dict(type='int', required=False),
+        unc=dict(type='int', required=False),
+        uc=dict(type='int', required=False),
+        unr=dict(type='int', required=False),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    threshoold_obj = Threshold(argument_spec)
+    threshoold_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_uid.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_uid.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_uid.py	2024-04-23 11:47:02.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_uid.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,121 +1,121 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: edit_uid
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Set UID
-description:
-   - Set UID on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    led:
-        description:
-            - Turn on or turn off the led.
-        choices: ['on', 'off']
-        type: str
-        required: true
-    time:
-        description:
-            - Set led blink time(second).
-        type: int
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: UID test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Set uid"
-    kaytus.ksmanage.edit_uid:
-      led: "on"
-      time: 10
-      provider: "{{ ksmanage }}"
-
-  - name: "Set uid"
-    kaytus.ksmanage.edit_uid:
-      led: "off"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class UID(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'setuid'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        led=dict(type='str', required=True, choices=['on', 'off']),
-        time=dict(type='int', required=False),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    uid_obj = UID(argument_spec)
-    uid_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: edit_uid
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Set UID
+description:
+   - Set UID on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    led:
+        description:
+            - Turn on or turn off the led.
+        choices: ['on', 'off']
+        type: str
+        required: true
+    time:
+        description:
+            - Set led blink time(second).
+        type: int
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: UID test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Set uid"
+    kaytus.ksmanage.edit_uid:
+      led: "on"
+      time: 10
+      provider: "{{ ksmanage }}"
+
+  - name: "Set uid"
+    kaytus.ksmanage.edit_uid:
+      led: "off"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class UID(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'setuid'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        led=dict(type='str', required=True, choices=['on', 'off']),
+        time=dict(type='int', required=False),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    uid_obj = UID(argument_spec)
+    uid_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_virtual_media.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_virtual_media.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_virtual_media.py	2024-04-23 11:47:02.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_virtual_media.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,182 +1,182 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: edit_virtual_media
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Set virtual media
-description:
-   - Set virtual media on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    local_media_support:
-        description:
-            - To enable or disable Local Media Support, check or uncheck the checkbox respectively.
-            - Only the M5 model supports this parameter.
-        choices: ['Enable', 'Disable']
-        type: str
-    remote_media_support:
-        description:
-            - To enable or disable Remote Media support, check or uncheck the checkbox respectively.
-        choices: ['Enable', 'Disable']
-        type: str
-    mount_type:
-        description:
-            - Virtual mount type.
-            - The I(FD) option is not supported in M6.
-        choices: ['CD', 'FD', 'HD']
-        type: str
-    same_settings:
-        description:
-            - Same settings with I(CD), 0 is No, 1 is Yes.
-            - Required when I(mount_type=0).
-        choices: [0, 1]
-        type: int
-    mount:
-        description:
-            - Whether to mount virtual media.
-            - Only the M5 model supports this parameter.
-        choices: ['Enable', 'Disable']
-        type: str
-    remote_server_address:
-        description:
-            - Address of the server where the remote media images are stored.
-        type: str
-    remote_source_path:
-        description:
-            - Source path to the remote media images..
-        type: str
-    remote_share_type:
-        description:
-            - Share Type of the remote media server either NFS or Samba(CIFS).
-        choices: ['nfs', 'cifs']
-        type: str
-    remote_domain_name:
-        description:
-            - Remote Domain Name, Domain Name field is optional.
-        type: str
-    remote_user_name:
-        description:
-            - Remote User Name.
-            - Required when I(remote_share_type=cifs).
-        type: str
-    remote_password:
-        description:
-            - Remote Password.
-            - Required when I(remote_share_type=cifs).
-        type: str
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Media test
-  hosts: ksmanage
-  no_log: true
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Set local media"
-    kaytus.ksmanage.edit_virtual_media:
-      local_media_support: "Enable"
-      provider: "{{ ksmanage }}"
-
-  - name: "Set remote media"
-    kaytus.ksmanage.edit_virtual_media:
-      remote_media_support: "Enable"
-      mount_type: 'CD'
-      same_settings: 0
-      mount: "Enable"
-      remote_server_address: "100.2.28.203"
-      remote_source_path: "/data/nfs/server/"
-      remote_share_type: "nfs"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Media(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'setvirtualmedia'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        local_media_support=dict(type='str', required=False, choices=['Enable', 'Disable']),
-        remote_media_support=dict(type='str', required=False, choices=['Enable', 'Disable']),
-        mount_type=dict(type='str', required=False, choices=['CD', 'FD', 'HD']),
-        same_settings=dict(type='int', required=False, choices=[0, 1]),
-        mount=dict(type='str', required=False, choices=['Enable', 'Disable']),
-        remote_server_address=dict(type='str', required=False),
-        remote_source_path=dict(type='str', required=False),
-        remote_share_type=dict(type='str', required=False, choices=['nfs', 'cifs']),
-        remote_domain_name=dict(type='str', required=False),
-        remote_user_name=dict(type='str', required=False),
-        remote_password=dict(type='str', required=False, no_log=True),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    media_obj = Media(argument_spec)
-    media_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: edit_virtual_media
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Set virtual media
+description:
+   - Set virtual media on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    local_media_support:
+        description:
+            - To enable or disable Local Media Support, check or uncheck the checkbox respectively.
+            - Only the M5 model supports this parameter.
+        choices: ['Enable', 'Disable']
+        type: str
+    remote_media_support:
+        description:
+            - To enable or disable Remote Media support, check or uncheck the checkbox respectively.
+        choices: ['Enable', 'Disable']
+        type: str
+    mount_type:
+        description:
+            - Virtual mount type.
+            - The I(FD) option is not supported in M6.
+        choices: ['CD', 'FD', 'HD']
+        type: str
+    same_settings:
+        description:
+            - Same settings with I(CD), 0 is No, 1 is Yes.
+            - Required when I(mount_type=0).
+        choices: [0, 1]
+        type: int
+    mount:
+        description:
+            - Whether to mount virtual media.
+            - Only the M5 model supports this parameter.
+        choices: ['Enable', 'Disable']
+        type: str
+    remote_server_address:
+        description:
+            - Address of the server where the remote media images are stored.
+        type: str
+    remote_source_path:
+        description:
+            - Source path to the remote media images..
+        type: str
+    remote_share_type:
+        description:
+            - Share Type of the remote media server either NFS or Samba(CIFS).
+        choices: ['nfs', 'cifs']
+        type: str
+    remote_domain_name:
+        description:
+            - Remote Domain Name, Domain Name field is optional.
+        type: str
+    remote_user_name:
+        description:
+            - Remote User Name.
+            - Required when I(remote_share_type=cifs).
+        type: str
+    remote_password:
+        description:
+            - Remote Password.
+            - Required when I(remote_share_type=cifs).
+        type: str
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Media test
+  hosts: ksmanage
+  no_log: true
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Set local media"
+    kaytus.ksmanage.edit_virtual_media:
+      local_media_support: "Enable"
+      provider: "{{ ksmanage }}"
+
+  - name: "Set remote media"
+    kaytus.ksmanage.edit_virtual_media:
+      remote_media_support: "Enable"
+      mount_type: 'CD'
+      same_settings: 0
+      mount: "Enable"
+      remote_server_address: "100.2.28.203"
+      remote_source_path: "/data/nfs/server/"
+      remote_share_type: "nfs"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Media(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'setvirtualmedia'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        local_media_support=dict(type='str', required=False, choices=['Enable', 'Disable']),
+        remote_media_support=dict(type='str', required=False, choices=['Enable', 'Disable']),
+        mount_type=dict(type='str', required=False, choices=['CD', 'FD', 'HD']),
+        same_settings=dict(type='int', required=False, choices=[0, 1]),
+        mount=dict(type='str', required=False, choices=['Enable', 'Disable']),
+        remote_server_address=dict(type='str', required=False),
+        remote_source_path=dict(type='str', required=False),
+        remote_share_type=dict(type='str', required=False, choices=['nfs', 'cifs']),
+        remote_domain_name=dict(type='str', required=False),
+        remote_user_name=dict(type='str', required=False),
+        remote_password=dict(type='str', required=False, no_log=True),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    media_obj = Media(argument_spec)
+    media_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_vlan.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_vlan.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_vlan.py	2024-04-23 11:47:02.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/edit_vlan.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,136 +1,136 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: edit_vlan
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Set vlan information
-description:
-   - Set vlan information on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    interface_name:
-        description:
-            - Set interface name. Select the LAN interface to be configured.
-        choices: ['eth0', 'eth1', 'bond0']
-        required: true
-        type: str
-    vlan_status:
-        description:
-            - Enable or disable vlan.
-        choices: ['enable', 'disable']
-        type: str
-    vlan_id:
-        description:
-            - The Identification for VLAN configuration(2-4094).
-        type: int
-    vlan_priority:
-        description:
-            - The priority for VLAN configuration(1-7).
-        type: int
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Vlan test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Set vlan information"
-    kaytus.ksmanage.edit_vlan:
-      interface_name: "eth0"
-      vlan_status: "disable"
-      provider: "{{ ksmanage }}"
-
-  - name: "Set vlan information"
-    kaytus.ksmanage.edit_vlan:
-      interface_name: "eth0"
-      vlan_status: "enable"
-      vlan_id: 2
-      vlan_priority: 1
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Network(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'setvlan'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        interface_name=dict(type='str', required=True, choices=['eth0', 'eth1', 'bond0']),
-        vlan_status=dict(type='str', required=False, choices=['enable', 'disable']),
-        vlan_id=dict(type='int', required=False),
-        vlan_priority=dict(type='int', required=False),
-
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    net_obj = Network(argument_spec)
-    net_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: edit_vlan
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Set vlan information
+description:
+   - Set vlan information on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    interface_name:
+        description:
+            - Set interface name. Select the LAN interface to be configured.
+        choices: ['eth0', 'eth1', 'bond0']
+        required: true
+        type: str
+    vlan_status:
+        description:
+            - Enable or disable vlan.
+        choices: ['enable', 'disable']
+        type: str
+    vlan_id:
+        description:
+            - The Identification for VLAN configuration(2-4094).
+        type: int
+    vlan_priority:
+        description:
+            - The priority for VLAN configuration(1-7).
+        type: int
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Vlan test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Set vlan information"
+    kaytus.ksmanage.edit_vlan:
+      interface_name: "eth0"
+      vlan_status: "disable"
+      provider: "{{ ksmanage }}"
+
+  - name: "Set vlan information"
+    kaytus.ksmanage.edit_vlan:
+      interface_name: "eth0"
+      vlan_status: "enable"
+      vlan_id: 2
+      vlan_priority: 1
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Network(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'setvlan'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        interface_name=dict(type='str', required=True, choices=['eth0', 'eth1', 'bond0']),
+        vlan_status=dict(type='str', required=False, choices=['enable', 'disable']),
+        vlan_id=dict(type='int', required=False),
+        vlan_priority=dict(type='int', required=False),
+
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    net_obj = Network(argument_spec)
+    net_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/event_log_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/event_log_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/event_log_info.py	2024-04-23 11:47:02.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/event_log_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,126 +1,126 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: event_log_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get event log information
-description:
-   - Get event log information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options:
-    log_time:
-        description:
-            - Get logs after the specified date, time should be YYYY-MM-DDTHH:MM+HH:MM, like 2019-06-27T12:30+08:00.
-        type: str
-    count:
-        description:
-            - Get the most recent log of a specified number.
-        type: int
-    event_file:
-        description:
-            - Store logs to a file.
-        type: str
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Event log info test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get event log information"
-    kaytus.ksmanage.event_log_info:
-      log_time: "2020-06-01T12:30+08:00"
-      provider: "{{ ksmanage }}"
-
-  - name: "Get event log information"
-    kaytus.ksmanage.event_log_info:
-      count: 30
-      provider: "{{ ksmanage }}"
-
-  - name: "Get event log information"
-    kaytus.ksmanage.event_log_info:
-      event_file: "/home/wbs/wbs.log"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class EventLog(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'geteventlog'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        log_time=dict(type='str', required=False),
-        count=dict(type='int', required=False),
-        event_file=dict(type='str', required=False),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    log_obj = EventLog(argument_spec)
-    log_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: event_log_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get event log information
+description:
+   - Get event log information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options:
+    log_time:
+        description:
+            - Get logs after the specified date, time should be YYYY-MM-DDTHH:MM+HH:MM, like 2019-06-27T12:30+08:00.
+        type: str
+    count:
+        description:
+            - Get the most recent log of a specified number.
+        type: int
+    event_file:
+        description:
+            - Store logs to a file.
+        type: str
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Event log info test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get event log information"
+    kaytus.ksmanage.event_log_info:
+      log_time: "2020-06-01T12:30+08:00"
+      provider: "{{ ksmanage }}"
+
+  - name: "Get event log information"
+    kaytus.ksmanage.event_log_info:
+      count: 30
+      provider: "{{ ksmanage }}"
+
+  - name: "Get event log information"
+    kaytus.ksmanage.event_log_info:
+      event_file: "/home/wbs/wbs.log"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class EventLog(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'geteventlog'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        log_time=dict(type='str', required=False),
+        count=dict(type='int', required=False),
+        event_file=dict(type='str', required=False),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    log_obj = EventLog(argument_spec)
+    log_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/event_log_policy_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/event_log_policy_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/event_log_policy_info.py	2024-04-23 11:47:02.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/event_log_policy_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: event_log_policy_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get event log policy information
-description:
-   - Get event log policy information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Event log policy test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get event log policy information"
-    kaytus.ksmanage.event_log_policy_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Log(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'geteventlogpolicy'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    log_obj = Log(argument_spec)
-    log_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: event_log_policy_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get event log policy information
+description:
+   - Get event log policy information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Event log policy test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get event log policy information"
+    kaytus.ksmanage.event_log_policy_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Log(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'geteventlogpolicy'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    log_obj = Log(argument_spec)
+    log_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/fan_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/fan_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/fan_info.py	2024-04-23 11:47:02.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/fan_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: fan_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get fan information
-description:
-   - Get fan information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Fan test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get fan information"
-    kaytus.ksmanage.fan_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Fan(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getfan'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    fan_obj = Fan(argument_spec)
-    fan_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: fan_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get fan information
+description:
+   - Get fan information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Fan test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get fan information"
+    kaytus.ksmanage.fan_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Fan(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getfan'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    fan_obj = Fan(argument_spec)
+    fan_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/fru_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/fru_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/fru_info.py	2024-04-23 11:47:02.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/fru_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: fru_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get fru information
-description:
-   - Get fru information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Fru info test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get fru information"
-    kaytus.ksmanage.fru_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Fru(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getfru'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    fru_obj = Fru(argument_spec)
-    fru_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: fru_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get fru information
+description:
+   - Get fru information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Fru info test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get fru information"
+    kaytus.ksmanage.fru_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Fru(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getfru'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    fru_obj = Fru(argument_spec)
+    fru_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/fw_version_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/fw_version_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/fw_version_info.py	2024-04-23 11:47:02.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/fw_version_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: fw_version_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get firmware version information
-description:
-   - Get firmware version information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Firmware version test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get firmware version information"
-    kaytus.ksmanage.fw_version_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class FwVersion(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getfw'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    fw_obj = FwVersion(argument_spec)
-    fw_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: fw_version_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get firmware version information
+description:
+   - Get firmware version information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Firmware version test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get firmware version information"
+    kaytus.ksmanage.fw_version_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class FwVersion(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getfw'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    fw_obj = FwVersion(argument_spec)
+    fw_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/gpu_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/gpu_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/gpu_info.py	2024-04-23 11:47:02.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/gpu_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,100 +1,100 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: gpu_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get GPU information
-description:
-   - Get GPU information on kaytus Server.
-   - Only the M6 models support this feature.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: GPU test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get gpu information"
-    kaytus.ksmanage.gpu_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class CPU(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getgpu'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    cpu_obj = CPU(argument_spec)
-    cpu_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: gpu_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get GPU information
+description:
+   - Get GPU information on kaytus Server.
+   - Only the M6 models support this feature.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: GPU test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get gpu information"
+    kaytus.ksmanage.gpu_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class CPU(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getgpu'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    cpu_obj = CPU(argument_spec)
+    cpu_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/hard_disk_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/hard_disk_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/hard_disk_info.py	2024-04-23 11:47:02.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/hard_disk_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: hard_disk_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get hard disk information
-description:
-   - Get hard disk information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Hard disk test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get hard disk information"
-    kaytus.ksmanage.hard_disk_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Harddisk(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getharddisk'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    disk_obj = Harddisk(argument_spec)
-    disk_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: hard_disk_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get hard disk information
+description:
+   - Get hard disk information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Hard disk test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get hard disk information"
+    kaytus.ksmanage.hard_disk_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Harddisk(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getharddisk'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    disk_obj = Harddisk(argument_spec)
+    disk_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/hba_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/hba_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/hba_info.py	2024-04-23 11:47:02.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/hba_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: hba_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get CPU information
-description:
-   - Get HBA information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: HBA test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get hba information"
-    kaytus.ksmanage.hba_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class HBA(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'gethba'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    hba_obj = HBA(argument_spec)
-    hba_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: hba_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get CPU information
+description:
+   - Get HBA information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: HBA test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get hba information"
+    kaytus.ksmanage.hba_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class HBA(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'gethba'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    hba_obj = HBA(argument_spec)
+    hba_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/kvm_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/kvm_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/kvm_info.py	2024-04-23 11:47:02.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/kvm_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: kvm_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get KVM information
-description:
-   - Get KVM information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: KVM test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get KVM information"
-    kaytus.ksmanage.kvm_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class KVM(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getkvm'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    kvm_obj = KVM(argument_spec)
-    kvm_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: kvm_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get KVM information
+description:
+   - Get KVM information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: KVM test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get KVM information"
+    kaytus.ksmanage.kvm_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class KVM(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getkvm'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    kvm_obj = KVM(argument_spec)
+    kvm_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/ldap_group.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/ldap_group.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/ldap_group.py	2024-04-23 11:47:02.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/ldap_group.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,158 +1,158 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: ldap_group
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Manage ldap group information
-description:
-   - Manage ldap group information on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    state:
-        description:
-            - Whether the ldap group should exist or not, taking action if the state is different from what is stated.
-        choices: ['present', 'absent']
-        default: present
-        type: str
-    name:
-        description:
-            - Group name.
-        type: str
-        required: true
-    base:
-        description:
-            - Search Base.
-        type: str
-    pri:
-        description:
-            - Group privilege.
-        choices: ['administrator', 'user', 'operator', 'oem', 'none']
-        type: str
-    kvm:
-        description:
-            - Kvm privilege.
-        choices: ['enable', 'disable']
-        type: str
-    vm:
-        description:
-            - Vmedia privilege.
-        choices: ['enable', 'disable']
-        type: str
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Ldap group test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Add ldap group information"
-    kaytus.ksmanage.ldap_group:
-      state: "present"
-      name: "wbs"
-      base: "cn=manager"
-      pri: "administrator"
-      kvm: "enable"
-      vm: "disable"
-      provider: "{{ ksmanage }}"
-
-  - name: "Set ldap group information"
-    kaytus.ksmanage.ldap_group:
-      state: "present"
-      name: "wbs"
-      pri: "user"
-      kvm: "disable"
-      provider: "{{ ksmanage }}"
-
-  - name: "Delete ldap group information"
-    kaytus.ksmanage.ldap_group:
-      state: "absent"
-      name: "wbs"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class LDAP(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'editldapgroup'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        state=dict(type='str', choices=['present', 'absent'], default='present'),
-        name=dict(type='str', required=True),
-        base=dict(type='str', required=False),
-        pri=dict(type='str', required=False, choices=['administrator', 'user', 'operator', 'oem', 'none']),
-        kvm=dict(type='str', required=False, choices=['enable', 'disable']),
-        vm=dict(type='str', required=False, choices=['enable', 'disable']),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    ldap_obj = LDAP(argument_spec)
-    ldap_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: ldap_group
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Manage ldap group information
+description:
+   - Manage ldap group information on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    state:
+        description:
+            - Whether the ldap group should exist or not, taking action if the state is different from what is stated.
+        choices: ['present', 'absent']
+        default: present
+        type: str
+    name:
+        description:
+            - Group name.
+        type: str
+        required: true
+    base:
+        description:
+            - Search Base.
+        type: str
+    pri:
+        description:
+            - Group privilege.
+        choices: ['administrator', 'user', 'operator', 'oem', 'none']
+        type: str
+    kvm:
+        description:
+            - Kvm privilege.
+        choices: ['enable', 'disable']
+        type: str
+    vm:
+        description:
+            - Vmedia privilege.
+        choices: ['enable', 'disable']
+        type: str
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Ldap group test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Add ldap group information"
+    kaytus.ksmanage.ldap_group:
+      state: "present"
+      name: "wbs"
+      base: "cn=manager"
+      pri: "administrator"
+      kvm: "enable"
+      vm: "disable"
+      provider: "{{ ksmanage }}"
+
+  - name: "Set ldap group information"
+    kaytus.ksmanage.ldap_group:
+      state: "present"
+      name: "wbs"
+      pri: "user"
+      kvm: "disable"
+      provider: "{{ ksmanage }}"
+
+  - name: "Delete ldap group information"
+    kaytus.ksmanage.ldap_group:
+      state: "absent"
+      name: "wbs"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class LDAP(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'editldapgroup'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        state=dict(type='str', choices=['present', 'absent'], default='present'),
+        name=dict(type='str', required=True),
+        base=dict(type='str', required=False),
+        pri=dict(type='str', required=False, choices=['administrator', 'user', 'operator', 'oem', 'none']),
+        kvm=dict(type='str', required=False, choices=['enable', 'disable']),
+        vm=dict(type='str', required=False, choices=['enable', 'disable']),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    ldap_obj = LDAP(argument_spec)
+    ldap_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/ldap_group_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/ldap_group_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/ldap_group_info.py	2024-04-23 11:47:02.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/ldap_group_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: ldap_group_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get ldap group information
-description:
-   - Get ldap group information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Ldap group test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get ldap group information"
-    kaytus.ksmanage.ldap_group_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class LDAP(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getldapgroup'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    ldap_obj = LDAP(argument_spec)
-    ldap_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: ldap_group_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get ldap group information
+description:
+   - Get ldap group information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Ldap group test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get ldap group information"
+    kaytus.ksmanage.ldap_group_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class LDAP(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getldapgroup'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    ldap_obj = LDAP(argument_spec)
+    ldap_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/ldap_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/ldap_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/ldap_info.py	2024-04-23 11:47:02.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/ldap_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: ldap_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get ldap information
-description:
-   - Get ldap information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Ldap test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get ldap information"
-    kaytus.ksmanage.ldap_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class LDAP(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getldap'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    ldap_obj = LDAP(argument_spec)
-    ldap_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: ldap_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get ldap information
+description:
+   - Get ldap information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Ldap test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get ldap information"
+    kaytus.ksmanage.ldap_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class LDAP(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getldap'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    ldap_obj = LDAP(argument_spec)
+    ldap_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/ldisk_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/ldisk_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/ldisk_info.py	2024-04-23 11:47:02.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/ldisk_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: ldisk_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get logical disks information
-description:
-   - Get logical disks information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Ldisk test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get logical disks information"
-    kaytus.ksmanage.ldisk_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Disk(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getldisk'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    disk_obj = Disk(argument_spec)
-    disk_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: ldisk_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get logical disks information
+description:
+   - Get logical disks information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Ldisk test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get logical disks information"
+    kaytus.ksmanage.ldisk_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Disk(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getldisk'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    disk_obj = Disk(argument_spec)
+    disk_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/log_setting_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/log_setting_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/log_setting_info.py	2024-04-23 11:47:02.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/log_setting_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: log_setting_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get bmc log setting information
-description:
-   - Get bmc log setting information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Bmc log setting test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get bmc log setting information"
-    kaytus.ksmanage.log_setting_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class LogSetting(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getbmclogsettings'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    cpu_obj = LogSetting(argument_spec)
-    cpu_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: log_setting_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get bmc log setting information
+description:
+   - Get bmc log setting information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Bmc log setting test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get bmc log setting information"
+    kaytus.ksmanage.log_setting_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class LogSetting(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getbmclogsettings'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    cpu_obj = LogSetting(argument_spec)
+    cpu_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/media_instance_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/media_instance_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/media_instance_info.py	2024-04-23 11:47:02.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/media_instance_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: media_instance_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get Virtual Media Instance information
-description:
-   - Get Virtual Media Instance information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Media instance test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get Virtual Media Instance information"
-    kaytus.ksmanage.media_instance_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Instance(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getmediainstance'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    instance_obj = Instance(argument_spec)
-    instance_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: media_instance_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get Virtual Media Instance information
+description:
+   - Get Virtual Media Instance information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Media instance test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get Virtual Media Instance information"
+    kaytus.ksmanage.media_instance_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Instance(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getmediainstance'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    instance_obj = Instance(argument_spec)
+    instance_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/mem_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/mem_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/mem_info.py	2024-04-23 11:47:02.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/mem_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: mem_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get memory information
-description:
-   - Get memory information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Memory test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get memory information"
-    kaytus.ksmanage.mem_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Memory(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getmemory'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    mem_obj = Memory(argument_spec)
-    mem_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: mem_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get memory information
+description:
+   - Get memory information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Memory test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get memory information"
+    kaytus.ksmanage.mem_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Memory(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getmemory'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    mem_obj = Memory(argument_spec)
+    mem_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/ncsi_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/ncsi_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/ncsi_info.py	2024-04-23 11:47:02.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/ncsi_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: ncsi_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get ncsi information
-description:
-   - Get ncsi information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: NCSI test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get ncsi information"
-    kaytus.ksmanage.ncsi_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class NCSI(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getncsi'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    ncsi_obj = NCSI(argument_spec)
-    ncsi_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: ncsi_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get ncsi information
+description:
+   - Get ncsi information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: NCSI test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get ncsi information"
+    kaytus.ksmanage.ncsi_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class NCSI(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getncsi'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    ncsi_obj = NCSI(argument_spec)
+    ncsi_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/network_bond_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/network_bond_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/network_bond_info.py	2024-04-23 11:47:02.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/network_bond_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: network_bond_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get network bond information
-description:
-   - Get network bond information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Bond test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get network bond information"
-    kaytus.ksmanage.network_bond_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Bond(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getnetworkbond'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    bond_obj = Bond(argument_spec)
-    bond_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: network_bond_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get network bond information
+description:
+   - Get network bond information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Bond test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get network bond information"
+    kaytus.ksmanage.network_bond_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Bond(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getnetworkbond'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    bond_obj = Bond(argument_spec)
+    bond_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/network_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/network_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/network_info.py	2024-04-23 11:47:02.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/network_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: network_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get network information
-description:
-   - Get network information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Network test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get network information"
-    kaytus.ksmanage.network_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Network(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getnetwork'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    net_obj = Network(argument_spec)
-    net_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: network_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get network information
+description:
+   - Get network information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Network test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get network information"
+    kaytus.ksmanage.network_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Network(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getnetwork'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    net_obj = Network(argument_spec)
+    net_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/network_link_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/network_link_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/network_link_info.py	2024-04-23 11:47:02.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/network_link_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: network_link_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get network link information
-description:
-   - Get network link information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Link test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get network link information"
-    kaytus.ksmanage.network_link_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Link(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getnetworklink'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    link_obj = Link(argument_spec)
-    link_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: network_link_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get network link information
+description:
+   - Get network link information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Link test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get network link information"
+    kaytus.ksmanage.network_link_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Link(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getnetworklink'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    link_obj = Link(argument_spec)
+    link_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/ntp_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/ntp_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/ntp_info.py	2024-04-23 11:47:02.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/ntp_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: ntp_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get NTP information
-description:
-   - Get NTP information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: NTP test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get ntp information"
-    kaytus.ksmanage.ntp_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class NTP(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'gettime'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    ntp_obj = NTP(argument_spec)
-    ntp_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: ntp_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get NTP information
+description:
+   - Get NTP information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: NTP test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get ntp information"
+    kaytus.ksmanage.ntp_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class NTP(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'gettime'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    ntp_obj = NTP(argument_spec)
+    ntp_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/onboard_disk_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/onboard_disk_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/onboard_disk_info.py	2024-04-23 11:47:02.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/onboard_disk_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: onboard_disk_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get onboard disks information
-description:
-   - Get onboard disks information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Onboard test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get onboard disks information"
-    kaytus.ksmanage.onboard_disk_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Disk(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'gethdddisk'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    disk_obj = Disk(argument_spec)
-    disk_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: onboard_disk_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get onboard disks information
+description:
+   - Get onboard disks information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Onboard test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get onboard disks information"
+    kaytus.ksmanage.onboard_disk_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Disk(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'gethdddisk'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    disk_obj = Disk(argument_spec)
+    disk_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/pcie_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/pcie_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/pcie_info.py	2024-04-23 11:47:02.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/pcie_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: pcie_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get PCIE information
-description:
-   - Get PCIE information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: PCIE test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get PCIE information"
-    kaytus.ksmanage.pcie_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class PCIE(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getpcie'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    pcie_obj = PCIE(argument_spec)
-    pcie_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: pcie_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get PCIE information
+description:
+   - Get PCIE information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: PCIE test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get PCIE information"
+    kaytus.ksmanage.pcie_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class PCIE(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getpcie'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    pcie_obj = PCIE(argument_spec)
+    pcie_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/pdisk_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/pdisk_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/pdisk_info.py	2024-04-23 11:47:02.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/pdisk_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: pdisk_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get physical disks information
-description:
-   - Get physical disks information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Pdisk test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get physical disks information"
-    kaytus.ksmanage.pdisk_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Disk(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getpdisk'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    disk_obj = Disk(argument_spec)
-    disk_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: pdisk_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get physical disks information
+description:
+   - Get physical disks information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Pdisk test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get physical disks information"
+    kaytus.ksmanage.pdisk_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Disk(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getpdisk'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    disk_obj = Disk(argument_spec)
+    disk_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/power_budget_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/power_budget_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/power_budget_info.py	2024-04-23 11:47:02.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/power_budget_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: power_budget_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get power budget information
-description:
-   - Get power budget information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Power budget test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get power budget information"
-    kaytus.ksmanage.power_budget_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Power(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getpowerbudget'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    power_obj = Power(argument_spec)
-    power_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: power_budget_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get power budget information
+description:
+   - Get power budget information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Power budget test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get power budget information"
+    kaytus.ksmanage.power_budget_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Power(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getpowerbudget'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    power_obj = Power(argument_spec)
+    power_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/power_consumption_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/power_consumption_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/power_consumption_info.py	2024-04-23 11:47:02.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/power_consumption_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: power_consumption_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get power consumption information
-description:
-   - Get power consumption information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Power consumption test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get power consumption information"
-    kaytus.ksmanage.power_consumption_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Power(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getpowerconsumption'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    power_obj = Power(argument_spec)
-    power_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: power_consumption_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get power consumption information
+description:
+   - Get power consumption information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Power consumption test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get power consumption information"
+    kaytus.ksmanage.power_consumption_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Power(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getpowerconsumption'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    power_obj = Power(argument_spec)
+    power_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/power_restore_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/power_restore_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/power_restore_info.py	2024-04-23 11:47:02.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/power_restore_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: power_restore_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get power restore information
-description:
-   - Get power restore information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Power restore test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get power restore information"
-    kaytus.ksmanage.power_restore_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Power(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getpowerrestore'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    power_obj = Power(argument_spec)
-    power_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: power_restore_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get power restore information
+description:
+   - Get power restore information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Power restore test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get power restore information"
+    kaytus.ksmanage.power_restore_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Power(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getpowerrestore'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    power_obj = Power(argument_spec)
+    power_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/power_status_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/power_status_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/power_status_info.py	2024-04-23 11:47:02.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/power_status_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: power_status_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get power status information
-description:
-   - Get power status information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Power status test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get power status information"
-    kaytus.ksmanage.power_status_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Power(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getpowerstatus'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    power_obj = Power(argument_spec)
-    power_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: power_status_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get power status information
+description:
+   - Get power status information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Power status test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get power status information"
+    kaytus.ksmanage.power_status_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Power(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getpowerstatus'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    power_obj = Power(argument_spec)
+    power_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/preserve_config_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/preserve_config_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/preserve_config_info.py	2024-04-23 11:47:02.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/preserve_config_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: preserve_config_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get preserve config information
-description:
-   - Get preserve config information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Preserve test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get preserve config information"
-    kaytus.ksmanage.preserve_config_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Preserver(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getpreserveconfig'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    pre_obj = Preserver(argument_spec)
-    pre_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: preserve_config_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get preserve config information
+description:
+   - Get preserve config information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Preserve test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get preserve config information"
+    kaytus.ksmanage.preserve_config_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Preserver(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getpreserveconfig'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    pre_obj = Preserver(argument_spec)
+    pre_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/psu_config_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/psu_config_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/psu_config_info.py	2024-04-23 11:47:02.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/psu_config_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: psu_config_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get psu config information
-description:
-   - Get psu config information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Psu config test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get psu config information"
-    kaytus.ksmanage.psu_config_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Psu(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getpsuconfig'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    psu_obj = Psu(argument_spec)
-    psu_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: psu_config_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get psu config information
+description:
+   - Get psu config information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Psu config test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get psu config information"
+    kaytus.ksmanage.psu_config_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Psu(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getpsuconfig'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    psu_obj = Psu(argument_spec)
+    psu_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/psu_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/psu_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/psu_info.py	2024-04-23 11:47:01.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/psu_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: psu_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get psu information
-description:
-   - Get psu information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Psu test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get psu information"
-    kaytus.ksmanage.psu_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Psu(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getpsu'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    psu_obj = Psu(argument_spec)
-    psu_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: psu_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get psu information
+description:
+   - Get psu information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Psu test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get psu information"
+    kaytus.ksmanage.psu_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Psu(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getpsu'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    psu_obj = Psu(argument_spec)
+    psu_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/psu_peak_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/psu_peak_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/psu_peak_info.py	2024-04-23 11:47:01.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/psu_peak_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: psu_peak_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get psu peak information
-description:
-   - Get psu peak information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Psu peak test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get psu peak information"
-    kaytus.ksmanage.psu_peak_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Psu(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getpsupeak'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    psu_obj = Psu(argument_spec)
-    psu_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: psu_peak_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get psu peak information
+description:
+   - Get psu peak information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Psu peak test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get psu peak information"
+    kaytus.ksmanage.psu_peak_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Psu(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getpsupeak'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    psu_obj = Psu(argument_spec)
+    psu_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/raid_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/raid_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/raid_info.py	2024-04-23 11:47:01.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/raid_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: raid_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get RAID/HBA card and controller information
-description:
-   - Get RAID/HBA card and controller information information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Raid test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get raid information"
-    kaytus.ksmanage.raid_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Raid(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getraid'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    raid_obj = Raid(argument_spec)
-    raid_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: raid_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get RAID/HBA card and controller information
+description:
+   - Get RAID/HBA card and controller information information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Raid test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get raid information"
+    kaytus.ksmanage.raid_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Raid(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getraid'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    raid_obj = Raid(argument_spec)
+    raid_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/reset_bmc.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/reset_bmc.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/reset_bmc.py	2024-04-23 11:47:01.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/reset_bmc.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,101 +1,101 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: reset_bmc
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: BMC reset
-description:
-   - BMC reset on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Reset bmc test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Reset bmc"
-    kaytus.ksmanage.reset_bmc:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Reset(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'resetbmc'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    reset_obj = Reset(argument_spec)
-    reset_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: reset_bmc
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: BMC reset
+description:
+   - BMC reset on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Reset bmc test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Reset bmc"
+    kaytus.ksmanage.reset_bmc:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Reset(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'resetbmc'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    reset_obj = Reset(argument_spec)
+    reset_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/reset_kvm.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/reset_kvm.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/reset_kvm.py	2024-04-23 11:47:01.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/reset_kvm.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,101 +1,101 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: reset_kvm
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: KVM reset
-description:
-   - KVM reset on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Reset kvm test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Reset kvm"
-    kaytus.ksmanage.reset_kvm:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Reset(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'resetkvm'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    reset_obj = Reset(argument_spec)
-    reset_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: reset_kvm
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: KVM reset
+description:
+   - KVM reset on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Reset kvm test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Reset kvm"
+    kaytus.ksmanage.reset_kvm:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Reset(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'resetkvm'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    reset_obj = Reset(argument_spec)
+    reset_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/restore.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/restore.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/restore.py	2024-04-23 11:47:01.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/restore.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,117 +1,117 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: restore
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Restore server settings
-description:
-   -  Restore server settings on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    bak_file:
-        description:
-            - Select backup file or bak folder.
-        required: true
-        type: str
-    item:
-        description:
-            - Select export item.
-            - Only the M5 model supports this parameter.
-        choices: ['all', 'network', 'dns', 'service', 'ntp', 'smtp', 'snmptrap', 'ad', 'ldap', 'user', 'bios']
-        type: str
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Restore test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Restore server settings"
-    kaytus.ksmanage.restore:
-      bak_file: "/home/wbs/backfile"
-      item: "all"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Restore(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'restore'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        bak_file=dict(type='str', required=True),
-        item=dict(type='str', required=False, choices=['all', 'network', 'dns', 'service', 'ntp', 'smtp', 'snmptrap', 'ad', 'ldap', 'user', 'bios']),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    restore_obj = Restore(argument_spec)
-    restore_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: restore
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Restore server settings
+description:
+   -  Restore server settings on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    bak_file:
+        description:
+            - Select backup file or bak folder.
+        required: true
+        type: str
+    item:
+        description:
+            - Select export item.
+            - Only the M5 model supports this parameter.
+        choices: ['all', 'network', 'dns', 'service', 'ntp', 'smtp', 'snmptrap', 'ad', 'ldap', 'user', 'bios']
+        type: str
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Restore test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Restore server settings"
+    kaytus.ksmanage.restore:
+      bak_file: "/home/wbs/backfile"
+      item: "all"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Restore(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'restore'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        bak_file=dict(type='str', required=True),
+        item=dict(type='str', required=False, choices=['all', 'network', 'dns', 'service', 'ntp', 'smtp', 'snmptrap', 'ad', 'ldap', 'user', 'bios']),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    restore_obj = Restore(argument_spec)
+    restore_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/self_test_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/self_test_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/self_test_info.py	2024-04-23 11:47:01.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/self_test_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: self_test_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get self test information
-description:
-   - Get self test information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Self test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get self test information"
-    kaytus.ksmanage.self_test_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Test(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getselftest'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    test_obj = Test(argument_spec)
-    test_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: self_test_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get self test information
+description:
+   - Get self test information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Self test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get self test information"
+    kaytus.ksmanage.self_test_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Test(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getselftest'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    test_obj = Test(argument_spec)
+    test_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/sensor_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/sensor_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/sensor_info.py	2024-04-23 11:47:01.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/sensor_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: sensor_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get sensor information
-description:
-   - Get sensor information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Sensor test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get sensor information"
-    kaytus.ksmanage.sensor_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Sensor(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getsensor'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    sensor_obj = Sensor(argument_spec)
-    sensor_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: sensor_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get sensor information
+description:
+   - Get sensor information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Sensor test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get sensor information"
+    kaytus.ksmanage.sensor_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Sensor(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getsensor'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    sensor_obj = Sensor(argument_spec)
+    sensor_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/server_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/server_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/server_info.py	2024-04-23 11:47:01.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/server_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: server_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get server status information
-description:
-   - Get server status information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Server test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get server status information"
-    kaytus.ksmanage.server_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class ServerStatus(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getserver'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    server_obj = ServerStatus(argument_spec)
-    server_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: server_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get server status information
+description:
+   - Get server status information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Server test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get server status information"
+    kaytus.ksmanage.server_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class ServerStatus(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getserver'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    server_obj = ServerStatus(argument_spec)
+    server_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/service_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/service_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/service_info.py	2024-04-23 11:47:01.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/service_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: service_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get service information
-description:
-   - Get service information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Service info test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get service information"
-    kaytus.ksmanage.service_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Service(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getservice'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    service_obj = Service(argument_spec)
-    service_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: service_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get service information
+description:
+   - Get service information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Service info test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get service information"
+    kaytus.ksmanage.service_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Service(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getservice'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    service_obj = Service(argument_spec)
+    service_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/session_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/session_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/session_info.py	2024-04-23 11:47:01.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/session_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: session_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get online session information
-description:
-   - Get online session information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Session test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get session information"
-    kaytus.ksmanage.session_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Session(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getsessions'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    session_obj = Session(argument_spec)
-    session_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: session_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get online session information
+description:
+   - Get online session information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Session test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get session information"
+    kaytus.ksmanage.session_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Session(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getsessions'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    session_obj = Session(argument_spec)
+    session_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/smtp_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/smtp_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/smtp_info.py	2024-04-23 11:47:01.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/smtp_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: smtp_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get SMTP information
-description:
-   - Get SMTP information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Smtp test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get smtp information"
-    kaytus.ksmanage.smtp_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class SMTP(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getsmtp'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    smtp_obj = SMTP(argument_spec)
-    smtp_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: smtp_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get SMTP information
+description:
+   - Get SMTP information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Smtp test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get smtp information"
+    kaytus.ksmanage.smtp_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class SMTP(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getsmtp'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    smtp_obj = SMTP(argument_spec)
+    smtp_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/snmp_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/snmp_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/snmp_info.py	2024-04-23 11:47:01.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/snmp_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: snmp_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get snmp get/set information
-description:
-   - Get snmp get/set information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Snmp test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get snmp get/set information"
-    kaytus.ksmanage.snmp_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class SNMP(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getsnmp'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    snmp_obj = SNMP(argument_spec)
-    snmp_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: snmp_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get snmp get/set information
+description:
+   - Get snmp get/set information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Snmp test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get snmp get/set information"
+    kaytus.ksmanage.snmp_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class SNMP(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getsnmp'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    snmp_obj = SNMP(argument_spec)
+    snmp_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/snmp_trap_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/snmp_trap_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/snmp_trap_info.py	2024-04-23 11:47:01.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/snmp_trap_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: snmp_trap_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get snmp trap information
-description:
-   - Get snmp trap information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Trap test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get snmp trap information"
-    kaytus.ksmanage.snmp_trap_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class SNMP(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getsnmptrap'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    snmp_obj = SNMP(argument_spec)
-    snmp_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: snmp_trap_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get snmp trap information
+description:
+   - Get snmp trap information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Trap test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get snmp trap information"
+    kaytus.ksmanage.snmp_trap_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class SNMP(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getsnmptrap'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    snmp_obj = SNMP(argument_spec)
+    snmp_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/support_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/support_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/support_info.py	2024-04-23 11:47:01.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/support_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: support_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get support information
-description:
-   - Get the kaytus Server support list information.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Support list test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get support information"
-    kaytus.ksmanage.support_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Support(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'support_model'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    support_obj = Support(argument_spec)
-    support_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: support_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get support information
+description:
+   - Get the kaytus Server support list information.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Support list test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get support information"
+    kaytus.ksmanage.support_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Support(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'support_model'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    support_obj = Support(argument_spec)
+    support_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/system_log_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/system_log_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/system_log_info.py	2024-04-23 11:47:01.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/system_log_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,134 +1,134 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: system_log_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get BMC system log information
-description:
-   - Get BMC system log information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options:
-    level:
-        description:
-            - Log level.
-        default: alert
-        choices: ['alert', 'critical', 'error', 'notice', 'warning', 'debug', 'emergency', 'info']
-        type: str
-    log_time:
-        description:
-            - Get logs after the specified date, time should be YYYY-MM-DDTHH:MM+HH:MM, like 2019-06-27T12:30+08:00.
-        type: str
-    count:
-        description:
-            - Get the most recent log of a specified number.
-        type: int
-    system_file:
-        description:
-            - Store logs to a file.
-        type: str
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Bmc system log info test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get bmc system log information"
-    kaytus.ksmanage.system_log_info:
-      level: "alert"
-      log_time: "2020-06-01T12:30+08:00"
-      provider: "{{ ksmanage }}"
-
-  - name: "Get bmc system log information"
-    kaytus.ksmanage.system_log_info:
-      count: 30
-      provider: "{{ ksmanage }}"
-
-  - name: "Get bmc system log information"
-    kaytus.ksmanage.system_log_info:
-      system_file: "/home/wbs/wbs.log"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class SystemLog(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getsystemlog'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        level=dict(type='str', default='alert', choices=['alert', 'critical', 'error', 'notice', 'warning', 'debug', 'emergency', 'info']),
-        log_time=dict(type='str', required=False),
-        count=dict(type='int', required=False),
-        system_file=dict(type='str', required=False),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    log_obj = SystemLog(argument_spec)
-    log_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: system_log_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get BMC system log information
+description:
+   - Get BMC system log information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options:
+    level:
+        description:
+            - Log level.
+        default: alert
+        choices: ['alert', 'critical', 'error', 'notice', 'warning', 'debug', 'emergency', 'info']
+        type: str
+    log_time:
+        description:
+            - Get logs after the specified date, time should be YYYY-MM-DDTHH:MM+HH:MM, like 2019-06-27T12:30+08:00.
+        type: str
+    count:
+        description:
+            - Get the most recent log of a specified number.
+        type: int
+    system_file:
+        description:
+            - Store logs to a file.
+        type: str
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Bmc system log info test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get bmc system log information"
+    kaytus.ksmanage.system_log_info:
+      level: "alert"
+      log_time: "2020-06-01T12:30+08:00"
+      provider: "{{ ksmanage }}"
+
+  - name: "Get bmc system log information"
+    kaytus.ksmanage.system_log_info:
+      count: 30
+      provider: "{{ ksmanage }}"
+
+  - name: "Get bmc system log information"
+    kaytus.ksmanage.system_log_info:
+      system_file: "/home/wbs/wbs.log"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class SystemLog(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getsystemlog'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        level=dict(type='str', default='alert', choices=['alert', 'critical', 'error', 'notice', 'warning', 'debug', 'emergency', 'info']),
+        log_time=dict(type='str', required=False),
+        count=dict(type='int', required=False),
+        system_file=dict(type='str', required=False),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    log_obj = SystemLog(argument_spec)
+    log_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/temp_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/temp_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/temp_info.py	2024-04-23 11:47:01.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/temp_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: temp_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get temp information
-description:
-   - Get temp information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Temp test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get temp information"
-    kaytus.ksmanage.temp_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Sensor(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'gettemp'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    sensor_obj = Sensor(argument_spec)
-    sensor_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: temp_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get temp information
+description:
+   - Get temp information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Temp test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get temp information"
+    kaytus.ksmanage.temp_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Sensor(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'gettemp'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    sensor_obj = Sensor(argument_spec)
+    sensor_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/threshold_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/threshold_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/threshold_info.py	2024-04-23 11:47:01.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/threshold_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: threshold_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get threshold information
-description:
-   - Get threshold information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Threshold test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get threshold information"
-    kaytus.ksmanage.threshold_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Threshold(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getthreshold'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    threshoold_obj = Threshold(argument_spec)
-    threshoold_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: threshold_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get threshold information
+description:
+   - Get threshold information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Threshold test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get threshold information"
+    kaytus.ksmanage.threshold_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Threshold(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getthreshold'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    threshoold_obj = Threshold(argument_spec)
+    threshoold_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/uid_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/uid_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/uid_info.py	2024-04-23 11:47:01.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/uid_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: uid_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get UID information
-description:
-   - Get UID information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: UID test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get UID information"
-    kaytus.ksmanage.uid_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class UID(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getuid'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    uid_obj = UID(argument_spec)
-    uid_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: uid_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get UID information
+description:
+   - Get UID information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: UID test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get UID information"
+    kaytus.ksmanage.uid_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class UID(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getuid'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    uid_obj = UID(argument_spec)
+    uid_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/update_cpld.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/update_cpld.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/update_cpld.py	2024-04-23 11:47:01.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/update_cpld.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,130 +1,130 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: update_cpld
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Update CPLD
-description:
-   - Update CPLD on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    list:
-        description:
-            - Get cpld list.
-            - Only the M5 model supports this parameter.
-        choices: [True, False]
-        default: False
-        type: bool
-    id:
-        description:
-            - CPLD id.
-            - Required when I(list=False).
-            - Only the M5 model supports this parameter.
-        type: int
-    file_url:
-        description:
-            - CPLD image file path.
-            - Required when I(list=False).
-        type: str
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: CPLD test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get cpld list"
-    kaytus.ksmanage.update_cpld:
-      list: True
-      provider: "{{ ksmanage }}"
-
-  - name: "Update cpld"
-    update_cpld:
-      id: 1
-      file_url: "home/wbs/raw.bin"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class CPLD(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'updatecpld'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        list=dict(type='bool', default=False, choices=[True, False]),
-        id=dict(type='int', required=False),
-        file_url=dict(type='str', required=False),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    cpld_obj = CPLD(argument_spec)
-    cpld_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: update_cpld
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Update CPLD
+description:
+   - Update CPLD on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    list:
+        description:
+            - Get cpld list.
+            - Only the M5 model supports this parameter.
+        choices: [True, False]
+        default: False
+        type: bool
+    id:
+        description:
+            - CPLD id.
+            - Required when I(list=False).
+            - Only the M5 model supports this parameter.
+        type: int
+    file_url:
+        description:
+            - CPLD image file path.
+            - Required when I(list=False).
+        type: str
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: CPLD test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get cpld list"
+    kaytus.ksmanage.update_cpld:
+      list: True
+      provider: "{{ ksmanage }}"
+
+  - name: "Update cpld"
+    update_cpld:
+      id: 1
+      file_url: "home/wbs/raw.bin"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class CPLD(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'updatecpld'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        list=dict(type='bool', default=False, choices=[True, False]),
+        id=dict(type='int', required=False),
+        file_url=dict(type='str', required=False),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    cpld_obj = CPLD(argument_spec)
+    cpld_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/update_fw.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/update_fw.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/update_fw.py	2024-04-23 11:47:01.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/update_fw.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,154 +1,154 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: update_fw
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Update firmware
-description:
-   - Update firmware on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    url:
-        description:
-            - Firmware image url.
-        required: true
-        type: str
-    mode:
-        description:
-            - Active mode, Manual or Auto(default).
-        default: Auto
-        choices: ['Auto', 'Manual']
-        type: str
-    type:
-        description:
-            - Firmware type.
-        choices: ['BMC', 'BIOS']
-        type: str
-    over_ride:
-        description:
-            - Reserve Configurations, 0-reserve, 1-override.
-        default: 0
-        choices: [0, 1]
-        type: int
-    has_me:
-        description:
-            - Update me or not when update bios, only work in INTEL platform, 0-no, 1-yes.
-            - Only the M5 model supports this parameter.
-        default: 1
-        choices: [0, 1]
-        type: int
-    dual_image:
-        description:
-            - Update dual image(default) or not.
-            - Only the M5 model supports this parameter.
-        default: dual
-        choices: ['single', 'dual']
-        type: str
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Update fw test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "update bios"
-    kaytus.ksmanage.update_fw:
-      url: "/home/wbs/SA5112M5_BIOS_4.1.8_Standard_20200117.bin"
-      type: "BIOS"
-      provider: "{{ ksmanage }}"
-
-  - name: "update bmc"
-    kaytus.ksmanage.update_fw:
-      url: "/home/wbs/SA5112M5_BMC_4.17.7_Standard_20200430"
-      mode: "Auto"
-      type: "BMC"
-      dual_image: "dual"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Update(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'fwupdate'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        url=dict(type='str', required=True),
-        mode=dict(type='str', default='Auto', choices=['Auto', 'Manual']),
-        over_ride=dict(type='int', default=0, choices=[0, 1]),
-        type=dict(type='str', required=False, choices=['BMC', 'BIOS']),
-        has_me=dict(type='int', default=1, choices=[0, 1]),
-        dual_image=dict(type='str', default='dual', choices=['single', 'dual']),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    update_obj = Update(argument_spec)
-    update_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: update_fw
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Update firmware
+description:
+   - Update firmware on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    url:
+        description:
+            - Firmware image url.
+        required: true
+        type: str
+    mode:
+        description:
+            - Active mode, Manual or Auto(default).
+        default: Auto
+        choices: ['Auto', 'Manual']
+        type: str
+    type:
+        description:
+            - Firmware type.
+        choices: ['BMC', 'BIOS']
+        type: str
+    over_ride:
+        description:
+            - Reserve Configurations, 0-reserve, 1-override.
+        default: 0
+        choices: [0, 1]
+        type: int
+    has_me:
+        description:
+            - Update me or not when update bios, only work in INTEL platform, 0-no, 1-yes.
+            - Only the M5 model supports this parameter.
+        default: 1
+        choices: [0, 1]
+        type: int
+    dual_image:
+        description:
+            - Update dual image(default) or not.
+            - Only the M5 model supports this parameter.
+        default: dual
+        choices: ['single', 'dual']
+        type: str
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Update fw test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "update bios"
+    kaytus.ksmanage.update_fw:
+      url: "/home/wbs/SA5112M5_BIOS_4.1.8_Standard_20200117.bin"
+      type: "BIOS"
+      provider: "{{ ksmanage }}"
+
+  - name: "update bmc"
+    kaytus.ksmanage.update_fw:
+      url: "/home/wbs/SA5112M5_BMC_4.17.7_Standard_20200430"
+      mode: "Auto"
+      type: "BMC"
+      dual_image: "dual"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Update(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'fwupdate'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        url=dict(type='str', required=True),
+        mode=dict(type='str', default='Auto', choices=['Auto', 'Manual']),
+        over_ride=dict(type='int', default=0, choices=[0, 1]),
+        type=dict(type='str', required=False, choices=['BMC', 'BIOS']),
+        has_me=dict(type='int', default=1, choices=[0, 1]),
+        dual_image=dict(type='str', default='dual', choices=['single', 'dual']),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    update_obj = Update(argument_spec)
+    update_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/update_psu.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/update_psu.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/update_psu.py	2024-04-23 11:47:01.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/update_psu.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,117 +1,117 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: update_psu
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Update PSU
-description:
-   - Update psu on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    url:
-        description:
-            - Firmware image url.
-        required: true
-        type: str
-    mode:
-        description:
-            - Server Auto Reset Option, Manual or Auto(default).
-        default: Auto
-        choices: ['Auto', 'Manual']
-        type: str
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Update psu test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "update psu"
-    kaytus.ksmanage.update_psu:
-      url: "/home/wbs/CRPS1300D2W_00.01.04_BootLoader_Pri_Sec.hpm"
-      mode: "Auto"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Update(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'updatepsu'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        url=dict(type='str', required=True),
-        mode=dict(type='str', default='Auto', choices=['Auto', 'Manual']),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    update_obj = Update(argument_spec)
-    update_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: update_psu
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Update PSU
+description:
+   - Update psu on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    url:
+        description:
+            - Firmware image url.
+        required: true
+        type: str
+    mode:
+        description:
+            - Server Auto Reset Option, Manual or Auto(default).
+        default: Auto
+        choices: ['Auto', 'Manual']
+        type: str
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Update psu test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "update psu"
+    kaytus.ksmanage.update_psu:
+      url: "/home/wbs/CRPS1300D2W_00.01.04_BootLoader_Pri_Sec.hpm"
+      mode: "Auto"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Update(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'updatepsu'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        url=dict(type='str', required=True),
+        mode=dict(type='str', default='Auto', choices=['Auto', 'Manual']),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    update_obj = Update(argument_spec)
+    update_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/user.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/user.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/user.py	2024-04-23 11:47:01.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/user.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,165 +1,165 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: user
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Manage user
-description:
-   - Manage user on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    state:
-        description:
-            - Whether the user should exist or not, taking action if the state is different from what is stated.
-        choices: ['present', 'absent']
-        default: present
-        type: str
-    uid:
-        description:
-            - User id, The range is 1 to 16.
-        type: int
-    uname:
-        description:
-            - User name, Required when uid is None.
-        type: str
-    upass:
-        description:
-            - User password.
-        type: str
-    role_id:
-        description:
-            - User group.
-            - Default user group 'Administrator', 'Operator', 'User'.
-            - Use command C(user_group_info) can get all group information.
-        type: str
-    access:
-        description:
-            - User access.
-        choices: ['enable', 'disable']
-        type: str
-    priv:
-        description:
-            - Other user permissions, select one or more from None/KVM/VMM/SOL.
-        choices: ['kvm', 'vmm', 'sol', 'none']
-        type: list
-        elements: str
-    email:
-        description:
-            - User email.
-        type: str
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: User test
-  hosts: ksmanage
-  no_log: true
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Add user"
-    kaytus.ksmanage.user:
-      state: "present"
-      uname: "wbs"
-      upass: "admin"
-      role_id: "Administrator"
-      priv: "kvm, sol"
-      email: "wbs@ieisystem.com"
-      provider: "{{ ksmanage }}"
-
-  - name: "Set user"
-    kaytus.ksmanage.user:
-      state: "present"
-      uname: "wbs"
-      upass: "12345678"
-      role_id: "user"
-      priv: "kvm, sol"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class User(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'edituser'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        state=dict(type='str', choices=['present', 'absent'], default='present'),
-        uid=dict(type='int', required=False),
-        uname=dict(type='str', required=False),
-        upass=dict(type='str', required=False, no_log=True),
-        role_id=dict(type='str', required=False),
-        access=dict(type='str', required=False, choices=['enable', 'disable']),
-        priv=dict(type='list', elements='str', required=False, choices=['kvm', 'vmm', 'sol', 'none']),
-        email=dict(type='str', required=False)
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    user_obj = User(argument_spec)
-    user_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: user
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Manage user
+description:
+   - Manage user on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    state:
+        description:
+            - Whether the user should exist or not, taking action if the state is different from what is stated.
+        choices: ['present', 'absent']
+        default: present
+        type: str
+    uid:
+        description:
+            - User id, The range is 1 to 16.
+        type: int
+    uname:
+        description:
+            - User name, Required when uid is None.
+        type: str
+    upass:
+        description:
+            - User password.
+        type: str
+    role_id:
+        description:
+            - User group.
+            - Default user group 'Administrator', 'Operator', 'User'.
+            - Use command C(user_group_info) can get all group information.
+        type: str
+    access:
+        description:
+            - User access.
+        choices: ['enable', 'disable']
+        type: str
+    priv:
+        description:
+            - Other user permissions, select one or more from None/KVM/VMM/SOL.
+        choices: ['kvm', 'vmm', 'sol', 'none']
+        type: list
+        elements: str
+    email:
+        description:
+            - User email.
+        type: str
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: User test
+  hosts: ksmanage
+  no_log: true
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Add user"
+    kaytus.ksmanage.user:
+      state: "present"
+      uname: "wbs"
+      upass: "admin"
+      role_id: "Administrator"
+      priv: "kvm, sol"
+      email: "wbs@ieisystem.com"
+      provider: "{{ ksmanage }}"
+
+  - name: "Set user"
+    kaytus.ksmanage.user:
+      state: "present"
+      uname: "wbs"
+      upass: "12345678"
+      role_id: "user"
+      priv: "kvm, sol"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class User(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'edituser'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        state=dict(type='str', choices=['present', 'absent'], default='present'),
+        uid=dict(type='int', required=False),
+        uname=dict(type='str', required=False),
+        upass=dict(type='str', required=False, no_log=True),
+        role_id=dict(type='str', required=False),
+        access=dict(type='str', required=False, choices=['enable', 'disable']),
+        priv=dict(type='list', elements='str', required=False, choices=['kvm', 'vmm', 'sol', 'none']),
+        email=dict(type='str', required=False)
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    user_obj = User(argument_spec)
+    user_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/user_group.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/user_group.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/user_group.py	2024-04-23 11:47:01.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/user_group.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,204 +1,204 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: user_group
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Manage user group
-description:
-   - Manage user group on kaytus Server.
-notes:
-   - Does not support C(check_mode).
-options:
-    state:
-        description:
-            - Whether the user group should exist or not, taking action if the state is different from what is stated.
-        choices: ['present', 'absent']
-        default: present
-        type: str
-    name:
-        description:
-            - Group name.
-            - The range of group name for M6 model is OEM1, OEM2, OEM3, OEM4.
-        required: true
-        type: str
-    pri:
-        description:
-            - Group privilege.
-            - Required when I(state=present).
-            - Only the M5 model supports this parameter.
-        choices: ['administrator', 'operator', 'user', 'oem', 'none']
-        type: str
-    general:
-        description:
-            - General configuration privilege.
-            - Required when I(state=present).
-            - Only the M6 model supports this parameter.
-        choices: ['enable', 'disable']
-        type: str
-    power:
-        description:
-            - Power control privilege.
-            - Required when I(state=present).
-            - Only the M6 model supports this parameter.
-        choices: ['enable', 'disable']
-        type: str
-    media:
-        description:
-            - Remote media configuration privilege.
-            - Required when I(state=present).
-            - Only the M6 model supports this parameter.
-        choices: ['enable', 'disable']
-        type: str
-    kvm:
-        description:
-            - Remote KVM configuration privilege.
-            - Required when I(state=present).
-            - Only the M6 model supports this parameter.
-        choices: ['enable', 'disable']
-        type: str
-    security:
-        description:
-            - Security configuration privilege.
-            - Required when I(state=present).
-            - Only the M6 model supports this parameter.
-        choices: ['enable', 'disable']
-        type: str
-    debug:
-        description:
-            - Debug diagnose privilege.
-            - Required when I(state=present).
-            - Only the M6 model supports this parameter.
-        choices: ['enable', 'disable']
-        type: str
-    self:
-        description:
-            - Itself configuration privilege.
-            - Required when I(state=present).
-            - Only the M6 model supports this parameter.
-        choices: ['enable', 'disable']
-        type: str
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: User group test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Add user group"
-    kaytus.ksmanage.user_group:
-      state: "present"
-      name: "test"
-      pri: "administrator"
-      provider: "{{ ksmanage }}"
-
-  - name: "Set user group"
-    kaytus.ksmanage.user_group:
-      state: "present"
-      name: "test"
-      pri: "user"
-      provider: "{{ ksmanage }}"
-
-  - name: "Set m6 user group"
-    kaytus.ksmanage.user_group:
-      state: "present"
-      name: "OEM1"
-      general: "enable"
-      kvm: "enable"
-      provider: "{{ ksmanage }}"
-
-  - name: "Delete user group"
-    kaytus.ksmanage.user_group:
-      state: "absent"
-      name: "test"
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-from ansible.module_utils.basic import AnsibleModule
-
-
-class UserGroup(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=False)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'editusergroup'
-        self.results = get_connection(self.module)
-        if self.results['State'] == 'Success':
-            self.results['changed'] = True
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict(
-        state=dict(type='str', choices=['present', 'absent'], default='present'),
-        name=dict(type='str', required=True),
-        pri=dict(type='str', required=False, choices=['administrator', 'operator', 'user', 'oem', 'none']),
-        general=dict(type='str', required=False, choices=['enable', 'disable']),
-        power=dict(type='str', required=False, choices=['enable', 'disable']),
-        media=dict(type='str', required=False, choices=['enable', 'disable']),
-        kvm=dict(type='str', required=False, choices=['enable', 'disable']),
-        security=dict(type='str', required=False, choices=['enable', 'disable']),
-        debug=dict(type='str', required=False, choices=['enable', 'disable']),
-        self=dict(type='str', required=False, choices=['enable', 'disable']),
-    )
-    argument_spec.update(ksmanage_argument_spec)
-    usergroup_obj = UserGroup(argument_spec)
-    usergroup_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: user_group
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Manage user group
+description:
+   - Manage user group on kaytus Server.
+notes:
+   - Does not support C(check_mode).
+options:
+    state:
+        description:
+            - Whether the user group should exist or not, taking action if the state is different from what is stated.
+        choices: ['present', 'absent']
+        default: present
+        type: str
+    name:
+        description:
+            - Group name.
+            - The range of group name for M6 model is OEM1, OEM2, OEM3, OEM4.
+        required: true
+        type: str
+    pri:
+        description:
+            - Group privilege.
+            - Required when I(state=present).
+            - Only the M5 model supports this parameter.
+        choices: ['administrator', 'operator', 'user', 'oem', 'none']
+        type: str
+    general:
+        description:
+            - General configuration privilege.
+            - Required when I(state=present).
+            - Only the M6 model supports this parameter.
+        choices: ['enable', 'disable']
+        type: str
+    power:
+        description:
+            - Power control privilege.
+            - Required when I(state=present).
+            - Only the M6 model supports this parameter.
+        choices: ['enable', 'disable']
+        type: str
+    media:
+        description:
+            - Remote media configuration privilege.
+            - Required when I(state=present).
+            - Only the M6 model supports this parameter.
+        choices: ['enable', 'disable']
+        type: str
+    kvm:
+        description:
+            - Remote KVM configuration privilege.
+            - Required when I(state=present).
+            - Only the M6 model supports this parameter.
+        choices: ['enable', 'disable']
+        type: str
+    security:
+        description:
+            - Security configuration privilege.
+            - Required when I(state=present).
+            - Only the M6 model supports this parameter.
+        choices: ['enable', 'disable']
+        type: str
+    debug:
+        description:
+            - Debug diagnose privilege.
+            - Required when I(state=present).
+            - Only the M6 model supports this parameter.
+        choices: ['enable', 'disable']
+        type: str
+    self:
+        description:
+            - Itself configuration privilege.
+            - Required when I(state=present).
+            - Only the M6 model supports this parameter.
+        choices: ['enable', 'disable']
+        type: str
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: User group test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Add user group"
+    kaytus.ksmanage.user_group:
+      state: "present"
+      name: "test"
+      pri: "administrator"
+      provider: "{{ ksmanage }}"
+
+  - name: "Set user group"
+    kaytus.ksmanage.user_group:
+      state: "present"
+      name: "test"
+      pri: "user"
+      provider: "{{ ksmanage }}"
+
+  - name: "Set m6 user group"
+    kaytus.ksmanage.user_group:
+      state: "present"
+      name: "OEM1"
+      general: "enable"
+      kvm: "enable"
+      provider: "{{ ksmanage }}"
+
+  - name: "Delete user group"
+    kaytus.ksmanage.user_group:
+      state: "absent"
+      name: "test"
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+from ansible.module_utils.basic import AnsibleModule
+
+
+class UserGroup(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=False)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'editusergroup'
+        self.results = get_connection(self.module)
+        if self.results['State'] == 'Success':
+            self.results['changed'] = True
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict(
+        state=dict(type='str', choices=['present', 'absent'], default='present'),
+        name=dict(type='str', required=True),
+        pri=dict(type='str', required=False, choices=['administrator', 'operator', 'user', 'oem', 'none']),
+        general=dict(type='str', required=False, choices=['enable', 'disable']),
+        power=dict(type='str', required=False, choices=['enable', 'disable']),
+        media=dict(type='str', required=False, choices=['enable', 'disable']),
+        kvm=dict(type='str', required=False, choices=['enable', 'disable']),
+        security=dict(type='str', required=False, choices=['enable', 'disable']),
+        debug=dict(type='str', required=False, choices=['enable', 'disable']),
+        self=dict(type='str', required=False, choices=['enable', 'disable']),
+    )
+    argument_spec.update(ksmanage_argument_spec)
+    usergroup_obj = UserGroup(argument_spec)
+    usergroup_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/user_group_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/user_group_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/user_group_info.py	2024-04-23 11:47:01.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/user_group_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: user_group_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get user group information
-description:
-   - Get user group information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: User group test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get user group information"
-    kaytus.ksmanage.user_group_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class UserGroup(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getusergroup'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    usergroup_obj = UserGroup(argument_spec)
-    usergroup_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: user_group_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get user group information
+description:
+   - Get user group information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: User group test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get user group information"
+    kaytus.ksmanage.user_group_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class UserGroup(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getusergroup'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    usergroup_obj = UserGroup(argument_spec)
+    usergroup_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/user_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/user_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/user_info.py	2024-04-23 11:47:01.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/user_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: user_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get user information
-description:
-   - Get user information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: User test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get user information"
-    kaytus.ksmanage.user_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class User(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getuser'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    user_obj = User(argument_spec)
-    user_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: user_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get user information
+description:
+   - Get user information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: User test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get user information"
+    kaytus.ksmanage.user_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class User(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getuser'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    user_obj = User(argument_spec)
+    user_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/virtual_media_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/virtual_media_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/virtual_media_info.py	2024-04-23 11:47:01.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/virtual_media_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: virtual_media_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get Virtual Media information
-description:
-   - Get Virtual Media information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Media test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get Virtual Media information"
-    kaytus.ksmanage.virtual_media_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Media(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getvirtualmedia'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    media_obj = Media(argument_spec)
-    media_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: virtual_media_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get Virtual Media information
+description:
+   - Get Virtual Media information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Media test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get Virtual Media information"
+    kaytus.ksmanage.virtual_media_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Media(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getvirtualmedia'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    media_obj = Media(argument_spec)
+    media_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/volt_info.py 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/volt_info.py
--- 10.0.0+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/volt_info.py	2024-04-23 11:47:01.000000000 +0000
+++ 10.0.1+dfsg-1/ansible_collections/kaytus/ksmanage/plugins/modules/volt_info.py	2024-06-06 01:26:24.000000000 +0000
@@ -1,99 +1,99 @@
-#!/usr/bin/python
-# -*- coding:utf-8 -*-
-
-# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
-# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
-
-from __future__ import (absolute_import, division, print_function)
-
-__metaclass__ = type
-
-DOCUMENTATION = '''
----
-module: volt_info
-version_added: "1.0.0"
-author:
-    - WangBaoshan (@ieisystem)
-short_description: Get volt information
-description:
-   - Get volt information on kaytus Server.
-notes:
-   - Supports C(check_mode).
-options: {}
-extends_documentation_fragment:
-    - kaytus.ksmanage.ksmanage
-'''
-
-EXAMPLES = '''
-- name: Volt test
-  hosts: ksmanage
-  connection: local
-  gather_facts: false
-  vars:
-    ksmanage:
-      host: "{{ ansible_ssh_host }}"
-      username: "{{ username }}"
-      password: "{{ password }}"
-
-  tasks:
-
-  - name: "Get volt information"
-    kaytus.ksmanage.volt_info:
-      provider: "{{ ksmanage }}"
-'''
-
-RETURN = '''
-message:
-    description: Messages returned after module execution.
-    returned: always
-    type: str
-state:
-    description: Status after module execution.
-    returned: always
-    type: str
-changed:
-    description: Check to see if a change was made on the device.
-    returned: always
-    type: bool
-'''
-
-from ansible.module_utils.basic import AnsibleModule
-from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
-
-
-class Sensor(object):
-    def __init__(self, argument_spec):
-        self.spec = argument_spec
-        self.module = None
-        self.init_module()
-        self.results = dict()
-
-    def init_module(self):
-        """Init module object"""
-
-        self.module = AnsibleModule(
-            argument_spec=self.spec, supports_check_mode=True)
-
-    def run_command(self):
-        self.module.params['subcommand'] = 'getvolt'
-        self.results = get_connection(self.module)
-
-    def show_result(self):
-        """Show result"""
-        self.module.exit_json(**self.results)
-
-    def work(self):
-        """Worker"""
-        self.run_command()
-        self.show_result()
-
-
-def main():
-    argument_spec = dict()
-    argument_spec.update(ksmanage_argument_spec)
-    sensor_obj = Sensor(argument_spec)
-    sensor_obj.work()
-
-
-if __name__ == '__main__':
-    main()
+#!/usr/bin/python
+# -*- coding:utf-8 -*-
+
+# Copyright(C) 2023 Kaytus Inc. All Rights Reserved.
+# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
+
+from __future__ import (absolute_import, division, print_function)
+
+__metaclass__ = type
+
+DOCUMENTATION = '''
+---
+module: volt_info
+version_added: "1.0.0"
+author:
+    - WangBaoshan (@ieisystem)
+short_description: Get volt information
+description:
+   - Get volt information on kaytus Server.
+notes:
+   - Supports C(check_mode).
+options: {}
+extends_documentation_fragment:
+    - kaytus.ksmanage.ksmanage
+'''
+
+EXAMPLES = '''
+- name: Volt test
+  hosts: ksmanage
+  connection: local
+  gather_facts: false
+  vars:
+    ksmanage:
+      host: "{{ ansible_ssh_host }}"
+      username: "{{ username }}"
+      password: "{{ password }}"
+
+  tasks:
+
+  - name: "Get volt information"
+    kaytus.ksmanage.volt_info:
+      provider: "{{ ksmanage }}"
+'''
+
+RETURN = '''
+message:
+    description: Messages returned after module execution.
+    returned: always
+    type: str
+state:
+    description: Status after module execution.
+    returned: always
+    type: str
+changed:
+    description: Check to see if a change was made on the device.
+    returned: always
+    type: bool
+'''
+
+from ansible.module_utils.basic import AnsibleModule
+from ansible_collections.kaytus.ksmanage.plugins.module_utils.ksmanage import (ksmanage_argument_spec, get_connection)
+
+
+class Sensor(object):
+    def __init__(self, argument_spec):
+        self.spec = argument_spec
+        self.module = None
+        self.init_module()
+        self.results = dict()
+
+    def init_module(self):
+        """Init module object"""
+
+        self.module = AnsibleModule(
+            argument_spec=self.spec, supports_check_mode=True)
+
+    def run_command(self):
+        self.module.params['subcommand'] = 'getvolt'
+        self.results = get_connection(self.module)
+
+    def show_result(self):
+        """Show result"""
+        self.module.exit_json(**self.results)
+
+    def work(self):
+        """Worker"""
+        self.run_command()
+        self.show_result()
+
+
+def main():
+    argument_spec = dict()
+    argument_spec.update(ksmanage_argument_spec)
+    sensor_obj = Sensor(argument_spec)
+    sensor_obj.work()
+
+
+if __name__ == '__main__':
+    main()
diff -pruN 10.0.0+dfsg-1/build-ansible.sh 10.0.1+dfsg-1/build-ansible.sh
--- 10.0.0+dfsg-1/build-ansible.sh	2024-06-04 14:34:56.000000000 +0000
+++ 10.0.1+dfsg-1/build-ansible.sh	2024-06-06 04:55:55.000000000 +0000
@@ -5,7 +5,7 @@
 
 set -e
 
-VERSION="10.0.0"
+VERSION="10.0.1"
 MAJOR="10"
 
 # For idempotency, remove build data or built output first
diff -pruN 10.0.0+dfsg-1/debian/changelog 10.0.1+dfsg-1/debian/changelog
--- 10.0.0+dfsg-1/debian/changelog	2024-06-05 15:18:54.000000000 +0000
+++ 10.0.1+dfsg-1/debian/changelog	2024-06-06 13:39:29.000000000 +0000
@@ -1,3 +1,14 @@
+ansible (10.0.1+dfsg-1) unstable; urgency=medium
+
+  * Update patch to DEP-3 layout
+  * New upstream version 10.0.1+dfsg
+  * Drop Files-Excluded pattern again (fixed upstream)
+  * Update copyright year
+  * Remove community.sap and purestorage.fusion tests (removed upstream)
+  * Add quilt patch to fix import error for cyberark.conjur
+
+ -- Lee Garrett <debian@rocketjump.eu>  Thu, 06 Jun 2024 15:39:29 +0200
+
 ansible (10.0.0+dfsg-1) unstable; urgency=medium
 
   * New upstream version 10.0.0+dfsg
diff -pruN 10.0.0+dfsg-1/debian/copyright 10.0.1+dfsg-1/debian/copyright
--- 10.0.0+dfsg-1/debian/copyright	2024-06-05 14:38:35.000000000 +0000
+++ 10.0.1+dfsg-1/debian/copyright	2024-06-06 12:48:02.000000000 +0000
@@ -6,8 +6,6 @@ Files-Excluded:
     ansible_collections/containers/podman/docs/_static/jquery.js
     ansible_collections/containers/podman/docs/_static/underscore.js
     ansible_collections/containers/podman/docs/searchindex.js
-    ansible_collections/inspur/ispim/venv
-    ansible_collections/kaytus/ksmanage/venv
 
 Files: *
 Copyright: 2017, <meiliu@fusionlayer.com>
@@ -616,7 +614,7 @@ License: GPL-3+
 Files: debian/*
 Copyright: 2014-2018, Harlan Lieberman-Berg <hlieberman@setec.io>
            2013-2014, Janos Guljas <janos@resenje.org>
-           2016-2022, Lee Garrett <debian@rocketjump.eu>
+           2016-2024, Lee Garrett <debian@rocketjump.eu>
            2013-2014, Michael Vogt <mvo@debian.org>
 License: GPL-3+
 
diff -pruN 10.0.0+dfsg-1/debian/patches/0002-fix-libvirt-encoding-errors-on-windows-guests.patch 10.0.1+dfsg-1/debian/patches/0002-fix-libvirt-encoding-errors-on-windows-guests.patch
--- 10.0.0+dfsg-1/debian/patches/0002-fix-libvirt-encoding-errors-on-windows-guests.patch	2024-06-05 14:38:35.000000000 +0000
+++ 10.0.1+dfsg-1/debian/patches/0002-fix-libvirt-encoding-errors-on-windows-guests.patch	2024-06-05 16:06:21.000000000 +0000
@@ -1,20 +1,17 @@
-From fb6123b5419dee8de0bd739383ee1c67ad596216 Mon Sep 17 00:00:00 2001
-From: Lee Garrett <lgarrett@rocketjump.eu>
-Date: Fri, 1 Sep 2023 14:35:15 +0200
-Subject: [PATCH 1/2] Fix encoding errors on Windows guests (fixes: #156)
-
-On Windows guests the default encoding will be set to whatever
-default legacy encoding, not utf-8. This issue isn't apparent on English locale
-Windows guests, as there the encodings (ISO-8859-1, utf-8) happen to coincide.
-
-However, on e.g. German Windows guests this will cause an encoding error when
-reading any output from there.
-
-This patch ensures that the proper encoding is set on every command.
+Description: Fix encoding errors on Windows libvirt guests
+ On Windows guests the default encoding will be set to whatever
+ default legacy encoding, not utf-8. This issue isn't apparent on English locale
+ Windows guests, as there the encodings (ISO-8859-1, utf-8) happen to coincide.
+ However, on e.g. German Windows guests this will cause an encoding error when
+ reading any output from there.
+ This patch ensures that the proper encoding is set on every command.
+Author: Lee Garrett <debian@rocketjump.eu>
+Bug: https://github.com/ansible-collections/community.libvirt/issues/156
+Applied-Upstream: https://github.com/ansible-collections/community.libvirt/pull/157
+Reviewed-by: Lee Garrett <debian@rocketjump.eu>
+Last-Update: 2024-06-05
 ---
- plugins/connection/libvirt_qemu.py | 4 ++++
- 1 file changed, 4 insertions(+)
-
+This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
 --- a/ansible_collections/community/libvirt/plugins/connection/libvirt_qemu.py
 +++ b/ansible_collections/community/libvirt/plugins/connection/libvirt_qemu.py
 @@ -164,6 +164,10 @@
diff -pruN 10.0.0+dfsg-1/debian/patches/0004-fix-cyberark-conjur-import.patch 10.0.1+dfsg-1/debian/patches/0004-fix-cyberark-conjur-import.patch
--- 10.0.0+dfsg-1/debian/patches/0004-fix-cyberark-conjur-import.patch	1970-01-01 00:00:00.000000000 +0000
+++ 10.0.1+dfsg-1/debian/patches/0004-fix-cyberark-conjur-import.patch	2024-06-06 13:37:47.000000000 +0000
@@ -0,0 +1,27 @@
+Description: fix cyberark.conjur import error
+Author: Lee Garrett <debian@rocketjump.eu>
+Origin: upstream, https://github.com/cyberark/ansible-conjur-collection/commit/1f1886f4f3eef61c85ef3fc1165882a7d8314533
+Forwarded: not-needed
+Applied-Upstream: https://github.com/cyberark/ansible-conjur-collection/commit/1f1886f4f3eef61c85ef3fc1165882a7d8314533
+Reviewed-by: Lee Garrett <debian@rocketjump.eu>
+Last-Update: 2024-06-06
+---
+This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
+--- a/ansible_collections/cyberark/conjur/plugins/lookup/conjur_variable.py
++++ b/ansible_collections/cyberark/conjur/plugins/lookup/conjur_variable.py
+@@ -87,6 +87,7 @@
+ 
+ import os.path
+ import socket
++import ansible.module_utils.six.moves.urllib.error as urllib_error
+ from ansible.errors import AnsibleError
+ from ansible.plugins.lookup import LookupBase
+ from base64 import b64encode
+@@ -94,7 +95,6 @@
+ from os import environ
+ from time import sleep
+ from ansible.module_utils.six.moves.urllib.parse import quote
+-from ansible.module_utils.urls import urllib_error
+ from stat import S_IRUSR, S_IWUSR
+ from tempfile import gettempdir, NamedTemporaryFile
+ import yaml
diff -pruN 10.0.0+dfsg-1/debian/patches/series 10.0.1+dfsg-1/debian/patches/series
--- 10.0.0+dfsg-1/debian/patches/series	2024-06-05 14:38:35.000000000 +0000
+++ 10.0.1+dfsg-1/debian/patches/series	2024-06-06 13:33:30.000000000 +0000
@@ -1,2 +1,3 @@
 0002-fix-libvirt-encoding-errors-on-windows-guests.patch
 0003-fix-libvirt-path-resolution.patch
+0004-fix-cyberark-conjur-import.patch
diff -pruN 10.0.0+dfsg-1/debian/tests/control 10.0.1+dfsg-1/debian/tests/control
--- 10.0.0+dfsg-1/debian/tests/control	2024-06-05 14:38:35.000000000 +0000
+++ 10.0.1+dfsg-1/debian/tests/control	2024-06-06 13:14:38.000000000 +0000
@@ -18,6 +18,7 @@ Depends: @,
          python3-msrestazure,
          python3-openssl,
          python3-paramiko,
+         python3-passlib,
          python3-proxmoxer,
          python3-pytest-forked,
          python3-pytest-mock,
diff -pruN 10.0.0+dfsg-1/debian/tests/flaky_tests_list.py 10.0.1+dfsg-1/debian/tests/flaky_tests_list.py
--- 10.0.0+dfsg-1/debian/tests/flaky_tests_list.py	2024-06-05 14:38:35.000000000 +0000
+++ 10.0.1+dfsg-1/debian/tests/flaky_tests_list.py	2024-06-06 13:06:01.000000000 +0000
@@ -11,12 +11,11 @@ flaky_test_dirs = [
     'ansible_collections/community/general',                # import broken
     'ansible_collections/community/hrobot',                 # import broken
     'ansible_collections/community/library_inventory_filtering_v1', # [1]
-    'ansible_collections/community/sap',                    # E   ModuleNotFoundError: No module named 'ansible_collections.community.sap.plugins.modules.*'
+    'ansible_collections/ibm/qradar',                       # [0]
     'ansible_collections/junipernetworks/junos',            # test broken
     'ansible_collections/netapp_eseries/santricity',        # [0]
     'ansible_collections/netapp/ontap',                     # missing netapp_lib
     'ansible_collections/ngine_io/cloudstack',              # [0]
-    'ansible_collections/purestorage/fusion',               # E   ModuleNotFoundError: No module named 'fusion'
     'ansible_collections/sensu/sensu_go',                   # [2]
     'ansible_collections/splunk/es',                        # assert result["changed"] is True
 ]
diff -pruN 10.0.0+dfsg-1/porting_guide_10.rst 10.0.1+dfsg-1/porting_guide_10.rst
--- 10.0.0+dfsg-1/porting_guide_10.rst	2024-06-04 14:34:55.000000000 +0000
+++ 10.0.1+dfsg-1/porting_guide_10.rst	2024-06-06 04:55:55.000000000 +0000
@@ -18,7 +18,30 @@ We suggest you read this page along with
 Playbook
 ========
 
-No notable changes
+* Conditionals - due to mitigation of security issue CVE-2023-5764 in ansible-core 2.16.1,
+  conditional expressions with embedded template blocks can fail with the message
+  "``Conditional is marked as unsafe, and cannot be evaluated.``" when an embedded template
+  consults data from untrusted sources like module results or vars marked ``!unsafe``.
+  Conditionals with embedded templates can be a source of malicious template injection when
+  referencing untrusted data, and can nearly always be rewritten without embedded
+  templates. Playbook task conditional keywords such as ``when`` and ``until`` have long
+  displayed warnings discouraging use of embedded templates in conditionals; this warning
+  has been expanded to non-task conditionals as well, such as the ``assert`` action.
+
+  .. code-block:: yaml
+
+     - name: task with a module result (always untrusted by Ansible)
+       shell: echo "hi mom"
+       register: untrusted_result
+
+     # don't do it this way...
+     # - name: insecure conditional with embedded template consulting untrusted data
+     #   assert:
+     #     that: '"hi mom" is in {{ untrusted_result.stdout }}'
+
+     - name: securely access untrusted values directly as Jinja variables instead
+       assert:
+         that: '"hi mom" is in untrusted_result.stdout'
 
 
 Command Line
diff -pruN 10.0.0+dfsg-1/setup.cfg 10.0.1+dfsg-1/setup.cfg
--- 10.0.0+dfsg-1/setup.cfg	2024-06-04 14:35:32.771370600 +0000
+++ 10.0.1+dfsg-1/setup.cfg	2024-06-06 04:56:30.427499800 +0000
@@ -22,7 +22,7 @@ classifiers =
 	Programming Language :: Python :: 3.11
 	Programming Language :: Python :: 3.12
 	Programming Language :: Python :: 3 :: Only
-version = 10.0.0
+version = 10.0.1
 project_urls = 
 	Build Data = https://github.com/ansible-community/ansible-build-data
 	Code of Conduct = https://docs.ansible.com/ansible/latest/community/code_of_conduct.html
@@ -4836,170 +4836,6 @@ ansible_collections.inspur.ispim =
 	plugins/module_utils/.*
 	plugins/modules/*
 	plugins/modules/.*
-	venv/*
-	venv/.*
-	venv/Lib/*
-	venv/Lib/.*
-	venv/Lib/site-packages/*
-	venv/Lib/site-packages/.*
-	venv/Lib/site-packages/_distutils_hack/*
-	venv/Lib/site-packages/_distutils_hack/.*
-	venv/Lib/site-packages/pip/*
-	venv/Lib/site-packages/pip/.*
-	venv/Lib/site-packages/pip-21.1.2.dist-info/*
-	venv/Lib/site-packages/pip-21.1.2.dist-info/.*
-	venv/Lib/site-packages/pip/_internal/*
-	venv/Lib/site-packages/pip/_internal/.*
-	venv/Lib/site-packages/pip/_internal/cli/*
-	venv/Lib/site-packages/pip/_internal/cli/.*
-	venv/Lib/site-packages/pip/_internal/commands/*
-	venv/Lib/site-packages/pip/_internal/commands/.*
-	venv/Lib/site-packages/pip/_internal/distributions/*
-	venv/Lib/site-packages/pip/_internal/distributions/.*
-	venv/Lib/site-packages/pip/_internal/index/*
-	venv/Lib/site-packages/pip/_internal/index/.*
-	venv/Lib/site-packages/pip/_internal/locations/*
-	venv/Lib/site-packages/pip/_internal/locations/.*
-	venv/Lib/site-packages/pip/_internal/metadata/*
-	venv/Lib/site-packages/pip/_internal/metadata/.*
-	venv/Lib/site-packages/pip/_internal/models/*
-	venv/Lib/site-packages/pip/_internal/models/.*
-	venv/Lib/site-packages/pip/_internal/network/*
-	venv/Lib/site-packages/pip/_internal/network/.*
-	venv/Lib/site-packages/pip/_internal/operations/*
-	venv/Lib/site-packages/pip/_internal/operations/.*
-	venv/Lib/site-packages/pip/_internal/operations/build/*
-	venv/Lib/site-packages/pip/_internal/operations/build/.*
-	venv/Lib/site-packages/pip/_internal/operations/install/*
-	venv/Lib/site-packages/pip/_internal/operations/install/.*
-	venv/Lib/site-packages/pip/_internal/req/*
-	venv/Lib/site-packages/pip/_internal/req/.*
-	venv/Lib/site-packages/pip/_internal/resolution/*
-	venv/Lib/site-packages/pip/_internal/resolution/.*
-	venv/Lib/site-packages/pip/_internal/resolution/legacy/*
-	venv/Lib/site-packages/pip/_internal/resolution/legacy/.*
-	venv/Lib/site-packages/pip/_internal/resolution/resolvelib/*
-	venv/Lib/site-packages/pip/_internal/resolution/resolvelib/.*
-	venv/Lib/site-packages/pip/_internal/utils/*
-	venv/Lib/site-packages/pip/_internal/utils/.*
-	venv/Lib/site-packages/pip/_internal/vcs/*
-	venv/Lib/site-packages/pip/_internal/vcs/.*
-	venv/Lib/site-packages/pip/_vendor/*
-	venv/Lib/site-packages/pip/_vendor/.*
-	venv/Lib/site-packages/pip/_vendor/cachecontrol/*
-	venv/Lib/site-packages/pip/_vendor/cachecontrol/.*
-	venv/Lib/site-packages/pip/_vendor/cachecontrol/caches/*
-	venv/Lib/site-packages/pip/_vendor/cachecontrol/caches/.*
-	venv/Lib/site-packages/pip/_vendor/certifi/*
-	venv/Lib/site-packages/pip/_vendor/certifi/.*
-	venv/Lib/site-packages/pip/_vendor/chardet/*
-	venv/Lib/site-packages/pip/_vendor/chardet/.*
-	venv/Lib/site-packages/pip/_vendor/chardet/cli/*
-	venv/Lib/site-packages/pip/_vendor/chardet/cli/.*
-	venv/Lib/site-packages/pip/_vendor/chardet/metadata/*
-	venv/Lib/site-packages/pip/_vendor/chardet/metadata/.*
-	venv/Lib/site-packages/pip/_vendor/colorama/*
-	venv/Lib/site-packages/pip/_vendor/colorama/.*
-	venv/Lib/site-packages/pip/_vendor/distlib/*
-	venv/Lib/site-packages/pip/_vendor/distlib/.*
-	venv/Lib/site-packages/pip/_vendor/distlib/_backport/*
-	venv/Lib/site-packages/pip/_vendor/distlib/_backport/.*
-	venv/Lib/site-packages/pip/_vendor/html5lib/*
-	venv/Lib/site-packages/pip/_vendor/html5lib/.*
-	venv/Lib/site-packages/pip/_vendor/html5lib/_trie/*
-	venv/Lib/site-packages/pip/_vendor/html5lib/_trie/.*
-	venv/Lib/site-packages/pip/_vendor/html5lib/filters/*
-	venv/Lib/site-packages/pip/_vendor/html5lib/filters/.*
-	venv/Lib/site-packages/pip/_vendor/html5lib/treeadapters/*
-	venv/Lib/site-packages/pip/_vendor/html5lib/treeadapters/.*
-	venv/Lib/site-packages/pip/_vendor/html5lib/treebuilders/*
-	venv/Lib/site-packages/pip/_vendor/html5lib/treebuilders/.*
-	venv/Lib/site-packages/pip/_vendor/html5lib/treewalkers/*
-	venv/Lib/site-packages/pip/_vendor/html5lib/treewalkers/.*
-	venv/Lib/site-packages/pip/_vendor/idna/*
-	venv/Lib/site-packages/pip/_vendor/idna/.*
-	venv/Lib/site-packages/pip/_vendor/msgpack/*
-	venv/Lib/site-packages/pip/_vendor/msgpack/.*
-	venv/Lib/site-packages/pip/_vendor/packaging/*
-	venv/Lib/site-packages/pip/_vendor/packaging/.*
-	venv/Lib/site-packages/pip/_vendor/pep517/*
-	venv/Lib/site-packages/pip/_vendor/pep517/.*
-	venv/Lib/site-packages/pip/_vendor/pep517/in_process/*
-	venv/Lib/site-packages/pip/_vendor/pep517/in_process/.*
-	venv/Lib/site-packages/pip/_vendor/pkg_resources/*
-	venv/Lib/site-packages/pip/_vendor/pkg_resources/.*
-	venv/Lib/site-packages/pip/_vendor/progress/*
-	venv/Lib/site-packages/pip/_vendor/progress/.*
-	venv/Lib/site-packages/pip/_vendor/requests/*
-	venv/Lib/site-packages/pip/_vendor/requests/.*
-	venv/Lib/site-packages/pip/_vendor/resolvelib/*
-	venv/Lib/site-packages/pip/_vendor/resolvelib/.*
-	venv/Lib/site-packages/pip/_vendor/resolvelib/compat/*
-	venv/Lib/site-packages/pip/_vendor/resolvelib/compat/.*
-	venv/Lib/site-packages/pip/_vendor/tenacity/*
-	venv/Lib/site-packages/pip/_vendor/tenacity/.*
-	venv/Lib/site-packages/pip/_vendor/toml/*
-	venv/Lib/site-packages/pip/_vendor/toml/.*
-	venv/Lib/site-packages/pip/_vendor/urllib3/*
-	venv/Lib/site-packages/pip/_vendor/urllib3/.*
-	venv/Lib/site-packages/pip/_vendor/urllib3/contrib/*
-	venv/Lib/site-packages/pip/_vendor/urllib3/contrib/.*
-	venv/Lib/site-packages/pip/_vendor/urllib3/contrib/_securetransport/*
-	venv/Lib/site-packages/pip/_vendor/urllib3/contrib/_securetransport/.*
-	venv/Lib/site-packages/pip/_vendor/urllib3/packages/*
-	venv/Lib/site-packages/pip/_vendor/urllib3/packages/.*
-	venv/Lib/site-packages/pip/_vendor/urllib3/packages/backports/*
-	venv/Lib/site-packages/pip/_vendor/urllib3/packages/backports/.*
-	venv/Lib/site-packages/pip/_vendor/urllib3/packages/ssl_match_hostname/*
-	venv/Lib/site-packages/pip/_vendor/urllib3/packages/ssl_match_hostname/.*
-	venv/Lib/site-packages/pip/_vendor/urllib3/util/*
-	venv/Lib/site-packages/pip/_vendor/urllib3/util/.*
-	venv/Lib/site-packages/pip/_vendor/webencodings/*
-	venv/Lib/site-packages/pip/_vendor/webencodings/.*
-	venv/Lib/site-packages/pkg_resources/*
-	venv/Lib/site-packages/pkg_resources/.*
-	venv/Lib/site-packages/pkg_resources/_vendor/*
-	venv/Lib/site-packages/pkg_resources/_vendor/.*
-	venv/Lib/site-packages/pkg_resources/_vendor/packaging/*
-	venv/Lib/site-packages/pkg_resources/_vendor/packaging/.*
-	venv/Lib/site-packages/pkg_resources/extern/*
-	venv/Lib/site-packages/pkg_resources/extern/.*
-	venv/Lib/site-packages/pkg_resources/tests/*
-	venv/Lib/site-packages/pkg_resources/tests/.*
-	venv/Lib/site-packages/pkg_resources/tests/data/*
-	venv/Lib/site-packages/pkg_resources/tests/data/.*
-	venv/Lib/site-packages/pkg_resources/tests/data/my-test-package-source/*
-	venv/Lib/site-packages/pkg_resources/tests/data/my-test-package-source/.*
-	venv/Lib/site-packages/setuptools/*
-	venv/Lib/site-packages/setuptools/.*
-	venv/Lib/site-packages/setuptools-57.0.0.dist-info/*
-	venv/Lib/site-packages/setuptools-57.0.0.dist-info/.*
-	venv/Lib/site-packages/setuptools/_distutils/*
-	venv/Lib/site-packages/setuptools/_distutils/.*
-	venv/Lib/site-packages/setuptools/_distutils/command/*
-	venv/Lib/site-packages/setuptools/_distutils/command/.*
-	venv/Lib/site-packages/setuptools/_vendor/*
-	venv/Lib/site-packages/setuptools/_vendor/.*
-	venv/Lib/site-packages/setuptools/_vendor/more_itertools/*
-	venv/Lib/site-packages/setuptools/_vendor/more_itertools/.*
-	venv/Lib/site-packages/setuptools/_vendor/packaging/*
-	venv/Lib/site-packages/setuptools/_vendor/packaging/.*
-	venv/Lib/site-packages/setuptools/command/*
-	venv/Lib/site-packages/setuptools/command/.*
-	venv/Lib/site-packages/setuptools/extern/*
-	venv/Lib/site-packages/setuptools/extern/.*
-	venv/Lib/site-packages/wheel/*
-	venv/Lib/site-packages/wheel/.*
-	venv/Lib/site-packages/wheel-0.36.2.dist-info/*
-	venv/Lib/site-packages/wheel-0.36.2.dist-info/.*
-	venv/Lib/site-packages/wheel/cli/*
-	venv/Lib/site-packages/wheel/cli/.*
-	venv/Lib/site-packages/wheel/vendored/*
-	venv/Lib/site-packages/wheel/vendored/.*
-	venv/Lib/site-packages/wheel/vendored/packaging/*
-	venv/Lib/site-packages/wheel/vendored/packaging/.*
-	venv/Scripts/*
-	venv/Scripts/.*
 ansible_collections.inspur.sm = 
 	*
 	changelogs/*
@@ -5240,170 +5076,6 @@ ansible_collections.kaytus.ksmanage =
 	plugins/module_utils/.*
 	plugins/modules/*
 	plugins/modules/.*
-	venv/*
-	venv/.*
-	venv/Lib/*
-	venv/Lib/.*
-	venv/Lib/site-packages/*
-	venv/Lib/site-packages/.*
-	venv/Lib/site-packages/_distutils_hack/*
-	venv/Lib/site-packages/_distutils_hack/.*
-	venv/Lib/site-packages/pip/*
-	venv/Lib/site-packages/pip/.*
-	venv/Lib/site-packages/pip-21.1.2.dist-info/*
-	venv/Lib/site-packages/pip-21.1.2.dist-info/.*
-	venv/Lib/site-packages/pip/_internal/*
-	venv/Lib/site-packages/pip/_internal/.*
-	venv/Lib/site-packages/pip/_internal/cli/*
-	venv/Lib/site-packages/pip/_internal/cli/.*
-	venv/Lib/site-packages/pip/_internal/commands/*
-	venv/Lib/site-packages/pip/_internal/commands/.*
-	venv/Lib/site-packages/pip/_internal/distributions/*
-	venv/Lib/site-packages/pip/_internal/distributions/.*
-	venv/Lib/site-packages/pip/_internal/index/*
-	venv/Lib/site-packages/pip/_internal/index/.*
-	venv/Lib/site-packages/pip/_internal/locations/*
-	venv/Lib/site-packages/pip/_internal/locations/.*
-	venv/Lib/site-packages/pip/_internal/metadata/*
-	venv/Lib/site-packages/pip/_internal/metadata/.*
-	venv/Lib/site-packages/pip/_internal/models/*
-	venv/Lib/site-packages/pip/_internal/models/.*
-	venv/Lib/site-packages/pip/_internal/network/*
-	venv/Lib/site-packages/pip/_internal/network/.*
-	venv/Lib/site-packages/pip/_internal/operations/*
-	venv/Lib/site-packages/pip/_internal/operations/.*
-	venv/Lib/site-packages/pip/_internal/operations/build/*
-	venv/Lib/site-packages/pip/_internal/operations/build/.*
-	venv/Lib/site-packages/pip/_internal/operations/install/*
-	venv/Lib/site-packages/pip/_internal/operations/install/.*
-	venv/Lib/site-packages/pip/_internal/req/*
-	venv/Lib/site-packages/pip/_internal/req/.*
-	venv/Lib/site-packages/pip/_internal/resolution/*
-	venv/Lib/site-packages/pip/_internal/resolution/.*
-	venv/Lib/site-packages/pip/_internal/resolution/legacy/*
-	venv/Lib/site-packages/pip/_internal/resolution/legacy/.*
-	venv/Lib/site-packages/pip/_internal/resolution/resolvelib/*
-	venv/Lib/site-packages/pip/_internal/resolution/resolvelib/.*
-	venv/Lib/site-packages/pip/_internal/utils/*
-	venv/Lib/site-packages/pip/_internal/utils/.*
-	venv/Lib/site-packages/pip/_internal/vcs/*
-	venv/Lib/site-packages/pip/_internal/vcs/.*
-	venv/Lib/site-packages/pip/_vendor/*
-	venv/Lib/site-packages/pip/_vendor/.*
-	venv/Lib/site-packages/pip/_vendor/cachecontrol/*
-	venv/Lib/site-packages/pip/_vendor/cachecontrol/.*
-	venv/Lib/site-packages/pip/_vendor/cachecontrol/caches/*
-	venv/Lib/site-packages/pip/_vendor/cachecontrol/caches/.*
-	venv/Lib/site-packages/pip/_vendor/certifi/*
-	venv/Lib/site-packages/pip/_vendor/certifi/.*
-	venv/Lib/site-packages/pip/_vendor/chardet/*
-	venv/Lib/site-packages/pip/_vendor/chardet/.*
-	venv/Lib/site-packages/pip/_vendor/chardet/cli/*
-	venv/Lib/site-packages/pip/_vendor/chardet/cli/.*
-	venv/Lib/site-packages/pip/_vendor/chardet/metadata/*
-	venv/Lib/site-packages/pip/_vendor/chardet/metadata/.*
-	venv/Lib/site-packages/pip/_vendor/colorama/*
-	venv/Lib/site-packages/pip/_vendor/colorama/.*
-	venv/Lib/site-packages/pip/_vendor/distlib/*
-	venv/Lib/site-packages/pip/_vendor/distlib/.*
-	venv/Lib/site-packages/pip/_vendor/distlib/_backport/*
-	venv/Lib/site-packages/pip/_vendor/distlib/_backport/.*
-	venv/Lib/site-packages/pip/_vendor/html5lib/*
-	venv/Lib/site-packages/pip/_vendor/html5lib/.*
-	venv/Lib/site-packages/pip/_vendor/html5lib/_trie/*
-	venv/Lib/site-packages/pip/_vendor/html5lib/_trie/.*
-	venv/Lib/site-packages/pip/_vendor/html5lib/filters/*
-	venv/Lib/site-packages/pip/_vendor/html5lib/filters/.*
-	venv/Lib/site-packages/pip/_vendor/html5lib/treeadapters/*
-	venv/Lib/site-packages/pip/_vendor/html5lib/treeadapters/.*
-	venv/Lib/site-packages/pip/_vendor/html5lib/treebuilders/*
-	venv/Lib/site-packages/pip/_vendor/html5lib/treebuilders/.*
-	venv/Lib/site-packages/pip/_vendor/html5lib/treewalkers/*
-	venv/Lib/site-packages/pip/_vendor/html5lib/treewalkers/.*
-	venv/Lib/site-packages/pip/_vendor/idna/*
-	venv/Lib/site-packages/pip/_vendor/idna/.*
-	venv/Lib/site-packages/pip/_vendor/msgpack/*
-	venv/Lib/site-packages/pip/_vendor/msgpack/.*
-	venv/Lib/site-packages/pip/_vendor/packaging/*
-	venv/Lib/site-packages/pip/_vendor/packaging/.*
-	venv/Lib/site-packages/pip/_vendor/pep517/*
-	venv/Lib/site-packages/pip/_vendor/pep517/.*
-	venv/Lib/site-packages/pip/_vendor/pep517/in_process/*
-	venv/Lib/site-packages/pip/_vendor/pep517/in_process/.*
-	venv/Lib/site-packages/pip/_vendor/pkg_resources/*
-	venv/Lib/site-packages/pip/_vendor/pkg_resources/.*
-	venv/Lib/site-packages/pip/_vendor/progress/*
-	venv/Lib/site-packages/pip/_vendor/progress/.*
-	venv/Lib/site-packages/pip/_vendor/requests/*
-	venv/Lib/site-packages/pip/_vendor/requests/.*
-	venv/Lib/site-packages/pip/_vendor/resolvelib/*
-	venv/Lib/site-packages/pip/_vendor/resolvelib/.*
-	venv/Lib/site-packages/pip/_vendor/resolvelib/compat/*
-	venv/Lib/site-packages/pip/_vendor/resolvelib/compat/.*
-	venv/Lib/site-packages/pip/_vendor/tenacity/*
-	venv/Lib/site-packages/pip/_vendor/tenacity/.*
-	venv/Lib/site-packages/pip/_vendor/toml/*
-	venv/Lib/site-packages/pip/_vendor/toml/.*
-	venv/Lib/site-packages/pip/_vendor/urllib3/*
-	venv/Lib/site-packages/pip/_vendor/urllib3/.*
-	venv/Lib/site-packages/pip/_vendor/urllib3/contrib/*
-	venv/Lib/site-packages/pip/_vendor/urllib3/contrib/.*
-	venv/Lib/site-packages/pip/_vendor/urllib3/contrib/_securetransport/*
-	venv/Lib/site-packages/pip/_vendor/urllib3/contrib/_securetransport/.*
-	venv/Lib/site-packages/pip/_vendor/urllib3/packages/*
-	venv/Lib/site-packages/pip/_vendor/urllib3/packages/.*
-	venv/Lib/site-packages/pip/_vendor/urllib3/packages/backports/*
-	venv/Lib/site-packages/pip/_vendor/urllib3/packages/backports/.*
-	venv/Lib/site-packages/pip/_vendor/urllib3/packages/ssl_match_hostname/*
-	venv/Lib/site-packages/pip/_vendor/urllib3/packages/ssl_match_hostname/.*
-	venv/Lib/site-packages/pip/_vendor/urllib3/util/*
-	venv/Lib/site-packages/pip/_vendor/urllib3/util/.*
-	venv/Lib/site-packages/pip/_vendor/webencodings/*
-	venv/Lib/site-packages/pip/_vendor/webencodings/.*
-	venv/Lib/site-packages/pkg_resources/*
-	venv/Lib/site-packages/pkg_resources/.*
-	venv/Lib/site-packages/pkg_resources/_vendor/*
-	venv/Lib/site-packages/pkg_resources/_vendor/.*
-	venv/Lib/site-packages/pkg_resources/_vendor/packaging/*
-	venv/Lib/site-packages/pkg_resources/_vendor/packaging/.*
-	venv/Lib/site-packages/pkg_resources/extern/*
-	venv/Lib/site-packages/pkg_resources/extern/.*
-	venv/Lib/site-packages/pkg_resources/tests/*
-	venv/Lib/site-packages/pkg_resources/tests/.*
-	venv/Lib/site-packages/pkg_resources/tests/data/*
-	venv/Lib/site-packages/pkg_resources/tests/data/.*
-	venv/Lib/site-packages/pkg_resources/tests/data/my-test-package-source/*
-	venv/Lib/site-packages/pkg_resources/tests/data/my-test-package-source/.*
-	venv/Lib/site-packages/setuptools/*
-	venv/Lib/site-packages/setuptools/.*
-	venv/Lib/site-packages/setuptools-57.0.0.dist-info/*
-	venv/Lib/site-packages/setuptools-57.0.0.dist-info/.*
-	venv/Lib/site-packages/setuptools/_distutils/*
-	venv/Lib/site-packages/setuptools/_distutils/.*
-	venv/Lib/site-packages/setuptools/_distutils/command/*
-	venv/Lib/site-packages/setuptools/_distutils/command/.*
-	venv/Lib/site-packages/setuptools/_vendor/*
-	venv/Lib/site-packages/setuptools/_vendor/.*
-	venv/Lib/site-packages/setuptools/_vendor/more_itertools/*
-	venv/Lib/site-packages/setuptools/_vendor/more_itertools/.*
-	venv/Lib/site-packages/setuptools/_vendor/packaging/*
-	venv/Lib/site-packages/setuptools/_vendor/packaging/.*
-	venv/Lib/site-packages/setuptools/command/*
-	venv/Lib/site-packages/setuptools/command/.*
-	venv/Lib/site-packages/setuptools/extern/*
-	venv/Lib/site-packages/setuptools/extern/.*
-	venv/Lib/site-packages/wheel/*
-	venv/Lib/site-packages/wheel/.*
-	venv/Lib/site-packages/wheel-0.36.2.dist-info/*
-	venv/Lib/site-packages/wheel-0.36.2.dist-info/.*
-	venv/Lib/site-packages/wheel/cli/*
-	venv/Lib/site-packages/wheel/cli/.*
-	venv/Lib/site-packages/wheel/vendored/*
-	venv/Lib/site-packages/wheel/vendored/.*
-	venv/Lib/site-packages/wheel/vendored/packaging/*
-	venv/Lib/site-packages/wheel/vendored/packaging/.*
-	venv/Scripts/*
-	venv/Scripts/.*
 ansible_collections.kubernetes.core = 
 	*
 	changelogs/*
diff -pruN 10.0.0+dfsg-1/tags.yaml 10.0.1+dfsg-1/tags.yaml
--- 10.0.0+dfsg-1/tags.yaml	2024-06-04 14:34:56.000000000 +0000
+++ 10.0.1+dfsg-1/tags.yaml	2024-06-06 04:55:55.000000000 +0000
@@ -274,8 +274,8 @@ infoblox.nios_modules:
   version: 1.6.1
 inspur.ispim:
   repository: https://github.com/ispim/inspur.ispim
-  tag: 2.2.1
-  version: 2.2.1
+  tag: 2.2.2
+  version: 2.2.2
 inspur.sm:
   repository: https://github.com/ISIB-Group/inspur.sm
   tag: 2.3.0
@@ -286,8 +286,8 @@ junipernetworks.junos:
   version: 8.0.0
 kaytus.ksmanage:
   repository: https://github.com/ieisystem/kaytus.ksmanage
-  tag: 1.2.1
-  version: 1.2.1
+  tag: 1.2.2
+  version: 1.2.2
 kubernetes.core:
   repository: https://github.com/ansible-collections/kubernetes.core
   tag: 3.1.0
